"""alter db

Revision ID: 106f13073959
Revises: d6bfdd337869
Create Date: 2016-08-28 16:50:38.630453

"""

# revision identifiers, used by Alembic.
revision = '106f13073959'
down_revision = 'd6bfdd337869'

from alembic import op
import sqlalchemy as sa


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.create_table('tag',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('resource_id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=255), nullable=False),
    sa.ForeignKeyConstraint(['resource_id'], ['resource.id'], name='fk_resource_id_tag', onupdate='cascade', ondelete='restrict'),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name', name='unique_idx_name_tag')
    )
    op.create_table('tag_resource',
    sa.Column('tag_id', sa.Integer(), nullable=False),
    sa.Column('resource_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['resource_id'], ['resource.id'], name='fk_resource_id_tag_resource', onupdate='cascade', ondelete='restrict'),
    sa.ForeignKeyConstraint(['tag_id'], ['tag.id'], name='fk_tag_id_tag_resource', onupdate='cascade', ondelete='restrict'),
    sa.PrimaryKeyConstraint('tag_id', 'resource_id')
    )
    ### end Alembic commands ###


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('tag_resource')
    op.drop_table('tag')
    ### end Alembic commands ###
