--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: company_en; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA company_en;


--
-- Name: company_ru; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA company_ru;


--
-- Name: demo_ru; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA demo_ru;


--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: -
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = company_en, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: accomodation; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE accomodation (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: accomodation_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE accomodation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: accomodation_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE accomodation_id_seq OWNED BY accomodation.id;


--
-- Name: account; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE account (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    account_type smallint NOT NULL,
    name character varying(255) NOT NULL,
    display_text character varying(255) NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: account_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE account_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: account_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE account_id_seq OWNED BY account.id;


--
-- Name: account_item; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE account_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    parent_id integer,
    name character varying(128) NOT NULL,
    type smallint NOT NULL,
    status smallint NOT NULL,
    descr character varying(128)
);


--
-- Name: account_item_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE account_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: account_item_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE account_item_id_seq OWNED BY account_item.id;


--
-- Name: address; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE address (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    location_id integer NOT NULL,
    zip_code character varying(12) NOT NULL,
    address character varying(255) NOT NULL
);


--
-- Name: address_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE address_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: address_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE address_id_seq OWNED BY address.id;


--
-- Name: advsource; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE advsource (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: advsource_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE advsource_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: advsource_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE advsource_id_seq OWNED BY advsource.id;


--
-- Name: alembic_version; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE alembic_version (
    version_num character varying(32) NOT NULL
);


--
-- Name: appointment; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE appointment (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    date date,
    employee_id integer NOT NULL,
    position_id integer NOT NULL,
    salary numeric(16,2) NOT NULL,
    currency_id integer NOT NULL
);


--
-- Name: appointment_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE appointment_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: appointment_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE appointment_id_seq OWNED BY appointment.id;


--
-- Name: bank; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE bank (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: bank_address; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE bank_address (
    bank_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: bank_detail; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE bank_detail (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    bank_id integer NOT NULL,
    beneficiary character varying(255),
    account character varying(32) NOT NULL,
    swift_code character varying(32) NOT NULL
);


--
-- Name: bank_detail_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE bank_detail_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bank_detail_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE bank_detail_id_seq OWNED BY bank_detail.id;


--
-- Name: bank_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE bank_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bank_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE bank_id_seq OWNED BY bank.id;


--
-- Name: bperson; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE bperson (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    first_name character varying(32) NOT NULL,
    last_name character varying(32),
    second_name character varying(32),
    position_name character varying(64),
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: bperson_contact; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE bperson_contact (
    bperson_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: bperson_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE bperson_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bperson_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE bperson_id_seq OWNED BY bperson.id;


--
-- Name: calculation; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE calculation (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    order_item_id integer,
    contract_id integer,
    price numeric(16,2) NOT NULL
);


--
-- Name: calculation_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE calculation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: calculation_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE calculation_id_seq OWNED BY calculation.id;


--
-- Name: campaign; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE campaign (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    start_dt timestamp with time zone NOT NULL,
    status smallint NOT NULL,
    mail_id integer,
    person_category_id integer
);


--
-- Name: campaign_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE campaign_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: campaign_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE campaign_id_seq OWNED BY campaign.id;


--
-- Name: cashflow; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE cashflow (
    id integer NOT NULL,
    subaccount_from_id integer,
    subaccount_to_id integer,
    account_item_id integer,
    sum numeric(16,2) NOT NULL,
    vat numeric(16,2),
    date date NOT NULL,
    CONSTRAINT constraint_cashflow_subaccount CHECK (((subaccount_from_id IS NOT NULL) OR (subaccount_to_id IS NOT NULL)))
);


--
-- Name: cashflow_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE cashflow_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: cashflow_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE cashflow_id_seq OWNED BY cashflow.id;


--
-- Name: commission; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE commission (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    service_id integer NOT NULL,
    percentage numeric(5,2) NOT NULL,
    price numeric(16,2) NOT NULL,
    currency_id integer NOT NULL,
    descr character varying(255),
    CONSTRAINT chk_commission_percentage CHECK (((percentage >= (0)::numeric) AND (percentage <= (100)::numeric)))
);


--
-- Name: commission_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE commission_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: commission_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE commission_id_seq OWNED BY commission.id;


--
-- Name: company; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE company (
    id integer NOT NULL,
    resource_id integer,
    currency_id integer,
    name character varying(32) NOT NULL,
    email character varying(32) NOT NULL,
    settings json
);


--
-- Name: company_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE company_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: company_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE company_id_seq OWNED BY company.id;


--
-- Name: company_subaccount; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE company_subaccount (
    company_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: contact; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE contact (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    contact_type smallint NOT NULL,
    contact character varying NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: contact_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE contact_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: contact_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE contact_id_seq OWNED BY contact.id;


--
-- Name: contract; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE contract (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    num character varying NOT NULL,
    date date NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: contract_commission; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE contract_commission (
    contract_id integer NOT NULL,
    commission_id integer NOT NULL
);


--
-- Name: contract_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE contract_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: contract_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE contract_id_seq OWNED BY contract.id;


--
-- Name: country; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE country (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    iso_code character varying(2) NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: country_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE country_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: country_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE country_id_seq OWNED BY country.id;


--
-- Name: crosspayment; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE crosspayment (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    cashflow_id integer NOT NULL,
    descr character varying(255)
);


--
-- Name: crosspayment_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE crosspayment_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: crosspayment_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE crosspayment_id_seq OWNED BY crosspayment.id;


--
-- Name: currency; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE currency (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    iso_code character varying(3) NOT NULL
);


--
-- Name: currency_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE currency_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: currency_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE currency_id_seq OWNED BY currency.id;


--
-- Name: currency_rate; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE currency_rate (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    supplier_id integer NOT NULL,
    date date NOT NULL,
    rate numeric(16,2) NOT NULL
);


--
-- Name: currency_rate_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE currency_rate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: currency_rate_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE currency_rate_id_seq OWNED BY currency_rate.id;


--
-- Name: dismissal; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE dismissal (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    date date,
    employee_id integer NOT NULL
);


--
-- Name: dismissal_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE dismissal_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: dismissal_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE dismissal_id_seq OWNED BY dismissal.id;


--
-- Name: employee; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE employee (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    photo_upload_id integer,
    first_name character varying(32) NOT NULL,
    last_name character varying(32) NOT NULL,
    second_name character varying(32),
    itn character varying(32)
);


--
-- Name: employee_address; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE employee_address (
    employee_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: employee_contact; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE employee_contact (
    employee_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: employee_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE employee_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: employee_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE employee_id_seq OWNED BY employee.id;


--
-- Name: employee_notification; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE employee_notification (
    employee_id integer NOT NULL,
    notification_id integer NOT NULL,
    status smallint NOT NULL
);


--
-- Name: employee_passport; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE employee_passport (
    employee_id integer NOT NULL,
    passport_id integer NOT NULL
);


--
-- Name: employee_subaccount; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE employee_subaccount (
    employee_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: employee_subscription; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE employee_subscription (
    employee_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: employee_upload; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE employee_upload (
    employee_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: foodcat; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE foodcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: foodcat_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE foodcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: foodcat_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE foodcat_id_seq OWNED BY foodcat.id;


--
-- Name: hotel; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE hotel (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    hotelcat_id integer NOT NULL,
    location_id integer,
    name character varying(32) NOT NULL
);


--
-- Name: hotel_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE hotel_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: hotel_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE hotel_id_seq OWNED BY hotel.id;


--
-- Name: hotelcat; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE hotelcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: hotelcat_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE hotelcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: hotelcat_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE hotelcat_id_seq OWNED BY hotelcat.id;


--
-- Name: income; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE income (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    invoice_id integer NOT NULL,
    account_item_id integer NOT NULL,
    sum numeric(16,2) NOT NULL,
    date date NOT NULL,
    descr character varying(255)
);


--
-- Name: income_cashflow; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE income_cashflow (
    income_id integer NOT NULL,
    cashflow_id integer NOT NULL
);


--
-- Name: income_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE income_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: income_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE income_id_seq OWNED BY income.id;


--
-- Name: invoice; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE invoice (
    id integer NOT NULL,
    date date NOT NULL,
    active_until date NOT NULL,
    resource_id integer NOT NULL,
    order_id integer NOT NULL,
    account_id integer NOT NULL,
    descr character varying(255)
);


--
-- Name: invoice_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE invoice_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: invoice_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE invoice_id_seq OWNED BY invoice.id;


--
-- Name: invoice_item; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE invoice_item (
    id integer NOT NULL,
    invoice_id integer NOT NULL,
    order_item_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    vat numeric(16,2) NOT NULL,
    discount numeric(16,2) NOT NULL,
    descr character varying(255)
);


--
-- Name: invoice_item_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE invoice_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: invoice_item_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE invoice_item_id_seq OWNED BY invoice_item.id;


--
-- Name: lead; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE lead (
    id integer NOT NULL,
    lead_date date NOT NULL,
    resource_id integer NOT NULL,
    advsource_id integer NOT NULL,
    customer_id integer NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: lead_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE lead_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE lead_id_seq OWNED BY lead.id;


--
-- Name: lead_item; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE lead_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    lead_id integer,
    service_id integer NOT NULL,
    currency_id integer,
    price_from numeric(16,2),
    price_to numeric(16,2),
    descr character varying
);


--
-- Name: lead_item_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE lead_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_item_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE lead_item_id_seq OWNED BY lead_item.id;


--
-- Name: lead_offer; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE lead_offer (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    lead_id integer,
    service_id integer NOT NULL,
    currency_id integer NOT NULL,
    supplier_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    status smallint NOT NULL,
    descr character varying
);


--
-- Name: lead_offer_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE lead_offer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_offer_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE lead_offer_id_seq OWNED BY lead_offer.id;


--
-- Name: location; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE location (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    region_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: location_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE location_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: location_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE location_id_seq OWNED BY location.id;


--
-- Name: mail; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE mail (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    html_content text,
    descr character varying(255),
    subject character varying(128) NOT NULL
);


--
-- Name: mail_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE mail_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: mail_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE mail_id_seq OWNED BY mail.id;


--
-- Name: navigation; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE navigation (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    position_id integer,
    parent_id integer,
    name character varying(32) NOT NULL,
    url character varying(128) NOT NULL,
    action character varying(32),
    icon_cls character varying(32),
    separator_before boolean,
    sort_order integer NOT NULL
);


--
-- Name: navigation_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE navigation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: navigation_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE navigation_id_seq OWNED BY navigation.id;


--
-- Name: note; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE note (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    title character varying(255) NOT NULL,
    descr character varying
);


--
-- Name: note_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE note_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: note_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE note_id_seq OWNED BY note.id;


--
-- Name: note_resource; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE note_resource (
    note_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: note_upload; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE note_upload (
    note_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: notification; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE notification (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    descr character varying NOT NULL,
    url character varying,
    created timestamp with time zone
);


--
-- Name: notification_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE notification_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: notification_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE notification_id_seq OWNED BY notification.id;


--
-- Name: notification_resource; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE notification_resource (
    notification_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: order; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE "order" (
    id integer NOT NULL,
    deal_date date NOT NULL,
    resource_id integer NOT NULL,
    customer_id integer NOT NULL,
    lead_id integer,
    advsource_id integer NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: order_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE order_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: order_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE order_id_seq OWNED BY "order".id;


--
-- Name: order_item; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE order_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    order_id integer,
    service_id integer NOT NULL,
    currency_id integer NOT NULL,
    supplier_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    discount_sum numeric(16,2) NOT NULL,
    discount_percent numeric(16,2) NOT NULL,
    status smallint NOT NULL,
    status_date date,
    status_info character varying(128)
);


--
-- Name: order_item_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE order_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: order_item_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE order_item_id_seq OWNED BY order_item.id;


--
-- Name: outgoing; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE outgoing (
    id integer NOT NULL,
    date date NOT NULL,
    resource_id integer NOT NULL,
    account_item_id integer NOT NULL,
    subaccount_id integer NOT NULL,
    sum numeric(16,2) NOT NULL,
    descr character varying(255)
);


--
-- Name: outgoing_cashflow; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE outgoing_cashflow (
    outgoing_id integer NOT NULL,
    cashflow_id integer NOT NULL
);


--
-- Name: outgoing_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE outgoing_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: outgoing_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE outgoing_id_seq OWNED BY outgoing.id;


--
-- Name: passport; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE passport (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    country_id integer NOT NULL,
    passport_type smallint NOT NULL,
    num character varying(32) NOT NULL,
    end_date date,
    descr character varying(255)
);


--
-- Name: passport_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE passport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: passport_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE passport_id_seq OWNED BY passport.id;


--
-- Name: passport_upload; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE passport_upload (
    passport_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: permision; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE permision (
    id integer NOT NULL,
    resource_type_id integer NOT NULL,
    position_id integer NOT NULL,
    permisions character varying[],
    scope_type character varying,
    structure_id integer
);


--
-- Name: permision_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE permision_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: permision_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE permision_id_seq OWNED BY permision.id;


--
-- Name: person; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE person (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    person_category_id integer,
    first_name character varying(32) NOT NULL,
    last_name character varying(32),
    second_name character varying(32),
    birthday date,
    gender smallint,
    email_subscription boolean,
    sms_subscription boolean,
    descr character varying(255)
);


--
-- Name: person_address; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE person_address (
    person_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: person_category; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE person_category (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: person_category_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE person_category_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: person_category_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE person_category_id_seq OWNED BY person_category.id;


--
-- Name: person_contact; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE person_contact (
    person_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: person_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE person_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: person_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE person_id_seq OWNED BY person.id;


--
-- Name: person_order_item; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE person_order_item (
    order_item_id integer NOT NULL,
    person_id integer NOT NULL
);


--
-- Name: person_passport; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE person_passport (
    person_id integer NOT NULL,
    passport_id integer NOT NULL
);


--
-- Name: person_subaccount; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE person_subaccount (
    person_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: position; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE "position" (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    structure_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: position_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE position_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: position_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE position_id_seq OWNED BY "position".id;


--
-- Name: region; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE region (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    country_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: region_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE region_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: region_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE region_id_seq OWNED BY region.id;


--
-- Name: resource; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE resource (
    id integer NOT NULL,
    resource_type_id integer NOT NULL,
    maintainer_id integer,
    protected boolean,
    modifydt timestamp without time zone
);


--
-- Name: resource_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE resource_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: resource_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE resource_id_seq OWNED BY resource.id;


--
-- Name: resource_type; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE resource_type (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    humanize character varying(32) NOT NULL,
    resource_name character varying(32) NOT NULL,
    module character varying(128) NOT NULL,
    settings json,
    descr character varying(255),
    status smallint NOT NULL
);


--
-- Name: resource_type_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE resource_type_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: resource_type_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE resource_type_id_seq OWNED BY resource_type.id;


--
-- Name: roomcat; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE roomcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: roomcat_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE roomcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: roomcat_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE roomcat_id_seq OWNED BY roomcat.id;


--
-- Name: service; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE service (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    resource_type_id integer NOT NULL,
    name character varying(32) NOT NULL,
    display_text character varying(255) NOT NULL,
    descr character varying(255)
);


--
-- Name: service_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE service_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: service_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE service_id_seq OWNED BY service.id;


--
-- Name: spassport; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE spassport (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    photo_done boolean NOT NULL,
    docs_receive_date date,
    docs_transfer_date date,
    passport_receive_date date,
    descr character varying(255)
);


--
-- Name: spassport_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE spassport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: spassport_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE spassport_id_seq OWNED BY spassport.id;


--
-- Name: spassport_order_item; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE spassport_order_item (
    order_item_id integer NOT NULL,
    spassport_id integer NOT NULL
);


--
-- Name: structure; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE structure (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    parent_id integer,
    company_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: structure_address; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE structure_address (
    structure_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: structure_bank_detail; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE structure_bank_detail (
    structure_id integer NOT NULL,
    bank_detail_id integer NOT NULL
);


--
-- Name: structure_contact; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE structure_contact (
    structure_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: structure_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE structure_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: structure_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE structure_id_seq OWNED BY structure.id;


--
-- Name: subaccount; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE subaccount (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    account_id integer NOT NULL,
    name character varying(255) NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: subaccount_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE subaccount_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: subaccount_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE subaccount_id_seq OWNED BY subaccount.id;


--
-- Name: supplier; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE supplier (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    supplier_type_id integer NOT NULL,
    name character varying(32) NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: supplier_bank_detail; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE supplier_bank_detail (
    supplier_id integer NOT NULL,
    bank_detail_id integer NOT NULL
);


--
-- Name: supplier_bperson; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE supplier_bperson (
    supplier_id integer NOT NULL,
    bperson_id integer NOT NULL
);


--
-- Name: supplier_contract; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE supplier_contract (
    supplier_id integer NOT NULL,
    contract_id integer NOT NULL
);


--
-- Name: supplier_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE supplier_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: supplier_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE supplier_id_seq OWNED BY supplier.id;


--
-- Name: supplier_subaccount; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE supplier_subaccount (
    supplier_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: supplier_type; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE supplier_type (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    descr character varying(255)
);


--
-- Name: supplier_type_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE supplier_type_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: supplier_type_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE supplier_type_id_seq OWNED BY supplier_type.id;


--
-- Name: tag; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE tag (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: tag_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE tag_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: tag_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE tag_id_seq OWNED BY tag.id;


--
-- Name: tag_resource; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE tag_resource (
    tag_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: task; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE task (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    title character varying(128) NOT NULL,
    deadline timestamp with time zone NOT NULL,
    reminder integer,
    descr character varying,
    status smallint NOT NULL
);


--
-- Name: task_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE task_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: task_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE task_id_seq OWNED BY task.id;


--
-- Name: task_resource; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE task_resource (
    task_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: task_upload; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE task_upload (
    task_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: ticket; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE ticket (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    start_location_id integer NOT NULL,
    end_location_id integer NOT NULL,
    ticket_class_id integer NOT NULL,
    transport_id integer NOT NULL,
    start_dt timestamp with time zone NOT NULL,
    start_additional_info character varying(128),
    end_dt timestamp with time zone NOT NULL,
    end_additional_info character varying(128),
    adults integer NOT NULL,
    children integer NOT NULL,
    descr character varying(255)
);


--
-- Name: ticket_class; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE ticket_class (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: ticket_class_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE ticket_class_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: ticket_class_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE ticket_class_id_seq OWNED BY ticket_class.id;


--
-- Name: ticket_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE ticket_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: ticket_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE ticket_id_seq OWNED BY ticket.id;


--
-- Name: ticket_order_item; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE ticket_order_item (
    order_item_id integer NOT NULL,
    ticket_id integer NOT NULL
);


--
-- Name: tour; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE tour (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    start_location_id integer NOT NULL,
    start_transport_id integer NOT NULL,
    end_location_id integer NOT NULL,
    end_transport_id integer NOT NULL,
    hotel_id integer,
    accomodation_id integer,
    foodcat_id integer,
    roomcat_id integer,
    transfer_id integer,
    adults integer NOT NULL,
    children integer NOT NULL,
    start_date date NOT NULL,
    start_additional_info character varying(128),
    end_date date NOT NULL,
    end_additional_info character varying(128),
    descr character varying(255)
);


--
-- Name: tour_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE tour_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: tour_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE tour_id_seq OWNED BY tour.id;


--
-- Name: tour_order_item; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE tour_order_item (
    order_item_id integer NOT NULL,
    tour_id integer NOT NULL
);


--
-- Name: transfer; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE transfer (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: transfer_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE transfer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: transfer_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE transfer_id_seq OWNED BY transfer.id;


--
-- Name: transport; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE transport (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: transport_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE transport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: transport_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE transport_id_seq OWNED BY transport.id;


--
-- Name: upload; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE upload (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL,
    path character varying(255) NOT NULL,
    size numeric(16,2) NOT NULL,
    media_type character varying(128) NOT NULL,
    descr character varying(255)
);


--
-- Name: upload_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE upload_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: upload_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE upload_id_seq OWNED BY upload.id;


--
-- Name: user; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE "user" (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    employee_id integer NOT NULL,
    username character varying(32) NOT NULL,
    email character varying(128) NOT NULL,
    password character varying(128) NOT NULL
);


--
-- Name: user_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE user_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: user_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE user_id_seq OWNED BY "user".id;


--
-- Name: vat; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE vat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    account_id integer NOT NULL,
    service_id integer NOT NULL,
    date date NOT NULL,
    vat numeric(5,2) NOT NULL,
    calc_method smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: vat_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE vat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: vat_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE vat_id_seq OWNED BY vat.id;


--
-- Name: visa; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE visa (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    country_id integer NOT NULL,
    start_date date NOT NULL,
    end_date date,
    type smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: visa_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE visa_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: visa_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE visa_id_seq OWNED BY visa.id;


--
-- Name: visa_order_item; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE visa_order_item (
    order_item_id integer NOT NULL,
    visa_id integer NOT NULL
);


SET search_path = company_ru, pg_catalog;

--
-- Name: accomodation; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE accomodation (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: accomodation_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE accomodation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: accomodation_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE accomodation_id_seq OWNED BY accomodation.id;


--
-- Name: account; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE account (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    account_type smallint NOT NULL,
    name character varying(255) NOT NULL,
    display_text character varying(255) NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: account_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE account_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: account_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE account_id_seq OWNED BY account.id;


--
-- Name: account_item; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE account_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    parent_id integer,
    name character varying(128) NOT NULL,
    type smallint NOT NULL,
    status smallint NOT NULL,
    descr character varying(128)
);


--
-- Name: account_item_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE account_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: account_item_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE account_item_id_seq OWNED BY account_item.id;


--
-- Name: address; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE address (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    location_id integer NOT NULL,
    zip_code character varying(12) NOT NULL,
    address character varying(255) NOT NULL
);


--
-- Name: address_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE address_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: address_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE address_id_seq OWNED BY address.id;


--
-- Name: advsource; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE advsource (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: advsource_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE advsource_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: advsource_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE advsource_id_seq OWNED BY advsource.id;


--
-- Name: alembic_version; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE alembic_version (
    version_num character varying(32) NOT NULL
);


--
-- Name: appointment; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE appointment (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    date date,
    employee_id integer NOT NULL,
    position_id integer NOT NULL,
    salary numeric(16,2) NOT NULL,
    currency_id integer NOT NULL
);


--
-- Name: appointment_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE appointment_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: appointment_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE appointment_id_seq OWNED BY appointment.id;


--
-- Name: bank; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE bank (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: bank_address; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE bank_address (
    bank_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: bank_detail; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE bank_detail (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    bank_id integer NOT NULL,
    beneficiary character varying(255),
    account character varying(32) NOT NULL,
    swift_code character varying(32) NOT NULL
);


--
-- Name: bank_detail_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE bank_detail_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bank_detail_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE bank_detail_id_seq OWNED BY bank_detail.id;


--
-- Name: bank_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE bank_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bank_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE bank_id_seq OWNED BY bank.id;


--
-- Name: bperson; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE bperson (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    first_name character varying(32) NOT NULL,
    last_name character varying(32),
    second_name character varying(32),
    position_name character varying(64),
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: bperson_contact; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE bperson_contact (
    bperson_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: bperson_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE bperson_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bperson_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE bperson_id_seq OWNED BY bperson.id;


--
-- Name: calculation; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE calculation (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    order_item_id integer,
    contract_id integer,
    price numeric(16,2) NOT NULL
);


--
-- Name: calculation_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE calculation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: calculation_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE calculation_id_seq OWNED BY calculation.id;


--
-- Name: campaign; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE campaign (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    start_dt timestamp with time zone NOT NULL,
    status smallint NOT NULL,
    mail_id integer,
    person_category_id integer
);


--
-- Name: campaign_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE campaign_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: campaign_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE campaign_id_seq OWNED BY campaign.id;


--
-- Name: cashflow; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE cashflow (
    id integer NOT NULL,
    subaccount_from_id integer,
    subaccount_to_id integer,
    account_item_id integer,
    sum numeric(16,2) NOT NULL,
    vat numeric(16,2),
    date date NOT NULL,
    CONSTRAINT constraint_cashflow_subaccount CHECK (((subaccount_from_id IS NOT NULL) OR (subaccount_to_id IS NOT NULL)))
);


--
-- Name: cashflow_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE cashflow_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: cashflow_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE cashflow_id_seq OWNED BY cashflow.id;


--
-- Name: commission; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE commission (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    service_id integer NOT NULL,
    percentage numeric(5,2) NOT NULL,
    price numeric(16,2) NOT NULL,
    currency_id integer NOT NULL,
    descr character varying(255),
    CONSTRAINT chk_commission_percentage CHECK (((percentage >= (0)::numeric) AND (percentage <= (100)::numeric)))
);


--
-- Name: commission_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE commission_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: commission_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE commission_id_seq OWNED BY commission.id;


--
-- Name: company; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE company (
    id integer NOT NULL,
    resource_id integer,
    currency_id integer,
    name character varying(32) NOT NULL,
    email character varying(32) NOT NULL,
    settings json
);


--
-- Name: company_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE company_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: company_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE company_id_seq OWNED BY company.id;


--
-- Name: company_subaccount; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE company_subaccount (
    company_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: contact; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE contact (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    contact_type smallint NOT NULL,
    contact character varying NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: contact_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE contact_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: contact_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE contact_id_seq OWNED BY contact.id;


--
-- Name: contract; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE contract (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    num character varying NOT NULL,
    date date NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: contract_commission; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE contract_commission (
    contract_id integer NOT NULL,
    commission_id integer NOT NULL
);


--
-- Name: contract_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE contract_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: contract_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE contract_id_seq OWNED BY contract.id;


--
-- Name: country; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE country (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    iso_code character varying(2) NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: country_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE country_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: country_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE country_id_seq OWNED BY country.id;


--
-- Name: crosspayment; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE crosspayment (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    cashflow_id integer NOT NULL,
    descr character varying(255)
);


--
-- Name: crosspayment_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE crosspayment_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: crosspayment_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE crosspayment_id_seq OWNED BY crosspayment.id;


--
-- Name: currency; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE currency (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    iso_code character varying(3) NOT NULL
);


--
-- Name: currency_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE currency_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: currency_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE currency_id_seq OWNED BY currency.id;


--
-- Name: currency_rate; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE currency_rate (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    supplier_id integer NOT NULL,
    date date NOT NULL,
    rate numeric(16,2) NOT NULL
);


--
-- Name: currency_rate_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE currency_rate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: currency_rate_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE currency_rate_id_seq OWNED BY currency_rate.id;


--
-- Name: dismissal; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE dismissal (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    date date,
    employee_id integer NOT NULL
);


--
-- Name: dismissal_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE dismissal_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: dismissal_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE dismissal_id_seq OWNED BY dismissal.id;


--
-- Name: employee; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    photo_upload_id integer,
    first_name character varying(32) NOT NULL,
    last_name character varying(32) NOT NULL,
    second_name character varying(32),
    itn character varying(32)
);


--
-- Name: employee_address; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee_address (
    employee_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: employee_contact; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee_contact (
    employee_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: employee_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE employee_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: employee_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE employee_id_seq OWNED BY employee.id;


--
-- Name: employee_notification; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee_notification (
    employee_id integer NOT NULL,
    notification_id integer NOT NULL,
    status smallint NOT NULL
);


--
-- Name: employee_passport; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee_passport (
    employee_id integer NOT NULL,
    passport_id integer NOT NULL
);


--
-- Name: employee_subaccount; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee_subaccount (
    employee_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: employee_subscription; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee_subscription (
    employee_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: employee_upload; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee_upload (
    employee_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: foodcat; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE foodcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: foodcat_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE foodcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: foodcat_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE foodcat_id_seq OWNED BY foodcat.id;


--
-- Name: hotel; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE hotel (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    hotelcat_id integer NOT NULL,
    location_id integer,
    name character varying(32) NOT NULL
);


--
-- Name: hotel_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE hotel_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: hotel_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE hotel_id_seq OWNED BY hotel.id;


--
-- Name: hotelcat; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE hotelcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: hotelcat_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE hotelcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: hotelcat_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE hotelcat_id_seq OWNED BY hotelcat.id;


--
-- Name: income; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE income (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    invoice_id integer NOT NULL,
    account_item_id integer NOT NULL,
    sum numeric(16,2) NOT NULL,
    date date NOT NULL,
    descr character varying(255)
);


--
-- Name: income_cashflow; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE income_cashflow (
    income_id integer NOT NULL,
    cashflow_id integer NOT NULL
);


--
-- Name: income_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE income_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: income_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE income_id_seq OWNED BY income.id;


--
-- Name: invoice; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE invoice (
    id integer NOT NULL,
    date date NOT NULL,
    active_until date NOT NULL,
    resource_id integer NOT NULL,
    order_id integer NOT NULL,
    account_id integer NOT NULL,
    descr character varying(255)
);


--
-- Name: invoice_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE invoice_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: invoice_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE invoice_id_seq OWNED BY invoice.id;


--
-- Name: invoice_item; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE invoice_item (
    id integer NOT NULL,
    invoice_id integer NOT NULL,
    order_item_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    vat numeric(16,2) NOT NULL,
    discount numeric(16,2) NOT NULL,
    descr character varying(255)
);


--
-- Name: invoice_item_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE invoice_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: invoice_item_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE invoice_item_id_seq OWNED BY invoice_item.id;


--
-- Name: lead; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE lead (
    id integer NOT NULL,
    lead_date date NOT NULL,
    resource_id integer NOT NULL,
    advsource_id integer NOT NULL,
    customer_id integer NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: lead_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE lead_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE lead_id_seq OWNED BY lead.id;


--
-- Name: lead_item; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE lead_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    lead_id integer,
    service_id integer NOT NULL,
    currency_id integer,
    price_from numeric(16,2),
    price_to numeric(16,2),
    descr character varying
);


--
-- Name: lead_item_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE lead_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_item_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE lead_item_id_seq OWNED BY lead_item.id;


--
-- Name: lead_offer; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE lead_offer (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    lead_id integer,
    service_id integer NOT NULL,
    currency_id integer NOT NULL,
    supplier_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    status smallint NOT NULL,
    descr character varying
);


--
-- Name: lead_offer_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE lead_offer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_offer_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE lead_offer_id_seq OWNED BY lead_offer.id;


--
-- Name: location; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE location (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    region_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: location_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE location_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: location_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE location_id_seq OWNED BY location.id;


--
-- Name: mail; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE mail (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    html_content text,
    descr character varying(255),
    subject character varying(128) NOT NULL
);


--
-- Name: mail_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE mail_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: mail_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE mail_id_seq OWNED BY mail.id;


--
-- Name: navigation; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE navigation (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    position_id integer,
    parent_id integer,
    name character varying(32) NOT NULL,
    url character varying(128) NOT NULL,
    action character varying(32),
    icon_cls character varying(32),
    separator_before boolean,
    sort_order integer NOT NULL
);


--
-- Name: navigation_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE navigation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: navigation_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE navigation_id_seq OWNED BY navigation.id;


--
-- Name: note; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE note (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    title character varying(255) NOT NULL,
    descr character varying
);


--
-- Name: note_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE note_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: note_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE note_id_seq OWNED BY note.id;


--
-- Name: note_resource; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE note_resource (
    note_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: note_upload; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE note_upload (
    note_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: notification; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE notification (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    descr character varying NOT NULL,
    url character varying,
    created timestamp with time zone
);


--
-- Name: notification_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE notification_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: notification_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE notification_id_seq OWNED BY notification.id;


--
-- Name: notification_resource; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE notification_resource (
    notification_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: order; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE "order" (
    id integer NOT NULL,
    deal_date date NOT NULL,
    resource_id integer NOT NULL,
    customer_id integer NOT NULL,
    lead_id integer,
    advsource_id integer NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: order_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE order_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: order_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE order_id_seq OWNED BY "order".id;


--
-- Name: order_item; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE order_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    order_id integer,
    service_id integer NOT NULL,
    currency_id integer NOT NULL,
    supplier_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    discount_sum numeric(16,2) NOT NULL,
    discount_percent numeric(16,2) NOT NULL,
    status smallint NOT NULL,
    status_date date,
    status_info character varying(128)
);


--
-- Name: order_item_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE order_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: order_item_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE order_item_id_seq OWNED BY order_item.id;


--
-- Name: outgoing; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE outgoing (
    id integer NOT NULL,
    date date NOT NULL,
    resource_id integer NOT NULL,
    account_item_id integer NOT NULL,
    subaccount_id integer NOT NULL,
    sum numeric(16,2) NOT NULL,
    descr character varying(255)
);


--
-- Name: outgoing_cashflow; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE outgoing_cashflow (
    outgoing_id integer NOT NULL,
    cashflow_id integer NOT NULL
);


--
-- Name: outgoing_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE outgoing_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: outgoing_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE outgoing_id_seq OWNED BY outgoing.id;


--
-- Name: passport; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE passport (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    country_id integer NOT NULL,
    passport_type smallint NOT NULL,
    num character varying(32) NOT NULL,
    end_date date,
    descr character varying(255)
);


--
-- Name: passport_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE passport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: passport_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE passport_id_seq OWNED BY passport.id;


--
-- Name: passport_upload; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE passport_upload (
    passport_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: permision; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE permision (
    id integer NOT NULL,
    resource_type_id integer NOT NULL,
    position_id integer NOT NULL,
    permisions character varying[],
    scope_type character varying,
    structure_id integer
);


--
-- Name: permision_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE permision_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: permision_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE permision_id_seq OWNED BY permision.id;


--
-- Name: person; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE person (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    person_category_id integer,
    first_name character varying(32) NOT NULL,
    last_name character varying(32),
    second_name character varying(32),
    birthday date,
    gender smallint,
    email_subscription boolean,
    sms_subscription boolean,
    descr character varying(255)
);


--
-- Name: person_address; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE person_address (
    person_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: person_category; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE person_category (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: person_category_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE person_category_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: person_category_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE person_category_id_seq OWNED BY person_category.id;


--
-- Name: person_contact; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE person_contact (
    person_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: person_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE person_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: person_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE person_id_seq OWNED BY person.id;


--
-- Name: person_order_item; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE person_order_item (
    order_item_id integer NOT NULL,
    person_id integer NOT NULL
);


--
-- Name: person_passport; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE person_passport (
    person_id integer NOT NULL,
    passport_id integer NOT NULL
);


--
-- Name: person_subaccount; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE person_subaccount (
    person_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: position; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE "position" (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    structure_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: position_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE position_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: position_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE position_id_seq OWNED BY "position".id;


--
-- Name: region; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE region (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    country_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: region_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE region_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: region_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE region_id_seq OWNED BY region.id;


--
-- Name: resource; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE resource (
    id integer NOT NULL,
    resource_type_id integer NOT NULL,
    maintainer_id integer,
    protected boolean,
    modifydt timestamp without time zone
);


--
-- Name: resource_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE resource_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: resource_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE resource_id_seq OWNED BY resource.id;


--
-- Name: resource_type; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE resource_type (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    humanize character varying(32) NOT NULL,
    resource_name character varying(32) NOT NULL,
    module character varying(128) NOT NULL,
    settings json,
    descr character varying(255),
    status smallint NOT NULL
);


--
-- Name: resource_type_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE resource_type_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: resource_type_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE resource_type_id_seq OWNED BY resource_type.id;


--
-- Name: roomcat; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE roomcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: roomcat_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE roomcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: roomcat_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE roomcat_id_seq OWNED BY roomcat.id;


--
-- Name: service; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE service (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    resource_type_id integer NOT NULL,
    name character varying(32) NOT NULL,
    display_text character varying(255) NOT NULL,
    descr character varying(255)
);


--
-- Name: service_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE service_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: service_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE service_id_seq OWNED BY service.id;


--
-- Name: spassport; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE spassport (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    photo_done boolean NOT NULL,
    docs_receive_date date,
    docs_transfer_date date,
    passport_receive_date date,
    descr character varying(255)
);


--
-- Name: spassport_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE spassport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: spassport_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE spassport_id_seq OWNED BY spassport.id;


--
-- Name: spassport_order_item; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE spassport_order_item (
    order_item_id integer NOT NULL,
    spassport_id integer NOT NULL
);


--
-- Name: structure; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE structure (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    parent_id integer,
    company_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: structure_address; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE structure_address (
    structure_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: structure_bank_detail; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE structure_bank_detail (
    structure_id integer NOT NULL,
    bank_detail_id integer NOT NULL
);


--
-- Name: structure_contact; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE structure_contact (
    structure_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: structure_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE structure_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: structure_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE structure_id_seq OWNED BY structure.id;


--
-- Name: subaccount; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE subaccount (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    account_id integer NOT NULL,
    name character varying(255) NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: subaccount_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE subaccount_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: subaccount_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE subaccount_id_seq OWNED BY subaccount.id;


--
-- Name: supplier; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE supplier (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    supplier_type_id integer NOT NULL,
    name character varying(32) NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: supplier_bank_detail; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE supplier_bank_detail (
    supplier_id integer NOT NULL,
    bank_detail_id integer NOT NULL
);


--
-- Name: supplier_bperson; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE supplier_bperson (
    supplier_id integer NOT NULL,
    bperson_id integer NOT NULL
);


--
-- Name: supplier_contract; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE supplier_contract (
    supplier_id integer NOT NULL,
    contract_id integer NOT NULL
);


--
-- Name: supplier_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE supplier_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: supplier_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE supplier_id_seq OWNED BY supplier.id;


--
-- Name: supplier_subaccount; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE supplier_subaccount (
    supplier_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: supplier_type; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE supplier_type (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    descr character varying(255)
);


--
-- Name: supplier_type_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE supplier_type_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: supplier_type_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE supplier_type_id_seq OWNED BY supplier_type.id;


--
-- Name: tag; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE tag (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: tag_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE tag_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: tag_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE tag_id_seq OWNED BY tag.id;


--
-- Name: tag_resource; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE tag_resource (
    tag_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: task; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE task (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    title character varying(128) NOT NULL,
    deadline timestamp with time zone NOT NULL,
    reminder integer,
    descr character varying,
    status smallint NOT NULL
);


--
-- Name: task_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE task_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: task_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE task_id_seq OWNED BY task.id;


--
-- Name: task_resource; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE task_resource (
    task_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: task_upload; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE task_upload (
    task_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: ticket; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE ticket (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    start_location_id integer NOT NULL,
    end_location_id integer NOT NULL,
    ticket_class_id integer NOT NULL,
    transport_id integer NOT NULL,
    start_dt timestamp with time zone NOT NULL,
    start_additional_info character varying(128),
    end_dt timestamp with time zone NOT NULL,
    end_additional_info character varying(128),
    adults integer NOT NULL,
    children integer NOT NULL,
    descr character varying(255)
);


--
-- Name: ticket_class; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE ticket_class (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: ticket_class_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE ticket_class_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: ticket_class_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE ticket_class_id_seq OWNED BY ticket_class.id;


--
-- Name: ticket_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE ticket_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: ticket_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE ticket_id_seq OWNED BY ticket.id;


--
-- Name: ticket_order_item; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE ticket_order_item (
    order_item_id integer NOT NULL,
    ticket_id integer NOT NULL
);


--
-- Name: tour; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE tour (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    start_location_id integer NOT NULL,
    start_transport_id integer NOT NULL,
    end_location_id integer NOT NULL,
    end_transport_id integer NOT NULL,
    hotel_id integer,
    accomodation_id integer,
    foodcat_id integer,
    roomcat_id integer,
    transfer_id integer,
    adults integer NOT NULL,
    children integer NOT NULL,
    start_date date NOT NULL,
    start_additional_info character varying(128),
    end_date date NOT NULL,
    end_additional_info character varying(128),
    descr character varying(255)
);


--
-- Name: tour_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE tour_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: tour_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE tour_id_seq OWNED BY tour.id;


--
-- Name: tour_order_item; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE tour_order_item (
    order_item_id integer NOT NULL,
    tour_id integer NOT NULL
);


--
-- Name: transfer; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE transfer (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: transfer_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE transfer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: transfer_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE transfer_id_seq OWNED BY transfer.id;


--
-- Name: transport; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE transport (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: transport_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE transport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: transport_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE transport_id_seq OWNED BY transport.id;


--
-- Name: upload; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE upload (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL,
    path character varying(255) NOT NULL,
    size numeric(16,2) NOT NULL,
    media_type character varying(128) NOT NULL,
    descr character varying(255)
);


--
-- Name: upload_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE upload_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: upload_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE upload_id_seq OWNED BY upload.id;


--
-- Name: user; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE "user" (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    employee_id integer NOT NULL,
    username character varying(32) NOT NULL,
    email character varying(128) NOT NULL,
    password character varying(128) NOT NULL
);


--
-- Name: user_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE user_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: user_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE user_id_seq OWNED BY "user".id;


--
-- Name: vat; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE vat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    account_id integer NOT NULL,
    service_id integer NOT NULL,
    date date NOT NULL,
    vat numeric(5,2) NOT NULL,
    calc_method smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: vat_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE vat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: vat_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE vat_id_seq OWNED BY vat.id;


--
-- Name: visa; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE visa (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    country_id integer NOT NULL,
    start_date date NOT NULL,
    end_date date,
    type smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: visa_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE visa_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: visa_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE visa_id_seq OWNED BY visa.id;


--
-- Name: visa_order_item; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE visa_order_item (
    order_item_id integer NOT NULL,
    visa_id integer NOT NULL
);


SET search_path = demo_ru, pg_catalog;

--
-- Name: accomodation; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE accomodation (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: accomodation_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE accomodation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: accomodation_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE accomodation_id_seq OWNED BY accomodation.id;


--
-- Name: account; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE account (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    account_type smallint NOT NULL,
    name character varying(255) NOT NULL,
    display_text character varying(255) NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: account_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE account_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: account_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE account_id_seq OWNED BY account.id;


--
-- Name: account_item; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE account_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    parent_id integer,
    name character varying(128) NOT NULL,
    type smallint NOT NULL,
    status smallint NOT NULL,
    descr character varying(128)
);


--
-- Name: account_item_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE account_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: account_item_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE account_item_id_seq OWNED BY account_item.id;


--
-- Name: address; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE address (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    location_id integer NOT NULL,
    zip_code character varying(12) NOT NULL,
    address character varying(255) NOT NULL
);


--
-- Name: address_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE address_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: address_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE address_id_seq OWNED BY address.id;


--
-- Name: advsource; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE advsource (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: advsource_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE advsource_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: advsource_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE advsource_id_seq OWNED BY advsource.id;


--
-- Name: appointment; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE appointment (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    date date,
    employee_id integer NOT NULL,
    position_id integer NOT NULL,
    salary numeric(16,2) NOT NULL,
    currency_id integer NOT NULL
);


--
-- Name: appointment_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE appointment_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: appointment_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE appointment_id_seq OWNED BY appointment.id;


--
-- Name: bank; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE bank (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: bank_address; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE bank_address (
    bank_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: bank_detail; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE bank_detail (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    bank_id integer NOT NULL,
    beneficiary character varying(255),
    account character varying(32) NOT NULL,
    swift_code character varying(32) NOT NULL
);


--
-- Name: bank_detail_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE bank_detail_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bank_detail_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE bank_detail_id_seq OWNED BY bank_detail.id;


--
-- Name: bank_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE bank_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bank_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE bank_id_seq OWNED BY bank.id;


--
-- Name: bperson; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE bperson (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    first_name character varying(32) NOT NULL,
    last_name character varying(32),
    second_name character varying(32),
    position_name character varying(64),
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: bperson_contact; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE bperson_contact (
    bperson_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: bperson_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE bperson_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bperson_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE bperson_id_seq OWNED BY bperson.id;


--
-- Name: calculation; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE calculation (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    order_item_id integer,
    contract_id integer,
    price numeric(16,2) NOT NULL
);


--
-- Name: calculation_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE calculation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: calculation_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE calculation_id_seq OWNED BY calculation.id;


--
-- Name: campaign; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE campaign (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    person_category_id integer,
    mail_id integer,
    name character varying(32) NOT NULL,
    start_dt timestamp with time zone NOT NULL,
    status smallint NOT NULL
);


--
-- Name: campaign_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE campaign_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: campaign_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE campaign_id_seq OWNED BY campaign.id;


--
-- Name: cashflow; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE cashflow (
    id integer NOT NULL,
    subaccount_from_id integer,
    subaccount_to_id integer,
    account_item_id integer,
    sum numeric(16,2) NOT NULL,
    vat numeric(16,2),
    date date NOT NULL,
    CONSTRAINT constraint_cashflow_subaccount CHECK (((subaccount_from_id IS NOT NULL) OR (subaccount_to_id IS NOT NULL)))
);


--
-- Name: cashflow_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE cashflow_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: cashflow_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE cashflow_id_seq OWNED BY cashflow.id;


--
-- Name: commission; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE commission (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    service_id integer NOT NULL,
    percentage numeric(5,2) NOT NULL,
    price numeric(16,2) NOT NULL,
    currency_id integer NOT NULL,
    descr character varying(255),
    CONSTRAINT chk_commission_percentage CHECK (((percentage >= (0)::numeric) AND (percentage <= (100)::numeric)))
);


--
-- Name: commission_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE commission_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: commission_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE commission_id_seq OWNED BY commission.id;


--
-- Name: company; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE company (
    id integer NOT NULL,
    resource_id integer,
    currency_id integer,
    name character varying(32) NOT NULL,
    email character varying(32) NOT NULL,
    settings json
);


--
-- Name: company_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE company_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: company_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE company_id_seq OWNED BY company.id;


--
-- Name: company_subaccount; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE company_subaccount (
    company_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: contact; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE contact (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    contact_type smallint NOT NULL,
    contact character varying NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: contact_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE contact_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: contact_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE contact_id_seq OWNED BY contact.id;


--
-- Name: contract; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE contract (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    num character varying NOT NULL,
    date date NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: contract_commission; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE contract_commission (
    contract_id integer NOT NULL,
    commission_id integer NOT NULL
);


--
-- Name: contract_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE contract_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: contract_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE contract_id_seq OWNED BY contract.id;


--
-- Name: country; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE country (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    iso_code character varying(2) NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: country_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE country_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: country_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE country_id_seq OWNED BY country.id;


--
-- Name: crosspayment; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE crosspayment (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    cashflow_id integer NOT NULL,
    descr character varying(255)
);


--
-- Name: crosspayment_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE crosspayment_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: crosspayment_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE crosspayment_id_seq OWNED BY crosspayment.id;


--
-- Name: currency; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE currency (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    iso_code character varying(3) NOT NULL
);


--
-- Name: currency_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE currency_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: currency_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE currency_id_seq OWNED BY currency.id;


--
-- Name: currency_rate; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE currency_rate (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    supplier_id integer NOT NULL,
    date date NOT NULL,
    rate numeric(16,2) NOT NULL
);


--
-- Name: currency_rate_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE currency_rate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: currency_rate_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE currency_rate_id_seq OWNED BY currency_rate.id;


--
-- Name: dismissal; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE dismissal (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    date date,
    employee_id integer NOT NULL
);


--
-- Name: dismissal_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE dismissal_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: dismissal_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE dismissal_id_seq OWNED BY dismissal.id;


--
-- Name: employee; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    photo_upload_id integer,
    first_name character varying(32) NOT NULL,
    last_name character varying(32) NOT NULL,
    second_name character varying(32),
    itn character varying(32)
);


--
-- Name: employee_address; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee_address (
    employee_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: employee_contact; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee_contact (
    employee_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: employee_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE employee_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: employee_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE employee_id_seq OWNED BY employee.id;


--
-- Name: employee_notification; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee_notification (
    employee_id integer NOT NULL,
    notification_id integer NOT NULL,
    status smallint NOT NULL
);


--
-- Name: employee_passport; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee_passport (
    employee_id integer NOT NULL,
    passport_id integer NOT NULL
);


--
-- Name: employee_subaccount; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee_subaccount (
    employee_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: employee_subscription; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee_subscription (
    employee_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: employee_upload; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee_upload (
    employee_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: foodcat; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE foodcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: foodcat_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE foodcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: foodcat_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE foodcat_id_seq OWNED BY foodcat.id;


--
-- Name: hotel; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE hotel (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    hotelcat_id integer NOT NULL,
    location_id integer,
    name character varying(32) NOT NULL
);


--
-- Name: hotel_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE hotel_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: hotel_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE hotel_id_seq OWNED BY hotel.id;


--
-- Name: hotelcat; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE hotelcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: hotelcat_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE hotelcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: hotelcat_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE hotelcat_id_seq OWNED BY hotelcat.id;


--
-- Name: income; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE income (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    invoice_id integer NOT NULL,
    account_item_id integer NOT NULL,
    sum numeric(16,2) NOT NULL,
    date date NOT NULL,
    descr character varying(255)
);


--
-- Name: income_cashflow; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE income_cashflow (
    income_id integer NOT NULL,
    cashflow_id integer NOT NULL
);


--
-- Name: income_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE income_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: income_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE income_id_seq OWNED BY income.id;


--
-- Name: invoice; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE invoice (
    id integer NOT NULL,
    date date NOT NULL,
    active_until date NOT NULL,
    resource_id integer NOT NULL,
    order_id integer NOT NULL,
    account_id integer NOT NULL,
    descr character varying(255)
);


--
-- Name: invoice_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE invoice_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: invoice_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE invoice_id_seq OWNED BY invoice.id;


--
-- Name: invoice_item; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE invoice_item (
    id integer NOT NULL,
    invoice_id integer NOT NULL,
    order_item_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    vat numeric(16,2) NOT NULL,
    discount numeric(16,2) NOT NULL,
    descr character varying(255)
);


--
-- Name: invoice_item_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE invoice_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: invoice_item_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE invoice_item_id_seq OWNED BY invoice_item.id;


--
-- Name: lead; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE lead (
    id integer NOT NULL,
    lead_date date NOT NULL,
    resource_id integer NOT NULL,
    advsource_id integer NOT NULL,
    customer_id integer NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: lead_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE lead_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE lead_id_seq OWNED BY lead.id;


--
-- Name: lead_item; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE lead_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    lead_id integer,
    service_id integer NOT NULL,
    currency_id integer,
    price_from numeric(16,2),
    price_to numeric(16,2),
    descr character varying
);


--
-- Name: lead_item_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE lead_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_item_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE lead_item_id_seq OWNED BY lead_item.id;


--
-- Name: lead_offer; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE lead_offer (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    lead_id integer,
    service_id integer NOT NULL,
    currency_id integer NOT NULL,
    supplier_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    status smallint NOT NULL,
    descr character varying
);


--
-- Name: lead_offer_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE lead_offer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_offer_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE lead_offer_id_seq OWNED BY lead_offer.id;


--
-- Name: location; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE location (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    region_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: location_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE location_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: location_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE location_id_seq OWNED BY location.id;


--
-- Name: mail; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE mail (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    subject character varying(128) NOT NULL,
    descr character varying(255),
    html_content text
);


--
-- Name: mail_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE mail_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: mail_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE mail_id_seq OWNED BY mail.id;


--
-- Name: navigation; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE navigation (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    position_id integer,
    parent_id integer,
    name character varying(32) NOT NULL,
    url character varying(128) NOT NULL,
    action character varying(32),
    icon_cls character varying(32),
    separator_before boolean,
    sort_order integer NOT NULL
);


--
-- Name: navigation_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE navigation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: navigation_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE navigation_id_seq OWNED BY navigation.id;


--
-- Name: note; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE note (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    title character varying(255) NOT NULL,
    descr character varying
);


--
-- Name: note_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE note_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: note_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE note_id_seq OWNED BY note.id;


--
-- Name: note_resource; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE note_resource (
    note_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: note_upload; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE note_upload (
    note_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: notification; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE notification (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    descr character varying NOT NULL,
    url character varying,
    created timestamp with time zone
);


--
-- Name: notification_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE notification_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: notification_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE notification_id_seq OWNED BY notification.id;


--
-- Name: notification_resource; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE notification_resource (
    notification_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: order; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE "order" (
    id integer NOT NULL,
    deal_date date NOT NULL,
    resource_id integer NOT NULL,
    customer_id integer NOT NULL,
    lead_id integer,
    advsource_id integer NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: order_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE order_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: order_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE order_id_seq OWNED BY "order".id;


--
-- Name: order_item; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE order_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    order_id integer,
    service_id integer NOT NULL,
    currency_id integer NOT NULL,
    supplier_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    discount_sum numeric(16,2) NOT NULL,
    discount_percent numeric(16,2) NOT NULL,
    status smallint NOT NULL,
    status_date date,
    status_info character varying(128)
);


--
-- Name: order_item_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE order_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: order_item_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE order_item_id_seq OWNED BY order_item.id;


--
-- Name: outgoing; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE outgoing (
    id integer NOT NULL,
    date date NOT NULL,
    resource_id integer NOT NULL,
    account_item_id integer NOT NULL,
    subaccount_id integer NOT NULL,
    sum numeric(16,2) NOT NULL,
    descr character varying(255)
);


--
-- Name: outgoing_cashflow; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE outgoing_cashflow (
    outgoing_id integer NOT NULL,
    cashflow_id integer NOT NULL
);


--
-- Name: outgoing_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE outgoing_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: outgoing_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE outgoing_id_seq OWNED BY outgoing.id;


--
-- Name: passport; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE passport (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    country_id integer NOT NULL,
    passport_type smallint NOT NULL,
    num character varying(32) NOT NULL,
    end_date date,
    descr character varying(255)
);


--
-- Name: passport_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE passport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: passport_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE passport_id_seq OWNED BY passport.id;


--
-- Name: passport_upload; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE passport_upload (
    passport_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: permision; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE permision (
    id integer NOT NULL,
    resource_type_id integer NOT NULL,
    position_id integer NOT NULL,
    permisions character varying[],
    scope_type character varying,
    structure_id integer
);


--
-- Name: permision_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE permision_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: permision_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE permision_id_seq OWNED BY permision.id;


--
-- Name: person; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE person (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    person_category_id integer,
    first_name character varying(32) NOT NULL,
    last_name character varying(32),
    second_name character varying(32),
    birthday date,
    gender smallint,
    email_subscription boolean,
    sms_subscription boolean,
    descr character varying(255)
);


--
-- Name: person_address; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE person_address (
    person_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: person_category; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE person_category (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: person_category_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE person_category_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: person_category_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE person_category_id_seq OWNED BY person_category.id;


--
-- Name: person_contact; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE person_contact (
    person_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: person_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE person_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: person_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE person_id_seq OWNED BY person.id;


--
-- Name: person_order_item; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE person_order_item (
    order_item_id integer NOT NULL,
    person_id integer NOT NULL
);


--
-- Name: person_passport; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE person_passport (
    person_id integer NOT NULL,
    passport_id integer NOT NULL
);


--
-- Name: person_subaccount; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE person_subaccount (
    person_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: position; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE "position" (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    structure_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: position_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE position_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: position_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE position_id_seq OWNED BY "position".id;


--
-- Name: region; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE region (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    country_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: region_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE region_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: region_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE region_id_seq OWNED BY region.id;


--
-- Name: resource; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE resource (
    id integer NOT NULL,
    resource_type_id integer NOT NULL,
    maintainer_id integer,
    modifydt timestamp without time zone,
    protected boolean
);


--
-- Name: resource_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE resource_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: resource_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE resource_id_seq OWNED BY resource.id;


--
-- Name: resource_type; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE resource_type (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    humanize character varying(32) NOT NULL,
    resource_name character varying(32) NOT NULL,
    module character varying(128) NOT NULL,
    settings json,
    descr character varying(255),
    status smallint NOT NULL
);


--
-- Name: resource_type_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE resource_type_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: resource_type_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE resource_type_id_seq OWNED BY resource_type.id;


--
-- Name: roomcat; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE roomcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: roomcat_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE roomcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: roomcat_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE roomcat_id_seq OWNED BY roomcat.id;


--
-- Name: service; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE service (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    resource_type_id integer NOT NULL,
    name character varying(32) NOT NULL,
    display_text character varying(255) NOT NULL,
    descr character varying(255)
);


--
-- Name: service_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE service_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: service_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE service_id_seq OWNED BY service.id;


--
-- Name: spassport; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE spassport (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    photo_done boolean NOT NULL,
    docs_receive_date date,
    docs_transfer_date date,
    passport_receive_date date,
    descr character varying(255)
);


--
-- Name: spassport_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE spassport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: spassport_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE spassport_id_seq OWNED BY spassport.id;


--
-- Name: spassport_order_item; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE spassport_order_item (
    order_item_id integer NOT NULL,
    spassport_id integer NOT NULL
);


--
-- Name: structure; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE structure (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    parent_id integer,
    company_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: structure_address; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE structure_address (
    structure_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: structure_bank_detail; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE structure_bank_detail (
    structure_id integer NOT NULL,
    bank_detail_id integer NOT NULL
);


--
-- Name: structure_contact; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE structure_contact (
    structure_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: structure_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE structure_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: structure_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE structure_id_seq OWNED BY structure.id;


--
-- Name: subaccount; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE subaccount (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    account_id integer NOT NULL,
    name character varying(255) NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: subaccount_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE subaccount_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: subaccount_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE subaccount_id_seq OWNED BY subaccount.id;


--
-- Name: supplier; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE supplier (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    supplier_type_id integer NOT NULL,
    name character varying(32) NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: supplier_bank_detail; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE supplier_bank_detail (
    supplier_id integer NOT NULL,
    bank_detail_id integer NOT NULL
);


--
-- Name: supplier_bperson; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE supplier_bperson (
    supplier_id integer NOT NULL,
    bperson_id integer NOT NULL
);


--
-- Name: supplier_contract; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE supplier_contract (
    supplier_id integer NOT NULL,
    contract_id integer NOT NULL
);


--
-- Name: supplier_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE supplier_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: supplier_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE supplier_id_seq OWNED BY supplier.id;


--
-- Name: supplier_subaccount; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE supplier_subaccount (
    supplier_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: supplier_type; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE supplier_type (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    descr character varying(255)
);


--
-- Name: supplier_type_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE supplier_type_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: supplier_type_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE supplier_type_id_seq OWNED BY supplier_type.id;


--
-- Name: tag; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE tag (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: tag_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE tag_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: tag_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE tag_id_seq OWNED BY tag.id;


--
-- Name: tag_resource; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE tag_resource (
    tag_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: task; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE task (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    title character varying(128) NOT NULL,
    deadline timestamp with time zone NOT NULL,
    reminder integer,
    descr character varying,
    status smallint NOT NULL
);


--
-- Name: task_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE task_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: task_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE task_id_seq OWNED BY task.id;


--
-- Name: task_resource; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE task_resource (
    task_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: task_upload; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE task_upload (
    task_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: ticket; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE ticket (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    start_location_id integer NOT NULL,
    end_location_id integer NOT NULL,
    ticket_class_id integer NOT NULL,
    transport_id integer NOT NULL,
    start_dt timestamp with time zone NOT NULL,
    start_additional_info character varying(128),
    end_dt timestamp with time zone NOT NULL,
    end_additional_info character varying(128),
    adults integer NOT NULL,
    children integer NOT NULL,
    descr character varying(255)
);


--
-- Name: ticket_class; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE ticket_class (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: ticket_class_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE ticket_class_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: ticket_class_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE ticket_class_id_seq OWNED BY ticket_class.id;


--
-- Name: ticket_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE ticket_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: ticket_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE ticket_id_seq OWNED BY ticket.id;


--
-- Name: ticket_order_item; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE ticket_order_item (
    order_item_id integer NOT NULL,
    ticket_id integer NOT NULL
);


--
-- Name: tour; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE tour (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    start_location_id integer NOT NULL,
    start_transport_id integer NOT NULL,
    end_location_id integer NOT NULL,
    end_transport_id integer NOT NULL,
    hotel_id integer,
    accomodation_id integer,
    foodcat_id integer,
    roomcat_id integer,
    transfer_id integer,
    adults integer NOT NULL,
    children integer NOT NULL,
    start_date date NOT NULL,
    start_additional_info character varying(128),
    end_date date NOT NULL,
    end_additional_info character varying(128),
    descr character varying(255)
);


--
-- Name: tour_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE tour_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: tour_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE tour_id_seq OWNED BY tour.id;


--
-- Name: tour_order_item; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE tour_order_item (
    order_item_id integer NOT NULL,
    tour_id integer NOT NULL
);


--
-- Name: transfer; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE transfer (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: transfer_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE transfer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: transfer_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE transfer_id_seq OWNED BY transfer.id;


--
-- Name: transport; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE transport (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: transport_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE transport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: transport_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE transport_id_seq OWNED BY transport.id;


--
-- Name: upload; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE upload (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL,
    path character varying(255) NOT NULL,
    size numeric(16,2) NOT NULL,
    media_type character varying(128) NOT NULL,
    descr character varying(255)
);


--
-- Name: upload_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE upload_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: upload_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE upload_id_seq OWNED BY upload.id;


--
-- Name: user; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE "user" (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    employee_id integer NOT NULL,
    username character varying(32) NOT NULL,
    email character varying(128) NOT NULL,
    password character varying(128) NOT NULL
);


--
-- Name: user_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE user_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: user_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE user_id_seq OWNED BY "user".id;


--
-- Name: vat; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE vat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    account_id integer NOT NULL,
    service_id integer NOT NULL,
    date date NOT NULL,
    vat numeric(5,2) NOT NULL,
    calc_method smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: vat_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE vat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: vat_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE vat_id_seq OWNED BY vat.id;


--
-- Name: visa; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE visa (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    country_id integer NOT NULL,
    start_date date NOT NULL,
    end_date date,
    type smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: visa_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE visa_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: visa_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE visa_id_seq OWNED BY visa.id;


--
-- Name: visa_order_item; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE visa_order_item (
    order_item_id integer NOT NULL,
    visa_id integer NOT NULL
);


SET search_path = public, pg_catalog;

--
-- Name: accomodation; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE accomodation (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: accomodation_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE accomodation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: accomodation_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE accomodation_id_seq OWNED BY accomodation.id;


--
-- Name: account; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE account (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    account_type smallint NOT NULL,
    name character varying(255) NOT NULL,
    display_text character varying(255) NOT NULL,
    descr character varying(255),
    status smallint NOT NULL
);


--
-- Name: account_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE account_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: account_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE account_id_seq OWNED BY account.id;


--
-- Name: account_item; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE account_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(128) NOT NULL,
    parent_id integer,
    type integer NOT NULL,
    status integer NOT NULL,
    descr character varying(128)
);


--
-- Name: account_item_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE account_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: account_item_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE account_item_id_seq OWNED BY account_item.id;


--
-- Name: address; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE address (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    location_id integer NOT NULL,
    zip_code character varying(12) NOT NULL,
    address character varying(255) NOT NULL
);


--
-- Name: address_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE address_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: address_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE address_id_seq OWNED BY address.id;


--
-- Name: advsource; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE advsource (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: advsource_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE advsource_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: advsource_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE advsource_id_seq OWNED BY advsource.id;


--
-- Name: alembic_version; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE alembic_version (
    version_num character varying(32) NOT NULL
);


--
-- Name: appointment; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE appointment (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    employee_id integer NOT NULL,
    position_id integer NOT NULL,
    salary numeric(16,2) NOT NULL,
    date date
);


--
-- Name: bank; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE bank (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: bank_address; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE bank_address (
    bank_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: bank_detail; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE bank_detail (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    bank_id integer NOT NULL,
    beneficiary character varying(255),
    account character varying(32) NOT NULL,
    swift_code character varying(32) NOT NULL
);


--
-- Name: bank_detail_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE bank_detail_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bank_detail_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE bank_detail_id_seq OWNED BY bank_detail.id;


--
-- Name: bank_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE bank_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bank_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE bank_id_seq OWNED BY bank.id;


--
-- Name: bperson; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE bperson (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    first_name character varying(32) NOT NULL,
    last_name character varying(32),
    second_name character varying(32),
    position_name character varying(64),
    descr character varying(255),
    status smallint NOT NULL
);


--
-- Name: bperson_contact; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE bperson_contact (
    bperson_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: bperson_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE bperson_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bperson_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE bperson_id_seq OWNED BY bperson.id;


--
-- Name: calculation; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE calculation (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    order_item_id integer,
    contract_id integer
);


--
-- Name: calculation_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE calculation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: calculation_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE calculation_id_seq OWNED BY calculation.id;


--
-- Name: campaign; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE campaign (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    start_dt timestamp with time zone NOT NULL,
    status smallint NOT NULL,
    mail_id integer,
    person_category_id integer
);


--
-- Name: campaign_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE campaign_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: campaign_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE campaign_id_seq OWNED BY campaign.id;


--
-- Name: cashflow; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE cashflow (
    id integer NOT NULL,
    subaccount_from_id integer,
    subaccount_to_id integer,
    account_item_id integer,
    sum numeric(16,2) NOT NULL,
    date date NOT NULL,
    vat numeric(16,2)
);


--
-- Name: commission; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE commission (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    service_id integer NOT NULL,
    percentage numeric(5,2) NOT NULL,
    price numeric(16,2) NOT NULL,
    currency_id integer NOT NULL,
    descr character varying(255),
    CONSTRAINT chk_commission_percentage CHECK (((percentage >= (0)::numeric) AND (percentage <= (100)::numeric)))
);


--
-- Name: commission_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE commission_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: commission_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE commission_id_seq OWNED BY commission.id;


--
-- Name: companies_counter; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE companies_counter
    START WITH 1000
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: position; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE "position" (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    structure_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: companies_positions_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE companies_positions_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: companies_positions_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE companies_positions_id_seq OWNED BY "position".id;


--
-- Name: company; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE company (
    id integer NOT NULL,
    resource_id integer,
    name character varying(32) NOT NULL,
    currency_id integer,
    settings json,
    email character varying(32) NOT NULL
);


--
-- Name: company_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE company_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: company_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE company_id_seq OWNED BY company.id;


--
-- Name: company_subaccount; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE company_subaccount (
    company_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: contact; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE contact (
    id integer NOT NULL,
    contact character varying NOT NULL,
    resource_id integer NOT NULL,
    contact_type integer NOT NULL,
    descr character varying(255),
    status smallint NOT NULL
);


--
-- Name: contact_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE contact_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: contact_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE contact_id_seq OWNED BY contact.id;


--
-- Name: contract; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE contract (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    date date NOT NULL,
    num character varying NOT NULL,
    descr character varying(255),
    status smallint NOT NULL
);


--
-- Name: contract_commission; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE contract_commission (
    contract_id integer NOT NULL,
    commission_id integer NOT NULL
);


--
-- Name: country; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE country (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    iso_code character varying(2) NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: country_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE country_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: country_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE country_id_seq OWNED BY country.id;


--
-- Name: crosspayment; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE crosspayment (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    cashflow_id integer NOT NULL,
    descr character varying(255)
);


--
-- Name: crosspayment_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE crosspayment_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: crosspayment_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE crosspayment_id_seq OWNED BY crosspayment.id;


--
-- Name: currency; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE currency (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    iso_code character varying(3) NOT NULL
);


--
-- Name: currency_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE currency_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: currency_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE currency_id_seq OWNED BY currency.id;


--
-- Name: currency_rate; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE currency_rate (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    date date NOT NULL,
    currency_id integer NOT NULL,
    rate numeric(16,2) NOT NULL,
    supplier_id integer NOT NULL
);


--
-- Name: currency_rate_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE currency_rate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: currency_rate_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE currency_rate_id_seq OWNED BY currency_rate.id;


--
-- Name: dismissal; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE dismissal (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    date date,
    employee_id integer NOT NULL
);


--
-- Name: dismissal_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE dismissal_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: dismissal_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE dismissal_id_seq OWNED BY dismissal.id;


--
-- Name: employee; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE employee (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    first_name character varying(32) NOT NULL,
    last_name character varying(32) NOT NULL,
    second_name character varying(32),
    itn character varying(32),
    photo_upload_id integer
);


--
-- Name: employee_address; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE employee_address (
    employee_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: employee_contact; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE employee_contact (
    employee_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: employee_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE employee_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: employee_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE employee_id_seq OWNED BY employee.id;


--
-- Name: employee_notification; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE employee_notification (
    employee_id integer NOT NULL,
    notification_id integer NOT NULL,
    status smallint NOT NULL
);


--
-- Name: employee_passport; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE employee_passport (
    employee_id integer NOT NULL,
    passport_id integer NOT NULL
);


--
-- Name: employee_subaccount; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE employee_subaccount (
    employee_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: employee_subscription; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE employee_subscription (
    employee_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: employee_upload; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE employee_upload (
    employee_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: employees_appointments_h_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE employees_appointments_h_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: employees_appointments_h_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE employees_appointments_h_id_seq OWNED BY appointment.id;


--
-- Name: foodcat; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE foodcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: foodcat_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE foodcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: foodcat_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE foodcat_id_seq OWNED BY foodcat.id;


--
-- Name: hotel; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE hotel (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    hotelcat_id integer NOT NULL,
    name character varying(32) NOT NULL,
    location_id integer
);


--
-- Name: hotel_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE hotel_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: hotel_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE hotel_id_seq OWNED BY hotel.id;


--
-- Name: hotelcat; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE hotelcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: hotelcat_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE hotelcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: hotelcat_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE hotelcat_id_seq OWNED BY hotelcat.id;


--
-- Name: income; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE income (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    invoice_id integer NOT NULL,
    account_item_id integer NOT NULL,
    date date NOT NULL,
    sum numeric(16,2) NOT NULL,
    descr character varying(255)
);


--
-- Name: income_cashflow; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE income_cashflow (
    income_id integer NOT NULL,
    cashflow_id integer NOT NULL
);


--
-- Name: income_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE income_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: income_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE income_id_seq OWNED BY income.id;


--
-- Name: invoice; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE invoice (
    id integer NOT NULL,
    date date NOT NULL,
    resource_id integer NOT NULL,
    account_id integer NOT NULL,
    active_until date NOT NULL,
    order_id integer NOT NULL,
    descr character varying(255)
);


--
-- Name: invoice_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE invoice_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: invoice_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE invoice_id_seq OWNED BY invoice.id;


--
-- Name: invoice_item; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE invoice_item (
    id integer NOT NULL,
    invoice_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    vat numeric(16,2) NOT NULL,
    discount numeric(16,2) NOT NULL,
    descr character varying(255),
    order_item_id integer NOT NULL
);


--
-- Name: invoice_item_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE invoice_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: invoice_item_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE invoice_item_id_seq OWNED BY invoice_item.id;


--
-- Name: lead; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE lead (
    id integer NOT NULL,
    lead_date date NOT NULL,
    resource_id integer NOT NULL,
    advsource_id integer NOT NULL,
    customer_id integer NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: lead_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE lead_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE lead_id_seq OWNED BY lead.id;


--
-- Name: lead_item; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE lead_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    lead_id integer,
    service_id integer NOT NULL,
    currency_id integer,
    price_from numeric(16,2),
    price_to numeric(16,2),
    descr character varying
);


--
-- Name: lead_item_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE lead_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_item_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE lead_item_id_seq OWNED BY lead_item.id;


--
-- Name: lead_offer; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE lead_offer (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    lead_id integer,
    service_id integer NOT NULL,
    currency_id integer NOT NULL,
    supplier_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    status smallint NOT NULL,
    descr character varying
);


--
-- Name: lead_offer_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE lead_offer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_offer_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE lead_offer_id_seq OWNED BY lead_offer.id;


--
-- Name: licence_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE licence_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: licence_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE licence_id_seq OWNED BY contract.id;


--
-- Name: location; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE location (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    region_id integer NOT NULL
);


--
-- Name: location_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE location_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: location_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE location_id_seq OWNED BY location.id;


--
-- Name: mail; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE mail (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    html_content text,
    descr character varying(255),
    subject character varying(128) NOT NULL
);


--
-- Name: mail_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE mail_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: mail_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE mail_id_seq OWNED BY mail.id;


--
-- Name: navigation; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE navigation (
    id integer NOT NULL,
    position_id integer,
    parent_id integer,
    name character varying(32) NOT NULL,
    url character varying(128) NOT NULL,
    icon_cls character varying(32),
    sort_order integer NOT NULL,
    resource_id integer NOT NULL,
    separator_before boolean,
    action character varying(32)
);


--
-- Name: note; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE note (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    title character varying(255) NOT NULL,
    descr character varying
);


--
-- Name: note_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE note_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: note_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE note_id_seq OWNED BY note.id;


--
-- Name: note_resource; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE note_resource (
    note_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: note_upload; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE note_upload (
    note_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: notification; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE notification (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    descr character varying NOT NULL,
    created timestamp with time zone,
    url character varying
);


--
-- Name: notification_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE notification_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: notification_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE notification_id_seq OWNED BY notification.id;


--
-- Name: notification_resource; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE notification_resource (
    notification_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: order; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE "order" (
    id integer NOT NULL,
    deal_date date NOT NULL,
    resource_id integer NOT NULL,
    customer_id integer NOT NULL,
    advsource_id integer NOT NULL,
    descr character varying(255),
    lead_id integer,
    status smallint NOT NULL
);


--
-- Name: order_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE order_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: order_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE order_id_seq OWNED BY "order".id;


--
-- Name: order_item; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE order_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    order_id integer,
    service_id integer NOT NULL,
    currency_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    status smallint NOT NULL,
    status_date date,
    status_info character varying(128),
    supplier_id integer NOT NULL,
    discount_sum numeric(16,2) NOT NULL,
    discount_percent numeric(16,2) NOT NULL
);


--
-- Name: order_item_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE order_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: order_item_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE order_item_id_seq OWNED BY order_item.id;


--
-- Name: outgoing; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE outgoing (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    account_item_id integer NOT NULL,
    date date NOT NULL,
    subaccount_id integer NOT NULL,
    sum numeric(16,2) NOT NULL,
    descr character varying(255)
);


--
-- Name: outgoing_cashflow; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE outgoing_cashflow (
    outgoing_id integer NOT NULL,
    cashflow_id integer NOT NULL
);


--
-- Name: outgoing_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE outgoing_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: outgoing_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE outgoing_id_seq OWNED BY outgoing.id;


--
-- Name: passport; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE passport (
    id integer NOT NULL,
    country_id integer NOT NULL,
    num character varying(32) NOT NULL,
    descr character varying(255),
    resource_id integer NOT NULL,
    end_date date,
    passport_type integer NOT NULL
);


--
-- Name: passport_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE passport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: passport_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE passport_id_seq OWNED BY passport.id;


--
-- Name: passport_upload; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE passport_upload (
    passport_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: permision; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE permision (
    id integer NOT NULL,
    resource_type_id integer NOT NULL,
    position_id integer NOT NULL,
    permisions character varying[],
    structure_id integer,
    scope_type character varying(12)
);


--
-- Name: person; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE person (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    first_name character varying(32) NOT NULL,
    last_name character varying(32),
    second_name character varying(32),
    birthday date,
    gender integer,
    descr character varying(255),
    person_category_id integer,
    email_subscription boolean,
    sms_subscription boolean
);


--
-- Name: person_address; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE person_address (
    person_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: person_category; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE person_category (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: person_category_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE person_category_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: person_category_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE person_category_id_seq OWNED BY person_category.id;


--
-- Name: person_contact; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE person_contact (
    person_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: person_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE person_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: person_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE person_id_seq OWNED BY person.id;


--
-- Name: person_order_item; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE person_order_item (
    order_item_id integer NOT NULL,
    person_id integer NOT NULL
);


--
-- Name: person_passport; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE person_passport (
    person_id integer NOT NULL,
    passport_id integer NOT NULL
);


--
-- Name: person_subaccount; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE person_subaccount (
    person_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: positions_navigations_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE positions_navigations_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: positions_navigations_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE positions_navigations_id_seq OWNED BY navigation.id;


--
-- Name: positions_permisions_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE positions_permisions_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: positions_permisions_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE positions_permisions_id_seq OWNED BY permision.id;


--
-- Name: region; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE region (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    country_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: region_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE region_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: region_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE region_id_seq OWNED BY region.id;


--
-- Name: resource; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE resource (
    id integer NOT NULL,
    resource_type_id integer NOT NULL,
    protected boolean,
    maintainer_id integer,
    modifydt timestamp without time zone
);


--
-- Name: resource_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE resource_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: resource_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE resource_id_seq OWNED BY resource.id;


--
-- Name: resource_type; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE resource_type (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    humanize character varying(32) NOT NULL,
    resource_name character varying(32) NOT NULL,
    module character varying(128) NOT NULL,
    descr character varying(128),
    settings json,
    status smallint NOT NULL
);


--
-- Name: resource_type_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE resource_type_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: resource_type_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE resource_type_id_seq OWNED BY resource_type.id;


--
-- Name: roomcat; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE roomcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: roomcat_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE roomcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: roomcat_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE roomcat_id_seq OWNED BY roomcat.id;


--
-- Name: service; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE service (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    descr character varying(256),
    display_text character varying(256) NOT NULL,
    resource_type_id integer NOT NULL
);


--
-- Name: service_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE service_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: service_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE service_id_seq OWNED BY service.id;


--
-- Name: spassport; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE spassport (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    photo_done boolean NOT NULL,
    docs_receive_date date,
    docs_transfer_date date,
    passport_receive_date date,
    descr character varying(255)
);


--
-- Name: spassport_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE spassport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: spassport_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE spassport_id_seq OWNED BY spassport.id;


--
-- Name: spassport_order_item; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE spassport_order_item (
    order_item_id integer NOT NULL,
    spassport_id integer NOT NULL
);


--
-- Name: structure; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE structure (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    parent_id integer,
    name character varying(32) NOT NULL,
    company_id integer NOT NULL
);


--
-- Name: structure_address; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE structure_address (
    structure_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: structure_bank_detail; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE structure_bank_detail (
    structure_id integer NOT NULL,
    bank_detail_id integer NOT NULL
);


--
-- Name: structure_contact; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE structure_contact (
    structure_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: structures_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE structures_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: structures_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE structures_id_seq OWNED BY structure.id;


--
-- Name: subaccount; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE subaccount (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    account_id integer NOT NULL,
    name character varying(255) NOT NULL,
    descr character varying(255),
    status smallint NOT NULL
);


--
-- Name: subaccount_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE subaccount_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: subaccount_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE subaccount_id_seq OWNED BY subaccount.id;


--
-- Name: supplier; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE supplier (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    status smallint NOT NULL,
    descr character varying(255),
    supplier_type_id integer NOT NULL
);


--
-- Name: supplier_bank_detail; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE supplier_bank_detail (
    supplier_id integer NOT NULL,
    bank_detail_id integer NOT NULL
);


--
-- Name: supplier_bperson; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE supplier_bperson (
    supplier_id integer NOT NULL,
    bperson_id integer NOT NULL
);


--
-- Name: supplier_contract; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE supplier_contract (
    supplier_id integer NOT NULL,
    contract_id integer NOT NULL
);


--
-- Name: supplier_subaccount; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE supplier_subaccount (
    supplier_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: supplier_type; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE supplier_type (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    descr character varying(255)
);


--
-- Name: supplier_type_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE supplier_type_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: supplier_type_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE supplier_type_id_seq OWNED BY supplier_type.id;


--
-- Name: tag; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE tag (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: tag_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE tag_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: tag_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE tag_id_seq OWNED BY tag.id;


--
-- Name: tag_resource; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE tag_resource (
    tag_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: task; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE task (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    title character varying(128) NOT NULL,
    deadline timestamp with time zone NOT NULL,
    descr character varying,
    status smallint NOT NULL,
    reminder integer
);


--
-- Name: task_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE task_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: task_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE task_id_seq OWNED BY task.id;


--
-- Name: task_resource; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE task_resource (
    task_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: task_upload; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE task_upload (
    task_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: ticket; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE ticket (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    start_location_id integer NOT NULL,
    end_location_id integer NOT NULL,
    ticket_class_id integer NOT NULL,
    transport_id integer NOT NULL,
    start_dt timestamp with time zone NOT NULL,
    start_additional_info character varying(128),
    end_dt timestamp with time zone NOT NULL,
    end_additional_info character varying(128),
    adults integer NOT NULL,
    children integer NOT NULL,
    descr character varying(255)
);


--
-- Name: ticket_class; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE ticket_class (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: ticket_class_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE ticket_class_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: ticket_class_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE ticket_class_id_seq OWNED BY ticket_class.id;


--
-- Name: ticket_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE ticket_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: ticket_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE ticket_id_seq OWNED BY ticket.id;


--
-- Name: ticket_order_item; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE ticket_order_item (
    order_item_id integer NOT NULL,
    ticket_id integer NOT NULL
);


--
-- Name: tour; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE tour (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    start_location_id integer NOT NULL,
    end_location_id integer NOT NULL,
    hotel_id integer,
    accomodation_id integer,
    foodcat_id integer,
    roomcat_id integer,
    adults integer NOT NULL,
    children integer NOT NULL,
    start_date date NOT NULL,
    end_date date NOT NULL,
    descr character varying(255),
    end_transport_id integer NOT NULL,
    start_transport_id integer NOT NULL,
    transfer_id integer,
    end_additional_info character varying(128),
    start_additional_info character varying(128)
);


--
-- Name: tour_id_seq1; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE tour_id_seq1
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: tour_id_seq1; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE tour_id_seq1 OWNED BY tour.id;


--
-- Name: tour_order_item; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE tour_order_item (
    order_item_id integer NOT NULL,
    tour_id integer NOT NULL
);


--
-- Name: touroperator_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE touroperator_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: touroperator_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE touroperator_id_seq OWNED BY supplier.id;


--
-- Name: transfer; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE transfer (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: transfer_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE transfer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: transfer_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE transfer_id_seq OWNED BY cashflow.id;


--
-- Name: transfer_id_seq1; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE transfer_id_seq1
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: transfer_id_seq1; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE transfer_id_seq1 OWNED BY transfer.id;


--
-- Name: transport; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE transport (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: transport_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE transport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: transport_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE transport_id_seq OWNED BY transport.id;


--
-- Name: upload; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE upload (
    id integer NOT NULL,
    path character varying(255) NOT NULL,
    size numeric(16,2) NOT NULL,
    media_type character varying(128) NOT NULL,
    descr character varying(255),
    name character varying(255) NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: upload_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE upload_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: upload_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE upload_id_seq OWNED BY upload.id;


--
-- Name: user; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE "user" (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    username character varying(32) NOT NULL,
    email character varying(128) NOT NULL,
    password character varying(128) NOT NULL,
    employee_id integer NOT NULL
);


--
-- Name: user_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE user_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: user_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE user_id_seq OWNED BY "user".id;


--
-- Name: vat; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE vat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    service_id integer NOT NULL,
    date date NOT NULL,
    vat numeric(5,2) NOT NULL,
    calc_method smallint NOT NULL,
    descr character varying(255),
    account_id integer NOT NULL
);


--
-- Name: vat_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE vat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: vat_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE vat_id_seq OWNED BY vat.id;


--
-- Name: visa; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE visa (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    country_id integer NOT NULL,
    start_date date NOT NULL,
    end_date date,
    type smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: visa_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE visa_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: visa_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE visa_id_seq OWNED BY visa.id;


--
-- Name: visa_order_item; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE visa_order_item (
    order_item_id integer NOT NULL,
    visa_id integer NOT NULL
);


SET search_path = company_en, pg_catalog;

--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY accomodation ALTER COLUMN id SET DEFAULT nextval('accomodation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY account ALTER COLUMN id SET DEFAULT nextval('account_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY account_item ALTER COLUMN id SET DEFAULT nextval('account_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY address ALTER COLUMN id SET DEFAULT nextval('address_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY advsource ALTER COLUMN id SET DEFAULT nextval('advsource_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY appointment ALTER COLUMN id SET DEFAULT nextval('appointment_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY bank ALTER COLUMN id SET DEFAULT nextval('bank_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY bank_detail ALTER COLUMN id SET DEFAULT nextval('bank_detail_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY bperson ALTER COLUMN id SET DEFAULT nextval('bperson_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY calculation ALTER COLUMN id SET DEFAULT nextval('calculation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY campaign ALTER COLUMN id SET DEFAULT nextval('campaign_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY cashflow ALTER COLUMN id SET DEFAULT nextval('cashflow_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY commission ALTER COLUMN id SET DEFAULT nextval('commission_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY company ALTER COLUMN id SET DEFAULT nextval('company_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY contact ALTER COLUMN id SET DEFAULT nextval('contact_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY contract ALTER COLUMN id SET DEFAULT nextval('contract_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY country ALTER COLUMN id SET DEFAULT nextval('country_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY crosspayment ALTER COLUMN id SET DEFAULT nextval('crosspayment_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY currency ALTER COLUMN id SET DEFAULT nextval('currency_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY currency_rate ALTER COLUMN id SET DEFAULT nextval('currency_rate_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY dismissal ALTER COLUMN id SET DEFAULT nextval('dismissal_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee ALTER COLUMN id SET DEFAULT nextval('employee_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY foodcat ALTER COLUMN id SET DEFAULT nextval('foodcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY hotel ALTER COLUMN id SET DEFAULT nextval('hotel_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY hotelcat ALTER COLUMN id SET DEFAULT nextval('hotelcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY income ALTER COLUMN id SET DEFAULT nextval('income_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY invoice ALTER COLUMN id SET DEFAULT nextval('invoice_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY invoice_item ALTER COLUMN id SET DEFAULT nextval('invoice_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead ALTER COLUMN id SET DEFAULT nextval('lead_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead_item ALTER COLUMN id SET DEFAULT nextval('lead_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead_offer ALTER COLUMN id SET DEFAULT nextval('lead_offer_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY location ALTER COLUMN id SET DEFAULT nextval('location_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY mail ALTER COLUMN id SET DEFAULT nextval('mail_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY navigation ALTER COLUMN id SET DEFAULT nextval('navigation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY note ALTER COLUMN id SET DEFAULT nextval('note_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY notification ALTER COLUMN id SET DEFAULT nextval('notification_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY "order" ALTER COLUMN id SET DEFAULT nextval('order_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY order_item ALTER COLUMN id SET DEFAULT nextval('order_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY outgoing ALTER COLUMN id SET DEFAULT nextval('outgoing_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY passport ALTER COLUMN id SET DEFAULT nextval('passport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY permision ALTER COLUMN id SET DEFAULT nextval('permision_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person ALTER COLUMN id SET DEFAULT nextval('person_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person_category ALTER COLUMN id SET DEFAULT nextval('person_category_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY "position" ALTER COLUMN id SET DEFAULT nextval('position_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY region ALTER COLUMN id SET DEFAULT nextval('region_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY resource ALTER COLUMN id SET DEFAULT nextval('resource_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY resource_type ALTER COLUMN id SET DEFAULT nextval('resource_type_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY roomcat ALTER COLUMN id SET DEFAULT nextval('roomcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY service ALTER COLUMN id SET DEFAULT nextval('service_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY spassport ALTER COLUMN id SET DEFAULT nextval('spassport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY structure ALTER COLUMN id SET DEFAULT nextval('structure_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY subaccount ALTER COLUMN id SET DEFAULT nextval('subaccount_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY supplier ALTER COLUMN id SET DEFAULT nextval('supplier_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY supplier_type ALTER COLUMN id SET DEFAULT nextval('supplier_type_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tag ALTER COLUMN id SET DEFAULT nextval('tag_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY task ALTER COLUMN id SET DEFAULT nextval('task_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY ticket ALTER COLUMN id SET DEFAULT nextval('ticket_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY ticket_class ALTER COLUMN id SET DEFAULT nextval('ticket_class_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tour ALTER COLUMN id SET DEFAULT nextval('tour_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY transfer ALTER COLUMN id SET DEFAULT nextval('transfer_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY transport ALTER COLUMN id SET DEFAULT nextval('transport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY upload ALTER COLUMN id SET DEFAULT nextval('upload_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY "user" ALTER COLUMN id SET DEFAULT nextval('user_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY vat ALTER COLUMN id SET DEFAULT nextval('vat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY visa ALTER COLUMN id SET DEFAULT nextval('visa_id_seq'::regclass);


SET search_path = company_ru, pg_catalog;

--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY accomodation ALTER COLUMN id SET DEFAULT nextval('accomodation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY account ALTER COLUMN id SET DEFAULT nextval('account_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY account_item ALTER COLUMN id SET DEFAULT nextval('account_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY address ALTER COLUMN id SET DEFAULT nextval('address_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY advsource ALTER COLUMN id SET DEFAULT nextval('advsource_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY appointment ALTER COLUMN id SET DEFAULT nextval('appointment_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY bank ALTER COLUMN id SET DEFAULT nextval('bank_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY bank_detail ALTER COLUMN id SET DEFAULT nextval('bank_detail_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY bperson ALTER COLUMN id SET DEFAULT nextval('bperson_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY calculation ALTER COLUMN id SET DEFAULT nextval('calculation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY campaign ALTER COLUMN id SET DEFAULT nextval('campaign_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY cashflow ALTER COLUMN id SET DEFAULT nextval('cashflow_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY commission ALTER COLUMN id SET DEFAULT nextval('commission_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY company ALTER COLUMN id SET DEFAULT nextval('company_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY contact ALTER COLUMN id SET DEFAULT nextval('contact_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY contract ALTER COLUMN id SET DEFAULT nextval('contract_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY country ALTER COLUMN id SET DEFAULT nextval('country_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY crosspayment ALTER COLUMN id SET DEFAULT nextval('crosspayment_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY currency ALTER COLUMN id SET DEFAULT nextval('currency_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY currency_rate ALTER COLUMN id SET DEFAULT nextval('currency_rate_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY dismissal ALTER COLUMN id SET DEFAULT nextval('dismissal_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee ALTER COLUMN id SET DEFAULT nextval('employee_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY foodcat ALTER COLUMN id SET DEFAULT nextval('foodcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY hotel ALTER COLUMN id SET DEFAULT nextval('hotel_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY hotelcat ALTER COLUMN id SET DEFAULT nextval('hotelcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY income ALTER COLUMN id SET DEFAULT nextval('income_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY invoice ALTER COLUMN id SET DEFAULT nextval('invoice_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY invoice_item ALTER COLUMN id SET DEFAULT nextval('invoice_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead ALTER COLUMN id SET DEFAULT nextval('lead_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead_item ALTER COLUMN id SET DEFAULT nextval('lead_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead_offer ALTER COLUMN id SET DEFAULT nextval('lead_offer_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY location ALTER COLUMN id SET DEFAULT nextval('location_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY mail ALTER COLUMN id SET DEFAULT nextval('mail_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY navigation ALTER COLUMN id SET DEFAULT nextval('navigation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY note ALTER COLUMN id SET DEFAULT nextval('note_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY notification ALTER COLUMN id SET DEFAULT nextval('notification_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY "order" ALTER COLUMN id SET DEFAULT nextval('order_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY order_item ALTER COLUMN id SET DEFAULT nextval('order_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY outgoing ALTER COLUMN id SET DEFAULT nextval('outgoing_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY passport ALTER COLUMN id SET DEFAULT nextval('passport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY permision ALTER COLUMN id SET DEFAULT nextval('permision_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person ALTER COLUMN id SET DEFAULT nextval('person_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person_category ALTER COLUMN id SET DEFAULT nextval('person_category_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY "position" ALTER COLUMN id SET DEFAULT nextval('position_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY region ALTER COLUMN id SET DEFAULT nextval('region_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY resource ALTER COLUMN id SET DEFAULT nextval('resource_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY resource_type ALTER COLUMN id SET DEFAULT nextval('resource_type_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY roomcat ALTER COLUMN id SET DEFAULT nextval('roomcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY service ALTER COLUMN id SET DEFAULT nextval('service_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY spassport ALTER COLUMN id SET DEFAULT nextval('spassport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY structure ALTER COLUMN id SET DEFAULT nextval('structure_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY subaccount ALTER COLUMN id SET DEFAULT nextval('subaccount_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY supplier ALTER COLUMN id SET DEFAULT nextval('supplier_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY supplier_type ALTER COLUMN id SET DEFAULT nextval('supplier_type_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tag ALTER COLUMN id SET DEFAULT nextval('tag_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY task ALTER COLUMN id SET DEFAULT nextval('task_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY ticket ALTER COLUMN id SET DEFAULT nextval('ticket_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY ticket_class ALTER COLUMN id SET DEFAULT nextval('ticket_class_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tour ALTER COLUMN id SET DEFAULT nextval('tour_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY transfer ALTER COLUMN id SET DEFAULT nextval('transfer_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY transport ALTER COLUMN id SET DEFAULT nextval('transport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY upload ALTER COLUMN id SET DEFAULT nextval('upload_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY "user" ALTER COLUMN id SET DEFAULT nextval('user_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY vat ALTER COLUMN id SET DEFAULT nextval('vat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY visa ALTER COLUMN id SET DEFAULT nextval('visa_id_seq'::regclass);


SET search_path = demo_ru, pg_catalog;

--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY accomodation ALTER COLUMN id SET DEFAULT nextval('accomodation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY account ALTER COLUMN id SET DEFAULT nextval('account_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY account_item ALTER COLUMN id SET DEFAULT nextval('account_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY address ALTER COLUMN id SET DEFAULT nextval('address_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY advsource ALTER COLUMN id SET DEFAULT nextval('advsource_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY appointment ALTER COLUMN id SET DEFAULT nextval('appointment_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY bank ALTER COLUMN id SET DEFAULT nextval('bank_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY bank_detail ALTER COLUMN id SET DEFAULT nextval('bank_detail_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY bperson ALTER COLUMN id SET DEFAULT nextval('bperson_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY calculation ALTER COLUMN id SET DEFAULT nextval('calculation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY campaign ALTER COLUMN id SET DEFAULT nextval('campaign_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY cashflow ALTER COLUMN id SET DEFAULT nextval('cashflow_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY commission ALTER COLUMN id SET DEFAULT nextval('commission_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY company ALTER COLUMN id SET DEFAULT nextval('company_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY contact ALTER COLUMN id SET DEFAULT nextval('contact_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY contract ALTER COLUMN id SET DEFAULT nextval('contract_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY country ALTER COLUMN id SET DEFAULT nextval('country_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY crosspayment ALTER COLUMN id SET DEFAULT nextval('crosspayment_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY currency ALTER COLUMN id SET DEFAULT nextval('currency_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY currency_rate ALTER COLUMN id SET DEFAULT nextval('currency_rate_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY dismissal ALTER COLUMN id SET DEFAULT nextval('dismissal_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee ALTER COLUMN id SET DEFAULT nextval('employee_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY foodcat ALTER COLUMN id SET DEFAULT nextval('foodcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY hotel ALTER COLUMN id SET DEFAULT nextval('hotel_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY hotelcat ALTER COLUMN id SET DEFAULT nextval('hotelcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY income ALTER COLUMN id SET DEFAULT nextval('income_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY invoice ALTER COLUMN id SET DEFAULT nextval('invoice_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY invoice_item ALTER COLUMN id SET DEFAULT nextval('invoice_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead ALTER COLUMN id SET DEFAULT nextval('lead_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead_item ALTER COLUMN id SET DEFAULT nextval('lead_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead_offer ALTER COLUMN id SET DEFAULT nextval('lead_offer_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY location ALTER COLUMN id SET DEFAULT nextval('location_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY mail ALTER COLUMN id SET DEFAULT nextval('mail_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY navigation ALTER COLUMN id SET DEFAULT nextval('navigation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY note ALTER COLUMN id SET DEFAULT nextval('note_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY notification ALTER COLUMN id SET DEFAULT nextval('notification_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY "order" ALTER COLUMN id SET DEFAULT nextval('order_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY order_item ALTER COLUMN id SET DEFAULT nextval('order_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY outgoing ALTER COLUMN id SET DEFAULT nextval('outgoing_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY passport ALTER COLUMN id SET DEFAULT nextval('passport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY permision ALTER COLUMN id SET DEFAULT nextval('permision_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person ALTER COLUMN id SET DEFAULT nextval('person_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person_category ALTER COLUMN id SET DEFAULT nextval('person_category_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY "position" ALTER COLUMN id SET DEFAULT nextval('position_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY region ALTER COLUMN id SET DEFAULT nextval('region_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY resource ALTER COLUMN id SET DEFAULT nextval('resource_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY resource_type ALTER COLUMN id SET DEFAULT nextval('resource_type_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY roomcat ALTER COLUMN id SET DEFAULT nextval('roomcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY service ALTER COLUMN id SET DEFAULT nextval('service_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY spassport ALTER COLUMN id SET DEFAULT nextval('spassport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY structure ALTER COLUMN id SET DEFAULT nextval('structure_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY subaccount ALTER COLUMN id SET DEFAULT nextval('subaccount_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY supplier ALTER COLUMN id SET DEFAULT nextval('supplier_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY supplier_type ALTER COLUMN id SET DEFAULT nextval('supplier_type_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tag ALTER COLUMN id SET DEFAULT nextval('tag_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY task ALTER COLUMN id SET DEFAULT nextval('task_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY ticket ALTER COLUMN id SET DEFAULT nextval('ticket_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY ticket_class ALTER COLUMN id SET DEFAULT nextval('ticket_class_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tour ALTER COLUMN id SET DEFAULT nextval('tour_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY transfer ALTER COLUMN id SET DEFAULT nextval('transfer_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY transport ALTER COLUMN id SET DEFAULT nextval('transport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY upload ALTER COLUMN id SET DEFAULT nextval('upload_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY "user" ALTER COLUMN id SET DEFAULT nextval('user_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY vat ALTER COLUMN id SET DEFAULT nextval('vat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY visa ALTER COLUMN id SET DEFAULT nextval('visa_id_seq'::regclass);


SET search_path = public, pg_catalog;

--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY accomodation ALTER COLUMN id SET DEFAULT nextval('accomodation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY account ALTER COLUMN id SET DEFAULT nextval('account_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY account_item ALTER COLUMN id SET DEFAULT nextval('account_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY address ALTER COLUMN id SET DEFAULT nextval('address_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY advsource ALTER COLUMN id SET DEFAULT nextval('advsource_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY appointment ALTER COLUMN id SET DEFAULT nextval('employees_appointments_h_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY bank ALTER COLUMN id SET DEFAULT nextval('bank_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY bank_detail ALTER COLUMN id SET DEFAULT nextval('bank_detail_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY bperson ALTER COLUMN id SET DEFAULT nextval('bperson_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY calculation ALTER COLUMN id SET DEFAULT nextval('calculation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY campaign ALTER COLUMN id SET DEFAULT nextval('campaign_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY cashflow ALTER COLUMN id SET DEFAULT nextval('transfer_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY commission ALTER COLUMN id SET DEFAULT nextval('commission_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY company ALTER COLUMN id SET DEFAULT nextval('company_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY contact ALTER COLUMN id SET DEFAULT nextval('contact_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY contract ALTER COLUMN id SET DEFAULT nextval('licence_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY country ALTER COLUMN id SET DEFAULT nextval('country_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY crosspayment ALTER COLUMN id SET DEFAULT nextval('crosspayment_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY currency ALTER COLUMN id SET DEFAULT nextval('currency_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY currency_rate ALTER COLUMN id SET DEFAULT nextval('currency_rate_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY dismissal ALTER COLUMN id SET DEFAULT nextval('dismissal_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee ALTER COLUMN id SET DEFAULT nextval('employee_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY foodcat ALTER COLUMN id SET DEFAULT nextval('foodcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY hotel ALTER COLUMN id SET DEFAULT nextval('hotel_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY hotelcat ALTER COLUMN id SET DEFAULT nextval('hotelcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY income ALTER COLUMN id SET DEFAULT nextval('income_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY invoice ALTER COLUMN id SET DEFAULT nextval('invoice_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY invoice_item ALTER COLUMN id SET DEFAULT nextval('invoice_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead ALTER COLUMN id SET DEFAULT nextval('lead_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead_item ALTER COLUMN id SET DEFAULT nextval('lead_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead_offer ALTER COLUMN id SET DEFAULT nextval('lead_offer_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY location ALTER COLUMN id SET DEFAULT nextval('location_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY mail ALTER COLUMN id SET DEFAULT nextval('mail_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY navigation ALTER COLUMN id SET DEFAULT nextval('positions_navigations_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY note ALTER COLUMN id SET DEFAULT nextval('note_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY notification ALTER COLUMN id SET DEFAULT nextval('notification_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "order" ALTER COLUMN id SET DEFAULT nextval('order_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY order_item ALTER COLUMN id SET DEFAULT nextval('order_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY outgoing ALTER COLUMN id SET DEFAULT nextval('outgoing_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY passport ALTER COLUMN id SET DEFAULT nextval('passport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY permision ALTER COLUMN id SET DEFAULT nextval('positions_permisions_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY person ALTER COLUMN id SET DEFAULT nextval('person_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY person_category ALTER COLUMN id SET DEFAULT nextval('person_category_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "position" ALTER COLUMN id SET DEFAULT nextval('companies_positions_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY region ALTER COLUMN id SET DEFAULT nextval('region_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY resource ALTER COLUMN id SET DEFAULT nextval('resource_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY resource_type ALTER COLUMN id SET DEFAULT nextval('resource_type_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY roomcat ALTER COLUMN id SET DEFAULT nextval('roomcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY service ALTER COLUMN id SET DEFAULT nextval('service_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY spassport ALTER COLUMN id SET DEFAULT nextval('spassport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY structure ALTER COLUMN id SET DEFAULT nextval('structures_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY subaccount ALTER COLUMN id SET DEFAULT nextval('subaccount_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY supplier ALTER COLUMN id SET DEFAULT nextval('touroperator_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY supplier_type ALTER COLUMN id SET DEFAULT nextval('supplier_type_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY tag ALTER COLUMN id SET DEFAULT nextval('tag_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY task ALTER COLUMN id SET DEFAULT nextval('task_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY ticket ALTER COLUMN id SET DEFAULT nextval('ticket_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY ticket_class ALTER COLUMN id SET DEFAULT nextval('ticket_class_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY tour ALTER COLUMN id SET DEFAULT nextval('tour_id_seq1'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY transfer ALTER COLUMN id SET DEFAULT nextval('transfer_id_seq1'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY transport ALTER COLUMN id SET DEFAULT nextval('transport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY upload ALTER COLUMN id SET DEFAULT nextval('upload_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "user" ALTER COLUMN id SET DEFAULT nextval('user_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY vat ALTER COLUMN id SET DEFAULT nextval('vat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY visa ALTER COLUMN id SET DEFAULT nextval('visa_id_seq'::regclass);


SET search_path = company_en, pg_catalog;

--
-- Data for Name: accomodation; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY accomodation (id, resource_id, name) FROM stdin;
\.


--
-- Name: accomodation_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('accomodation_id_seq', 1, true);


--
-- Data for Name: account; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY account (id, resource_id, currency_id, account_type, name, display_text, status, descr) FROM stdin;
\.


--
-- Name: account_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('account_id_seq', 1, true);


--
-- Data for Name: account_item; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY account_item (id, resource_id, parent_id, name, type, status, descr) FROM stdin;
\.


--
-- Name: account_item_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('account_item_id_seq', 2, true);


--
-- Data for Name: address; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY address (id, resource_id, location_id, zip_code, address) FROM stdin;
\.


--
-- Name: address_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('address_id_seq', 1, true);


--
-- Data for Name: advsource; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY advsource (id, resource_id, name) FROM stdin;
\.


--
-- Name: advsource_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('advsource_id_seq', 1, true);


--
-- Data for Name: alembic_version; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY alembic_version (version_num) FROM stdin;
c38723878dbe
\.


--
-- Data for Name: appointment; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY appointment (id, resource_id, date, employee_id, position_id, salary, currency_id) FROM stdin;
1	789	2014-02-02	2	4	1000.00	54
\.


--
-- Name: appointment_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('appointment_id_seq', 12, true);


--
-- Data for Name: bank; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY bank (id, resource_id, name) FROM stdin;
\.


--
-- Data for Name: bank_address; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY bank_address (bank_id, address_id) FROM stdin;
\.


--
-- Data for Name: bank_detail; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY bank_detail (id, resource_id, currency_id, bank_id, beneficiary, account, swift_code) FROM stdin;
\.


--
-- Name: bank_detail_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('bank_detail_id_seq', 1, true);


--
-- Name: bank_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('bank_id_seq', 1, true);


--
-- Data for Name: bperson; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY bperson (id, resource_id, first_name, last_name, second_name, position_name, status, descr) FROM stdin;
\.


--
-- Data for Name: bperson_contact; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY bperson_contact (bperson_id, contact_id) FROM stdin;
\.


--
-- Name: bperson_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('bperson_id_seq', 1, true);


--
-- Data for Name: calculation; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY calculation (id, resource_id, order_item_id, contract_id, price) FROM stdin;
\.


--
-- Name: calculation_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('calculation_id_seq', 1, true);


--
-- Data for Name: campaign; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY campaign (id, resource_id, name, start_dt, status, mail_id, person_category_id) FROM stdin;
\.


--
-- Name: campaign_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('campaign_id_seq', 1, true);


--
-- Data for Name: cashflow; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY cashflow (id, subaccount_from_id, subaccount_to_id, account_item_id, sum, vat, date) FROM stdin;
\.


--
-- Name: cashflow_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('cashflow_id_seq', 1, true);


--
-- Data for Name: commission; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY commission (id, resource_id, service_id, percentage, price, currency_id, descr) FROM stdin;
\.


--
-- Name: commission_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('commission_id_seq', 1, true);


--
-- Data for Name: company; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY company (id, resource_id, currency_id, name, email, settings) FROM stdin;
1	1970	57	My Company	my.email@dot.com	{"locale": "en", "timezone": "America/Los_Angeles"}
\.


--
-- Name: company_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('company_id_seq', 1, true);


--
-- Data for Name: company_subaccount; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY company_subaccount (company_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: contact; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY contact (id, resource_id, contact_type, contact, status, descr) FROM stdin;
\.


--
-- Name: contact_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('contact_id_seq', 1, true);


--
-- Data for Name: contract; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY contract (id, resource_id, num, date, status, descr) FROM stdin;
\.


--
-- Data for Name: contract_commission; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY contract_commission (contract_id, commission_id) FROM stdin;
\.


--
-- Name: contract_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('contract_id_seq', 1, true);


--
-- Data for Name: country; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY country (id, resource_id, iso_code, name) FROM stdin;
3	878	UA	Ukraine
4	880	EG	Egypt
5	881	TR	Turkey
6	882	GB	United Kingdom
7	883	US	United States
8	884	TH	Thailand
9	1095	RU	Russian Federation
12	1164	HR	Croatia
13	1169	AE	United Arab Emirates
14	1178	ES	Spain
16	1339	CY	Cyprus
17	1343	IT	Italy
11	1100	DE	Germany
18	1351	GR	Greece
19	1646	FR	France
21	2270	PL	Poland
\.


--
-- Name: country_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('country_id_seq', 21, true);


--
-- Data for Name: crosspayment; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY crosspayment (id, resource_id, cashflow_id, descr) FROM stdin;
\.


--
-- Name: crosspayment_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('crosspayment_id_seq', 1, true);


--
-- Data for Name: currency; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY currency (id, resource_id, iso_code) FROM stdin;
44	849	RUB
50	1060	KZT
52	1168	BYR
54	1240	EUR
56	1310	UAH
57	1311	USD
\.


--
-- Name: currency_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('currency_id_seq', 57, true);


--
-- Data for Name: currency_rate; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY currency_rate (id, resource_id, currency_id, supplier_id, date, rate) FROM stdin;
\.


--
-- Name: currency_rate_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('currency_rate_id_seq', 1, true);


--
-- Data for Name: dismissal; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY dismissal (id, resource_id, date, employee_id) FROM stdin;
\.


--
-- Name: dismissal_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('dismissal_id_seq', 1, true);


--
-- Data for Name: employee; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY employee (id, resource_id, photo_upload_id, first_name, last_name, second_name, itn) FROM stdin;
2	784	\N	John	Doe	\N	\N
\.


--
-- Data for Name: employee_address; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY employee_address (employee_id, address_id) FROM stdin;
\.


--
-- Data for Name: employee_contact; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY employee_contact (employee_id, contact_id) FROM stdin;
\.


--
-- Name: employee_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('employee_id_seq', 32, true);


--
-- Data for Name: employee_notification; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY employee_notification (employee_id, notification_id, status) FROM stdin;
2	2	0
\.


--
-- Data for Name: employee_passport; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY employee_passport (employee_id, passport_id) FROM stdin;
\.


--
-- Data for Name: employee_subaccount; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY employee_subaccount (employee_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: employee_subscription; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY employee_subscription (employee_id, resource_id) FROM stdin;
2	2910
\.


--
-- Data for Name: employee_upload; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY employee_upload (employee_id, upload_id) FROM stdin;
\.


--
-- Data for Name: foodcat; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY foodcat (id, resource_id, name) FROM stdin;
\.


--
-- Name: foodcat_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('foodcat_id_seq', 1, true);


--
-- Data for Name: hotel; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY hotel (id, resource_id, hotelcat_id, location_id, name) FROM stdin;
\.


--
-- Name: hotel_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('hotel_id_seq', 1, true);


--
-- Data for Name: hotelcat; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY hotelcat (id, resource_id, name) FROM stdin;
\.


--
-- Name: hotelcat_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('hotelcat_id_seq', 1, true);


--
-- Data for Name: income; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY income (id, resource_id, invoice_id, account_item_id, sum, date, descr) FROM stdin;
\.


--
-- Data for Name: income_cashflow; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY income_cashflow (income_id, cashflow_id) FROM stdin;
\.


--
-- Name: income_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('income_id_seq', 1, true);


--
-- Data for Name: invoice; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY invoice (id, date, active_until, resource_id, order_id, account_id, descr) FROM stdin;
\.


--
-- Name: invoice_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('invoice_id_seq', 1, true);


--
-- Data for Name: invoice_item; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY invoice_item (id, invoice_id, order_item_id, price, vat, discount, descr) FROM stdin;
\.


--
-- Name: invoice_item_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('invoice_item_id_seq', 1, true);


--
-- Data for Name: lead; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY lead (id, lead_date, resource_id, advsource_id, customer_id, status, descr) FROM stdin;
\.


--
-- Name: lead_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('lead_id_seq', 1, true);


--
-- Data for Name: lead_item; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY lead_item (id, resource_id, lead_id, service_id, currency_id, price_from, price_to, descr) FROM stdin;
\.


--
-- Name: lead_item_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('lead_item_id_seq', 1, true);


--
-- Data for Name: lead_offer; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY lead_offer (id, resource_id, lead_id, service_id, currency_id, supplier_id, price, status, descr) FROM stdin;
\.


--
-- Name: lead_offer_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('lead_offer_id_seq', 1, true);


--
-- Data for Name: location; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY location (id, resource_id, region_id, name) FROM stdin;
\.


--
-- Name: location_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('location_id_seq', 1, true);


--
-- Data for Name: mail; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY mail (id, resource_id, name, html_content, descr, subject) FROM stdin;
\.


--
-- Name: mail_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('mail_id_seq', 1, false);


--
-- Data for Name: navigation; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY navigation (id, resource_id, position_id, parent_id, name, url, action, icon_cls, separator_before, sort_order) FROM stdin;
53	1394	4	\N	Finance	/	\N	fa fa-credit-card	f	7
156	1905	4	53	Billing	/	\N	\N	f	10
107	1777	4	\N	Home	/	\N	fa fa-home	f	1
32	998	4	\N	Sales	/	\N	fa fa-legal	f	2
21	864	4	\N	Clientage	/	\N	fa fa-briefcase	f	3
26	900	4	\N	Marketing	/	\N	fa fa-bullhorn	f	4
10	780	4	\N	HR	/	\N	fa fa-group	f	5
18	837	4	\N	Company	/	\N	fa fa-building-o	f	6
23	873	4	\N	Directories	/	\N	fa fa-book	f	8
152	1895	4	\N	Reports	/	\N	fa fa-pie-chart	f	9
155	1904	4	53	Payments	/	\N	\N	f	12
157	1906	4	53	Currencies		\N	\N	t	7
42	1080	4	159	Hotels List	/hotels	\N	\N	f	5
43	1089	4	158	Locations	/locations	\N	\N	f	3
50	1312	4	53	Services List	/services	\N	\N	f	6
45	1212	4	53	Banks	/banks	tab_open	\N	f	6
153	1896	4	152	Turnovers	/turnovers	tab_open	\N	f	2
51	1368	4	32	Invoices	/invoices	tab_open	\N	t	5
9	779	4	8	Resource Types	/resources_types	\N	\N	f	1
13	790	4	10	Employees	/employees	\N	\N	f	1
54	1395	4	157	Currencies Rates	/currencies_rates	\N	\N	f	8
55	1425	4	156	Accounts Items	/accounts_items	\N	\N	f	3
56	1434	4	155	Income Payments	/incomes	\N	\N	f	9
57	1436	4	156	Accounts	/accounts	\N	\N	f	1
14	791	4	10	Employees Appointments	/appointments	\N	\N	f	2
174	2514	4	156	Vat Settings	/vats	tab_open	\N	t	5
15	792	4	8	Users	/users	\N	\N	f	3
17	802	4	157	Currencies List	/currencies	\N	\N	f	7
19	838	4	18	Structures	/structures	\N	\N	f	1
20	863	4	18	Positions	/positions	\N	\N	f	2
22	866	4	21	Persons	/persons	\N	\N	f	1
24	874	4	158	Countries	/countries	\N	\N	f	4
25	879	4	158	Regions	/regions	\N	\N	f	3
27	902	4	26	Advertising Sources	/advsources	\N	\N	f	1
28	910	4	159	Hotels Categories	/hotelcats	\N	\N	f	6
29	911	4	159	Rooms Categories	/roomcats	\N	\N	f	7
30	955	4	159	Accomodations	/accomodations	tab_open	\N	f	10
31	956	4	159	Food Categories	/foodcats	\N	\N	f	9
61	1571	4	155	Outgoing Payments	/outgoings	\N	\N	f	10
150	1798	4	156	Subaccounts	/subaccounts	\N	\N	f	2
151	1885	4	155	Cross Payments	/crosspayments	\N	\N	f	11
36	1008	4	23	Business Persons	/bpersons	tab_open	\N	f	4
60	1550	4	23	Suppliers	/suppliers	tab_open	\N	f	1
165	1975	4	8	Company	/companies/edit	dialog_open	\N	t	4
166	2048	4	32	Leads	/leads	tab_open	\N	f	2
168	2101	4	32	Orders	/orders	tab_open	\N	f	4
158	1907	4	23	Geography	/	\N	\N	f	10
159	1908	4	23	Hotels	/	\N	\N	t	9
169	2128	4	23	Transfers	/transfers	tab_open	\N	t	5
170	2136	4	23	Transport	/transports	tab_open	\N	f	6
171	2219	4	23	Suppliers Types	/suppliers_types	tab_open	\N	f	3
172	2222	4	23	Contracts	/contracts	tab_open	\N	f	2
173	2245	4	23	Ticket Class	/tickets_classes	tab_open	\N	f	7
175	2552	4	23	Persons Categories	/persons_categories	tab_open	\N	f	8
237	2883	4	10	Dismissals	/dismissals	tab_open	\N	t	3
8	778	4	\N	System	/	tab_open	fa fa-cog	f	11
239	2889	4	238	Assign resources	/assigns/assign	dialog_open	\N	f	1
238	2888	4	\N	Tools	/	tab_open	fa fa-gears	f	10
41	1079	\N	\N	Home	/	\N	fa fa-home	f	1
47	1253	\N	\N	For Test	/	\N	fa fa-credit-card	f	2
182	2602	\N	\N	Home	/	\N	fa fa-home	f	1
183	2603	\N	\N	Sales	/	\N	fa fa-legal	f	2
184	2604	\N	\N	Clientage	/	\N	fa fa-briefcase	f	3
228	2648	\N	188	Geography	/	\N	\N	f	10
236	2741	4	26	Campaigns	/campaigns	tab_open	\N	f	3
185	2605	\N	\N	Marketing	/	\N	fa fa-bullhorn	f	4
188	2608	\N	\N	Directories	/	\N	fa fa-book	f	8
192	2612	\N	229	Hotels List	/hotels	\N	\N	f	5
193	2613	\N	228	Locations	/locations	\N	\N	f	3
197	2617	\N	183	Invoices	/invoices	tab_open	\N	t	5
211	2631	\N	184	Persons	/persons	\N	\N	f	1
212	2632	\N	228	Countries	/countries	\N	\N	f	4
213	2633	\N	228	Regions	/regions	\N	\N	f	3
214	2634	\N	185	Advertising Sources	/advsources	\N	\N	f	1
215	2635	\N	229	Hotels Categories	/hotelcats	\N	\N	f	6
216	2636	\N	229	Rooms Categories	/roomcats	\N	\N	f	7
217	2637	\N	229	Accomodations	/accomodations	tab_open	\N	f	10
218	2638	\N	229	Food Categories	/foodcats	\N	\N	f	9
222	2642	\N	188	Business Persons	/bpersons	tab_open	\N	f	4
223	2643	\N	188	Suppliers	/suppliers	tab_open	\N	f	1
226	2646	\N	183	Leads	/leads	tab_open	\N	f	2
227	2647	\N	183	Orders	/orders	tab_open	\N	f	4
229	2649	\N	188	Hotels	/	\N	\N	t	9
230	2650	\N	188	Transfers	/transfers	tab_open	\N	t	5
231	2651	\N	188	Transport	/transports	tab_open	\N	f	6
232	2652	\N	188	Suppliers Types	/suppliers_types	tab_open	\N	f	3
233	2653	\N	188	Contracts	/contracts	tab_open	\N	f	2
234	2654	\N	188	Ticket Class	/tickets_classes	tab_open	\N	f	7
235	2655	\N	188	Persons Categories	/persons_categories	tab_open	\N	f	8
240	2910	4	26	Mails Templaits	/mails	tab_open	\N	t	2
\.


--
-- Name: navigation_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('navigation_id_seq', 240, true);


--
-- Data for Name: note; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY note (id, resource_id, title, descr) FROM stdin;
\.


--
-- Name: note_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('note_id_seq', 1, true);


--
-- Data for Name: note_resource; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY note_resource (note_id, resource_id) FROM stdin;
\.


--
-- Data for Name: note_upload; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY note_upload (note_id, upload_id) FROM stdin;
\.


--
-- Data for Name: notification; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY notification (id, resource_id, descr, url, created) FROM stdin;
2	2911	Resource "Navigations" was changed by Doe John	\N	2016-10-08 18:57:54.011883+03
\.


--
-- Name: notification_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('notification_id_seq', 2, true);


--
-- Data for Name: notification_resource; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY notification_resource (notification_id, resource_id) FROM stdin;
2	2910
\.


--
-- Data for Name: order; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY "order" (id, deal_date, resource_id, customer_id, lead_id, advsource_id, status, descr) FROM stdin;
\.


--
-- Name: order_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('order_id_seq', 1, true);


--
-- Data for Name: order_item; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY order_item (id, resource_id, order_id, service_id, currency_id, supplier_id, price, discount_sum, discount_percent, status, status_date, status_info) FROM stdin;
\.


--
-- Name: order_item_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('order_item_id_seq', 1, true);


--
-- Data for Name: outgoing; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY outgoing (id, date, resource_id, account_item_id, subaccount_id, sum, descr) FROM stdin;
\.


--
-- Data for Name: outgoing_cashflow; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY outgoing_cashflow (outgoing_id, cashflow_id) FROM stdin;
\.


--
-- Name: outgoing_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('outgoing_id_seq', 1, true);


--
-- Data for Name: passport; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY passport (id, resource_id, country_id, passport_type, num, end_date, descr) FROM stdin;
\.


--
-- Name: passport_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('passport_id_seq', 1, true);


--
-- Data for Name: passport_upload; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY passport_upload (passport_id, upload_id) FROM stdin;
\.


--
-- Data for Name: permision; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY permision (id, resource_type_id, position_id, permisions, scope_type, structure_id) FROM stdin;
34	61	4	{view,add,edit,delete}	all	\N
299	161	4	{view,settings}	all	\N
300	162	4	{view,settings}	all	\N
21	1	4	{view}	all	\N
39	69	4	{view,add,edit,delete,assign}	all	\N
42	71	4	{view,add,edit,delete,assign}	all	\N
43	72	4	{view,add,edit,delete,assign}	all	\N
44	73	4	{view,add,edit,delete,assign}	all	\N
45	74	4	{view,add,edit,delete,assign}	all	\N
46	75	4	{view,add,edit,delete,assign}	all	\N
49	79	4	{view,add,edit,delete,assign}	all	\N
55	83	4	{view,add,edit,delete,assign}	all	\N
56	84	4	{view,add,edit,delete,assign}	all	\N
58	86	4	{view,add,edit,delete,assign}	all	\N
61	89	4	{view,add,edit,delete}	all	\N
62	90	4	{view,add,edit,delete}	all	\N
70	101	4	{view,add,edit,delete}	all	\N
63	91	4	{view,add,edit,delete,assign}	all	\N
79	110	4	{view,add,edit,delete}	all	\N
71	102	4	{view,add,edit,delete,assign}	all	\N
73	104	4	{view,add,edit,delete,assign}	all	\N
74	105	4	{view,add,edit,delete,assign}	all	\N
76	107	4	{view,add,edit,delete,assign}	all	\N
26	47	4	{view,add,edit,delete,assign}	all	\N
80	111	4	{view,add,edit,delete,assign}	all	\N
128	117	4	{view,add,edit,delete,assign}	all	\N
59	87	4	{view,add,edit,delete}	all	\N
22	2	4	{view,add,edit,delete,assign}	all	\N
38	41	4	{view,add,edit,delete,assign}	all	\N
40	39	4	{view,add,edit,delete,assign}	all	\N
35	65	4	{view,add,edit,delete,assign}	all	\N
37	67	4	{view,add,edit,delete,assign}	all	\N
41	70	4	{view,add,edit,delete,assign}	all	\N
132	121	4	{view}	all	\N
134	123	4	{view,close}	all	\N
137	126	4	{view,edit}	all	\N
164	152	4	{view,settings}	all	\N
301	163	4	{view,add,edit,delete,assign}	all	\N
75	106	4	{view,add,edit,delete,assign}	all	\N
24	12	4	{view,add,edit,delete,assign,settings}	all	\N
146	135	4	{view,add,edit,delete}	all	\N
141	130	4	{view,add,edit,delete,assign,order}	all	\N
148	137	4	{view,add,edit,delete}	all	\N
154	143	4	{view,add,edit,delete}	all	\N
149	138	4	{view,add,edit,delete,assign}	all	\N
150	139	4	{view,add,edit,delete,assign}	all	\N
151	140	4	{view,add,edit,delete,assign}	all	\N
152	141	4	{view,add,edit,delete,assign}	all	\N
155	144	4	{view,add,edit,delete}	all	\N
157	145	4	{view,add,edit,delete}	all	\N
158	146	4	{view,add,edit,delete}	all	\N
161	149	4	{view,add,edit,delete}	all	\N
160	148	4	{view,add,edit,delete,assign}	all	\N
163	151	4	{view,add,edit,delete,assign}	all	\N
129	118	4	{view,add,edit,delete}	all	\N
130	119	4	{view,add,edit,delete,autoload}	all	\N
32	59	4	{view,add,edit,delete,assign}	all	\N
48	78	4	{view,add,edit,delete,assign}	all	\N
65	93	4	{view,add,edit,delete,assign}	all	\N
72	103	4	{view,add,edit,delete,assign,settings}	all	\N
131	120	4	{view,add,edit,delete,assign}	all	\N
153	142	4	{view,add,edit,delete,assign}	all	\N
294	156	4	{view,add,edit,delete,settings,assign}	all	\N
30	55	4	{view,add,edit,delete,assign}	all	\N
297	159	4	{view,add,edit,delete,assign}	all	\N
298	160	4	{assign}	all	\N
145	134	4	{view,add,edit,delete,settings,assign,calculation,invoice,contract}	all	\N
302	164	4	{view,add,edit,delete}	all	\N
\.


--
-- Name: permision_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('permision_id_seq', 302, true);


--
-- Data for Name: person; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY person (id, resource_id, person_category_id, first_name, last_name, second_name, birthday, gender, email_subscription, sms_subscription, descr) FROM stdin;
\.


--
-- Data for Name: person_address; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY person_address (person_id, address_id) FROM stdin;
\.


--
-- Data for Name: person_category; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY person_category (id, resource_id, name) FROM stdin;
\.


--
-- Name: person_category_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('person_category_id_seq', 1, true);


--
-- Data for Name: person_contact; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY person_contact (person_id, contact_id) FROM stdin;
\.


--
-- Name: person_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('person_id_seq', 1, true);


--
-- Data for Name: person_order_item; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY person_order_item (order_item_id, person_id) FROM stdin;
\.


--
-- Data for Name: person_passport; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY person_passport (person_id, passport_id) FROM stdin;
\.


--
-- Data for Name: person_subaccount; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY person_subaccount (person_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: position; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY "position" (id, resource_id, structure_id, name) FROM stdin;
4	772	32	Main Developer
\.


--
-- Name: position_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('position_id_seq', 8, true);


--
-- Data for Name: region; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY region (id, resource_id, country_id, name) FROM stdin;
\.


--
-- Name: region_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('region_id_seq', 1, true);


--
-- Data for Name: resource; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY resource (id, resource_type_id, maintainer_id, protected, modifydt) FROM stdin;
2907	12	2	f	2016-10-08 18:53:54.782387
12	12	2	\N	2016-10-08 18:52:52.512192
14	12	2	\N	2016-10-08 18:52:52.512192
16	12	2	\N	2016-10-08 18:52:52.512192
30	12	2	\N	2016-10-08 18:52:52.512192
2908	12	2	f	2016-10-08 18:54:34.335151
2911	123	2	f	2016-10-08 18:57:54.011883
1992	106	2	f	2016-10-08 18:52:52.512192
2029	119	2	f	2016-10-08 18:52:52.512192
2442	117	2	f	2016-10-08 18:52:52.512192
2546	110	2	f	2016-10-08 18:52:52.512192
2573	69	2	f	2016-10-08 18:52:52.512192
921	73	2	\N	2016-10-08 18:52:52.512192
1648	84	2	f	2016-10-08 18:52:52.512192
2458	106	2	f	2016-10-08 18:52:52.512192
2909	12	2	f	2016-10-08 18:55:05.939095
1777	65	2	f	2016-10-08 18:52:52.512192
1778	12	2	f	2016-10-08 18:52:52.512192
1800	118	2	f	2016-10-08 18:52:52.512192
2294	145	2	f	2016-10-08 18:52:52.512192
1801	118	2	f	2016-10-08 18:52:52.512192
2295	145	2	f	2016-10-08 18:52:52.512192
2910	65	2	f	2016-10-08 18:57:54.011883
2677	89	2	f	2016-10-08 18:52:52.512192
2678	69	2	f	2016-10-08 18:52:52.512192
2679	69	2	f	2016-10-08 18:52:52.512192
2680	89	2	f	2016-10-08 18:52:52.512192
2681	89	2	f	2016-10-08 18:52:52.512192
2424	105	2	f	2016-10-08 18:52:52.512192
1472	69	2	f	2016-10-08 18:52:52.512192
1473	69	2	f	2016-10-08 18:52:52.512192
1485	106	2	f	2016-10-08 18:52:52.512192
1487	103	2	f	2016-10-08 18:52:52.512192
1500	106	2	f	2016-10-08 18:52:52.512192
1347	39	2	f	2016-10-08 18:52:52.512192
1348	84	2	f	2016-10-08 18:52:52.512192
2631	65	2	f	2016-10-08 18:52:52.512192
2741	65	2	f	2016-10-08 18:58:18.488459
31	12	2	\N	2016-10-08 18:52:52.512192
32	12	2	\N	2016-10-08 18:52:52.512192
33	12	2	\N	2016-10-08 18:52:52.512192
34	12	2	\N	2016-10-08 18:52:52.512192
35	12	2	\N	2016-10-08 18:52:52.512192
36	12	2	\N	2016-10-08 18:52:52.512192
37	12	2	\N	2016-10-08 18:52:52.512192
38	12	2	\N	2016-10-08 18:52:52.512192
39	12	2	\N	2016-10-08 18:52:52.512192
40	12	2	\N	2016-10-08 18:52:52.512192
43	12	2	\N	2016-10-08 18:52:52.512192
44	12	2	\N	2016-10-08 18:52:52.512192
45	12	2	\N	2016-10-08 18:52:52.512192
83	2	2	\N	2016-10-08 18:52:52.512192
84	2	2	\N	2016-10-08 18:52:52.512192
277	39	2	\N	2016-10-08 18:52:52.512192
913	72	2	\N	2016-10-08 18:52:52.512192
914	72	2	\N	2016-10-08 18:52:52.512192
915	72	2	\N	2016-10-08 18:52:52.512192
916	72	2	\N	2016-10-08 18:52:52.512192
917	72	2	\N	2016-10-08 18:52:52.512192
2890	93	2	f	2016-10-08 18:52:52.512192
918	72	2	\N	2016-10-08 18:52:52.512192
919	72	2	\N	2016-10-08 18:52:52.512192
928	73	2	\N	2016-10-08 18:52:52.512192
929	73	2	\N	2016-10-08 18:52:52.512192
930	73	2	\N	2016-10-08 18:52:52.512192
931	73	2	\N	2016-10-08 18:52:52.512192
932	73	2	\N	2016-10-08 18:52:52.512192
933	73	2	\N	2016-10-08 18:52:52.512192
935	73	2	\N	2016-10-08 18:52:52.512192
936	73	2	\N	2016-10-08 18:52:52.512192
937	73	2	\N	2016-10-08 18:52:52.512192
948	73	2	\N	2016-10-08 18:52:52.512192
949	73	2	\N	2016-10-08 18:52:52.512192
950	73	2	\N	2016-10-08 18:52:52.512192
952	73	2	\N	2016-10-08 18:52:52.512192
953	12	2	\N	2016-10-08 18:52:52.512192
954	12	2	\N	2016-10-08 18:52:52.512192
955	65	2	\N	2016-10-08 18:52:52.512192
956	65	2	\N	2016-10-08 18:52:52.512192
957	74	2	\N	2016-10-08 18:52:52.512192
958	74	2	\N	2016-10-08 18:52:52.512192
1647	39	2	f	2016-10-08 18:52:52.512192
2266	137	2	f	2016-10-08 18:52:52.512192
2267	134	2	f	2016-10-08 18:52:52.512192
2268	12	2	f	2016-10-08 18:52:52.512192
2269	105	2	f	2016-10-08 18:52:52.512192
1915	111	2	f	2016-10-08 18:52:52.512192
1917	110	2	f	2016-10-08 18:52:52.512192
1949	123	2	f	2016-10-08 18:52:52.512192
1961	123	2	f	2016-10-08 18:52:52.512192
2714	104	2	f	2016-10-08 18:52:52.512192
2715	119	2	f	2016-10-08 18:52:52.512192
2716	119	2	f	2016-10-08 18:52:52.512192
2717	119	2	f	2016-10-08 18:52:52.512192
2718	119	2	f	2016-10-08 18:52:52.512192
2881	69	2	f	2016-10-08 18:52:52.512192
2882	12	2	f	2016-10-08 18:52:52.512192
2883	65	2	f	2016-10-08 18:52:52.512192
278	39	2	\N	2016-10-08 18:52:52.512192
279	39	2	\N	2016-10-08 18:52:52.512192
280	39	2	\N	2016-10-08 18:52:52.512192
281	39	2	\N	2016-10-08 18:52:52.512192
282	39	2	\N	2016-10-08 18:52:52.512192
283	12	2	\N	2016-10-08 18:52:52.512192
286	41	2	\N	2016-10-08 18:52:52.512192
287	41	2	\N	2016-10-08 18:52:52.512192
288	41	2	\N	2016-10-08 18:52:52.512192
289	41	2	\N	2016-10-08 18:52:52.512192
938	73	2	\N	2016-10-08 18:52:52.512192
939	73	2	\N	2016-10-08 18:52:52.512192
961	74	2	\N	2016-10-08 18:52:52.512192
962	74	2	\N	2016-10-08 18:52:52.512192
963	74	2	\N	2016-10-08 18:52:52.512192
964	74	2	\N	2016-10-08 18:52:52.512192
965	74	2	\N	2016-10-08 18:52:52.512192
966	74	2	\N	2016-10-08 18:52:52.512192
967	74	2	\N	2016-10-08 18:52:52.512192
968	74	2	\N	2016-10-08 18:52:52.512192
969	74	2	\N	2016-10-08 18:52:52.512192
970	74	2	\N	2016-10-08 18:52:52.512192
971	74	2	\N	2016-10-08 18:52:52.512192
973	75	2	\N	2016-10-08 18:52:52.512192
975	75	2	\N	2016-10-08 18:52:52.512192
976	75	2	\N	2016-10-08 18:52:52.512192
977	75	2	\N	2016-10-08 18:52:52.512192
978	75	2	\N	2016-10-08 18:52:52.512192
979	75	2	\N	2016-10-08 18:52:52.512192
1982	93	2	f	2016-10-08 18:52:52.512192
1983	93	2	f	2016-10-08 18:52:52.512192
1984	123	2	f	2016-10-08 18:52:52.512192
2404	105	2	f	2016-10-08 18:52:52.512192
2405	105	2	f	2016-10-08 18:52:52.512192
2406	105	2	f	2016-10-08 18:52:52.512192
2407	105	2	f	2016-10-08 18:52:52.512192
2408	105	2	f	2016-10-08 18:52:52.512192
2409	105	2	f	2016-10-08 18:52:52.512192
2410	105	2	f	2016-10-08 18:52:52.512192
2411	105	2	f	2016-10-08 18:52:52.512192
2412	105	2	f	2016-10-08 18:52:52.512192
2414	105	2	f	2016-10-08 18:52:52.512192
2432	105	2	f	2016-10-08 18:52:52.512192
2719	119	2	f	2016-10-08 18:52:52.512192
2720	119	2	f	2016-10-08 18:52:52.512192
2721	119	2	f	2016-10-08 18:52:52.512192
2722	119	2	f	2016-10-08 18:52:52.512192
2723	104	2	f	2016-10-08 18:52:52.512192
2724	119	2	f	2016-10-08 18:52:52.512192
2736	119	2	f	2016-10-08 18:52:52.512192
2742	12	2	f	2016-10-08 18:52:52.512192
2779	123	2	f	2016-10-08 18:52:52.512192
980	75	2	\N	2016-10-08 18:52:52.512192
981	75	2	\N	2016-10-08 18:52:52.512192
982	75	2	\N	2016-10-08 18:52:52.512192
983	75	2	\N	2016-10-08 18:52:52.512192
984	75	2	\N	2016-10-08 18:52:52.512192
1616	69	2	f	2016-10-08 18:52:52.512192
1619	69	2	f	2016-10-08 18:52:52.512192
1620	87	2	f	2016-10-08 18:52:52.512192
1621	87	2	f	2016-10-08 18:52:52.512192
1622	89	2	f	2016-10-08 18:52:52.512192
1623	90	2	f	2016-10-08 18:52:52.512192
1381	89	2	f	2016-10-08 18:52:52.512192
2439	117	2	f	2016-10-08 18:52:52.512192
2784	123	2	f	2016-10-08 18:52:52.512192
2786	2	2	f	2016-10-08 18:52:52.512192
2787	2	2	f	2016-10-08 18:52:52.512192
2788	12	2	f	2016-10-08 18:52:52.512192
2813	12	2	f	2016-10-08 18:52:52.512192
2814	87	2	f	2016-10-08 18:52:52.512192
2815	93	2	f	2016-10-08 18:52:52.512192
2842	119	2	f	2016-10-08 18:52:52.512192
290	41	2	\N	2016-10-08 18:52:52.512192
291	41	2	\N	2016-10-08 18:52:52.512192
884	70	2	\N	2016-10-08 18:52:52.512192
943	73	2	\N	2016-10-08 18:52:52.512192
944	73	2	\N	2016-10-08 18:52:52.512192
945	73	2	\N	2016-10-08 18:52:52.512192
946	73	2	\N	2016-10-08 18:52:52.512192
947	73	2	\N	2016-10-08 18:52:52.512192
998	65	2	\N	2016-10-08 18:52:52.512192
1005	78	2	\N	2016-10-08 18:52:52.512192
1007	12	2	\N	2016-10-08 18:52:52.512192
1008	65	2	\N	2016-10-08 18:52:52.512192
1009	79	2	\N	2016-10-08 18:52:52.512192
1325	83	2	f	2016-10-08 18:52:52.512192
1326	84	2	f	2016-10-08 18:52:52.512192
1327	83	2	f	2016-10-08 18:52:52.512192
1328	39	2	f	2016-10-08 18:52:52.512192
1329	84	2	f	2016-10-08 18:52:52.512192
1330	83	2	f	2016-10-08 18:52:52.512192
1331	83	2	f	2016-10-08 18:52:52.512192
1332	39	2	f	2016-10-08 18:52:52.512192
1333	84	2	f	2016-10-08 18:52:52.512192
1334	83	2	f	2016-10-08 18:52:52.512192
1335	83	2	f	2016-10-08 18:52:52.512192
1339	70	2	f	2016-10-08 18:52:52.512192
1340	39	2	f	2016-10-08 18:52:52.512192
1344	39	2	f	2016-10-08 18:52:52.512192
1345	84	2	f	2016-10-08 18:52:52.512192
1346	83	2	f	2016-10-08 18:52:52.512192
1350	83	2	f	2016-10-08 18:52:52.512192
1351	70	2	f	2016-10-08 18:52:52.512192
1352	39	2	f	2016-10-08 18:52:52.512192
1353	84	2	f	2016-10-08 18:52:52.512192
1354	83	2	f	2016-10-08 18:52:52.512192
1355	39	2	f	2016-10-08 18:52:52.512192
1356	84	2	f	2016-10-08 18:52:52.512192
1357	83	2	f	2016-10-08 18:52:52.512192
2231	78	2	f	2016-10-08 18:52:52.512192
2232	78	2	f	2016-10-08 18:52:52.512192
2233	78	2	f	2016-10-08 18:52:52.512192
1639	106	2	f	2016-10-08 18:52:52.512192
1640	87	2	f	2016-10-08 18:52:52.512192
1641	87	2	f	2016-10-08 18:52:52.512192
1642	89	2	f	2016-10-08 18:52:52.512192
1643	89	2	f	2016-10-08 18:52:52.512192
2047	119	2	f	2016-10-08 18:52:52.512192
1764	111	2	f	2016-10-08 18:52:52.512192
1766	111	2	f	2016-10-08 18:52:52.512192
1769	105	2	f	2016-10-08 18:52:52.512192
1771	111	2	f	2016-10-08 18:52:52.512192
1773	111	2	f	2016-10-08 18:52:52.512192
2285	135	2	f	2016-10-08 18:52:52.512192
2291	93	2	f	2016-10-08 18:52:52.512192
2292	12	2	f	2016-10-08 18:52:52.512192
2293	145	2	f	2016-10-08 18:52:52.512192
2048	65	2	f	2016-10-08 18:52:52.512192
2049	12	2	f	2016-10-08 18:52:52.512192
2050	87	2	f	2016-10-08 18:52:52.512192
2051	69	2	f	2016-10-08 18:52:52.512192
2052	130	2	f	2016-10-08 18:52:52.512192
2054	2	2	f	2016-10-08 18:52:52.512192
1906	65	2	f	2016-10-08 18:52:52.512192
1990	106	2	f	2016-10-08 18:52:52.512192
1991	106	2	f	2016-10-08 18:52:52.512192
2891	87	2	f	2016-10-08 18:52:52.512192
2892	69	2	f	2016-10-08 18:52:52.512192
2556	151	2	f	2016-10-08 18:52:52.512192
2557	151	2	f	2016-10-08 18:52:52.512192
2568	145	2	f	2016-10-08 18:52:52.512192
1649	83	2	f	2016-10-08 18:52:52.512192
1650	87	2	f	2016-10-08 18:52:52.512192
2569	130	2	f	2016-10-08 18:52:52.512192
2570	69	2	f	2016-10-08 18:52:52.512192
922	73	2	\N	2016-10-08 18:52:52.512192
923	73	2	\N	2016-10-08 18:52:52.512192
924	73	2	\N	2016-10-08 18:52:52.512192
1651	89	2	f	2016-10-08 18:52:52.512192
1652	90	2	f	2016-10-08 18:52:52.512192
1653	69	2	f	2016-10-08 18:52:52.512192
1657	103	2	f	2016-10-08 18:52:52.512192
925	73	2	\N	2016-10-08 18:52:52.512192
926	73	2	\N	2016-10-08 18:52:52.512192
1659	65	2	f	2016-10-08 18:52:52.512192
1882	106	2	f	2016-10-08 18:52:52.512192
1660	106	2	f	2016-10-08 18:52:52.512192
927	73	2	\N	2016-10-08 18:52:52.512192
2046	119	2	f	2016-10-08 18:52:52.512192
959	74	2	\N	2016-10-08 18:52:52.512192
960	74	2	\N	2016-10-08 18:52:52.512192
1714	110	2	f	2016-10-08 18:52:52.512192
985	75	2	\N	2016-10-08 18:52:52.512192
987	75	2	\N	2016-10-08 18:52:52.512192
1721	110	2	f	2016-10-08 18:52:52.512192
1884	12	2	f	2016-10-08 18:52:52.512192
1885	65	2	f	2016-10-08 18:52:52.512192
1888	117	2	f	2016-10-08 18:52:52.512192
1893	120	2	f	2016-10-08 18:52:52.512192
1894	12	2	f	2016-10-08 18:52:52.512192
1004	78	2	\N	2016-10-08 18:52:52.512192
1309	90	2	f	2016-10-08 18:52:52.512192
1310	41	2	f	2016-10-08 18:52:52.512192
1895	65	2	f	2016-10-08 18:52:52.512192
1311	41	2	f	2016-10-08 18:52:52.512192
1312	65	2	f	2016-10-08 18:52:52.512192
1313	12	2	f	2016-10-08 18:52:52.512192
1896	65	2	f	2016-10-08 18:52:52.512192
1314	102	2	f	2016-10-08 18:52:52.512192
1317	12	2	f	2016-10-08 18:52:52.512192
1320	83	2	f	2016-10-08 18:52:52.512192
1321	84	2	f	2016-10-08 18:52:52.512192
1322	83	2	f	2016-10-08 18:52:52.512192
1950	123	2	f	2016-10-08 18:52:52.512192
1951	90	2	f	2016-10-08 18:52:52.512192
1952	86	2	f	2016-10-08 18:52:52.512192
1907	65	2	f	2016-10-08 18:52:52.512192
1956	87	2	f	2016-10-08 18:52:52.512192
1958	93	2	f	2016-10-08 18:52:52.512192
1959	123	2	f	2016-10-08 18:52:52.512192
2104	135	2	f	2016-10-08 18:52:52.512192
1323	83	2	f	2016-10-08 18:52:52.512192
2105	135	2	f	2016-10-08 18:52:52.512192
2106	135	2	f	2016-10-08 18:52:52.512192
2107	12	2	f	2016-10-08 18:52:52.512192
2108	12	2	f	2016-10-08 18:52:52.512192
2111	83	2	f	2016-10-08 18:52:52.512192
2115	39	2	f	2016-10-08 18:52:52.512192
2119	90	2	f	2016-10-08 18:52:52.512192
2168	137	2	f	2016-10-08 18:52:52.512192
2171	93	2	f	2016-10-08 18:52:52.512192
2172	135	2	f	2016-10-08 18:52:52.512192
2173	137	2	f	2016-10-08 18:52:52.512192
1324	83	2	f	2016-10-08 18:52:52.512192
1358	83	2	f	2016-10-08 18:52:52.512192
1359	84	2	f	2016-10-08 18:52:52.512192
1360	83	2	f	2016-10-08 18:52:52.512192
2452	117	2	f	2016-10-08 18:52:52.512192
2457	106	2	f	2016-10-08 18:52:52.512192
1361	84	2	f	2016-10-08 18:52:52.512192
1365	39	2	f	2016-10-08 18:52:52.512192
1366	84	2	f	2016-10-08 18:52:52.512192
1367	83	2	f	2016-10-08 18:52:52.512192
1368	65	2	f	2016-10-08 18:52:52.512192
1371	87	2	f	2016-10-08 18:52:52.512192
1373	87	2	f	2016-10-08 18:52:52.512192
1374	90	2	f	2016-10-08 18:52:52.512192
1624	87	2	f	2016-10-08 18:52:52.512192
1625	89	2	f	2016-10-08 18:52:52.512192
1376	89	2	f	2016-10-08 18:52:52.512192
1626	69	2	f	2016-10-08 18:52:52.512192
1378	78	2	f	2016-10-08 18:52:52.512192
1627	69	2	f	2016-10-08 18:52:52.512192
1628	69	2	f	2016-10-08 18:52:52.512192
1379	87	2	f	2016-10-08 18:52:52.512192
1634	103	2	f	2016-10-08 18:52:52.512192
1380	87	2	f	2016-10-08 18:52:52.512192
1383	69	2	f	2016-10-08 18:52:52.512192
2260	135	2	f	2016-10-08 18:52:52.512192
2261	142	2	f	2016-10-08 18:52:52.512192
2262	135	2	f	2016-10-08 18:52:52.512192
2263	142	2	f	2016-10-08 18:52:52.512192
2264	134	2	f	2016-10-08 18:52:52.512192
2265	135	2	f	2016-10-08 18:52:52.512192
1780	105	2	f	2016-10-08 18:52:52.512192
1797	12	2	f	2016-10-08 18:52:52.512192
1798	65	2	f	2016-10-08 18:52:52.512192
1799	12	2	f	2016-10-08 18:52:52.512192
1804	118	2	f	2016-10-08 18:52:52.512192
2	2	2	\N	2016-10-08 18:52:52.512192
2127	12	2	f	2016-10-08 18:52:52.512192
3	2	2	\N	2016-10-08 18:52:52.512192
10	12	2	\N	2016-10-08 18:52:52.512192
1010	79	2	\N	2016-10-08 18:52:52.512192
1080	65	2	\N	2016-10-08 18:52:52.512192
1081	12	2	\N	2016-10-08 18:52:52.512192
1099	39	2	\N	2016-10-08 18:52:52.512192
2309	69	2	f	2016-10-08 18:52:52.512192
1100	70	2	\N	2016-10-08 18:52:52.512192
2128	65	2	f	2016-10-08 18:52:52.512192
2129	138	2	f	2016-10-08 18:52:52.512192
2130	138	2	f	2016-10-08 18:52:52.512192
2132	118	2	f	2016-10-08 18:52:52.512192
2440	117	2	f	2016-10-08 18:52:52.512192
2201	104	2	f	2016-10-08 18:52:52.512192
2459	106	2	f	2016-10-08 18:52:52.512192
2463	111	2	f	2016-10-08 18:52:52.512192
2465	120	2	f	2016-10-08 18:52:52.512192
2563	69	2	f	2016-10-08 18:52:52.512192
2564	145	2	f	2016-10-08 18:52:52.512192
2565	130	2	f	2016-10-08 18:52:52.512192
2203	104	2	f	2016-10-08 18:52:52.512192
2205	110	2	f	2016-10-08 18:52:52.512192
2234	78	2	f	2016-10-08 18:52:52.512192
2566	69	2	f	2016-10-08 18:52:52.512192
2133	123	2	f	2016-10-08 18:52:52.512192
2567	145	2	f	2016-10-08 18:52:52.512192
2571	145	2	f	2016-10-08 18:52:52.512192
2135	12	2	f	2016-10-08 18:52:52.512192
2572	130	2	f	2016-10-08 18:52:52.512192
2710	119	2	f	2016-10-08 18:52:52.512192
2711	119	2	f	2016-10-08 18:52:52.512192
2712	119	2	f	2016-10-08 18:52:52.512192
2713	119	2	f	2016-10-08 18:52:52.512192
2816	93	2	f	2016-10-08 18:52:52.512192
2817	123	2	f	2016-10-08 18:52:52.512192
2836	119	2	f	2016-10-08 18:52:52.512192
2136	65	2	f	2016-10-08 18:52:52.512192
2320	12	2	f	2016-10-08 18:52:52.512192
2327	87	2	f	2016-10-08 18:52:52.512192
2328	69	2	f	2016-10-08 18:52:52.512192
2583	12	2	f	2016-10-08 18:52:52.512192
2329	145	2	f	2016-10-08 18:52:52.512192
2330	145	2	f	2016-10-08 18:52:52.512192
2331	146	2	f	2016-10-08 18:52:52.512192
2837	135	2	f	2016-10-08 18:52:52.512192
2332	146	2	f	2016-10-08 18:52:52.512192
2333	130	2	f	2016-10-08 18:52:52.512192
2838	144	2	f	2016-10-08 18:52:52.512192
2855	119	2	f	2016-10-08 18:52:52.512192
2861	117	2	f	2016-10-08 18:52:52.512192
2862	117	2	f	2016-10-08 18:52:52.512192
2334	104	2	f	2016-10-08 18:52:52.512192
2335	104	2	f	2016-10-08 18:52:52.512192
2336	104	2	f	2016-10-08 18:52:52.512192
2235	78	2	f	2016-10-08 18:52:52.512192
2236	78	2	f	2016-10-08 18:52:52.512192
2337	104	2	f	2016-10-08 18:52:52.512192
2338	87	2	f	2016-10-08 18:52:52.512192
2339	69	2	f	2016-10-08 18:52:52.512192
2340	69	2	f	2016-10-08 18:52:52.512192
2237	78	2	f	2016-10-08 18:52:52.512192
2238	78	2	f	2016-10-08 18:52:52.512192
2239	78	2	f	2016-10-08 18:52:52.512192
1774	111	2	f	2016-10-08 18:52:52.512192
1802	118	2	f	2016-10-08 18:52:52.512192
2296	12	2	f	2016-10-08 18:52:52.512192
2297	145	2	f	2016-10-08 18:52:52.512192
2299	146	2	f	2016-10-08 18:52:52.512192
2300	145	2	f	2016-10-08 18:52:52.512192
2304	123	2	f	2016-10-08 18:52:52.512192
1910	106	2	f	2016-10-08 18:52:52.512192
1911	106	2	f	2016-10-08 18:52:52.512192
2075	93	2	f	2016-10-08 18:52:52.512192
2076	123	2	f	2016-10-08 18:52:52.512192
2077	12	2	f	2016-10-08 18:52:52.512192
2087	118	2	f	2016-10-08 18:52:52.512192
2088	130	2	f	2016-10-08 18:52:52.512192
2089	87	2	f	2016-10-08 18:52:52.512192
2090	69	2	f	2016-10-08 18:52:52.512192
2092	118	2	f	2016-10-08 18:52:52.512192
2095	87	2	f	2016-10-08 18:52:52.512192
2096	118	2	f	2016-10-08 18:52:52.512192
2097	118	2	f	2016-10-08 18:52:52.512192
2307	87	2	f	2016-10-08 18:52:52.512192
2120	101	2	f	2016-10-08 18:52:52.512192
2126	2	2	f	2016-10-08 18:52:52.512192
2341	135	2	f	2016-10-08 18:52:52.512192
2342	137	2	f	2016-10-08 18:52:52.512192
2343	135	2	f	2016-10-08 18:52:52.512192
2344	143	2	f	2016-10-08 18:52:52.512192
2030	119	2	f	2016-10-08 18:52:52.512192
2031	119	2	f	2016-10-08 18:52:52.512192
2308	87	2	f	2016-10-08 18:52:52.512192
2032	110	2	f	2016-10-08 18:52:52.512192
2038	119	2	f	2016-10-08 18:52:52.512192
2903	119	2	f	2016-10-08 18:52:52.512192
2514	65	2	f	2016-10-08 18:52:52.512192
2515	148	2	f	2016-10-08 18:52:52.512192
2516	12	2	f	2016-10-08 18:52:52.512192
2871	119	2	f	2016-10-08 18:52:52.512192
2517	149	2	f	2016-10-08 18:52:52.512192
2518	149	2	f	2016-10-08 18:52:52.512192
2904	103	2	f	2016-10-08 18:52:52.512192
2519	47	2	f	2016-10-08 18:52:52.512192
2520	149	2	f	2016-10-08 18:52:52.512192
2521	149	2	f	2016-10-08 18:52:52.512192
2522	149	2	f	2016-10-08 18:52:52.512192
2873	87	2	f	2016-10-08 18:52:52.512192
2874	87	2	f	2016-10-08 18:52:52.512192
2875	69	2	f	2016-10-08 18:52:52.512192
2876	145	2	f	2016-10-08 18:52:52.512192
2877	130	2	f	2016-10-08 18:52:52.512192
2878	87	2	f	2016-10-08 18:52:52.512192
2887	12	2	f	2016-10-08 18:52:52.512192
2888	65	2	f	2016-10-08 18:52:52.512192
2889	65	2	f	2016-10-08 18:52:52.512192
1316	102	2	f	2016-10-08 18:52:52.512192
1336	39	2	f	2016-10-08 18:52:52.512192
1362	83	2	f	2016-10-08 18:52:52.512192
1363	84	2	f	2016-10-08 18:52:52.512192
1364	83	2	f	2016-10-08 18:52:52.512192
1372	69	2	f	2016-10-08 18:52:52.512192
2523	149	2	f	2016-10-08 18:52:52.512192
2524	149	2	f	2016-10-08 18:52:52.512192
1375	69	2	f	2016-10-08 18:52:52.512192
2525	149	2	f	2016-10-08 18:52:52.512192
1382	90	2	f	2016-10-08 18:52:52.512192
2526	149	2	f	2016-10-08 18:52:52.512192
1385	84	2	f	2016-10-08 18:52:52.512192
2527	149	2	f	2016-10-08 18:52:52.512192
1386	83	2	f	2016-10-08 18:52:52.512192
2528	149	2	f	2016-10-08 18:52:52.512192
2529	119	2	f	2016-10-08 18:52:52.512192
2536	110	2	f	2016-10-08 18:52:52.512192
2537	119	2	f	2016-10-08 18:52:52.512192
2538	119	2	f	2016-10-08 18:52:52.512192
2574	145	2	f	2016-10-08 18:52:52.512192
2575	130	2	f	2016-10-08 18:52:52.512192
1387	87	2	f	2016-10-08 18:52:52.512192
1388	90	2	f	2016-10-08 18:52:52.512192
1389	69	2	f	2016-10-08 18:52:52.512192
1390	69	2	f	2016-10-08 18:52:52.512192
1391	90	2	f	2016-10-08 18:52:52.512192
1416	39	2	f	2016-10-08 18:52:52.512192
2270	70	2	f	2016-10-08 18:52:52.512192
2271	140	2	f	2016-10-08 18:52:52.512192
2272	78	2	f	2016-10-08 18:52:52.512192
2273	135	2	f	2016-10-08 18:52:52.512192
2286	137	2	f	2016-10-08 18:52:52.512192
2287	135	2	f	2016-10-08 18:52:52.512192
2288	142	2	f	2016-10-08 18:52:52.512192
2289	104	2	f	2016-10-08 18:52:52.512192
2290	104	2	f	2016-10-08 18:52:52.512192
1424	12	2	f	2016-10-08 18:52:52.512192
1425	65	2	f	2016-10-08 18:52:52.512192
1426	105	2	f	2016-10-08 18:52:52.512192
1431	105	2	f	2016-10-08 18:52:52.512192
1432	105	2	f	2016-10-08 18:52:52.512192
1433	12	2	f	2016-10-08 18:52:52.512192
1434	65	2	f	2016-10-08 18:52:52.512192
2576	69	2	f	2016-10-08 18:52:52.512192
2577	145	2	f	2016-10-08 18:52:52.512192
2578	145	2	f	2016-10-08 18:52:52.512192
2579	130	2	f	2016-10-08 18:52:52.512192
2580	69	2	f	2016-10-08 18:52:52.512192
2581	145	2	f	2016-10-08 18:52:52.512192
2582	130	2	f	2016-10-08 18:52:52.512192
2345	134	2	f	2016-10-08 18:52:52.512192
2366	87	2	f	2016-10-08 18:52:52.512192
2367	69	2	f	2016-10-08 18:52:52.512192
2368	145	2	f	2016-10-08 18:52:52.512192
2369	146	2	f	2016-10-08 18:52:52.512192
2370	118	2	f	2016-10-08 18:52:52.512192
2371	93	2	f	2016-10-08 18:52:52.512192
2372	130	2	f	2016-10-08 18:52:52.512192
2373	39	2	f	2016-10-08 18:52:52.512192
2648	65	2	f	2016-10-08 18:52:52.512192
2649	65	2	f	2016-10-08 18:52:52.512192
2650	65	2	f	2016-10-08 18:52:52.512192
2429	105	2	f	2016-10-08 18:52:52.512192
2430	105	2	f	2016-10-08 18:52:52.512192
2510	110	2	f	2016-10-08 18:52:52.512192
2511	86	2	f	2016-10-08 18:52:52.512192
2513	12	2	f	2016-10-08 18:52:52.512192
2544	148	2	f	2016-10-08 18:52:52.512192
907	71	2	\N	2016-10-08 18:52:52.512192
908	12	2	\N	2016-10-08 18:52:52.512192
909	12	2	\N	2016-10-08 18:52:52.512192
2589	89	2	f	2016-10-08 18:52:52.512192
2590	90	2	f	2016-10-08 18:52:52.512192
2545	86	2	f	2016-10-08 18:52:52.512192
2547	119	2	f	2016-10-08 18:52:52.512192
2548	119	2	f	2016-10-08 18:52:52.512192
2591	69	2	f	2016-10-08 18:52:52.512192
2592	123	2	f	2016-10-08 18:52:52.512192
2593	69	2	f	2016-10-08 18:52:52.512192
2594	87	2	f	2016-10-08 18:52:52.512192
2595	69	2	f	2016-10-08 18:52:52.512192
2596	145	2	f	2016-10-08 18:52:52.512192
2376	69	2	f	2016-10-08 18:52:52.512192
2377	135	2	f	2016-10-08 18:52:52.512192
2549	12	2	f	2016-10-08 18:52:52.512192
2378	137	2	f	2016-10-08 18:52:52.512192
2550	87	2	f	2016-10-08 18:52:52.512192
2379	135	2	f	2016-10-08 18:52:52.512192
2551	12	2	f	2016-10-08 18:52:52.512192
2552	65	2	f	2016-10-08 18:52:52.512192
2553	65	2	f	2016-10-08 18:52:52.512192
2554	65	2	f	2016-10-08 18:52:52.512192
2725	119	2	f	2016-10-08 18:52:52.512192
2726	110	2	f	2016-10-08 18:52:52.512192
2727	119	2	f	2016-10-08 18:52:52.512192
2728	119	2	f	2016-10-08 18:52:52.512192
2729	103	2	f	2016-10-08 18:52:52.512192
2730	93	2	f	2016-10-08 18:52:52.512192
2731	123	2	f	2016-10-08 18:52:52.512192
2732	148	2	f	2016-10-08 18:52:52.512192
2818	93	2	f	2016-10-08 18:52:52.512192
2819	123	2	f	2016-10-08 18:52:52.512192
2380	143	2	f	2016-10-08 18:52:52.512192
2381	93	2	f	2016-10-08 18:52:52.512192
2382	134	2	f	2016-10-08 18:52:52.512192
2383	104	2	f	2016-10-08 18:52:52.512192
2384	104	2	f	2016-10-08 18:52:52.512192
2385	104	2	f	2016-10-08 18:52:52.512192
2388	103	2	f	2016-10-08 18:52:52.512192
2389	105	2	f	2016-10-08 18:52:52.512192
2390	105	2	f	2016-10-08 18:52:52.512192
2391	105	2	f	2016-10-08 18:52:52.512192
2396	105	2	f	2016-10-08 18:52:52.512192
2397	105	2	f	2016-10-08 18:52:52.512192
2398	105	2	f	2016-10-08 18:52:52.512192
2415	105	2	f	2016-10-08 18:52:52.512192
2416	105	2	f	2016-10-08 18:52:52.512192
2670	146	2	f	2016-10-08 18:52:52.512192
2425	105	2	f	2016-10-08 18:52:52.512192
2426	105	2	f	2016-10-08 18:52:52.512192
2682	149	2	f	2016-10-08 18:52:52.512192
2683	89	2	f	2016-10-08 18:52:52.512192
2427	105	2	f	2016-10-08 18:52:52.512192
2428	105	2	f	2016-10-08 18:52:52.512192
2684	149	2	f	2016-10-08 18:52:52.512192
2685	89	2	f	2016-10-08 18:52:52.512192
2686	135	2	f	2016-10-08 18:52:52.512192
2431	105	2	f	2016-10-08 18:52:52.512192
2687	137	2	f	2016-10-08 18:52:52.512192
2690	134	2	f	2016-10-08 18:52:52.512192
2693	110	2	f	2016-10-08 18:52:52.512192
2694	110	2	f	2016-10-08 18:52:52.512192
2695	86	2	f	2016-10-08 18:52:52.512192
2530	119	2	f	2016-10-08 18:52:52.512192
2531	119	2	f	2016-10-08 18:52:52.512192
2532	119	2	f	2016-10-08 18:52:52.512192
2533	119	2	f	2016-10-08 18:52:52.512192
2534	119	2	f	2016-10-08 18:52:52.512192
2535	119	2	f	2016-10-08 18:52:52.512192
2539	110	2	f	2016-10-08 18:52:52.512192
2540	86	2	f	2016-10-08 18:52:52.512192
2541	119	2	f	2016-10-08 18:52:52.512192
2542	148	2	f	2016-10-08 18:52:52.512192
2543	148	2	f	2016-10-08 18:52:52.512192
2820	118	2	f	2016-10-08 18:52:52.512192
2821	87	2	f	2016-10-08 18:52:52.512192
2822	69	2	f	2016-10-08 18:52:52.512192
2823	145	2	f	2016-10-08 18:52:52.512192
1546	106	2	f	2016-10-08 18:52:52.512192
2824	130	2	f	2016-10-08 18:52:52.512192
1547	106	2	f	2016-10-08 18:52:52.512192
1548	12	2	f	2016-10-08 18:52:52.512192
1549	12	2	f	2016-10-08 18:52:52.512192
2825	146	2	f	2016-10-08 18:52:52.512192
2826	118	2	f	2016-10-08 18:52:52.512192
2827	135	2	f	2016-10-08 18:52:52.512192
2828	137	2	f	2016-10-08 18:52:52.512192
2841	104	2	f	2016-10-08 18:52:52.512192
2865	78	2	f	2016-10-08 18:52:52.512192
2866	117	2	f	2016-10-08 18:52:52.512192
2867	111	2	f	2016-10-08 18:52:52.512192
1550	65	2	f	2016-10-08 18:52:52.512192
1551	87	2	f	2016-10-08 18:52:52.512192
1552	87	2	f	2016-10-08 18:52:52.512192
2597	145	2	f	2016-10-08 18:52:52.512192
2636	65	2	f	2016-10-08 18:52:52.512192
2637	65	2	f	2016-10-08 18:52:52.512192
2638	65	2	f	2016-10-08 18:52:52.512192
2392	105	2	f	2016-10-08 18:52:52.512192
2393	105	2	f	2016-10-08 18:52:52.512192
2394	105	2	f	2016-10-08 18:52:52.512192
2395	105	2	f	2016-10-08 18:52:52.512192
2642	65	2	f	2016-10-08 18:52:52.512192
274	12	2	\N	2016-10-08 18:52:52.512192
292	41	2	\N	2016-10-08 18:52:52.512192
306	41	2	\N	2016-10-08 18:52:52.512192
706	12	2	\N	2016-10-08 18:52:52.512192
723	12	2	\N	2016-10-08 18:52:52.512192
725	55	2	\N	2016-10-08 18:52:52.512192
726	55	2	\N	2016-10-08 18:52:52.512192
728	55	2	\N	2016-10-08 18:52:52.512192
734	55	2	\N	2016-10-08 18:52:52.512192
743	55	2	\N	2016-10-08 18:52:52.512192
763	55	2	\N	2016-10-08 18:52:52.512192
764	12	2	\N	2016-10-08 18:52:52.512192
769	12	2	\N	2016-10-08 18:52:52.512192
2643	65	2	f	2016-10-08 18:52:52.512192
2646	65	2	f	2016-10-08 18:52:52.512192
2647	65	2	f	2016-10-08 18:52:52.512192
2651	65	2	f	2016-10-08 18:52:52.512192
2652	65	2	f	2016-10-08 18:52:52.512192
2653	65	2	f	2016-10-08 18:52:52.512192
771	55	2	\N	2016-10-08 18:52:52.512192
772	59	2	\N	2016-10-08 18:52:52.512192
837	65	2	\N	2016-10-08 18:52:52.512192
1067	78	2	\N	2016-10-08 18:52:52.512192
1068	12	2	\N	2016-10-08 18:52:52.512192
1164	70	2	\N	2016-10-08 18:52:52.512192
1165	39	2	\N	2016-10-08 18:52:52.512192
2654	65	2	f	2016-10-08 18:52:52.512192
2655	65	2	f	2016-10-08 18:52:52.512192
1168	41	2	\N	2016-10-08 18:52:52.512192
1169	70	2	\N	2016-10-08 18:52:52.512192
1185	39	2	\N	2016-10-08 18:52:52.512192
1195	87	2	\N	2016-10-08 18:52:52.512192
1198	12	2	\N	2016-10-08 18:52:52.512192
1261	89	2	f	2016-10-08 18:52:52.512192
1598	103	2	f	2016-10-08 18:52:52.512192
1807	90	2	f	2016-10-08 18:52:52.512192
1833	118	2	f	2016-10-08 18:52:52.512192
1839	103	2	f	2016-10-08 18:52:52.512192
1435	12	2	f	2016-10-08 18:52:52.512192
1436	65	2	f	2016-10-08 18:52:52.512192
1438	107	2	f	2016-10-08 18:52:52.512192
1439	107	2	f	2016-10-08 18:52:52.512192
1511	101	2	f	2016-10-08 18:52:52.512192
1512	101	2	f	2016-10-08 18:52:52.512192
1513	101	2	f	2016-10-08 18:52:52.512192
1521	12	2	f	2016-10-08 18:52:52.512192
1535	110	2	f	2016-10-08 18:52:52.512192
1536	110	2	f	2016-10-08 18:52:52.512192
1537	110	2	f	2016-10-08 18:52:52.512192
1538	110	2	f	2016-10-08 18:52:52.512192
1539	110	2	f	2016-10-08 18:52:52.512192
1540	110	2	f	2016-10-08 18:52:52.512192
1541	110	2	f	2016-10-08 18:52:52.512192
2417	105	2	f	2016-10-08 18:52:52.512192
1543	87	2	f	2016-10-08 18:52:52.512192
1544	87	2	f	2016-10-08 18:52:52.512192
1545	87	2	f	2016-10-08 18:52:52.512192
2659	87	2	f	2016-10-08 18:52:52.512192
2661	145	2	f	2016-10-08 18:52:52.512192
2662	130	2	f	2016-10-08 18:52:52.512192
2663	118	2	f	2016-10-08 18:52:52.512192
2418	105	2	f	2016-10-08 18:52:52.512192
2419	105	2	f	2016-10-08 18:52:52.512192
2420	105	2	f	2016-10-08 18:52:52.512192
2421	105	2	f	2016-10-08 18:52:52.512192
2422	105	2	f	2016-10-08 18:52:52.512192
2423	105	2	f	2016-10-08 18:52:52.512192
2698	110	2	f	2016-10-08 18:52:52.512192
2699	86	2	f	2016-10-08 18:52:52.512192
2700	119	2	f	2016-10-08 18:52:52.512192
2701	119	2	f	2016-10-08 18:52:52.512192
2879	69	2	f	2016-10-08 18:52:52.512192
773	12	2	\N	2016-10-08 18:52:52.512192
887	69	2	\N	2016-10-08 18:52:52.512192
2183	137	2	f	2016-10-08 18:52:52.512192
2660	69	2	f	2016-10-08 18:52:52.512192
2664	149	2	f	2016-10-08 18:52:52.512192
2665	149	2	f	2016-10-08 18:52:52.512192
2666	87	2	f	2016-10-08 18:52:52.512192
2667	69	2	f	2016-10-08 18:52:52.512192
2668	145	2	f	2016-10-08 18:52:52.512192
894	2	2	\N	2016-10-08 18:52:52.512192
896	39	2	\N	2016-10-08 18:52:52.512192
1011	12	2	\N	2016-10-08 18:52:52.512192
2669	130	2	f	2016-10-08 18:52:52.512192
2671	93	2	f	2016-10-08 18:52:52.512192
2672	123	2	f	2016-10-08 18:52:52.512192
2673	39	2	f	2016-10-08 18:52:52.512192
2839	119	2	f	2016-10-08 18:52:52.512192
2840	119	2	f	2016-10-08 18:52:52.512192
1278	39	2	f	2016-10-08 18:52:52.512192
1283	71	2	f	2016-10-08 18:52:52.512192
1284	69	2	f	2016-10-08 18:52:52.512192
1285	87	2	f	2016-10-08 18:52:52.512192
1286	89	2	f	2016-10-08 18:52:52.512192
1287	84	2	f	2016-10-08 18:52:52.512192
1288	90	2	f	2016-10-08 18:52:52.512192
1289	84	2	f	2016-10-08 18:52:52.512192
1290	39	2	f	2016-10-08 18:52:52.512192
1291	84	2	f	2016-10-08 18:52:52.512192
1292	83	2	f	2016-10-08 18:52:52.512192
1293	69	2	f	2016-10-08 18:52:52.512192
1294	69	2	f	2016-10-08 18:52:52.512192
1304	87	2	f	2016-10-08 18:52:52.512192
1306	90	2	f	2016-10-08 18:52:52.512192
1840	103	2	f	2016-10-08 18:52:52.512192
1849	12	2	f	2016-10-08 18:52:52.512192
1440	103	2	f	2016-10-08 18:52:52.512192
1442	103	2	f	2016-10-08 18:52:52.512192
1447	106	2	f	2016-10-08 18:52:52.512192
1448	106	2	f	2016-10-08 18:52:52.512192
1450	12	2	f	2016-10-08 18:52:52.512192
1452	12	2	f	2016-10-08 18:52:52.512192
1464	87	2	f	2016-10-08 18:52:52.512192
1465	69	2	f	2016-10-08 18:52:52.512192
1467	89	2	f	2016-10-08 18:52:52.512192
1502	103	2	f	2016-10-08 18:52:52.512192
1503	103	2	f	2016-10-08 18:52:52.512192
1504	104	2	f	2016-10-08 18:52:52.512192
1505	104	2	f	2016-10-08 18:52:52.512192
1506	104	2	f	2016-10-08 18:52:52.512192
1507	107	2	f	2016-10-08 18:52:52.512192
1509	106	2	f	2016-10-08 18:52:52.512192
1514	101	2	f	2016-10-08 18:52:52.512192
1515	101	2	f	2016-10-08 18:52:52.512192
1516	87	2	f	2016-10-08 18:52:52.512192
1517	87	2	f	2016-10-08 18:52:52.512192
1518	87	2	f	2016-10-08 18:52:52.512192
1519	87	2	f	2016-10-08 18:52:52.512192
1553	79	2	f	2016-10-08 18:52:52.512192
2584	93	2	f	2016-10-08 18:52:52.512192
2585	87	2	f	2016-10-08 18:52:52.512192
2586	87	2	f	2016-10-08 18:52:52.512192
2587	87	2	f	2016-10-08 18:52:52.512192
2588	89	2	f	2016-10-08 18:52:52.512192
2633	65	2	f	2016-10-08 18:52:52.512192
2634	65	2	f	2016-10-08 18:52:52.512192
2635	65	2	f	2016-10-08 18:52:52.512192
2174	135	2	f	2016-10-08 18:52:52.512192
2175	137	2	f	2016-10-08 18:52:52.512192
2176	135	2	f	2016-10-08 18:52:52.512192
2177	137	2	f	2016-10-08 18:52:52.512192
2178	135	2	f	2016-10-08 18:52:52.512192
2179	137	2	f	2016-10-08 18:52:52.512192
2180	135	2	f	2016-10-08 18:52:52.512192
2181	137	2	f	2016-10-08 18:52:52.512192
2182	135	2	f	2016-10-08 18:52:52.512192
897	39	2	\N	2016-10-08 18:52:52.512192
898	39	2	\N	2016-10-08 18:52:52.512192
899	39	2	\N	2016-10-08 18:52:52.512192
900	65	2	\N	2016-10-08 18:52:52.512192
2435	146	2	f	2016-10-08 18:52:52.512192
901	12	2	\N	2016-10-08 18:52:52.512192
2450	103	2	f	2016-10-08 18:52:52.512192
902	65	2	\N	2016-10-08 18:52:52.512192
903	71	2	\N	2016-10-08 18:52:52.512192
2451	106	2	f	2016-10-08 18:52:52.512192
2486	101	2	f	2016-10-08 18:52:52.512192
2489	86	2	f	2016-10-08 18:52:52.512192
2490	86	2	f	2016-10-08 18:52:52.512192
2491	86	2	f	2016-10-08 18:52:52.512192
2493	87	2	f	2016-10-08 18:52:52.512192
2501	110	2	f	2016-10-08 18:52:52.512192
2502	110	2	f	2016-10-08 18:52:52.512192
2503	119	2	f	2016-10-08 18:52:52.512192
2505	110	2	f	2016-10-08 18:52:52.512192
2506	86	2	f	2016-10-08 18:52:52.512192
2507	110	2	f	2016-10-08 18:52:52.512192
2508	110	2	f	2016-10-08 18:52:52.512192
2737	106	2	f	2016-10-08 18:52:52.512192
2738	117	2	f	2016-10-08 18:52:52.512192
2739	69	2	f	2016-10-08 18:52:52.512192
2740	12	2	f	2016-10-08 18:52:52.512192
2832	119	2	f	2016-10-08 18:52:52.512192
2863	111	2	f	2016-10-08 18:52:52.512192
2864	140	2	f	2016-10-08 18:52:52.512192
2274	143	2	f	2016-10-08 18:52:52.512192
2275	134	2	f	2016-10-08 18:52:52.512192
2276	12	2	f	2016-10-08 18:52:52.512192
2277	105	2	f	2016-10-08 18:52:52.512192
2278	135	2	f	2016-10-08 18:52:52.512192
2279	144	2	f	2016-10-08 18:52:52.512192
2280	134	2	f	2016-10-08 18:52:52.512192
2281	104	2	f	2016-10-08 18:52:52.512192
2282	135	2	f	2016-10-08 18:52:52.512192
2284	134	2	f	2016-10-08 18:52:52.512192
1962	93	2	f	2016-10-08 18:52:52.512192
1963	123	2	f	2016-10-08 18:52:52.512192
1964	93	2	f	2016-10-08 18:52:52.512192
1965	123	2	f	2016-10-08 18:52:52.512192
1966	12	2	f	2016-10-08 18:52:52.512192
2098	118	2	f	2016-10-08 18:52:52.512192
2099	12	2	f	2016-10-08 18:52:52.512192
2100	12	2	f	2016-10-08 18:52:52.512192
1978	2	2	f	2016-10-08 18:52:52.512192
2101	65	2	f	2016-10-08 18:52:52.512192
1979	118	2	f	2016-10-08 18:52:52.512192
1985	93	2	f	2016-10-08 18:52:52.512192
1986	123	2	f	2016-10-08 18:52:52.512192
1987	103	2	f	2016-10-08 18:52:52.512192
1988	119	2	f	2016-10-08 18:52:52.512192
1989	12	2	f	2016-10-08 18:52:52.512192
2602	65	2	f	2016-10-08 18:52:52.512192
2603	65	2	f	2016-10-08 18:52:52.512192
2604	65	2	f	2016-10-08 18:52:52.512192
2605	65	2	f	2016-10-08 18:52:52.512192
2608	65	2	f	2016-10-08 18:52:52.512192
2612	65	2	f	2016-10-08 18:52:52.512192
2613	65	2	f	2016-10-08 18:52:52.512192
2617	65	2	f	2016-10-08 18:52:52.512192
2039	119	2	f	2016-10-08 18:52:52.512192
2044	119	2	f	2016-10-08 18:52:52.512192
2156	135	2	f	2016-10-08 18:52:52.512192
2157	137	2	f	2016-10-08 18:52:52.512192
2158	135	2	f	2016-10-08 18:52:52.512192
2159	137	2	f	2016-10-08 18:52:52.512192
2160	135	2	f	2016-10-08 18:52:52.512192
2161	137	2	f	2016-10-08 18:52:52.512192
2162	135	2	f	2016-10-08 18:52:52.512192
2163	137	2	f	2016-10-08 18:52:52.512192
2164	135	2	f	2016-10-08 18:52:52.512192
2165	137	2	f	2016-10-08 18:52:52.512192
2167	135	2	f	2016-10-08 18:52:52.512192
2045	119	2	f	2016-10-08 18:52:52.512192
2399	105	2	f	2016-10-08 18:52:52.512192
2400	105	2	f	2016-10-08 18:52:52.512192
2401	105	2	f	2016-10-08 18:52:52.512192
2402	105	2	f	2016-10-08 18:52:52.512192
2403	105	2	f	2016-10-08 18:52:52.512192
2704	119	2	f	2016-10-08 18:52:52.512192
2705	119	2	f	2016-10-08 18:52:52.512192
2706	119	2	f	2016-10-08 18:52:52.512192
2707	119	2	f	2016-10-08 18:52:52.512192
2708	119	2	f	2016-10-08 18:52:52.512192
2709	119	2	f	2016-10-08 18:52:52.512192
2434	130	2	f	2016-10-08 18:52:52.512192
775	12	2	\N	2016-10-08 18:52:52.512192
778	65	2	\N	2016-10-08 18:52:52.512192
779	65	2	\N	2016-10-08 18:52:52.512192
780	65	2	\N	2016-10-08 18:52:52.512192
784	47	2	\N	2016-10-08 18:52:52.512192
788	12	2	\N	2016-10-08 18:52:52.512192
789	67	2	\N	2016-10-08 18:52:52.512192
790	65	2	\N	2016-10-08 18:52:52.512192
791	65	2	\N	2016-10-08 18:52:52.512192
792	65	2	\N	2016-10-08 18:52:52.512192
794	55	2	\N	2016-10-08 18:52:52.512192
800	55	2	\N	2016-10-08 18:52:52.512192
801	55	2	\N	2016-10-08 18:52:52.512192
802	65	2	\N	2016-10-08 18:52:52.512192
1468	84	2	f	2016-10-08 18:52:52.512192
1469	90	2	f	2016-10-08 18:52:52.512192
1470	83	2	f	2016-10-08 18:52:52.512192
1471	69	2	f	2016-10-08 18:52:52.512192
1913	117	2	f	2016-10-08 18:52:52.512192
1510	101	2	f	2016-10-08 18:52:52.512192
1968	12	2	f	2016-10-08 18:52:52.512192
1970	126	2	f	2016-10-08 18:52:52.512192
1971	93	2	f	2016-10-08 18:52:52.512192
1972	123	2	f	2016-10-08 18:52:52.512192
1973	123	2	f	2016-10-08 18:52:52.512192
1975	65	2	f	2016-10-08 18:52:52.512192
1977	12	2	f	2016-10-08 18:52:52.512192
1554	101	2	f	2016-10-08 18:52:52.512192
1556	101	2	f	2016-10-08 18:52:52.512192
1559	87	2	f	2016-10-08 18:52:52.512192
1560	79	2	f	2016-10-08 18:52:52.512192
2137	139	2	f	2016-10-08 18:52:52.512192
2138	139	2	f	2016-10-08 18:52:52.512192
2139	139	2	f	2016-10-08 18:52:52.512192
2144	135	2	f	2016-10-08 18:52:52.512192
2145	137	2	f	2016-10-08 18:52:52.512192
2146	135	2	f	2016-10-08 18:52:52.512192
2147	137	2	f	2016-10-08 18:52:52.512192
838	65	2	\N	2016-10-08 18:52:52.512192
849	41	2	\N	2016-10-08 18:52:52.512192
851	41	2	\N	2016-10-08 18:52:52.512192
852	41	2	\N	2016-10-08 18:52:52.512192
853	41	2	\N	2016-10-08 18:52:52.512192
854	2	2	\N	2016-10-08 18:52:52.512192
855	2	2	\N	2016-10-08 18:52:52.512192
856	2	2	\N	2016-10-08 18:52:52.512192
864	65	2	\N	2016-10-08 18:52:52.512192
865	12	2	\N	2016-10-08 18:52:52.512192
866	65	2	\N	2016-10-08 18:52:52.512192
1307	90	2	f	2016-10-08 18:52:52.512192
1308	90	2	f	2016-10-08 18:52:52.512192
1337	84	2	f	2016-10-08 18:52:52.512192
1338	83	2	f	2016-10-08 18:52:52.512192
1349	83	2	f	2016-10-08 18:52:52.512192
1393	12	2	f	2016-10-08 18:52:52.512192
1394	65	2	f	2016-10-08 18:52:52.512192
1395	65	2	f	2016-10-08 18:52:52.512192
1396	104	2	f	2016-10-08 18:52:52.512192
1398	104	2	f	2016-10-08 18:52:52.512192
1400	104	2	f	2016-10-08 18:52:52.512192
1401	104	2	f	2016-10-08 18:52:52.512192
1402	104	2	f	2016-10-08 18:52:52.512192
1403	104	2	f	2016-10-08 18:52:52.512192
1404	87	2	f	2016-10-08 18:52:52.512192
1406	89	2	f	2016-10-08 18:52:52.512192
1407	90	2	f	2016-10-08 18:52:52.512192
1408	69	2	f	2016-10-08 18:52:52.512192
1409	69	2	f	2016-10-08 18:52:52.512192
1410	69	2	f	2016-10-08 18:52:52.512192
1411	69	2	f	2016-10-08 18:52:52.512192
2148	135	2	f	2016-10-08 18:52:52.512192
2149	137	2	f	2016-10-08 18:52:52.512192
2150	135	2	f	2016-10-08 18:52:52.512192
2187	135	2	f	2016-10-08 18:52:52.512192
2188	137	2	f	2016-10-08 18:52:52.512192
2189	135	2	f	2016-10-08 18:52:52.512192
2190	137	2	f	2016-10-08 18:52:52.512192
2674	84	2	f	2016-10-08 18:52:52.512192
2675	83	2	f	2016-10-08 18:52:52.512192
2676	87	2	f	2016-10-08 18:52:52.512192
1413	102	2	f	2016-10-08 18:52:52.512192
1414	90	2	f	2016-10-08 18:52:52.512192
1415	91	2	f	2016-10-08 18:52:52.512192
1417	84	2	f	2016-10-08 18:52:52.512192
1418	90	2	f	2016-10-08 18:52:52.512192
1419	91	2	f	2016-10-08 18:52:52.512192
1420	101	2	f	2016-10-08 18:52:52.512192
2152	135	2	f	2016-10-08 18:52:52.512192
2153	137	2	f	2016-10-08 18:52:52.512192
2154	135	2	f	2016-10-08 18:52:52.512192
2155	137	2	f	2016-10-08 18:52:52.512192
2184	135	2	f	2016-10-08 18:52:52.512192
2185	137	2	f	2016-10-08 18:52:52.512192
2186	134	2	f	2016-10-08 18:52:52.512192
2688	135	2	f	2016-10-08 18:52:52.512192
2880	87	2	f	2016-10-08 18:52:52.512192
904	71	2	\N	2016-10-08 18:52:52.512192
905	71	2	\N	2016-10-08 18:52:52.512192
906	71	2	\N	2016-10-08 18:52:52.512192
910	65	2	\N	2016-10-08 18:52:52.512192
911	65	2	\N	2016-10-08 18:52:52.512192
912	72	2	\N	2016-10-08 18:52:52.512192
1318	102	2	f	2016-10-08 18:52:52.512192
1319	84	2	f	2016-10-08 18:52:52.512192
2206	110	2	f	2016-10-08 18:52:52.512192
2207	110	2	f	2016-10-08 18:52:52.512192
1607	106	2	f	2016-10-08 18:52:52.512192
1608	105	2	f	2016-10-08 18:52:52.512192
1341	84	2	f	2016-10-08 18:52:52.512192
1609	105	2	f	2016-10-08 18:52:52.512192
2433	145	2	f	2016-10-08 18:52:52.512192
2689	143	2	f	2016-10-08 18:52:52.512192
2558	12	2	f	2016-10-08 18:52:52.512192
2559	151	2	f	2016-10-08 18:52:52.512192
1342	83	2	f	2016-10-08 18:52:52.512192
1343	70	2	f	2016-10-08 18:52:52.512192
1610	87	2	f	2016-10-08 18:52:52.512192
1611	87	2	f	2016-10-08 18:52:52.512192
1612	89	2	f	2016-10-08 18:52:52.512192
1613	89	2	f	2016-10-08 18:52:52.512192
1614	90	2	f	2016-10-08 18:52:52.512192
2560	69	2	f	2016-10-08 18:52:52.512192
2561	145	2	f	2016-10-08 18:52:52.512192
2562	130	2	f	2016-10-08 18:52:52.512192
2733	148	2	f	2016-10-08 18:52:52.512192
1615	69	2	f	2016-10-08 18:52:52.512192
2208	110	2	f	2016-10-08 18:52:52.512192
2209	110	2	f	2016-10-08 18:52:52.512192
2210	86	2	f	2016-10-08 18:52:52.512192
2211	110	2	f	2016-10-08 18:52:52.512192
2212	110	2	f	2016-10-08 18:52:52.512192
2213	86	2	f	2016-10-08 18:52:52.512192
2734	119	2	f	2016-10-08 18:52:52.512192
2735	119	2	f	2016-10-08 18:52:52.512192
2843	119	2	f	2016-10-08 18:52:52.512192
1370	90	2	f	2016-10-08 18:52:52.512192
1384	39	2	f	2016-10-08 18:52:52.512192
2283	137	2	f	2016-10-08 18:52:52.512192
1803	118	2	f	2016-10-08 18:52:52.512192
2301	146	2	f	2016-10-08 18:52:52.512192
2302	118	2	f	2016-10-08 18:52:52.512192
2303	93	2	f	2016-10-08 18:52:52.512192
1852	119	2	f	2016-10-08 18:52:52.512192
1898	105	2	f	2016-10-08 18:52:52.512192
1900	120	2	f	2016-10-08 18:52:52.512192
1901	120	2	f	2016-10-08 18:52:52.512192
1902	117	2	f	2016-10-08 18:52:52.512192
1903	111	2	f	2016-10-08 18:52:52.512192
1904	65	2	f	2016-10-08 18:52:52.512192
1905	65	2	f	2016-10-08 18:52:52.512192
1561	87	2	f	2016-10-08 18:52:52.512192
1562	87	2	f	2016-10-08 18:52:52.512192
1563	79	2	f	2016-10-08 18:52:52.512192
1564	101	2	f	2016-10-08 18:52:52.512192
2844	119	2	f	2016-10-08 18:52:52.512192
1569	101	2	f	2016-10-08 18:52:52.512192
1570	101	2	f	2016-10-08 18:52:52.512192
1571	65	2	f	2016-10-08 18:52:52.512192
1575	65	2	f	2016-10-08 18:52:52.512192
1576	86	2	f	2016-10-08 18:52:52.512192
2845	119	2	f	2016-10-08 18:52:52.512192
2846	119	2	f	2016-10-08 18:52:52.512192
2847	119	2	f	2016-10-08 18:52:52.512192
2848	119	2	f	2016-10-08 18:52:52.512192
2849	119	2	f	2016-10-08 18:52:52.512192
2850	119	2	f	2016-10-08 18:52:52.512192
2851	119	2	f	2016-10-08 18:52:52.512192
2852	110	2	f	2016-10-08 18:52:52.512192
2853	86	2	f	2016-10-08 18:52:52.512192
2854	119	2	f	2016-10-08 18:52:52.512192
1577	87	2	f	2016-10-08 18:52:52.512192
1578	79	2	f	2016-10-08 18:52:52.512192
1579	110	2	f	2016-10-08 18:52:52.512192
1580	78	2	f	2016-10-08 18:52:52.512192
1581	87	2	f	2016-10-08 18:52:52.512192
1582	89	2	f	2016-10-08 18:52:52.512192
2598	145	2	f	2016-10-08 18:52:52.512192
2599	130	2	f	2016-10-08 18:52:52.512192
2868	93	2	f	2016-10-08 18:52:52.512192
2869	93	2	f	2016-10-08 18:52:52.512192
2870	119	2	f	2016-10-08 18:52:52.512192
2151	137	2	f	2016-10-08 18:52:52.512192
988	75	2	\N	2016-10-08 18:52:52.512192
1003	12	2	\N	2016-10-08 18:52:52.512192
1060	41	2	\N	2016-10-08 18:52:52.512192
1078	12	2	\N	2016-10-08 18:52:52.512192
1088	12	2	\N	2016-10-08 18:52:52.512192
1089	65	2	\N	2016-10-08 18:52:52.512192
1090	39	2	\N	2016-10-08 18:52:52.512192
1091	84	2	\N	2016-10-08 18:52:52.512192
1093	84	2	\N	2016-10-08 18:52:52.512192
1095	70	2	\N	2016-10-08 18:52:52.512192
1096	39	2	\N	2016-10-08 18:52:52.512192
1199	89	2	\N	2016-10-08 18:52:52.512192
1204	87	2	\N	2016-10-08 18:52:52.512192
1205	89	2	\N	2016-10-08 18:52:52.512192
1206	89	2	\N	2016-10-08 18:52:52.512192
1257	87	2	f	2016-10-08 18:52:52.512192
1258	87	2	f	2016-10-08 18:52:52.512192
1644	90	2	f	2016-10-08 18:52:52.512192
1645	69	2	f	2016-10-08 18:52:52.512192
1646	70	2	f	2016-10-08 18:52:52.512192
1918	119	2	f	2016-10-08 18:52:52.512192
1919	12	2	f	2016-10-08 18:52:52.512192
1922	93	2	f	2016-10-08 18:52:52.512192
1924	118	2	f	2016-10-08 18:52:52.512192
1925	89	2	f	2016-10-08 18:52:52.512192
1926	90	2	f	2016-10-08 18:52:52.512192
1927	87	2	f	2016-10-08 18:52:52.512192
1930	93	2	f	2016-10-08 18:52:52.512192
1931	118	2	f	2016-10-08 18:52:52.512192
1933	93	2	f	2016-10-08 18:52:52.512192
1934	93	2	f	2016-10-08 18:52:52.512192
1935	93	2	f	2016-10-08 18:52:52.512192
1936	93	2	f	2016-10-08 18:52:52.512192
1940	93	2	f	2016-10-08 18:52:52.512192
1941	12	2	f	2016-10-08 18:52:52.512192
1945	123	2	f	2016-10-08 18:52:52.512192
1946	123	2	f	2016-10-08 18:52:52.512192
1947	123	2	f	2016-10-08 18:52:52.512192
1948	123	2	f	2016-10-08 18:52:52.512192
1954	12	2	f	2016-10-08 18:52:52.512192
1584	89	2	f	2016-10-08 18:52:52.512192
1585	90	2	f	2016-10-08 18:52:52.512192
1586	69	2	f	2016-10-08 18:52:52.512192
1587	39	2	f	2016-10-08 18:52:52.512192
1588	84	2	f	2016-10-08 18:52:52.512192
1589	84	2	f	2016-10-08 18:52:52.512192
1590	83	2	f	2016-10-08 18:52:52.512192
1591	87	2	f	2016-10-08 18:52:52.512192
1592	89	2	f	2016-10-08 18:52:52.512192
1593	69	2	f	2016-10-08 18:52:52.512192
1597	104	2	f	2016-10-08 18:52:52.512192
2632	65	2	f	2016-10-08 18:52:52.512192
2702	119	2	f	2016-10-08 18:52:52.512192
2703	119	2	f	2016-10-08 18:52:52.512192
2829	93	2	f	2016-10-08 18:52:52.512192
2830	69	2	f	2016-10-08 18:52:52.512192
2831	134	2	f	2016-10-08 18:52:52.512192
2833	110	2	f	2016-10-08 18:52:52.512192
2834	86	2	f	2016-10-08 18:52:52.512192
2835	104	2	f	2016-10-08 18:52:52.512192
2858	103	2	f	2016-10-08 18:52:52.512192
2859	148	2	f	2016-10-08 18:52:52.512192
2860	106	2	f	2016-10-08 18:52:52.512192
885	47	2	\N	2016-10-08 18:52:52.512192
895	39	2	\N	2016-10-08 18:52:52.512192
940	73	2	\N	2016-10-08 18:52:52.512192
941	73	2	\N	2016-10-08 18:52:52.512192
942	73	2	\N	2016-10-08 18:52:52.512192
1259	87	2	f	2016-10-08 18:52:52.512192
1260	87	2	f	2016-10-08 18:52:52.512192
2200	104	2	f	2016-10-08 18:52:52.512192
2214	110	2	f	2016-10-08 18:52:52.512192
2215	86	2	f	2016-10-08 18:52:52.512192
2216	78	2	f	2016-10-08 18:52:52.512192
2217	12	2	f	2016-10-08 18:52:52.512192
2218	140	2	f	2016-10-08 18:52:52.512192
2219	65	2	f	2016-10-08 18:52:52.512192
2221	140	2	f	2016-10-08 18:52:52.512192
2222	65	2	f	2016-10-08 18:52:52.512192
2223	78	2	f	2016-10-08 18:52:52.512192
2224	78	2	f	2016-10-08 18:52:52.512192
2225	78	2	f	2016-10-08 18:52:52.512192
2226	78	2	f	2016-10-08 18:52:52.512192
2227	78	2	f	2016-10-08 18:52:52.512192
2228	78	2	f	2016-10-08 18:52:52.512192
2229	78	2	f	2016-10-08 18:52:52.512192
2230	78	2	f	2016-10-08 18:52:52.512192
1908	65	2	f	2016-10-08 18:52:52.512192
2055	12	2	f	2016-10-08 18:52:52.512192
2062	93	2	f	2016-10-08 18:52:52.512192
2063	93	2	f	2016-10-08 18:52:52.512192
2064	123	2	f	2016-10-08 18:52:52.512192
2065	118	2	f	2016-10-08 18:52:52.512192
2066	93	2	f	2016-10-08 18:52:52.512192
2067	123	2	f	2016-10-08 18:52:52.512192
2068	93	2	f	2016-10-08 18:52:52.512192
2069	123	2	f	2016-10-08 18:52:52.512192
2070	12	2	f	2016-10-08 18:52:52.512192
2305	145	2	f	2016-10-08 18:52:52.512192
2306	146	2	f	2016-10-08 18:52:52.512192
1993	106	2	f	2016-10-08 18:52:52.512192
2310	145	2	f	2016-10-08 18:52:52.512192
1994	106	2	f	2016-10-08 18:52:52.512192
2311	93	2	f	2016-10-08 18:52:52.512192
1995	106	2	f	2016-10-08 18:52:52.512192
1996	106	2	f	2016-10-08 18:52:52.512192
2312	130	2	f	2016-10-08 18:52:52.512192
1997	106	2	f	2016-10-08 18:52:52.512192
2313	145	2	f	2016-10-08 18:52:52.512192
2314	69	2	f	2016-10-08 18:52:52.512192
2000	103	2	f	2016-10-08 18:52:52.512192
2315	135	2	f	2016-10-08 18:52:52.512192
2001	106	2	f	2016-10-08 18:52:52.512192
2316	137	2	f	2016-10-08 18:52:52.512192
2002	106	2	f	2016-10-08 18:52:52.512192
2317	134	2	f	2016-10-08 18:52:52.512192
2005	103	2	f	2016-10-08 18:52:52.512192
2319	104	2	f	2016-10-08 18:52:52.512192
2006	106	2	f	2016-10-08 18:52:52.512192
2007	106	2	f	2016-10-08 18:52:52.512192
2009	93	2	f	2016-10-08 18:52:52.512192
2010	123	2	f	2016-10-08 18:52:52.512192
2011	110	2	f	2016-10-08 18:52:52.512192
2012	118	2	f	2016-10-08 18:52:52.512192
2013	87	2	f	2016-10-08 18:52:52.512192
2014	89	2	f	2016-10-08 18:52:52.512192
2015	90	2	f	2016-10-08 18:52:52.512192
2016	93	2	f	2016-10-08 18:52:52.512192
2017	69	2	f	2016-10-08 18:52:52.512192
2018	87	2	f	2016-10-08 18:52:52.512192
2019	89	2	f	2016-10-08 18:52:52.512192
2020	69	2	f	2016-10-08 18:52:52.512192
2023	104	2	f	2016-10-08 18:52:52.512192
2024	104	2	f	2016-10-08 18:52:52.512192
2026	103	2	f	2016-10-08 18:52:52.512192
2027	106	2	f	2016-10-08 18:52:52.512192
2028	106	2	f	2016-10-08 18:52:52.512192
2436	93	2	f	2016-10-08 18:52:52.512192
2437	146	2	f	2016-10-08 18:52:52.512192
2438	117	2	f	2016-10-08 18:52:52.512192
1880	106	2	f	2016-10-08 18:52:52.512192
1881	106	2	f	2016-10-08 18:52:52.512192
2374	84	2	f	2016-10-08 18:52:52.512192
2375	83	2	f	2016-10-08 18:52:52.512192
2413	105	2	f	2016-10-08 18:52:52.512192
871	69	2	\N	2016-10-08 18:52:52.512192
872	12	2	\N	2016-10-08 18:52:52.512192
873	65	2	\N	2016-10-08 18:52:52.512192
874	65	2	\N	2016-10-08 18:52:52.512192
876	41	2	\N	2016-10-08 18:52:52.512192
878	70	2	\N	2016-10-08 18:52:52.512192
2857	119	2	f	2016-10-08 18:52:52.512192
879	65	2	\N	2016-10-08 18:52:52.512192
880	70	2	\N	2016-10-08 18:52:52.512192
881	70	2	\N	2016-10-08 18:52:52.512192
882	70	2	\N	2016-10-08 18:52:52.512192
883	70	2	\N	2016-10-08 18:52:52.512192
1079	65	2	\N	2016-10-08 18:52:52.512192
1097	84	2	\N	2016-10-08 18:52:52.512192
1101	39	2	\N	2016-10-08 18:52:52.512192
1102	84	2	\N	2016-10-08 18:52:52.512192
1159	78	2	\N	2016-10-08 18:52:52.512192
1170	39	2	\N	2016-10-08 18:52:52.512192
1178	70	2	\N	2016-10-08 18:52:52.512192
1179	39	2	\N	2016-10-08 18:52:52.512192
1189	12	2	\N	2016-10-08 18:52:52.512192
1190	12	2	\N	2016-10-08 18:52:52.512192
1191	86	2	\N	2016-10-08 18:52:52.512192
1192	86	2	\N	2016-10-08 18:52:52.512192
1193	87	2	\N	2016-10-08 18:52:52.512192
1194	87	2	\N	2016-10-08 18:52:52.512192
1200	89	2	\N	2016-10-08 18:52:52.512192
1201	87	2	\N	2016-10-08 18:52:52.512192
1210	90	2	\N	2016-10-08 18:52:52.512192
1211	12	2	\N	2016-10-08 18:52:52.512192
1212	65	2	\N	2016-10-08 18:52:52.512192
1213	90	2	\N	2016-10-08 18:52:52.512192
1214	91	2	\N	2016-10-08 18:52:52.512192
1225	12	2	\N	2016-10-08 18:52:52.512192
1230	93	2	\N	2016-10-08 18:52:52.512192
1243	87	2	f	2016-10-08 18:52:52.512192
1244	87	2	f	2016-10-08 18:52:52.512192
1253	65	2	f	2016-10-08 18:52:52.512192
1263	87	2	f	2016-10-08 18:52:52.512192
1264	87	2	f	2016-10-08 18:52:52.512192
1265	89	2	f	2016-10-08 18:52:52.512192
1268	12	2	f	2016-10-08 18:52:52.512192
2197	93	2	f	2016-10-08 18:52:52.512192
2198	123	2	f	2016-10-08 18:52:52.512192
2199	105	2	f	2016-10-08 18:52:52.512192
2240	78	2	f	2016-10-08 18:52:52.512192
2241	78	2	f	2016-10-08 18:52:52.512192
2242	78	2	f	2016-10-08 18:52:52.512192
2243	12	2	f	2016-10-08 18:52:52.512192
2244	12	2	f	2016-10-08 18:52:52.512192
2245	65	2	f	2016-10-08 18:52:52.512192
2246	105	2	f	2016-10-08 18:52:52.512192
2247	102	2	f	2016-10-08 18:52:52.512192
2248	141	2	f	2016-10-08 18:52:52.512192
2249	141	2	f	2016-10-08 18:52:52.512192
2254	135	2	f	2016-10-08 18:52:52.512192
2255	142	2	f	2016-10-08 18:52:52.512192
2256	135	2	f	2016-10-08 18:52:52.512192
2257	142	2	f	2016-10-08 18:52:52.512192
2258	135	2	f	2016-10-08 18:52:52.512192
2259	142	2	f	2016-10-08 18:52:52.512192
1853	119	2	f	2016-10-08 18:52:52.512192
1854	119	2	f	2016-10-08 18:52:52.512192
1855	119	2	f	2016-10-08 18:52:52.512192
1859	119	2	f	2016-10-08 18:52:52.512192
1860	119	2	f	2016-10-08 18:52:52.512192
1865	117	2	f	2016-10-08 18:52:52.512192
1866	117	2	f	2016-10-08 18:52:52.512192
1867	117	2	f	2016-10-08 18:52:52.512192
1868	117	2	f	2016-10-08 18:52:52.512192
1869	69	2	f	2016-10-08 18:52:52.512192
1870	78	2	f	2016-10-08 18:52:52.512192
1872	118	2	f	2016-10-08 18:52:52.512192
1873	105	2	f	2016-10-08 18:52:52.512192
1875	106	2	f	2016-10-08 18:52:52.512192
1876	106	2	f	2016-10-08 18:52:52.512192
863	65	2	\N	2016-10-08 18:52:52.512192
870	69	2	\N	2016-10-08 18:52:52.512192
875	70	2	\N	2016-10-08 18:52:52.512192
1207	12	2	\N	2016-10-08 18:52:52.512192
1209	90	2	\N	2016-10-08 18:52:52.512192
1218	39	2	\N	2016-10-08 18:52:52.512192
1221	12	2	\N	2016-10-08 18:52:52.512192
1227	93	2	\N	2016-10-08 18:52:52.512192
1240	41	2	f	2016-10-08 18:52:52.512192
1241	39	2	f	2016-10-08 18:52:52.512192
1282	87	2	f	2016-10-08 18:52:52.512192
1980	93	2	f	2016-10-08 18:52:52.512192
1981	118	2	f	2016-10-08 18:52:52.512192
2780	123	2	f	2016-10-08 18:52:52.512192
2781	123	2	f	2016-10-08 18:52:52.512192
2782	123	2	f	2016-10-08 18:52:52.512192
2783	123	2	f	2016-10-08 18:52:52.512192
2466	117	2	f	2016-10-08 18:52:52.512192
2467	111	2	f	2016-10-08 18:52:52.512192
2468	119	2	f	2016-10-08 18:52:52.512192
2469	119	2	f	2016-10-08 18:52:52.512192
2470	119	2	f	2016-10-08 18:52:52.512192
2475	90	2	f	2016-10-08 18:52:52.512192
2484	2	2	f	2016-10-08 18:52:52.512192
1932	93	2	f	2016-10-08 18:52:52.512192
1939	93	2	f	2016-10-08 18:52:52.512192
2131	93	2	f	2016-10-08 18:52:52.512192
2893	145	2	f	2016-10-08 18:52:52.512192
2894	130	2	f	2016-10-08 18:52:52.512192
2895	39	2	f	2016-10-08 18:52:52.512192
2896	84	2	f	2016-10-08 18:52:52.512192
2897	83	2	f	2016-10-08 18:52:52.512192
2898	69	2	f	2016-10-08 18:52:52.512192
2899	135	2	f	2016-10-08 18:52:52.512192
2900	137	2	f	2016-10-08 18:52:52.512192
2901	93	2	f	2016-10-08 18:52:52.512192
2902	134	2	f	2016-10-08 18:52:52.512192
2906	12	2	f	2016-10-08 18:52:52.512192
\.


--
-- Name: resource_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('resource_id_seq', 2911, true);


--
-- Data for Name: resource_type; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY resource_type (id, resource_id, name, humanize, resource_name, module, settings, descr, status) FROM stdin;
145	2292	leads_items	Leads Items	LeadsItemsResource	travelcrm.resources.leads_items	null	Leads Items	0
87	1190	contacts	Contacts	ContactsResource	travelcrm.resources.contacts	null	Contacts for persons, business persons etc.	0
148	2513	vats	Vat	VatsResource	travelcrm.resources.vats	null	Vat for accounts and services	0
2	10	users	Users	UsersResource	travelcrm.resources.users	null	Users list	0
149	2516	uploads	Uploads	UploadsResource	travelcrm.resources.uploads	null	Uploads for any type of resources	0
151	2551	persons_categories	Persons Categories	PersonsCategoriesResource	travelcrm.resources.persons_categories	null	Categorise your clients with categories of persons	0
1	773		Home	Root	travelcrm.resources	null	Home Page of Travelcrm	0
12	16	resources_types	Resources Types	ResourcesTypesResource	travelcrm.resources.resources_types	null	Resources types list	0
39	274	regions	Regions	RegionsResource	travelcrm.resources.regions	null		0
41	283	currencies	Currencies	CurrenciesResource	travelcrm.resources.currencies	null		0
47	706	employees	Employees	EmployeesResource	travelcrm.resources.employees	null	Employees Container Datagrid	0
55	723	structures	Structures	StructuresResource	travelcrm.resources.structures	null	Companies structures is a tree of company structure. It's can be offices, filials, departments and so and so	0
59	764	positions	Positions	PositionsResource	travelcrm.resources.positions	null	Companies positions is a point of company structure where emplyees can be appointed	0
61	769	permisions	Permisions	PermisionsResource	travelcrm.resources.permisions	null	Permisions list of company structure position. It's list of resources and permisions	0
65	775	navigations	Navigations	NavigationsResource	travelcrm.resources.navigations	null	Navigations list of company structure position.	0
67	788	appointments	Appointments	AppointmentsResource	travelcrm.resources.appointments	null	Employees to positions of company appointments	0
69	865	persons	Persons	PersonsResource	travelcrm.resources.persons	null	Persons directory. Person can be client or potential client	0
70	872	countries	Countries	CountriesResource	travelcrm.resources.countries	null	Countries directory	0
71	901	advsources	Advertises Sources	AdvsourcesResource	travelcrm.resources.advsources	null	Types of advertises	0
72	908	hotelcats	Hotels Categories	HotelcatsResource	travelcrm.resources.hotelcats	null	Hotels categories	0
73	909	roomcats	Rooms Categories	RoomcatsResource	travelcrm.resources.roomcats	null	Categories of the rooms	0
75	954	foodcats	Foods Categories	FoodcatsResource	travelcrm.resources.foodcats	null	Food types in hotels	0
78	1003	suppliers	Suppliers	SuppliersResource	travelcrm.resources.suppliers	null	Suppliers, such as touroperators, aircompanies, IATA etc.	0
79	1007	bpersons	Business Persons	BPersonsResource	travelcrm.resources.bpersons	null	Business Persons is not clients it's simple business contacts that can be referenced objects that needs to have contacts	0
83	1081	hotels	Hotels	HotelsResource	travelcrm.resources.hotels	null	Hotels directory	0
84	1088	locations	Locations	LocationsResource	travelcrm.resources.locations	null	Locations list is list of cities, vilages etc. places to use to identify part of region	0
86	1189	contracts	Contracts	ContractsResource	travelcrm.resources.contracts	null	Licences list for any type of resources as need	0
89	1198	passports	Passports	PassportsResource	travelcrm.resources.passports	null	Clients persons passports lists	0
90	1207	addresses	Addresses	AddressesResource	travelcrm.resources.addresses	null	Addresses of any type of resources, such as persons, bpersons, hotels etc.	0
91	1211	banks	Banks	BanksResource	travelcrm.resources.banks	null	Banks list to create bank details and for other reasons	0
93	1225	tasks	Tasks	TasksResource	travelcrm.resources.tasks	null	Task manager	0
101	1268	banks_details	Banks Details	BanksDetailsResource	travelcrm.resources.banks_details	null	Banks Details that can be attached to any client or business partner to define account	0
102	1313	services	Services	ServicesResource	travelcrm.resources.services	null	Additional Services that can be provide with tours sales or separate	0
104	1393	currencies_rates	Currency Rates	CurrenciesRatesResource	travelcrm.resources.currencies_rates	null	Currencies Rates. Values from this dir used by billing to calc prices in base currency.	0
105	1424	accounts_items	Accounts Items	AccountsItemsResource	travelcrm.resources.accounts_items	null	Finance accounts items	0
106	1433	incomes	Incomes	IncomesResource	travelcrm.resources.incomes	{"account_item_id": 8}	Incomes Payments Document for invoices	0
107	1435	accounts	Accounts	AccountsResource	travelcrm.resources.accounts	null	Billing Accounts. It can be bank accouts, cash accounts etc. and has company wide visible	0
117	1797	subaccounts	Subaccounts	SubaccountsResource	travelcrm.resources.subaccounts	null	Subaccounts are accounts from other objects such as clients, touroperators and so on	0
118	1799	notes	Notes	NotesResource	travelcrm.resources.notes	null	Resources Notes	0
121	1894	turnovers	Turnovers	TurnoversResource	travelcrm.resources.turnovers	null	Turnovers on Accounts and Subaccounts	0
126	1968	companies	Companies	CompaniesResource	travelcrm.resources.companies	null	Multicompanies functionality	0
130	2049	leads	Leads	LeadsResource	travelcrm.resources.leads	null	Leads that can be converted into contacts	0
135	2100	orders_items	Orders Items	OrdersItemsResource	travelcrm.resources.orders_items	null	Orders Items	0
137	2108	tours	Tours	ToursResource	travelcrm.resources.tours	null	Tour Service	0
74	953	accomodations	Accomodations	AccomodationsResource	travelcrm.resources.accomodations	null	Accomodations Types list	0
110	1521	commissions	Commissions	CommissionsResource	travelcrm.resources.commissions	null	Services sales commissions	0
111	1548	outgoings	Outgoings	OutgoingsResource	travelcrm.resources.outgoings	null	Outgoings payments for touroperators, suppliers, payback payments and so on	0
134	2099	orders	Orders	OrdersResource	travelcrm.resources.orders	{"html_template": "GNU GENERAL PUBLIC LICENSE\\r\\n\\r\\nVersion 3, 29 June 2007\\r\\n\\r\\nCopyright \\u00a9 2007 Free Software Foundation, Inc. <http://fsf.org/>\\r\\n\\r\\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\\r\\n\\r\\nPreamble\\r\\n\\r\\nThe GNU General Public License is a free, copyleft license for software and other kinds of works.\\r\\n\\r\\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.\\r\\n\\r\\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\\r\\n\\r\\nTo protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.\\r\\n\\r\\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\\r\\n\\r\\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.\\r\\n\\r\\nFor the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.\\r\\n\\r\\nSome devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.\\r\\n\\r\\nFinally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.\\r\\n\\r\\nThe precise terms and conditions for copying, distribution and modification follow.\\r\\n\\r\\nTERMS AND CONDITIONS\\r\\n\\r\\n0. Definitions.\\r\\n\\r\\n\\u201cThis License\\u201d refers to version 3 of the GNU General Public License.\\r\\n\\r\\n\\u201cCopyright\\u201d also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\\r\\n\\r\\n\\u201cThe Program\\u201d refers to any copyrightable work licensed under this License. Each licensee is addressed as \\u201cyou\\u201d. \\u201cLicensees\\u201d and \\u201crecipients\\u201d may be individuals or organizations.\\r\\n\\r\\nTo \\u201cmodify\\u201d a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \\u201cmodified version\\u201d of the earlier work or a work \\u201cbased on\\u201d the earlier work.\\r\\n\\r\\nA \\u201ccovered work\\u201d means either the unmodified Program or a work based on the Program.\\r\\n\\r\\nTo \\u201cpropagate\\u201d a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\\r\\n\\r\\nTo \\u201cconvey\\u201d a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\\r\\n\\r\\nAn interactive user interface displays \\u201cAppropriate Legal Notices\\u201d to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\\r\\n\\r\\n1. Source Code.\\r\\n\\r\\nThe \\u201csource code\\u201d for a work means the preferred form of the work for making modifications to it. \\u201cObject code\\u201d means any non-source form of a work.\\r\\n\\r\\nA \\u201cStandard Interface\\u201d means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\\r\\n\\r\\nThe \\u201cSystem Libraries\\u201d of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \\u201cMajor Component\\u201d, in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\\r\\n\\r\\nThe \\u201cCorresponding Source\\u201d for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.\\r\\n\\r\\nThe Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\\r\\n\\r\\nThe Corresponding Source for a work in source code form is that same work.\\r\\n\\r\\n2. Basic Permissions.\\r\\n\\r\\nAll rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\\r\\n\\r\\nYou may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\\r\\n\\r\\nConveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\\r\\n\\r\\n3. Protecting Users' Legal Rights From Anti-Circumvention Law.\\r\\n\\r\\nNo covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\\r\\n\\r\\nWhen you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\\r\\n\\r\\n4. Conveying Verbatim Copies.\\r\\n\\r\\nYou may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\\r\\n\\r\\nYou may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\\r\\n\\r\\n5. Conveying Modified Source Versions.\\r\\n\\r\\nYou may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\\r\\n\\r\\na) The work must carry prominent notices stating that you modified it, and giving a relevant date.\\r\\nb) The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \\u201ckeep intact all notices\\u201d.\\r\\nc) You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\\r\\nd) If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\\r\\nA compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \\u201caggregate\\u201d if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\\r\\n\\r\\n6. Conveying Non-Source Forms.\\r\\n\\r\\nYou may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\\r\\n\\r\\na) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\\r\\nb) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\\r\\nc) Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\\r\\nd) Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\\r\\ne) Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\\r\\nA separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\\r\\n\\r\\nA \\u201cUser Product\\u201d is either (1) a \\u201cconsumer product\\u201d, which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \\u201cnormally used\\u201d refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\\r\\n\\r\\n\\u201cInstallation Information\\u201d for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\\r\\n\\r\\nIf you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\\r\\n\\r\\nThe requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\\r\\n\\r\\nCorresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\\r\\n\\r\\n7. Additional Terms.\\r\\n\\r\\n\\u201cAdditional permissions\\u201d are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\\r\\n\\r\\nWhen you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\\r\\n\\r\\nNotwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\\r\\n\\r\\na) Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\\r\\nb) Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\\r\\nc) Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\\r\\nd) Limiting the use for publicity purposes of names of licensors or authors of the material; or\\r\\ne) Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\\r\\nf) Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\\r\\nAll other non-permissive additional terms are considered \\u201cfurther restrictions\\u201d within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\\r\\n\\r\\nIf you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\\r\\n\\r\\nAdditional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\\r\\n\\r\\n8. Termination.\\r\\n\\r\\nYou may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\\r\\n\\r\\nHowever, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\\r\\n\\r\\nMoreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\\r\\n\\r\\nTermination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\\r\\n\\r\\n9. Acceptance Not Required for Having Copies.\\r\\n\\r\\nYou are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\\r\\n\\r\\n10. Automatic Licensing of Downstream Recipients.\\r\\n\\r\\nEach time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\\r\\n\\r\\nAn \\u201centity transaction\\u201d is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\\r\\n\\r\\nYou may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\\r\\n\\r\\n11. Patents.\\r\\n\\r\\nA \\u201ccontributor\\u201d is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \\u201ccontributor version\\u201d.\\r\\n\\r\\nA contributor's \\u201cessential patent claims\\u201d are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \\u201ccontrol\\u201d includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\\r\\n\\r\\nEach contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\\r\\n\\r\\nIn the following three paragraphs, a \\u201cpatent license\\u201d is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \\u201cgrant\\u201d such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\\r\\n\\r\\nIf you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. \\u201cKnowingly relying\\u201d means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\\r\\n\\r\\nIf, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\\r\\n\\r\\nA patent license is \\u201cdiscriminatory\\u201d if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\\r\\n\\r\\nNothing in this License shall be construed as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\\r\\n\\r\\n12. No Surrender of Others' Freedom.\\r\\n\\r\\nIf conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\\r\\n\\r\\n13. Use with the GNU Affero General Public License.\\r\\n\\r\\nNotwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.\\r\\n\\r\\n14. Revised Versions of this License.\\r\\n\\r\\nThe Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\\r\\n\\r\\nEach version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License \\u201cor any later version\\u201d applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.\\r\\n\\r\\nIf the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\\r\\n\\r\\nLater license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\\r\\n\\r\\n15. Disclaimer of Warranty.\\r\\n\\r\\nTHERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \\u201cAS IS\\u201d WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\\r\\n\\r\\n16. Limitation of Liability.\\r\\n\\r\\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\\r\\n\\r\\n17. Interpretation of Sections 15 and 16.\\r\\n\\r\\nIf the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\\r\\n\\r\\nEND OF TERMS AND CONDITIONS\\r\\n\\r\\nHow to Apply These Terms to Your New Programs\\r\\n\\r\\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\\r\\n\\r\\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \\u201ccopyright\\u201d line and a pointer to where the full notice is found.\\r\\n\\r\\n    <one line to give the program's name and a brief idea of what it does.>\\r\\n    Copyright (C) <year>  <name of author>\\r\\n\\r\\n    This program is free software: you can redistribute it and/or modify\\r\\n    it under the terms of the GNU General Public License as published by\\r\\n    the Free Software Foundation, either version 3 of the License, or\\r\\n    (at your option) any later version.\\r\\n\\r\\n    This program is distributed in the hope that it will be useful,\\r\\n    but WITHOUT ANY WARRANTY; without even the implied warranty of\\r\\n    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\\r\\n    GNU General Public License for more details.\\r\\n\\r\\n    You should have received a copy of the GNU General Public License\\r\\n    along with this program.  If not, see <http://www.gnu.org/licenses/>.\\r\\nAlso add information on how to contact you by electronic and paper mail.\\r\\n\\r\\nIf the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:\\r\\n\\r\\n    <program>  Copyright (C) <year>  <name of author>\\r\\n    This program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.\\r\\n    This is free software, and you are welcome to redistribute it\\r\\n    under certain conditions; type `show c' for details.\\r\\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an \\u201cabout box\\u201d.\\r\\n\\r\\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \\u201ccopyright disclaimer\\u201d for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <http://www.gnu.org/licenses/>.\\r\\n\\r\\nThe GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <http://www.gnu.org/philosophy/why-not-lgpl.html>."}	Orders	0
146	2296	leads_offers	Leads Offers	LeadsOffersResource	travelcrm.resources.leads_offers	null	Leads Offers	0
152	2558	leads_stats	Leads Stats	LeadsStatsResource	travelcrm.resources.leads_stats	{"column_index": 0}	Portlet with leads statistics	0
120	1884	crosspayments	Cross Payments	CrosspaymentsResource	travelcrm.resources.crosspayments	null	Cross payments between accounts and subaccounts. This document is for balance corrections to.	0
123	1941	notifications	Notifications	NotificationsResource	travelcrm.resources.notifications	null	Employee Notifications	0
138	2127	transfers	Transfers	TransfersResource	travelcrm.resources.transfers	null	Transfers for tours	0
139	2135	transports	Transports	TransportsResource	travelcrm.resources.transports	null	Transports Types List	0
140	2217	suppliers_types	Suppliers Types	SuppliersTypesResource	travelcrm.resources.suppliers_types	null	Suppliers Types list	0
141	2243	tickets_classes	Tickets Classes	TicketsClassesResource	travelcrm.resources.tickets_classes	null	Tickets Classes list, such as first class, business class etc	0
142	2244	tickets	Tickets	TicketsResource	travelcrm.resources.tickets	null	Ticket is a service for sale tickets of any type	0
143	2268	visas	Visas	VisasResource	travelcrm.resources.visas	null	Visa is a service for sale visas	0
144	2276	spassports	Passports Services	SpassportsResource	travelcrm.resources.spassports	null	Service formulation of foreign passports	0
156	2788	campaigns	Campaigns	CampaignsResource	travelcrm.resources.campaigns	{"host_smpp": "94.249.146.183", "port_smtp": "2525", "username_smtp": "mazvv@mail.ru", "password_smtp": "GmA67mpqqYjKQ", "port_smpp": "29900", "system_type_smpp": "transceiver", "password_smpp": "korn17", "username_smpp": "mazvv", "host_smtp": "smtp-pulse.com", "default_sender_smtp": "mazvv@mail.ru"}	Marketings campaigns	0
160	2887	assigns	Assign resources	AssignsResource	travelcrm.resources.assigns	null	Assigns all resources between employees	0
159	2882	dismissals	Dismissals	DismissalsResource	travelcrm.resources.dismissals	null	Dismissal employees	0
119	1849	calculations	Calculations	CalculationsResource	travelcrm.resources.calculations	null	Calculations of Sale Documents	0
103	1317	invoices	Invoices	InvoicesResource	travelcrm.resources.invoices	{"active_days": 3, "html_template": "<!doctype html>\\r\\n<html>\\r\\n<head>\\r\\n    <meta charset=\\"utf-8\\">\\r\\n    <title>${_(u'Invoice')} - ${invoice.id}</title>\\r\\n    \\r\\n    <style>\\r\\n    .invoice-box{\\r\\n        max-width:800px;\\r\\n        margin:auto;\\r\\n        padding:30px;\\r\\n        border:1px solid #eee;\\r\\n        box-shadow:0 0 10px rgba(0, 0, 0, .15);\\r\\n        font-size:16px;\\r\\n        line-height:24px;\\r\\n        font-family:'Helvetica Neue', 'Helvetica', Helvetica, Arial, sans-serif;\\r\\n        color:#555;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table{\\r\\n        width:100%;\\r\\n        line-height:inherit;\\r\\n        text-align:left;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table td{\\r\\n        padding:5px;\\r\\n        vertical-align:top;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr td:nth-child(2){\\r\\n        text-align:right;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.top table td{\\r\\n        padding-bottom:20px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.top table td.title{\\r\\n        font-size:45px;\\r\\n        line-height:45px;\\r\\n        color:#333;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.information table td{\\r\\n        padding-bottom:40px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.heading td{\\r\\n        background:#eee;\\r\\n        border-bottom:1px solid #ddd;\\r\\n        font-weight:bold;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.details td{\\r\\n        padding-bottom:20px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.item td{\\r\\n        border-bottom:1px solid #eee;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.item.last td{\\r\\n        border-bottom:none;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.total td:nth-child(2){\\r\\n        border-top:2px solid #eee;\\r\\n        font-weight:bold;\\r\\n    }\\r\\n    \\r\\n    @media only screen and (max-width: 600px) {\\r\\n        .invoice-box table tr.top table td{\\r\\n            width:100%;\\r\\n            display:block;\\r\\n            text-align:center;\\r\\n        }\\r\\n        \\r\\n        .invoice-box table tr.information table td{\\r\\n            width:100%;\\r\\n            display:block;\\r\\n            text-align:center;\\r\\n        }\\r\\n    }\\r\\n    </style>\\r\\n</head>\\r\\n\\r\\n<body>\\r\\n    <div class=\\"invoice-box\\">\\r\\n        <table cellpadding=\\"0\\" cellspacing=\\"0\\">\\r\\n            <tr class=\\"top\\">\\r\\n                <td colspan=\\"6\\">\\r\\n                    <table>\\r\\n                        <tr>\\r\\n                            <td class=\\"title\\">\\r\\n                                <img src=\\"http://nextstepwebs.com/images/logo.png\\" style=\\"width:100%; max-width:300px;\\">\\r\\n                            </td>\\r\\n                            \\r\\n                            <td>\\r\\n                                ${_(u'Invoice')} #: ${invoice.id}<br>\\r\\n                                ${_(u'Created')}: ${h.common.format_date(invoice.date)}<br>\\r\\n                                ${_(u'Due')}: ${h.common.format_date(invoice.active_until)}\\r\\n                            </td>\\r\\n                        </tr>\\r\\n                    </table>\\r\\n                </td>\\r\\n            </tr>\\r\\n            \\r\\n            <tr class=\\"information\\">\\r\\n                <td colspan=\\"6\\">\\r\\n                    <table>\\r\\n                        <tr>\\r\\n                            <td>\\r\\n                                ${structure.company.name}<br>\\r\\n                                % if structure.addresses:\\r\\n                                <%\\r\\n                                    address = structure.addresses[0]\\r\\n                                %>\\r\\n                                ${address.zip_code}, ${address.location.region.country.name}\\r\\n                                ${address.location.region.name}, ${address.location.name}<br>\\r\\n                                ${address.address}<br>\\r\\n                                % endif\\r\\n                                % if structure.contacts:\\r\\n                                <%\\r\\n                                    contacts = [contact.contact for contact in structure.contacts if contact.is_status_active()]\\r\\n                                %>\\r\\n                                ${', '.join(contacts)}\\r\\n                                % endif\\r\\n                            </td>\\r\\n                            \\r\\n                            <td>\\r\\n                                ${invoice.order.customer.name}<br>\\r\\n                                % if invoice.order.customer.addresses:\\r\\n                                <%\\r\\n                                    address = invoice.order.customer.addresses[0]\\r\\n                                %>\\r\\n                                ${address.zip_code}, ${address.location.region.country.name}\\r\\n                                ${address.location.region.name}, ${address.location.name}<br>\\r\\n                                ${address.address}<br>\\r\\n                                % endif\\r\\n                                % if invoice.order.customer.contacts:\\r\\n                                <%\\r\\n                                    contacts = [contact.contact for contact in invoice.order.customer.contacts if contact.is_status_active()]\\r\\n                                %>\\r\\n                                ${', '.join(contacts)}\\r\\n                                % endif\\r\\n                            </td>\\r\\n                        </tr>\\r\\n                    </table>\\r\\n                </td>\\r\\n            </tr>\\r\\n            \\r\\n            <tr class=\\"heading\\">\\r\\n                <td class=\\"first\\">\\r\\n                    ${_(u'Service')}\\r\\n                </td>\\r\\n                <td></td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Price')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Discount')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Vat')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Final price')}\\r\\n                </td>\\r\\n            </tr>\\r\\n\\r\\n            % for invoice_item in invoice.invoices_items:\\r\\n            <tr class=\\"item\\">\\r\\n                <td class=\\"first\\">\\r\\n                    ${invoice_item.order_item.service.display_text}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice.account.currency.iso_code}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.price}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.discount}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.vat}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.final_price}\\r\\n                </td>\\r\\n            </tr>\\r\\n            % endfor\\r\\n\\r\\n            <tr class=\\"total\\">\\r\\n                <td colspan=\\"5\\"></td>\\r\\n                <td>\\r\\n                   ${_(u'Total')}: ${invoice.final_price}\\r\\n                </td>\\r\\n            </tr>\\r\\n        </table>\\r\\n    </div>\\r\\n</body>\\r\\n</html>"}	Invoices list. Invoice can't be created manualy - only using source document such as Tours	0
163	2908	mails	Mails	MailsResource	travelcrm.resources.mails	\N	Emails templaits	0
164	2909	tags	Tags	TagsResource	travelcrm.resources.tags	\N	Add tags for any resource	0
161	2906	orders_stats	Orders Stats	OrdersStatsResource	travelcrm.resources.orders_stats	{"column_index": 0}	Orders statistics	0
162	2907	countries_stats	Countries Stats	CountriesStatsResource	travelcrm.resources.countries_stats	{"column_index": 1}	Countries popularity statistics	0
\.


--
-- Name: resource_type_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('resource_type_id_seq', 164, true);


--
-- Data for Name: roomcat; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY roomcat (id, resource_id, name) FROM stdin;
\.


--
-- Name: roomcat_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('roomcat_id_seq', 1, true);


--
-- Data for Name: service; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY service (id, resource_id, resource_type_id, name, display_text, descr) FROM stdin;
7	2247	142	Ticket	Ticket booking service	\N
5	1413	137	Tour	Tour booking service	Use this service for tour sales
4	1318	143	A visa	The issues for visas	\N
1	1314	144	Foreign Passport Service	Formulation of foreign passport	\N
\.


--
-- Name: service_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('service_id_seq', 7, true);


--
-- Data for Name: spassport; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY spassport (id, resource_id, photo_done, docs_receive_date, docs_transfer_date, passport_receive_date, descr) FROM stdin;
\.


--
-- Name: spassport_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('spassport_id_seq', 1, true);


--
-- Data for Name: spassport_order_item; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY spassport_order_item (order_item_id, spassport_id) FROM stdin;
\.


--
-- Data for Name: structure; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY structure (id, resource_id, parent_id, company_id, name) FROM stdin;
32	725	\N	1	Head Office
\.


--
-- Data for Name: structure_address; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY structure_address (structure_id, address_id) FROM stdin;
\.


--
-- Data for Name: structure_bank_detail; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY structure_bank_detail (structure_id, bank_detail_id) FROM stdin;
\.


--
-- Data for Name: structure_contact; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY structure_contact (structure_id, contact_id) FROM stdin;
\.


--
-- Name: structure_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('structure_id_seq', 32, true);


--
-- Data for Name: subaccount; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY subaccount (id, resource_id, account_id, name, status, descr) FROM stdin;
\.


--
-- Name: subaccount_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('subaccount_id_seq', 1, true);


--
-- Data for Name: supplier; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY supplier (id, resource_id, supplier_type_id, name, status, descr) FROM stdin;
\.


--
-- Data for Name: supplier_bank_detail; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY supplier_bank_detail (supplier_id, bank_detail_id) FROM stdin;
\.


--
-- Data for Name: supplier_bperson; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY supplier_bperson (supplier_id, bperson_id) FROM stdin;
\.


--
-- Data for Name: supplier_contract; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY supplier_contract (supplier_id, contract_id) FROM stdin;
\.


--
-- Name: supplier_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('supplier_id_seq', 1, true);


--
-- Data for Name: supplier_subaccount; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY supplier_subaccount (supplier_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: supplier_type; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY supplier_type (id, resource_id, name, descr) FROM stdin;
\.


--
-- Name: supplier_type_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('supplier_type_id_seq', 1, true);


--
-- Data for Name: tag; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY tag (id, resource_id, name) FROM stdin;
\.


--
-- Name: tag_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('tag_id_seq', 1, false);


--
-- Data for Name: tag_resource; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY tag_resource (tag_id, resource_id) FROM stdin;
\.


--
-- Data for Name: task; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY task (id, resource_id, title, deadline, reminder, descr, status) FROM stdin;
\.


--
-- Name: task_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('task_id_seq', 1, true);


--
-- Data for Name: task_resource; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY task_resource (task_id, resource_id) FROM stdin;
\.


--
-- Data for Name: task_upload; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY task_upload (task_id, upload_id) FROM stdin;
\.


--
-- Data for Name: ticket; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY ticket (id, resource_id, start_location_id, end_location_id, ticket_class_id, transport_id, start_dt, start_additional_info, end_dt, end_additional_info, adults, children, descr) FROM stdin;
\.


--
-- Data for Name: ticket_class; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY ticket_class (id, resource_id, name) FROM stdin;
\.


--
-- Name: ticket_class_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('ticket_class_id_seq', 1, true);


--
-- Name: ticket_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('ticket_id_seq', 1, true);


--
-- Data for Name: ticket_order_item; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY ticket_order_item (order_item_id, ticket_id) FROM stdin;
\.


--
-- Data for Name: tour; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY tour (id, resource_id, start_location_id, start_transport_id, end_location_id, end_transport_id, hotel_id, accomodation_id, foodcat_id, roomcat_id, transfer_id, adults, children, start_date, start_additional_info, end_date, end_additional_info, descr) FROM stdin;
\.


--
-- Name: tour_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('tour_id_seq', 1, true);


--
-- Data for Name: tour_order_item; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY tour_order_item (order_item_id, tour_id) FROM stdin;
\.


--
-- Data for Name: transfer; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY transfer (id, resource_id, name) FROM stdin;
\.


--
-- Name: transfer_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('transfer_id_seq', 1, true);


--
-- Data for Name: transport; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY transport (id, resource_id, name) FROM stdin;
\.


--
-- Name: transport_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('transport_id_seq', 1, true);


--
-- Data for Name: upload; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY upload (id, resource_id, name, path, size, media_type, descr) FROM stdin;
\.


--
-- Name: upload_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('upload_id_seq', 1, true);


--
-- Data for Name: user; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY "user" (id, resource_id, employee_id, username, email, password) FROM stdin;
2	3	2	admin	admin@mail.ru	adminadmin
\.


--
-- Name: user_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('user_id_seq', 34, true);


--
-- Data for Name: vat; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY vat (id, resource_id, account_id, service_id, date, vat, calc_method, descr) FROM stdin;
\.


--
-- Name: vat_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('vat_id_seq', 1, true);


--
-- Data for Name: visa; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY visa (id, resource_id, country_id, start_date, end_date, type, descr) FROM stdin;
\.


--
-- Name: visa_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('visa_id_seq', 1, true);


--
-- Data for Name: visa_order_item; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY visa_order_item (order_item_id, visa_id) FROM stdin;
\.


SET search_path = company_ru, pg_catalog;

--
-- Data for Name: accomodation; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY accomodation (id, resource_id, name) FROM stdin;
\.


--
-- Name: accomodation_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('accomodation_id_seq', 1, true);


--
-- Data for Name: account; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY account (id, resource_id, currency_id, account_type, name, display_text, status, descr) FROM stdin;
\.


--
-- Name: account_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('account_id_seq', 1, true);


--
-- Data for Name: account_item; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY account_item (id, resource_id, parent_id, name, type, status, descr) FROM stdin;
\.


--
-- Name: account_item_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('account_item_id_seq', 1, true);


--
-- Data for Name: address; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY address (id, resource_id, location_id, zip_code, address) FROM stdin;
\.


--
-- Name: address_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('address_id_seq', 1, true);


--
-- Data for Name: advsource; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY advsource (id, resource_id, name) FROM stdin;
\.


--
-- Name: advsource_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('advsource_id_seq', 1, true);


--
-- Data for Name: alembic_version; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY alembic_version (version_num) FROM stdin;
c38723878dbe
\.


--
-- Data for Name: appointment; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY appointment (id, resource_id, date, employee_id, position_id, salary, currency_id) FROM stdin;
1	789	2014-02-02	2	4	1000.00	54
\.


--
-- Name: appointment_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('appointment_id_seq', 12, true);


--
-- Data for Name: bank; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY bank (id, resource_id, name) FROM stdin;
\.


--
-- Data for Name: bank_address; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY bank_address (bank_id, address_id) FROM stdin;
\.


--
-- Data for Name: bank_detail; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY bank_detail (id, resource_id, currency_id, bank_id, beneficiary, account, swift_code) FROM stdin;
\.


--
-- Name: bank_detail_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('bank_detail_id_seq', 1, true);


--
-- Name: bank_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('bank_id_seq', 1, true);


--
-- Data for Name: bperson; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY bperson (id, resource_id, first_name, last_name, second_name, position_name, status, descr) FROM stdin;
\.


--
-- Data for Name: bperson_contact; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY bperson_contact (bperson_id, contact_id) FROM stdin;
\.


--
-- Name: bperson_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('bperson_id_seq', 1, true);


--
-- Data for Name: calculation; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY calculation (id, resource_id, order_item_id, contract_id, price) FROM stdin;
\.


--
-- Name: calculation_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('calculation_id_seq', 1, true);


--
-- Data for Name: campaign; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY campaign (id, resource_id, name, start_dt, status, mail_id, person_category_id) FROM stdin;
\.


--
-- Name: campaign_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('campaign_id_seq', 1, true);


--
-- Data for Name: cashflow; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY cashflow (id, subaccount_from_id, subaccount_to_id, account_item_id, sum, vat, date) FROM stdin;
\.


--
-- Name: cashflow_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('cashflow_id_seq', 1, true);


--
-- Data for Name: commission; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY commission (id, resource_id, service_id, percentage, price, currency_id, descr) FROM stdin;
\.


--
-- Name: commission_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('commission_id_seq', 1, true);


--
-- Data for Name: company; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY company (id, resource_id, currency_id, name, email, settings) FROM stdin;
1	1970	56	Моя компания	my.email@gmail.com	{"locale": "ru", "timezone": "Europe/Kiev"}
\.


--
-- Name: company_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('company_id_seq', 1, true);


--
-- Data for Name: company_subaccount; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY company_subaccount (company_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: contact; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY contact (id, resource_id, contact_type, contact, status, descr) FROM stdin;
\.


--
-- Name: contact_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('contact_id_seq', 1, true);


--
-- Data for Name: contract; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY contract (id, resource_id, num, date, status, descr) FROM stdin;
\.


--
-- Data for Name: contract_commission; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY contract_commission (contract_id, commission_id) FROM stdin;
\.


--
-- Name: contract_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('contract_id_seq', 1, true);


--
-- Data for Name: country; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY country (id, resource_id, iso_code, name) FROM stdin;
9	1095	RU	Российская Федерация
3	878	UA	Украина
\.


--
-- Name: country_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('country_id_seq', 21, true);


--
-- Data for Name: crosspayment; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY crosspayment (id, resource_id, cashflow_id, descr) FROM stdin;
\.


--
-- Name: crosspayment_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('crosspayment_id_seq', 1, true);


--
-- Data for Name: currency; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY currency (id, resource_id, iso_code) FROM stdin;
44	849	RUB
54	1240	EUR
56	1310	UAH
57	1311	USD
\.


--
-- Name: currency_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('currency_id_seq', 57, true);


--
-- Data for Name: currency_rate; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY currency_rate (id, resource_id, currency_id, supplier_id, date, rate) FROM stdin;
\.


--
-- Name: currency_rate_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('currency_rate_id_seq', 1, true);


--
-- Data for Name: dismissal; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY dismissal (id, resource_id, date, employee_id) FROM stdin;
\.


--
-- Name: dismissal_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('dismissal_id_seq', 1, true);


--
-- Data for Name: employee; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY employee (id, resource_id, photo_upload_id, first_name, last_name, second_name, itn) FROM stdin;
2	784	\N	Иван	Иванов	\N	\N
\.


--
-- Data for Name: employee_address; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY employee_address (employee_id, address_id) FROM stdin;
\.


--
-- Data for Name: employee_contact; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY employee_contact (employee_id, contact_id) FROM stdin;
\.


--
-- Name: employee_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('employee_id_seq', 32, true);


--
-- Data for Name: employee_notification; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY employee_notification (employee_id, notification_id, status) FROM stdin;
2	2	0
\.


--
-- Data for Name: employee_passport; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY employee_passport (employee_id, passport_id) FROM stdin;
\.


--
-- Data for Name: employee_subaccount; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY employee_subaccount (employee_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: employee_subscription; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY employee_subscription (employee_id, resource_id) FROM stdin;
2	2909
\.


--
-- Data for Name: employee_upload; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY employee_upload (employee_id, upload_id) FROM stdin;
\.


--
-- Data for Name: foodcat; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY foodcat (id, resource_id, name) FROM stdin;
\.


--
-- Name: foodcat_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('foodcat_id_seq', 1, true);


--
-- Data for Name: hotel; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY hotel (id, resource_id, hotelcat_id, location_id, name) FROM stdin;
\.


--
-- Name: hotel_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('hotel_id_seq', 1, true);


--
-- Data for Name: hotelcat; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY hotelcat (id, resource_id, name) FROM stdin;
\.


--
-- Name: hotelcat_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('hotelcat_id_seq', 1, true);


--
-- Data for Name: income; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY income (id, resource_id, invoice_id, account_item_id, sum, date, descr) FROM stdin;
\.


--
-- Data for Name: income_cashflow; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY income_cashflow (income_id, cashflow_id) FROM stdin;
\.


--
-- Name: income_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('income_id_seq', 1, true);


--
-- Data for Name: invoice; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY invoice (id, date, active_until, resource_id, order_id, account_id, descr) FROM stdin;
\.


--
-- Name: invoice_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('invoice_id_seq', 1, true);


--
-- Data for Name: invoice_item; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY invoice_item (id, invoice_id, order_item_id, price, vat, discount, descr) FROM stdin;
\.


--
-- Name: invoice_item_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('invoice_item_id_seq', 1, true);


--
-- Data for Name: lead; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY lead (id, lead_date, resource_id, advsource_id, customer_id, status, descr) FROM stdin;
\.


--
-- Name: lead_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('lead_id_seq', 1, true);


--
-- Data for Name: lead_item; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY lead_item (id, resource_id, lead_id, service_id, currency_id, price_from, price_to, descr) FROM stdin;
\.


--
-- Name: lead_item_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('lead_item_id_seq', 1, true);


--
-- Data for Name: lead_offer; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY lead_offer (id, resource_id, lead_id, service_id, currency_id, supplier_id, price, status, descr) FROM stdin;
\.


--
-- Name: lead_offer_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('lead_offer_id_seq', 1, true);


--
-- Data for Name: location; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY location (id, resource_id, region_id, name) FROM stdin;
\.


--
-- Name: location_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('location_id_seq', 1, true);


--
-- Data for Name: mail; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY mail (id, resource_id, name, html_content, descr, subject) FROM stdin;
\.


--
-- Name: mail_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('mail_id_seq', 1, false);


--
-- Data for Name: navigation; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY navigation (id, resource_id, position_id, parent_id, name, url, action, icon_cls, separator_before, sort_order) FROM stdin;
10	780	4	\N	HR	/	\N	fa fa-group	f	5
8	778	4	\N	Система	/	tab_open	fa fa-cog	f	11
31	956	4	159	Категории питания	/foodcats	\N	\N	f	9
9	779	4	8	Типы ресурсов	/resources_types	\N	\N	f	1
13	790	4	10	Сотрудники	/employees	\N	\N	f	1
14	791	4	10	Назначения сотрудников	/appointments	\N	\N	f	2
15	792	4	8	Пользователи	/users	\N	\N	f	3
17	802	4	157	Валюты	/currencies	\N	\N	f	7
18	837	4	\N	Компания	/	\N	fa fa-building-o	f	6
19	838	4	18	Структура	/structures	\N	\N	f	1
32	998	4	\N	Продажи	/	\N	fa fa-legal	f	2
20	863	4	18	Должности	/positions	\N	\N	f	2
36	1008	4	23	Бизнес контакты	/bpersons	tab_open	\N	f	4
21	864	4	\N	Клиенты	/	\N	fa fa-briefcase	f	3
22	866	4	21	Физ. лица	/persons	\N	\N	f	1
23	873	4	\N	Справочники	/	\N	fa fa-book	f	8
24	874	4	158	Страны	/countries	\N	\N	f	4
25	879	4	158	Регионы	/regions	\N	\N	f	3
26	900	4	\N	Маркетинг	/	\N	fa fa-bullhorn	f	4
27	902	4	26	Источники	/advsources	\N	\N	f	1
28	910	4	159	Категории отелей	/hotelcats	\N	\N	f	6
29	911	4	159	Категории номеров	/roomcats	\N	\N	f	7
30	955	4	159	Размещение	/accomodations	tab_open	\N	f	10
43	1089	4	158	Местоположение	/locations	\N	\N	f	3
45	1212	4	53	Банки	/banks	tab_open	\N	f	6
50	1312	4	53	Сервисы	/services	\N	\N	f	6
51	1368	4	32	Инвойсы	/invoices	tab_open	\N	t	5
152	1895	4	\N	Отчеты	/	\N	fa fa-pie-chart	f	9
53	1394	4	\N	Финансы	/	\N	fa fa-credit-card	f	7
54	1395	4	157	Курсы валют	/currencies_rates	\N	\N	f	8
153	1896	4	152	Обороты	/turnovers	tab_open	\N	f	2
56	1434	4	155	Входящие платежи	/incomes	\N	\N	f	9
55	1425	4	156	Статьи учета	/accounts_items	\N	\N	f	3
57	1436	4	156	Счета	/accounts	\N	\N	f	1
60	1550	4	23	Поставщики	/suppliers	tab_open	\N	f	1
61	1571	4	155	Исходящие платежи	/outgoings	\N	\N	f	10
107	1777	4	\N	Домашняя	/	\N	fa fa-home	f	1
150	1798	4	156	Субсчета	/subaccounts	\N	\N	f	2
151	1885	4	155	Кросс платежи	/crosspayments	\N	\N	f	11
155	1904	4	53	Платежи	/	\N	\N	f	12
156	1905	4	53	Биллинг	/	\N	\N	f	10
157	1906	4	53	Валюты		\N	\N	t	7
158	1907	4	23	География	/	\N	\N	f	10
159	1908	4	23	Отели	/	\N	\N	t	9
42	1080	4	159	Справочник отелей	/hotels	\N	\N	f	5
165	1975	4	8	Компания	/companies/edit	dialog_open	\N	t	4
166	2048	4	32	Лиды	/leads	tab_open	\N	f	2
168	2101	4	32	Заявки	/orders	tab_open	\N	f	4
169	2128	4	23	Трансферы	/transfers	tab_open	\N	t	5
170	2136	4	23	Транспорт	/transports	tab_open	\N	f	6
171	2219	4	23	Типы поставщиков	/suppliers_types	tab_open	\N	f	3
172	2222	4	23	Контракты	/contracts	tab_open	\N	f	2
173	2245	4	23	Классы билетов	/tickets_classes	tab_open	\N	f	7
174	2514	4	156	Настройки НДС	/vats	tab_open	\N	t	5
175	2552	4	23	Категории физ. лиц	/persons_categories	tab_open	\N	f	8
237	2883	4	10	Увольнения	/dismissals	tab_open	\N	t	3
239	2889	4	238	Делегировать ресурсы	/assigns/assign	dialog_open	\N	f	1
238	2888	4	8	Инструменты	/	tab_open	fa fa-gears	t	10
236	2741	4	26	Кампании	/campaigns	tab_open	\N	f	3
240	2909	4	26	Шаблоны писем	/mails	tab_open	\N	t	2
\.


--
-- Name: navigation_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('navigation_id_seq', 240, true);


--
-- Data for Name: note; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY note (id, resource_id, title, descr) FROM stdin;
\.


--
-- Name: note_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('note_id_seq', 1, true);


--
-- Data for Name: note_resource; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY note_resource (note_id, resource_id) FROM stdin;
\.


--
-- Data for Name: note_upload; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY note_upload (note_id, upload_id) FROM stdin;
\.


--
-- Data for Name: notification; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY notification (id, resource_id, descr, url, created) FROM stdin;
2	2910	Ресурс "Навигация" изменил Иванов Иван	\N	2016-10-08 19:09:00.629391+03
\.


--
-- Name: notification_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('notification_id_seq', 2, true);


--
-- Data for Name: notification_resource; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY notification_resource (notification_id, resource_id) FROM stdin;
2	2909
\.


--
-- Data for Name: order; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY "order" (id, deal_date, resource_id, customer_id, lead_id, advsource_id, status, descr) FROM stdin;
\.


--
-- Name: order_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('order_id_seq', 1, true);


--
-- Data for Name: order_item; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY order_item (id, resource_id, order_id, service_id, currency_id, supplier_id, price, discount_sum, discount_percent, status, status_date, status_info) FROM stdin;
\.


--
-- Name: order_item_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('order_item_id_seq', 1, true);


--
-- Data for Name: outgoing; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY outgoing (id, date, resource_id, account_item_id, subaccount_id, sum, descr) FROM stdin;
\.


--
-- Data for Name: outgoing_cashflow; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY outgoing_cashflow (outgoing_id, cashflow_id) FROM stdin;
\.


--
-- Name: outgoing_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('outgoing_id_seq', 1, true);


--
-- Data for Name: passport; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY passport (id, resource_id, country_id, passport_type, num, end_date, descr) FROM stdin;
\.


--
-- Name: passport_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('passport_id_seq', 1, true);


--
-- Data for Name: passport_upload; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY passport_upload (passport_id, upload_id) FROM stdin;
\.


--
-- Data for Name: permision; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY permision (id, resource_type_id, position_id, permisions, scope_type, structure_id) FROM stdin;
34	61	4	{view,add,edit,delete}	all	\N
299	162	4	{view,settings}	all	\N
301	163	4	{view,add,edit,delete,assign}	all	\N
21	1	4	{view}	all	\N
39	69	4	{view,add,edit,delete,assign}	all	\N
42	71	4	{view,add,edit,delete,assign}	all	\N
43	72	4	{view,add,edit,delete,assign}	all	\N
44	73	4	{view,add,edit,delete,assign}	all	\N
45	74	4	{view,add,edit,delete,assign}	all	\N
46	75	4	{view,add,edit,delete,assign}	all	\N
49	79	4	{view,add,edit,delete,assign}	all	\N
55	83	4	{view,add,edit,delete,assign}	all	\N
56	84	4	{view,add,edit,delete,assign}	all	\N
58	86	4	{view,add,edit,delete,assign}	all	\N
61	89	4	{view,add,edit,delete}	all	\N
62	90	4	{view,add,edit,delete}	all	\N
70	101	4	{view,add,edit,delete}	all	\N
63	91	4	{view,add,edit,delete,assign}	all	\N
79	110	4	{view,add,edit,delete}	all	\N
71	102	4	{view,add,edit,delete,assign}	all	\N
73	104	4	{view,add,edit,delete,assign}	all	\N
74	105	4	{view,add,edit,delete,assign}	all	\N
76	107	4	{view,add,edit,delete,assign}	all	\N
26	47	4	{view,add,edit,delete,assign}	all	\N
80	111	4	{view,add,edit,delete,assign}	all	\N
128	117	4	{view,add,edit,delete,assign}	all	\N
59	87	4	{view,add,edit,delete}	all	\N
22	2	4	{view,add,edit,delete,assign}	all	\N
38	41	4	{view,add,edit,delete,assign}	all	\N
40	39	4	{view,add,edit,delete,assign}	all	\N
35	65	4	{view,add,edit,delete,assign}	all	\N
37	67	4	{view,add,edit,delete,assign}	all	\N
41	70	4	{view,add,edit,delete,assign}	all	\N
132	121	4	{view}	all	\N
134	123	4	{view,close}	all	\N
137	126	4	{view,edit}	all	\N
164	152	4	{view,settings}	all	\N
300	161	4	{view,settings}	all	\N
75	106	4	{view,add,edit,delete,assign}	all	\N
24	12	4	{view,add,edit,delete,assign,settings}	all	\N
146	135	4	{view,add,edit,delete}	all	\N
141	130	4	{view,add,edit,delete,assign,order}	all	\N
148	137	4	{view,add,edit,delete}	all	\N
154	143	4	{view,add,edit,delete}	all	\N
149	138	4	{view,add,edit,delete,assign}	all	\N
150	139	4	{view,add,edit,delete,assign}	all	\N
151	140	4	{view,add,edit,delete,assign}	all	\N
152	141	4	{view,add,edit,delete,assign}	all	\N
155	144	4	{view,add,edit,delete}	all	\N
157	145	4	{view,add,edit,delete}	all	\N
158	146	4	{view,add,edit,delete}	all	\N
161	149	4	{view,add,edit,delete}	all	\N
160	148	4	{view,add,edit,delete,assign}	all	\N
163	151	4	{view,add,edit,delete,assign}	all	\N
129	118	4	{view,add,edit,delete}	all	\N
130	119	4	{view,add,edit,delete,autoload}	all	\N
32	59	4	{view,add,edit,delete,assign}	all	\N
48	78	4	{view,add,edit,delete,assign}	all	\N
65	93	4	{view,add,edit,delete,assign}	all	\N
72	103	4	{view,add,edit,delete,assign,settings}	all	\N
131	120	4	{view,add,edit,delete,assign}	all	\N
153	142	4	{view,add,edit,delete,assign}	all	\N
294	156	4	{view,add,edit,delete,settings,assign}	all	\N
30	55	4	{view,add,edit,delete,assign}	all	\N
297	159	4	{view,add,edit,delete,assign}	all	\N
298	160	4	{assign}	all	\N
145	134	4	{view,add,edit,delete,settings,assign,calculation,invoice,contract}	all	\N
302	164	4	{view,add,edit,delete}	all	\N
\.


--
-- Name: permision_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('permision_id_seq', 302, true);


--
-- Data for Name: person; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY person (id, resource_id, person_category_id, first_name, last_name, second_name, birthday, gender, email_subscription, sms_subscription, descr) FROM stdin;
\.


--
-- Data for Name: person_address; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY person_address (person_id, address_id) FROM stdin;
\.


--
-- Data for Name: person_category; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY person_category (id, resource_id, name) FROM stdin;
\.


--
-- Name: person_category_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('person_category_id_seq', 1, true);


--
-- Data for Name: person_contact; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY person_contact (person_id, contact_id) FROM stdin;
\.


--
-- Name: person_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('person_id_seq', 1, true);


--
-- Data for Name: person_order_item; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY person_order_item (order_item_id, person_id) FROM stdin;
\.


--
-- Data for Name: person_passport; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY person_passport (person_id, passport_id) FROM stdin;
\.


--
-- Data for Name: person_subaccount; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY person_subaccount (person_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: position; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY "position" (id, resource_id, structure_id, name) FROM stdin;
4	772	32	Главный разработчик
\.


--
-- Name: position_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('position_id_seq', 8, true);


--
-- Data for Name: region; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY region (id, resource_id, country_id, name) FROM stdin;
\.


--
-- Name: region_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('region_id_seq', 1, true);


--
-- Data for Name: resource; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY resource (id, resource_type_id, maintainer_id, protected, modifydt) FROM stdin;
2905	12	2	f	2016-10-08 19:03:56.056488
2741	65	2	f	2016-10-08 19:07:38.608991
12	12	2	\N	2016-10-08 19:01:35.82236
14	12	2	\N	2016-10-08 19:01:35.82236
16	12	2	\N	2016-10-08 19:01:35.82236
30	12	2	\N	2016-10-08 19:01:35.82236
31	12	2	\N	2016-10-08 19:01:35.82236
32	12	2	\N	2016-10-08 19:01:35.82236
2906	12	2	f	2016-10-08 19:04:55.773083
2907	12	2	f	2016-10-08 19:05:37.963984
2910	123	2	f	2016-10-08 19:09:00.629391
33	12	2	\N	2016-10-08 19:01:35.82236
34	12	2	\N	2016-10-08 19:01:35.82236
35	12	2	\N	2016-10-08 19:01:35.82236
36	12	2	\N	2016-10-08 19:01:35.82236
37	12	2	\N	2016-10-08 19:01:35.82236
38	12	2	\N	2016-10-08 19:01:35.82236
39	12	2	\N	2016-10-08 19:01:35.82236
40	12	2	\N	2016-10-08 19:01:35.82236
43	12	2	\N	2016-10-08 19:01:35.82236
44	12	2	\N	2016-10-08 19:01:35.82236
2908	12	2	f	2016-10-08 19:06:15.911315
2909	65	2	f	2016-10-08 19:09:00.629391
1775	59	2	f	2016-10-08 19:01:35.82236
1777	65	2	f	2016-10-08 19:01:35.82236
1778	12	2	f	2016-10-08 19:01:35.82236
1800	118	2	f	2016-10-08 19:01:35.82236
2294	145	2	f	2016-10-08 19:01:35.82236
2677	89	2	f	2016-10-08 19:01:35.82236
2678	69	2	f	2016-10-08 19:01:35.82236
2679	69	2	f	2016-10-08 19:01:35.82236
2680	89	2	f	2016-10-08 19:01:35.82236
2681	89	2	f	2016-10-08 19:01:35.82236
2424	105	2	f	2016-10-08 19:01:35.82236
2425	105	2	f	2016-10-08 19:01:35.82236
2426	105	2	f	2016-10-08 19:01:35.82236
2682	149	2	f	2016-10-08 19:01:35.82236
1472	69	2	f	2016-10-08 19:01:35.82236
1473	69	2	f	2016-10-08 19:01:35.82236
1485	106	2	f	2016-10-08 19:01:35.82236
1500	106	2	f	2016-10-08 19:01:35.82236
1504	104	2	f	2016-10-08 19:01:35.82236
1505	104	2	f	2016-10-08 19:01:35.82236
1506	104	2	f	2016-10-08 19:01:35.82236
1507	107	2	f	2016-10-08 19:01:35.82236
1509	106	2	f	2016-10-08 19:01:35.82236
45	12	2	\N	2016-10-08 19:01:35.82236
83	2	2	\N	2016-10-08 19:01:35.82236
84	2	2	\N	2016-10-08 19:01:35.82236
277	39	2	\N	2016-10-08 19:01:35.82236
2631	65	2	f	2016-10-08 19:01:35.82236
2632	65	2	f	2016-10-08 19:01:35.82236
2702	119	2	f	2016-10-08 19:01:35.82236
2703	119	2	f	2016-10-08 19:01:35.82236
2829	93	2	f	2016-10-08 19:01:35.82236
2830	69	2	f	2016-10-08 19:01:35.82236
2831	134	2	f	2016-10-08 19:01:35.82236
2833	110	2	f	2016-10-08 19:01:35.82236
913	72	2	\N	2016-10-08 19:01:35.82236
914	72	2	\N	2016-10-08 19:01:35.82236
915	72	2	\N	2016-10-08 19:01:35.82236
916	72	2	\N	2016-10-08 19:01:35.82236
917	72	2	\N	2016-10-08 19:01:35.82236
2890	93	2	f	2016-10-08 19:01:35.82236
918	72	2	\N	2016-10-08 19:01:35.82236
919	72	2	\N	2016-10-08 19:01:35.82236
928	73	2	\N	2016-10-08 19:01:35.82236
929	73	2	\N	2016-10-08 19:01:35.82236
930	73	2	\N	2016-10-08 19:01:35.82236
931	73	2	\N	2016-10-08 19:01:35.82236
932	73	2	\N	2016-10-08 19:01:35.82236
933	73	2	\N	2016-10-08 19:01:35.82236
935	73	2	\N	2016-10-08 19:01:35.82236
936	73	2	\N	2016-10-08 19:01:35.82236
937	73	2	\N	2016-10-08 19:01:35.82236
948	73	2	\N	2016-10-08 19:01:35.82236
949	73	2	\N	2016-10-08 19:01:35.82236
950	73	2	\N	2016-10-08 19:01:35.82236
952	73	2	\N	2016-10-08 19:01:35.82236
953	12	2	\N	2016-10-08 19:01:35.82236
954	12	2	\N	2016-10-08 19:01:35.82236
955	65	2	\N	2016-10-08 19:01:35.82236
956	65	2	\N	2016-10-08 19:01:35.82236
957	74	2	\N	2016-10-08 19:01:35.82236
958	74	2	\N	2016-10-08 19:01:35.82236
1647	39	2	f	2016-10-08 19:01:35.82236
2266	137	2	f	2016-10-08 19:01:35.82236
2267	134	2	f	2016-10-08 19:01:35.82236
2268	12	2	f	2016-10-08 19:01:35.82236
2269	105	2	f	2016-10-08 19:01:35.82236
1915	111	2	f	2016-10-08 19:01:35.82236
1917	110	2	f	2016-10-08 19:01:35.82236
1949	123	2	f	2016-10-08 19:01:35.82236
1961	123	2	f	2016-10-08 19:01:35.82236
2714	104	2	f	2016-10-08 19:01:35.82236
2715	119	2	f	2016-10-08 19:01:35.82236
2716	119	2	f	2016-10-08 19:01:35.82236
2717	119	2	f	2016-10-08 19:01:35.82236
2718	119	2	f	2016-10-08 19:01:35.82236
2881	69	2	f	2016-10-08 19:01:35.82236
2882	12	2	f	2016-10-08 19:01:35.82236
2883	65	2	f	2016-10-08 19:01:35.82236
278	39	2	\N	2016-10-08 19:01:35.82236
279	39	2	\N	2016-10-08 19:01:35.82236
280	39	2	\N	2016-10-08 19:01:35.82236
281	39	2	\N	2016-10-08 19:01:35.82236
282	39	2	\N	2016-10-08 19:01:35.82236
283	12	2	\N	2016-10-08 19:01:35.82236
286	41	2	\N	2016-10-08 19:01:35.82236
287	41	2	\N	2016-10-08 19:01:35.82236
288	41	2	\N	2016-10-08 19:01:35.82236
289	41	2	\N	2016-10-08 19:01:35.82236
938	73	2	\N	2016-10-08 19:01:35.82236
939	73	2	\N	2016-10-08 19:01:35.82236
961	74	2	\N	2016-10-08 19:01:35.82236
962	74	2	\N	2016-10-08 19:01:35.82236
963	74	2	\N	2016-10-08 19:01:35.82236
964	74	2	\N	2016-10-08 19:01:35.82236
965	74	2	\N	2016-10-08 19:01:35.82236
966	74	2	\N	2016-10-08 19:01:35.82236
967	74	2	\N	2016-10-08 19:01:35.82236
968	74	2	\N	2016-10-08 19:01:35.82236
969	74	2	\N	2016-10-08 19:01:35.82236
970	74	2	\N	2016-10-08 19:01:35.82236
971	74	2	\N	2016-10-08 19:01:35.82236
973	75	2	\N	2016-10-08 19:01:35.82236
975	75	2	\N	2016-10-08 19:01:35.82236
976	75	2	\N	2016-10-08 19:01:35.82236
977	75	2	\N	2016-10-08 19:01:35.82236
978	75	2	\N	2016-10-08 19:01:35.82236
979	75	2	\N	2016-10-08 19:01:35.82236
980	75	2	\N	2016-10-08 19:01:35.82236
981	75	2	\N	2016-10-08 19:01:35.82236
982	75	2	\N	2016-10-08 19:01:35.82236
983	75	2	\N	2016-10-08 19:01:35.82236
984	75	2	\N	2016-10-08 19:01:35.82236
1616	69	2	f	2016-10-08 19:01:35.82236
1619	69	2	f	2016-10-08 19:01:35.82236
1620	87	2	f	2016-10-08 19:01:35.82236
1621	87	2	f	2016-10-08 19:01:35.82236
1622	89	2	f	2016-10-08 19:01:35.82236
1623	90	2	f	2016-10-08 19:01:35.82236
1381	89	2	f	2016-10-08 19:01:35.82236
2439	117	2	f	2016-10-08 19:01:35.82236
2784	123	2	f	2016-10-08 19:01:35.82236
1932	93	2	f	2016-10-08 19:01:35.82236
2786	2	2	f	2016-10-08 19:01:35.82236
2787	2	2	f	2016-10-08 19:01:35.82236
2788	12	2	f	2016-10-08 19:01:35.82236
2813	12	2	f	2016-10-08 19:01:35.82236
2814	87	2	f	2016-10-08 19:01:35.82236
2815	93	2	f	2016-10-08 19:01:35.82236
2842	119	2	f	2016-10-08 19:01:35.82236
290	41	2	\N	2016-10-08 19:01:35.82236
291	41	2	\N	2016-10-08 19:01:35.82236
943	73	2	\N	2016-10-08 19:01:35.82236
944	73	2	\N	2016-10-08 19:01:35.82236
945	73	2	\N	2016-10-08 19:01:35.82236
946	73	2	\N	2016-10-08 19:01:35.82236
947	73	2	\N	2016-10-08 19:01:35.82236
998	65	2	\N	2016-10-08 19:01:35.82236
1005	78	2	\N	2016-10-08 19:01:35.82236
1007	12	2	\N	2016-10-08 19:01:35.82236
1008	65	2	\N	2016-10-08 19:01:35.82236
1009	79	2	\N	2016-10-08 19:01:35.82236
1325	83	2	f	2016-10-08 19:01:35.82236
1326	84	2	f	2016-10-08 19:01:35.82236
1327	83	2	f	2016-10-08 19:01:35.82236
1328	39	2	f	2016-10-08 19:01:35.82236
1329	84	2	f	2016-10-08 19:01:35.82236
1330	83	2	f	2016-10-08 19:01:35.82236
1331	83	2	f	2016-10-08 19:01:35.82236
1332	39	2	f	2016-10-08 19:01:35.82236
1333	84	2	f	2016-10-08 19:01:35.82236
1334	83	2	f	2016-10-08 19:01:35.82236
1335	83	2	f	2016-10-08 19:01:35.82236
1340	39	2	f	2016-10-08 19:01:35.82236
1344	39	2	f	2016-10-08 19:01:35.82236
1345	84	2	f	2016-10-08 19:01:35.82236
1346	83	2	f	2016-10-08 19:01:35.82236
1350	83	2	f	2016-10-08 19:01:35.82236
1352	39	2	f	2016-10-08 19:01:35.82236
1353	84	2	f	2016-10-08 19:01:35.82236
1354	83	2	f	2016-10-08 19:01:35.82236
1355	39	2	f	2016-10-08 19:01:35.82236
1356	84	2	f	2016-10-08 19:01:35.82236
1357	83	2	f	2016-10-08 19:01:35.82236
2231	78	2	f	2016-10-08 19:01:35.82236
2232	78	2	f	2016-10-08 19:01:35.82236
2233	78	2	f	2016-10-08 19:01:35.82236
1639	106	2	f	2016-10-08 19:01:35.82236
1640	87	2	f	2016-10-08 19:01:35.82236
1641	87	2	f	2016-10-08 19:01:35.82236
1642	89	2	f	2016-10-08 19:01:35.82236
1643	89	2	f	2016-10-08 19:01:35.82236
2047	119	2	f	2016-10-08 19:01:35.82236
1764	111	2	f	2016-10-08 19:01:35.82236
1766	111	2	f	2016-10-08 19:01:35.82236
1769	105	2	f	2016-10-08 19:01:35.82236
1771	111	2	f	2016-10-08 19:01:35.82236
1773	111	2	f	2016-10-08 19:01:35.82236
2285	135	2	f	2016-10-08 19:01:35.82236
2291	93	2	f	2016-10-08 19:01:35.82236
2292	12	2	f	2016-10-08 19:01:35.82236
2293	145	2	f	2016-10-08 19:01:35.82236
2048	65	2	f	2016-10-08 19:01:35.82236
2049	12	2	f	2016-10-08 19:01:35.82236
2050	87	2	f	2016-10-08 19:01:35.82236
2051	69	2	f	2016-10-08 19:01:35.82236
2052	130	2	f	2016-10-08 19:01:35.82236
1939	93	2	f	2016-10-08 19:01:35.82236
2054	2	2	f	2016-10-08 19:01:35.82236
1906	65	2	f	2016-10-08 19:01:35.82236
1990	106	2	f	2016-10-08 19:01:35.82236
1991	106	2	f	2016-10-08 19:01:35.82236
1992	106	2	f	2016-10-08 19:01:35.82236
2029	119	2	f	2016-10-08 19:01:35.82236
2442	117	2	f	2016-10-08 19:01:35.82236
2546	110	2	f	2016-10-08 19:01:35.82236
2573	69	2	f	2016-10-08 19:01:35.82236
921	73	2	\N	2016-10-08 19:01:35.82236
1648	84	2	f	2016-10-08 19:01:35.82236
2458	106	2	f	2016-10-08 19:01:35.82236
2556	151	2	f	2016-10-08 19:01:35.82236
2557	151	2	f	2016-10-08 19:01:35.82236
2568	145	2	f	2016-10-08 19:01:35.82236
1649	83	2	f	2016-10-08 19:01:35.82236
1650	87	2	f	2016-10-08 19:01:35.82236
2569	130	2	f	2016-10-08 19:01:35.82236
2570	69	2	f	2016-10-08 19:01:35.82236
922	73	2	\N	2016-10-08 19:01:35.82236
923	73	2	\N	2016-10-08 19:01:35.82236
924	73	2	\N	2016-10-08 19:01:35.82236
1651	89	2	f	2016-10-08 19:01:35.82236
1652	90	2	f	2016-10-08 19:01:35.82236
1653	69	2	f	2016-10-08 19:01:35.82236
925	73	2	\N	2016-10-08 19:01:35.82236
926	73	2	\N	2016-10-08 19:01:35.82236
1659	65	2	f	2016-10-08 19:01:35.82236
1882	106	2	f	2016-10-08 19:01:35.82236
1660	106	2	f	2016-10-08 19:01:35.82236
927	73	2	\N	2016-10-08 19:01:35.82236
2046	119	2	f	2016-10-08 19:01:35.82236
959	74	2	\N	2016-10-08 19:01:35.82236
960	74	2	\N	2016-10-08 19:01:35.82236
1714	110	2	f	2016-10-08 19:01:35.82236
985	75	2	\N	2016-10-08 19:01:35.82236
987	75	2	\N	2016-10-08 19:01:35.82236
1721	110	2	f	2016-10-08 19:01:35.82236
1884	12	2	f	2016-10-08 19:01:35.82236
1885	65	2	f	2016-10-08 19:01:35.82236
1888	117	2	f	2016-10-08 19:01:35.82236
1893	120	2	f	2016-10-08 19:01:35.82236
1894	12	2	f	2016-10-08 19:01:35.82236
1004	78	2	\N	2016-10-08 19:01:35.82236
1309	90	2	f	2016-10-08 19:01:35.82236
1310	41	2	f	2016-10-08 19:01:35.82236
1895	65	2	f	2016-10-08 19:01:35.82236
1311	41	2	f	2016-10-08 19:01:35.82236
1312	65	2	f	2016-10-08 19:01:35.82236
1313	12	2	f	2016-10-08 19:01:35.82236
1896	65	2	f	2016-10-08 19:01:35.82236
1314	102	2	f	2016-10-08 19:01:35.82236
1317	12	2	f	2016-10-08 19:01:35.82236
1320	83	2	f	2016-10-08 19:01:35.82236
1321	84	2	f	2016-10-08 19:01:35.82236
1322	83	2	f	2016-10-08 19:01:35.82236
1950	123	2	f	2016-10-08 19:01:35.82236
1951	90	2	f	2016-10-08 19:01:35.82236
1952	86	2	f	2016-10-08 19:01:35.82236
1907	65	2	f	2016-10-08 19:01:35.82236
1956	87	2	f	2016-10-08 19:01:35.82236
1958	93	2	f	2016-10-08 19:01:35.82236
1959	123	2	f	2016-10-08 19:01:35.82236
2104	135	2	f	2016-10-08 19:01:35.82236
1323	83	2	f	2016-10-08 19:01:35.82236
2105	135	2	f	2016-10-08 19:01:35.82236
2106	135	2	f	2016-10-08 19:01:35.82236
2107	12	2	f	2016-10-08 19:01:35.82236
2108	12	2	f	2016-10-08 19:01:35.82236
2111	83	2	f	2016-10-08 19:01:35.82236
2115	39	2	f	2016-10-08 19:01:35.82236
2119	90	2	f	2016-10-08 19:01:35.82236
2168	137	2	f	2016-10-08 19:01:35.82236
2171	93	2	f	2016-10-08 19:01:35.82236
2172	135	2	f	2016-10-08 19:01:35.82236
2173	137	2	f	2016-10-08 19:01:35.82236
1324	83	2	f	2016-10-08 19:01:35.82236
1358	83	2	f	2016-10-08 19:01:35.82236
1359	84	2	f	2016-10-08 19:01:35.82236
1360	83	2	f	2016-10-08 19:01:35.82236
2452	117	2	f	2016-10-08 19:01:35.82236
2457	106	2	f	2016-10-08 19:01:35.82236
1361	84	2	f	2016-10-08 19:01:35.82236
1365	39	2	f	2016-10-08 19:01:35.82236
1366	84	2	f	2016-10-08 19:01:35.82236
1367	83	2	f	2016-10-08 19:01:35.82236
1368	65	2	f	2016-10-08 19:01:35.82236
1371	87	2	f	2016-10-08 19:01:35.82236
1373	87	2	f	2016-10-08 19:01:35.82236
1374	90	2	f	2016-10-08 19:01:35.82236
1624	87	2	f	2016-10-08 19:01:35.82236
1625	89	2	f	2016-10-08 19:01:35.82236
1376	89	2	f	2016-10-08 19:01:35.82236
1626	69	2	f	2016-10-08 19:01:35.82236
1378	78	2	f	2016-10-08 19:01:35.82236
1627	69	2	f	2016-10-08 19:01:35.82236
1628	69	2	f	2016-10-08 19:01:35.82236
1379	87	2	f	2016-10-08 19:01:35.82236
1380	87	2	f	2016-10-08 19:01:35.82236
1383	69	2	f	2016-10-08 19:01:35.82236
2260	135	2	f	2016-10-08 19:01:35.82236
2261	142	2	f	2016-10-08 19:01:35.82236
2262	135	2	f	2016-10-08 19:01:35.82236
2263	142	2	f	2016-10-08 19:01:35.82236
2264	134	2	f	2016-10-08 19:01:35.82236
2265	135	2	f	2016-10-08 19:01:35.82236
1780	105	2	f	2016-10-08 19:01:35.82236
1797	12	2	f	2016-10-08 19:01:35.82236
1798	65	2	f	2016-10-08 19:01:35.82236
1799	12	2	f	2016-10-08 19:01:35.82236
1804	118	2	f	2016-10-08 19:01:35.82236
2	2	2	\N	2016-10-08 19:01:35.82236
2127	12	2	f	2016-10-08 19:01:35.82236
3	2	2	\N	2016-10-08 19:01:35.82236
10	12	2	\N	2016-10-08 19:01:35.82236
1010	79	2	\N	2016-10-08 19:01:35.82236
1080	65	2	\N	2016-10-08 19:01:35.82236
1081	12	2	\N	2016-10-08 19:01:35.82236
1099	39	2	\N	2016-10-08 19:01:35.82236
2309	69	2	f	2016-10-08 19:01:35.82236
2128	65	2	f	2016-10-08 19:01:35.82236
2129	138	2	f	2016-10-08 19:01:35.82236
2130	138	2	f	2016-10-08 19:01:35.82236
2132	118	2	f	2016-10-08 19:01:35.82236
2440	117	2	f	2016-10-08 19:01:35.82236
2201	104	2	f	2016-10-08 19:01:35.82236
2459	106	2	f	2016-10-08 19:01:35.82236
2463	111	2	f	2016-10-08 19:01:35.82236
2465	120	2	f	2016-10-08 19:01:35.82236
2563	69	2	f	2016-10-08 19:01:35.82236
2564	145	2	f	2016-10-08 19:01:35.82236
2565	130	2	f	2016-10-08 19:01:35.82236
2203	104	2	f	2016-10-08 19:01:35.82236
2205	110	2	f	2016-10-08 19:01:35.82236
2234	78	2	f	2016-10-08 19:01:35.82236
2566	69	2	f	2016-10-08 19:01:35.82236
2133	123	2	f	2016-10-08 19:01:35.82236
2567	145	2	f	2016-10-08 19:01:35.82236
2571	145	2	f	2016-10-08 19:01:35.82236
2135	12	2	f	2016-10-08 19:01:35.82236
2572	130	2	f	2016-10-08 19:01:35.82236
2710	119	2	f	2016-10-08 19:01:35.82236
2711	119	2	f	2016-10-08 19:01:35.82236
2712	119	2	f	2016-10-08 19:01:35.82236
2713	119	2	f	2016-10-08 19:01:35.82236
2816	93	2	f	2016-10-08 19:01:35.82236
2817	123	2	f	2016-10-08 19:01:35.82236
2836	119	2	f	2016-10-08 19:01:35.82236
2136	65	2	f	2016-10-08 19:01:35.82236
2320	12	2	f	2016-10-08 19:01:35.82236
2327	87	2	f	2016-10-08 19:01:35.82236
2328	69	2	f	2016-10-08 19:01:35.82236
2583	12	2	f	2016-10-08 19:01:35.82236
2329	145	2	f	2016-10-08 19:01:35.82236
2330	145	2	f	2016-10-08 19:01:35.82236
2331	146	2	f	2016-10-08 19:01:35.82236
2837	135	2	f	2016-10-08 19:01:35.82236
2332	146	2	f	2016-10-08 19:01:35.82236
2333	130	2	f	2016-10-08 19:01:35.82236
2838	144	2	f	2016-10-08 19:01:35.82236
2855	119	2	f	2016-10-08 19:01:35.82236
2861	117	2	f	2016-10-08 19:01:35.82236
2862	117	2	f	2016-10-08 19:01:35.82236
2334	104	2	f	2016-10-08 19:01:35.82236
2335	104	2	f	2016-10-08 19:01:35.82236
2336	104	2	f	2016-10-08 19:01:35.82236
2235	78	2	f	2016-10-08 19:01:35.82236
2236	78	2	f	2016-10-08 19:01:35.82236
2337	104	2	f	2016-10-08 19:01:35.82236
2338	87	2	f	2016-10-08 19:01:35.82236
2339	69	2	f	2016-10-08 19:01:35.82236
2340	69	2	f	2016-10-08 19:01:35.82236
2237	78	2	f	2016-10-08 19:01:35.82236
2238	78	2	f	2016-10-08 19:01:35.82236
2239	78	2	f	2016-10-08 19:01:35.82236
1774	111	2	f	2016-10-08 19:01:35.82236
1801	118	2	f	2016-10-08 19:01:35.82236
2295	145	2	f	2016-10-08 19:01:35.82236
1802	118	2	f	2016-10-08 19:01:35.82236
2296	12	2	f	2016-10-08 19:01:35.82236
2297	145	2	f	2016-10-08 19:01:35.82236
2299	146	2	f	2016-10-08 19:01:35.82236
2300	145	2	f	2016-10-08 19:01:35.82236
2304	123	2	f	2016-10-08 19:01:35.82236
1910	106	2	f	2016-10-08 19:01:35.82236
1911	106	2	f	2016-10-08 19:01:35.82236
2075	93	2	f	2016-10-08 19:01:35.82236
2076	123	2	f	2016-10-08 19:01:35.82236
2077	12	2	f	2016-10-08 19:01:35.82236
2087	118	2	f	2016-10-08 19:01:35.82236
2088	130	2	f	2016-10-08 19:01:35.82236
2089	87	2	f	2016-10-08 19:01:35.82236
2090	69	2	f	2016-10-08 19:01:35.82236
2092	118	2	f	2016-10-08 19:01:35.82236
2095	87	2	f	2016-10-08 19:01:35.82236
2096	118	2	f	2016-10-08 19:01:35.82236
2097	118	2	f	2016-10-08 19:01:35.82236
2307	87	2	f	2016-10-08 19:01:35.82236
2120	101	2	f	2016-10-08 19:01:35.82236
2126	2	2	f	2016-10-08 19:01:35.82236
2341	135	2	f	2016-10-08 19:01:35.82236
2342	137	2	f	2016-10-08 19:01:35.82236
2343	135	2	f	2016-10-08 19:01:35.82236
2344	143	2	f	2016-10-08 19:01:35.82236
2030	119	2	f	2016-10-08 19:01:35.82236
2031	119	2	f	2016-10-08 19:01:35.82236
2308	87	2	f	2016-10-08 19:01:35.82236
2032	110	2	f	2016-10-08 19:01:35.82236
2038	119	2	f	2016-10-08 19:01:35.82236
2903	119	2	f	2016-10-08 19:01:35.82236
2514	65	2	f	2016-10-08 19:01:35.82236
2515	148	2	f	2016-10-08 19:01:35.82236
2516	12	2	f	2016-10-08 19:01:35.82236
2871	119	2	f	2016-10-08 19:01:35.82236
2517	149	2	f	2016-10-08 19:01:35.82236
2518	149	2	f	2016-10-08 19:01:35.82236
2519	47	2	f	2016-10-08 19:01:35.82236
2520	149	2	f	2016-10-08 19:01:35.82236
2521	149	2	f	2016-10-08 19:01:35.82236
2522	149	2	f	2016-10-08 19:01:35.82236
2873	87	2	f	2016-10-08 19:01:35.82236
2874	87	2	f	2016-10-08 19:01:35.82236
2875	69	2	f	2016-10-08 19:01:35.82236
2876	145	2	f	2016-10-08 19:01:35.82236
2877	130	2	f	2016-10-08 19:01:35.82236
2878	87	2	f	2016-10-08 19:01:35.82236
2887	12	2	f	2016-10-08 19:01:35.82236
2888	65	2	f	2016-10-08 19:01:35.82236
2889	65	2	f	2016-10-08 19:01:35.82236
1316	102	2	f	2016-10-08 19:01:35.82236
1336	39	2	f	2016-10-08 19:01:35.82236
1362	83	2	f	2016-10-08 19:01:35.82236
1363	84	2	f	2016-10-08 19:01:35.82236
1364	83	2	f	2016-10-08 19:01:35.82236
1372	69	2	f	2016-10-08 19:01:35.82236
2523	149	2	f	2016-10-08 19:01:35.82236
2524	149	2	f	2016-10-08 19:01:35.82236
1375	69	2	f	2016-10-08 19:01:35.82236
2525	149	2	f	2016-10-08 19:01:35.82236
1382	90	2	f	2016-10-08 19:01:35.82236
2526	149	2	f	2016-10-08 19:01:35.82236
1385	84	2	f	2016-10-08 19:01:35.82236
2527	149	2	f	2016-10-08 19:01:35.82236
1386	83	2	f	2016-10-08 19:01:35.82236
2528	149	2	f	2016-10-08 19:01:35.82236
2529	119	2	f	2016-10-08 19:01:35.82236
2536	110	2	f	2016-10-08 19:01:35.82236
2537	119	2	f	2016-10-08 19:01:35.82236
2538	119	2	f	2016-10-08 19:01:35.82236
2574	145	2	f	2016-10-08 19:01:35.82236
2575	130	2	f	2016-10-08 19:01:35.82236
1387	87	2	f	2016-10-08 19:01:35.82236
1388	90	2	f	2016-10-08 19:01:35.82236
1389	69	2	f	2016-10-08 19:01:35.82236
1390	69	2	f	2016-10-08 19:01:35.82236
1391	90	2	f	2016-10-08 19:01:35.82236
1416	39	2	f	2016-10-08 19:01:35.82236
2271	140	2	f	2016-10-08 19:01:35.82236
2272	78	2	f	2016-10-08 19:01:35.82236
2273	135	2	f	2016-10-08 19:01:35.82236
2286	137	2	f	2016-10-08 19:01:35.82236
2287	135	2	f	2016-10-08 19:01:35.82236
2288	142	2	f	2016-10-08 19:01:35.82236
2289	104	2	f	2016-10-08 19:01:35.82236
2290	104	2	f	2016-10-08 19:01:35.82236
1424	12	2	f	2016-10-08 19:01:35.82236
1425	65	2	f	2016-10-08 19:01:35.82236
1426	105	2	f	2016-10-08 19:01:35.82236
1431	105	2	f	2016-10-08 19:01:35.82236
1432	105	2	f	2016-10-08 19:01:35.82236
1433	12	2	f	2016-10-08 19:01:35.82236
1434	65	2	f	2016-10-08 19:01:35.82236
2576	69	2	f	2016-10-08 19:01:35.82236
2577	145	2	f	2016-10-08 19:01:35.82236
2578	145	2	f	2016-10-08 19:01:35.82236
2579	130	2	f	2016-10-08 19:01:35.82236
2580	69	2	f	2016-10-08 19:01:35.82236
2581	145	2	f	2016-10-08 19:01:35.82236
2582	130	2	f	2016-10-08 19:01:35.82236
2345	134	2	f	2016-10-08 19:01:35.82236
2366	87	2	f	2016-10-08 19:01:35.82236
2367	69	2	f	2016-10-08 19:01:35.82236
2368	145	2	f	2016-10-08 19:01:35.82236
2369	146	2	f	2016-10-08 19:01:35.82236
2370	118	2	f	2016-10-08 19:01:35.82236
2371	93	2	f	2016-10-08 19:01:35.82236
2372	130	2	f	2016-10-08 19:01:35.82236
2373	39	2	f	2016-10-08 19:01:35.82236
2648	65	2	f	2016-10-08 19:01:35.82236
2649	65	2	f	2016-10-08 19:01:35.82236
2650	65	2	f	2016-10-08 19:01:35.82236
2429	105	2	f	2016-10-08 19:01:35.82236
2430	105	2	f	2016-10-08 19:01:35.82236
2510	110	2	f	2016-10-08 19:01:35.82236
2511	86	2	f	2016-10-08 19:01:35.82236
2513	12	2	f	2016-10-08 19:01:35.82236
2544	148	2	f	2016-10-08 19:01:35.82236
907	71	2	\N	2016-10-08 19:01:35.82236
908	12	2	\N	2016-10-08 19:01:35.82236
909	12	2	\N	2016-10-08 19:01:35.82236
2131	93	2	f	2016-10-08 19:01:35.82236
2891	87	2	f	2016-10-08 19:01:35.82236
2892	69	2	f	2016-10-08 19:01:35.82236
2893	145	2	f	2016-10-08 19:01:35.82236
2894	130	2	f	2016-10-08 19:01:35.82236
2589	89	2	f	2016-10-08 19:01:35.82236
2590	90	2	f	2016-10-08 19:01:35.82236
2545	86	2	f	2016-10-08 19:01:35.82236
2547	119	2	f	2016-10-08 19:01:35.82236
2548	119	2	f	2016-10-08 19:01:35.82236
2591	69	2	f	2016-10-08 19:01:35.82236
2592	123	2	f	2016-10-08 19:01:35.82236
2593	69	2	f	2016-10-08 19:01:35.82236
2594	87	2	f	2016-10-08 19:01:35.82236
2595	69	2	f	2016-10-08 19:01:35.82236
2596	145	2	f	2016-10-08 19:01:35.82236
2376	69	2	f	2016-10-08 19:01:35.82236
2377	135	2	f	2016-10-08 19:01:35.82236
2549	12	2	f	2016-10-08 19:01:35.82236
2378	137	2	f	2016-10-08 19:01:35.82236
2550	87	2	f	2016-10-08 19:01:35.82236
2379	135	2	f	2016-10-08 19:01:35.82236
2551	12	2	f	2016-10-08 19:01:35.82236
2552	65	2	f	2016-10-08 19:01:35.82236
2553	65	2	f	2016-10-08 19:01:35.82236
2554	65	2	f	2016-10-08 19:01:35.82236
2725	119	2	f	2016-10-08 19:01:35.82236
2726	110	2	f	2016-10-08 19:01:35.82236
2727	119	2	f	2016-10-08 19:01:35.82236
2728	119	2	f	2016-10-08 19:01:35.82236
2730	93	2	f	2016-10-08 19:01:35.82236
2731	123	2	f	2016-10-08 19:01:35.82236
2732	148	2	f	2016-10-08 19:01:35.82236
2818	93	2	f	2016-10-08 19:01:35.82236
2819	123	2	f	2016-10-08 19:01:35.82236
2380	143	2	f	2016-10-08 19:01:35.82236
2381	93	2	f	2016-10-08 19:01:35.82236
2382	134	2	f	2016-10-08 19:01:35.82236
2383	104	2	f	2016-10-08 19:01:35.82236
2384	104	2	f	2016-10-08 19:01:35.82236
2385	104	2	f	2016-10-08 19:01:35.82236
2389	105	2	f	2016-10-08 19:01:35.82236
2390	105	2	f	2016-10-08 19:01:35.82236
2391	105	2	f	2016-10-08 19:01:35.82236
2396	105	2	f	2016-10-08 19:01:35.82236
2397	105	2	f	2016-10-08 19:01:35.82236
2398	105	2	f	2016-10-08 19:01:35.82236
2415	105	2	f	2016-10-08 19:01:35.82236
2416	105	2	f	2016-10-08 19:01:35.82236
2670	146	2	f	2016-10-08 19:01:35.82236
2683	89	2	f	2016-10-08 19:01:35.82236
2427	105	2	f	2016-10-08 19:01:35.82236
2428	105	2	f	2016-10-08 19:01:35.82236
2684	149	2	f	2016-10-08 19:01:35.82236
2685	89	2	f	2016-10-08 19:01:35.82236
2686	135	2	f	2016-10-08 19:01:35.82236
2431	105	2	f	2016-10-08 19:01:35.82236
2687	137	2	f	2016-10-08 19:01:35.82236
2690	134	2	f	2016-10-08 19:01:35.82236
2693	110	2	f	2016-10-08 19:01:35.82236
2694	110	2	f	2016-10-08 19:01:35.82236
2695	86	2	f	2016-10-08 19:01:35.82236
2530	119	2	f	2016-10-08 19:01:35.82236
2531	119	2	f	2016-10-08 19:01:35.82236
2532	119	2	f	2016-10-08 19:01:35.82236
2533	119	2	f	2016-10-08 19:01:35.82236
2534	119	2	f	2016-10-08 19:01:35.82236
2535	119	2	f	2016-10-08 19:01:35.82236
2539	110	2	f	2016-10-08 19:01:35.82236
2540	86	2	f	2016-10-08 19:01:35.82236
2541	119	2	f	2016-10-08 19:01:35.82236
2542	148	2	f	2016-10-08 19:01:35.82236
2543	148	2	f	2016-10-08 19:01:35.82236
2820	118	2	f	2016-10-08 19:01:35.82236
2821	87	2	f	2016-10-08 19:01:35.82236
2822	69	2	f	2016-10-08 19:01:35.82236
2823	145	2	f	2016-10-08 19:01:35.82236
1546	106	2	f	2016-10-08 19:01:35.82236
2824	130	2	f	2016-10-08 19:01:35.82236
1547	106	2	f	2016-10-08 19:01:35.82236
1548	12	2	f	2016-10-08 19:01:35.82236
1549	12	2	f	2016-10-08 19:01:35.82236
2825	146	2	f	2016-10-08 19:01:35.82236
2826	118	2	f	2016-10-08 19:01:35.82236
2827	135	2	f	2016-10-08 19:01:35.82236
2828	137	2	f	2016-10-08 19:01:35.82236
2841	104	2	f	2016-10-08 19:01:35.82236
2865	78	2	f	2016-10-08 19:01:35.82236
2866	117	2	f	2016-10-08 19:01:35.82236
2867	111	2	f	2016-10-08 19:01:35.82236
1550	65	2	f	2016-10-08 19:01:35.82236
1551	87	2	f	2016-10-08 19:01:35.82236
1552	87	2	f	2016-10-08 19:01:35.82236
2597	145	2	f	2016-10-08 19:01:35.82236
2636	65	2	f	2016-10-08 19:01:35.82236
2637	65	2	f	2016-10-08 19:01:35.82236
2638	65	2	f	2016-10-08 19:01:35.82236
2392	105	2	f	2016-10-08 19:01:35.82236
2393	105	2	f	2016-10-08 19:01:35.82236
2394	105	2	f	2016-10-08 19:01:35.82236
2395	105	2	f	2016-10-08 19:01:35.82236
2642	65	2	f	2016-10-08 19:01:35.82236
274	12	2	\N	2016-10-08 19:01:35.82236
292	41	2	\N	2016-10-08 19:01:35.82236
306	41	2	\N	2016-10-08 19:01:35.82236
706	12	2	\N	2016-10-08 19:01:35.82236
723	12	2	\N	2016-10-08 19:01:35.82236
725	55	2	\N	2016-10-08 19:01:35.82236
726	55	2	\N	2016-10-08 19:01:35.82236
728	55	2	\N	2016-10-08 19:01:35.82236
734	55	2	\N	2016-10-08 19:01:35.82236
743	55	2	\N	2016-10-08 19:01:35.82236
763	55	2	\N	2016-10-08 19:01:35.82236
764	12	2	\N	2016-10-08 19:01:35.82236
769	12	2	\N	2016-10-08 19:01:35.82236
2643	65	2	f	2016-10-08 19:01:35.82236
2646	65	2	f	2016-10-08 19:01:35.82236
2647	65	2	f	2016-10-08 19:01:35.82236
2651	65	2	f	2016-10-08 19:01:35.82236
2652	65	2	f	2016-10-08 19:01:35.82236
2653	65	2	f	2016-10-08 19:01:35.82236
771	55	2	\N	2016-10-08 19:01:35.82236
772	59	2	\N	2016-10-08 19:01:35.82236
837	65	2	\N	2016-10-08 19:01:35.82236
2895	39	2	f	2016-10-08 19:01:35.82236
1067	78	2	\N	2016-10-08 19:01:35.82236
1068	12	2	\N	2016-10-08 19:01:35.82236
1165	39	2	\N	2016-10-08 19:01:35.82236
2654	65	2	f	2016-10-08 19:01:35.82236
2655	65	2	f	2016-10-08 19:01:35.82236
2896	84	2	f	2016-10-08 19:01:35.82236
1185	39	2	\N	2016-10-08 19:01:35.82236
1195	87	2	\N	2016-10-08 19:01:35.82236
1198	12	2	\N	2016-10-08 19:01:35.82236
1261	89	2	f	2016-10-08 19:01:35.82236
1807	90	2	f	2016-10-08 19:01:35.82236
1833	118	2	f	2016-10-08 19:01:35.82236
1435	12	2	f	2016-10-08 19:01:35.82236
1436	65	2	f	2016-10-08 19:01:35.82236
1438	107	2	f	2016-10-08 19:01:35.82236
1439	107	2	f	2016-10-08 19:01:35.82236
1511	101	2	f	2016-10-08 19:01:35.82236
1512	101	2	f	2016-10-08 19:01:35.82236
1513	101	2	f	2016-10-08 19:01:35.82236
1521	12	2	f	2016-10-08 19:01:35.82236
1535	110	2	f	2016-10-08 19:01:35.82236
1536	110	2	f	2016-10-08 19:01:35.82236
1537	110	2	f	2016-10-08 19:01:35.82236
1538	110	2	f	2016-10-08 19:01:35.82236
1539	110	2	f	2016-10-08 19:01:35.82236
1540	110	2	f	2016-10-08 19:01:35.82236
1541	110	2	f	2016-10-08 19:01:35.82236
2897	83	2	f	2016-10-08 19:01:35.82236
2417	105	2	f	2016-10-08 19:01:35.82236
1543	87	2	f	2016-10-08 19:01:35.82236
1544	87	2	f	2016-10-08 19:01:35.82236
1545	87	2	f	2016-10-08 19:01:35.82236
2659	87	2	f	2016-10-08 19:01:35.82236
2661	145	2	f	2016-10-08 19:01:35.82236
2662	130	2	f	2016-10-08 19:01:35.82236
2663	118	2	f	2016-10-08 19:01:35.82236
2418	105	2	f	2016-10-08 19:01:35.82236
2419	105	2	f	2016-10-08 19:01:35.82236
2420	105	2	f	2016-10-08 19:01:35.82236
2421	105	2	f	2016-10-08 19:01:35.82236
2422	105	2	f	2016-10-08 19:01:35.82236
2423	105	2	f	2016-10-08 19:01:35.82236
2698	110	2	f	2016-10-08 19:01:35.82236
2699	86	2	f	2016-10-08 19:01:35.82236
2700	119	2	f	2016-10-08 19:01:35.82236
2701	119	2	f	2016-10-08 19:01:35.82236
2879	69	2	f	2016-10-08 19:01:35.82236
773	12	2	\N	2016-10-08 19:01:35.82236
887	69	2	\N	2016-10-08 19:01:35.82236
2183	137	2	f	2016-10-08 19:01:35.82236
2660	69	2	f	2016-10-08 19:01:35.82236
2664	149	2	f	2016-10-08 19:01:35.82236
2665	149	2	f	2016-10-08 19:01:35.82236
2666	87	2	f	2016-10-08 19:01:35.82236
2667	69	2	f	2016-10-08 19:01:35.82236
2898	69	2	f	2016-10-08 19:01:35.82236
2668	145	2	f	2016-10-08 19:01:35.82236
2899	135	2	f	2016-10-08 19:01:35.82236
894	2	2	\N	2016-10-08 19:01:35.82236
896	39	2	\N	2016-10-08 19:01:35.82236
1011	12	2	\N	2016-10-08 19:01:35.82236
2669	130	2	f	2016-10-08 19:01:35.82236
2671	93	2	f	2016-10-08 19:01:35.82236
2672	123	2	f	2016-10-08 19:01:35.82236
2673	39	2	f	2016-10-08 19:01:35.82236
2839	119	2	f	2016-10-08 19:01:35.82236
2840	119	2	f	2016-10-08 19:01:35.82236
1278	39	2	f	2016-10-08 19:01:35.82236
1283	71	2	f	2016-10-08 19:01:35.82236
1284	69	2	f	2016-10-08 19:01:35.82236
1285	87	2	f	2016-10-08 19:01:35.82236
1286	89	2	f	2016-10-08 19:01:35.82236
1287	84	2	f	2016-10-08 19:01:35.82236
1288	90	2	f	2016-10-08 19:01:35.82236
1289	84	2	f	2016-10-08 19:01:35.82236
1290	39	2	f	2016-10-08 19:01:35.82236
1291	84	2	f	2016-10-08 19:01:35.82236
1292	83	2	f	2016-10-08 19:01:35.82236
1293	69	2	f	2016-10-08 19:01:35.82236
1294	69	2	f	2016-10-08 19:01:35.82236
1304	87	2	f	2016-10-08 19:01:35.82236
1306	90	2	f	2016-10-08 19:01:35.82236
1849	12	2	f	2016-10-08 19:01:35.82236
1447	106	2	f	2016-10-08 19:01:35.82236
1448	106	2	f	2016-10-08 19:01:35.82236
1450	12	2	f	2016-10-08 19:01:35.82236
1452	12	2	f	2016-10-08 19:01:35.82236
1464	87	2	f	2016-10-08 19:01:35.82236
1465	69	2	f	2016-10-08 19:01:35.82236
1467	89	2	f	2016-10-08 19:01:35.82236
1514	101	2	f	2016-10-08 19:01:35.82236
1515	101	2	f	2016-10-08 19:01:35.82236
1516	87	2	f	2016-10-08 19:01:35.82236
1517	87	2	f	2016-10-08 19:01:35.82236
1518	87	2	f	2016-10-08 19:01:35.82236
1519	87	2	f	2016-10-08 19:01:35.82236
1553	79	2	f	2016-10-08 19:01:35.82236
2584	93	2	f	2016-10-08 19:01:35.82236
2585	87	2	f	2016-10-08 19:01:35.82236
2586	87	2	f	2016-10-08 19:01:35.82236
2587	87	2	f	2016-10-08 19:01:35.82236
2588	89	2	f	2016-10-08 19:01:35.82236
2633	65	2	f	2016-10-08 19:01:35.82236
2634	65	2	f	2016-10-08 19:01:35.82236
2635	65	2	f	2016-10-08 19:01:35.82236
2174	135	2	f	2016-10-08 19:01:35.82236
2175	137	2	f	2016-10-08 19:01:35.82236
2176	135	2	f	2016-10-08 19:01:35.82236
2177	137	2	f	2016-10-08 19:01:35.82236
2178	135	2	f	2016-10-08 19:01:35.82236
2179	137	2	f	2016-10-08 19:01:35.82236
2180	135	2	f	2016-10-08 19:01:35.82236
2181	137	2	f	2016-10-08 19:01:35.82236
2182	135	2	f	2016-10-08 19:01:35.82236
897	39	2	\N	2016-10-08 19:01:35.82236
898	39	2	\N	2016-10-08 19:01:35.82236
899	39	2	\N	2016-10-08 19:01:35.82236
900	65	2	\N	2016-10-08 19:01:35.82236
2435	146	2	f	2016-10-08 19:01:35.82236
901	12	2	\N	2016-10-08 19:01:35.82236
902	65	2	\N	2016-10-08 19:01:35.82236
903	71	2	\N	2016-10-08 19:01:35.82236
2451	106	2	f	2016-10-08 19:01:35.82236
2486	101	2	f	2016-10-08 19:01:35.82236
2489	86	2	f	2016-10-08 19:01:35.82236
2490	86	2	f	2016-10-08 19:01:35.82236
2491	86	2	f	2016-10-08 19:01:35.82236
2493	87	2	f	2016-10-08 19:01:35.82236
2501	110	2	f	2016-10-08 19:01:35.82236
2502	110	2	f	2016-10-08 19:01:35.82236
2503	119	2	f	2016-10-08 19:01:35.82236
2505	110	2	f	2016-10-08 19:01:35.82236
2506	86	2	f	2016-10-08 19:01:35.82236
2507	110	2	f	2016-10-08 19:01:35.82236
2508	110	2	f	2016-10-08 19:01:35.82236
2737	106	2	f	2016-10-08 19:01:35.82236
2738	117	2	f	2016-10-08 19:01:35.82236
2739	69	2	f	2016-10-08 19:01:35.82236
2740	12	2	f	2016-10-08 19:01:35.82236
2832	119	2	f	2016-10-08 19:01:35.82236
2863	111	2	f	2016-10-08 19:01:35.82236
2864	140	2	f	2016-10-08 19:01:35.82236
2274	143	2	f	2016-10-08 19:01:35.82236
2275	134	2	f	2016-10-08 19:01:35.82236
2276	12	2	f	2016-10-08 19:01:35.82236
2277	105	2	f	2016-10-08 19:01:35.82236
2278	135	2	f	2016-10-08 19:01:35.82236
2279	144	2	f	2016-10-08 19:01:35.82236
2280	134	2	f	2016-10-08 19:01:35.82236
2281	104	2	f	2016-10-08 19:01:35.82236
2282	135	2	f	2016-10-08 19:01:35.82236
2284	134	2	f	2016-10-08 19:01:35.82236
1962	93	2	f	2016-10-08 19:01:35.82236
1963	123	2	f	2016-10-08 19:01:35.82236
1964	93	2	f	2016-10-08 19:01:35.82236
1965	123	2	f	2016-10-08 19:01:35.82236
1966	12	2	f	2016-10-08 19:01:35.82236
2098	118	2	f	2016-10-08 19:01:35.82236
2099	12	2	f	2016-10-08 19:01:35.82236
2100	12	2	f	2016-10-08 19:01:35.82236
1978	2	2	f	2016-10-08 19:01:35.82236
2101	65	2	f	2016-10-08 19:01:35.82236
1979	118	2	f	2016-10-08 19:01:35.82236
1985	93	2	f	2016-10-08 19:01:35.82236
1986	123	2	f	2016-10-08 19:01:35.82236
1988	119	2	f	2016-10-08 19:01:35.82236
1989	12	2	f	2016-10-08 19:01:35.82236
2602	65	2	f	2016-10-08 19:01:35.82236
2603	65	2	f	2016-10-08 19:01:35.82236
2604	65	2	f	2016-10-08 19:01:35.82236
2605	65	2	f	2016-10-08 19:01:35.82236
2608	65	2	f	2016-10-08 19:01:35.82236
2612	65	2	f	2016-10-08 19:01:35.82236
2613	65	2	f	2016-10-08 19:01:35.82236
2617	65	2	f	2016-10-08 19:01:35.82236
2039	119	2	f	2016-10-08 19:01:35.82236
2044	119	2	f	2016-10-08 19:01:35.82236
2156	135	2	f	2016-10-08 19:01:35.82236
2157	137	2	f	2016-10-08 19:01:35.82236
2158	135	2	f	2016-10-08 19:01:35.82236
2159	137	2	f	2016-10-08 19:01:35.82236
2160	135	2	f	2016-10-08 19:01:35.82236
2161	137	2	f	2016-10-08 19:01:35.82236
2162	135	2	f	2016-10-08 19:01:35.82236
2163	137	2	f	2016-10-08 19:01:35.82236
2164	135	2	f	2016-10-08 19:01:35.82236
2165	137	2	f	2016-10-08 19:01:35.82236
2167	135	2	f	2016-10-08 19:01:35.82236
2045	119	2	f	2016-10-08 19:01:35.82236
2399	105	2	f	2016-10-08 19:01:35.82236
2400	105	2	f	2016-10-08 19:01:35.82236
2401	105	2	f	2016-10-08 19:01:35.82236
2402	105	2	f	2016-10-08 19:01:35.82236
2403	105	2	f	2016-10-08 19:01:35.82236
2704	119	2	f	2016-10-08 19:01:35.82236
2705	119	2	f	2016-10-08 19:01:35.82236
2706	119	2	f	2016-10-08 19:01:35.82236
2707	119	2	f	2016-10-08 19:01:35.82236
2708	119	2	f	2016-10-08 19:01:35.82236
2709	119	2	f	2016-10-08 19:01:35.82236
2434	130	2	f	2016-10-08 19:01:35.82236
775	12	2	\N	2016-10-08 19:01:35.82236
778	65	2	\N	2016-10-08 19:01:35.82236
779	65	2	\N	2016-10-08 19:01:35.82236
780	65	2	\N	2016-10-08 19:01:35.82236
784	47	2	\N	2016-10-08 19:01:35.82236
788	12	2	\N	2016-10-08 19:01:35.82236
789	67	2	\N	2016-10-08 19:01:35.82236
790	65	2	\N	2016-10-08 19:01:35.82236
791	65	2	\N	2016-10-08 19:01:35.82236
792	65	2	\N	2016-10-08 19:01:35.82236
794	55	2	\N	2016-10-08 19:01:35.82236
800	55	2	\N	2016-10-08 19:01:35.82236
801	55	2	\N	2016-10-08 19:01:35.82236
802	65	2	\N	2016-10-08 19:01:35.82236
1468	84	2	f	2016-10-08 19:01:35.82236
1469	90	2	f	2016-10-08 19:01:35.82236
1470	83	2	f	2016-10-08 19:01:35.82236
1471	69	2	f	2016-10-08 19:01:35.82236
1913	117	2	f	2016-10-08 19:01:35.82236
1510	101	2	f	2016-10-08 19:01:35.82236
1968	12	2	f	2016-10-08 19:01:35.82236
1970	126	2	f	2016-10-08 19:01:35.82236
1971	93	2	f	2016-10-08 19:01:35.82236
1972	123	2	f	2016-10-08 19:01:35.82236
1973	123	2	f	2016-10-08 19:01:35.82236
1975	65	2	f	2016-10-08 19:01:35.82236
1977	12	2	f	2016-10-08 19:01:35.82236
1554	101	2	f	2016-10-08 19:01:35.82236
1556	101	2	f	2016-10-08 19:01:35.82236
1559	87	2	f	2016-10-08 19:01:35.82236
1560	79	2	f	2016-10-08 19:01:35.82236
2137	139	2	f	2016-10-08 19:01:35.82236
2138	139	2	f	2016-10-08 19:01:35.82236
2139	139	2	f	2016-10-08 19:01:35.82236
2144	135	2	f	2016-10-08 19:01:35.82236
2145	137	2	f	2016-10-08 19:01:35.82236
2146	135	2	f	2016-10-08 19:01:35.82236
2147	137	2	f	2016-10-08 19:01:35.82236
838	65	2	\N	2016-10-08 19:01:35.82236
849	41	2	\N	2016-10-08 19:01:35.82236
851	41	2	\N	2016-10-08 19:01:35.82236
852	41	2	\N	2016-10-08 19:01:35.82236
853	41	2	\N	2016-10-08 19:01:35.82236
854	2	2	\N	2016-10-08 19:01:35.82236
855	2	2	\N	2016-10-08 19:01:35.82236
856	2	2	\N	2016-10-08 19:01:35.82236
864	65	2	\N	2016-10-08 19:01:35.82236
865	12	2	\N	2016-10-08 19:01:35.82236
866	65	2	\N	2016-10-08 19:01:35.82236
1307	90	2	f	2016-10-08 19:01:35.82236
1308	90	2	f	2016-10-08 19:01:35.82236
1337	84	2	f	2016-10-08 19:01:35.82236
1338	83	2	f	2016-10-08 19:01:35.82236
1347	39	2	f	2016-10-08 19:01:35.82236
1348	84	2	f	2016-10-08 19:01:35.82236
1349	83	2	f	2016-10-08 19:01:35.82236
1393	12	2	f	2016-10-08 19:01:35.82236
1394	65	2	f	2016-10-08 19:01:35.82236
1395	65	2	f	2016-10-08 19:01:35.82236
1396	104	2	f	2016-10-08 19:01:35.82236
1398	104	2	f	2016-10-08 19:01:35.82236
1400	104	2	f	2016-10-08 19:01:35.82236
1401	104	2	f	2016-10-08 19:01:35.82236
1402	104	2	f	2016-10-08 19:01:35.82236
1403	104	2	f	2016-10-08 19:01:35.82236
1404	87	2	f	2016-10-08 19:01:35.82236
1406	89	2	f	2016-10-08 19:01:35.82236
1407	90	2	f	2016-10-08 19:01:35.82236
1408	69	2	f	2016-10-08 19:01:35.82236
1409	69	2	f	2016-10-08 19:01:35.82236
1410	69	2	f	2016-10-08 19:01:35.82236
1411	69	2	f	2016-10-08 19:01:35.82236
2148	135	2	f	2016-10-08 19:01:35.82236
2149	137	2	f	2016-10-08 19:01:35.82236
2150	135	2	f	2016-10-08 19:01:35.82236
2187	135	2	f	2016-10-08 19:01:35.82236
2188	137	2	f	2016-10-08 19:01:35.82236
2189	135	2	f	2016-10-08 19:01:35.82236
2190	137	2	f	2016-10-08 19:01:35.82236
2674	84	2	f	2016-10-08 19:01:35.82236
2675	83	2	f	2016-10-08 19:01:35.82236
2676	87	2	f	2016-10-08 19:01:35.82236
1413	102	2	f	2016-10-08 19:01:35.82236
1414	90	2	f	2016-10-08 19:01:35.82236
1415	91	2	f	2016-10-08 19:01:35.82236
1417	84	2	f	2016-10-08 19:01:35.82236
1418	90	2	f	2016-10-08 19:01:35.82236
1419	91	2	f	2016-10-08 19:01:35.82236
1420	101	2	f	2016-10-08 19:01:35.82236
2152	135	2	f	2016-10-08 19:01:35.82236
2153	137	2	f	2016-10-08 19:01:35.82236
2154	135	2	f	2016-10-08 19:01:35.82236
2155	137	2	f	2016-10-08 19:01:35.82236
2184	135	2	f	2016-10-08 19:01:35.82236
2185	137	2	f	2016-10-08 19:01:35.82236
2186	134	2	f	2016-10-08 19:01:35.82236
2688	135	2	f	2016-10-08 19:01:35.82236
2880	87	2	f	2016-10-08 19:01:35.82236
904	71	2	\N	2016-10-08 19:01:35.82236
905	71	2	\N	2016-10-08 19:01:35.82236
906	71	2	\N	2016-10-08 19:01:35.82236
910	65	2	\N	2016-10-08 19:01:35.82236
911	65	2	\N	2016-10-08 19:01:35.82236
912	72	2	\N	2016-10-08 19:01:35.82236
1318	102	2	f	2016-10-08 19:01:35.82236
1319	84	2	f	2016-10-08 19:01:35.82236
2206	110	2	f	2016-10-08 19:01:35.82236
2207	110	2	f	2016-10-08 19:01:35.82236
1607	106	2	f	2016-10-08 19:01:35.82236
1608	105	2	f	2016-10-08 19:01:35.82236
1341	84	2	f	2016-10-08 19:01:35.82236
1609	105	2	f	2016-10-08 19:01:35.82236
2433	145	2	f	2016-10-08 19:01:35.82236
2689	143	2	f	2016-10-08 19:01:35.82236
2558	12	2	f	2016-10-08 19:01:35.82236
2559	151	2	f	2016-10-08 19:01:35.82236
1342	83	2	f	2016-10-08 19:01:35.82236
1610	87	2	f	2016-10-08 19:01:35.82236
1611	87	2	f	2016-10-08 19:01:35.82236
1612	89	2	f	2016-10-08 19:01:35.82236
1613	89	2	f	2016-10-08 19:01:35.82236
1614	90	2	f	2016-10-08 19:01:35.82236
2560	69	2	f	2016-10-08 19:01:35.82236
2561	145	2	f	2016-10-08 19:01:35.82236
2562	130	2	f	2016-10-08 19:01:35.82236
2733	148	2	f	2016-10-08 19:01:35.82236
1615	69	2	f	2016-10-08 19:01:35.82236
2208	110	2	f	2016-10-08 19:01:35.82236
2209	110	2	f	2016-10-08 19:01:35.82236
2210	86	2	f	2016-10-08 19:01:35.82236
2211	110	2	f	2016-10-08 19:01:35.82236
2212	110	2	f	2016-10-08 19:01:35.82236
2213	86	2	f	2016-10-08 19:01:35.82236
2734	119	2	f	2016-10-08 19:01:35.82236
2735	119	2	f	2016-10-08 19:01:35.82236
2843	119	2	f	2016-10-08 19:01:35.82236
1370	90	2	f	2016-10-08 19:01:35.82236
1384	39	2	f	2016-10-08 19:01:35.82236
2283	137	2	f	2016-10-08 19:01:35.82236
1803	118	2	f	2016-10-08 19:01:35.82236
2301	146	2	f	2016-10-08 19:01:35.82236
2302	118	2	f	2016-10-08 19:01:35.82236
2303	93	2	f	2016-10-08 19:01:35.82236
1852	119	2	f	2016-10-08 19:01:35.82236
1898	105	2	f	2016-10-08 19:01:35.82236
1900	120	2	f	2016-10-08 19:01:35.82236
1901	120	2	f	2016-10-08 19:01:35.82236
1902	117	2	f	2016-10-08 19:01:35.82236
1903	111	2	f	2016-10-08 19:01:35.82236
1904	65	2	f	2016-10-08 19:01:35.82236
1905	65	2	f	2016-10-08 19:01:35.82236
1561	87	2	f	2016-10-08 19:01:35.82236
1562	87	2	f	2016-10-08 19:01:35.82236
1563	79	2	f	2016-10-08 19:01:35.82236
1564	101	2	f	2016-10-08 19:01:35.82236
2844	119	2	f	2016-10-08 19:01:35.82236
1569	101	2	f	2016-10-08 19:01:35.82236
1570	101	2	f	2016-10-08 19:01:35.82236
1571	65	2	f	2016-10-08 19:01:35.82236
1575	65	2	f	2016-10-08 19:01:35.82236
1576	86	2	f	2016-10-08 19:01:35.82236
2845	119	2	f	2016-10-08 19:01:35.82236
2846	119	2	f	2016-10-08 19:01:35.82236
2847	119	2	f	2016-10-08 19:01:35.82236
2848	119	2	f	2016-10-08 19:01:35.82236
2849	119	2	f	2016-10-08 19:01:35.82236
2850	119	2	f	2016-10-08 19:01:35.82236
2851	119	2	f	2016-10-08 19:01:35.82236
2852	110	2	f	2016-10-08 19:01:35.82236
2853	86	2	f	2016-10-08 19:01:35.82236
2854	119	2	f	2016-10-08 19:01:35.82236
1577	87	2	f	2016-10-08 19:01:35.82236
1578	79	2	f	2016-10-08 19:01:35.82236
1579	110	2	f	2016-10-08 19:01:35.82236
1580	78	2	f	2016-10-08 19:01:35.82236
1581	87	2	f	2016-10-08 19:01:35.82236
1582	89	2	f	2016-10-08 19:01:35.82236
2598	145	2	f	2016-10-08 19:01:35.82236
2599	130	2	f	2016-10-08 19:01:35.82236
2868	93	2	f	2016-10-08 19:01:35.82236
2869	93	2	f	2016-10-08 19:01:35.82236
2870	119	2	f	2016-10-08 19:01:35.82236
2151	137	2	f	2016-10-08 19:01:35.82236
988	75	2	\N	2016-10-08 19:01:35.82236
1003	12	2	\N	2016-10-08 19:01:35.82236
1078	12	2	\N	2016-10-08 19:01:35.82236
1088	12	2	\N	2016-10-08 19:01:35.82236
1089	65	2	\N	2016-10-08 19:01:35.82236
1090	39	2	\N	2016-10-08 19:01:35.82236
1091	84	2	\N	2016-10-08 19:01:35.82236
1093	84	2	\N	2016-10-08 19:01:35.82236
1095	70	2	\N	2016-10-08 19:01:35.82236
1096	39	2	\N	2016-10-08 19:01:35.82236
1199	89	2	\N	2016-10-08 19:01:35.82236
1204	87	2	\N	2016-10-08 19:01:35.82236
1205	89	2	\N	2016-10-08 19:01:35.82236
1206	89	2	\N	2016-10-08 19:01:35.82236
1252	59	2	f	2016-10-08 19:01:35.82236
1257	87	2	f	2016-10-08 19:01:35.82236
1258	87	2	f	2016-10-08 19:01:35.82236
1644	90	2	f	2016-10-08 19:01:35.82236
1645	69	2	f	2016-10-08 19:01:35.82236
1918	119	2	f	2016-10-08 19:01:35.82236
1919	12	2	f	2016-10-08 19:01:35.82236
1922	93	2	f	2016-10-08 19:01:35.82236
1924	118	2	f	2016-10-08 19:01:35.82236
1925	89	2	f	2016-10-08 19:01:35.82236
1926	90	2	f	2016-10-08 19:01:35.82236
1927	87	2	f	2016-10-08 19:01:35.82236
1930	93	2	f	2016-10-08 19:01:35.82236
1931	118	2	f	2016-10-08 19:01:35.82236
1933	93	2	f	2016-10-08 19:01:35.82236
1934	93	2	f	2016-10-08 19:01:35.82236
1935	93	2	f	2016-10-08 19:01:35.82236
1936	93	2	f	2016-10-08 19:01:35.82236
1940	93	2	f	2016-10-08 19:01:35.82236
1941	12	2	f	2016-10-08 19:01:35.82236
1945	123	2	f	2016-10-08 19:01:35.82236
1946	123	2	f	2016-10-08 19:01:35.82236
1947	123	2	f	2016-10-08 19:01:35.82236
1948	123	2	f	2016-10-08 19:01:35.82236
1954	12	2	f	2016-10-08 19:01:35.82236
1584	89	2	f	2016-10-08 19:01:35.82236
1585	90	2	f	2016-10-08 19:01:35.82236
1586	69	2	f	2016-10-08 19:01:35.82236
1587	39	2	f	2016-10-08 19:01:35.82236
1588	84	2	f	2016-10-08 19:01:35.82236
1589	84	2	f	2016-10-08 19:01:35.82236
1590	83	2	f	2016-10-08 19:01:35.82236
1591	87	2	f	2016-10-08 19:01:35.82236
1592	89	2	f	2016-10-08 19:01:35.82236
1593	69	2	f	2016-10-08 19:01:35.82236
1597	104	2	f	2016-10-08 19:01:35.82236
2834	86	2	f	2016-10-08 19:01:35.82236
2835	104	2	f	2016-10-08 19:01:35.82236
2859	148	2	f	2016-10-08 19:01:35.82236
2860	106	2	f	2016-10-08 19:01:35.82236
885	47	2	\N	2016-10-08 19:01:35.82236
895	39	2	\N	2016-10-08 19:01:35.82236
940	73	2	\N	2016-10-08 19:01:35.82236
941	73	2	\N	2016-10-08 19:01:35.82236
942	73	2	\N	2016-10-08 19:01:35.82236
1259	87	2	f	2016-10-08 19:01:35.82236
1260	87	2	f	2016-10-08 19:01:35.82236
2200	104	2	f	2016-10-08 19:01:35.82236
2214	110	2	f	2016-10-08 19:01:35.82236
2215	86	2	f	2016-10-08 19:01:35.82236
2216	78	2	f	2016-10-08 19:01:35.82236
2217	12	2	f	2016-10-08 19:01:35.82236
2218	140	2	f	2016-10-08 19:01:35.82236
2219	65	2	f	2016-10-08 19:01:35.82236
2221	140	2	f	2016-10-08 19:01:35.82236
2222	65	2	f	2016-10-08 19:01:35.82236
2223	78	2	f	2016-10-08 19:01:35.82236
2224	78	2	f	2016-10-08 19:01:35.82236
2225	78	2	f	2016-10-08 19:01:35.82236
2226	78	2	f	2016-10-08 19:01:35.82236
2227	78	2	f	2016-10-08 19:01:35.82236
2228	78	2	f	2016-10-08 19:01:35.82236
2229	78	2	f	2016-10-08 19:01:35.82236
2230	78	2	f	2016-10-08 19:01:35.82236
1908	65	2	f	2016-10-08 19:01:35.82236
2055	12	2	f	2016-10-08 19:01:35.82236
2062	93	2	f	2016-10-08 19:01:35.82236
2063	93	2	f	2016-10-08 19:01:35.82236
2064	123	2	f	2016-10-08 19:01:35.82236
2065	118	2	f	2016-10-08 19:01:35.82236
2066	93	2	f	2016-10-08 19:01:35.82236
2067	123	2	f	2016-10-08 19:01:35.82236
2068	93	2	f	2016-10-08 19:01:35.82236
2069	123	2	f	2016-10-08 19:01:35.82236
2070	12	2	f	2016-10-08 19:01:35.82236
2305	145	2	f	2016-10-08 19:01:35.82236
2306	146	2	f	2016-10-08 19:01:35.82236
1993	106	2	f	2016-10-08 19:01:35.82236
2310	145	2	f	2016-10-08 19:01:35.82236
1994	106	2	f	2016-10-08 19:01:35.82236
2311	93	2	f	2016-10-08 19:01:35.82236
1995	106	2	f	2016-10-08 19:01:35.82236
1996	106	2	f	2016-10-08 19:01:35.82236
2312	130	2	f	2016-10-08 19:01:35.82236
1997	106	2	f	2016-10-08 19:01:35.82236
2313	145	2	f	2016-10-08 19:01:35.82236
2314	69	2	f	2016-10-08 19:01:35.82236
2315	135	2	f	2016-10-08 19:01:35.82236
2001	106	2	f	2016-10-08 19:01:35.82236
2316	137	2	f	2016-10-08 19:01:35.82236
2002	106	2	f	2016-10-08 19:01:35.82236
2317	134	2	f	2016-10-08 19:01:35.82236
2319	104	2	f	2016-10-08 19:01:35.82236
2006	106	2	f	2016-10-08 19:01:35.82236
2007	106	2	f	2016-10-08 19:01:35.82236
2009	93	2	f	2016-10-08 19:01:35.82236
2010	123	2	f	2016-10-08 19:01:35.82236
2011	110	2	f	2016-10-08 19:01:35.82236
2012	118	2	f	2016-10-08 19:01:35.82236
2013	87	2	f	2016-10-08 19:01:35.82236
2014	89	2	f	2016-10-08 19:01:35.82236
2015	90	2	f	2016-10-08 19:01:35.82236
2016	93	2	f	2016-10-08 19:01:35.82236
2017	69	2	f	2016-10-08 19:01:35.82236
2018	87	2	f	2016-10-08 19:01:35.82236
2019	89	2	f	2016-10-08 19:01:35.82236
2020	69	2	f	2016-10-08 19:01:35.82236
2023	104	2	f	2016-10-08 19:01:35.82236
2024	104	2	f	2016-10-08 19:01:35.82236
2027	106	2	f	2016-10-08 19:01:35.82236
2028	106	2	f	2016-10-08 19:01:35.82236
2436	93	2	f	2016-10-08 19:01:35.82236
2437	146	2	f	2016-10-08 19:01:35.82236
2438	117	2	f	2016-10-08 19:01:35.82236
1880	106	2	f	2016-10-08 19:01:35.82236
1881	106	2	f	2016-10-08 19:01:35.82236
2374	84	2	f	2016-10-08 19:01:35.82236
2375	83	2	f	2016-10-08 19:01:35.82236
2413	105	2	f	2016-10-08 19:01:35.82236
871	69	2	\N	2016-10-08 19:01:35.82236
872	12	2	\N	2016-10-08 19:01:35.82236
873	65	2	\N	2016-10-08 19:01:35.82236
874	65	2	\N	2016-10-08 19:01:35.82236
876	41	2	\N	2016-10-08 19:01:35.82236
878	70	2	\N	2016-10-08 19:01:35.82236
2857	119	2	f	2016-10-08 19:01:35.82236
879	65	2	\N	2016-10-08 19:01:35.82236
1079	65	2	\N	2016-10-08 19:01:35.82236
1097	84	2	\N	2016-10-08 19:01:35.82236
1101	39	2	\N	2016-10-08 19:01:35.82236
1102	84	2	\N	2016-10-08 19:01:35.82236
1159	78	2	\N	2016-10-08 19:01:35.82236
1170	39	2	\N	2016-10-08 19:01:35.82236
1179	39	2	\N	2016-10-08 19:01:35.82236
1189	12	2	\N	2016-10-08 19:01:35.82236
1190	12	2	\N	2016-10-08 19:01:35.82236
1191	86	2	\N	2016-10-08 19:01:35.82236
1192	86	2	\N	2016-10-08 19:01:35.82236
1193	87	2	\N	2016-10-08 19:01:35.82236
1194	87	2	\N	2016-10-08 19:01:35.82236
1200	89	2	\N	2016-10-08 19:01:35.82236
1201	87	2	\N	2016-10-08 19:01:35.82236
1210	90	2	\N	2016-10-08 19:01:35.82236
1211	12	2	\N	2016-10-08 19:01:35.82236
1212	65	2	\N	2016-10-08 19:01:35.82236
1213	90	2	\N	2016-10-08 19:01:35.82236
1214	91	2	\N	2016-10-08 19:01:35.82236
1225	12	2	\N	2016-10-08 19:01:35.82236
1230	93	2	\N	2016-10-08 19:01:35.82236
1243	87	2	f	2016-10-08 19:01:35.82236
1244	87	2	f	2016-10-08 19:01:35.82236
1253	65	2	f	2016-10-08 19:01:35.82236
1263	87	2	f	2016-10-08 19:01:35.82236
1264	87	2	f	2016-10-08 19:01:35.82236
1265	89	2	f	2016-10-08 19:01:35.82236
1268	12	2	f	2016-10-08 19:01:35.82236
2197	93	2	f	2016-10-08 19:01:35.82236
2198	123	2	f	2016-10-08 19:01:35.82236
2199	105	2	f	2016-10-08 19:01:35.82236
2240	78	2	f	2016-10-08 19:01:35.82236
2241	78	2	f	2016-10-08 19:01:35.82236
2242	78	2	f	2016-10-08 19:01:35.82236
2243	12	2	f	2016-10-08 19:01:35.82236
2244	12	2	f	2016-10-08 19:01:35.82236
2245	65	2	f	2016-10-08 19:01:35.82236
2246	105	2	f	2016-10-08 19:01:35.82236
2247	102	2	f	2016-10-08 19:01:35.82236
2248	141	2	f	2016-10-08 19:01:35.82236
2249	141	2	f	2016-10-08 19:01:35.82236
2254	135	2	f	2016-10-08 19:01:35.82236
2255	142	2	f	2016-10-08 19:01:35.82236
2256	135	2	f	2016-10-08 19:01:35.82236
2257	142	2	f	2016-10-08 19:01:35.82236
2258	135	2	f	2016-10-08 19:01:35.82236
2259	142	2	f	2016-10-08 19:01:35.82236
1853	119	2	f	2016-10-08 19:01:35.82236
1854	119	2	f	2016-10-08 19:01:35.82236
1855	119	2	f	2016-10-08 19:01:35.82236
1859	119	2	f	2016-10-08 19:01:35.82236
1860	119	2	f	2016-10-08 19:01:35.82236
1865	117	2	f	2016-10-08 19:01:35.82236
1866	117	2	f	2016-10-08 19:01:35.82236
1867	117	2	f	2016-10-08 19:01:35.82236
1868	117	2	f	2016-10-08 19:01:35.82236
1869	69	2	f	2016-10-08 19:01:35.82236
1870	78	2	f	2016-10-08 19:01:35.82236
1872	118	2	f	2016-10-08 19:01:35.82236
1873	105	2	f	2016-10-08 19:01:35.82236
1875	106	2	f	2016-10-08 19:01:35.82236
1876	106	2	f	2016-10-08 19:01:35.82236
863	65	2	\N	2016-10-08 19:01:35.82236
870	69	2	\N	2016-10-08 19:01:35.82236
875	70	2	\N	2016-10-08 19:01:35.82236
1207	12	2	\N	2016-10-08 19:01:35.82236
1209	90	2	\N	2016-10-08 19:01:35.82236
1218	39	2	\N	2016-10-08 19:01:35.82236
1221	12	2	\N	2016-10-08 19:01:35.82236
1227	93	2	\N	2016-10-08 19:01:35.82236
1240	41	2	f	2016-10-08 19:01:35.82236
1241	39	2	f	2016-10-08 19:01:35.82236
1282	87	2	f	2016-10-08 19:01:35.82236
1980	93	2	f	2016-10-08 19:01:35.82236
1981	118	2	f	2016-10-08 19:01:35.82236
1982	93	2	f	2016-10-08 19:01:35.82236
1983	93	2	f	2016-10-08 19:01:35.82236
1984	123	2	f	2016-10-08 19:01:35.82236
2404	105	2	f	2016-10-08 19:01:35.82236
2405	105	2	f	2016-10-08 19:01:35.82236
2406	105	2	f	2016-10-08 19:01:35.82236
2407	105	2	f	2016-10-08 19:01:35.82236
2408	105	2	f	2016-10-08 19:01:35.82236
2409	105	2	f	2016-10-08 19:01:35.82236
2410	105	2	f	2016-10-08 19:01:35.82236
2411	105	2	f	2016-10-08 19:01:35.82236
2412	105	2	f	2016-10-08 19:01:35.82236
2414	105	2	f	2016-10-08 19:01:35.82236
2432	105	2	f	2016-10-08 19:01:35.82236
2719	119	2	f	2016-10-08 19:01:35.82236
2720	119	2	f	2016-10-08 19:01:35.82236
2721	119	2	f	2016-10-08 19:01:35.82236
2722	119	2	f	2016-10-08 19:01:35.82236
2723	104	2	f	2016-10-08 19:01:35.82236
2724	119	2	f	2016-10-08 19:01:35.82236
2736	119	2	f	2016-10-08 19:01:35.82236
2742	12	2	f	2016-10-08 19:01:35.82236
2779	123	2	f	2016-10-08 19:01:35.82236
2780	123	2	f	2016-10-08 19:01:35.82236
2781	123	2	f	2016-10-08 19:01:35.82236
2782	123	2	f	2016-10-08 19:01:35.82236
2783	123	2	f	2016-10-08 19:01:35.82236
2466	117	2	f	2016-10-08 19:01:35.82236
2467	111	2	f	2016-10-08 19:01:35.82236
2468	119	2	f	2016-10-08 19:01:35.82236
2469	119	2	f	2016-10-08 19:01:35.82236
2470	119	2	f	2016-10-08 19:01:35.82236
2475	90	2	f	2016-10-08 19:01:35.82236
2900	137	2	f	2016-10-08 19:01:35.82236
2484	2	2	f	2016-10-08 19:01:35.82236
2901	93	2	f	2016-10-08 19:01:35.82236
2902	134	2	f	2016-10-08 19:01:35.82236
\.


--
-- Name: resource_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('resource_id_seq', 2910, true);


--
-- Data for Name: resource_type; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY resource_type (id, resource_id, name, humanize, resource_name, module, settings, descr, status) FROM stdin;
149	2516	uploads	Загрузки	UploadsResource	travelcrm.resources.uploads	null	Загрузка файлов для всех типов ресурсов	0
148	2513	vats	НДС	VatsResource	travelcrm.resources.vats	null	Настройки НДС	0
146	2296	leads_offers	Предложения по лидам	LeadsOffersResource	travelcrm.resources.leads_offers	null	Список предложений по лиду	0
145	2292	leads_items	Список сервисов	LeadsItemsResource	travelcrm.resources.leads_items	null	Список сервисов в документе лида	0
137	2108	tours	Туры	ToursResource	travelcrm.resources.tours	null	Сервис оформления туров	0
134	2099	orders	Заявки	OrdersResource	travelcrm.resources.orders	{"html_template": "GNU GENERAL PUBLIC LICENSE\\r\\n\\r\\nVersion 3, 29 June 2007\\r\\n\\r\\nCopyright \\u00a9 2007 Free Software Foundation, Inc. <http://fsf.org/>\\r\\n\\r\\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\\r\\n\\r\\nPreamble\\r\\n\\r\\nThe GNU General Public License is a free, copyleft license for software and other kinds of works.\\r\\n\\r\\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.\\r\\n\\r\\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\\r\\n\\r\\nTo protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.\\r\\n\\r\\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\\r\\n\\r\\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.\\r\\n\\r\\nFor the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.\\r\\n\\r\\nSome devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.\\r\\n\\r\\nFinally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.\\r\\n\\r\\nThe precise terms and conditions for copying, distribution and modification follow.\\r\\n\\r\\nTERMS AND CONDITIONS\\r\\n\\r\\n0. Definitions.\\r\\n\\r\\n\\u201cThis License\\u201d refers to version 3 of the GNU General Public License.\\r\\n\\r\\n\\u201cCopyright\\u201d also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\\r\\n\\r\\n\\u201cThe Program\\u201d refers to any copyrightable work licensed under this License. Each licensee is addressed as \\u201cyou\\u201d. \\u201cLicensees\\u201d and \\u201crecipients\\u201d may be individuals or organizations.\\r\\n\\r\\nTo \\u201cmodify\\u201d a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \\u201cmodified version\\u201d of the earlier work or a work \\u201cbased on\\u201d the earlier work.\\r\\n\\r\\nA \\u201ccovered work\\u201d means either the unmodified Program or a work based on the Program.\\r\\n\\r\\nTo \\u201cpropagate\\u201d a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\\r\\n\\r\\nTo \\u201cconvey\\u201d a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\\r\\n\\r\\nAn interactive user interface displays \\u201cAppropriate Legal Notices\\u201d to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\\r\\n\\r\\n1. Source Code.\\r\\n\\r\\nThe \\u201csource code\\u201d for a work means the preferred form of the work for making modifications to it. \\u201cObject code\\u201d means any non-source form of a work.\\r\\n\\r\\nA \\u201cStandard Interface\\u201d means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\\r\\n\\r\\nThe \\u201cSystem Libraries\\u201d of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \\u201cMajor Component\\u201d, in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\\r\\n\\r\\nThe \\u201cCorresponding Source\\u201d for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.\\r\\n\\r\\nThe Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\\r\\n\\r\\nThe Corresponding Source for a work in source code form is that same work.\\r\\n\\r\\n2. Basic Permissions.\\r\\n\\r\\nAll rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\\r\\n\\r\\nYou may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\\r\\n\\r\\nConveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\\r\\n\\r\\n3. Protecting Users' Legal Rights From Anti-Circumvention Law.\\r\\n\\r\\nNo covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\\r\\n\\r\\nWhen you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\\r\\n\\r\\n4. Conveying Verbatim Copies.\\r\\n\\r\\nYou may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\\r\\n\\r\\nYou may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\\r\\n\\r\\n5. Conveying Modified Source Versions.\\r\\n\\r\\nYou may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\\r\\n\\r\\na) The work must carry prominent notices stating that you modified it, and giving a relevant date.\\r\\nb) The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \\u201ckeep intact all notices\\u201d.\\r\\nc) You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\\r\\nd) If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\\r\\nA compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \\u201caggregate\\u201d if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\\r\\n\\r\\n6. Conveying Non-Source Forms.\\r\\n\\r\\nYou may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\\r\\n\\r\\na) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\\r\\nb) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\\r\\nc) Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\\r\\nd) Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\\r\\ne) Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\\r\\nA separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\\r\\n\\r\\nA \\u201cUser Product\\u201d is either (1) a \\u201cconsumer product\\u201d, which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \\u201cnormally used\\u201d refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\\r\\n\\r\\n\\u201cInstallation Information\\u201d for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\\r\\n\\r\\nIf you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\\r\\n\\r\\nThe requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\\r\\n\\r\\nCorresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\\r\\n\\r\\n7. Additional Terms.\\r\\n\\r\\n\\u201cAdditional permissions\\u201d are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\\r\\n\\r\\nWhen you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\\r\\n\\r\\nNotwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\\r\\n\\r\\na) Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\\r\\nb) Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\\r\\nc) Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\\r\\nd) Limiting the use for publicity purposes of names of licensors or authors of the material; or\\r\\ne) Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\\r\\nf) Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\\r\\nAll other non-permissive additional terms are considered \\u201cfurther restrictions\\u201d within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\\r\\n\\r\\nIf you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\\r\\n\\r\\nAdditional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\\r\\n\\r\\n8. Termination.\\r\\n\\r\\nYou may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\\r\\n\\r\\nHowever, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\\r\\n\\r\\nMoreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\\r\\n\\r\\nTermination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\\r\\n\\r\\n9. Acceptance Not Required for Having Copies.\\r\\n\\r\\nYou are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\\r\\n\\r\\n10. Automatic Licensing of Downstream Recipients.\\r\\n\\r\\nEach time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\\r\\n\\r\\nAn \\u201centity transaction\\u201d is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\\r\\n\\r\\nYou may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\\r\\n\\r\\n11. Patents.\\r\\n\\r\\nA \\u201ccontributor\\u201d is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \\u201ccontributor version\\u201d.\\r\\n\\r\\nA contributor's \\u201cessential patent claims\\u201d are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \\u201ccontrol\\u201d includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\\r\\n\\r\\nEach contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\\r\\n\\r\\nIn the following three paragraphs, a \\u201cpatent license\\u201d is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \\u201cgrant\\u201d such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\\r\\n\\r\\nIf you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. \\u201cKnowingly relying\\u201d means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\\r\\n\\r\\nIf, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\\r\\n\\r\\nA patent license is \\u201cdiscriminatory\\u201d if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\\r\\n\\r\\nNothing in this License shall be construed as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\\r\\n\\r\\n12. No Surrender of Others' Freedom.\\r\\n\\r\\nIf conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\\r\\n\\r\\n13. Use with the GNU Affero General Public License.\\r\\n\\r\\nNotwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.\\r\\n\\r\\n14. Revised Versions of this License.\\r\\n\\r\\nThe Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\\r\\n\\r\\nEach version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License \\u201cor any later version\\u201d applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.\\r\\n\\r\\nIf the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\\r\\n\\r\\nLater license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\\r\\n\\r\\n15. Disclaimer of Warranty.\\r\\n\\r\\nTHERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \\u201cAS IS\\u201d WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\\r\\n\\r\\n16. Limitation of Liability.\\r\\n\\r\\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\\r\\n\\r\\n17. Interpretation of Sections 15 and 16.\\r\\n\\r\\nIf the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\\r\\n\\r\\nEND OF TERMS AND CONDITIONS\\r\\n\\r\\nHow to Apply These Terms to Your New Programs\\r\\n\\r\\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\\r\\n\\r\\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \\u201ccopyright\\u201d line and a pointer to where the full notice is found.\\r\\n\\r\\n    <one line to give the program's name and a brief idea of what it does.>\\r\\n    Copyright (C) <year>  <name of author>\\r\\n\\r\\n    This program is free software: you can redistribute it and/or modify\\r\\n    it under the terms of the GNU General Public License as published by\\r\\n    the Free Software Foundation, either version 3 of the License, or\\r\\n    (at your option) any later version.\\r\\n\\r\\n    This program is distributed in the hope that it will be useful,\\r\\n    but WITHOUT ANY WARRANTY; without even the implied warranty of\\r\\n    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\\r\\n    GNU General Public License for more details.\\r\\n\\r\\n    You should have received a copy of the GNU General Public License\\r\\n    along with this program.  If not, see <http://www.gnu.org/licenses/>.\\r\\nAlso add information on how to contact you by electronic and paper mail.\\r\\n\\r\\nIf the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:\\r\\n\\r\\n    <program>  Copyright (C) <year>  <name of author>\\r\\n    This program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.\\r\\n    This is free software, and you are welcome to redistribute it\\r\\n    under certain conditions; type `show c' for details.\\r\\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an \\u201cabout box\\u201d.\\r\\n\\r\\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \\u201ccopyright disclaimer\\u201d for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <http://www.gnu.org/licenses/>.\\r\\n\\r\\nThe GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <http://www.gnu.org/philosophy/why-not-lgpl.html>."}	Список заявок	0
130	2049	leads	Лиды	LeadsResource	travelcrm.resources.leads	null	Список лидов	0
126	1968	companies	Компании	CompaniesResource	travelcrm.resources.companies	null		0
121	1894	turnovers	Обороты	TurnoversResource	travelcrm.resources.turnovers	null	Отчет по оборотам для счетов и субсчетов	0
118	1799	notes	Заметки	NotesResource	travelcrm.resources.notes	null	Заметки к ресурсам	0
117	1797	subaccounts	Субсчета	SubaccountsResource	travelcrm.resources.subaccounts	null	Субсчета это счета для других объектов, типа физ лиц, поставщиков, сотрудников	0
111	1548	outgoings	Исходящие платежи	OutgoingsResource	travelcrm.resources.outgoings	null	Исходящие платежи в пользу поставщиков, клиентов и тд.	0
110	1521	commissions	Комиссии	CommissionsResource	travelcrm.resources.commissions	null	Справочник комиссия для сервисов	0
107	1435	accounts	Счета	AccountsResource	travelcrm.resources.accounts	null	Счета учета денежных средств компании. Это банковские счета, касса и тд.	0
106	1433	incomes	Входящие платежи	IncomesResource	travelcrm.resources.incomes	{"account_item_id": 8}	Платежи на счета компании по инвойсам	0
104	1393	currencies_rates	Курсы валют	CurrenciesRatesResource	travelcrm.resources.currencies_rates	null	Курсы валют, используются для расчетов при заказе услуг и при калькуляциях	0
102	1313	services	Сервисы	ServicesResource	travelcrm.resources.services	null	Список доступных сервисов для продажи	0
101	1268	banks_details	Банковские реквизиты	BanksDetailsResource	travelcrm.resources.banks_details	null	Банковские реквизиты	0
93	1225	tasks	Задачи	TasksResource	travelcrm.resources.tasks	null	Управление задачами	0
91	1211	banks	Банки	BanksResource	travelcrm.resources.banks	null	Справочник банков	0
90	1207	addresses	Адреса	AddressesResource	travelcrm.resources.addresses	null	Справочник адресов	0
89	1198	passports	Паспорта	PassportsResource	travelcrm.resources.passports	null	Справочник паспортных данных	0
87	1190	contacts	Контакты	ContactsResource	travelcrm.resources.contacts	null	Справочник контакных данных	0
84	1088	locations	Местоположение	LocationsResource	travelcrm.resources.locations	null	Города, поселки и тд	0
83	1081	hotels	Отели	HotelsResource	travelcrm.resources.hotels	null	Справочник отелей	0
79	1007	bpersons	Бизнес контакты	BPersonsResource	travelcrm.resources.bpersons	null	Справочник бизнес контактов	0
78	1003	suppliers	Поставщики	SuppliersResource	travelcrm.resources.suppliers	null	Поставщики	0
72	908	hotelcats	Категории отелей	HotelcatsResource	travelcrm.resources.hotelcats	null		0
74	953	accomodations	Размещение	AccomodationsResource	travelcrm.resources.accomodations	null		0
73	909	roomcats	Категории номеров	RoomcatsResource	travelcrm.resources.roomcats	null		0
75	954	foodcats	Категории питания	FoodcatsResource	travelcrm.resources.foodcats	null		0
71	901	advsources	Реклама	AdvsourcesResource	travelcrm.resources.advsources	null	Источники рекламы	0
70	872	countries	Страны	CountriesResource	travelcrm.resources.countries	null		0
69	865	persons	Физ. лица	PersonsResource	travelcrm.resources.persons	null	Справочник клиентов физ. лиц	0
67	788	appointments	Назначения сотрудников	AppointmentsResource	travelcrm.resources.appointments	null	Назначения сотрудников на должности	0
65	775	navigations	Навигация	NavigationsResource	travelcrm.resources.navigations	null	Меню навигации для должностей	0
61	769	permisions	Доступ	PermisionsResource	travelcrm.resources.permisions	null	Список прав доступа для должности в разрезе типов ресурсов.	0
59	764	positions	Должности	PositionsResource	travelcrm.resources.positions	null	Список должностей	0
55	723	structures	Структура	StructuresResource	travelcrm.resources.structures	null	Структура компании	0
47	706	employees	Сотрудники	EmployeesResource	travelcrm.resources.employees	null	Справочник сотрудников	0
41	283	currencies	Валюты	CurrenciesResource	travelcrm.resources.currencies	null		0
39	274	regions	Регионы	RegionsResource	travelcrm.resources.regions	null		0
12	16	resources_types	Типы ресурсов	ResourcesTypesResource	travelcrm.resources.resources_types	null		0
2	10	users	Пользователи	UsersResource	travelcrm.resources.users	null		0
1	773		Домашняя	Root	travelcrm.resources	null	Home Page of Travelcrm	0
161	2905	orders_stats	Статистика заявок	OrdersStatsResource	travelcrm.resources.orders_stats	{"column_index": 0}	Статистика заявок за последнюю неделю	0
159	2882	dismissals	Увольнения	DismissalsResource	travelcrm.resources.dismissals	null	Документ увольнения сотрудников	0
156	2788	campaigns	Кампании	CampaignsResource	travelcrm.resources.campaigns	{"host_smpp": "94.249.146.183", "port_smtp": "2525", "username_smtp": "mazvv@mail.ru", "password_smtp": "GmA67mpqqYjKQ", "port_smpp": "29900", "system_type_smpp": "transceiver", "password_smpp": "korn17", "username_smpp": "mazvv", "host_smtp": "smtp-pulse.com", "default_sender_smtp": "mazvv@mail.ru"}	Маркетинговые кампании	0
152	2558	leads_stats	Статистика лидов	LeadsStatsResource	travelcrm.resources.leads_stats	{"column_index": 0}	Портлет, который отображает динамику лидов	0
151	2551	persons_categories	Категории физ. лиц	PersonsCategoriesResource	travelcrm.resources.persons_categories	null	Присваивайте категории свои клиентам	0
123	1941	notifications	Уведомления	NotificationsResource	travelcrm.resources.notifications	null	Уведомления для сотрудников	0
143	2268	visas	Визы	VisasResource	travelcrm.resources.visas	null	Сервис по оформлению виз	0
142	2244	tickets	Билеты	TicketsResource	travelcrm.resources.tickets	null	Сервис бронирования билетов	0
141	2243	tickets_classes	Классы билетов	TicketsClassesResource	travelcrm.resources.tickets_classes	null	Справочник классов билетов	0
140	2217	suppliers_types	Типы поставщиков	SuppliersTypesResource	travelcrm.resources.suppliers_types	null	Справочник типов поставщиков	0
139	2135	transports	Транспорт	TransportsResource	travelcrm.resources.transports	null	Справочник типов транспорта, типа авиа, авто, жд...	0
138	2127	transfers	Типы трансферов	TransfersResource	travelcrm.resources.transfers	null	Справочник типов трансферов	0
144	2276	spassports	Загран. паспорта	SpassportsResource	travelcrm.resources.spassports	null	Сервис по оформлению загран. паспортов	0
135	2100	orders_items	Содержание заявки	OrdersItemsResource	travelcrm.resources.orders_items	null	Позиции в заявке на сервисы	0
120	1884	crosspayments	Кросс платежи	CrosspaymentsResource	travelcrm.resources.crosspayments	null	Платежи между счетами / субсчетами. Может быть использовано для корректировок, инициализации баланса и тд.	0
119	1849	calculations	Калькуляции	CalculationsResource	travelcrm.resources.calculations	null	Калькуляции для заявок	0
105	1424	accounts_items	Статьи учета	AccountsItemsResource	travelcrm.resources.accounts_items	null	План счетов компании	0
103	1317	invoices	Инвойсы	InvoicesResource	travelcrm.resources.invoices	{"active_days": 3, "html_template": "<!doctype html>\\r\\n<html>\\r\\n<head>\\r\\n    <meta charset=\\"utf-8\\">\\r\\n    <title>${_(u'Invoice')} - ${invoice.id}</title>\\r\\n    \\r\\n    <style>\\r\\n    .invoice-box{\\r\\n        max-width:800px;\\r\\n        margin:auto;\\r\\n        padding:30px;\\r\\n        border:1px solid #eee;\\r\\n        box-shadow:0 0 10px rgba(0, 0, 0, .15);\\r\\n        font-size:16px;\\r\\n        line-height:24px;\\r\\n        font-family:'Helvetica Neue', 'Helvetica', Helvetica, Arial, sans-serif;\\r\\n        color:#555;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table{\\r\\n        width:100%;\\r\\n        line-height:inherit;\\r\\n        text-align:left;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table td{\\r\\n        padding:5px;\\r\\n        vertical-align:top;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr td:nth-child(2){\\r\\n        text-align:right;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.top table td{\\r\\n        padding-bottom:20px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.top table td.title{\\r\\n        font-size:45px;\\r\\n        line-height:45px;\\r\\n        color:#333;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.information table td{\\r\\n        padding-bottom:40px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.heading td{\\r\\n        background:#eee;\\r\\n        border-bottom:1px solid #ddd;\\r\\n        font-weight:bold;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.details td{\\r\\n        padding-bottom:20px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.item td{\\r\\n        border-bottom:1px solid #eee;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.item.last td{\\r\\n        border-bottom:none;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.total td:nth-child(2){\\r\\n        border-top:2px solid #eee;\\r\\n        font-weight:bold;\\r\\n    }\\r\\n    \\r\\n    @media only screen and (max-width: 600px) {\\r\\n        .invoice-box table tr.top table td{\\r\\n            width:100%;\\r\\n            display:block;\\r\\n            text-align:center;\\r\\n        }\\r\\n        \\r\\n        .invoice-box table tr.information table td{\\r\\n            width:100%;\\r\\n            display:block;\\r\\n            text-align:center;\\r\\n        }\\r\\n    }\\r\\n    </style>\\r\\n</head>\\r\\n\\r\\n<body>\\r\\n    <div class=\\"invoice-box\\">\\r\\n        <table cellpadding=\\"0\\" cellspacing=\\"0\\">\\r\\n            <tr class=\\"top\\">\\r\\n                <td colspan=\\"6\\">\\r\\n                    <table>\\r\\n                        <tr>\\r\\n                            <td class=\\"title\\">\\r\\n                                <img src=\\"http://nextstepwebs.com/images/logo.png\\" style=\\"width:100%; max-width:300px;\\">\\r\\n                            </td>\\r\\n                            \\r\\n                            <td>\\r\\n                                ${_(u'Invoice')} #: ${invoice.id}<br>\\r\\n                                ${_(u'Created')}: ${h.common.format_date(invoice.date)}<br>\\r\\n                                ${_(u'Due')}: ${h.common.format_date(invoice.active_until)}\\r\\n                            </td>\\r\\n                        </tr>\\r\\n                    </table>\\r\\n                </td>\\r\\n            </tr>\\r\\n            \\r\\n            <tr class=\\"information\\">\\r\\n                <td colspan=\\"6\\">\\r\\n                    <table>\\r\\n                        <tr>\\r\\n                            <td>\\r\\n                                ${structure.company.name}<br>\\r\\n                                % if structure.addresses:\\r\\n                                <%\\r\\n                                    address = structure.addresses[0]\\r\\n                                %>\\r\\n                                ${address.zip_code}, ${address.location.region.country.name}\\r\\n                                ${address.location.region.name}, ${address.location.name}<br>\\r\\n                                ${address.address}<br>\\r\\n                                % endif\\r\\n                                % if structure.contacts:\\r\\n                                <%\\r\\n                                    contacts = [contact.contact for contact in structure.contacts if contact.is_status_active()]\\r\\n                                %>\\r\\n                                ${', '.join(contacts)}\\r\\n                                % endif\\r\\n                            </td>\\r\\n                            \\r\\n                            <td>\\r\\n                                ${invoice.order.customer.name}<br>\\r\\n                                % if invoice.order.customer.addresses:\\r\\n                                <%\\r\\n                                    address = invoice.order.customer.addresses[0]\\r\\n                                %>\\r\\n                                ${address.zip_code}, ${address.location.region.country.name}\\r\\n                                ${address.location.region.name}, ${address.location.name}<br>\\r\\n                                ${address.address}<br>\\r\\n                                % endif\\r\\n                                % if invoice.order.customer.contacts:\\r\\n                                <%\\r\\n                                    contacts = [contact.contact for contact in invoice.order.customer.contacts if contact.is_status_active()]\\r\\n                                %>\\r\\n                                ${', '.join(contacts)}\\r\\n                                % endif\\r\\n                            </td>\\r\\n                        </tr>\\r\\n                    </table>\\r\\n                </td>\\r\\n            </tr>\\r\\n            \\r\\n            <tr class=\\"heading\\">\\r\\n                <td class=\\"first\\">\\r\\n                    ${_(u'Service')}\\r\\n                </td>\\r\\n                <td></td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Price')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Discount')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Vat')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Final price')}\\r\\n                </td>\\r\\n            </tr>\\r\\n\\r\\n            % for invoice_item in invoice.invoices_items:\\r\\n            <tr class=\\"item\\">\\r\\n                <td class=\\"first\\">\\r\\n                    ${invoice_item.order_item.service.display_text}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice.account.currency.iso_code}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.price}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.discount}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.vat}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.final_price}\\r\\n                </td>\\r\\n            </tr>\\r\\n            % endfor\\r\\n\\r\\n            <tr class=\\"total\\">\\r\\n                <td colspan=\\"5\\"></td>\\r\\n                <td>\\r\\n                   ${_(u'Total')}: ${invoice.final_price}\\r\\n                </td>\\r\\n            </tr>\\r\\n        </table>\\r\\n    </div>\\r\\n</body>\\r\\n</html>"}	Список инвойсов	0
86	1189	contracts	Контракты	ContractsResource	travelcrm.resources.contracts	null	Контракты с поставщиками, используются при калькуляциях	0
160	2887	assigns	Перенос ресурсов	AssignsResource	travelcrm.resources.assigns	null	Инструмент передачи сопровождения ресурсов между сотрудниками	0
163	2907	mails	Шаблоны писем	MailsResource	travelcrm.resources.mails	\N	Шаблоны email	0
164	2908	tags	Теги	TagsResource	travelcrm.resources.tags	\N	Теги для всех типов ресурсов	0
162	2906	countries_stats	Популярные направления	CountriesStatsResource	travelcrm.resources.countries_stats	{"column_index": 1}	Статистика по популярным направлениям за все время	0
\.


--
-- Name: resource_type_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('resource_type_id_seq', 164, true);


--
-- Data for Name: roomcat; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY roomcat (id, resource_id, name) FROM stdin;
\.


--
-- Name: roomcat_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('roomcat_id_seq', 1, true);


--
-- Data for Name: service; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY service (id, resource_id, resource_type_id, name, display_text, descr) FROM stdin;
7	2247	142	Билеты	Бронирование билетов	\N
5	1413	137	Туры	Бронирование групповых туров	Этот сервис используется для продаж групповых туров
4	1318	143	Визы	Услуги по оформлению виз	Используйте этот сервис для продаж услуг по оформлению виз
1	1314	144	Загран. паспорт	Помощь в оформлении загран. паспорта	Используйте этот сервис для продаж услуг по оформлению загран. паспортов
\.


--
-- Name: service_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('service_id_seq', 7, true);


--
-- Data for Name: spassport; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY spassport (id, resource_id, photo_done, docs_receive_date, docs_transfer_date, passport_receive_date, descr) FROM stdin;
\.


--
-- Name: spassport_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('spassport_id_seq', 1, true);


--
-- Data for Name: spassport_order_item; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY spassport_order_item (order_item_id, spassport_id) FROM stdin;
\.


--
-- Data for Name: structure; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY structure (id, resource_id, parent_id, company_id, name) FROM stdin;
32	725	\N	1	Головной офис
\.


--
-- Data for Name: structure_address; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY structure_address (structure_id, address_id) FROM stdin;
\.


--
-- Data for Name: structure_bank_detail; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY structure_bank_detail (structure_id, bank_detail_id) FROM stdin;
\.


--
-- Data for Name: structure_contact; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY structure_contact (structure_id, contact_id) FROM stdin;
\.


--
-- Name: structure_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('structure_id_seq', 32, true);


--
-- Data for Name: subaccount; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY subaccount (id, resource_id, account_id, name, status, descr) FROM stdin;
\.


--
-- Name: subaccount_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('subaccount_id_seq', 1, true);


--
-- Data for Name: supplier; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY supplier (id, resource_id, supplier_type_id, name, status, descr) FROM stdin;
\.


--
-- Data for Name: supplier_bank_detail; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY supplier_bank_detail (supplier_id, bank_detail_id) FROM stdin;
\.


--
-- Data for Name: supplier_bperson; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY supplier_bperson (supplier_id, bperson_id) FROM stdin;
\.


--
-- Data for Name: supplier_contract; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY supplier_contract (supplier_id, contract_id) FROM stdin;
\.


--
-- Name: supplier_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('supplier_id_seq', 1, true);


--
-- Data for Name: supplier_subaccount; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY supplier_subaccount (supplier_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: supplier_type; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY supplier_type (id, resource_id, name, descr) FROM stdin;
\.


--
-- Name: supplier_type_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('supplier_type_id_seq', 1, true);


--
-- Data for Name: tag; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY tag (id, resource_id, name) FROM stdin;
\.


--
-- Name: tag_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('tag_id_seq', 1, false);


--
-- Data for Name: tag_resource; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY tag_resource (tag_id, resource_id) FROM stdin;
\.


--
-- Data for Name: task; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY task (id, resource_id, title, deadline, reminder, descr, status) FROM stdin;
\.


--
-- Name: task_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('task_id_seq', 1, true);


--
-- Data for Name: task_resource; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY task_resource (task_id, resource_id) FROM stdin;
\.


--
-- Data for Name: task_upload; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY task_upload (task_id, upload_id) FROM stdin;
\.


--
-- Data for Name: ticket; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY ticket (id, resource_id, start_location_id, end_location_id, ticket_class_id, transport_id, start_dt, start_additional_info, end_dt, end_additional_info, adults, children, descr) FROM stdin;
\.


--
-- Data for Name: ticket_class; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY ticket_class (id, resource_id, name) FROM stdin;
\.


--
-- Name: ticket_class_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('ticket_class_id_seq', 1, true);


--
-- Name: ticket_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('ticket_id_seq', 1, true);


--
-- Data for Name: ticket_order_item; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY ticket_order_item (order_item_id, ticket_id) FROM stdin;
\.


--
-- Data for Name: tour; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY tour (id, resource_id, start_location_id, start_transport_id, end_location_id, end_transport_id, hotel_id, accomodation_id, foodcat_id, roomcat_id, transfer_id, adults, children, start_date, start_additional_info, end_date, end_additional_info, descr) FROM stdin;
\.


--
-- Name: tour_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('tour_id_seq', 1, true);


--
-- Data for Name: tour_order_item; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY tour_order_item (order_item_id, tour_id) FROM stdin;
\.


--
-- Data for Name: transfer; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY transfer (id, resource_id, name) FROM stdin;
\.


--
-- Name: transfer_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('transfer_id_seq', 1, true);


--
-- Data for Name: transport; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY transport (id, resource_id, name) FROM stdin;
\.


--
-- Name: transport_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('transport_id_seq', 1, true);


--
-- Data for Name: upload; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY upload (id, resource_id, name, path, size, media_type, descr) FROM stdin;
\.


--
-- Name: upload_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('upload_id_seq', 1, true);


--
-- Data for Name: user; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY "user" (id, resource_id, employee_id, username, email, password) FROM stdin;
2	3	2	admin	admin@mail.ru	adminadmin
\.


--
-- Name: user_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('user_id_seq', 34, true);


--
-- Data for Name: vat; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY vat (id, resource_id, account_id, service_id, date, vat, calc_method, descr) FROM stdin;
\.


--
-- Name: vat_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('vat_id_seq', 1, true);


--
-- Data for Name: visa; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY visa (id, resource_id, country_id, start_date, end_date, type, descr) FROM stdin;
\.


--
-- Name: visa_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('visa_id_seq', 1, true);


--
-- Data for Name: visa_order_item; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY visa_order_item (order_item_id, visa_id) FROM stdin;
\.


SET search_path = demo_ru, pg_catalog;

--
-- Data for Name: accomodation; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY accomodation (id, resource_id, name) FROM stdin;
\.


--
-- Name: accomodation_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('accomodation_id_seq', 1, true);


--
-- Data for Name: account; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY account (id, resource_id, currency_id, account_type, name, display_text, status, descr) FROM stdin;
\.


--
-- Name: account_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('account_id_seq', 1, true);


--
-- Data for Name: account_item; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY account_item (id, resource_id, parent_id, name, type, status, descr) FROM stdin;
\.


--
-- Name: account_item_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('account_item_id_seq', 1, true);


--
-- Data for Name: address; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY address (id, resource_id, location_id, zip_code, address) FROM stdin;
\.


--
-- Name: address_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('address_id_seq', 1, true);


--
-- Data for Name: advsource; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY advsource (id, resource_id, name) FROM stdin;
\.


--
-- Name: advsource_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('advsource_id_seq', 1, true);


--
-- Data for Name: appointment; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY appointment (id, resource_id, date, employee_id, position_id, salary, currency_id) FROM stdin;
1	789	2014-02-02	2	4	1000.00	54
\.


--
-- Name: appointment_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('appointment_id_seq', 1, true);


--
-- Data for Name: bank; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY bank (id, resource_id, name) FROM stdin;
\.


--
-- Data for Name: bank_address; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY bank_address (bank_id, address_id) FROM stdin;
\.


--
-- Data for Name: bank_detail; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY bank_detail (id, resource_id, currency_id, bank_id, beneficiary, account, swift_code) FROM stdin;
\.


--
-- Name: bank_detail_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('bank_detail_id_seq', 1, true);


--
-- Name: bank_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('bank_id_seq', 1, true);


--
-- Data for Name: bperson; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY bperson (id, resource_id, first_name, last_name, second_name, position_name, status, descr) FROM stdin;
\.


--
-- Data for Name: bperson_contact; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY bperson_contact (bperson_id, contact_id) FROM stdin;
\.


--
-- Name: bperson_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('bperson_id_seq', 1, true);


--
-- Data for Name: calculation; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY calculation (id, resource_id, order_item_id, contract_id, price) FROM stdin;
\.


--
-- Name: calculation_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('calculation_id_seq', 1, true);


--
-- Data for Name: campaign; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY campaign (id, resource_id, person_category_id, mail_id, name, start_dt, status) FROM stdin;
\.


--
-- Name: campaign_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('campaign_id_seq', 1, true);


--
-- Data for Name: cashflow; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY cashflow (id, subaccount_from_id, subaccount_to_id, account_item_id, sum, vat, date) FROM stdin;
\.


--
-- Name: cashflow_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('cashflow_id_seq', 1, true);


--
-- Data for Name: commission; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY commission (id, resource_id, service_id, percentage, price, currency_id, descr) FROM stdin;
\.


--
-- Name: commission_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('commission_id_seq', 1, true);


--
-- Data for Name: company; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY company (id, resource_id, currency_id, name, email, settings) FROM stdin;
1	1970	56	Demo RU	vitalii.mazur@gmail.com	{"locale": "ru", "timezone": "Europe/Kiev", "tarif_code": "1", "tarif_limit": 1, "tarif_ips": [["127.0.0.1", "2016-10-08T19:17:54"]]}
\.


--
-- Name: company_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('company_id_seq', 1, true);


--
-- Data for Name: company_subaccount; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY company_subaccount (company_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: contact; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY contact (id, resource_id, contact_type, contact, status, descr) FROM stdin;
\.


--
-- Name: contact_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('contact_id_seq', 1, true);


--
-- Data for Name: contract; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY contract (id, resource_id, num, date, status, descr) FROM stdin;
\.


--
-- Data for Name: contract_commission; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY contract_commission (contract_id, commission_id) FROM stdin;
\.


--
-- Name: contract_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('contract_id_seq', 1, true);


--
-- Data for Name: country; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY country (id, resource_id, iso_code, name) FROM stdin;
9	1095	RU	Российская Федерация
3	878	UA	Украина
\.


--
-- Name: country_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('country_id_seq', 9, true);


--
-- Data for Name: crosspayment; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY crosspayment (id, resource_id, cashflow_id, descr) FROM stdin;
\.


--
-- Name: crosspayment_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('crosspayment_id_seq', 1, true);


--
-- Data for Name: currency; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY currency (id, resource_id, iso_code) FROM stdin;
44	849	RUB
54	1240	EUR
56	1310	UAH
57	1311	USD
\.


--
-- Name: currency_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('currency_id_seq', 57, true);


--
-- Data for Name: currency_rate; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY currency_rate (id, resource_id, currency_id, supplier_id, date, rate) FROM stdin;
\.


--
-- Name: currency_rate_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('currency_rate_id_seq', 1, true);


--
-- Data for Name: dismissal; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY dismissal (id, resource_id, date, employee_id) FROM stdin;
\.


--
-- Name: dismissal_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('dismissal_id_seq', 1, true);


--
-- Data for Name: employee; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY employee (id, resource_id, photo_upload_id, first_name, last_name, second_name, itn) FROM stdin;
2	784	\N	Иван	Иванов	\N	\N
\.


--
-- Data for Name: employee_address; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY employee_address (employee_id, address_id) FROM stdin;
\.


--
-- Data for Name: employee_contact; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY employee_contact (employee_id, contact_id) FROM stdin;
\.


--
-- Name: employee_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('employee_id_seq', 2, true);


--
-- Data for Name: employee_notification; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY employee_notification (employee_id, notification_id, status) FROM stdin;
\.


--
-- Data for Name: employee_passport; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY employee_passport (employee_id, passport_id) FROM stdin;
\.


--
-- Data for Name: employee_subaccount; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY employee_subaccount (employee_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: employee_subscription; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY employee_subscription (employee_id, resource_id) FROM stdin;
\.


--
-- Data for Name: employee_upload; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY employee_upload (employee_id, upload_id) FROM stdin;
\.


--
-- Data for Name: foodcat; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY foodcat (id, resource_id, name) FROM stdin;
\.


--
-- Name: foodcat_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('foodcat_id_seq', 1, true);


--
-- Data for Name: hotel; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY hotel (id, resource_id, hotelcat_id, location_id, name) FROM stdin;
\.


--
-- Name: hotel_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('hotel_id_seq', 1, true);


--
-- Data for Name: hotelcat; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY hotelcat (id, resource_id, name) FROM stdin;
\.


--
-- Name: hotelcat_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('hotelcat_id_seq', 1, true);


--
-- Data for Name: income; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY income (id, resource_id, invoice_id, account_item_id, sum, date, descr) FROM stdin;
\.


--
-- Data for Name: income_cashflow; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY income_cashflow (income_id, cashflow_id) FROM stdin;
\.


--
-- Name: income_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('income_id_seq', 1, true);


--
-- Data for Name: invoice; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY invoice (id, date, active_until, resource_id, order_id, account_id, descr) FROM stdin;
\.


--
-- Name: invoice_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('invoice_id_seq', 1, true);


--
-- Data for Name: invoice_item; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY invoice_item (id, invoice_id, order_item_id, price, vat, discount, descr) FROM stdin;
\.


--
-- Name: invoice_item_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('invoice_item_id_seq', 1, true);


--
-- Data for Name: lead; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY lead (id, lead_date, resource_id, advsource_id, customer_id, status, descr) FROM stdin;
\.


--
-- Name: lead_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('lead_id_seq', 1, true);


--
-- Data for Name: lead_item; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY lead_item (id, resource_id, lead_id, service_id, currency_id, price_from, price_to, descr) FROM stdin;
\.


--
-- Name: lead_item_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('lead_item_id_seq', 1, true);


--
-- Data for Name: lead_offer; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY lead_offer (id, resource_id, lead_id, service_id, currency_id, supplier_id, price, status, descr) FROM stdin;
\.


--
-- Name: lead_offer_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('lead_offer_id_seq', 1, true);


--
-- Data for Name: location; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY location (id, resource_id, region_id, name) FROM stdin;
\.


--
-- Name: location_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('location_id_seq', 1, true);


--
-- Data for Name: mail; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY mail (id, resource_id, name, subject, descr, html_content) FROM stdin;
\.


--
-- Name: mail_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('mail_id_seq', 1, true);


--
-- Data for Name: navigation; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY navigation (id, resource_id, position_id, parent_id, name, url, action, icon_cls, separator_before, sort_order) FROM stdin;
10	780	4	\N	HR	/	\N	fa fa-group	f	5
8	778	4	\N	Система	/	tab_open	fa fa-cog	f	11
31	956	4	159	Категории питания	/foodcats	\N	\N	f	9
9	779	4	8	Типы ресурсов	/resources_types	\N	\N	f	1
13	790	4	10	Сотрудники	/employees	\N	\N	f	1
14	791	4	10	Назначения сотрудников	/appointments	\N	\N	f	2
15	792	4	8	Пользователи	/users	\N	\N	f	3
17	802	4	157	Валюты	/currencies	\N	\N	f	7
18	837	4	\N	Компания	/	\N	fa fa-building-o	f	6
19	838	4	18	Структура	/structures	\N	\N	f	1
32	998	4	\N	Продажи	/	\N	fa fa-legal	f	2
20	863	4	18	Должности	/positions	\N	\N	f	2
36	1008	4	23	Бизнес контакты	/bpersons	tab_open	\N	f	4
21	864	4	\N	Клиенты	/	\N	fa fa-briefcase	f	3
22	866	4	21	Физ. лица	/persons	\N	\N	f	1
23	873	4	\N	Справочники	/	\N	fa fa-book	f	8
24	874	4	158	Страны	/countries	\N	\N	f	4
25	879	4	158	Регионы	/regions	\N	\N	f	3
26	900	4	\N	Маркетинг	/	\N	fa fa-bullhorn	f	4
27	902	4	26	Источники	/advsources	\N	\N	f	1
28	910	4	159	Категории отелей	/hotelcats	\N	\N	f	6
29	911	4	159	Категории номеров	/roomcats	\N	\N	f	7
30	955	4	159	Размещение	/accomodations	tab_open	\N	f	10
43	1089	4	158	Местоположение	/locations	\N	\N	f	3
45	1212	4	53	Банки	/banks	tab_open	\N	f	6
50	1312	4	53	Сервисы	/services	\N	\N	f	6
51	1368	4	32	Инвойсы	/invoices	tab_open	\N	t	5
152	1895	4	\N	Отчеты	/	\N	fa fa-pie-chart	f	9
53	1394	4	\N	Финансы	/	\N	fa fa-credit-card	f	7
54	1395	4	157	Курсы валют	/currencies_rates	\N	\N	f	8
153	1896	4	152	Обороты	/turnovers	tab_open	\N	f	2
56	1434	4	155	Входящие платежи	/incomes	\N	\N	f	9
55	1425	4	156	Статьи учета	/accounts_items	\N	\N	f	3
57	1436	4	156	Счета	/accounts	\N	\N	f	1
60	1550	4	23	Поставщики	/suppliers	tab_open	\N	f	1
61	1571	4	155	Исходящие платежи	/outgoings	\N	\N	f	10
107	1777	4	\N	Домашняя	/	\N	fa fa-home	f	1
150	1798	4	156	Субсчета	/subaccounts	\N	\N	f	2
151	1885	4	155	Кросс платежи	/crosspayments	\N	\N	f	11
155	1904	4	53	Платежи	/	\N	\N	f	12
156	1905	4	53	Биллинг	/	\N	\N	f	10
157	1906	4	53	Валюты		\N	\N	t	7
158	1907	4	23	География	/	\N	\N	f	10
159	1908	4	23	Отели	/	\N	\N	t	9
42	1080	4	159	Справочник отелей	/hotels	\N	\N	f	5
165	1975	4	8	Компания	/companies/edit	dialog_open	\N	t	4
166	2048	4	32	Лиды	/leads	tab_open	\N	f	2
168	2101	4	32	Заявки	/orders	tab_open	\N	f	4
169	2128	4	23	Трансферы	/transfers	tab_open	\N	t	5
170	2136	4	23	Транспорт	/transports	tab_open	\N	f	6
171	2219	4	23	Типы поставщиков	/suppliers_types	tab_open	\N	f	3
172	2222	4	23	Контракты	/contracts	tab_open	\N	f	2
173	2245	4	23	Классы билетов	/tickets_classes	tab_open	\N	f	7
174	2514	4	156	Настройки НДС	/vats	tab_open	\N	t	5
175	2552	4	23	Категории физ. лиц	/persons_categories	tab_open	\N	f	8
237	2883	4	10	Увольнения	/dismissals	tab_open	\N	t	3
239	2889	4	238	Делегировать ресурсы	/assigns/assign	dialog_open	\N	f	1
238	2888	4	8	Инструменты	/	tab_open	fa fa-gears	t	10
236	2741	4	26	Кампании	/campaigns	tab_open	\N	f	3
240	2909	4	26	Шаблоны писем	/mails	tab_open	\N	t	2
\.


--
-- Name: navigation_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('navigation_id_seq', 240, true);


--
-- Data for Name: note; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY note (id, resource_id, title, descr) FROM stdin;
\.


--
-- Name: note_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('note_id_seq', 1, true);


--
-- Data for Name: note_resource; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY note_resource (note_id, resource_id) FROM stdin;
\.


--
-- Data for Name: note_upload; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY note_upload (note_id, upload_id) FROM stdin;
\.


--
-- Data for Name: notification; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY notification (id, resource_id, descr, url, created) FROM stdin;
\.


--
-- Name: notification_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('notification_id_seq', 1, true);


--
-- Data for Name: notification_resource; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY notification_resource (notification_id, resource_id) FROM stdin;
\.


--
-- Data for Name: order; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY "order" (id, deal_date, resource_id, customer_id, lead_id, advsource_id, status, descr) FROM stdin;
\.


--
-- Name: order_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('order_id_seq', 1, true);


--
-- Data for Name: order_item; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY order_item (id, resource_id, order_id, service_id, currency_id, supplier_id, price, discount_sum, discount_percent, status, status_date, status_info) FROM stdin;
\.


--
-- Name: order_item_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('order_item_id_seq', 1, true);


--
-- Data for Name: outgoing; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY outgoing (id, date, resource_id, account_item_id, subaccount_id, sum, descr) FROM stdin;
\.


--
-- Data for Name: outgoing_cashflow; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY outgoing_cashflow (outgoing_id, cashflow_id) FROM stdin;
\.


--
-- Name: outgoing_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('outgoing_id_seq', 1, true);


--
-- Data for Name: passport; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY passport (id, resource_id, country_id, passport_type, num, end_date, descr) FROM stdin;
\.


--
-- Name: passport_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('passport_id_seq', 1, true);


--
-- Data for Name: passport_upload; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY passport_upload (passport_id, upload_id) FROM stdin;
\.


--
-- Data for Name: permision; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY permision (id, resource_type_id, position_id, permisions, scope_type, structure_id) FROM stdin;
34	61	4	{view,add,edit,delete}	all	\N
299	162	4	{view,settings}	all	\N
301	163	4	{view,add,edit,delete,assign}	all	\N
21	1	4	{view}	all	\N
39	69	4	{view,add,edit,delete,assign}	all	\N
42	71	4	{view,add,edit,delete,assign}	all	\N
43	72	4	{view,add,edit,delete,assign}	all	\N
44	73	4	{view,add,edit,delete,assign}	all	\N
45	74	4	{view,add,edit,delete,assign}	all	\N
46	75	4	{view,add,edit,delete,assign}	all	\N
49	79	4	{view,add,edit,delete,assign}	all	\N
55	83	4	{view,add,edit,delete,assign}	all	\N
56	84	4	{view,add,edit,delete,assign}	all	\N
58	86	4	{view,add,edit,delete,assign}	all	\N
61	89	4	{view,add,edit,delete}	all	\N
62	90	4	{view,add,edit,delete}	all	\N
70	101	4	{view,add,edit,delete}	all	\N
63	91	4	{view,add,edit,delete,assign}	all	\N
79	110	4	{view,add,edit,delete}	all	\N
71	102	4	{view,add,edit,delete,assign}	all	\N
73	104	4	{view,add,edit,delete,assign}	all	\N
74	105	4	{view,add,edit,delete,assign}	all	\N
76	107	4	{view,add,edit,delete,assign}	all	\N
26	47	4	{view,add,edit,delete,assign}	all	\N
80	111	4	{view,add,edit,delete,assign}	all	\N
128	117	4	{view,add,edit,delete,assign}	all	\N
59	87	4	{view,add,edit,delete}	all	\N
22	2	4	{view,add,edit,delete,assign}	all	\N
38	41	4	{view,add,edit,delete,assign}	all	\N
40	39	4	{view,add,edit,delete,assign}	all	\N
35	65	4	{view,add,edit,delete,assign}	all	\N
37	67	4	{view,add,edit,delete,assign}	all	\N
41	70	4	{view,add,edit,delete,assign}	all	\N
132	121	4	{view}	all	\N
134	123	4	{view,close}	all	\N
137	126	4	{view,edit}	all	\N
164	152	4	{view,settings}	all	\N
300	161	4	{view,settings}	all	\N
75	106	4	{view,add,edit,delete,assign}	all	\N
24	12	4	{view,add,edit,delete,assign,settings}	all	\N
146	135	4	{view,add,edit,delete}	all	\N
141	130	4	{view,add,edit,delete,assign,order}	all	\N
148	137	4	{view,add,edit,delete}	all	\N
154	143	4	{view,add,edit,delete}	all	\N
149	138	4	{view,add,edit,delete,assign}	all	\N
150	139	4	{view,add,edit,delete,assign}	all	\N
151	140	4	{view,add,edit,delete,assign}	all	\N
152	141	4	{view,add,edit,delete,assign}	all	\N
155	144	4	{view,add,edit,delete}	all	\N
157	145	4	{view,add,edit,delete}	all	\N
158	146	4	{view,add,edit,delete}	all	\N
161	149	4	{view,add,edit,delete}	all	\N
160	148	4	{view,add,edit,delete,assign}	all	\N
163	151	4	{view,add,edit,delete,assign}	all	\N
129	118	4	{view,add,edit,delete}	all	\N
130	119	4	{view,add,edit,delete,autoload}	all	\N
32	59	4	{view,add,edit,delete,assign}	all	\N
48	78	4	{view,add,edit,delete,assign}	all	\N
65	93	4	{view,add,edit,delete,assign}	all	\N
72	103	4	{view,add,edit,delete,assign,settings}	all	\N
131	120	4	{view,add,edit,delete,assign}	all	\N
153	142	4	{view,add,edit,delete,assign}	all	\N
294	156	4	{view,add,edit,delete,settings,assign}	all	\N
30	55	4	{view,add,edit,delete,assign}	all	\N
297	159	4	{view,add,edit,delete,assign}	all	\N
298	160	4	{assign}	all	\N
145	134	4	{view,add,edit,delete,settings,assign,calculation,invoice,contract}	all	\N
302	164	4	{view,add,edit,delete}	all	\N
\.


--
-- Name: permision_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('permision_id_seq', 302, true);


--
-- Data for Name: person; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY person (id, resource_id, person_category_id, first_name, last_name, second_name, birthday, gender, email_subscription, sms_subscription, descr) FROM stdin;
\.


--
-- Data for Name: person_address; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY person_address (person_id, address_id) FROM stdin;
\.


--
-- Data for Name: person_category; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY person_category (id, resource_id, name) FROM stdin;
\.


--
-- Name: person_category_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('person_category_id_seq', 1, true);


--
-- Data for Name: person_contact; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY person_contact (person_id, contact_id) FROM stdin;
\.


--
-- Name: person_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('person_id_seq', 1, true);


--
-- Data for Name: person_order_item; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY person_order_item (order_item_id, person_id) FROM stdin;
\.


--
-- Data for Name: person_passport; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY person_passport (person_id, passport_id) FROM stdin;
\.


--
-- Data for Name: person_subaccount; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY person_subaccount (person_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: position; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY "position" (id, resource_id, structure_id, name) FROM stdin;
4	772	32	Главный разработчик
\.


--
-- Name: position_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('position_id_seq', 4, true);


--
-- Data for Name: region; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY region (id, resource_id, country_id, name) FROM stdin;
\.


--
-- Name: region_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('region_id_seq', 1, true);


--
-- Data for Name: resource; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY resource (id, resource_type_id, maintainer_id, modifydt, protected) FROM stdin;
2905	12	2	2016-10-08 19:03:56.056488	f
2741	65	2	2016-10-08 19:07:38.608991	f
12	12	2	2016-10-08 19:01:35.82236	\N
14	12	2	2016-10-08 19:01:35.82236	\N
16	12	2	2016-10-08 19:01:35.82236	\N
30	12	2	2016-10-08 19:01:35.82236	\N
31	12	2	2016-10-08 19:01:35.82236	\N
32	12	2	2016-10-08 19:01:35.82236	\N
2906	12	2	2016-10-08 19:04:55.773083	f
2907	12	2	2016-10-08 19:05:37.963984	f
2910	123	2	2016-10-08 19:09:00.629391	f
33	12	2	2016-10-08 19:01:35.82236	\N
34	12	2	2016-10-08 19:01:35.82236	\N
35	12	2	2016-10-08 19:01:35.82236	\N
36	12	2	2016-10-08 19:01:35.82236	\N
37	12	2	2016-10-08 19:01:35.82236	\N
38	12	2	2016-10-08 19:01:35.82236	\N
39	12	2	2016-10-08 19:01:35.82236	\N
40	12	2	2016-10-08 19:01:35.82236	\N
43	12	2	2016-10-08 19:01:35.82236	\N
44	12	2	2016-10-08 19:01:35.82236	\N
2908	12	2	2016-10-08 19:06:15.911315	f
2909	65	2	2016-10-08 19:09:00.629391	f
1775	59	2	2016-10-08 19:01:35.82236	f
1777	65	2	2016-10-08 19:01:35.82236	f
1778	12	2	2016-10-08 19:01:35.82236	f
1800	118	2	2016-10-08 19:01:35.82236	f
2294	145	2	2016-10-08 19:01:35.82236	f
2677	89	2	2016-10-08 19:01:35.82236	f
2678	69	2	2016-10-08 19:01:35.82236	f
2679	69	2	2016-10-08 19:01:35.82236	f
2680	89	2	2016-10-08 19:01:35.82236	f
2681	89	2	2016-10-08 19:01:35.82236	f
2424	105	2	2016-10-08 19:01:35.82236	f
2425	105	2	2016-10-08 19:01:35.82236	f
2426	105	2	2016-10-08 19:01:35.82236	f
2682	149	2	2016-10-08 19:01:35.82236	f
1472	69	2	2016-10-08 19:01:35.82236	f
1473	69	2	2016-10-08 19:01:35.82236	f
1485	106	2	2016-10-08 19:01:35.82236	f
1500	106	2	2016-10-08 19:01:35.82236	f
1504	104	2	2016-10-08 19:01:35.82236	f
1505	104	2	2016-10-08 19:01:35.82236	f
1506	104	2	2016-10-08 19:01:35.82236	f
1507	107	2	2016-10-08 19:01:35.82236	f
1509	106	2	2016-10-08 19:01:35.82236	f
45	12	2	2016-10-08 19:01:35.82236	\N
83	2	2	2016-10-08 19:01:35.82236	\N
84	2	2	2016-10-08 19:01:35.82236	\N
277	39	2	2016-10-08 19:01:35.82236	\N
2631	65	2	2016-10-08 19:01:35.82236	f
2632	65	2	2016-10-08 19:01:35.82236	f
2702	119	2	2016-10-08 19:01:35.82236	f
2703	119	2	2016-10-08 19:01:35.82236	f
2829	93	2	2016-10-08 19:01:35.82236	f
2830	69	2	2016-10-08 19:01:35.82236	f
2831	134	2	2016-10-08 19:01:35.82236	f
2833	110	2	2016-10-08 19:01:35.82236	f
913	72	2	2016-10-08 19:01:35.82236	\N
914	72	2	2016-10-08 19:01:35.82236	\N
915	72	2	2016-10-08 19:01:35.82236	\N
916	72	2	2016-10-08 19:01:35.82236	\N
917	72	2	2016-10-08 19:01:35.82236	\N
2890	93	2	2016-10-08 19:01:35.82236	f
918	72	2	2016-10-08 19:01:35.82236	\N
919	72	2	2016-10-08 19:01:35.82236	\N
928	73	2	2016-10-08 19:01:35.82236	\N
929	73	2	2016-10-08 19:01:35.82236	\N
930	73	2	2016-10-08 19:01:35.82236	\N
931	73	2	2016-10-08 19:01:35.82236	\N
932	73	2	2016-10-08 19:01:35.82236	\N
933	73	2	2016-10-08 19:01:35.82236	\N
935	73	2	2016-10-08 19:01:35.82236	\N
936	73	2	2016-10-08 19:01:35.82236	\N
937	73	2	2016-10-08 19:01:35.82236	\N
948	73	2	2016-10-08 19:01:35.82236	\N
949	73	2	2016-10-08 19:01:35.82236	\N
950	73	2	2016-10-08 19:01:35.82236	\N
952	73	2	2016-10-08 19:01:35.82236	\N
953	12	2	2016-10-08 19:01:35.82236	\N
954	12	2	2016-10-08 19:01:35.82236	\N
955	65	2	2016-10-08 19:01:35.82236	\N
956	65	2	2016-10-08 19:01:35.82236	\N
957	74	2	2016-10-08 19:01:35.82236	\N
958	74	2	2016-10-08 19:01:35.82236	\N
1647	39	2	2016-10-08 19:01:35.82236	f
2266	137	2	2016-10-08 19:01:35.82236	f
2267	134	2	2016-10-08 19:01:35.82236	f
2268	12	2	2016-10-08 19:01:35.82236	f
2269	105	2	2016-10-08 19:01:35.82236	f
1915	111	2	2016-10-08 19:01:35.82236	f
1917	110	2	2016-10-08 19:01:35.82236	f
1949	123	2	2016-10-08 19:01:35.82236	f
1961	123	2	2016-10-08 19:01:35.82236	f
2714	104	2	2016-10-08 19:01:35.82236	f
2715	119	2	2016-10-08 19:01:35.82236	f
2716	119	2	2016-10-08 19:01:35.82236	f
2717	119	2	2016-10-08 19:01:35.82236	f
2718	119	2	2016-10-08 19:01:35.82236	f
2881	69	2	2016-10-08 19:01:35.82236	f
2882	12	2	2016-10-08 19:01:35.82236	f
2883	65	2	2016-10-08 19:01:35.82236	f
278	39	2	2016-10-08 19:01:35.82236	\N
279	39	2	2016-10-08 19:01:35.82236	\N
280	39	2	2016-10-08 19:01:35.82236	\N
281	39	2	2016-10-08 19:01:35.82236	\N
282	39	2	2016-10-08 19:01:35.82236	\N
283	12	2	2016-10-08 19:01:35.82236	\N
286	41	2	2016-10-08 19:01:35.82236	\N
287	41	2	2016-10-08 19:01:35.82236	\N
288	41	2	2016-10-08 19:01:35.82236	\N
289	41	2	2016-10-08 19:01:35.82236	\N
938	73	2	2016-10-08 19:01:35.82236	\N
939	73	2	2016-10-08 19:01:35.82236	\N
961	74	2	2016-10-08 19:01:35.82236	\N
962	74	2	2016-10-08 19:01:35.82236	\N
963	74	2	2016-10-08 19:01:35.82236	\N
964	74	2	2016-10-08 19:01:35.82236	\N
965	74	2	2016-10-08 19:01:35.82236	\N
966	74	2	2016-10-08 19:01:35.82236	\N
967	74	2	2016-10-08 19:01:35.82236	\N
968	74	2	2016-10-08 19:01:35.82236	\N
969	74	2	2016-10-08 19:01:35.82236	\N
970	74	2	2016-10-08 19:01:35.82236	\N
971	74	2	2016-10-08 19:01:35.82236	\N
973	75	2	2016-10-08 19:01:35.82236	\N
975	75	2	2016-10-08 19:01:35.82236	\N
976	75	2	2016-10-08 19:01:35.82236	\N
977	75	2	2016-10-08 19:01:35.82236	\N
978	75	2	2016-10-08 19:01:35.82236	\N
979	75	2	2016-10-08 19:01:35.82236	\N
980	75	2	2016-10-08 19:01:35.82236	\N
981	75	2	2016-10-08 19:01:35.82236	\N
982	75	2	2016-10-08 19:01:35.82236	\N
983	75	2	2016-10-08 19:01:35.82236	\N
984	75	2	2016-10-08 19:01:35.82236	\N
1616	69	2	2016-10-08 19:01:35.82236	f
1619	69	2	2016-10-08 19:01:35.82236	f
1620	87	2	2016-10-08 19:01:35.82236	f
1621	87	2	2016-10-08 19:01:35.82236	f
1622	89	2	2016-10-08 19:01:35.82236	f
1623	90	2	2016-10-08 19:01:35.82236	f
1381	89	2	2016-10-08 19:01:35.82236	f
2439	117	2	2016-10-08 19:01:35.82236	f
2784	123	2	2016-10-08 19:01:35.82236	f
1932	93	2	2016-10-08 19:01:35.82236	f
2786	2	2	2016-10-08 19:01:35.82236	f
2787	2	2	2016-10-08 19:01:35.82236	f
2788	12	2	2016-10-08 19:01:35.82236	f
2813	12	2	2016-10-08 19:01:35.82236	f
2814	87	2	2016-10-08 19:01:35.82236	f
2815	93	2	2016-10-08 19:01:35.82236	f
2842	119	2	2016-10-08 19:01:35.82236	f
290	41	2	2016-10-08 19:01:35.82236	\N
291	41	2	2016-10-08 19:01:35.82236	\N
943	73	2	2016-10-08 19:01:35.82236	\N
944	73	2	2016-10-08 19:01:35.82236	\N
945	73	2	2016-10-08 19:01:35.82236	\N
946	73	2	2016-10-08 19:01:35.82236	\N
947	73	2	2016-10-08 19:01:35.82236	\N
998	65	2	2016-10-08 19:01:35.82236	\N
1005	78	2	2016-10-08 19:01:35.82236	\N
1007	12	2	2016-10-08 19:01:35.82236	\N
1008	65	2	2016-10-08 19:01:35.82236	\N
1009	79	2	2016-10-08 19:01:35.82236	\N
1325	83	2	2016-10-08 19:01:35.82236	f
1326	84	2	2016-10-08 19:01:35.82236	f
1327	83	2	2016-10-08 19:01:35.82236	f
1328	39	2	2016-10-08 19:01:35.82236	f
1329	84	2	2016-10-08 19:01:35.82236	f
1330	83	2	2016-10-08 19:01:35.82236	f
1331	83	2	2016-10-08 19:01:35.82236	f
1332	39	2	2016-10-08 19:01:35.82236	f
1333	84	2	2016-10-08 19:01:35.82236	f
1334	83	2	2016-10-08 19:01:35.82236	f
1335	83	2	2016-10-08 19:01:35.82236	f
1340	39	2	2016-10-08 19:01:35.82236	f
1344	39	2	2016-10-08 19:01:35.82236	f
1345	84	2	2016-10-08 19:01:35.82236	f
1346	83	2	2016-10-08 19:01:35.82236	f
1350	83	2	2016-10-08 19:01:35.82236	f
1352	39	2	2016-10-08 19:01:35.82236	f
1353	84	2	2016-10-08 19:01:35.82236	f
1354	83	2	2016-10-08 19:01:35.82236	f
1355	39	2	2016-10-08 19:01:35.82236	f
1356	84	2	2016-10-08 19:01:35.82236	f
1357	83	2	2016-10-08 19:01:35.82236	f
2231	78	2	2016-10-08 19:01:35.82236	f
2232	78	2	2016-10-08 19:01:35.82236	f
2233	78	2	2016-10-08 19:01:35.82236	f
1639	106	2	2016-10-08 19:01:35.82236	f
1640	87	2	2016-10-08 19:01:35.82236	f
1641	87	2	2016-10-08 19:01:35.82236	f
1642	89	2	2016-10-08 19:01:35.82236	f
1643	89	2	2016-10-08 19:01:35.82236	f
2047	119	2	2016-10-08 19:01:35.82236	f
1764	111	2	2016-10-08 19:01:35.82236	f
1766	111	2	2016-10-08 19:01:35.82236	f
1769	105	2	2016-10-08 19:01:35.82236	f
1771	111	2	2016-10-08 19:01:35.82236	f
1773	111	2	2016-10-08 19:01:35.82236	f
2285	135	2	2016-10-08 19:01:35.82236	f
2291	93	2	2016-10-08 19:01:35.82236	f
2292	12	2	2016-10-08 19:01:35.82236	f
2293	145	2	2016-10-08 19:01:35.82236	f
2048	65	2	2016-10-08 19:01:35.82236	f
2049	12	2	2016-10-08 19:01:35.82236	f
2050	87	2	2016-10-08 19:01:35.82236	f
2051	69	2	2016-10-08 19:01:35.82236	f
2052	130	2	2016-10-08 19:01:35.82236	f
1939	93	2	2016-10-08 19:01:35.82236	f
2054	2	2	2016-10-08 19:01:35.82236	f
1906	65	2	2016-10-08 19:01:35.82236	f
1990	106	2	2016-10-08 19:01:35.82236	f
1991	106	2	2016-10-08 19:01:35.82236	f
1992	106	2	2016-10-08 19:01:35.82236	f
2029	119	2	2016-10-08 19:01:35.82236	f
2442	117	2	2016-10-08 19:01:35.82236	f
2546	110	2	2016-10-08 19:01:35.82236	f
2573	69	2	2016-10-08 19:01:35.82236	f
921	73	2	2016-10-08 19:01:35.82236	\N
1648	84	2	2016-10-08 19:01:35.82236	f
2458	106	2	2016-10-08 19:01:35.82236	f
2556	151	2	2016-10-08 19:01:35.82236	f
2557	151	2	2016-10-08 19:01:35.82236	f
2568	145	2	2016-10-08 19:01:35.82236	f
1649	83	2	2016-10-08 19:01:35.82236	f
1650	87	2	2016-10-08 19:01:35.82236	f
2569	130	2	2016-10-08 19:01:35.82236	f
2570	69	2	2016-10-08 19:01:35.82236	f
922	73	2	2016-10-08 19:01:35.82236	\N
923	73	2	2016-10-08 19:01:35.82236	\N
924	73	2	2016-10-08 19:01:35.82236	\N
1651	89	2	2016-10-08 19:01:35.82236	f
1652	90	2	2016-10-08 19:01:35.82236	f
1653	69	2	2016-10-08 19:01:35.82236	f
925	73	2	2016-10-08 19:01:35.82236	\N
926	73	2	2016-10-08 19:01:35.82236	\N
1659	65	2	2016-10-08 19:01:35.82236	f
1882	106	2	2016-10-08 19:01:35.82236	f
1660	106	2	2016-10-08 19:01:35.82236	f
927	73	2	2016-10-08 19:01:35.82236	\N
2046	119	2	2016-10-08 19:01:35.82236	f
959	74	2	2016-10-08 19:01:35.82236	\N
960	74	2	2016-10-08 19:01:35.82236	\N
1714	110	2	2016-10-08 19:01:35.82236	f
985	75	2	2016-10-08 19:01:35.82236	\N
987	75	2	2016-10-08 19:01:35.82236	\N
1721	110	2	2016-10-08 19:01:35.82236	f
1884	12	2	2016-10-08 19:01:35.82236	f
1885	65	2	2016-10-08 19:01:35.82236	f
1888	117	2	2016-10-08 19:01:35.82236	f
1893	120	2	2016-10-08 19:01:35.82236	f
1894	12	2	2016-10-08 19:01:35.82236	f
1004	78	2	2016-10-08 19:01:35.82236	\N
1309	90	2	2016-10-08 19:01:35.82236	f
1310	41	2	2016-10-08 19:01:35.82236	f
1895	65	2	2016-10-08 19:01:35.82236	f
1311	41	2	2016-10-08 19:01:35.82236	f
1312	65	2	2016-10-08 19:01:35.82236	f
1313	12	2	2016-10-08 19:01:35.82236	f
1896	65	2	2016-10-08 19:01:35.82236	f
1314	102	2	2016-10-08 19:01:35.82236	f
1317	12	2	2016-10-08 19:01:35.82236	f
1320	83	2	2016-10-08 19:01:35.82236	f
1321	84	2	2016-10-08 19:01:35.82236	f
1322	83	2	2016-10-08 19:01:35.82236	f
1950	123	2	2016-10-08 19:01:35.82236	f
1951	90	2	2016-10-08 19:01:35.82236	f
1952	86	2	2016-10-08 19:01:35.82236	f
1907	65	2	2016-10-08 19:01:35.82236	f
1956	87	2	2016-10-08 19:01:35.82236	f
1958	93	2	2016-10-08 19:01:35.82236	f
1959	123	2	2016-10-08 19:01:35.82236	f
2104	135	2	2016-10-08 19:01:35.82236	f
1323	83	2	2016-10-08 19:01:35.82236	f
2105	135	2	2016-10-08 19:01:35.82236	f
2106	135	2	2016-10-08 19:01:35.82236	f
2107	12	2	2016-10-08 19:01:35.82236	f
2108	12	2	2016-10-08 19:01:35.82236	f
2111	83	2	2016-10-08 19:01:35.82236	f
2115	39	2	2016-10-08 19:01:35.82236	f
2119	90	2	2016-10-08 19:01:35.82236	f
2168	137	2	2016-10-08 19:01:35.82236	f
2171	93	2	2016-10-08 19:01:35.82236	f
2172	135	2	2016-10-08 19:01:35.82236	f
2173	137	2	2016-10-08 19:01:35.82236	f
1324	83	2	2016-10-08 19:01:35.82236	f
1358	83	2	2016-10-08 19:01:35.82236	f
1359	84	2	2016-10-08 19:01:35.82236	f
1360	83	2	2016-10-08 19:01:35.82236	f
2452	117	2	2016-10-08 19:01:35.82236	f
2457	106	2	2016-10-08 19:01:35.82236	f
1361	84	2	2016-10-08 19:01:35.82236	f
1365	39	2	2016-10-08 19:01:35.82236	f
1366	84	2	2016-10-08 19:01:35.82236	f
1367	83	2	2016-10-08 19:01:35.82236	f
1368	65	2	2016-10-08 19:01:35.82236	f
1371	87	2	2016-10-08 19:01:35.82236	f
1373	87	2	2016-10-08 19:01:35.82236	f
1374	90	2	2016-10-08 19:01:35.82236	f
1624	87	2	2016-10-08 19:01:35.82236	f
1625	89	2	2016-10-08 19:01:35.82236	f
1376	89	2	2016-10-08 19:01:35.82236	f
1626	69	2	2016-10-08 19:01:35.82236	f
1378	78	2	2016-10-08 19:01:35.82236	f
1627	69	2	2016-10-08 19:01:35.82236	f
1628	69	2	2016-10-08 19:01:35.82236	f
1379	87	2	2016-10-08 19:01:35.82236	f
1380	87	2	2016-10-08 19:01:35.82236	f
1383	69	2	2016-10-08 19:01:35.82236	f
2260	135	2	2016-10-08 19:01:35.82236	f
2261	142	2	2016-10-08 19:01:35.82236	f
2262	135	2	2016-10-08 19:01:35.82236	f
2263	142	2	2016-10-08 19:01:35.82236	f
2264	134	2	2016-10-08 19:01:35.82236	f
2265	135	2	2016-10-08 19:01:35.82236	f
1780	105	2	2016-10-08 19:01:35.82236	f
1797	12	2	2016-10-08 19:01:35.82236	f
1798	65	2	2016-10-08 19:01:35.82236	f
1799	12	2	2016-10-08 19:01:35.82236	f
1804	118	2	2016-10-08 19:01:35.82236	f
2	2	2	2016-10-08 19:01:35.82236	\N
2127	12	2	2016-10-08 19:01:35.82236	f
3	2	2	2016-10-08 19:01:35.82236	\N
10	12	2	2016-10-08 19:01:35.82236	\N
1010	79	2	2016-10-08 19:01:35.82236	\N
1080	65	2	2016-10-08 19:01:35.82236	\N
1081	12	2	2016-10-08 19:01:35.82236	\N
1099	39	2	2016-10-08 19:01:35.82236	\N
2309	69	2	2016-10-08 19:01:35.82236	f
2128	65	2	2016-10-08 19:01:35.82236	f
2129	138	2	2016-10-08 19:01:35.82236	f
2130	138	2	2016-10-08 19:01:35.82236	f
2132	118	2	2016-10-08 19:01:35.82236	f
2440	117	2	2016-10-08 19:01:35.82236	f
2201	104	2	2016-10-08 19:01:35.82236	f
2459	106	2	2016-10-08 19:01:35.82236	f
2463	111	2	2016-10-08 19:01:35.82236	f
2465	120	2	2016-10-08 19:01:35.82236	f
2563	69	2	2016-10-08 19:01:35.82236	f
2564	145	2	2016-10-08 19:01:35.82236	f
2565	130	2	2016-10-08 19:01:35.82236	f
2203	104	2	2016-10-08 19:01:35.82236	f
2205	110	2	2016-10-08 19:01:35.82236	f
2234	78	2	2016-10-08 19:01:35.82236	f
2566	69	2	2016-10-08 19:01:35.82236	f
2133	123	2	2016-10-08 19:01:35.82236	f
2567	145	2	2016-10-08 19:01:35.82236	f
2571	145	2	2016-10-08 19:01:35.82236	f
2135	12	2	2016-10-08 19:01:35.82236	f
2572	130	2	2016-10-08 19:01:35.82236	f
2710	119	2	2016-10-08 19:01:35.82236	f
2711	119	2	2016-10-08 19:01:35.82236	f
2712	119	2	2016-10-08 19:01:35.82236	f
2713	119	2	2016-10-08 19:01:35.82236	f
2816	93	2	2016-10-08 19:01:35.82236	f
2817	123	2	2016-10-08 19:01:35.82236	f
2836	119	2	2016-10-08 19:01:35.82236	f
2136	65	2	2016-10-08 19:01:35.82236	f
2320	12	2	2016-10-08 19:01:35.82236	f
2327	87	2	2016-10-08 19:01:35.82236	f
2328	69	2	2016-10-08 19:01:35.82236	f
2583	12	2	2016-10-08 19:01:35.82236	f
2329	145	2	2016-10-08 19:01:35.82236	f
2330	145	2	2016-10-08 19:01:35.82236	f
2331	146	2	2016-10-08 19:01:35.82236	f
2837	135	2	2016-10-08 19:01:35.82236	f
2332	146	2	2016-10-08 19:01:35.82236	f
2333	130	2	2016-10-08 19:01:35.82236	f
2838	144	2	2016-10-08 19:01:35.82236	f
2855	119	2	2016-10-08 19:01:35.82236	f
2861	117	2	2016-10-08 19:01:35.82236	f
2862	117	2	2016-10-08 19:01:35.82236	f
2334	104	2	2016-10-08 19:01:35.82236	f
2335	104	2	2016-10-08 19:01:35.82236	f
2336	104	2	2016-10-08 19:01:35.82236	f
2235	78	2	2016-10-08 19:01:35.82236	f
2236	78	2	2016-10-08 19:01:35.82236	f
2337	104	2	2016-10-08 19:01:35.82236	f
2338	87	2	2016-10-08 19:01:35.82236	f
2339	69	2	2016-10-08 19:01:35.82236	f
2340	69	2	2016-10-08 19:01:35.82236	f
2237	78	2	2016-10-08 19:01:35.82236	f
2238	78	2	2016-10-08 19:01:35.82236	f
2239	78	2	2016-10-08 19:01:35.82236	f
1774	111	2	2016-10-08 19:01:35.82236	f
1801	118	2	2016-10-08 19:01:35.82236	f
2295	145	2	2016-10-08 19:01:35.82236	f
1802	118	2	2016-10-08 19:01:35.82236	f
2296	12	2	2016-10-08 19:01:35.82236	f
2297	145	2	2016-10-08 19:01:35.82236	f
2299	146	2	2016-10-08 19:01:35.82236	f
2300	145	2	2016-10-08 19:01:35.82236	f
2304	123	2	2016-10-08 19:01:35.82236	f
1910	106	2	2016-10-08 19:01:35.82236	f
1911	106	2	2016-10-08 19:01:35.82236	f
2075	93	2	2016-10-08 19:01:35.82236	f
2076	123	2	2016-10-08 19:01:35.82236	f
2077	12	2	2016-10-08 19:01:35.82236	f
2087	118	2	2016-10-08 19:01:35.82236	f
2088	130	2	2016-10-08 19:01:35.82236	f
2089	87	2	2016-10-08 19:01:35.82236	f
2090	69	2	2016-10-08 19:01:35.82236	f
2092	118	2	2016-10-08 19:01:35.82236	f
2095	87	2	2016-10-08 19:01:35.82236	f
2096	118	2	2016-10-08 19:01:35.82236	f
2097	118	2	2016-10-08 19:01:35.82236	f
2307	87	2	2016-10-08 19:01:35.82236	f
2120	101	2	2016-10-08 19:01:35.82236	f
2126	2	2	2016-10-08 19:01:35.82236	f
2341	135	2	2016-10-08 19:01:35.82236	f
2342	137	2	2016-10-08 19:01:35.82236	f
2343	135	2	2016-10-08 19:01:35.82236	f
2344	143	2	2016-10-08 19:01:35.82236	f
2030	119	2	2016-10-08 19:01:35.82236	f
2031	119	2	2016-10-08 19:01:35.82236	f
2308	87	2	2016-10-08 19:01:35.82236	f
2032	110	2	2016-10-08 19:01:35.82236	f
2038	119	2	2016-10-08 19:01:35.82236	f
2903	119	2	2016-10-08 19:01:35.82236	f
2514	65	2	2016-10-08 19:01:35.82236	f
2515	148	2	2016-10-08 19:01:35.82236	f
2516	12	2	2016-10-08 19:01:35.82236	f
2871	119	2	2016-10-08 19:01:35.82236	f
2517	149	2	2016-10-08 19:01:35.82236	f
2518	149	2	2016-10-08 19:01:35.82236	f
2519	47	2	2016-10-08 19:01:35.82236	f
2520	149	2	2016-10-08 19:01:35.82236	f
2521	149	2	2016-10-08 19:01:35.82236	f
2522	149	2	2016-10-08 19:01:35.82236	f
2873	87	2	2016-10-08 19:01:35.82236	f
2874	87	2	2016-10-08 19:01:35.82236	f
2875	69	2	2016-10-08 19:01:35.82236	f
2876	145	2	2016-10-08 19:01:35.82236	f
2877	130	2	2016-10-08 19:01:35.82236	f
2878	87	2	2016-10-08 19:01:35.82236	f
2887	12	2	2016-10-08 19:01:35.82236	f
2888	65	2	2016-10-08 19:01:35.82236	f
2889	65	2	2016-10-08 19:01:35.82236	f
1316	102	2	2016-10-08 19:01:35.82236	f
1336	39	2	2016-10-08 19:01:35.82236	f
1362	83	2	2016-10-08 19:01:35.82236	f
1363	84	2	2016-10-08 19:01:35.82236	f
1364	83	2	2016-10-08 19:01:35.82236	f
1372	69	2	2016-10-08 19:01:35.82236	f
2523	149	2	2016-10-08 19:01:35.82236	f
2524	149	2	2016-10-08 19:01:35.82236	f
1375	69	2	2016-10-08 19:01:35.82236	f
2525	149	2	2016-10-08 19:01:35.82236	f
1382	90	2	2016-10-08 19:01:35.82236	f
2526	149	2	2016-10-08 19:01:35.82236	f
1385	84	2	2016-10-08 19:01:35.82236	f
2527	149	2	2016-10-08 19:01:35.82236	f
1386	83	2	2016-10-08 19:01:35.82236	f
2528	149	2	2016-10-08 19:01:35.82236	f
2529	119	2	2016-10-08 19:01:35.82236	f
2536	110	2	2016-10-08 19:01:35.82236	f
2537	119	2	2016-10-08 19:01:35.82236	f
2538	119	2	2016-10-08 19:01:35.82236	f
2574	145	2	2016-10-08 19:01:35.82236	f
2575	130	2	2016-10-08 19:01:35.82236	f
1387	87	2	2016-10-08 19:01:35.82236	f
1388	90	2	2016-10-08 19:01:35.82236	f
1389	69	2	2016-10-08 19:01:35.82236	f
1390	69	2	2016-10-08 19:01:35.82236	f
1391	90	2	2016-10-08 19:01:35.82236	f
1416	39	2	2016-10-08 19:01:35.82236	f
2271	140	2	2016-10-08 19:01:35.82236	f
2272	78	2	2016-10-08 19:01:35.82236	f
2273	135	2	2016-10-08 19:01:35.82236	f
2286	137	2	2016-10-08 19:01:35.82236	f
2287	135	2	2016-10-08 19:01:35.82236	f
2288	142	2	2016-10-08 19:01:35.82236	f
2289	104	2	2016-10-08 19:01:35.82236	f
2290	104	2	2016-10-08 19:01:35.82236	f
1424	12	2	2016-10-08 19:01:35.82236	f
1425	65	2	2016-10-08 19:01:35.82236	f
1426	105	2	2016-10-08 19:01:35.82236	f
1431	105	2	2016-10-08 19:01:35.82236	f
1432	105	2	2016-10-08 19:01:35.82236	f
1433	12	2	2016-10-08 19:01:35.82236	f
1434	65	2	2016-10-08 19:01:35.82236	f
2576	69	2	2016-10-08 19:01:35.82236	f
2577	145	2	2016-10-08 19:01:35.82236	f
2578	145	2	2016-10-08 19:01:35.82236	f
2579	130	2	2016-10-08 19:01:35.82236	f
2580	69	2	2016-10-08 19:01:35.82236	f
2581	145	2	2016-10-08 19:01:35.82236	f
2582	130	2	2016-10-08 19:01:35.82236	f
2345	134	2	2016-10-08 19:01:35.82236	f
2366	87	2	2016-10-08 19:01:35.82236	f
2367	69	2	2016-10-08 19:01:35.82236	f
2368	145	2	2016-10-08 19:01:35.82236	f
2369	146	2	2016-10-08 19:01:35.82236	f
2370	118	2	2016-10-08 19:01:35.82236	f
2371	93	2	2016-10-08 19:01:35.82236	f
2372	130	2	2016-10-08 19:01:35.82236	f
2373	39	2	2016-10-08 19:01:35.82236	f
2648	65	2	2016-10-08 19:01:35.82236	f
2649	65	2	2016-10-08 19:01:35.82236	f
2650	65	2	2016-10-08 19:01:35.82236	f
2429	105	2	2016-10-08 19:01:35.82236	f
2430	105	2	2016-10-08 19:01:35.82236	f
2510	110	2	2016-10-08 19:01:35.82236	f
2511	86	2	2016-10-08 19:01:35.82236	f
2513	12	2	2016-10-08 19:01:35.82236	f
2544	148	2	2016-10-08 19:01:35.82236	f
907	71	2	2016-10-08 19:01:35.82236	\N
908	12	2	2016-10-08 19:01:35.82236	\N
909	12	2	2016-10-08 19:01:35.82236	\N
2131	93	2	2016-10-08 19:01:35.82236	f
2891	87	2	2016-10-08 19:01:35.82236	f
2892	69	2	2016-10-08 19:01:35.82236	f
2893	145	2	2016-10-08 19:01:35.82236	f
2894	130	2	2016-10-08 19:01:35.82236	f
2589	89	2	2016-10-08 19:01:35.82236	f
2590	90	2	2016-10-08 19:01:35.82236	f
2545	86	2	2016-10-08 19:01:35.82236	f
2547	119	2	2016-10-08 19:01:35.82236	f
2548	119	2	2016-10-08 19:01:35.82236	f
2591	69	2	2016-10-08 19:01:35.82236	f
2592	123	2	2016-10-08 19:01:35.82236	f
2593	69	2	2016-10-08 19:01:35.82236	f
2594	87	2	2016-10-08 19:01:35.82236	f
2595	69	2	2016-10-08 19:01:35.82236	f
2596	145	2	2016-10-08 19:01:35.82236	f
2376	69	2	2016-10-08 19:01:35.82236	f
2377	135	2	2016-10-08 19:01:35.82236	f
2549	12	2	2016-10-08 19:01:35.82236	f
2378	137	2	2016-10-08 19:01:35.82236	f
2550	87	2	2016-10-08 19:01:35.82236	f
2379	135	2	2016-10-08 19:01:35.82236	f
2551	12	2	2016-10-08 19:01:35.82236	f
2552	65	2	2016-10-08 19:01:35.82236	f
2553	65	2	2016-10-08 19:01:35.82236	f
2554	65	2	2016-10-08 19:01:35.82236	f
2725	119	2	2016-10-08 19:01:35.82236	f
2726	110	2	2016-10-08 19:01:35.82236	f
2727	119	2	2016-10-08 19:01:35.82236	f
2728	119	2	2016-10-08 19:01:35.82236	f
2730	93	2	2016-10-08 19:01:35.82236	f
2731	123	2	2016-10-08 19:01:35.82236	f
2732	148	2	2016-10-08 19:01:35.82236	f
2818	93	2	2016-10-08 19:01:35.82236	f
2819	123	2	2016-10-08 19:01:35.82236	f
2380	143	2	2016-10-08 19:01:35.82236	f
2381	93	2	2016-10-08 19:01:35.82236	f
2382	134	2	2016-10-08 19:01:35.82236	f
2383	104	2	2016-10-08 19:01:35.82236	f
2384	104	2	2016-10-08 19:01:35.82236	f
2385	104	2	2016-10-08 19:01:35.82236	f
2389	105	2	2016-10-08 19:01:35.82236	f
2390	105	2	2016-10-08 19:01:35.82236	f
2391	105	2	2016-10-08 19:01:35.82236	f
2396	105	2	2016-10-08 19:01:35.82236	f
2397	105	2	2016-10-08 19:01:35.82236	f
2398	105	2	2016-10-08 19:01:35.82236	f
2415	105	2	2016-10-08 19:01:35.82236	f
2416	105	2	2016-10-08 19:01:35.82236	f
2670	146	2	2016-10-08 19:01:35.82236	f
2683	89	2	2016-10-08 19:01:35.82236	f
2427	105	2	2016-10-08 19:01:35.82236	f
2428	105	2	2016-10-08 19:01:35.82236	f
2684	149	2	2016-10-08 19:01:35.82236	f
2685	89	2	2016-10-08 19:01:35.82236	f
2686	135	2	2016-10-08 19:01:35.82236	f
2431	105	2	2016-10-08 19:01:35.82236	f
2687	137	2	2016-10-08 19:01:35.82236	f
2690	134	2	2016-10-08 19:01:35.82236	f
2693	110	2	2016-10-08 19:01:35.82236	f
2694	110	2	2016-10-08 19:01:35.82236	f
2695	86	2	2016-10-08 19:01:35.82236	f
2530	119	2	2016-10-08 19:01:35.82236	f
2531	119	2	2016-10-08 19:01:35.82236	f
2532	119	2	2016-10-08 19:01:35.82236	f
2533	119	2	2016-10-08 19:01:35.82236	f
2534	119	2	2016-10-08 19:01:35.82236	f
2535	119	2	2016-10-08 19:01:35.82236	f
2539	110	2	2016-10-08 19:01:35.82236	f
2540	86	2	2016-10-08 19:01:35.82236	f
2541	119	2	2016-10-08 19:01:35.82236	f
2542	148	2	2016-10-08 19:01:35.82236	f
2543	148	2	2016-10-08 19:01:35.82236	f
2820	118	2	2016-10-08 19:01:35.82236	f
2821	87	2	2016-10-08 19:01:35.82236	f
2822	69	2	2016-10-08 19:01:35.82236	f
2823	145	2	2016-10-08 19:01:35.82236	f
1546	106	2	2016-10-08 19:01:35.82236	f
2824	130	2	2016-10-08 19:01:35.82236	f
1547	106	2	2016-10-08 19:01:35.82236	f
1548	12	2	2016-10-08 19:01:35.82236	f
1549	12	2	2016-10-08 19:01:35.82236	f
2825	146	2	2016-10-08 19:01:35.82236	f
2826	118	2	2016-10-08 19:01:35.82236	f
2827	135	2	2016-10-08 19:01:35.82236	f
2828	137	2	2016-10-08 19:01:35.82236	f
2841	104	2	2016-10-08 19:01:35.82236	f
2865	78	2	2016-10-08 19:01:35.82236	f
2866	117	2	2016-10-08 19:01:35.82236	f
2867	111	2	2016-10-08 19:01:35.82236	f
1550	65	2	2016-10-08 19:01:35.82236	f
1551	87	2	2016-10-08 19:01:35.82236	f
1552	87	2	2016-10-08 19:01:35.82236	f
2597	145	2	2016-10-08 19:01:35.82236	f
2636	65	2	2016-10-08 19:01:35.82236	f
2637	65	2	2016-10-08 19:01:35.82236	f
2638	65	2	2016-10-08 19:01:35.82236	f
2392	105	2	2016-10-08 19:01:35.82236	f
2393	105	2	2016-10-08 19:01:35.82236	f
2394	105	2	2016-10-08 19:01:35.82236	f
2395	105	2	2016-10-08 19:01:35.82236	f
2642	65	2	2016-10-08 19:01:35.82236	f
274	12	2	2016-10-08 19:01:35.82236	\N
292	41	2	2016-10-08 19:01:35.82236	\N
306	41	2	2016-10-08 19:01:35.82236	\N
706	12	2	2016-10-08 19:01:35.82236	\N
723	12	2	2016-10-08 19:01:35.82236	\N
725	55	2	2016-10-08 19:01:35.82236	\N
726	55	2	2016-10-08 19:01:35.82236	\N
728	55	2	2016-10-08 19:01:35.82236	\N
734	55	2	2016-10-08 19:01:35.82236	\N
743	55	2	2016-10-08 19:01:35.82236	\N
763	55	2	2016-10-08 19:01:35.82236	\N
764	12	2	2016-10-08 19:01:35.82236	\N
769	12	2	2016-10-08 19:01:35.82236	\N
2643	65	2	2016-10-08 19:01:35.82236	f
2646	65	2	2016-10-08 19:01:35.82236	f
2647	65	2	2016-10-08 19:01:35.82236	f
2651	65	2	2016-10-08 19:01:35.82236	f
2652	65	2	2016-10-08 19:01:35.82236	f
2653	65	2	2016-10-08 19:01:35.82236	f
771	55	2	2016-10-08 19:01:35.82236	\N
772	59	2	2016-10-08 19:01:35.82236	\N
837	65	2	2016-10-08 19:01:35.82236	\N
2895	39	2	2016-10-08 19:01:35.82236	f
1067	78	2	2016-10-08 19:01:35.82236	\N
1068	12	2	2016-10-08 19:01:35.82236	\N
1165	39	2	2016-10-08 19:01:35.82236	\N
2654	65	2	2016-10-08 19:01:35.82236	f
2655	65	2	2016-10-08 19:01:35.82236	f
2896	84	2	2016-10-08 19:01:35.82236	f
1185	39	2	2016-10-08 19:01:35.82236	\N
1195	87	2	2016-10-08 19:01:35.82236	\N
1198	12	2	2016-10-08 19:01:35.82236	\N
1261	89	2	2016-10-08 19:01:35.82236	f
1807	90	2	2016-10-08 19:01:35.82236	f
1833	118	2	2016-10-08 19:01:35.82236	f
1435	12	2	2016-10-08 19:01:35.82236	f
1436	65	2	2016-10-08 19:01:35.82236	f
1438	107	2	2016-10-08 19:01:35.82236	f
1439	107	2	2016-10-08 19:01:35.82236	f
1511	101	2	2016-10-08 19:01:35.82236	f
1512	101	2	2016-10-08 19:01:35.82236	f
1513	101	2	2016-10-08 19:01:35.82236	f
1521	12	2	2016-10-08 19:01:35.82236	f
1535	110	2	2016-10-08 19:01:35.82236	f
1536	110	2	2016-10-08 19:01:35.82236	f
1537	110	2	2016-10-08 19:01:35.82236	f
1538	110	2	2016-10-08 19:01:35.82236	f
1539	110	2	2016-10-08 19:01:35.82236	f
1540	110	2	2016-10-08 19:01:35.82236	f
1541	110	2	2016-10-08 19:01:35.82236	f
2897	83	2	2016-10-08 19:01:35.82236	f
2417	105	2	2016-10-08 19:01:35.82236	f
1543	87	2	2016-10-08 19:01:35.82236	f
1544	87	2	2016-10-08 19:01:35.82236	f
1545	87	2	2016-10-08 19:01:35.82236	f
2659	87	2	2016-10-08 19:01:35.82236	f
2661	145	2	2016-10-08 19:01:35.82236	f
2662	130	2	2016-10-08 19:01:35.82236	f
2663	118	2	2016-10-08 19:01:35.82236	f
2418	105	2	2016-10-08 19:01:35.82236	f
2419	105	2	2016-10-08 19:01:35.82236	f
2420	105	2	2016-10-08 19:01:35.82236	f
2421	105	2	2016-10-08 19:01:35.82236	f
2422	105	2	2016-10-08 19:01:35.82236	f
2423	105	2	2016-10-08 19:01:35.82236	f
2698	110	2	2016-10-08 19:01:35.82236	f
2699	86	2	2016-10-08 19:01:35.82236	f
2700	119	2	2016-10-08 19:01:35.82236	f
2701	119	2	2016-10-08 19:01:35.82236	f
2879	69	2	2016-10-08 19:01:35.82236	f
773	12	2	2016-10-08 19:01:35.82236	\N
887	69	2	2016-10-08 19:01:35.82236	\N
2183	137	2	2016-10-08 19:01:35.82236	f
2660	69	2	2016-10-08 19:01:35.82236	f
2664	149	2	2016-10-08 19:01:35.82236	f
2665	149	2	2016-10-08 19:01:35.82236	f
2666	87	2	2016-10-08 19:01:35.82236	f
2667	69	2	2016-10-08 19:01:35.82236	f
2898	69	2	2016-10-08 19:01:35.82236	f
2668	145	2	2016-10-08 19:01:35.82236	f
2899	135	2	2016-10-08 19:01:35.82236	f
894	2	2	2016-10-08 19:01:35.82236	\N
896	39	2	2016-10-08 19:01:35.82236	\N
1011	12	2	2016-10-08 19:01:35.82236	\N
2669	130	2	2016-10-08 19:01:35.82236	f
2671	93	2	2016-10-08 19:01:35.82236	f
2672	123	2	2016-10-08 19:01:35.82236	f
2673	39	2	2016-10-08 19:01:35.82236	f
2839	119	2	2016-10-08 19:01:35.82236	f
2840	119	2	2016-10-08 19:01:35.82236	f
1278	39	2	2016-10-08 19:01:35.82236	f
1283	71	2	2016-10-08 19:01:35.82236	f
1284	69	2	2016-10-08 19:01:35.82236	f
1285	87	2	2016-10-08 19:01:35.82236	f
1286	89	2	2016-10-08 19:01:35.82236	f
1287	84	2	2016-10-08 19:01:35.82236	f
1288	90	2	2016-10-08 19:01:35.82236	f
1289	84	2	2016-10-08 19:01:35.82236	f
1290	39	2	2016-10-08 19:01:35.82236	f
1291	84	2	2016-10-08 19:01:35.82236	f
1292	83	2	2016-10-08 19:01:35.82236	f
1293	69	2	2016-10-08 19:01:35.82236	f
1294	69	2	2016-10-08 19:01:35.82236	f
1304	87	2	2016-10-08 19:01:35.82236	f
1306	90	2	2016-10-08 19:01:35.82236	f
1849	12	2	2016-10-08 19:01:35.82236	f
1447	106	2	2016-10-08 19:01:35.82236	f
1448	106	2	2016-10-08 19:01:35.82236	f
1450	12	2	2016-10-08 19:01:35.82236	f
1452	12	2	2016-10-08 19:01:35.82236	f
1464	87	2	2016-10-08 19:01:35.82236	f
1465	69	2	2016-10-08 19:01:35.82236	f
1467	89	2	2016-10-08 19:01:35.82236	f
1514	101	2	2016-10-08 19:01:35.82236	f
1515	101	2	2016-10-08 19:01:35.82236	f
1516	87	2	2016-10-08 19:01:35.82236	f
1517	87	2	2016-10-08 19:01:35.82236	f
1518	87	2	2016-10-08 19:01:35.82236	f
1519	87	2	2016-10-08 19:01:35.82236	f
1553	79	2	2016-10-08 19:01:35.82236	f
2584	93	2	2016-10-08 19:01:35.82236	f
2585	87	2	2016-10-08 19:01:35.82236	f
2586	87	2	2016-10-08 19:01:35.82236	f
2587	87	2	2016-10-08 19:01:35.82236	f
2588	89	2	2016-10-08 19:01:35.82236	f
2633	65	2	2016-10-08 19:01:35.82236	f
2634	65	2	2016-10-08 19:01:35.82236	f
2635	65	2	2016-10-08 19:01:35.82236	f
2174	135	2	2016-10-08 19:01:35.82236	f
2175	137	2	2016-10-08 19:01:35.82236	f
2176	135	2	2016-10-08 19:01:35.82236	f
2177	137	2	2016-10-08 19:01:35.82236	f
2178	135	2	2016-10-08 19:01:35.82236	f
2179	137	2	2016-10-08 19:01:35.82236	f
2180	135	2	2016-10-08 19:01:35.82236	f
2181	137	2	2016-10-08 19:01:35.82236	f
2182	135	2	2016-10-08 19:01:35.82236	f
897	39	2	2016-10-08 19:01:35.82236	\N
898	39	2	2016-10-08 19:01:35.82236	\N
899	39	2	2016-10-08 19:01:35.82236	\N
900	65	2	2016-10-08 19:01:35.82236	\N
2435	146	2	2016-10-08 19:01:35.82236	f
901	12	2	2016-10-08 19:01:35.82236	\N
902	65	2	2016-10-08 19:01:35.82236	\N
903	71	2	2016-10-08 19:01:35.82236	\N
2451	106	2	2016-10-08 19:01:35.82236	f
2486	101	2	2016-10-08 19:01:35.82236	f
2489	86	2	2016-10-08 19:01:35.82236	f
2490	86	2	2016-10-08 19:01:35.82236	f
2491	86	2	2016-10-08 19:01:35.82236	f
2493	87	2	2016-10-08 19:01:35.82236	f
2501	110	2	2016-10-08 19:01:35.82236	f
2502	110	2	2016-10-08 19:01:35.82236	f
2503	119	2	2016-10-08 19:01:35.82236	f
2505	110	2	2016-10-08 19:01:35.82236	f
2506	86	2	2016-10-08 19:01:35.82236	f
2507	110	2	2016-10-08 19:01:35.82236	f
2508	110	2	2016-10-08 19:01:35.82236	f
2737	106	2	2016-10-08 19:01:35.82236	f
2738	117	2	2016-10-08 19:01:35.82236	f
2739	69	2	2016-10-08 19:01:35.82236	f
2740	12	2	2016-10-08 19:01:35.82236	f
2832	119	2	2016-10-08 19:01:35.82236	f
2863	111	2	2016-10-08 19:01:35.82236	f
2864	140	2	2016-10-08 19:01:35.82236	f
2274	143	2	2016-10-08 19:01:35.82236	f
2275	134	2	2016-10-08 19:01:35.82236	f
2276	12	2	2016-10-08 19:01:35.82236	f
2277	105	2	2016-10-08 19:01:35.82236	f
2278	135	2	2016-10-08 19:01:35.82236	f
2279	144	2	2016-10-08 19:01:35.82236	f
2280	134	2	2016-10-08 19:01:35.82236	f
2281	104	2	2016-10-08 19:01:35.82236	f
2282	135	2	2016-10-08 19:01:35.82236	f
2284	134	2	2016-10-08 19:01:35.82236	f
1962	93	2	2016-10-08 19:01:35.82236	f
1963	123	2	2016-10-08 19:01:35.82236	f
1964	93	2	2016-10-08 19:01:35.82236	f
1965	123	2	2016-10-08 19:01:35.82236	f
1966	12	2	2016-10-08 19:01:35.82236	f
2098	118	2	2016-10-08 19:01:35.82236	f
2099	12	2	2016-10-08 19:01:35.82236	f
2100	12	2	2016-10-08 19:01:35.82236	f
1978	2	2	2016-10-08 19:01:35.82236	f
2101	65	2	2016-10-08 19:01:35.82236	f
1979	118	2	2016-10-08 19:01:35.82236	f
1985	93	2	2016-10-08 19:01:35.82236	f
1986	123	2	2016-10-08 19:01:35.82236	f
1988	119	2	2016-10-08 19:01:35.82236	f
1989	12	2	2016-10-08 19:01:35.82236	f
2602	65	2	2016-10-08 19:01:35.82236	f
2603	65	2	2016-10-08 19:01:35.82236	f
2604	65	2	2016-10-08 19:01:35.82236	f
2605	65	2	2016-10-08 19:01:35.82236	f
2608	65	2	2016-10-08 19:01:35.82236	f
2612	65	2	2016-10-08 19:01:35.82236	f
2613	65	2	2016-10-08 19:01:35.82236	f
2617	65	2	2016-10-08 19:01:35.82236	f
2039	119	2	2016-10-08 19:01:35.82236	f
2044	119	2	2016-10-08 19:01:35.82236	f
2156	135	2	2016-10-08 19:01:35.82236	f
2157	137	2	2016-10-08 19:01:35.82236	f
2158	135	2	2016-10-08 19:01:35.82236	f
2159	137	2	2016-10-08 19:01:35.82236	f
2160	135	2	2016-10-08 19:01:35.82236	f
2161	137	2	2016-10-08 19:01:35.82236	f
2162	135	2	2016-10-08 19:01:35.82236	f
2163	137	2	2016-10-08 19:01:35.82236	f
2164	135	2	2016-10-08 19:01:35.82236	f
2165	137	2	2016-10-08 19:01:35.82236	f
2167	135	2	2016-10-08 19:01:35.82236	f
2045	119	2	2016-10-08 19:01:35.82236	f
2399	105	2	2016-10-08 19:01:35.82236	f
2400	105	2	2016-10-08 19:01:35.82236	f
2401	105	2	2016-10-08 19:01:35.82236	f
2402	105	2	2016-10-08 19:01:35.82236	f
2403	105	2	2016-10-08 19:01:35.82236	f
2704	119	2	2016-10-08 19:01:35.82236	f
2705	119	2	2016-10-08 19:01:35.82236	f
2706	119	2	2016-10-08 19:01:35.82236	f
2707	119	2	2016-10-08 19:01:35.82236	f
2708	119	2	2016-10-08 19:01:35.82236	f
2709	119	2	2016-10-08 19:01:35.82236	f
2434	130	2	2016-10-08 19:01:35.82236	f
775	12	2	2016-10-08 19:01:35.82236	\N
778	65	2	2016-10-08 19:01:35.82236	\N
779	65	2	2016-10-08 19:01:35.82236	\N
780	65	2	2016-10-08 19:01:35.82236	\N
784	47	2	2016-10-08 19:01:35.82236	\N
788	12	2	2016-10-08 19:01:35.82236	\N
789	67	2	2016-10-08 19:01:35.82236	\N
790	65	2	2016-10-08 19:01:35.82236	\N
791	65	2	2016-10-08 19:01:35.82236	\N
792	65	2	2016-10-08 19:01:35.82236	\N
794	55	2	2016-10-08 19:01:35.82236	\N
800	55	2	2016-10-08 19:01:35.82236	\N
801	55	2	2016-10-08 19:01:35.82236	\N
802	65	2	2016-10-08 19:01:35.82236	\N
1468	84	2	2016-10-08 19:01:35.82236	f
1469	90	2	2016-10-08 19:01:35.82236	f
1470	83	2	2016-10-08 19:01:35.82236	f
1471	69	2	2016-10-08 19:01:35.82236	f
1913	117	2	2016-10-08 19:01:35.82236	f
1510	101	2	2016-10-08 19:01:35.82236	f
1968	12	2	2016-10-08 19:01:35.82236	f
1970	126	2	2016-10-08 19:01:35.82236	f
1971	93	2	2016-10-08 19:01:35.82236	f
1972	123	2	2016-10-08 19:01:35.82236	f
1973	123	2	2016-10-08 19:01:35.82236	f
1975	65	2	2016-10-08 19:01:35.82236	f
1977	12	2	2016-10-08 19:01:35.82236	f
1554	101	2	2016-10-08 19:01:35.82236	f
1556	101	2	2016-10-08 19:01:35.82236	f
1559	87	2	2016-10-08 19:01:35.82236	f
1560	79	2	2016-10-08 19:01:35.82236	f
2137	139	2	2016-10-08 19:01:35.82236	f
2138	139	2	2016-10-08 19:01:35.82236	f
2139	139	2	2016-10-08 19:01:35.82236	f
2144	135	2	2016-10-08 19:01:35.82236	f
2145	137	2	2016-10-08 19:01:35.82236	f
2146	135	2	2016-10-08 19:01:35.82236	f
2147	137	2	2016-10-08 19:01:35.82236	f
838	65	2	2016-10-08 19:01:35.82236	\N
849	41	2	2016-10-08 19:01:35.82236	\N
851	41	2	2016-10-08 19:01:35.82236	\N
852	41	2	2016-10-08 19:01:35.82236	\N
853	41	2	2016-10-08 19:01:35.82236	\N
854	2	2	2016-10-08 19:01:35.82236	\N
855	2	2	2016-10-08 19:01:35.82236	\N
856	2	2	2016-10-08 19:01:35.82236	\N
864	65	2	2016-10-08 19:01:35.82236	\N
865	12	2	2016-10-08 19:01:35.82236	\N
866	65	2	2016-10-08 19:01:35.82236	\N
1307	90	2	2016-10-08 19:01:35.82236	f
1308	90	2	2016-10-08 19:01:35.82236	f
1337	84	2	2016-10-08 19:01:35.82236	f
1338	83	2	2016-10-08 19:01:35.82236	f
1347	39	2	2016-10-08 19:01:35.82236	f
1348	84	2	2016-10-08 19:01:35.82236	f
1349	83	2	2016-10-08 19:01:35.82236	f
1393	12	2	2016-10-08 19:01:35.82236	f
1394	65	2	2016-10-08 19:01:35.82236	f
1395	65	2	2016-10-08 19:01:35.82236	f
1396	104	2	2016-10-08 19:01:35.82236	f
1398	104	2	2016-10-08 19:01:35.82236	f
1400	104	2	2016-10-08 19:01:35.82236	f
1401	104	2	2016-10-08 19:01:35.82236	f
1402	104	2	2016-10-08 19:01:35.82236	f
1403	104	2	2016-10-08 19:01:35.82236	f
1404	87	2	2016-10-08 19:01:35.82236	f
1406	89	2	2016-10-08 19:01:35.82236	f
1407	90	2	2016-10-08 19:01:35.82236	f
1408	69	2	2016-10-08 19:01:35.82236	f
1409	69	2	2016-10-08 19:01:35.82236	f
1410	69	2	2016-10-08 19:01:35.82236	f
1411	69	2	2016-10-08 19:01:35.82236	f
2148	135	2	2016-10-08 19:01:35.82236	f
2149	137	2	2016-10-08 19:01:35.82236	f
2150	135	2	2016-10-08 19:01:35.82236	f
2187	135	2	2016-10-08 19:01:35.82236	f
2188	137	2	2016-10-08 19:01:35.82236	f
2189	135	2	2016-10-08 19:01:35.82236	f
2190	137	2	2016-10-08 19:01:35.82236	f
2674	84	2	2016-10-08 19:01:35.82236	f
2675	83	2	2016-10-08 19:01:35.82236	f
2676	87	2	2016-10-08 19:01:35.82236	f
1413	102	2	2016-10-08 19:01:35.82236	f
1414	90	2	2016-10-08 19:01:35.82236	f
1415	91	2	2016-10-08 19:01:35.82236	f
1417	84	2	2016-10-08 19:01:35.82236	f
1418	90	2	2016-10-08 19:01:35.82236	f
1419	91	2	2016-10-08 19:01:35.82236	f
1420	101	2	2016-10-08 19:01:35.82236	f
2152	135	2	2016-10-08 19:01:35.82236	f
2153	137	2	2016-10-08 19:01:35.82236	f
2154	135	2	2016-10-08 19:01:35.82236	f
2155	137	2	2016-10-08 19:01:35.82236	f
2184	135	2	2016-10-08 19:01:35.82236	f
2185	137	2	2016-10-08 19:01:35.82236	f
2186	134	2	2016-10-08 19:01:35.82236	f
2688	135	2	2016-10-08 19:01:35.82236	f
2880	87	2	2016-10-08 19:01:35.82236	f
904	71	2	2016-10-08 19:01:35.82236	\N
905	71	2	2016-10-08 19:01:35.82236	\N
906	71	2	2016-10-08 19:01:35.82236	\N
910	65	2	2016-10-08 19:01:35.82236	\N
911	65	2	2016-10-08 19:01:35.82236	\N
912	72	2	2016-10-08 19:01:35.82236	\N
1318	102	2	2016-10-08 19:01:35.82236	f
1319	84	2	2016-10-08 19:01:35.82236	f
2206	110	2	2016-10-08 19:01:35.82236	f
2207	110	2	2016-10-08 19:01:35.82236	f
1607	106	2	2016-10-08 19:01:35.82236	f
1608	105	2	2016-10-08 19:01:35.82236	f
1341	84	2	2016-10-08 19:01:35.82236	f
1609	105	2	2016-10-08 19:01:35.82236	f
2433	145	2	2016-10-08 19:01:35.82236	f
2689	143	2	2016-10-08 19:01:35.82236	f
2558	12	2	2016-10-08 19:01:35.82236	f
2559	151	2	2016-10-08 19:01:35.82236	f
1342	83	2	2016-10-08 19:01:35.82236	f
1610	87	2	2016-10-08 19:01:35.82236	f
1611	87	2	2016-10-08 19:01:35.82236	f
1612	89	2	2016-10-08 19:01:35.82236	f
1613	89	2	2016-10-08 19:01:35.82236	f
1614	90	2	2016-10-08 19:01:35.82236	f
2560	69	2	2016-10-08 19:01:35.82236	f
2561	145	2	2016-10-08 19:01:35.82236	f
2562	130	2	2016-10-08 19:01:35.82236	f
2733	148	2	2016-10-08 19:01:35.82236	f
1615	69	2	2016-10-08 19:01:35.82236	f
2208	110	2	2016-10-08 19:01:35.82236	f
2209	110	2	2016-10-08 19:01:35.82236	f
2210	86	2	2016-10-08 19:01:35.82236	f
2211	110	2	2016-10-08 19:01:35.82236	f
2212	110	2	2016-10-08 19:01:35.82236	f
2213	86	2	2016-10-08 19:01:35.82236	f
2734	119	2	2016-10-08 19:01:35.82236	f
2735	119	2	2016-10-08 19:01:35.82236	f
2843	119	2	2016-10-08 19:01:35.82236	f
1370	90	2	2016-10-08 19:01:35.82236	f
1384	39	2	2016-10-08 19:01:35.82236	f
2283	137	2	2016-10-08 19:01:35.82236	f
1803	118	2	2016-10-08 19:01:35.82236	f
2301	146	2	2016-10-08 19:01:35.82236	f
2302	118	2	2016-10-08 19:01:35.82236	f
2303	93	2	2016-10-08 19:01:35.82236	f
1852	119	2	2016-10-08 19:01:35.82236	f
1898	105	2	2016-10-08 19:01:35.82236	f
1900	120	2	2016-10-08 19:01:35.82236	f
1901	120	2	2016-10-08 19:01:35.82236	f
1902	117	2	2016-10-08 19:01:35.82236	f
1903	111	2	2016-10-08 19:01:35.82236	f
1904	65	2	2016-10-08 19:01:35.82236	f
1905	65	2	2016-10-08 19:01:35.82236	f
1561	87	2	2016-10-08 19:01:35.82236	f
1562	87	2	2016-10-08 19:01:35.82236	f
1563	79	2	2016-10-08 19:01:35.82236	f
1564	101	2	2016-10-08 19:01:35.82236	f
2844	119	2	2016-10-08 19:01:35.82236	f
1569	101	2	2016-10-08 19:01:35.82236	f
1570	101	2	2016-10-08 19:01:35.82236	f
1571	65	2	2016-10-08 19:01:35.82236	f
1575	65	2	2016-10-08 19:01:35.82236	f
1576	86	2	2016-10-08 19:01:35.82236	f
2845	119	2	2016-10-08 19:01:35.82236	f
2846	119	2	2016-10-08 19:01:35.82236	f
2847	119	2	2016-10-08 19:01:35.82236	f
2848	119	2	2016-10-08 19:01:35.82236	f
2849	119	2	2016-10-08 19:01:35.82236	f
2850	119	2	2016-10-08 19:01:35.82236	f
2851	119	2	2016-10-08 19:01:35.82236	f
2852	110	2	2016-10-08 19:01:35.82236	f
2853	86	2	2016-10-08 19:01:35.82236	f
2854	119	2	2016-10-08 19:01:35.82236	f
1577	87	2	2016-10-08 19:01:35.82236	f
1578	79	2	2016-10-08 19:01:35.82236	f
1579	110	2	2016-10-08 19:01:35.82236	f
1580	78	2	2016-10-08 19:01:35.82236	f
1581	87	2	2016-10-08 19:01:35.82236	f
1582	89	2	2016-10-08 19:01:35.82236	f
2598	145	2	2016-10-08 19:01:35.82236	f
2599	130	2	2016-10-08 19:01:35.82236	f
2868	93	2	2016-10-08 19:01:35.82236	f
2869	93	2	2016-10-08 19:01:35.82236	f
2870	119	2	2016-10-08 19:01:35.82236	f
2151	137	2	2016-10-08 19:01:35.82236	f
988	75	2	2016-10-08 19:01:35.82236	\N
1003	12	2	2016-10-08 19:01:35.82236	\N
1078	12	2	2016-10-08 19:01:35.82236	\N
1088	12	2	2016-10-08 19:01:35.82236	\N
1089	65	2	2016-10-08 19:01:35.82236	\N
1090	39	2	2016-10-08 19:01:35.82236	\N
1091	84	2	2016-10-08 19:01:35.82236	\N
1093	84	2	2016-10-08 19:01:35.82236	\N
1095	70	2	2016-10-08 19:01:35.82236	\N
1096	39	2	2016-10-08 19:01:35.82236	\N
1199	89	2	2016-10-08 19:01:35.82236	\N
1204	87	2	2016-10-08 19:01:35.82236	\N
1205	89	2	2016-10-08 19:01:35.82236	\N
1206	89	2	2016-10-08 19:01:35.82236	\N
1252	59	2	2016-10-08 19:01:35.82236	f
1257	87	2	2016-10-08 19:01:35.82236	f
1258	87	2	2016-10-08 19:01:35.82236	f
1644	90	2	2016-10-08 19:01:35.82236	f
1645	69	2	2016-10-08 19:01:35.82236	f
1918	119	2	2016-10-08 19:01:35.82236	f
1919	12	2	2016-10-08 19:01:35.82236	f
1922	93	2	2016-10-08 19:01:35.82236	f
1924	118	2	2016-10-08 19:01:35.82236	f
1925	89	2	2016-10-08 19:01:35.82236	f
1926	90	2	2016-10-08 19:01:35.82236	f
1927	87	2	2016-10-08 19:01:35.82236	f
1930	93	2	2016-10-08 19:01:35.82236	f
1931	118	2	2016-10-08 19:01:35.82236	f
1933	93	2	2016-10-08 19:01:35.82236	f
1934	93	2	2016-10-08 19:01:35.82236	f
1935	93	2	2016-10-08 19:01:35.82236	f
1936	93	2	2016-10-08 19:01:35.82236	f
1940	93	2	2016-10-08 19:01:35.82236	f
1941	12	2	2016-10-08 19:01:35.82236	f
1945	123	2	2016-10-08 19:01:35.82236	f
1946	123	2	2016-10-08 19:01:35.82236	f
1947	123	2	2016-10-08 19:01:35.82236	f
1948	123	2	2016-10-08 19:01:35.82236	f
1954	12	2	2016-10-08 19:01:35.82236	f
1584	89	2	2016-10-08 19:01:35.82236	f
1585	90	2	2016-10-08 19:01:35.82236	f
1586	69	2	2016-10-08 19:01:35.82236	f
1587	39	2	2016-10-08 19:01:35.82236	f
1588	84	2	2016-10-08 19:01:35.82236	f
1589	84	2	2016-10-08 19:01:35.82236	f
1590	83	2	2016-10-08 19:01:35.82236	f
1591	87	2	2016-10-08 19:01:35.82236	f
1592	89	2	2016-10-08 19:01:35.82236	f
1593	69	2	2016-10-08 19:01:35.82236	f
1597	104	2	2016-10-08 19:01:35.82236	f
2834	86	2	2016-10-08 19:01:35.82236	f
2835	104	2	2016-10-08 19:01:35.82236	f
2859	148	2	2016-10-08 19:01:35.82236	f
2860	106	2	2016-10-08 19:01:35.82236	f
885	47	2	2016-10-08 19:01:35.82236	\N
895	39	2	2016-10-08 19:01:35.82236	\N
940	73	2	2016-10-08 19:01:35.82236	\N
941	73	2	2016-10-08 19:01:35.82236	\N
942	73	2	2016-10-08 19:01:35.82236	\N
1259	87	2	2016-10-08 19:01:35.82236	f
1260	87	2	2016-10-08 19:01:35.82236	f
2200	104	2	2016-10-08 19:01:35.82236	f
2214	110	2	2016-10-08 19:01:35.82236	f
2215	86	2	2016-10-08 19:01:35.82236	f
2216	78	2	2016-10-08 19:01:35.82236	f
2217	12	2	2016-10-08 19:01:35.82236	f
2218	140	2	2016-10-08 19:01:35.82236	f
2219	65	2	2016-10-08 19:01:35.82236	f
2221	140	2	2016-10-08 19:01:35.82236	f
2222	65	2	2016-10-08 19:01:35.82236	f
2223	78	2	2016-10-08 19:01:35.82236	f
2224	78	2	2016-10-08 19:01:35.82236	f
2225	78	2	2016-10-08 19:01:35.82236	f
2226	78	2	2016-10-08 19:01:35.82236	f
2227	78	2	2016-10-08 19:01:35.82236	f
2228	78	2	2016-10-08 19:01:35.82236	f
2229	78	2	2016-10-08 19:01:35.82236	f
2230	78	2	2016-10-08 19:01:35.82236	f
1908	65	2	2016-10-08 19:01:35.82236	f
2055	12	2	2016-10-08 19:01:35.82236	f
2062	93	2	2016-10-08 19:01:35.82236	f
2063	93	2	2016-10-08 19:01:35.82236	f
2064	123	2	2016-10-08 19:01:35.82236	f
2065	118	2	2016-10-08 19:01:35.82236	f
2066	93	2	2016-10-08 19:01:35.82236	f
2067	123	2	2016-10-08 19:01:35.82236	f
2068	93	2	2016-10-08 19:01:35.82236	f
2069	123	2	2016-10-08 19:01:35.82236	f
2070	12	2	2016-10-08 19:01:35.82236	f
2305	145	2	2016-10-08 19:01:35.82236	f
2306	146	2	2016-10-08 19:01:35.82236	f
1993	106	2	2016-10-08 19:01:35.82236	f
2310	145	2	2016-10-08 19:01:35.82236	f
1994	106	2	2016-10-08 19:01:35.82236	f
2311	93	2	2016-10-08 19:01:35.82236	f
1995	106	2	2016-10-08 19:01:35.82236	f
1996	106	2	2016-10-08 19:01:35.82236	f
2312	130	2	2016-10-08 19:01:35.82236	f
1997	106	2	2016-10-08 19:01:35.82236	f
2313	145	2	2016-10-08 19:01:35.82236	f
2314	69	2	2016-10-08 19:01:35.82236	f
2315	135	2	2016-10-08 19:01:35.82236	f
2001	106	2	2016-10-08 19:01:35.82236	f
2316	137	2	2016-10-08 19:01:35.82236	f
2002	106	2	2016-10-08 19:01:35.82236	f
2317	134	2	2016-10-08 19:01:35.82236	f
2319	104	2	2016-10-08 19:01:35.82236	f
2006	106	2	2016-10-08 19:01:35.82236	f
2007	106	2	2016-10-08 19:01:35.82236	f
2009	93	2	2016-10-08 19:01:35.82236	f
2010	123	2	2016-10-08 19:01:35.82236	f
2011	110	2	2016-10-08 19:01:35.82236	f
2012	118	2	2016-10-08 19:01:35.82236	f
2013	87	2	2016-10-08 19:01:35.82236	f
2014	89	2	2016-10-08 19:01:35.82236	f
2015	90	2	2016-10-08 19:01:35.82236	f
2016	93	2	2016-10-08 19:01:35.82236	f
2017	69	2	2016-10-08 19:01:35.82236	f
2018	87	2	2016-10-08 19:01:35.82236	f
2019	89	2	2016-10-08 19:01:35.82236	f
2020	69	2	2016-10-08 19:01:35.82236	f
2023	104	2	2016-10-08 19:01:35.82236	f
2024	104	2	2016-10-08 19:01:35.82236	f
2027	106	2	2016-10-08 19:01:35.82236	f
2028	106	2	2016-10-08 19:01:35.82236	f
2436	93	2	2016-10-08 19:01:35.82236	f
2437	146	2	2016-10-08 19:01:35.82236	f
2438	117	2	2016-10-08 19:01:35.82236	f
1880	106	2	2016-10-08 19:01:35.82236	f
1881	106	2	2016-10-08 19:01:35.82236	f
2374	84	2	2016-10-08 19:01:35.82236	f
2375	83	2	2016-10-08 19:01:35.82236	f
2413	105	2	2016-10-08 19:01:35.82236	f
871	69	2	2016-10-08 19:01:35.82236	\N
872	12	2	2016-10-08 19:01:35.82236	\N
873	65	2	2016-10-08 19:01:35.82236	\N
874	65	2	2016-10-08 19:01:35.82236	\N
876	41	2	2016-10-08 19:01:35.82236	\N
878	70	2	2016-10-08 19:01:35.82236	\N
2857	119	2	2016-10-08 19:01:35.82236	f
879	65	2	2016-10-08 19:01:35.82236	\N
1079	65	2	2016-10-08 19:01:35.82236	\N
1097	84	2	2016-10-08 19:01:35.82236	\N
1101	39	2	2016-10-08 19:01:35.82236	\N
1102	84	2	2016-10-08 19:01:35.82236	\N
1159	78	2	2016-10-08 19:01:35.82236	\N
1170	39	2	2016-10-08 19:01:35.82236	\N
1179	39	2	2016-10-08 19:01:35.82236	\N
1189	12	2	2016-10-08 19:01:35.82236	\N
1190	12	2	2016-10-08 19:01:35.82236	\N
1191	86	2	2016-10-08 19:01:35.82236	\N
1192	86	2	2016-10-08 19:01:35.82236	\N
1193	87	2	2016-10-08 19:01:35.82236	\N
1194	87	2	2016-10-08 19:01:35.82236	\N
1200	89	2	2016-10-08 19:01:35.82236	\N
1201	87	2	2016-10-08 19:01:35.82236	\N
1210	90	2	2016-10-08 19:01:35.82236	\N
1211	12	2	2016-10-08 19:01:35.82236	\N
1212	65	2	2016-10-08 19:01:35.82236	\N
1213	90	2	2016-10-08 19:01:35.82236	\N
1214	91	2	2016-10-08 19:01:35.82236	\N
1225	12	2	2016-10-08 19:01:35.82236	\N
1230	93	2	2016-10-08 19:01:35.82236	\N
1243	87	2	2016-10-08 19:01:35.82236	f
1244	87	2	2016-10-08 19:01:35.82236	f
1253	65	2	2016-10-08 19:01:35.82236	f
1263	87	2	2016-10-08 19:01:35.82236	f
1264	87	2	2016-10-08 19:01:35.82236	f
1265	89	2	2016-10-08 19:01:35.82236	f
1268	12	2	2016-10-08 19:01:35.82236	f
2197	93	2	2016-10-08 19:01:35.82236	f
2198	123	2	2016-10-08 19:01:35.82236	f
2199	105	2	2016-10-08 19:01:35.82236	f
2240	78	2	2016-10-08 19:01:35.82236	f
2241	78	2	2016-10-08 19:01:35.82236	f
2242	78	2	2016-10-08 19:01:35.82236	f
2243	12	2	2016-10-08 19:01:35.82236	f
2244	12	2	2016-10-08 19:01:35.82236	f
2245	65	2	2016-10-08 19:01:35.82236	f
2246	105	2	2016-10-08 19:01:35.82236	f
2247	102	2	2016-10-08 19:01:35.82236	f
2248	141	2	2016-10-08 19:01:35.82236	f
2249	141	2	2016-10-08 19:01:35.82236	f
2254	135	2	2016-10-08 19:01:35.82236	f
2255	142	2	2016-10-08 19:01:35.82236	f
2256	135	2	2016-10-08 19:01:35.82236	f
2257	142	2	2016-10-08 19:01:35.82236	f
2258	135	2	2016-10-08 19:01:35.82236	f
2259	142	2	2016-10-08 19:01:35.82236	f
1853	119	2	2016-10-08 19:01:35.82236	f
1854	119	2	2016-10-08 19:01:35.82236	f
1855	119	2	2016-10-08 19:01:35.82236	f
1859	119	2	2016-10-08 19:01:35.82236	f
1860	119	2	2016-10-08 19:01:35.82236	f
1865	117	2	2016-10-08 19:01:35.82236	f
1866	117	2	2016-10-08 19:01:35.82236	f
1867	117	2	2016-10-08 19:01:35.82236	f
1868	117	2	2016-10-08 19:01:35.82236	f
1869	69	2	2016-10-08 19:01:35.82236	f
1870	78	2	2016-10-08 19:01:35.82236	f
1872	118	2	2016-10-08 19:01:35.82236	f
1873	105	2	2016-10-08 19:01:35.82236	f
1875	106	2	2016-10-08 19:01:35.82236	f
1876	106	2	2016-10-08 19:01:35.82236	f
863	65	2	2016-10-08 19:01:35.82236	\N
870	69	2	2016-10-08 19:01:35.82236	\N
875	70	2	2016-10-08 19:01:35.82236	\N
1207	12	2	2016-10-08 19:01:35.82236	\N
1209	90	2	2016-10-08 19:01:35.82236	\N
1218	39	2	2016-10-08 19:01:35.82236	\N
1221	12	2	2016-10-08 19:01:35.82236	\N
1227	93	2	2016-10-08 19:01:35.82236	\N
1240	41	2	2016-10-08 19:01:35.82236	f
1241	39	2	2016-10-08 19:01:35.82236	f
1282	87	2	2016-10-08 19:01:35.82236	f
1980	93	2	2016-10-08 19:01:35.82236	f
1981	118	2	2016-10-08 19:01:35.82236	f
1982	93	2	2016-10-08 19:01:35.82236	f
1983	93	2	2016-10-08 19:01:35.82236	f
1984	123	2	2016-10-08 19:01:35.82236	f
2404	105	2	2016-10-08 19:01:35.82236	f
2405	105	2	2016-10-08 19:01:35.82236	f
2406	105	2	2016-10-08 19:01:35.82236	f
2407	105	2	2016-10-08 19:01:35.82236	f
2408	105	2	2016-10-08 19:01:35.82236	f
2409	105	2	2016-10-08 19:01:35.82236	f
2410	105	2	2016-10-08 19:01:35.82236	f
2411	105	2	2016-10-08 19:01:35.82236	f
2412	105	2	2016-10-08 19:01:35.82236	f
2414	105	2	2016-10-08 19:01:35.82236	f
2432	105	2	2016-10-08 19:01:35.82236	f
2719	119	2	2016-10-08 19:01:35.82236	f
2720	119	2	2016-10-08 19:01:35.82236	f
2721	119	2	2016-10-08 19:01:35.82236	f
2722	119	2	2016-10-08 19:01:35.82236	f
2723	104	2	2016-10-08 19:01:35.82236	f
2724	119	2	2016-10-08 19:01:35.82236	f
2736	119	2	2016-10-08 19:01:35.82236	f
2742	12	2	2016-10-08 19:01:35.82236	f
2779	123	2	2016-10-08 19:01:35.82236	f
2780	123	2	2016-10-08 19:01:35.82236	f
2781	123	2	2016-10-08 19:01:35.82236	f
2782	123	2	2016-10-08 19:01:35.82236	f
2783	123	2	2016-10-08 19:01:35.82236	f
2466	117	2	2016-10-08 19:01:35.82236	f
2467	111	2	2016-10-08 19:01:35.82236	f
2468	119	2	2016-10-08 19:01:35.82236	f
2469	119	2	2016-10-08 19:01:35.82236	f
2470	119	2	2016-10-08 19:01:35.82236	f
2475	90	2	2016-10-08 19:01:35.82236	f
2900	137	2	2016-10-08 19:01:35.82236	f
2484	2	2	2016-10-08 19:01:35.82236	f
2901	93	2	2016-10-08 19:01:35.82236	f
2902	134	2	2016-10-08 19:01:35.82236	f
\.


--
-- Name: resource_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('resource_id_seq', 2910, true);


--
-- Data for Name: resource_type; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY resource_type (id, resource_id, name, humanize, resource_name, module, settings, descr, status) FROM stdin;
149	2516	uploads	Загрузки	UploadsResource	travelcrm.resources.uploads	null	Загрузка файлов для всех типов ресурсов	0
148	2513	vats	НДС	VatsResource	travelcrm.resources.vats	null	Настройки НДС	0
146	2296	leads_offers	Предложения по лидам	LeadsOffersResource	travelcrm.resources.leads_offers	null	Список предложений по лиду	0
145	2292	leads_items	Список сервисов	LeadsItemsResource	travelcrm.resources.leads_items	null	Список сервисов в документе лида	0
137	2108	tours	Туры	ToursResource	travelcrm.resources.tours	null	Сервис оформления туров	0
134	2099	orders	Заявки	OrdersResource	travelcrm.resources.orders	{"html_template": "GNU GENERAL PUBLIC LICENSE\\r\\n\\r\\nVersion 3, 29 June 2007\\r\\n\\r\\nCopyright \\u00a9 2007 Free Software Foundation, Inc. <http://fsf.org/>\\r\\n\\r\\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\\r\\n\\r\\nPreamble\\r\\n\\r\\nThe GNU General Public License is a free, copyleft license for software and other kinds of works.\\r\\n\\r\\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.\\r\\n\\r\\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\\r\\n\\r\\nTo protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.\\r\\n\\r\\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\\r\\n\\r\\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.\\r\\n\\r\\nFor the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.\\r\\n\\r\\nSome devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.\\r\\n\\r\\nFinally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.\\r\\n\\r\\nThe precise terms and conditions for copying, distribution and modification follow.\\r\\n\\r\\nTERMS AND CONDITIONS\\r\\n\\r\\n0. Definitions.\\r\\n\\r\\n\\u201cThis License\\u201d refers to version 3 of the GNU General Public License.\\r\\n\\r\\n\\u201cCopyright\\u201d also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\\r\\n\\r\\n\\u201cThe Program\\u201d refers to any copyrightable work licensed under this License. Each licensee is addressed as \\u201cyou\\u201d. \\u201cLicensees\\u201d and \\u201crecipients\\u201d may be individuals or organizations.\\r\\n\\r\\nTo \\u201cmodify\\u201d a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \\u201cmodified version\\u201d of the earlier work or a work \\u201cbased on\\u201d the earlier work.\\r\\n\\r\\nA \\u201ccovered work\\u201d means either the unmodified Program or a work based on the Program.\\r\\n\\r\\nTo \\u201cpropagate\\u201d a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\\r\\n\\r\\nTo \\u201cconvey\\u201d a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\\r\\n\\r\\nAn interactive user interface displays \\u201cAppropriate Legal Notices\\u201d to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\\r\\n\\r\\n1. Source Code.\\r\\n\\r\\nThe \\u201csource code\\u201d for a work means the preferred form of the work for making modifications to it. \\u201cObject code\\u201d means any non-source form of a work.\\r\\n\\r\\nA \\u201cStandard Interface\\u201d means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\\r\\n\\r\\nThe \\u201cSystem Libraries\\u201d of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \\u201cMajor Component\\u201d, in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\\r\\n\\r\\nThe \\u201cCorresponding Source\\u201d for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.\\r\\n\\r\\nThe Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\\r\\n\\r\\nThe Corresponding Source for a work in source code form is that same work.\\r\\n\\r\\n2. Basic Permissions.\\r\\n\\r\\nAll rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\\r\\n\\r\\nYou may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\\r\\n\\r\\nConveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\\r\\n\\r\\n3. Protecting Users' Legal Rights From Anti-Circumvention Law.\\r\\n\\r\\nNo covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\\r\\n\\r\\nWhen you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\\r\\n\\r\\n4. Conveying Verbatim Copies.\\r\\n\\r\\nYou may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\\r\\n\\r\\nYou may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\\r\\n\\r\\n5. Conveying Modified Source Versions.\\r\\n\\r\\nYou may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\\r\\n\\r\\na) The work must carry prominent notices stating that you modified it, and giving a relevant date.\\r\\nb) The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \\u201ckeep intact all notices\\u201d.\\r\\nc) You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\\r\\nd) If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\\r\\nA compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \\u201caggregate\\u201d if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\\r\\n\\r\\n6. Conveying Non-Source Forms.\\r\\n\\r\\nYou may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\\r\\n\\r\\na) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\\r\\nb) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\\r\\nc) Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\\r\\nd) Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\\r\\ne) Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\\r\\nA separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\\r\\n\\r\\nA \\u201cUser Product\\u201d is either (1) a \\u201cconsumer product\\u201d, which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \\u201cnormally used\\u201d refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\\r\\n\\r\\n\\u201cInstallation Information\\u201d for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\\r\\n\\r\\nIf you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\\r\\n\\r\\nThe requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\\r\\n\\r\\nCorresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\\r\\n\\r\\n7. Additional Terms.\\r\\n\\r\\n\\u201cAdditional permissions\\u201d are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\\r\\n\\r\\nWhen you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\\r\\n\\r\\nNotwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\\r\\n\\r\\na) Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\\r\\nb) Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\\r\\nc) Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\\r\\nd) Limiting the use for publicity purposes of names of licensors or authors of the material; or\\r\\ne) Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\\r\\nf) Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\\r\\nAll other non-permissive additional terms are considered \\u201cfurther restrictions\\u201d within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\\r\\n\\r\\nIf you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\\r\\n\\r\\nAdditional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\\r\\n\\r\\n8. Termination.\\r\\n\\r\\nYou may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\\r\\n\\r\\nHowever, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\\r\\n\\r\\nMoreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\\r\\n\\r\\nTermination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\\r\\n\\r\\n9. Acceptance Not Required for Having Copies.\\r\\n\\r\\nYou are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\\r\\n\\r\\n10. Automatic Licensing of Downstream Recipients.\\r\\n\\r\\nEach time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\\r\\n\\r\\nAn \\u201centity transaction\\u201d is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\\r\\n\\r\\nYou may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\\r\\n\\r\\n11. Patents.\\r\\n\\r\\nA \\u201ccontributor\\u201d is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \\u201ccontributor version\\u201d.\\r\\n\\r\\nA contributor's \\u201cessential patent claims\\u201d are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \\u201ccontrol\\u201d includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\\r\\n\\r\\nEach contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\\r\\n\\r\\nIn the following three paragraphs, a \\u201cpatent license\\u201d is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \\u201cgrant\\u201d such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\\r\\n\\r\\nIf you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. \\u201cKnowingly relying\\u201d means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\\r\\n\\r\\nIf, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\\r\\n\\r\\nA patent license is \\u201cdiscriminatory\\u201d if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\\r\\n\\r\\nNothing in this License shall be construed as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\\r\\n\\r\\n12. No Surrender of Others' Freedom.\\r\\n\\r\\nIf conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\\r\\n\\r\\n13. Use with the GNU Affero General Public License.\\r\\n\\r\\nNotwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.\\r\\n\\r\\n14. Revised Versions of this License.\\r\\n\\r\\nThe Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\\r\\n\\r\\nEach version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License \\u201cor any later version\\u201d applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.\\r\\n\\r\\nIf the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\\r\\n\\r\\nLater license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\\r\\n\\r\\n15. Disclaimer of Warranty.\\r\\n\\r\\nTHERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \\u201cAS IS\\u201d WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\\r\\n\\r\\n16. Limitation of Liability.\\r\\n\\r\\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\\r\\n\\r\\n17. Interpretation of Sections 15 and 16.\\r\\n\\r\\nIf the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\\r\\n\\r\\nEND OF TERMS AND CONDITIONS\\r\\n\\r\\nHow to Apply These Terms to Your New Programs\\r\\n\\r\\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\\r\\n\\r\\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \\u201ccopyright\\u201d line and a pointer to where the full notice is found.\\r\\n\\r\\n    <one line to give the program's name and a brief idea of what it does.>\\r\\n    Copyright (C) <year>  <name of author>\\r\\n\\r\\n    This program is free software: you can redistribute it and/or modify\\r\\n    it under the terms of the GNU General Public License as published by\\r\\n    the Free Software Foundation, either version 3 of the License, or\\r\\n    (at your option) any later version.\\r\\n\\r\\n    This program is distributed in the hope that it will be useful,\\r\\n    but WITHOUT ANY WARRANTY; without even the implied warranty of\\r\\n    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\\r\\n    GNU General Public License for more details.\\r\\n\\r\\n    You should have received a copy of the GNU General Public License\\r\\n    along with this program.  If not, see <http://www.gnu.org/licenses/>.\\r\\nAlso add information on how to contact you by electronic and paper mail.\\r\\n\\r\\nIf the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:\\r\\n\\r\\n    <program>  Copyright (C) <year>  <name of author>\\r\\n    This program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.\\r\\n    This is free software, and you are welcome to redistribute it\\r\\n    under certain conditions; type `show c' for details.\\r\\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an \\u201cabout box\\u201d.\\r\\n\\r\\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \\u201ccopyright disclaimer\\u201d for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <http://www.gnu.org/licenses/>.\\r\\n\\r\\nThe GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <http://www.gnu.org/philosophy/why-not-lgpl.html>."}	Список заявок	0
130	2049	leads	Лиды	LeadsResource	travelcrm.resources.leads	null	Список лидов	0
126	1968	companies	Компании	CompaniesResource	travelcrm.resources.companies	null		0
121	1894	turnovers	Обороты	TurnoversResource	travelcrm.resources.turnovers	null	Отчет по оборотам для счетов и субсчетов	0
118	1799	notes	Заметки	NotesResource	travelcrm.resources.notes	null	Заметки к ресурсам	0
117	1797	subaccounts	Субсчета	SubaccountsResource	travelcrm.resources.subaccounts	null	Субсчета это счета для других объектов, типа физ лиц, поставщиков, сотрудников	0
111	1548	outgoings	Исходящие платежи	OutgoingsResource	travelcrm.resources.outgoings	null	Исходящие платежи в пользу поставщиков, клиентов и тд.	0
110	1521	commissions	Комиссии	CommissionsResource	travelcrm.resources.commissions	null	Справочник комиссия для сервисов	0
107	1435	accounts	Счета	AccountsResource	travelcrm.resources.accounts	null	Счета учета денежных средств компании. Это банковские счета, касса и тд.	0
106	1433	incomes	Входящие платежи	IncomesResource	travelcrm.resources.incomes	{"account_item_id": 8}	Платежи на счета компании по инвойсам	0
104	1393	currencies_rates	Курсы валют	CurrenciesRatesResource	travelcrm.resources.currencies_rates	null	Курсы валют, используются для расчетов при заказе услуг и при калькуляциях	0
102	1313	services	Сервисы	ServicesResource	travelcrm.resources.services	null	Список доступных сервисов для продажи	0
101	1268	banks_details	Банковские реквизиты	BanksDetailsResource	travelcrm.resources.banks_details	null	Банковские реквизиты	0
93	1225	tasks	Задачи	TasksResource	travelcrm.resources.tasks	null	Управление задачами	0
91	1211	banks	Банки	BanksResource	travelcrm.resources.banks	null	Справочник банков	0
90	1207	addresses	Адреса	AddressesResource	travelcrm.resources.addresses	null	Справочник адресов	0
89	1198	passports	Паспорта	PassportsResource	travelcrm.resources.passports	null	Справочник паспортных данных	0
87	1190	contacts	Контакты	ContactsResource	travelcrm.resources.contacts	null	Справочник контакных данных	0
84	1088	locations	Местоположение	LocationsResource	travelcrm.resources.locations	null	Города, поселки и тд	0
83	1081	hotels	Отели	HotelsResource	travelcrm.resources.hotels	null	Справочник отелей	0
79	1007	bpersons	Бизнес контакты	BPersonsResource	travelcrm.resources.bpersons	null	Справочник бизнес контактов	0
78	1003	suppliers	Поставщики	SuppliersResource	travelcrm.resources.suppliers	null	Поставщики	0
72	908	hotelcats	Категории отелей	HotelcatsResource	travelcrm.resources.hotelcats	null		0
74	953	accomodations	Размещение	AccomodationsResource	travelcrm.resources.accomodations	null		0
73	909	roomcats	Категории номеров	RoomcatsResource	travelcrm.resources.roomcats	null		0
75	954	foodcats	Категории питания	FoodcatsResource	travelcrm.resources.foodcats	null		0
71	901	advsources	Реклама	AdvsourcesResource	travelcrm.resources.advsources	null	Источники рекламы	0
70	872	countries	Страны	CountriesResource	travelcrm.resources.countries	null		0
69	865	persons	Физ. лица	PersonsResource	travelcrm.resources.persons	null	Справочник клиентов физ. лиц	0
67	788	appointments	Назначения сотрудников	AppointmentsResource	travelcrm.resources.appointments	null	Назначения сотрудников на должности	0
65	775	navigations	Навигация	NavigationsResource	travelcrm.resources.navigations	null	Меню навигации для должностей	0
61	769	permisions	Доступ	PermisionsResource	travelcrm.resources.permisions	null	Список прав доступа для должности в разрезе типов ресурсов.	0
59	764	positions	Должности	PositionsResource	travelcrm.resources.positions	null	Список должностей	0
55	723	structures	Структура	StructuresResource	travelcrm.resources.structures	null	Структура компании	0
47	706	employees	Сотрудники	EmployeesResource	travelcrm.resources.employees	null	Справочник сотрудников	0
41	283	currencies	Валюты	CurrenciesResource	travelcrm.resources.currencies	null		0
39	274	regions	Регионы	RegionsResource	travelcrm.resources.regions	null		0
12	16	resources_types	Типы ресурсов	ResourcesTypesResource	travelcrm.resources.resources_types	null		0
2	10	users	Пользователи	UsersResource	travelcrm.resources.users	null		0
1	773		Домашняя	Root	travelcrm.resources	null	Home Page of Travelcrm	0
161	2905	orders_stats	Статистика заявок	OrdersStatsResource	travelcrm.resources.orders_stats	{"column_index": 0}	Статистика заявок за последнюю неделю	0
159	2882	dismissals	Увольнения	DismissalsResource	travelcrm.resources.dismissals	null	Документ увольнения сотрудников	0
156	2788	campaigns	Кампании	CampaignsResource	travelcrm.resources.campaigns	{"host_smpp": "94.249.146.183", "port_smtp": "2525", "username_smtp": "mazvv@mail.ru", "password_smtp": "GmA67mpqqYjKQ", "port_smpp": "29900", "system_type_smpp": "transceiver", "password_smpp": "korn17", "username_smpp": "mazvv", "host_smtp": "smtp-pulse.com", "default_sender_smtp": "mazvv@mail.ru"}	Маркетинговые кампании	0
152	2558	leads_stats	Статистика лидов	LeadsStatsResource	travelcrm.resources.leads_stats	{"column_index": 0}	Портлет, который отображает динамику лидов	0
151	2551	persons_categories	Категории физ. лиц	PersonsCategoriesResource	travelcrm.resources.persons_categories	null	Присваивайте категории свои клиентам	0
123	1941	notifications	Уведомления	NotificationsResource	travelcrm.resources.notifications	null	Уведомления для сотрудников	0
143	2268	visas	Визы	VisasResource	travelcrm.resources.visas	null	Сервис по оформлению виз	0
142	2244	tickets	Билеты	TicketsResource	travelcrm.resources.tickets	null	Сервис бронирования билетов	0
141	2243	tickets_classes	Классы билетов	TicketsClassesResource	travelcrm.resources.tickets_classes	null	Справочник классов билетов	0
140	2217	suppliers_types	Типы поставщиков	SuppliersTypesResource	travelcrm.resources.suppliers_types	null	Справочник типов поставщиков	0
139	2135	transports	Транспорт	TransportsResource	travelcrm.resources.transports	null	Справочник типов транспорта, типа авиа, авто, жд...	0
138	2127	transfers	Типы трансферов	TransfersResource	travelcrm.resources.transfers	null	Справочник типов трансферов	0
144	2276	spassports	Загран. паспорта	SpassportsResource	travelcrm.resources.spassports	null	Сервис по оформлению загран. паспортов	0
135	2100	orders_items	Содержание заявки	OrdersItemsResource	travelcrm.resources.orders_items	null	Позиции в заявке на сервисы	0
120	1884	crosspayments	Кросс платежи	CrosspaymentsResource	travelcrm.resources.crosspayments	null	Платежи между счетами / субсчетами. Может быть использовано для корректировок, инициализации баланса и тд.	0
119	1849	calculations	Калькуляции	CalculationsResource	travelcrm.resources.calculations	null	Калькуляции для заявок	0
105	1424	accounts_items	Статьи учета	AccountsItemsResource	travelcrm.resources.accounts_items	null	План счетов компании	0
103	1317	invoices	Инвойсы	InvoicesResource	travelcrm.resources.invoices	{"active_days": 3, "html_template": "<!doctype html>\\r\\n<html>\\r\\n<head>\\r\\n    <meta charset=\\"utf-8\\">\\r\\n    <title>${_(u'Invoice')} - ${invoice.id}</title>\\r\\n    \\r\\n    <style>\\r\\n    .invoice-box{\\r\\n        max-width:800px;\\r\\n        margin:auto;\\r\\n        padding:30px;\\r\\n        border:1px solid #eee;\\r\\n        box-shadow:0 0 10px rgba(0, 0, 0, .15);\\r\\n        font-size:16px;\\r\\n        line-height:24px;\\r\\n        font-family:'Helvetica Neue', 'Helvetica', Helvetica, Arial, sans-serif;\\r\\n        color:#555;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table{\\r\\n        width:100%;\\r\\n        line-height:inherit;\\r\\n        text-align:left;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table td{\\r\\n        padding:5px;\\r\\n        vertical-align:top;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr td:nth-child(2){\\r\\n        text-align:right;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.top table td{\\r\\n        padding-bottom:20px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.top table td.title{\\r\\n        font-size:45px;\\r\\n        line-height:45px;\\r\\n        color:#333;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.information table td{\\r\\n        padding-bottom:40px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.heading td{\\r\\n        background:#eee;\\r\\n        border-bottom:1px solid #ddd;\\r\\n        font-weight:bold;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.details td{\\r\\n        padding-bottom:20px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.item td{\\r\\n        border-bottom:1px solid #eee;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.item.last td{\\r\\n        border-bottom:none;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.total td:nth-child(2){\\r\\n        border-top:2px solid #eee;\\r\\n        font-weight:bold;\\r\\n    }\\r\\n    \\r\\n    @media only screen and (max-width: 600px) {\\r\\n        .invoice-box table tr.top table td{\\r\\n            width:100%;\\r\\n            display:block;\\r\\n            text-align:center;\\r\\n        }\\r\\n        \\r\\n        .invoice-box table tr.information table td{\\r\\n            width:100%;\\r\\n            display:block;\\r\\n            text-align:center;\\r\\n        }\\r\\n    }\\r\\n    </style>\\r\\n</head>\\r\\n\\r\\n<body>\\r\\n    <div class=\\"invoice-box\\">\\r\\n        <table cellpadding=\\"0\\" cellspacing=\\"0\\">\\r\\n            <tr class=\\"top\\">\\r\\n                <td colspan=\\"6\\">\\r\\n                    <table>\\r\\n                        <tr>\\r\\n                            <td class=\\"title\\">\\r\\n                                <img src=\\"http://nextstepwebs.com/images/logo.png\\" style=\\"width:100%; max-width:300px;\\">\\r\\n                            </td>\\r\\n                            \\r\\n                            <td>\\r\\n                                ${_(u'Invoice')} #: ${invoice.id}<br>\\r\\n                                ${_(u'Created')}: ${h.common.format_date(invoice.date)}<br>\\r\\n                                ${_(u'Due')}: ${h.common.format_date(invoice.active_until)}\\r\\n                            </td>\\r\\n                        </tr>\\r\\n                    </table>\\r\\n                </td>\\r\\n            </tr>\\r\\n            \\r\\n            <tr class=\\"information\\">\\r\\n                <td colspan=\\"6\\">\\r\\n                    <table>\\r\\n                        <tr>\\r\\n                            <td>\\r\\n                                ${structure.company.name}<br>\\r\\n                                % if structure.addresses:\\r\\n                                <%\\r\\n                                    address = structure.addresses[0]\\r\\n                                %>\\r\\n                                ${address.zip_code}, ${address.location.region.country.name}\\r\\n                                ${address.location.region.name}, ${address.location.name}<br>\\r\\n                                ${address.address}<br>\\r\\n                                % endif\\r\\n                                % if structure.contacts:\\r\\n                                <%\\r\\n                                    contacts = [contact.contact for contact in structure.contacts if contact.is_status_active()]\\r\\n                                %>\\r\\n                                ${', '.join(contacts)}\\r\\n                                % endif\\r\\n                            </td>\\r\\n                            \\r\\n                            <td>\\r\\n                                ${invoice.order.customer.name}<br>\\r\\n                                % if invoice.order.customer.addresses:\\r\\n                                <%\\r\\n                                    address = invoice.order.customer.addresses[0]\\r\\n                                %>\\r\\n                                ${address.zip_code}, ${address.location.region.country.name}\\r\\n                                ${address.location.region.name}, ${address.location.name}<br>\\r\\n                                ${address.address}<br>\\r\\n                                % endif\\r\\n                                % if invoice.order.customer.contacts:\\r\\n                                <%\\r\\n                                    contacts = [contact.contact for contact in invoice.order.customer.contacts if contact.is_status_active()]\\r\\n                                %>\\r\\n                                ${', '.join(contacts)}\\r\\n                                % endif\\r\\n                            </td>\\r\\n                        </tr>\\r\\n                    </table>\\r\\n                </td>\\r\\n            </tr>\\r\\n            \\r\\n            <tr class=\\"heading\\">\\r\\n                <td class=\\"first\\">\\r\\n                    ${_(u'Service')}\\r\\n                </td>\\r\\n                <td></td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Price')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Discount')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Vat')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Final price')}\\r\\n                </td>\\r\\n            </tr>\\r\\n\\r\\n            % for invoice_item in invoice.invoices_items:\\r\\n            <tr class=\\"item\\">\\r\\n                <td class=\\"first\\">\\r\\n                    ${invoice_item.order_item.service.display_text}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice.account.currency.iso_code}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.price}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.discount}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.vat}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.final_price}\\r\\n                </td>\\r\\n            </tr>\\r\\n            % endfor\\r\\n\\r\\n            <tr class=\\"total\\">\\r\\n                <td colspan=\\"5\\"></td>\\r\\n                <td>\\r\\n                   ${_(u'Total')}: ${invoice.final_price}\\r\\n                </td>\\r\\n            </tr>\\r\\n        </table>\\r\\n    </div>\\r\\n</body>\\r\\n</html>"}	Список инвойсов	0
86	1189	contracts	Контракты	ContractsResource	travelcrm.resources.contracts	null	Контракты с поставщиками, используются при калькуляциях	0
160	2887	assigns	Перенос ресурсов	AssignsResource	travelcrm.resources.assigns	null	Инструмент передачи сопровождения ресурсов между сотрудниками	0
163	2907	mails	Шаблоны писем	MailsResource	travelcrm.resources.mails	null	Шаблоны email	0
164	2908	tags	Теги	TagsResource	travelcrm.resources.tags	null	Теги для всех типов ресурсов	0
162	2906	countries_stats	Популярные направления	CountriesStatsResource	travelcrm.resources.countries_stats	{"column_index": 1}	Статистика по популярным направлениям за все время	0
\.


--
-- Name: resource_type_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('resource_type_id_seq', 164, true);


--
-- Data for Name: roomcat; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY roomcat (id, resource_id, name) FROM stdin;
\.


--
-- Name: roomcat_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('roomcat_id_seq', 1, true);


--
-- Data for Name: service; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY service (id, resource_id, resource_type_id, name, display_text, descr) FROM stdin;
7	2247	142	Билеты	Бронирование билетов	\N
5	1413	137	Туры	Бронирование групповых туров	Этот сервис используется для продаж групповых туров
4	1318	143	Визы	Услуги по оформлению виз	Используйте этот сервис для продаж услуг по оформлению виз
1	1314	144	Загран. паспорт	Помощь в оформлении загран. паспорта	Используйте этот сервис для продаж услуг по оформлению загран. паспортов
\.


--
-- Name: service_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('service_id_seq', 7, true);


--
-- Data for Name: spassport; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY spassport (id, resource_id, photo_done, docs_receive_date, docs_transfer_date, passport_receive_date, descr) FROM stdin;
\.


--
-- Name: spassport_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('spassport_id_seq', 1, true);


--
-- Data for Name: spassport_order_item; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY spassport_order_item (order_item_id, spassport_id) FROM stdin;
\.


--
-- Data for Name: structure; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY structure (id, resource_id, parent_id, company_id, name) FROM stdin;
32	725	\N	1	Головной офис
\.


--
-- Data for Name: structure_address; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY structure_address (structure_id, address_id) FROM stdin;
\.


--
-- Data for Name: structure_bank_detail; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY structure_bank_detail (structure_id, bank_detail_id) FROM stdin;
\.


--
-- Data for Name: structure_contact; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY structure_contact (structure_id, contact_id) FROM stdin;
\.


--
-- Name: structure_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('structure_id_seq', 32, true);


--
-- Data for Name: subaccount; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY subaccount (id, resource_id, account_id, name, status, descr) FROM stdin;
\.


--
-- Name: subaccount_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('subaccount_id_seq', 1, true);


--
-- Data for Name: supplier; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY supplier (id, resource_id, supplier_type_id, name, status, descr) FROM stdin;
\.


--
-- Data for Name: supplier_bank_detail; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY supplier_bank_detail (supplier_id, bank_detail_id) FROM stdin;
\.


--
-- Data for Name: supplier_bperson; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY supplier_bperson (supplier_id, bperson_id) FROM stdin;
\.


--
-- Data for Name: supplier_contract; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY supplier_contract (supplier_id, contract_id) FROM stdin;
\.


--
-- Name: supplier_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('supplier_id_seq', 1, true);


--
-- Data for Name: supplier_subaccount; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY supplier_subaccount (supplier_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: supplier_type; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY supplier_type (id, resource_id, name, descr) FROM stdin;
\.


--
-- Name: supplier_type_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('supplier_type_id_seq', 1, true);


--
-- Data for Name: tag; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY tag (id, resource_id, name) FROM stdin;
\.


--
-- Name: tag_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('tag_id_seq', 1, true);


--
-- Data for Name: tag_resource; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY tag_resource (tag_id, resource_id) FROM stdin;
\.


--
-- Data for Name: task; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY task (id, resource_id, title, deadline, reminder, descr, status) FROM stdin;
\.


--
-- Name: task_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('task_id_seq', 1, true);


--
-- Data for Name: task_resource; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY task_resource (task_id, resource_id) FROM stdin;
\.


--
-- Data for Name: task_upload; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY task_upload (task_id, upload_id) FROM stdin;
\.


--
-- Data for Name: ticket; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY ticket (id, resource_id, start_location_id, end_location_id, ticket_class_id, transport_id, start_dt, start_additional_info, end_dt, end_additional_info, adults, children, descr) FROM stdin;
\.


--
-- Data for Name: ticket_class; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY ticket_class (id, resource_id, name) FROM stdin;
\.


--
-- Name: ticket_class_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('ticket_class_id_seq', 1, true);


--
-- Name: ticket_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('ticket_id_seq', 1, true);


--
-- Data for Name: ticket_order_item; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY ticket_order_item (order_item_id, ticket_id) FROM stdin;
\.


--
-- Data for Name: tour; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY tour (id, resource_id, start_location_id, start_transport_id, end_location_id, end_transport_id, hotel_id, accomodation_id, foodcat_id, roomcat_id, transfer_id, adults, children, start_date, start_additional_info, end_date, end_additional_info, descr) FROM stdin;
\.


--
-- Name: tour_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('tour_id_seq', 1, true);


--
-- Data for Name: tour_order_item; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY tour_order_item (order_item_id, tour_id) FROM stdin;
\.


--
-- Data for Name: transfer; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY transfer (id, resource_id, name) FROM stdin;
\.


--
-- Name: transfer_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('transfer_id_seq', 1, true);


--
-- Data for Name: transport; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY transport (id, resource_id, name) FROM stdin;
\.


--
-- Name: transport_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('transport_id_seq', 1, true);


--
-- Data for Name: upload; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY upload (id, resource_id, name, path, size, media_type, descr) FROM stdin;
\.


--
-- Name: upload_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('upload_id_seq', 1, true);


--
-- Data for Name: user; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY "user" (id, resource_id, employee_id, username, email, password) FROM stdin;
2	3	2	admin	admin@mail.ru	adminadmin
\.


--
-- Name: user_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('user_id_seq', 2, true);


--
-- Data for Name: vat; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY vat (id, resource_id, account_id, service_id, date, vat, calc_method, descr) FROM stdin;
\.


--
-- Name: vat_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('vat_id_seq', 1, true);


--
-- Data for Name: visa; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY visa (id, resource_id, country_id, start_date, end_date, type, descr) FROM stdin;
\.


--
-- Name: visa_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('visa_id_seq', 1, true);


--
-- Data for Name: visa_order_item; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY visa_order_item (order_item_id, visa_id) FROM stdin;
\.


SET search_path = public, pg_catalog;

--
-- Data for Name: accomodation; Type: TABLE DATA; Schema: public; Owner: -
--

COPY accomodation (id, resource_id, name) FROM stdin;
1	957	MB
2	958	HV
3	959	BGL
4	960	BG
5	961	Chale
6	962	Cabana
7	963	Cottage
8	964	Executive floor
9	965	SGL
10	966	DBL
11	967	TRPL
12	968	QDPL
13	969	ExB
14	970	Chld
15	971	ВО
\.


--
-- Name: accomodation_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('accomodation_id_seq', 17, true);


--
-- Data for Name: account; Type: TABLE DATA; Schema: public; Owner: -
--

COPY account (id, resource_id, currency_id, account_type, name, display_text, descr, status) FROM stdin;
3	1439	56	1	Main Cash Account	cash payment	\N	0
4	1507	54	1	Main Cash EUR Account	Main Cash EUR Account	\N	0
2	1438	56	0	Main Bank Account	displa text	\N	0
\.


--
-- Name: account_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('account_id_seq', 4, true);


--
-- Data for Name: account_item; Type: TABLE DATA; Schema: public; Owner: -
--

COPY account_item (id, resource_id, name, parent_id, type, status, descr) FROM stdin;
3	1432	Taxes	\N	0	0	\N
4	1608	Operating charges	\N	0	0	\N
5	1609	Internal cash flow	\N	0	0	\N
6	1769	Profit distribution	\N	0	0	\N
7	1780	Rent	2	0	0	\N
8	1873	POF	2	0	0	\N
9	1898	Communication	2	0	0	\N
10	2199	Marketing, Sales	2	0	0	\N
11	2246	Software	2	0	0	Sales of any type of tickets
13	2277	Other operating	2	0	0	\N
1	1426	Income Tax	3	0	0	\N
14	2389	VAT	3	0	0	\N
15	2390	Other taxes, fees	3	0	0	\N
17	2392	Return to the buyer	4	0	0	\N
18	2393	Payment of the tour operator	4	0	0	\N
19	2394	Return the tour operator	4	0	0	\N
20	2395	Other operating income	4	0	0	\N
21	2396	Other operating expenses	4	0	0	\N
22	2397	The money from bank to bank	5	0	0	\N
23	2398	The money from the cash to the account	5	0	0	\N
24	2399	Money from the account in cash	5	0	0	\N
25	2400	Conversion	5	0	0	\N
26	2401	Acquisition of fixed assets	6	0	0	\N
27	2402	The withdrawal of capital	6	0	0	\N
28	2403	Rental fee	7	0	0	\N
29	2404	Utility payments	7	0	0	\N
30	2405	POF payable	8	0	0	\N
31	2406	PIT	8	0	0	\N
32	2407	ERUs	8	0	0	\N
33	2408	Bonuses (bonus)	8	0	0	\N
34	2409	Telephone landline	9	0	0	\N
35	2410	Mobile Phones	9	0	0	\N
36	2411	Internet	9	0	0	\N
37	2412	Other	9	0	0	\N
38	2413	Outdoor advertising	10	0	0	\N
39	2414	Advertising in print media	10	0	0	\N
40	2415	Advertising on TV, radio	10	0	0	\N
41	2416	Promotions and presentations	10	0	0	\N
42	2417	Exhibitions	10	0	0	\N
43	2418	Advertising on the Internet	10	0	0	\N
44	2419	 Website Promotion	10	0	0	\N
45	2420	Mailing lists	10	0	0	\N
46	2421	Other marketing	10	0	0	\N
47	2422	The costs for the modernization of the local software	11	0	0	\N
48	2423	The cost of upgrading the website	11	0	0	\N
49	2424	Bank charges	12	0	0	\N
50	2425	Other cash and settlement services	12	0	0	\N
51	2426	Office supplies, office software	13	0	0	\N
52	2427	Representation	13	0	0	\N
53	2428	Staff Missions	13	0	0	\N
54	2429	Postage, courier services	13	0	0	\N
55	2430	Minor repairs of machinery	13	0	0	\N
56	2431	Purchase low-value goods	13	0	0	\N
57	2432	Other (not included in any of the articles)	13	0	0	\N
2	1431	Administrative expensive	\N	2	0	Group of items
12	2269	Cash and Settlement Services	2	2	0	\N
16	2391	Payment by the buyer	4	1	0	\N
\.


--
-- Name: account_item_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('account_item_id_seq', 57, true);


--
-- Data for Name: address; Type: TABLE DATA; Schema: public; Owner: -
--

COPY address (id, resource_id, location_id, zip_code, address) FROM stdin;
10	1288	14	02312	Bogdana Hmelnickogo Str
13	1308	5	12354	asdf asdf asdfsadf
14	1309	14	12345	dsfg sdfg sdfg sdfgsdfgdsf
15	1370	14	11111	Polyarnaya str., 18 A, 181
16	1374	14	11111	Polyarnaya str. 18 A, 181
17	1382	14	11111	Chavdar Elisabet, 13
18	1388	14	11111	Chavdar Elisabet, 13
19	1391	14	1111	Chavdar Elisabeth, 13
20	1407	14	11111	Radujnaya str., 56 a, 153
21	1414	14	01011	Leskova str., 9
22	1418	33	12345	Naberegnaya Pobedy, 50
23	1469	34	09909	Lavrska, str 34
24	1585	14	08967	Solomii Krushelnickoi, 34/3, ap. 45
25	1614	14	678565	Pobedy, 56/2, ap.67
26	1623	14	8934	Artema 8d, 47
27	1644	34	67234	Sichovih Strilciv, 2.
28	1652	14	54415	Vasilkovskaya 45/56, 19
29	1807	14	02121	Dekabristov str, filial #239
30	1926	14	123432	Arsenalna str
31	1951	14	02121	Gmiry str
32	2015	14	09878	Kikvidze 29, 56
33	2119	14	02121	Bazhana str.3
34	2475	34	fgfgf	fgfgfg
35	2590	14	06752	Vladimirskaya str, 12a, 33
\.


--
-- Name: address_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('address_id_seq', 35, true);


--
-- Data for Name: advsource; Type: TABLE DATA; Schema: public; Owner: -
--

COPY advsource (id, resource_id, name) FROM stdin;
2	904	Google.com
3	905	Yahoo.com
4	906	Recommendation
5	907	Second appeal
1	903	Internet Search Engines
6	1283	Undefined
7	3734	Yandex
\.


--
-- Name: advsource_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('advsource_id_seq', 19, true);


--
-- Data for Name: alembic_version; Type: TABLE DATA; Schema: public; Owner: -
--

COPY alembic_version (version_num) FROM stdin;
c38723878dbe
\.


--
-- Data for Name: appointment; Type: TABLE DATA; Schema: public; Owner: -
--

COPY appointment (id, resource_id, currency_id, employee_id, position_id, salary, date) FROM stdin;
1	789	54	2	4	1000.00	2014-02-02
6	892	54	7	5	4500.00	2014-02-22
8	1542	54	2	4	6500.00	2014-03-01
12	2658	56	7	6	12000.00	2015-05-01
\.


--
-- Data for Name: bank; Type: TABLE DATA; Schema: public; Owner: -
--

COPY bank (id, resource_id, name) FROM stdin;
1	1214	Bank of America
4	1415	Raiffaisen Bank Aval
5	1419	PrivatBank
\.


--
-- Data for Name: bank_address; Type: TABLE DATA; Schema: public; Owner: -
--

COPY bank_address (bank_id, address_id) FROM stdin;
5	29
5	33
\.


--
-- Data for Name: bank_detail; Type: TABLE DATA; Schema: public; Owner: -
--

COPY bank_detail (id, resource_id, currency_id, bank_id, beneficiary, account, swift_code) FROM stdin;
5	1420	56	4	LuxTravel, Inc	123456789	123456
6	1510	54	1	Coral Travel	12345	1234
7	1511	57	1	Coral LLC	98765	0987
8	1512	57	1	Coral LLc	0987654	12234
9	1513	56	5	Coral Travel Ukraine	567990	54343
10	1514	44	5	Coral LLc	123232321312	`12
11	1515	54	4	Coral LLC	1223456	55667
12	1554	56	5	Intertelecom	12345678	09876
13	1556	56	5	Intertelecom	12345678	09876
14	1564	56	4	Lun Real Estate	78900909	12343434
15	1569	56	5	Lun Real Estate Agency	987456152	671283
16	1570	56	4	Intertelecom Internet Service Provider	9878723847	84758GH
18	2120	57	4	sdghsdgh	sghsgh	dfghdfhgdfh
19	2486	57	5	ghgh	ggh	hghg
20	3639	56	4	SDfasdf	sdfasdf	asdfasdfasdf
21	3640	56	4	SDfasdf	sdfasdf	asdfasdfasdf
\.


--
-- Name: bank_detail_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('bank_detail_id_seq', 21, true);


--
-- Name: bank_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('bank_id_seq', 6, true);


--
-- Data for Name: bperson; Type: TABLE DATA; Schema: public; Owner: -
--

COPY bperson (id, resource_id, first_name, last_name, second_name, position_name, descr, status) FROM stdin;
1	1009	Alexandro	Riak		Sales Manager	\N	0
6	1560	Ivan	Gonchar		Account Manager	\N	0
5	1553	Sergey	Vlasov		Main account manager	\N	0
7	1563	Alexander	Tkachuk		manager		0
8	1578	Anna			Manager		0
2	1010	Umberto			Accounting		1
10	2915	Anton 	Andreev		manager		0
\.


--
-- Data for Name: bperson_contact; Type: TABLE DATA; Schema: public; Owner: -
--

COPY bperson_contact (bperson_id, contact_id) FROM stdin;
1	54
1	55
1	56
1	57
5	61
5	62
6	63
7	64
7	65
8	66
2	89
\.


--
-- Name: bperson_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('bperson_id_seq', 11, true);


--
-- Data for Name: calculation; Type: TABLE DATA; Schema: public; Owner: -
--

COPY calculation (id, resource_id, price, order_item_id, contract_id) FROM stdin;
33	2468	300.00	\N	\N
34	2469	54462.00	\N	\N
37	2503	3201.00	\N	\N
35	2470	300.00	\N	\N
41	2529	270.00	\N	\N
42	2530	270.00	\N	\N
43	2531	54462.75	\N	\N
46	2534	3201.00	\N	\N
47	2535	3201.00	\N	\N
48	2537	2788.50	40	\N
49	2538	1760.00	\N	\N
44	2532	270.00	\N	\N
45	2533	54462.75	\N	\N
57	2700	1496.40	\N	\N
58	2701	30.00	\N	\N
59	2702	1680.60	\N	\N
60	2703	30.00	\N	\N
61	2704	1715.00	\N	\N
62	2705	30.00	\N	\N
63	2706	1720.00	\N	\N
64	2707	30.00	\N	\N
65	2708	1525.80	\N	\N
66	2709	30.00	\N	\N
67	2710	1530.80	\N	\N
68	2711	30.00	\N	\N
69	2712	1525.80	\N	\N
70	2713	30.00	\N	\N
71	2715	1525.80	\N	\N
72	2716	30.00	\N	\N
73	2717	1398.95	\N	\N
74	2718	30.00	\N	\N
75	2719	1398.95	\N	\N
76	2720	30.00	\N	\N
77	2721	1398.95	\N	\N
78	2722	30.00	\N	\N
79	2724	1525.30	\N	\N
80	2725	30.00	\N	\N
81	2727	1525.30	44	\N
82	2728	26.70	45	\N
50	2541	1548.80	\N	\N
83	2734	1548.80	39	\N
51	2547	270.00	\N	\N
52	2548	47611.95	\N	\N
84	2735	270.00	43	\N
85	2736	50239.20	42	\N
86	2832	2024.00	\N	\N
87	2836	2091.66	\N	\N
88	2839	2090.15	\N	\N
89	2840	25.00	\N	\N
90	2842	2090.15	\N	\N
91	2843	25.00	\N	\N
92	2844	2090.15	\N	\N
93	2845	25.00	\N	\N
94	2846	2090.15	\N	\N
95	2847	25.00	\N	\N
96	2848	2090.15	\N	\N
97	2849	0.00	\N	\N
98	2850	2090.15	\N	60
99	2851	0.00	\N	\N
100	2854	2090.15	\N	60
101	2855	0.00	\N	\N
103	2857	15.50	\N	61
104	2870	2091.66	46	60
105	2871	15.92	47	61
106	2903	1663.20	48	58
107	3687	1223.95	54	65
\.


--
-- Name: calculation_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('calculation_id_seq', 107, true);


--
-- Data for Name: campaign; Type: TABLE DATA; Schema: public; Owner: -
--

COPY campaign (id, resource_id, name, start_dt, status, mail_id, person_category_id) FROM stdin;
69	3846	For testing	2016-10-02 19:36:00+03	2	5	\N
\.


--
-- Name: campaign_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('campaign_id_seq', 69, true);


--
-- Data for Name: cashflow; Type: TABLE DATA; Schema: public; Owner: -
--

COPY cashflow (id, subaccount_from_id, subaccount_to_id, account_item_id, sum, date, vat) FROM stdin;
216	19	\N	27	500.00	2015-06-14	\N
250	\N	22	16	380.00	2015-06-14	\N
251	22	18	\N	272.00	2015-06-14	20.65
252	\N	21	16	35500.00	2015-06-14	\N
253	21	19	\N	35500.00	2015-06-14	2356.80
254	\N	21	16	5000.00	2015-06-14	\N
255	21	19	\N	5000.00	2015-06-14	2356.80
256	\N	22	16	1400.73	2015-06-13	20.65
257	22	18	\N	1292.73	2015-06-13	\N
258	23	\N	18	15000.00	2015-06-14	\N
259	22	\N	17	108.00	2015-06-14	\N
260	\N	24	16	25000.00	2015-07-22	6856.68
261	24	20	\N	25000.00	2015-07-22	\N
262	\N	25	16	59782.12	2016-01-02	937.77
263	25	19	\N	59782.12	2016-01-02	\N
264	18	26	\N	1600.00	2016-01-02	\N
265	26	\N	18	1600.00	2016-01-02	\N
266	20	27	\N	760.35	2016-01-02	\N
267	27	\N	36	760.35	2016-01-02	\N
271	\N	28	16	34006.98	2016-07-18	404.85
272	28	19	\N	34006.98	2016-07-18	\N
280	19	23	\N	45000.00	2016-07-18	\N
281	23	\N	18	30000.00	2016-07-18	\N
284	23	\N	18	2000.00	2016-07-18	\N
\.


--
-- Data for Name: commission; Type: TABLE DATA; Schema: public; Owner: -
--

COPY commission (id, resource_id, service_id, percentage, price, currency_id, descr) FROM stdin;
36	2501	5	12.00	0.00	57	Commission for tours
37	2502	7	10.00	0.00	57	Tickets commission
38	2505	5	12.00	0.00	57	
39	2507	7	10.00	0.00	57	Tickets commission
40	2508	4	2.00	10.00	57	Visa service commission
41	2510	4	10.00	0.00	57	
42	2536	5	12.50	0.00	57	Commission value for tour service
43	2539	5	12.00	0.00	57	Tour commission
44	2546	5	12.00	0.00	57	
45	2693	5	12.00	0.00	57	Tour comission
46	2694	4	0.00	5.00	54	
47	2698	5	11.00	5.00	54	
48	2726	4	0.00	3.00	54	
49	2833	5	8.50	330.00	56	
50	2852	1	0.00	10.00	57	
53	3642	1	0.00	10.00	57	
54	3643	1	0.00	10.00	57	
55	3645	1	0.00	10.00	57	
56	3647	5	11.00	5.00	54	
57	3648	4	0.00	3.00	54	
58	3668	1	0.00	12.00	57	
59	3669	5	9.00	0.00	56	
60	3670	7	5.00	2.00	54	
61	3671	4	0.00	20.00	54	
\.


--
-- Name: commission_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('commission_id_seq', 61, true);


--
-- Name: companies_counter; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('companies_counter', 1099, true);


--
-- Name: companies_positions_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('companies_positions_id_seq', 8, true);


--
-- Data for Name: company; Type: TABLE DATA; Schema: public; Owner: -
--

COPY company (id, resource_id, name, currency_id, settings, email) FROM stdin;
1	1970	Lux Travel Inc.	56	{"locale": "ru", "timezone": "Europe/Kiev"}	lux.travel@gmai.com
\.


--
-- Name: company_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('company_id_seq', 14, true);


--
-- Data for Name: company_subaccount; Type: TABLE DATA; Schema: public; Owner: -
--

COPY company_subaccount (company_id, subaccount_id) FROM stdin;
1	18
1	19
1	20
\.


--
-- Data for Name: contact; Type: TABLE DATA; Schema: public; Owner: -
--

COPY contact (id, contact, resource_id, contact_type, descr, status) FROM stdin;
27	+380681983869	1193	0	\N	0
29	+380681983869	1195	0	\N	0
30	+380681983869	1201	0	\N	0
32	+380681983869	1204	0	\N	0
36	+380681983869	1244	0	\N	0
37	+380681983869	1257	0	\N	0
39	+380681983869	1259	0	\N	0
41	+380682523645	1263	0	\N	0
44	+380675625353	1282	0	\N	0
45	+380502355565	1285	0	\N	0
47	+380673566789	1371	0	\N	0
48	+380502314567	1373	0	\N	0
51	+380502232233	1387	0	\N	0
52	+380502354235	1404	0	\N	0
53	+380503435512	1464	0	\N	0
54	+380976543565	1516	0	\N	0
55	+380675643623	1517	0	\N	0
58	+380681983800	1543	0	\N	0
61	+380681234567	1551	0	\N	0
64	+380953434358	1561	0	\N	0
67	+380672568976	1581	0	\N	0
68	+380672346534	1591	0	\N	0
69	+380500567765	1610	0	\N	0
71	+380503435436	1620	0	\N	0
73	+380975642876	1624	0	\N	0
74	+380665638900	1640	0	\N	0
76	+380502235686	1650	0	\N	0
77	+380674523123	1927	0	\N	0
79	+380923435643	2013	0	\N	0
80	+380505674534	2018	0	\N	0
81	+380671238943	2050	0	\N	0
28	asdasd@mail.com	1194	1	\N	0
35	vitalii.mazur@gmail.com	1243	1	\N	0
38	vitalii.mazur@gmail.com	1258	1	\N	0
40	vitalii.mazur@gmail.com	1260	1	\N	0
42	a.koff@gmail.com	1264	1	\N	0
46	n.voevoda@gmail.com	1304	1	\N	0
57	ravak@myemail.com	1519	1	\N	0
60	info@travelcrm.org.ua	1545	1	\N	0
63	i_gonchar@i-tele.com	1559	1	\N	0
65	mega_tkach@ukr.net	1562	1	\N	0
70	artyuh87@gmail.com	1611	1	\N	0
72	grach18@ukr.net	1621	1	\N	0
75	karpuha1990@ukr.net	1641	1	\N	0
78	vitalii.mazur@gmail.com	1956	1	\N	0
49	travelcrm	1379	2	\N	0
56	ravak_skype	1518	2	\N	0
59	dorianyats	1544	2	\N	0
62	serge_vlasov	1552	2	\N	0
50	+380682345688	1380	0	\N	0
82	+380676775643	2089	0	\N	0
83	nikolay1987@mail.ru	2095	1	\N	0
66	AnnaNews	1577	2		1
84	+380672334345	2307	0		0
85	+380503435676	2308	0		1
86	+380674252212	2327	0		0
87	+380678521452	2338	0		0
88	+380502356543	2366	0		0
89	mazira@online.ua	2493	1		0
90	+380661234567	2550	0		1
91	+380500126753	2585	0	New phone	0
92	grisha_1972@mail.ru	2586	1		0
93	grishutka_super	2587	2		0
94	+380973498675	2594	0		0
95	valik_gopko	2659	2		0
96	+380673508989	2666	0		0
97	+380504538765	2676	0		0
98	+380681983869	2814	0		0
99	+380386754543	2821	0		0
100	+380675437656	2873	0		0
101	+380681995427	2874	0		0
102	elineckiy@gavab.com	2878	1		0
103	+380976868681	2880	0		0
104	+380670987654	2891	0		0
105	+380681234567	3675	0		0
\.


--
-- Name: contact_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('contact_id_seq', 105, true);


--
-- Data for Name: contract; Type: TABLE DATA; Schema: public; Owner: -
--

COPY contract (id, resource_id, date, num, descr, status) FROM stdin;
48	2210	2015-05-09	1234/56	Test contract	0
49	2213	2015-05-09	12345/67	Test agent contract for supplier	0
50	2215	2014-01-10	12/34	First contract	1
51	2489	2015-06-23	19/06		0
52	2490	2015-06-23	19/06		0
54	2506	2015-06-01	36542-89.77		0
55	2511	2015-06-01	678/90		0
53	2491	2015-06-01	19/06/15		0
57	2545	2015-06-01	TUI-09-15		0
58	2695	2015-08-01	#08-01		0
59	2699	2015-07-01	#07-01		0
60	2834	2016-01-01	TT-000139	New Tez Tour Contract	0
56	2540	2015-01-05	0987-97	Contract with teztour	1
61	2853	2016-01-01	TT-00154		0
64	3646	2016-01-01	TT-00154		0
65	3672	2016-07-01	TT-00155		0
\.


--
-- Data for Name: contract_commission; Type: TABLE DATA; Schema: public; Owner: -
--

COPY contract_commission (contract_id, commission_id) FROM stdin;
52	36
52	37
54	38
54	39
54	40
55	41
53	42
56	43
57	44
58	45
58	46
59	47
59	48
60	49
61	50
64	55
65	60
65	61
65	59
65	58
\.


--
-- Data for Name: country; Type: TABLE DATA; Schema: public; Owner: -
--

COPY country (id, resource_id, iso_code, name) FROM stdin;
3	878	UA	Ukraine
4	880	EG	Egypt
5	881	TR	Turkey
6	882	GB	United Kingdom
7	883	US	United States
8	884	TH	Thailand
9	1095	RU	Russian Federation
12	1164	HR	Croatia
13	1169	AE	United Arab Emirates
14	1178	ES	Spain
16	1339	CY	Cyprus
17	1343	IT	Italy
11	1100	DE	Germany
18	1351	GR	Greece
19	1646	FR	France
21	2270	PL	Poland
\.


--
-- Name: country_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('country_id_seq', 21, true);


--
-- Data for Name: crosspayment; Type: TABLE DATA; Schema: public; Owner: -
--

COPY crosspayment (id, resource_id, cashflow_id, descr) FROM stdin;
10	2465	216	The capital withdraw by CEO
\.


--
-- Name: crosspayment_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('crosspayment_id_seq', 11, true);


--
-- Data for Name: currency; Type: TABLE DATA; Schema: public; Owner: -
--

COPY currency (id, resource_id, iso_code) FROM stdin;
44	849	RUB
50	1060	KZT
52	1168	BYR
54	1240	EUR
56	1310	UAH
57	1311	USD
\.


--
-- Name: currency_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('currency_id_seq', 57, true);


--
-- Data for Name: currency_rate; Type: TABLE DATA; Schema: public; Owner: -
--

COPY currency_rate (id, resource_id, date, currency_id, rate, supplier_id) FROM stdin;
19	2281	2015-05-15	57	23.00	87
20	2289	2015-05-17	57	22.70	102
21	2290	2015-04-29	57	23.05	102
22	2319	2015-06-01	54	24.20	87
23	2334	2015-06-02	57	21.50	93
24	2335	2015-06-02	54	23.65	93
25	2336	2015-06-02	57	21.66	100
26	2337	2015-06-02	54	23.70	100
27	2383	2015-06-06	54	24.30	102
28	2384	2015-06-06	54	24.25	92
29	2385	2015-06-06	57	21.50	92
30	2714	2015-07-22	54	26.37	101
31	2723	2015-07-22	57	23.98	101
33	2841	2016-01-01	54	28.30	87
32	2835	2016-01-01	57	25.70	87
34	3673	2016-07-18	54	28.60	87
35	3674	2016-07-18	57	25.80	87
\.


--
-- Name: currency_rate_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('currency_rate_id_seq', 35, true);


--
-- Data for Name: dismissal; Type: TABLE DATA; Schema: public; Owner: -
--

COPY dismissal (id, resource_id, date, employee_id) FROM stdin;
\.


--
-- Name: dismissal_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('dismissal_id_seq', 5, true);


--
-- Data for Name: employee; Type: TABLE DATA; Schema: public; Owner: -
--

COPY employee (id, resource_id, first_name, last_name, second_name, itn, photo_upload_id) FROM stdin;
4	786	Oleg	Pogorelov		\N	\N
8	893	Oleg	Mazur	V.	\N	\N
9	1040	Halyna	Sereda		\N	\N
10	1041	Andrey	Shabanov		\N	\N
11	1042	Dymitrii	Veremeychuk		\N	\N
13	1044	Alexandra	Koff	\N	\N	\N
14	1045	Dima	Shkreba	\N	\N	\N
15	1046	Viktoriia	Lastovets	\N	\N	\N
12	1043	Denis	Yurin	\N	12	\N
30	2053	Igor	Mazur	\N	\N	\N
31	2477	Alina	Kabaeva	\N	344	\N
7	885	Irina	Mazur	V.	\N	\N
2	784	John	Doe	\N	\N	29
32	2785	Charlize	Theron	\N	\N	31
\.


--
-- Data for Name: employee_address; Type: TABLE DATA; Schema: public; Owner: -
--

COPY employee_address (employee_id, address_id) FROM stdin;
\.


--
-- Data for Name: employee_contact; Type: TABLE DATA; Schema: public; Owner: -
--

COPY employee_contact (employee_id, contact_id) FROM stdin;
13	42
13	41
2	60
2	58
2	59
\.


--
-- Name: employee_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('employee_id_seq', 34, true);


--
-- Data for Name: employee_notification; Type: TABLE DATA; Schema: public; Owner: -
--

COPY employee_notification (employee_id, notification_id, status) FROM stdin;
2	69	1
2	70	1
2	71	1
2	75	1
2	76	1
2	77	1
2	78	1
2	79	1
2	81	1
2	82	1
2	84	1
2	87	1
2	88	1
2	89	1
2	90	1
2	91	1
2	92	1
2	93	1
2	64	1
2	65	1
2	66	1
2	67	1
2	68	1
2	94	1
2	95	1
2	96	1
2	97	1
2	98	1
2	99	1
2	100	1
2	101	1
2	102	1
2	103	1
\.


--
-- Data for Name: employee_passport; Type: TABLE DATA; Schema: public; Owner: -
--

COPY employee_passport (employee_id, passport_id) FROM stdin;
13	7
\.


--
-- Data for Name: employee_subaccount; Type: TABLE DATA; Schema: public; Owner: -
--

COPY employee_subaccount (employee_id, subaccount_id) FROM stdin;
2	1
\.


--
-- Data for Name: employee_subscription; Type: TABLE DATA; Schema: public; Owner: -
--

COPY employee_subscription (employee_id, resource_id) FROM stdin;
2	3846
2	3855
2	3758
\.


--
-- Data for Name: employee_upload; Type: TABLE DATA; Schema: public; Owner: -
--

COPY employee_upload (employee_id, upload_id) FROM stdin;
\.


--
-- Name: employees_appointments_h_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('employees_appointments_h_id_seq', 17, true);


--
-- Data for Name: foodcat; Type: TABLE DATA; Schema: public; Owner: -
--

COPY foodcat (id, resource_id, name) FROM stdin;
1	973	ОВ
3	975	BB
4	976	HB
5	977	HB+
6	978	FB
7	979	FB+
8	980	EXTFB
9	981	Mini all inclusive
10	982	ALL
11	983	Continental Breakfast
12	984	English breakfast
13	985	American breakfast
15	987	UAL
16	988	UAI
\.


--
-- Name: foodcat_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('foodcat_id_seq', 17, true);


--
-- Data for Name: hotel; Type: TABLE DATA; Schema: public; Owner: -
--

COPY hotel (id, resource_id, hotelcat_id, name, location_id) FROM stdin;
10	1292	5	Hotel View Novi Vindolski	16
11	1320	5	PGS Kiris Resort	17
12	1322	5	Justiniano Club Park Conti	18
13	1323	5	PGS World Palace	17
14	1324	5	Concordia Celes Hotel	18
15	1325	5	Akka Alinda Hotel	17
16	1327	5	Grand Haber Hotel	19
17	1330	5	Belconti Resort	20
18	1331	3	Asdem Park	19
19	1334	4	Saphir	21
20	1335	4	Justiniano Club Alanya	18
21	1338	6	Euphoria Palm Beach	22
22	1342	4	Avlida	23
23	1346	3	Calypso	24
24	1349	4	Citta Del Mare	25
25	1350	4	Villa Adriatica	24
26	1354	4	Aldemar Cretan Village	26
27	1357	4	Estival Park Salou Hotel	27
28	1358	3	Playa Park	27
29	1360	4	Best Negresco	28
30	1362	4	Oasis Park & SPA	29
31	1364	5	The Desert Rose Resort	30
32	1367	4	Rehana Sharm Resort	31
33	1386	4	Fantasia	32
34	1470	5	Villa Augusto	21
35	1590	5	Lindos Blue	36
36	1649	5	Sezz Saint-Tropez	37
38	2111	5	Spirit of the Knights Boutique	36
39	2375	5	Radisson Blu Resort & Spa	39
40	2675	4	Frangiorgio Hotel Apartments	40
41	2897	5	Bodrum Butick Royal	41
42	3682	5	CRYSTAL PARAISO VERDE RESORT	42
\.


--
-- Name: hotel_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('hotel_id_seq', 42, true);


--
-- Data for Name: hotelcat; Type: TABLE DATA; Schema: public; Owner: -
--

COPY hotelcat (id, resource_id, name) FROM stdin;
1	912	1*
2	913	2*
3	914	3*
4	915	4*
5	916	5*
6	917	HV-1
7	918	HV-2
8	919	De Luxe
\.


--
-- Name: hotelcat_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('hotelcat_id_seq', 8, true);


--
-- Data for Name: income; Type: TABLE DATA; Schema: public; Owner: -
--

COPY income (id, resource_id, invoice_id, account_item_id, date, sum, descr) FROM stdin;
65	2457	31	16	2015-06-14	380.00	\N
66	2458	30	16	2015-06-14	35500.00	\N
67	2459	30	16	2015-06-14	5000.00	\N
60	2451	31	16	2015-06-13	1400.73	\N
68	2737	32	16	2015-07-22	25000.00	\N
69	2860	33	16	2016-01-02	59782.12	\N
70	3689	35	16	2016-07-18	34006.98	\N
\.


--
-- Data for Name: income_cashflow; Type: TABLE DATA; Schema: public; Owner: -
--

COPY income_cashflow (income_id, cashflow_id) FROM stdin;
65	250
65	251
66	252
66	253
67	254
67	255
60	256
60	257
68	260
68	261
69	262
69	263
70	271
70	272
\.


--
-- Name: income_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('income_id_seq', 70, true);


--
-- Data for Name: invoice; Type: TABLE DATA; Schema: public; Owner: -
--

COPY invoice (id, date, resource_id, account_id, active_until, order_id, descr) FROM stdin;
32	2015-07-22	2729	2	2015-07-25	10	\N
30	2015-06-06	2388	3	2015-06-09	9	\N
31	2015-06-13	2450	4	2015-06-16	7	\N
33	2016-01-02	2858	3	2016-01-05	11	\N
34	2016-05-22	2904	3	2016-05-25	12	\N
35	2016-07-18	3688	3	2016-07-31	15	\N
\.


--
-- Name: invoice_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('invoice_id_seq', 35, true);


--
-- Data for Name: invoice_item; Type: TABLE DATA; Schema: public; Owner: -
--

COPY invoice_item (id, invoice_id, price, vat, discount, descr, order_item_id) FROM stdin;
29	30	7290.00	1215.00	0.00	The issues for visas	43
32	32	41245.60	6736.78	824.91	Tour booking service	44
33	32	719.40	119.90	0.00	The issues for visas	45
30	30	57090.00	703.93	2627.25	Tour booking service	42
31	31	1672.73	33.45	0.00	Tour booking service	39
34	33	59110.00	898.86	0.00	Tour booking service	46
35	33	707.50	38.91	35.38	Formulation of foreign passport	47
36	34	45322.20	906.44	0.00	Tour booking service	48
37	35	34701.00	404.85	694.02	Tour booking service	54
\.


--
-- Name: invoice_item_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('invoice_item_id_seq', 37, true);


--
-- Data for Name: lead; Type: TABLE DATA; Schema: public; Owner: -
--

COPY lead (id, lead_date, resource_id, advsource_id, customer_id, status, descr) FROM stdin;
2	2015-02-04	2088	5	46	1	Test lead description
1	2015-02-04	2052	6	47	2	Cant to offer any proposition for customer
3	2015-05-24	2312	4	48	1	\N
4	2015-06-02	2333	2	50	0	\N
5	2015-06-06	2372	6	53	1	\N
6	2015-06-10	2434	6	53	3	\N
7	2015-07-18	2562	4	55	0	\N
9	2015-07-16	2569	2	57	0	\N
10	2015-07-14	2572	6	58	0	\N
11	2015-07-17	2575	6	59	0	\N
12	2015-07-17	2579	2	60	0	\N
13	2015-07-17	2582	6	61	0	\N
14	2015-07-20	2599	6	63	0	\N
15	2015-07-21	2662	6	65	1	\N
16	2015-07-22	2669	2	66	3	\N
17	2016-01-01	2824	6	70	0	\N
18	2016-02-07	2877	2	72	0	\N
19	2016-05-22	2894	5	75	0	\N
66	2016-05-22	2894	5	75	0	\N
67	2016-05-22	3659	5	75	0	\N
68	2016-07-18	3678	6	77	3	\N
70	2016-07-18	3678	6	77	3	\N
69	2016-07-22	3697	6	74	2	\N
71	2016-07-18	3699	6	77	0	\N
\.


--
-- Name: lead_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('lead_id_seq', 71, true);


--
-- Data for Name: lead_item; Type: TABLE DATA; Schema: public; Owner: -
--

COPY lead_item (id, resource_id, lead_id, service_id, currency_id, price_from, price_to, descr) FROM stdin;
1	2293	\N	5	57	\N	3001.00	Tour in Turkey for 2 adult persons and one children for 7 days in 5*
2	2294	\N	4	57	\N	70.00	A visa for Schengen for one person
3	2295	\N	5	57	\N	3000.00	Turkey, 5*, 2 persons adult
4	2297	\N	5	57	\N	2500.00	Turkey, 10 days, 2 persons, 5*
5	2300	2	5	57	\N	2500.00	Turkey, 5*, 2 persons, the middle of Jule, 10 days
6	2305	1	4	\N	\N	\N	Schengen
7	2310	3	5	57	\N	1600.00	For 2 persons into Egypt or Turkey, exelent 4* or 5* with AI, 7 days, in the middle of JUNE
8	2313	3	1	\N	\N	\N	Need a foreign passport for two persons very QUICK!
9	2329	4	5	57	2500.00	3500.00	Turkey, 5* AI, 2 adults and child, Kemer prefered
10	2330	4	4	54	\N	70.00	EU visa for 2 persons
13	2561	7	5	56	\N	20000.00	Turkey, not less than 4* with AI for 2 person on 7 nights
15	2567	9	1	\N	\N	\N	Need a foreign passport
16	2568	9	5	57	\N	1500.00	Tour for 2 adult persons to Turkey
17	2571	10	5	57	\N	900.00	Want tour into Bulgary, for single adult person, 7 nights
18	2574	11	5	\N	\N	\N	Odessa tour, 4 days in good hotel
19	2577	12	5	54	\N	2000.00	Kiprus, for 7 nights for 3 persons (2 adults, 1 child), 5* pansionat, near the sea
20	2578	12	4	\N	\N	\N	Shengen to Germany for 2 persons
21	2581	13	1	\N	\N	\N	Foreign Passport for two persons very QUICK
22	2596	14	4	\N	\N	100.00	Shcengen NEEDS!
23	2597	14	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
24	2598	14	1	\N	\N	\N	Foreign passport for single person and QUICK!
25	2661	15	5	57	\N	2200.00	OAE, 5* not less, UAI, for single person near the sea. Need perfect appartaments with SPA for 5 days
26	2668	16	5	57	1500.00	1700.00	Kiprus from 24.07 to 30.07 for 2 adult persons 4* or more.
27	2823	17	5	56	\N	60000.00	Egypt tour for 2 persons from fubruary begining
28	2876	18	5	57	\N	2000.00	Egypt, 4* al inclusive Sharm El Sheih
29	2893	19	5	57	\N	2000.00	Turkey for two persons 7 days Bodrum
471	3373	\N	7	\N	\N	\N	dfgsdfgsdfg 
690	3593	\N	5	\N	\N	\N	Turkey or Egypt on the end of July, 5* with UAI for 3 persons
12	2433	\N	5	\N	\N	\N	Turkey or Egypt on the end of July, 5* with UAI for 3 persons
11	2368	\N	5	57	2000.00	3000.00	Croatia for 2 persons, 5* on June or July beginings
700	2564	\N	4	54	\N	50.00	Shengen visas for 2 persons to Poland
14	2564	\N	4	54	\N	50.00	Shengen visas for 2 persons to Poland
716	3610	\N	4	54	\N	50.00	Shengen visas for 2 persons to Poland
729	3698	71	5	\N	\N	\N	Turkey for 7 days
79	2981	\N	4	\N	\N	100.00	Shcengen NEEDS!
43	2940	\N	5	57	\N	2000.00	Egypt, 4* al inclusive Sharm El Sheih
686	3588	\N	4	\N	\N	100.00	Shcengen NEEDS!
687	3589	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
691	3594	\N	5	\N	\N	\N	Turkey or Egypt on the end of July, 5* with UAI for 3 persons
688	3590	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
689	3592	\N	5	\N	\N	\N	Turkey or Egypt on the end of July, 5* with UAI for 3 persons
83	2985	\N	4	\N	\N	100.00	Shcengen NEEDS!
84	2986	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
85	2987	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
692	3596	\N	5	\N	\N	\N	Turkey or Egypt on the end of July, 5* with UAI for 3 persons
718	3612	\N	4	54	\N	50.00	Shengen visas for 2 persons to Poland
719	3613	\N	5	54	\N	2000.00	Kiprus, for 7 nights for 3 persons (2 adults, 1 child), 5* pansionat, near the sea
720	3614	\N	4	\N	\N	\N	Shengen to Germany for 2 persons
693	2433	\N	5	\N	\N	\N	Turkey or Egypt on the end of July, 5* with UAI for 3 persons
721	3616	\N	4	\N	\N	100.00	Shcengen NEEDS!
722	3617	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
723	3618	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
472	3374	\N	4	\N	\N	\N	dfg sdfgsdfg
90	2992	\N	4	\N	\N	100.00	Shcengen NEEDS!
91	2993	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
92	2994	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
93	2995	\N	4	\N	\N	100.00	Shcengen NEEDS!
94	2996	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
95	2997	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
96	2998	\N	4	\N	\N	100.00	Shcengen NEEDS!
97	2999	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
98	3000	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
99	3001	\N	4	\N	\N	100.00	Shcengen NEEDS!
100	3002	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
101	3003	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
102	3004	\N	4	\N	\N	100.00	Shcengen NEEDS!
103	3005	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
104	3006	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
105	3007	\N	4	\N	\N	100.00	Shcengen NEEDS!
106	3008	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
107	3009	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
108	3010	\N	4	\N	\N	100.00	Shcengen NEEDS!
109	3011	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
110	3012	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
111	3013	\N	4	\N	\N	100.00	Shcengen NEEDS!
112	3014	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
113	3015	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
114	3016	\N	4	\N	\N	100.00	Shcengen NEEDS!
115	3017	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
116	3018	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
117	3019	\N	4	\N	\N	100.00	Shcengen NEEDS!
118	3020	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
119	3021	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
120	3022	\N	4	\N	\N	100.00	Shcengen NEEDS!
121	3023	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
122	3024	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
123	3025	\N	4	\N	\N	100.00	Shcengen NEEDS!
124	3026	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
125	3027	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
126	3028	\N	4	\N	\N	100.00	Shcengen NEEDS!
127	3029	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
128	3030	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
129	3031	\N	4	\N	\N	100.00	Shcengen NEEDS!
130	3032	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
131	3033	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
132	3034	\N	4	\N	\N	100.00	Shcengen NEEDS!
133	3035	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
134	3036	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
135	3037	\N	4	\N	\N	100.00	Shcengen NEEDS!
136	3038	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
137	3039	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
138	3040	\N	4	\N	\N	100.00	Shcengen NEEDS!
139	3041	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
140	3042	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
141	3043	\N	4	\N	\N	100.00	Shcengen NEEDS!
142	3044	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
143	3045	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
144	3046	\N	4	\N	\N	100.00	Shcengen NEEDS!
145	3047	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
146	3048	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
147	3049	\N	4	\N	\N	100.00	Shcengen NEEDS!
148	3050	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
149	3051	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
150	3052	\N	4	\N	\N	100.00	Shcengen NEEDS!
151	3053	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
152	3054	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
153	3055	\N	4	\N	\N	100.00	Shcengen NEEDS!
154	3056	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
155	3057	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
156	3058	\N	4	\N	\N	100.00	Shcengen NEEDS!
157	3059	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
158	3060	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
159	3061	\N	4	\N	\N	100.00	Shcengen NEEDS!
160	3062	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
161	3063	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
162	3064	\N	4	\N	\N	100.00	Shcengen NEEDS!
163	3065	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
164	3066	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
165	3067	\N	4	\N	\N	100.00	Shcengen NEEDS!
166	3068	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
167	3069	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
168	3070	\N	4	\N	\N	100.00	Shcengen NEEDS!
169	3071	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
170	3072	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
171	3073	\N	4	\N	\N	100.00	Shcengen NEEDS!
172	3074	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
173	3075	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
174	3076	\N	4	\N	\N	100.00	Shcengen NEEDS!
175	3077	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
176	3078	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
177	3079	\N	4	\N	\N	100.00	Shcengen NEEDS!
178	3080	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
179	3081	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
180	3082	\N	4	\N	\N	100.00	Shcengen NEEDS!
181	3083	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
182	3084	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
183	3085	\N	4	\N	\N	100.00	Shcengen NEEDS!
184	3086	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
185	3087	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
186	3088	\N	4	\N	\N	100.00	Shcengen NEEDS!
187	3089	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
188	3090	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
189	3091	\N	4	\N	\N	100.00	Shcengen NEEDS!
190	3092	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
191	3093	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
192	3094	\N	4	\N	\N	100.00	Shcengen NEEDS!
193	3095	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
194	3096	\N	4	\N	\N	100.00	Shcengen NEEDS!
195	3097	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
196	3098	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
197	3099	\N	4	\N	\N	100.00	Shcengen NEEDS!
198	3100	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
199	3101	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
200	3102	\N	4	\N	\N	100.00	Shcengen NEEDS!
201	3103	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
202	3104	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
203	3105	\N	4	\N	\N	100.00	Shcengen NEEDS!
204	3106	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
205	3107	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
206	3108	\N	4	\N	\N	100.00	Shcengen NEEDS!
207	3109	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
208	3110	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
209	3111	\N	4	\N	\N	100.00	Shcengen NEEDS!
210	3112	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
211	3113	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
212	3114	\N	4	\N	\N	100.00	Shcengen NEEDS!
213	3115	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
214	3116	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
215	3117	\N	4	\N	\N	100.00	Shcengen NEEDS!
216	3118	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
217	3119	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
218	3120	\N	4	\N	\N	100.00	Shcengen NEEDS!
694	2433	\N	5	\N	\N	\N	Turkey or Egypt on the end of July, 5* with UAI for 3 persons
695	2433	\N	5	\N	\N	\N	Turkey or Egypt on the end of July, 5* with UAI for 3 persons
711	3605	\N	4	54	\N	50.00	Shengen visas for 2 persons to Poland
696	2368	\N	5	57	2000.00	3000.00	Croatia for 2 persons, 5* on June or July beginings
726	3658	67	5	57	\N	2000.00	Turkey for two persons 7 days Bodrum
219	3121	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
220	3122	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
221	3123	\N	4	\N	\N	100.00	Shcengen NEEDS!
222	3124	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
223	3125	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
224	3126	\N	4	\N	\N	100.00	Shcengen NEEDS!
225	3127	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
226	3128	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
227	3129	\N	4	\N	\N	100.00	Shcengen NEEDS!
228	3130	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
229	3131	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
230	3132	\N	4	\N	\N	100.00	Shcengen NEEDS!
231	3133	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
232	3134	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
233	3135	\N	4	\N	\N	100.00	Shcengen NEEDS!
234	3136	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
235	3137	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
236	3138	\N	4	\N	\N	100.00	Shcengen NEEDS!
237	3139	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
238	3140	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
239	3141	\N	4	\N	\N	100.00	Shcengen NEEDS!
240	3142	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
241	3143	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
242	3144	\N	4	\N	\N	100.00	Shcengen NEEDS!
243	3145	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
244	3146	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
245	3147	\N	4	\N	\N	100.00	Shcengen NEEDS!
246	3148	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
247	3149	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
248	3150	\N	4	\N	\N	100.00	Shcengen NEEDS!
249	3151	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
250	3152	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
251	3153	\N	4	\N	\N	100.00	Shcengen NEEDS!
252	3154	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
253	3155	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
254	3156	\N	4	\N	\N	100.00	Shcengen NEEDS!
255	3157	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
256	3158	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
257	3159	\N	4	\N	\N	100.00	Shcengen NEEDS!
258	3160	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
259	3161	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
260	3162	\N	4	\N	\N	100.00	Shcengen NEEDS!
261	3163	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
262	3164	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
263	3165	\N	4	\N	\N	100.00	Shcengen NEEDS!
264	3166	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
265	3167	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
266	3168	\N	4	\N	\N	100.00	Shcengen NEEDS!
267	3169	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
268	3170	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
269	3171	\N	4	\N	\N	100.00	Shcengen NEEDS!
270	3172	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
271	3173	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
272	3174	\N	4	\N	\N	100.00	Shcengen NEEDS!
273	3175	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
274	3176	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
275	3177	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
276	3178	\N	4	\N	\N	100.00	Shcengen NEEDS!
277	3179	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
278	3180	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
713	3607	\N	4	54	\N	50.00	Shengen visas for 2 persons to Poland
727	3677	68	5	\N	\N	\N	Turkey for 7 days
698	2564	\N	4	54	\N	50.00	Shengen visas for 2 persons to Poland
699	2564	\N	4	54	\N	50.00	Shengen visas for 2 persons to Poland
714	3608	\N	4	54	\N	50.00	Shengen visas for 2 persons to Poland
715	3609	\N	4	54	\N	50.00	Shengen visas for 2 persons to Poland
728	3696	69	7	\N	\N	\N	asdSDAsd
680	3582	\N	4	\N	\N	100.00	Shcengen NEEDS!
681	3583	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
682	3584	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
683	3585	\N	4	\N	\N	100.00	Shcengen NEEDS!
684	3586	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
685	3587	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
\.


--
-- Name: lead_item_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('lead_item_id_seq', 729, true);


--
-- Data for Name: lead_offer; Type: TABLE DATA; Schema: public; Owner: -
--

COPY lead_offer (id, resource_id, lead_id, service_id, currency_id, supplier_id, price, status, descr) FROM stdin;
2	2299	\N	5	57	87	2450.00	0	\N
3	2301	2	5	57	87	2250.00	0	Turkey, 5*, UAI, Kemer, 2 persons, 10 - 20 of Jule
4	2306	1	4	57	90	100.00	2	This price only
5	2331	4	5	57	93	3300.00	1	Turkey Kemer, 5* UAI for 2 persons and child
6	2332	4	4	54	100	65.00	1	for 2 person single visa
7	2369	5	5	56	92	57090.00	1	Radisson Blu Resort & Spa Dubrovnik Sun Gardens 5*, Croatia, Orashac, for 2 persons
9	2437	6	5	57	99	1400.00	1	Egypt, Sharm El Sheih, 5 UAI, 10 days for 2 adult persons and 1 child
8	2435	6	5	57	100	1800.00	2	Turkey Kemer for 7 days with AI for 2 adults and single child. Hotel is uknown this is hot tour with caurosel.\r\n\r\nThis offer was not approved by customer, its too expensive
10	2670	16	5	57	100	1720.00	1	4* pansionat, 2 adult from 24.07 to 30.07
11	2825	17	5	57	87	2300.00	1	Sharm el Sheih from 12.02-19.02
12	3680	68	5	57	87	1345.00	1	CRYSTAL PARAISO VERDE RESORT 5 *Тип номера: Standard 2 Расположен : - Линия :вторая Подогреваемый бассейн : - От центра / от аэропорта :50 / 40Количество номеров :668 Интернет : есть Территория отеля : 42 000 кв.м.
\.


--
-- Name: lead_offer_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('lead_offer_id_seq', 12, true);


--
-- Name: licence_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('licence_id_seq', 65, true);


--
-- Data for Name: location; Type: TABLE DATA; Schema: public; Owner: -
--

COPY location (id, resource_id, name, region_id) FROM stdin;
1	1091	Kestel	12
3	1093	Airport Julyany (Kiev)	7
5	1097	Simferopol	13
6	1102	Munich	15
14	1287	Kiev	7
15	1289	Borispol Airport	7
16	1291	Opatiya	23
17	1319	Kirish	10
18	1321	Okurcalar	12
19	1326	Kemer	10
20	1329	Belek	24
21	1333	Konacli	25
22	1337	Kizilagac	26
23	1341	Paphos	27
24	1345	Marino Centro	28
25	1348	Terrasini	29
26	1353	Hersonissos	30
27	1356	La Pineda	31
28	1359	Salou	31
29	1361	Lorett de Marr	18
30	1363	Hurgada	9
31	1366	Nabk Bey	32
32	1385	Svalyava	33
33	1417	Dnepropetrovsk	34
34	1468	Lviv	22
35	1588	Diagoras Airport	35
36	1589	Rhodos	35
37	1648	Saint-Tropez	36
39	2374	Orashac	38
40	2674	Larnaka	39
41	2896	Bodrum	40
42	3681	Bogazkent	24
\.


--
-- Name: location_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('location_id_seq', 42, true);


--
-- Data for Name: mail; Type: TABLE DATA; Schema: public; Owner: -
--

COPY mail (id, resource_id, name, html_content, descr, subject) FROM stdin;
5	3758	Test template	Hello	this is for test purpose only	Test mail
\.


--
-- Name: mail_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('mail_id_seq', 5, true);


--
-- Data for Name: navigation; Type: TABLE DATA; Schema: public; Owner: -
--

COPY navigation (id, position_id, parent_id, name, url, icon_cls, sort_order, resource_id, separator_before, action) FROM stdin;
41	5	\N	Home	/	fa fa-home	1	1079	f	\N
47	5	\N	For Test	/	fa fa-credit-card	2	1253	f	\N
53	4	\N	Finance	/	fa fa-credit-card	7	1394	f	\N
156	4	53	Billing	/	\N	10	1905	f	\N
107	4	\N	Home	/	fa fa-home	1	1777	f	\N
32	4	\N	Sales	/	fa fa-legal	2	998	f	\N
21	4	\N	Clientage	/	fa fa-briefcase	3	864	f	\N
26	4	\N	Marketing	/	fa fa-bullhorn	4	900	f	\N
10	4	\N	HR	/	fa fa-group	5	780	f	\N
18	4	\N	Company	/	fa fa-building-o	6	837	f	\N
23	4	\N	Directories	/	fa fa-book	8	873	f	\N
152	4	\N	Reports	/	fa fa-pie-chart	9	1895	f	\N
155	4	53	Payments	/	\N	12	1904	f	\N
157	4	53	Currencies		\N	7	1906	t	\N
42	4	159	Hotels List	/hotels	\N	5	1080	f	\N
43	4	158	Locations	/locations	\N	3	1089	f	\N
50	4	53	Services List	/services	\N	6	1312	f	\N
45	4	53	Banks	/banks	\N	6	1212	f	tab_open
153	4	152	Turnovers	/turnovers	\N	2	1896	f	tab_open
51	4	32	Invoices	/invoices	\N	5	1368	t	tab_open
9	4	8	Resource Types	/resources_types	\N	1	779	f	\N
13	4	10	Employees	/employees	\N	1	790	f	\N
54	4	157	Currencies Rates	/currencies_rates	\N	8	1395	f	\N
55	4	156	Accounts Items	/accounts_items	\N	3	1425	f	\N
56	4	155	Income Payments	/incomes	\N	9	1434	f	\N
57	4	156	Accounts	/accounts	\N	1	1436	f	\N
14	4	10	Employees Appointments	/appointments	\N	2	791	f	\N
174	4	156	Vat Settings	/vats	\N	5	2514	t	tab_open
15	4	8	Users	/users	\N	3	792	f	\N
17	4	157	Currencies List	/currencies	\N	7	802	f	\N
19	4	18	Structures	/structures	\N	1	838	f	\N
20	4	18	Positions	/positions	\N	2	863	f	\N
22	4	21	Persons	/persons	\N	1	866	f	\N
24	4	158	Countries	/countries	\N	4	874	f	\N
25	4	158	Regions	/regions	\N	3	879	f	\N
27	4	26	Advertising Sources	/advsources	\N	1	902	f	\N
28	4	159	Hotels Categories	/hotelcats	\N	6	910	f	\N
29	4	159	Rooms Categories	/roomcats	\N	7	911	f	\N
30	4	159	Accomodations	/accomodations	\N	10	955	f	tab_open
31	4	159	Food Categories	/foodcats	\N	9	956	f	\N
61	4	155	Outgoing Payments	/outgoings	\N	10	1571	f	\N
150	4	156	Subaccounts	/subaccounts	\N	2	1798	f	\N
151	4	155	Cross Payments	/crosspayments	\N	11	1885	f	\N
36	4	23	Business Persons	/bpersons	\N	4	1008	f	tab_open
60	4	23	Suppliers	/suppliers	\N	1	1550	f	tab_open
165	4	8	Company	/companies/edit	\N	4	1975	t	dialog_open
166	4	32	Leads	/leads	\N	2	2048	f	tab_open
168	4	32	Orders	/orders	\N	4	2101	f	tab_open
158	4	23	Geography	/	\N	10	1907	f	\N
159	4	23	Hotels	/	\N	9	1908	t	\N
169	4	23	Transfers	/transfers	\N	5	2128	t	tab_open
170	4	23	Transport	/transports	\N	6	2136	f	tab_open
171	4	23	Suppliers Types	/suppliers_types	\N	3	2219	f	tab_open
172	4	23	Contracts	/contracts	\N	2	2222	f	tab_open
173	4	23	Ticket Class	/tickets_classes	\N	7	2245	f	tab_open
175	4	23	Persons Categories	/persons_categories	\N	8	2552	f	tab_open
182	6	\N	Home	/	fa fa-home	1	2602	f	\N
183	6	\N	Sales	/	fa fa-legal	2	2603	f	\N
184	6	\N	Clientage	/	fa fa-briefcase	3	2604	f	\N
185	6	\N	Marketing	/	fa fa-bullhorn	4	2605	f	\N
188	6	\N	Directories	/	fa fa-book	8	2608	f	\N
192	6	229	Hotels List	/hotels	\N	5	2612	f	\N
193	6	228	Locations	/locations	\N	3	2613	f	\N
197	6	183	Invoices	/invoices	\N	5	2617	t	tab_open
211	6	184	Persons	/persons	\N	1	2631	f	\N
212	6	228	Countries	/countries	\N	4	2632	f	\N
213	6	228	Regions	/regions	\N	3	2633	f	\N
214	6	185	Advertising Sources	/advsources	\N	1	2634	f	\N
215	6	229	Hotels Categories	/hotelcats	\N	6	2635	f	\N
216	6	229	Rooms Categories	/roomcats	\N	7	2636	f	\N
217	6	229	Accomodations	/accomodations	\N	10	2637	f	tab_open
218	6	229	Food Categories	/foodcats	\N	9	2638	f	\N
222	6	188	Business Persons	/bpersons	\N	4	2642	f	tab_open
223	6	188	Suppliers	/suppliers	\N	1	2643	f	tab_open
226	6	183	Leads	/leads	\N	2	2646	f	tab_open
227	6	183	Orders	/orders	\N	4	2647	f	tab_open
228	6	188	Geography	/	\N	10	2648	f	\N
229	6	188	Hotels	/	\N	9	2649	t	\N
230	6	188	Transfers	/transfers	\N	5	2650	t	tab_open
231	6	188	Transport	/transports	\N	6	2651	f	tab_open
232	6	188	Suppliers Types	/suppliers_types	\N	3	2652	f	tab_open
233	6	188	Contracts	/contracts	\N	2	2653	f	tab_open
234	6	188	Ticket Class	/tickets_classes	\N	7	2654	f	tab_open
235	6	188	Persons Categories	/persons_categories	\N	8	2655	f	tab_open
237	4	10	Dismissals	/dismissals	\N	3	2883	t	tab_open
8	4	\N	System	/	fa fa-cog	11	778	f	tab_open
239	4	238	Assign resources	/assigns/assign	\N	1	2889	f	dialog_open
238	4	\N	Tools	/	fa fa-gears	10	2888	f	tab_open
236	4	26	Campaigns	/campaigns	\N	3	2741	f	tab_open
241	4	26	Mails templates	/mails	\N	2	3716	t	tab_open
\.


--
-- Data for Name: note; Type: TABLE DATA; Schema: public; Owner: -
--

COPY note (id, resource_id, title, descr) FROM stdin;
1	1800	Для тестирования	\N
2	1801	For testing purpose	\N
3	1802	This resource type is under qustion	<b>Seems we need new schema for accounting.</b>
4	1803	I had asked questions for expert in accounting	Alexander said that the most appopriate schema is to use accounts for each object such as persons, touroperators and so on
5	1804	Need to ask questions to expert	\N
18	1833	Main Developer of TravelCRM	The main developer of TravelCRM
24	1872	For users	This subaccount is for Person Garkaviy Andrew
25	1924	Passport detalized	There is no information about passport
26	1931	Resource Task	This is for resource only
27	1979	Test Note	Description to test note
28	1981	VIP User	This user is for VIP
29	2012	Good Hotel	Edit description for Hotels note
30	2065	Note without source resource	This note was created directly from Tools Panel
31	2087	Good customer	Good customer in any case
32	2092	Failure	Customer failure from offers
33	2096	For test purpose only	\N
34	2097	Failure 2	\N
35	2098	New property SERVICE_TYPE	Add new property for services - SERVICE_TYPE. There is 2 types - common and tour.
36	2132	New note for Lastovec	Test Note for User
42	2302	Cant call	\N
43	2370	Very promissed	Very promised client, redy to make business
59	2663	Details contacts	Need to details contacts for this person. He can be perfect VIP client
60	2820	Important	Make this very carefully
61	2826	offer taken	Offer taken by client\r\n
62	2909	New Note	hello, its test note
63	2919	title	it's simple note
64	2921	test	test notes
65	2923	note	note for source
66	2924	my note 1	my note 1
67	2925	sdfasdf	 sdfasdfs df
68	2926	werqwer 	qwer qwer
69	3630	zxvbzx vzxcv	zxc vzxcvzxcv
70	3631	zxvbzx vzxcv	zxc vzxcvzxcv
71	3719	Test me1	test me description
\.


--
-- Name: note_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('note_id_seq', 71, true);


--
-- Data for Name: note_resource; Type: TABLE DATA; Schema: public; Owner: -
--

COPY note_resource (note_id, resource_id) FROM stdin;
3	1797
5	1797
24	1868
29	1470
27	1980
33	970
42	2075
31	2088
32	2052
34	2052
43	2372
35	1413
28	3
36	2126
59	2662
61	2824
68	2658
62	2887
18	784
71	3718
\.


--
-- Data for Name: note_upload; Type: TABLE DATA; Schema: public; Owner: -
--

COPY note_upload (note_id, upload_id) FROM stdin;
59	17
62	21
\.


--
-- Data for Name: notification; Type: TABLE DATA; Schema: public; Owner: -
--

COPY notification (id, resource_id, descr, created, url) FROM stdin;
64	3817	New campaign "dfasdfas sadf" created	2016-09-17 21:10:22.1469+03	\N
65	3819	New campaign "adfasdf sds" created	2016-09-17 21:11:52.967967+03	\N
66	3820	Campaign "adfasdf sds" was deleted	2016-09-17 21:12:15.212864+03	\N
67	3822	New campaign "sdfsd fsdf" created	2016-09-17 21:16:08.362697+03	\N
68	3824	New campaign "dasd asdasd" created	2016-09-17 21:18:57.067167+03	\N
69	3826	Campaign "asdf asdfasdf" was changed	2016-09-17 21:31:41.534377+03	\N
70	3828	New campaign "sadf afasd" created	2016-09-17 21:43:06.698128+03	\N
71	3834	Campaign "asdf asdas" was changed	2016-09-18 22:44:56.15485+03	\N
72	3836	New campaign "asdf asdas" created	2016-09-18 22:45:34.72505+03	\N
73	3838	New campaign "jhsdgfashgdf hg" created	2016-09-25 19:27:20.080296+03	\N
74	3840	New campaign "fasdfasd fsdf" created	2016-09-25 19:34:56.310765+03	\N
75	3841	Campaign "fasdfasd fsdf" was changed	2016-09-25 19:37:59.328113+03	\N
76	3844	New <travelcrm.models.campaign.Campaign object at 0x7f5c5f67aa10> was created by <travelcrm.models.employee.Employee object at 0x7f5c5f67ab10>	2016-10-02 14:53:43.077575+03	\N
77	3845	<travelcrm.models.campaign.Campaign object at 0x7fa3a8d85a90> was changed by Doe John	2016-10-02 14:57:12.118256+03	\N
78	3847	New "Campaigns" was created by Doe John	2016-10-02 14:58:18.584663+03	\N
79	3848	Resource "Campaigns" was changed by Doe John	2016-10-02 15:01:08.929+03	\N
80	3849	Resource "Campaigns" was changed by Doe John	2016-10-02 15:02:59.880731+03	\N
81	3850	Resource "Campaigns" was changed by Doe John	2016-10-02 15:03:29.597278+03	\N
82	3856	New task "ghfghdg hdfghdfghdfgh" was created by Doe John	2016-10-02 15:14:50.598109+03	\N
83	3857	Resource "Persons" was changed by Doe John	2016-10-02 16:30:12.797129+03	\N
84	3858	Resource "Persons" was changed by Doe John	2016-10-02 16:30:29.557654+03	\N
85	3859	Resource "Tasks" was changed by Doe John	2016-10-02 17:48:25.829152+03	\N
86	3860	Resource "Mails" was changed by Doe John	2016-10-02 18:52:35.049405+03	\N
87	3861	Resource "Campaigns" was changed by Doe John	2016-10-02 18:53:35.742358+03	\N
88	3862	Resource "Campaigns" was changed by Doe John	2016-10-02 18:55:00.986014+03	\N
89	3863	Resource "Campaigns" was changed by Doe John	2016-10-02 18:56:08.275114+03	\N
90	3864	Resource "Campaigns" was changed by Doe John	2016-10-02 18:59:24.879113+03	\N
91	3865	Resource "Campaigns" was changed by Doe John	2016-10-02 19:01:43.741615+03	\N
92	3866	Resource "Campaigns" was changed by Doe John	2016-10-02 19:09:13.830533+03	\N
93	3867	Resource "Campaigns" was changed by Doe John	2016-10-02 19:10:47.617632+03	\N
94	3868	Resource "Campaigns" was changed by Doe John	2016-10-02 19:13:44.987473+03	\N
95	3869	Resource "Campaigns" was changed by Doe John	2016-10-02 19:20:09.146623+03	\N
96	3870	Resource "Campaigns" was changed by Doe John	2016-10-02 19:25:59.247648+03	\N
97	3871	Resource "Campaigns" was changed by Doe John	2016-10-02 19:26:41.753543+03	\N
98	3872	Resource "Campaigns" was changed by Doe John	2016-10-02 19:27:40.950864+03	\N
99	3873	Resource "Campaigns" was changed by Doe John	2016-10-02 19:29:43.36682+03	\N
100	3874	Resource "Campaigns" was changed by Doe John	2016-10-02 19:30:49.229692+03	\N
101	3875	Resource "Campaigns" was changed by Doe John	2016-10-02 19:32:08.744846+03	\N
102	3876	Resource "Campaigns" was changed by Doe John	2016-10-02 19:32:27.080841+03	\N
103	3877	Resource "Campaigns" was changed by Doe John	2016-10-02 19:35:32.189647+03	\N
104	3878	Resource "Navigations" was changed by Doe John	2016-10-08 18:58:18.809214+03	\N
\.


--
-- Name: notification_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('notification_id_seq', 104, true);


--
-- Data for Name: notification_resource; Type: TABLE DATA; Schema: public; Owner: -
--

COPY notification_resource (notification_id, resource_id) FROM stdin;
78	3846
79	3846
80	3846
81	3846
82	3855
83	3792
84	3792
85	3679
86	3758
87	3846
88	3846
89	3846
90	3846
91	3846
92	3846
93	3846
94	3846
95	3846
96	3846
97	3846
98	3846
99	3846
100	3846
101	3846
102	3846
103	3846
104	2741
\.


--
-- Data for Name: order; Type: TABLE DATA; Schema: public; Owner: -
--

COPY "order" (id, deal_date, resource_id, customer_id, advsource_id, descr, lead_id, status) FROM stdin;
4	2015-05-10	2275	17	4	\N	\N	0
3	2015-05-10	2267	43	5	\N	\N	0
2	2015-05-10	2264	44	6	\N	\N	0
5	2015-04-29	2280	42	1	Test description	\N	0
6	2015-05-16	2284	36	2	\N	\N	0
9	2015-06-06	2382	53	6	\N	5	1
8	2015-06-02	2345	50	2	\N	4	1
10	2015-07-22	2690	66	2	\N	16	1
7	2015-05-26	2317	48	4	For Lead testing	3	3
11	2016-01-02	2831	70	6	\N	17	0
12	2016-05-22	2902	75	5	\N	19	3
13	2016-05-22	2902	75	5	\N	19	3
14	2016-05-22	2902	75	5	\N	19	3
16	2016-08-14	3710	72	6	\N	\N	0
17	2016-08-14	3714	76	6	\N	\N	3
15	2016-07-18	3686	77	6	\N	68	3
18	2016-08-14	3831	76	6	\N	\N	3
\.


--
-- Name: order_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('order_id_seq', 18, true);


--
-- Data for Name: order_item; Type: TABLE DATA; Schema: public; Owner: -
--

COPY order_item (id, resource_id, order_id, service_id, currency_id, price, status, status_date, status_info, supplier_id, discount_sum, discount_percent) FROM stdin;
28	2254	\N	7	57	420.00	0	\N	\N	97	0.00	0.00
29	2256	\N	7	57	420.00	0	\N	\N	97	0.00	0.00
30	2258	\N	7	57	420.00	0	\N	\N	97	0.00	0.00
34	2273	4	4	57	150.00	1	2015-05-10	\N	102	0.00	0.00
33	2265	3	5	57	2400.00	0	\N	\N	94	0.00	0.00
31	2260	2	7	57	422.00	0	\N	\N	97	0.00	0.00
32	2262	2	7	57	387.00	0	\N	\N	97	0.00	0.00
37	2285	\N	5	57	2780.00	1	2015-05-16	\N	87	0.00	0.00
38	2287	\N	7	54	640.00	2	2015-05-16	\N	97	0.00	0.00
36	2282	6	5	57	3201.00	0	2015-05-16	\N	87	0.00	2.00
35	2278	5	1	57	40.00	1	2015-05-10	passport had been received by customer	102	0.00	0.00
40	2341	8	5	57	3300.00	1	2015-06-02	\N	93	0.00	3.00
43	2379	9	4	54	300.00	1	2015-06-06	#678975-HJYT	102	0.00	0.00
42	2377	9	5	56	57090.00	1	2015-06-06	#5677912TY	92	1200.00	2.50
39	2315	7	5	57	1760.00	1	2015-05-26	#878qweiu	87	0.00	0.00
41	2343	8	4	54	130.00	2	2015-06-20	#6509-9	100	0.00	2.00
44	2686	10	5	57	1720.00	1	2015-07-22	BOOKING #: 1239642	101	0.00	2.00
45	2688	10	4	57	30.00	1	2015-07-22	succesfully confirmed	101	0.00	0.00
46	2827	11	5	57	2300.00	1	2016-01-02	TREYW6754-16	87	0.00	0.00
47	2837	11	1	54	25.00	1	2016-02-01	\N	87	0.00	5.00
48	2899	12	5	57	1890.00	1	2016-05-22	\N	101	0.00	0.00
49	3660	\N	5	57	1890.00	1	2016-05-22	\N	101	0.00	0.00
50	3662	13	5	57	1890.00	1	2016-05-22	\N	101	0.00	0.00
51	3663	14	5	57	1890.00	1	2016-05-22	\N	101	0.00	0.00
52	3664	\N	5	57	2000.00	1	2016-05-22	\N	101	0.00	0.00
53	3666	\N	5	57	1890.00	1	2016-05-22	\N	101	0.00	0.00
54	3684	15	5	57	1345.00	1	2016-07-18	TYU-0908732	87	0.00	2.00
55	3708	16	4	57	100.00	0	\N	\N	100	0.00	0.00
56	3712	17	5	57	3000.00	1	2016-08-15	\N	101	0.00	0.00
57	3829	18	5	57	2200.00	0	\N	\N	101	0.00	0.00
\.


--
-- Name: order_item_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('order_item_id_seq', 57, true);


--
-- Data for Name: outgoing; Type: TABLE DATA; Schema: public; Owner: -
--

COPY outgoing (id, resource_id, account_item_id, date, subaccount_id, sum, descr) FROM stdin;
13	1903	3	2014-11-18	10	8200.00	\N
16	1915	6	2014-11-23	12	15000.00	\N
23	2467	18	2015-06-14	23	15000.00	\N
21	2463	17	2015-06-14	22	108.00	Test for outgoing cashflows
24	2863	18	2016-01-02	26	1600.00	\N
25	2867	36	2016-01-02	27	760.35	\N
28	3693	18	2016-07-18	23	30000.00	\N
29	3694	18	2016-07-18	23	2000.00	\N
\.


--
-- Data for Name: outgoing_cashflow; Type: TABLE DATA; Schema: public; Owner: -
--

COPY outgoing_cashflow (outgoing_id, cashflow_id) FROM stdin;
23	258
21	259
24	264
24	265
25	266
25	267
28	280
28	281
29	284
\.


--
-- Name: outgoing_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('outgoing_id_seq', 29, true);


--
-- Data for Name: passport; Type: TABLE DATA; Schema: public; Owner: -
--

COPY passport (id, country_id, num, descr, resource_id, end_date, passport_type) FROM stdin;
1	14	231654	\N	1199	\N	0
2	14	132456	\N	1200	\N	0
4	12	1234564	\N	1205	\N	0
5	14	Svxzvxz	xzcvxzcv	1206	\N	0
14	3	RT678123	Foreign Passport	1584	2015-08-21	0
15	3	TY67342	\N	1592	2015-08-28	0
17	3	ER781263	\N	1613	\N	0
21	3	RT7892634	\N	1643	2017-07-19	0
22	3	RT632453	\N	1651	2019-08-16	0
25	9	TY78534	\N	2019	2018-06-06	0
6	3	НК028057	\N	1261	\N	1
7	3	HJ123456	new passport	1265	\N	1
9	3	HK123456	\N	1376	\N	1
10	3	HK12345	\N	1381	\N	1
11	3	PO123456	\N	1406	\N	1
12	3	TY3456	\N	1467	2016-04-10	1
13	3	YU78932	Ukrainian citizen passport	1582	\N	1
16	3	IO98676	\N	1612	\N	1
18	3	НК089564	\N	1622	\N	1
19	3	RE6712346	\N	1625	\N	1
20	3	HJ789665	\N	1642	\N	1
23	3	RTY	\N	1925	\N	1
24	3	HH67187	\N	2014	\N	1
8	3	РМ12345	from Kiev region	1286	2015-06-19	1
26	3	TT6785412	\N	2588	\N	0
27	3	HGTR789123	\N	2589	2015-07-31	1
28	3	TY56241	\N	2677	2018-02-07	1
29	3	YT76811	\N	2680	\N	0
30	3	RT61253	\N	2681	\N	1
31	3	YU678251	\N	2683	\N	0
32	3	TY65142	\N	2685	2018-04-06	1
\.


--
-- Name: passport_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('passport_id_seq', 32, true);


--
-- Data for Name: passport_upload; Type: TABLE DATA; Schema: public; Owner: -
--

COPY passport_upload (passport_id, upload_id) FROM stdin;
32	20
\.


--
-- Data for Name: permision; Type: TABLE DATA; Schema: public; Owner: -
--

COPY permision (id, resource_type_id, position_id, permisions, structure_id, scope_type) FROM stdin;
34	61	4	{view,add,edit,delete}	\N	all
53	2	5	{view,add,edit,delete}	\N	all
54	1	5	{view}	\N	all
21	1	4	{view}	\N	all
68	1	7	{view}	\N	all
69	2	7	{view,add,edit,delete}	5	structure
85	65	8	{view,add,edit,delete}	\N	all
86	61	8	{view,add,edit,delete}	\N	all
87	59	8	{view,add,edit,delete}	\N	all
88	55	8	{view,add,edit,delete}	\N	all
89	41	8	{view,add,edit,delete}	\N	all
90	67	8	{view,add,edit,delete}	\N	all
91	69	8	{view,add,edit,delete}	\N	all
92	39	8	{view,add,edit,delete}	\N	all
93	70	8	{view,add,edit,delete}	\N	all
94	71	8	{view,add,edit,delete}	\N	all
95	72	8	{view,add,edit,delete}	\N	all
96	73	8	{view,add,edit,delete}	\N	all
97	74	8	{view,add,edit,delete}	\N	all
98	75	8	{view,add,edit,delete}	\N	all
99	78	8	{view,add,edit,delete}	\N	all
100	79	8	{view,add,edit,delete}	\N	all
101	47	8	{view,add,edit,delete}	\N	all
102	83	8	{view,add,edit,delete}	\N	all
103	84	8	{view,add,edit,delete}	\N	all
104	86	8	{view,add,edit,delete}	\N	all
105	87	8	{view,add,edit,delete}	\N	all
106	89	8	{view,add,edit,delete}	\N	all
107	90	8	{view,add,edit,delete}	\N	all
108	91	8	{view,add,edit,delete}	\N	all
109	1	8	{view}	\N	all
110	93	8	{view,add,edit,delete}	\N	all
111	101	8	{view,add,edit,delete}	\N	all
112	2	8	{view,add,edit,delete}	\N	all
113	102	8	{view,add,edit,delete}	\N	all
114	104	8	{view,add,edit,delete}	\N	all
115	105	8	{view,add,edit,delete}	\N	all
116	103	8	{view,add,edit,delete}	\N	all
117	106	8	{view,add,edit,delete}	\N	all
118	107	8	{view,add,edit,delete}	\N	all
120	110	8	{view,add,edit,delete}	\N	all
121	111	8	{view,add,edit,delete}	\N	all
123	12	8	{view,add,edit,delete,settings}	\N	all
39	69	4	{view,add,edit,delete,assign}	\N	all
42	71	4	{view,add,edit,delete,assign}	\N	all
43	72	4	{view,add,edit,delete,assign}	\N	all
44	73	4	{view,add,edit,delete,assign}	\N	all
45	74	4	{view,add,edit,delete,assign}	\N	all
46	75	4	{view,add,edit,delete,assign}	\N	all
49	79	4	{view,add,edit,delete,assign}	\N	all
55	83	4	{view,add,edit,delete,assign}	\N	all
56	84	4	{view,add,edit,delete,assign}	\N	all
58	86	4	{view,add,edit,delete,assign}	\N	all
61	89	4	{view,add,edit,delete}	\N	all
62	90	4	{view,add,edit,delete}	\N	all
70	101	4	{view,add,edit,delete}	\N	all
63	91	4	{view,add,edit,delete,assign}	\N	all
79	110	4	{view,add,edit,delete}	\N	all
71	102	4	{view,add,edit,delete,assign}	\N	all
73	104	4	{view,add,edit,delete,assign}	\N	all
74	105	4	{view,add,edit,delete,assign}	\N	all
76	107	4	{view,add,edit,delete,assign}	\N	all
26	47	4	{view,add,edit,delete,assign}	\N	all
80	111	4	{view,add,edit,delete,assign}	\N	all
128	117	4	{view,add,edit,delete,assign}	\N	all
59	87	4	{view,add,edit,delete}	\N	all
38	41	4	{view,add,edit,delete,assign}	\N	all
40	39	4	{view,add,edit,delete,assign}	\N	all
35	65	4	{view,add,edit,delete,assign}	\N	all
37	67	4	{view,add,edit,delete,assign}	\N	all
41	70	4	{view,add,edit,delete,assign}	\N	all
22	2	4	{view,add,edit,delete,assign,profile}	\N	all
132	121	4	{view}	\N	all
134	123	4	{view,close}	\N	all
137	126	4	{view,edit}	\N	all
164	152	4	{view,settings}	\N	all
233	41	6	{view,add,edit,delete}	\N	all
234	67	6	{view,add,edit,delete}	\N	all
236	39	6	{view,add,edit,delete}	\N	all
237	70	6	{view,add,edit,delete}	\N	all
238	71	6	{view,add,edit,delete}	\N	all
239	72	6	{view,add,edit,delete}	\N	all
240	73	6	{view,add,edit,delete}	\N	all
241	74	6	{view,add,edit,delete}	\N	all
242	75	6	{view,add,edit,delete}	\N	all
244	79	6	{view,add,edit,delete}	\N	all
246	83	6	{view,add,edit,delete}	\N	all
247	84	6	{view,add,edit,delete}	\N	all
249	87	6	{view,add,edit,delete}	\N	all
250	89	6	{view,add,edit,delete}	\N	all
251	90	6	{view,add,edit,delete}	\N	all
253	1	6	{view}	\N	all
254	93	6	{view,add,edit,delete}	\N	all
261	110	6	{view,add,edit,delete}	\N	all
264	118	6	{view,add,edit,delete}	\N	all
267	121	6	{view}	\N	all
269	123	6	{view,close}	\N	all
271	146	6	{view,add,edit,delete}	\N	all
273	145	6	{view,add,edit,delete}	\N	all
274	144	6	{view,add,edit,delete}	\N	all
275	143	6	{view,add,edit,delete}	\N	all
276	142	6	{view,add,edit,delete}	\N	all
282	135	6	{view,add,edit,delete}	\N	all
277	141	6	{view}	\N	all
278	140	6	{view}	\N	all
279	139	6	{view}	\N	all
280	138	6	{view}	\N	all
281	137	6	{view,add,edit,delete}	3	structure
283	134	6	{view,add,edit,delete,calculation,invoice,contract}	3	structure
272	130	6	{view,add,edit,delete,order}	3	structure
270	126	6	{}	\N	all
266	120	6	{}	\N	all
265	119	6	{view,edit,delete}	\N	all
263	117	6	{view}	\N	all
262	111	6	{}	\N	all
260	107	6	{view}	\N	all
285	106	6	{}	\N	all
259	105	6	{}	\N	all
258	104	6	{view}	\N	all
286	103	6	{view,add,edit,delete}	\N	all
257	102	6	{view}	\N	all
255	101	6	{view}	\N	all
252	91	6	{view}	\N	all
248	86	6	{view}	\N	all
243	78	6	{view}	\N	all
229	65	6	{view}	\N	all
230	61	6	{view}	\N	all
231	59	6	{}	\N	all
268	12	6	{}	\N	all
288	149	6	{view,add,edit,delete}	\N	all
256	2	6	{}	\N	all
290	152	6	{view,settings}	\N	all
75	106	4	{view,add,edit,delete,assign}	\N	all
24	12	4	{view,add,edit,delete,assign,settings}	\N	all
146	135	4	{view,add,edit,delete}	\N	all
141	130	4	{view,add,edit,delete,assign,order}	\N	all
148	137	4	{view,add,edit,delete}	\N	all
154	143	4	{view,add,edit,delete}	\N	all
149	138	4	{view,add,edit,delete,assign}	\N	all
150	139	4	{view,add,edit,delete,assign}	\N	all
151	140	4	{view,add,edit,delete,assign}	\N	all
152	141	4	{view,add,edit,delete,assign}	\N	all
155	144	4	{view,add,edit,delete}	\N	all
157	145	4	{view,add,edit,delete}	\N	all
158	146	4	{view,add,edit,delete}	\N	all
161	149	4	{view,add,edit,delete}	\N	all
160	148	4	{view,add,edit,delete,assign}	\N	all
163	151	4	{view,add,edit,delete,assign}	\N	all
129	118	4	{view,add,edit,delete}	\N	all
130	119	4	{view,add,edit,delete,autoload}	\N	all
289	151	6	{view}	\N	all
287	148	6	{view}	\N	all
232	55	6	{view}	\N	all
245	47	6	{view}	\N	all
235	69	6	{view,add,edit,delete}	\N	all
32	59	4	{view,add,edit,delete,assign}	\N	all
48	78	4	{view,add,edit,delete,assign}	\N	all
65	93	4	{view,add,edit,delete,assign}	\N	all
72	103	4	{view,add,edit,delete,assign,settings}	\N	all
131	120	4	{view,add,edit,delete,assign}	\N	all
153	142	4	{view,add,edit,delete,assign}	\N	all
294	156	4	{view,add,edit,delete,settings,assign}	\N	all
30	55	4	{view,add,edit,delete,assign}	\N	all
297	159	4	{view,add,edit,delete,assign}	\N	all
298	160	4	{assign}	\N	all
145	134	4	{view,add,edit,delete,settings,assign,calculation,invoice,contract}	\N	all
300	162	4	{view,settings}	\N	all
301	163	4	{view,settings}	\N	all
302	164	4	{view,add,edit,delete,assign}	\N	all
304	166	4	{view,add,edit,delete}	\N	all
\.


--
-- Data for Name: person; Type: TABLE DATA; Schema: public; Owner: -
--

COPY person (id, resource_id, first_name, last_name, second_name, birthday, gender, descr, person_category_id, email_subscription, sms_subscription) FROM stdin;
19	1294	Stas	Voevoda		2007-10-16	0	\N	\N	t	\N
24	1390	Igor	Mazur		2007-07-21	0	\N	\N	t	\N
25	1408	Vitalii	Klishunov		1976-04-07	0	\N	\N	t	\N
26	1409	Natalia	Klishunova		1978-08-10	0	\N	\N	t	\N
27	1410	Maxim	Klishunov		2005-02-16	0	\N	\N	t	\N
29	1465	Eugen	Velichko		1982-04-07	0	\N	\N	t	\N
31	1472	Velichko	Alexander		2006-01-11	0	\N	\N	t	\N
33	1586	Roman	Babich		1990-11-14	0	\N	\N	t	\N
36	1616	Nikolay	Artyuh		1986-10-08	0	\N	\N	t	\N
37	1619	Andriy	Garkaviy		1984-11-14	0	\N	\N	t	\N
39	1627	Petro	Garkaviy		2004-06-08	0	\N	\N	t	\N
41	1645	Karpenko	Alexander		1990-06-04	0	\N	\N	t	\N
43	1869	Alexey	Ivankiv	V.	\N	0	\N	\N	t	\N
38	1626	Elena	Garkava		1986-01-08	0	\N	\N	t	\N
22	1383	Vitalii	Mazur		1979-07-17	0	\N	\N	t	\N
44	2017	Sergey	Gavrish		1981-08-05	0	\N	\N	t	\N
18	1293	Irina	Voevoda		1984-01-18	1	\N	\N	t	\N
28	1411	Ann	Klishunova		2013-02-14	1	\N	\N	t	\N
30	1471	Irina	Avdeeva		1984-11-21	1	\N	\N	t	\N
32	1473	Velichko	Elizabeth		2010-06-15	1	\N	\N	t	\N
34	1593	Elena	Babich		1991-05-23	1	\N	\N	t	\N
42	1653	Smichko	Olena		1992-07-15	1	\N	\N	t	\N
40	1628	Alena	Garkava		2007-03-29	1	\N	\N	t	\N
35	1615	Tat'ana	Artyuh		1987-02-10	1	\N	\N	t	\N
45	2020	Anna	Gavrish		1993-11-17	1	\N	\N	t	\N
4	870	Greg	Johnson		\N	0	\N	\N	t	\N
5	871	John	Doe		\N	0	\N	\N	t	\N
46	2051	Nikolay			\N	0	\N	\N	t	\N
23	1389	Iren	Mazur		1979-09-03	1	\N	\N	t	\N
47	2090	Jason		Lewis	\N	0	\N	\N	t	\N
48	2309	Oleg			\N	0	\N	\N	t	\N
49	2314	Anna			\N	1	\N	\N	t	\N
50	2328	Alex	Nikitin		1991-08-14	0	\N	\N	t	\N
51	2339	Julia	Nikitina		1991-12-12	1	\N	\N	t	\N
52	2340	Ivan	Nikitin		2012-02-15	0	\N	\N	t	\N
53	2367	Sergey	Stepanchuk		1984-11-06	0	\N	\N	t	\N
17	1284	Nikolay	Voevoda		1981-07-22	0	\N	\N	t	\N
20	1372	Oleg	Pogorelov		1970-02-17	0	\N	1	t	\N
21	1375	Elena	Pogorelova	Petrovna	1972-02-19	1	\N	\N	t	\N
6	887	Peter	Parker		1976-04-07	0	\N	2	t	\N
54	2376	Nadiya	Gavrilyuk		1988-03-02	1	\N	2	t	\N
55	2560	Vladislav	Potusenko		\N	0	\N	3	t	\N
57	2566	Valik			\N	0	\N	\N	t	\N
58	2570	Jenya	Buryak		\N	1	\N	2	t	\N
59	2573	Vlad	Petchenko		\N	0	\N	3	t	\N
60	2576	Olexiy	Spisovs'kiy		\N	0	\N	\N	t	\N
61	2580	Vlad	Chernyavskiy		\N	0	\N	\N	t	\N
62	2591	Grigoriy	Yarmolenko		1972-10-19	0	\N	3	t	\N
64	2595	Irina			\N	1	\N	\N	t	\N
66	2667	Anatoliy	Fedirko		\N	0	\N	\N	t	\N
68	2679	Yuriy	Fedirko		2012-04-05	0	\N	\N	t	\N
67	2678	Anna	Fedirko		\N	1	\N	\N	t	\N
56	2563	Alex	Saveliev		\N	0	\N	3	t	\N
63	2593	Maria	Fed'ko		1993-05-19	1	\N	3	t	f
69	2739	Vitalii			\N	\N	\N	\N	t	t
70	2822	Pavel	Romanuta		1986-03-28	0	\N	3	f	f
71	2830	Helen	Romanuta		1986-07-23	1	\N	3	f	f
72	2875	Anatoly			\N	\N	\N	\N	f	f
73	2879	Eugeniy	Lineckiy		\N	\N	\N	\N	f	f
75	2892	Igor	Vovk		\N	\N	\N	\N	f	f
76	2898	Ella	Vovk		1994-04-13	1	\N	3	f	f
77	3676	Artur	Musienko		\N	0	\N	\N	f	f
79	3791	Rognan			\N	\N	\N	\N	f	f
78	3683	Julia	Musienko		\N	\N	\N	\N	f	f
74	2881	Sergey			\N	\N	\N	\N	f	f
65	2660	Valentin	Gopko		\N	0	\N	3	t	f
80	3792	Gavriil			\N	\N	\N	\N	f	f
\.


--
-- Data for Name: person_address; Type: TABLE DATA; Schema: public; Owner: -
--

COPY person_address (person_id, address_id) FROM stdin;
17	10
20	15
21	16
22	17
23	18
24	19
25	20
29	23
33	24
35	25
37	26
41	27
42	28
30	30
44	32
62	35
\.


--
-- Data for Name: person_category; Type: TABLE DATA; Schema: public; Owner: -
--

COPY person_category (id, resource_id, name) FROM stdin;
2	2557	Loyal
1	2556	VIP
3	2559	Uncategoried
\.


--
-- Name: person_category_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('person_category_id_seq', 3, true);


--
-- Data for Name: person_contact; Type: TABLE DATA; Schema: public; Owner: -
--

COPY person_contact (person_id, contact_id) FROM stdin;
6	44
17	45
17	46
20	47
21	48
22	50
22	49
23	51
25	52
29	53
33	67
34	68
35	69
35	70
37	72
37	71
38	73
41	74
41	75
42	76
30	77
22	78
44	79
45	80
46	81
47	82
46	83
48	84
48	85
50	86
51	87
53	88
20	90
62	93
62	91
62	92
64	94
65	95
66	96
67	97
70	99
72	101
73	102
74	103
75	104
77	105
\.


--
-- Name: person_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('person_id_seq', 80, true);


--
-- Data for Name: person_order_item; Type: TABLE DATA; Schema: public; Owner: -
--

COPY person_order_item (order_item_id, person_id) FROM stdin;
33	41
33	43
34	17
37	20
37	21
38	21
38	20
36	36
36	35
35	33
35	42
40	51
40	50
40	52
43	53
43	54
42	53
42	54
39	48
39	49
41	50
41	51
28	44
28	45
29	44
29	45
30	44
30	45
31	44
31	45
32	44
32	45
44	68
44	66
44	67
45	66
45	67
46	70
46	71
47	71
47	70
48	76
48	75
49	76
49	75
52	76
52	75
53	76
54	77
54	78
55	70
56	74
56	73
56	72
57	80
57	79
\.


--
-- Data for Name: person_passport; Type: TABLE DATA; Schema: public; Owner: -
--

COPY person_passport (person_id, passport_id) FROM stdin;
17	8
20	9
22	10
25	11
29	12
33	14
33	13
34	15
35	17
35	16
37	18
38	19
41	20
41	21
42	22
30	23
44	24
45	25
62	27
62	26
67	28
66	32
66	31
\.


--
-- Data for Name: person_subaccount; Type: TABLE DATA; Schema: public; Owner: -
--

COPY person_subaccount (person_id, subaccount_id) FROM stdin;
41	3
37	4
40	6
20	8
29	11
30	13
41	14
43	15
6	16
44	17
53	21
48	22
66	24
70	25
77	28
\.


--
-- Data for Name: position; Type: TABLE DATA; Schema: public; Owner: -
--

COPY "position" (id, resource_id, structure_id, name) FROM stdin;
4	772	32	Main Developer
5	886	5	Finance Director
6	1249	3	Sales Manager
7	1252	9	Sales Manager
8	1775	1	Main Developer
\.


--
-- Name: positions_navigations_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('positions_navigations_id_seq', 241, true);


--
-- Name: positions_permisions_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('positions_permisions_id_seq', 304, true);


--
-- Data for Name: region; Type: TABLE DATA; Schema: public; Owner: -
--

COPY region (id, resource_id, country_id, name) FROM stdin;
7	895	3	Kiev region
8	896	3	Lviv region
9	897	4	Hurgada
10	898	5	Kemer
12	1090	5	Antalya
13	1096	9	Cramia
15	1101	11	Bavaria
16	1165	12	Middle Dalmaci
17	1170	13	Fujairah
18	1179	14	Costa Brava
19	1185	13	Abu Dhabi
22	1278	3	Lviv
23	1290	12	Kvarner
24	1328	5	Belek
25	1332	5	Alanya
26	1336	5	Side
27	1340	16	Paphos
28	1344	17	Riminni & Ravenna
29	1347	17	Sicilia Island
30	1352	18	Crit Island
31	1355	14	Costa Dorada
32	1365	4	Sharm el Sheih
33	1384	3	Zakarpat'e
34	1416	3	Dnepropetrovsk
35	1587	18	Rhodos Island
36	1647	19	Chemiu Due Capon
38	2373	12	South Dalmacia
39	2673	16	Larnaka
40	2895	5	Bodrum
\.


--
-- Name: region_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('region_id_seq', 40, true);


--
-- Data for Name: resource; Type: TABLE DATA; Schema: public; Owner: -
--

COPY resource (id, resource_type_id, protected, maintainer_id, modifydt) FROM stdin;
3812	123	f	2	2016-09-17 20:55:11.314393
3822	123	f	2	2016-09-17 21:16:08.362697
3791	69	f	2	2016-09-18 15:22:14.580278
3866	123	f	2	2016-10-02 19:09:13.830533
3878	123	f	2	2016-10-08 18:58:18.809214
12	12	\N	2	2016-09-17 18:59:14.72779
14	12	\N	2	2016-09-17 18:59:14.72779
16	12	\N	2	2016-09-17 18:59:14.72779
30	12	\N	2	2016-09-17 18:59:14.72779
31	12	\N	2	2016-09-17 18:59:14.72779
32	12	\N	2	2016-09-17 18:59:14.72779
33	12	\N	2	2016-09-17 18:59:14.72779
34	12	\N	2	2016-09-17 18:59:14.72779
35	12	\N	2	2016-09-17 18:59:14.72779
3813	123	f	2	2016-09-17 20:56:06.726885
3824	123	f	2	2016-09-17 21:18:57.067167
2881	69	f	2	2016-09-18 14:30:20.017345
3838	123	f	2	2016-09-25 19:27:20.080296
3792	69	f	2	2016-10-02 18:12:17.772738
3867	123	f	2	2016-10-02 19:10:47.617632
3683	69	f	2	2016-09-18 15:15:49.560984
3840	123	f	2	2016-09-25 19:34:56.310765
3844	123	f	2	2016-10-02 14:53:43.077575
3868	123	f	2	2016-10-02 19:13:44.987473
3244	145	f	2	2016-09-17 18:59:14.72779
3245	145	f	2	2016-09-17 18:59:14.72779
3246	145	f	2	2016-09-17 18:59:14.72779
3247	145	f	2	2016-09-17 18:59:14.72779
3248	145	f	2	2016-09-17 18:59:14.72779
3249	145	f	2	2016-09-17 18:59:14.72779
3250	145	f	2	2016-09-17 18:59:14.72779
3251	145	f	2	2016-09-17 18:59:14.72779
3252	145	f	2	2016-09-17 18:59:14.72779
3253	145	f	2	2016-09-17 18:59:14.72779
3254	145	f	2	2016-09-17 18:59:14.72779
3255	145	f	2	2016-09-17 18:59:14.72779
3256	145	f	2	2016-09-17 18:59:14.72779
3257	145	f	2	2016-09-17 18:59:14.72779
3826	123	f	2	2016-09-17 21:31:41.534377
3841	123	f	2	2016-09-25 19:37:59.328113
3845	123	f	2	2016-10-02 14:57:12.118256
3793	156	f	2	2016-09-17 20:41:06.405565
3815	123	f	2	2016-09-17 21:05:21.636062
3869	123	f	2	2016-10-02 19:20:09.146623
3846	156	f	2	2016-10-02 19:35:32.189647
921	73	\N	2	2016-09-17 18:59:14.72779
3794	123	f	2	2016-09-17 20:21:49.773316
2	2	\N	2	2016-09-17 18:59:14.72779
3828	123	f	2	2016-09-17 21:43:06.698128
3847	123	f	2	2016-10-02 14:58:18.584663
3870	123	f	2	2016-10-02 19:25:59.247648
2127	12	f	2	2016-09-17 18:59:14.72779
3	2	\N	2	2016-09-17 18:59:14.72779
10	12	\N	2	2016-09-17 18:59:14.72779
1010	79	\N	2	2016-09-17 18:59:14.72779
1080	65	\N	2	2016-09-17 18:59:14.72779
1081	12	\N	2	2016-09-17 18:59:14.72779
1099	39	\N	2	2016-09-17 18:59:14.72779
2309	69	f	2	2016-09-17 18:59:14.72779
1100	70	\N	2	2016-09-17 18:59:14.72779
2128	65	f	2	2016-09-17 18:59:14.72779
2129	138	f	2	2016-09-17 18:59:14.72779
2130	138	f	2	2016-09-17 18:59:14.72779
2132	118	f	2	2016-09-17 18:59:14.72779
3258	145	f	2	2016-09-17 18:59:14.72779
3259	145	f	2	2016-09-17 18:59:14.72779
3260	145	f	2	2016-09-17 18:59:14.72779
3261	145	f	2	2016-09-17 18:59:14.72779
3262	145	f	2	2016-09-17 18:59:14.72779
3263	145	f	2	2016-09-17 18:59:14.72779
3264	145	f	2	2016-09-17 18:59:14.72779
3265	145	f	2	2016-09-17 18:59:14.72779
3269	145	f	2	2016-09-17 18:59:14.72779
3270	145	f	2	2016-09-17 18:59:14.72779
3271	145	f	2	2016-09-17 18:59:14.72779
3272	145	f	2	2016-09-17 18:59:14.72779
3273	145	f	2	2016-09-17 18:59:14.72779
3274	145	f	2	2016-09-17 18:59:14.72779
3275	145	f	2	2016-09-17 18:59:14.72779
3276	145	f	2	2016-09-17 18:59:14.72779
3277	145	f	2	2016-09-17 18:59:14.72779
3278	145	f	2	2016-09-17 18:59:14.72779
3279	145	f	2	2016-09-17 18:59:14.72779
3280	145	f	2	2016-09-17 18:59:14.72779
3281	145	f	2	2016-09-17 18:59:14.72779
1251	55	f	2	2016-09-17 18:59:14.72779
2440	117	f	2	2016-09-17 18:59:14.72779
2201	104	f	2	2016-09-17 18:59:14.72779
2459	106	f	2	2016-09-17 18:59:14.72779
2463	111	f	2	2016-09-17 18:59:14.72779
2465	120	f	2	2016-09-17 18:59:14.72779
2563	69	f	2	2016-09-17 18:59:14.72779
2564	145	f	2	2016-09-17 18:59:14.72779
2203	104	f	2	2016-09-17 18:59:14.72779
3795	156	f	2	2016-09-17 20:25:39.719594
3817	123	f	2	2016-09-17 21:10:22.1469
2898	69	f	2	2016-09-18 15:15:49.560984
3848	123	f	2	2016-10-02 15:01:08.929
3849	123	f	2	2016-10-02 15:02:59.880731
3871	123	f	2	2016-10-02 19:26:41.753543
2903	119	f	2	2016-09-17 18:59:14.72779
3796	123	f	2	2016-09-17 20:25:39.719594
2892	69	f	2	2016-09-18 15:15:49.560984
3676	69	f	2	2016-09-18 15:15:57.719358
3850	123	f	2	2016-10-02 15:03:29.597278
3872	123	f	2	2016-10-02 19:27:40.950864
3282	145	f	2	2016-09-17 18:59:14.72779
3283	145	f	2	2016-09-17 18:59:14.72779
3284	145	f	2	2016-09-17 18:59:14.72779
3285	145	f	2	2016-09-17 18:59:14.72779
2544	148	f	2	2016-09-17 18:59:14.72779
3286	145	f	2	2016-09-17 18:59:14.72779
3287	145	f	2	2016-09-17 18:59:14.72779
3288	145	f	2	2016-09-17 18:59:14.72779
3289	145	f	2	2016-09-17 18:59:14.72779
3290	145	f	2	2016-09-17 18:59:14.72779
3291	145	f	2	2016-09-17 18:59:14.72779
3292	145	f	2	2016-09-17 18:59:14.72779
3293	145	f	2	2016-09-17 18:59:14.72779
290	41	\N	2	2016-09-17 18:59:14.72779
291	41	\N	2	2016-09-17 18:59:14.72779
884	70	\N	2	2016-09-17 18:59:14.72779
886	59	\N	2	2016-09-17 18:59:14.72779
943	73	\N	2	2016-09-17 18:59:14.72779
944	73	\N	2	2016-09-17 18:59:14.72779
945	73	\N	2	2016-09-17 18:59:14.72779
946	73	\N	2	2016-09-17 18:59:14.72779
947	73	\N	2	2016-09-17 18:59:14.72779
3368	145	f	2	2016-09-17 18:59:14.72779
2921	118	f	2	2016-09-17 18:59:14.72779
2959	145	f	2	2016-09-17 18:59:14.72779
2960	145	f	2	2016-09-17 18:59:14.72779
3797	123	f	2	2016-09-17 20:33:51.521862
3800	123	f	2	2016-09-17 20:34:35.489877
3819	123	f	2	2016-09-17 21:11:52.967967
3734	71	f	2	2016-09-18 18:57:04.116131
3678	130	f	2	2016-09-18 20:46:56.969618
3697	130	f	2	2016-09-18 20:46:56.969618
3873	123	f	2	2016-10-02 19:29:43.36682
2820	118	f	2	2016-09-17 18:59:14.72779
2972	145	f	2	2016-09-17 18:59:14.72779
2961	145	f	2	2016-09-17 18:59:14.72779
3294	145	f	2	2016-09-17 18:59:14.72779
3295	145	f	2	2016-09-17 18:59:14.72779
3296	145	f	2	2016-09-17 18:59:14.72779
3297	145	f	2	2016-09-17 18:59:14.72779
3298	145	f	2	2016-09-17 18:59:14.72779
3299	145	f	2	2016-09-17 18:59:14.72779
3300	145	f	2	2016-09-17 18:59:14.72779
3301	145	f	2	2016-09-17 18:59:14.72779
998	65	\N	2	2016-09-17 18:59:14.72779
1005	78	\N	2	2016-09-17 18:59:14.72779
1007	12	\N	2	2016-09-17 18:59:14.72779
1008	65	\N	2	2016-09-17 18:59:14.72779
3302	145	f	2	2016-09-17 18:59:14.72779
1009	79	\N	2	2016-09-17 18:59:14.72779
3303	145	f	2	2016-09-17 18:59:14.72779
3304	145	f	2	2016-09-17 18:59:14.72779
3305	145	f	2	2016-09-17 18:59:14.72779
3306	145	f	2	2016-09-17 18:59:14.72779
3307	145	f	2	2016-09-17 18:59:14.72779
3308	145	f	2	2016-09-17 18:59:14.72779
3309	145	f	2	2016-09-17 18:59:14.72779
3310	145	f	2	2016-09-17 18:59:14.72779
3311	145	f	2	2016-09-17 18:59:14.72779
3312	145	f	2	2016-09-17 18:59:14.72779
3313	145	f	2	2016-09-17 18:59:14.72779
3314	145	f	2	2016-09-17 18:59:14.72779
3315	145	f	2	2016-09-17 18:59:14.72779
3316	145	f	2	2016-09-17 18:59:14.72779
3317	145	f	2	2016-09-17 18:59:14.72779
3318	145	f	2	2016-09-17 18:59:14.72779
3319	145	f	2	2016-09-17 18:59:14.72779
3320	145	f	2	2016-09-17 18:59:14.72779
3321	145	f	2	2016-09-17 18:59:14.72779
3322	145	f	2	2016-09-17 18:59:14.72779
3323	145	f	2	2016-09-17 18:59:14.72779
2973	145	f	2	2016-09-17 18:59:14.72779
2974	145	f	2	2016-09-17 18:59:14.72779
2821	87	f	2	2016-09-17 18:59:14.72779
2822	69	f	2	2016-09-17 18:59:14.72779
2823	145	f	2	2016-09-17 18:59:14.72779
1546	106	f	2	2016-09-17 18:59:14.72779
2824	130	f	2	2016-09-17 18:59:14.72779
1547	106	f	2	2016-09-17 18:59:14.72779
1548	12	f	2	2016-09-17 18:59:14.72779
1549	12	f	2	2016-09-17 18:59:14.72779
2825	146	f	2	2016-09-17 18:59:14.72779
2826	118	f	2	2016-09-17 18:59:14.72779
2660	69	f	2	2016-09-17 19:31:35.557662
3798	123	f	2	2016-09-17 20:34:31.721316
1283	71	f	2	2016-09-18 18:50:19.259122
3829	135	f	2	2016-09-18 20:53:59.117042
3830	137	f	2	2016-09-18 20:53:59.117042
3714	134	f	2	2016-09-18 20:54:14.554235
3874	123	f	2	2016-10-02 19:30:49.229692
2879	69	f	2	2016-09-17 18:59:14.72779
773	12	\N	2	2016-09-17 18:59:14.72779
1325	83	f	2	2016-09-17 18:59:14.72779
1326	84	f	2	2016-09-17 18:59:14.72779
1327	83	f	2	2016-09-17 18:59:14.72779
1328	39	f	2	2016-09-17 18:59:14.72779
3324	145	f	2	2016-09-17 18:59:14.72779
1329	84	f	2	2016-09-17 18:59:14.72779
887	69	\N	2	2016-09-17 18:59:14.72779
3325	145	f	2	2016-09-17 18:59:14.72779
3326	145	f	2	2016-09-17 18:59:14.72779
3327	145	f	2	2016-09-17 18:59:14.72779
1330	83	f	2	2016-09-17 18:59:14.72779
1331	83	f	2	2016-09-17 18:59:14.72779
1332	39	f	2	2016-09-17 18:59:14.72779
1333	84	f	2	2016-09-17 18:59:14.72779
1334	83	f	2	2016-09-17 18:59:14.72779
1335	83	f	2	2016-09-17 18:59:14.72779
1339	70	f	2	2016-09-17 18:59:14.72779
1340	39	f	2	2016-09-17 18:59:14.72779
1344	39	f	2	2016-09-17 18:59:14.72779
1345	84	f	2	2016-09-17 18:59:14.72779
1346	83	f	2	2016-09-17 18:59:14.72779
1350	83	f	2	2016-09-17 18:59:14.72779
1351	70	f	2	2016-09-17 18:59:14.72779
1352	39	f	2	2016-09-17 18:59:14.72779
1353	84	f	2	2016-09-17 18:59:14.72779
3328	145	f	2	2016-09-17 18:59:14.72779
3329	145	f	2	2016-09-17 18:59:14.72779
3330	145	f	2	2016-09-17 18:59:14.72779
3331	145	f	2	2016-09-17 18:59:14.72779
3332	145	f	2	2016-09-17 18:59:14.72779
3333	145	f	2	2016-09-17 18:59:14.72779
3334	145	f	2	2016-09-17 18:59:14.72779
2183	137	f	2	2016-09-17 18:59:14.72779
3335	145	f	2	2016-09-17 18:59:14.72779
3336	145	f	2	2016-09-17 18:59:14.72779
3337	145	f	2	2016-09-17 18:59:14.72779
3338	145	f	2	2016-09-17 18:59:14.72779
3339	145	f	2	2016-09-17 18:59:14.72779
3340	145	f	2	2016-09-17 18:59:14.72779
3341	145	f	2	2016-09-17 18:59:14.72779
1354	83	f	2	2016-09-17 18:59:14.72779
1355	39	f	2	2016-09-17 18:59:14.72779
1356	84	f	2	2016-09-17 18:59:14.72779
1357	83	f	2	2016-09-17 18:59:14.72779
2231	78	f	2	2016-09-17 18:59:14.72779
2232	78	f	2	2016-09-17 18:59:14.72779
2233	78	f	2	2016-09-17 18:59:14.72779
1639	106	f	2	2016-09-17 18:59:14.72779
1640	87	f	2	2016-09-17 18:59:14.72779
1641	87	f	2	2016-09-17 18:59:14.72779
2664	149	f	2	2016-09-17 18:59:14.72779
2665	149	f	2	2016-09-17 18:59:14.72779
2666	87	f	2	2016-09-17 18:59:14.72779
2667	69	f	2	2016-09-17 18:59:14.72779
2975	145	f	2	2016-09-17 18:59:14.72779
2976	145	f	2	2016-09-17 18:59:14.72779
2977	145	f	2	2016-09-17 18:59:14.72779
3570	145	f	2	2016-09-17 18:59:14.72779
892	67	\N	2	2016-09-17 18:59:14.72779
3571	145	f	2	2016-09-17 18:59:14.72779
3799	123	f	2	2016-09-17 20:34:34.093545
2902	134	f	2	2016-09-18 20:50:37.105155
2658	67	f	2	2016-09-18 20:56:57.242299
3875	123	f	2	2016-10-02 19:32:08.744846
897	39	\N	2	2016-09-17 18:59:14.72779
898	39	\N	2	2016-09-17 18:59:14.72779
899	39	\N	2	2016-09-17 18:59:14.72779
900	65	\N	2	2016-09-17 18:59:14.72779
2435	146	f	2	2016-09-17 18:59:14.72779
901	12	\N	2	2016-09-17 18:59:14.72779
1642	89	f	2	2016-09-17 18:59:14.72779
1643	89	f	2	2016-09-17 18:59:14.72779
3342	145	f	2	2016-09-17 18:59:14.72779
2047	119	f	2	2016-09-17 18:59:14.72779
3343	145	f	2	2016-09-17 18:59:14.72779
3344	145	f	2	2016-09-17 18:59:14.72779
3345	145	f	2	2016-09-17 18:59:14.72779
3346	145	f	2	2016-09-17 18:59:14.72779
3347	145	f	2	2016-09-17 18:59:14.72779
3348	145	f	2	2016-09-17 18:59:14.72779
3349	145	f	2	2016-09-17 18:59:14.72779
3350	145	f	2	2016-09-17 18:59:14.72779
1764	111	f	2	2016-09-17 18:59:14.72779
1766	111	f	2	2016-09-17 18:59:14.72779
1769	105	f	2	2016-09-17 18:59:14.72779
1771	111	f	2	2016-09-17 18:59:14.72779
1773	111	f	2	2016-09-17 18:59:14.72779
2285	135	f	2	2016-09-17 18:59:14.72779
2292	12	f	2	2016-09-17 18:59:14.72779
2293	145	f	2	2016-09-17 18:59:14.72779
2048	65	f	2	2016-09-17 18:59:14.72779
2049	12	f	2	2016-09-17 18:59:14.72779
2050	87	f	2	2016-09-17 18:59:14.72779
2051	69	f	2	2016-09-17 18:59:14.72779
2052	130	f	2	2016-09-17 18:59:14.72779
2053	47	f	2	2016-09-17 18:59:14.72779
2054	2	f	2	2016-09-17 18:59:14.72779
1906	65	f	2	2016-09-17 18:59:14.72779
1990	106	f	2	2016-09-17 18:59:14.72779
1991	106	f	2	2016-09-17 18:59:14.72779
1992	106	f	2	2016-09-17 18:59:14.72779
2450	103	f	2	2016-09-17 18:59:14.72779
902	65	\N	2	2016-09-17 18:59:14.72779
903	71	\N	2	2016-09-17 18:59:14.72779
2451	106	f	2	2016-09-17 18:59:14.72779
2486	101	f	2	2016-09-17 18:59:14.72779
2489	86	f	2	2016-09-17 18:59:14.72779
2490	86	f	2	2016-09-17 18:59:14.72779
2491	86	f	2	2016-09-17 18:59:14.72779
2493	87	f	2	2016-09-17 18:59:14.72779
2501	110	f	2	2016-09-17 18:59:14.72779
2502	110	f	2	2016-09-17 18:59:14.72779
2503	119	f	2	2016-09-17 18:59:14.72779
3801	123	f	2	2016-09-17 20:38:56.398189
2729	103	f	2	2016-09-18 20:49:30.796952
2858	103	f	2	2016-09-18 20:49:38.152502
2280	134	f	2	2016-09-18 20:50:10.774587
2345	134	f	2	2016-09-18 20:50:10.774587
2690	134	f	2	2016-09-18 20:50:10.774587
2831	134	f	2	2016-09-18 20:50:10.774587
3710	134	f	2	2016-09-18 20:50:10.774587
2284	134	f	2	2016-09-18 20:51:00.504929
3831	134	f	2	2016-09-18 20:54:02.724503
3855	93	f	2	2016-10-02 15:14:50.598109
3876	123	f	2	2016-10-02 19:32:27.080841
775	12	\N	2	2016-09-17 18:59:14.72779
778	65	\N	2	2016-09-17 18:59:14.72779
779	65	\N	2	2016-09-17 18:59:14.72779
780	65	\N	2	2016-09-17 18:59:14.72779
784	47	\N	2	2016-09-17 18:59:14.72779
786	47	\N	2	2016-09-17 18:59:14.72779
788	12	\N	2	2016-09-17 18:59:14.72779
2029	119	f	2	2016-09-17 18:59:14.72779
2442	117	f	2	2016-09-17 18:59:14.72779
2546	110	f	2	2016-09-17 18:59:14.72779
2573	69	f	2	2016-09-17 18:59:14.72779
3351	145	f	2	2016-09-17 18:59:14.72779
3352	145	f	2	2016-09-17 18:59:14.72779
3353	145	f	2	2016-09-17 18:59:14.72779
3354	145	f	2	2016-09-17 18:59:14.72779
3355	145	f	2	2016-09-17 18:59:14.72779
3356	145	f	2	2016-09-17 18:59:14.72779
3357	145	f	2	2016-09-17 18:59:14.72779
3358	145	f	2	2016-09-17 18:59:14.72779
3359	145	f	2	2016-09-17 18:59:14.72779
3360	145	f	2	2016-09-17 18:59:14.72779
3361	145	f	2	2016-09-17 18:59:14.72779
3362	145	f	2	2016-09-17 18:59:14.72779
3363	145	f	2	2016-09-17 18:59:14.72779
3364	145	f	2	2016-09-17 18:59:14.72779
3365	145	f	2	2016-09-17 18:59:14.72779
3366	145	f	2	2016-09-17 18:59:14.72779
3367	145	f	2	2016-09-17 18:59:14.72779
3369	145	f	2	2016-09-17 18:59:14.72779
3370	145	f	2	2016-09-17 18:59:14.72779
3371	145	f	2	2016-09-17 18:59:14.72779
3372	145	f	2	2016-09-17 18:59:14.72779
3616	145	f	2	2016-09-17 18:59:14.72779
3617	145	f	2	2016-09-17 18:59:14.72779
3618	145	f	2	2016-09-17 18:59:14.72779
3659	130	f	2	2016-09-17 18:59:14.72779
1648	84	f	2	2016-09-17 18:59:14.72779
2458	106	f	2	2016-09-17 18:59:14.72779
2556	151	f	2	2016-09-17 18:59:14.72779
789	67	\N	2	2016-09-17 18:59:14.72779
790	65	\N	2	2016-09-17 18:59:14.72779
791	65	\N	2	2016-09-17 18:59:14.72779
792	65	\N	2	2016-09-17 18:59:14.72779
794	55	\N	2	2016-09-17 18:59:14.72779
800	55	\N	2	2016-09-17 18:59:14.72779
801	55	\N	2	2016-09-17 18:59:14.72779
802	65	\N	2	2016-09-17 18:59:14.72779
3802	123	f	2	2016-09-17 20:40:14.646783
905	71	\N	2	2016-09-18 18:50:19.259122
906	71	\N	2	2016-09-18 18:50:30.216923
3856	123	f	2	2016-10-02 15:14:50.598109
3877	123	f	2	2016-10-02 19:35:32.189647
2152	135	f	2	2016-09-17 18:59:14.72779
2153	137	f	2	2016-09-17 18:59:14.72779
2154	135	f	2	2016-09-17 18:59:14.72779
2155	137	f	2	2016-09-17 18:59:14.72779
2184	135	f	2	2016-09-17 18:59:14.72779
2185	137	f	2	2016-09-17 18:59:14.72779
2557	151	f	2	2016-09-17 18:59:14.72779
2568	145	f	2	2016-09-17 18:59:14.72779
2186	134	f	2	2016-09-17 18:59:14.72779
2688	135	f	2	2016-09-17 18:59:14.72779
2880	87	f	2	2016-09-17 18:59:14.72779
1649	83	f	2	2016-09-17 18:59:14.72779
1650	87	f	2	2016-09-17 18:59:14.72779
2569	130	f	2	2016-09-17 18:59:14.72779
2570	69	f	2	2016-09-17 18:59:14.72779
3416	145	f	2	2016-09-17 18:59:14.72779
3417	145	f	2	2016-09-17 18:59:14.72779
2893	145	f	2	2016-09-17 18:59:14.72779
2897	83	f	2	2016-09-17 18:59:14.72779
922	73	\N	2	2016-09-17 18:59:14.72779
2914	2	f	2	2016-09-17 18:59:14.72779
923	73	\N	2	2016-09-17 18:59:14.72779
2923	118	f	2	2016-09-17 18:59:14.72779
924	73	\N	2	2016-09-17 18:59:14.72779
2962	130	f	2	2016-09-17 18:59:14.72779
3373	145	f	2	2016-09-17 18:59:14.72779
1651	89	f	2	2016-09-17 18:59:14.72779
1652	90	f	2	2016-09-17 18:59:14.72779
1653	69	f	2	2016-09-17 18:59:14.72779
1657	103	f	2	2016-09-17 18:59:14.72779
925	73	\N	2	2016-09-17 18:59:14.72779
926	73	\N	2	2016-09-17 18:59:14.72779
1659	65	f	2	2016-09-17 18:59:14.72779
1882	106	f	2	2016-09-17 18:59:14.72779
1660	106	f	2	2016-09-17 18:59:14.72779
927	73	\N	2	2016-09-17 18:59:14.72779
2046	119	f	2	2016-09-17 18:59:14.72779
959	74	\N	2	2016-09-17 18:59:14.72779
960	74	\N	2	2016-09-17 18:59:14.72779
1714	110	f	2	2016-09-17 18:59:14.72779
985	75	\N	2	2016-09-17 18:59:14.72779
987	75	\N	2	2016-09-17 18:59:14.72779
3375	145	f	2	2016-09-17 18:59:14.72779
3376	145	f	2	2016-09-17 18:59:14.72779
3377	145	f	2	2016-09-17 18:59:14.72779
1721	110	f	2	2016-09-17 18:59:14.72779
904	71	\N	2	2016-09-17 18:59:14.72779
2934	145	f	2	2016-09-17 18:59:14.72779
910	65	\N	2	2016-09-17 18:59:14.72779
911	65	\N	2	2016-09-17 18:59:14.72779
912	72	\N	2	2016-09-17 18:59:14.72779
1318	102	f	2	2016-09-17 18:59:14.72779
1319	84	f	2	2016-09-17 18:59:14.72779
2206	110	f	2	2016-09-17 18:59:14.72779
2207	110	f	2	2016-09-17 18:59:14.72779
1607	106	f	2	2016-09-17 18:59:14.72779
1608	105	f	2	2016-09-17 18:59:14.72779
3803	123	f	2	2016-09-17 20:41:06.405565
3834	123	f	2	2016-09-18 22:44:56.15485
3857	123	f	2	2016-10-02 16:30:12.797129
988	75	\N	2	2016-09-17 18:59:14.72779
1003	12	\N	2	2016-09-17 18:59:14.72779
1060	41	\N	2	2016-09-17 18:59:14.72779
1078	12	\N	2	2016-09-17 18:59:14.72779
1088	12	\N	2	2016-09-17 18:59:14.72779
1089	65	\N	2	2016-09-17 18:59:14.72779
1090	39	\N	2	2016-09-17 18:59:14.72779
1091	84	\N	2	2016-09-17 18:59:14.72779
1093	84	\N	2	2016-09-17 18:59:14.72779
1095	70	\N	2	2016-09-17 18:59:14.72779
1096	39	\N	2	2016-09-17 18:59:14.72779
2936	145	f	2	2016-09-17 18:59:14.72779
2937	145	f	2	2016-09-17 18:59:14.72779
2938	145	f	2	2016-09-17 18:59:14.72779
2985	145	f	2	2016-09-17 18:59:14.72779
1884	12	f	2	2016-09-17 18:59:14.72779
3378	145	f	2	2016-09-17 18:59:14.72779
1885	65	f	2	2016-09-17 18:59:14.72779
1888	117	f	2	2016-09-17 18:59:14.72779
1893	120	f	2	2016-09-17 18:59:14.72779
1894	12	f	2	2016-09-17 18:59:14.72779
1004	78	\N	2	2016-09-17 18:59:14.72779
1309	90	f	2	2016-09-17 18:59:14.72779
1310	41	f	2	2016-09-17 18:59:14.72779
3379	145	f	2	2016-09-17 18:59:14.72779
3380	145	f	2	2016-09-17 18:59:14.72779
3381	145	f	2	2016-09-17 18:59:14.72779
3382	145	f	2	2016-09-17 18:59:14.72779
3383	145	f	2	2016-09-17 18:59:14.72779
3384	145	f	2	2016-09-17 18:59:14.72779
3385	145	f	2	2016-09-17 18:59:14.72779
3386	145	f	2	2016-09-17 18:59:14.72779
1895	65	f	2	2016-09-17 18:59:14.72779
2986	145	f	2	2016-09-17 18:59:14.72779
2987	145	f	2	2016-09-17 18:59:14.72779
2988	145	f	2	2016-09-17 18:59:14.72779
2989	145	f	2	2016-09-17 18:59:14.72779
2990	145	f	2	2016-09-17 18:59:14.72779
3582	145	f	2	2016-09-17 18:59:14.72779
3387	145	f	2	2016-09-17 18:59:14.72779
3388	145	f	2	2016-09-17 18:59:14.72779
3389	145	f	2	2016-09-17 18:59:14.72779
3390	145	f	2	2016-09-17 18:59:14.72779
1311	41	f	2	2016-09-17 18:59:14.72779
1312	65	f	2	2016-09-17 18:59:14.72779
1313	12	f	2	2016-09-17 18:59:14.72779
1896	65	f	2	2016-09-17 18:59:14.72779
1314	102	f	2	2016-09-17 18:59:14.72779
1317	12	f	2	2016-09-17 18:59:14.72779
3391	145	f	2	2016-09-17 18:59:14.72779
1320	83	f	2	2016-09-17 18:59:14.72779
1321	84	f	2	2016-09-17 18:59:14.72779
1322	83	f	2	2016-09-17 18:59:14.72779
3392	145	f	2	2016-09-17 18:59:14.72779
3393	145	f	2	2016-09-17 18:59:14.72779
1950	123	f	2	2016-09-17 18:59:14.72779
1951	90	f	2	2016-09-17 18:59:14.72779
3394	145	f	2	2016-09-17 18:59:14.72779
3395	145	f	2	2016-09-17 18:59:14.72779
3396	145	f	2	2016-09-17 18:59:14.72779
3397	145	f	2	2016-09-17 18:59:14.72779
3398	145	f	2	2016-09-17 18:59:14.72779
1952	86	f	2	2016-09-17 18:59:14.72779
3399	145	f	2	2016-09-17 18:59:14.72779
3400	145	f	2	2016-09-17 18:59:14.72779
3401	145	f	2	2016-09-17 18:59:14.72779
3402	145	f	2	2016-09-17 18:59:14.72779
3403	145	f	2	2016-09-17 18:59:14.72779
3404	145	f	2	2016-09-17 18:59:14.72779
3405	145	f	2	2016-09-17 18:59:14.72779
3583	145	f	2	2016-09-17 18:59:14.72779
3584	145	f	2	2016-09-17 18:59:14.72779
3585	145	f	2	2016-09-17 18:59:14.72779
3586	145	f	2	2016-09-17 18:59:14.72779
3587	145	f	2	2016-09-17 18:59:14.72779
3858	123	f	2	2016-10-02 16:30:29.557654
885	47	\N	2	2016-09-17 18:59:14.72779
2946	145	f	2	2016-09-17 18:59:14.72779
895	39	\N	2	2016-09-17 18:59:14.72779
940	73	\N	2	2016-09-17 18:59:14.72779
941	73	\N	2	2016-09-17 18:59:14.72779
942	73	\N	2	2016-09-17 18:59:14.72779
1259	87	f	2	2016-09-17 18:59:14.72779
1260	87	f	2	2016-09-17 18:59:14.72779
36	12	\N	2	2016-09-17 18:59:14.72779
37	12	\N	2	2016-09-17 18:59:14.72779
38	12	\N	2	2016-09-17 18:59:14.72779
39	12	\N	2	2016-09-17 18:59:14.72779
40	12	\N	2	2016-09-17 18:59:14.72779
43	12	\N	2	2016-09-17 18:59:14.72779
44	12	\N	2	2016-09-17 18:59:14.72779
45	12	\N	2	2016-09-17 18:59:14.72779
83	2	\N	2	2016-09-17 18:59:14.72779
84	2	\N	2	2016-09-17 18:59:14.72779
277	39	\N	2	2016-09-17 18:59:14.72779
913	72	\N	2	2016-09-17 18:59:14.72779
914	72	\N	2	2016-09-17 18:59:14.72779
915	72	\N	2	2016-09-17 18:59:14.72779
916	72	\N	2	2016-09-17 18:59:14.72779
917	72	\N	2	2016-09-17 18:59:14.72779
2909	118	f	2	2016-09-17 18:59:14.72779
2913	2	f	2	2016-09-17 18:59:14.72779
2919	118	f	2	2016-09-17 18:59:14.72779
2955	130	f	2	2016-09-17 18:59:14.72779
3085	145	f	2	2016-09-17 18:59:14.72779
3086	145	f	2	2016-09-17 18:59:14.72779
3087	145	f	2	2016-09-17 18:59:14.72779
3088	145	f	2	2016-09-17 18:59:14.72779
3089	145	f	2	2016-09-17 18:59:14.72779
3090	145	f	2	2016-09-17 18:59:14.72779
3091	145	f	2	2016-09-17 18:59:14.72779
3092	145	f	2	2016-09-17 18:59:14.72779
3093	145	f	2	2016-09-17 18:59:14.72779
3094	145	f	2	2016-09-17 18:59:14.72779
3095	145	f	2	2016-09-17 18:59:14.72779
3096	145	f	2	2016-09-17 18:59:14.72779
3097	145	f	2	2016-09-17 18:59:14.72779
3098	145	f	2	2016-09-17 18:59:14.72779
3099	145	f	2	2016-09-17 18:59:14.72779
3100	145	f	2	2016-09-17 18:59:14.72779
3101	145	f	2	2016-09-17 18:59:14.72779
3102	145	f	2	2016-09-17 18:59:14.72779
3103	145	f	2	2016-09-17 18:59:14.72779
3104	145	f	2	2016-09-17 18:59:14.72779
918	72	\N	2	2016-09-17 18:59:14.72779
919	72	\N	2	2016-09-17 18:59:14.72779
928	73	\N	2	2016-09-17 18:59:14.72779
929	73	\N	2	2016-09-17 18:59:14.72779
930	73	\N	2	2016-09-17 18:59:14.72779
931	73	\N	2	2016-09-17 18:59:14.72779
932	73	\N	2	2016-09-17 18:59:14.72779
2200	104	f	2	2016-09-17 18:59:14.72779
933	73	\N	2	2016-09-17 18:59:14.72779
935	73	\N	2	2016-09-17 18:59:14.72779
936	73	\N	2	2016-09-17 18:59:14.72779
937	73	\N	2	2016-09-17 18:59:14.72779
948	73	\N	2	2016-09-17 18:59:14.72779
949	73	\N	2	2016-09-17 18:59:14.72779
950	73	\N	2	2016-09-17 18:59:14.72779
952	73	\N	2	2016-09-17 18:59:14.72779
953	12	\N	2	2016-09-17 18:59:14.72779
954	12	\N	2	2016-09-17 18:59:14.72779
955	65	\N	2	2016-09-17 18:59:14.72779
956	65	\N	2	2016-09-17 18:59:14.72779
957	74	\N	2	2016-09-17 18:59:14.72779
2214	110	f	2	2016-09-17 18:59:14.72779
2215	86	f	2	2016-09-17 18:59:14.72779
2216	78	f	2	2016-09-17 18:59:14.72779
2217	12	f	2	2016-09-17 18:59:14.72779
2218	140	f	2	2016-09-17 18:59:14.72779
2219	65	f	2	2016-09-17 18:59:14.72779
3805	123	f	2	2016-09-17 20:43:44.552338
2267	134	f	2	2016-09-18 20:50:10.774587
3836	123	f	2	2016-09-18 22:45:34.72505
3859	123	f	2	2016-10-02 17:48:25.829152
1880	106	f	2	2016-09-17 18:59:14.72779
1881	106	f	2	2016-09-17 18:59:14.72779
2374	84	f	2	2016-09-17 18:59:14.72779
2375	83	f	2	2016-09-17 18:59:14.72779
3105	145	f	2	2016-09-17 18:59:14.72779
3106	145	f	2	2016-09-17 18:59:14.72779
3107	145	f	2	2016-09-17 18:59:14.72779
3108	145	f	2	2016-09-17 18:59:14.72779
3109	145	f	2	2016-09-17 18:59:14.72779
3110	145	f	2	2016-09-17 18:59:14.72779
3111	145	f	2	2016-09-17 18:59:14.72779
3112	145	f	2	2016-09-17 18:59:14.72779
3113	145	f	2	2016-09-17 18:59:14.72779
3114	145	f	2	2016-09-17 18:59:14.72779
3115	145	f	2	2016-09-17 18:59:14.72779
3116	145	f	2	2016-09-17 18:59:14.72779
3117	145	f	2	2016-09-17 18:59:14.72779
3118	145	f	2	2016-09-17 18:59:14.72779
3119	145	f	2	2016-09-17 18:59:14.72779
3120	145	f	2	2016-09-17 18:59:14.72779
3121	145	f	2	2016-09-17 18:59:14.72779
3122	145	f	2	2016-09-17 18:59:14.72779
3123	145	f	2	2016-09-17 18:59:14.72779
3124	145	f	2	2016-09-17 18:59:14.72779
3125	145	f	2	2016-09-17 18:59:14.72779
958	74	\N	2	2016-09-17 18:59:14.72779
3126	145	f	2	2016-09-17 18:59:14.72779
3127	145	f	2	2016-09-17 18:59:14.72779
3128	145	f	2	2016-09-17 18:59:14.72779
3129	145	f	2	2016-09-17 18:59:14.72779
3130	145	f	2	2016-09-17 18:59:14.72779
1647	39	f	2	2016-09-17 18:59:14.72779
2266	137	f	2	2016-09-17 18:59:14.72779
2268	12	f	2	2016-09-17 18:59:14.72779
2269	105	f	2	2016-09-17 18:59:14.72779
1915	111	f	2	2016-09-17 18:59:14.72779
2413	105	f	2	2016-09-17 18:59:14.72779
2950	145	f	2	2016-09-17 18:59:14.72779
871	69	\N	2	2016-09-17 18:59:14.72779
872	12	\N	2	2016-09-17 18:59:14.72779
873	65	\N	2	2016-09-17 18:59:14.72779
874	65	\N	2	2016-09-17 18:59:14.72779
3806	123	f	2	2016-09-17 20:45:00.588652
2894	130	f	2	2016-09-18 20:33:14.226896
3860	123	f	2	2016-10-02 18:52:35.049405
3862	123	f	2	2016-10-02 18:55:00.986014
863	65	\N	2	2016-09-17 18:59:14.72779
870	69	\N	2	2016-09-17 18:59:14.72779
875	70	\N	2	2016-09-17 18:59:14.72779
1207	12	\N	2	2016-09-17 18:59:14.72779
1917	110	f	2	2016-09-17 18:59:14.72779
1949	123	f	2	2016-09-17 18:59:14.72779
1961	123	f	2	2016-09-17 18:59:14.72779
2714	104	f	2	2016-09-17 18:59:14.72779
2715	119	f	2	2016-09-17 18:59:14.72779
2716	119	f	2	2016-09-17 18:59:14.72779
2717	119	f	2	2016-09-17 18:59:14.72779
3131	145	f	2	2016-09-17 18:59:14.72779
3132	145	f	2	2016-09-17 18:59:14.72779
3133	145	f	2	2016-09-17 18:59:14.72779
3134	145	f	2	2016-09-17 18:59:14.72779
3135	145	f	2	2016-09-17 18:59:14.72779
3136	145	f	2	2016-09-17 18:59:14.72779
3137	145	f	2	2016-09-17 18:59:14.72779
3138	145	f	2	2016-09-17 18:59:14.72779
2718	119	f	2	2016-09-17 18:59:14.72779
3139	145	f	2	2016-09-17 18:59:14.72779
3140	145	f	2	2016-09-17 18:59:14.72779
3141	145	f	2	2016-09-17 18:59:14.72779
3142	145	f	2	2016-09-17 18:59:14.72779
3143	145	f	2	2016-09-17 18:59:14.72779
3144	145	f	2	2016-09-17 18:59:14.72779
3145	145	f	2	2016-09-17 18:59:14.72779
3146	145	f	2	2016-09-17 18:59:14.72779
3147	145	f	2	2016-09-17 18:59:14.72779
3148	145	f	2	2016-09-17 18:59:14.72779
3149	145	f	2	2016-09-17 18:59:14.72779
3150	145	f	2	2016-09-17 18:59:14.72779
3151	145	f	2	2016-09-17 18:59:14.72779
3152	145	f	2	2016-09-17 18:59:14.72779
3153	145	f	2	2016-09-17 18:59:14.72779
3154	145	f	2	2016-09-17 18:59:14.72779
3155	145	f	2	2016-09-17 18:59:14.72779
3156	145	f	2	2016-09-17 18:59:14.72779
3157	145	f	2	2016-09-17 18:59:14.72779
3158	145	f	2	2016-09-17 18:59:14.72779
3159	145	f	2	2016-09-17 18:59:14.72779
3160	145	f	2	2016-09-17 18:59:14.72779
3161	145	f	2	2016-09-17 18:59:14.72779
3162	145	f	2	2016-09-17 18:59:14.72779
3163	145	f	2	2016-09-17 18:59:14.72779
3164	145	f	2	2016-09-17 18:59:14.72779
3165	145	f	2	2016-09-17 18:59:14.72779
3166	145	f	2	2016-09-17 18:59:14.72779
3167	145	f	2	2016-09-17 18:59:14.72779
3168	145	f	2	2016-09-17 18:59:14.72779
3169	145	f	2	2016-09-17 18:59:14.72779
3170	145	f	2	2016-09-17 18:59:14.72779
3171	145	f	2	2016-09-17 18:59:14.72779
3172	145	f	2	2016-09-17 18:59:14.72779
3173	145	f	2	2016-09-17 18:59:14.72779
3174	145	f	2	2016-09-17 18:59:14.72779
3175	145	f	2	2016-09-17 18:59:14.72779
3176	145	f	2	2016-09-17 18:59:14.72779
3177	145	f	2	2016-09-17 18:59:14.72779
3178	145	f	2	2016-09-17 18:59:14.72779
3179	145	f	2	2016-09-17 18:59:14.72779
3180	145	f	2	2016-09-17 18:59:14.72779
3612	145	f	2	2016-09-17 18:59:14.72779
3613	145	f	2	2016-09-17 18:59:14.72779
3614	145	f	2	2016-09-17 18:59:14.72779
3658	145	f	2	2016-09-17 18:59:14.72779
2882	12	f	2	2016-09-17 18:59:14.72779
2883	65	f	2	2016-09-17 18:59:14.72779
278	39	\N	2	2016-09-17 18:59:14.72779
279	39	\N	2	2016-09-17 18:59:14.72779
280	39	\N	2	2016-09-17 18:59:14.72779
281	39	\N	2	2016-09-17 18:59:14.72779
282	39	\N	2	2016-09-17 18:59:14.72779
283	12	\N	2	2016-09-17 18:59:14.72779
286	41	\N	2	2016-09-17 18:59:14.72779
287	41	\N	2	2016-09-17 18:59:14.72779
288	41	\N	2	2016-09-17 18:59:14.72779
289	41	\N	2	2016-09-17 18:59:14.72779
938	73	\N	2	2016-09-17 18:59:14.72779
939	73	\N	2	2016-09-17 18:59:14.72779
961	74	\N	2	2016-09-17 18:59:14.72779
962	74	\N	2	2016-09-17 18:59:14.72779
3266	145	f	2	2016-09-17 18:59:14.72779
3267	145	f	2	2016-09-17 18:59:14.72779
3268	145	f	2	2016-09-17 18:59:14.72779
2891	87	f	2	2016-09-17 18:59:14.72779
2910	149	f	2	2016-09-17 18:59:14.72779
2912	2	f	2	2016-09-17 18:59:14.72779
2956	145	f	2	2016-09-17 18:59:14.72779
2957	145	f	2	2016-09-17 18:59:14.72779
2958	145	f	2	2016-09-17 18:59:14.72779
3181	145	f	2	2016-09-17 18:59:14.72779
3182	145	f	2	2016-09-17 18:59:14.72779
3183	145	f	2	2016-09-17 18:59:14.72779
1209	90	\N	2	2016-09-17 18:59:14.72779
1218	39	\N	2	2016-09-17 18:59:14.72779
1221	12	\N	2	2016-09-17 18:59:14.72779
1227	93	\N	2	2016-09-17 18:59:14.72779
3807	123	f	2	2016-09-17 20:46:10.004569
3808	123	f	2	2016-09-17 20:46:37.189941
3809	123	f	2	2016-09-17 20:47:28.897672
3810	123	f	2	2016-09-17 20:49:34.03298
2785	47	f	2	2016-09-18 20:56:23.715695
3861	123	f	2	2016-10-02 18:53:35.742358
2954	145	f	2	2016-09-17 18:59:14.72779
3037	145	f	2	2016-09-17 18:59:14.72779
3038	145	f	2	2016-09-17 18:59:14.72779
3184	145	f	2	2016-09-17 18:59:14.72779
3185	145	f	2	2016-09-17 18:59:14.72779
3186	145	f	2	2016-09-17 18:59:14.72779
3187	145	f	2	2016-09-17 18:59:14.72779
3188	145	f	2	2016-09-17 18:59:14.72779
3189	145	f	2	2016-09-17 18:59:14.72779
3190	145	f	2	2016-09-17 18:59:14.72779
3191	145	f	2	2016-09-17 18:59:14.72779
3192	145	f	2	2016-09-17 18:59:14.72779
3193	145	f	2	2016-09-17 18:59:14.72779
3194	145	f	2	2016-09-17 18:59:14.72779
3195	145	f	2	2016-09-17 18:59:14.72779
3196	145	f	2	2016-09-17 18:59:14.72779
3197	145	f	2	2016-09-17 18:59:14.72779
3198	145	f	2	2016-09-17 18:59:14.72779
3199	145	f	2	2016-09-17 18:59:14.72779
3200	145	f	2	2016-09-17 18:59:14.72779
3201	145	f	2	2016-09-17 18:59:14.72779
3202	145	f	2	2016-09-17 18:59:14.72779
3203	145	f	2	2016-09-17 18:59:14.72779
3204	145	f	2	2016-09-17 18:59:14.72779
3205	145	f	2	2016-09-17 18:59:14.72779
3206	145	f	2	2016-09-17 18:59:14.72779
3207	145	f	2	2016-09-17 18:59:14.72779
963	74	\N	2	2016-09-17 18:59:14.72779
964	74	\N	2	2016-09-17 18:59:14.72779
965	74	\N	2	2016-09-17 18:59:14.72779
966	74	\N	2	2016-09-17 18:59:14.72779
967	74	\N	2	2016-09-17 18:59:14.72779
968	74	\N	2	2016-09-17 18:59:14.72779
969	74	\N	2	2016-09-17 18:59:14.72779
970	74	\N	2	2016-09-17 18:59:14.72779
971	74	\N	2	2016-09-17 18:59:14.72779
973	75	\N	2	2016-09-17 18:59:14.72779
975	75	\N	2	2016-09-17 18:59:14.72779
976	75	\N	2	2016-09-17 18:59:14.72779
977	75	\N	2	2016-09-17 18:59:14.72779
978	75	\N	2	2016-09-17 18:59:14.72779
3208	145	f	2	2016-09-17 18:59:14.72779
3209	145	f	2	2016-09-17 18:59:14.72779
3210	145	f	2	2016-09-17 18:59:14.72779
3211	145	f	2	2016-09-17 18:59:14.72779
3212	145	f	2	2016-09-17 18:59:14.72779
3213	145	f	2	2016-09-17 18:59:14.72779
3214	145	f	2	2016-09-17 18:59:14.72779
3215	145	f	2	2016-09-17 18:59:14.72779
3216	145	f	2	2016-09-17 18:59:14.72779
3217	145	f	2	2016-09-17 18:59:14.72779
3218	145	f	2	2016-09-17 18:59:14.72779
979	75	\N	2	2016-09-17 18:59:14.72779
980	75	\N	2	2016-09-17 18:59:14.72779
981	75	\N	2	2016-09-17 18:59:14.72779
982	75	\N	2	2016-09-17 18:59:14.72779
983	75	\N	2	2016-09-17 18:59:14.72779
984	75	\N	2	2016-09-17 18:59:14.72779
1616	69	f	2	2016-09-17 18:59:14.72779
1619	69	f	2	2016-09-17 18:59:14.72779
1620	87	f	2	2016-09-17 18:59:14.72779
1621	87	f	2	2016-09-17 18:59:14.72779
1622	89	f	2	2016-09-17 18:59:14.72779
1623	90	f	2	2016-09-17 18:59:14.72779
1381	89	f	2	2016-09-17 18:59:14.72779
2439	117	f	2	2016-09-17 18:59:14.72779
2784	123	f	2	2016-09-17 18:59:14.72779
2786	2	f	2	2016-09-17 18:59:14.72779
2787	2	f	2	2016-09-17 18:59:14.72779
2788	12	f	2	2016-09-17 18:59:14.72779
2813	12	f	2	2016-09-17 18:59:14.72779
2814	87	f	2	2016-09-17 18:59:14.72779
2842	119	f	2	2016-09-17 18:59:14.72779
3219	145	f	2	2016-09-17 18:59:14.72779
3220	145	f	2	2016-09-17 18:59:14.72779
3221	145	f	2	2016-09-17 18:59:14.72779
3222	145	f	2	2016-09-17 18:59:14.72779
3223	145	f	2	2016-09-17 18:59:14.72779
3224	145	f	2	2016-09-17 18:59:14.72779
3225	145	f	2	2016-09-17 18:59:14.72779
3226	145	f	2	2016-09-17 18:59:14.72779
3227	145	f	2	2016-09-17 18:59:14.72779
3228	145	f	2	2016-09-17 18:59:14.72779
3229	145	f	2	2016-09-17 18:59:14.72779
3230	145	f	2	2016-09-17 18:59:14.72779
3231	145	f	2	2016-09-17 18:59:14.72779
3232	145	f	2	2016-09-17 18:59:14.72779
3233	145	f	2	2016-09-17 18:59:14.72779
3234	145	f	2	2016-09-17 18:59:14.72779
3235	145	f	2	2016-09-17 18:59:14.72779
3236	145	f	2	2016-09-17 18:59:14.72779
3237	145	f	2	2016-09-17 18:59:14.72779
3238	145	f	2	2016-09-17 18:59:14.72779
3239	145	f	2	2016-09-17 18:59:14.72779
3240	145	f	2	2016-09-17 18:59:14.72779
3241	145	f	2	2016-09-17 18:59:14.72779
3242	145	f	2	2016-09-17 18:59:14.72779
3243	145	f	2	2016-09-17 18:59:14.72779
3039	145	f	2	2016-09-17 18:59:14.72779
3040	145	f	2	2016-09-17 18:59:14.72779
3041	145	f	2	2016-09-17 18:59:14.72779
3042	145	f	2	2016-09-17 18:59:14.72779
3043	145	f	2	2016-09-17 18:59:14.72779
2466	117	f	2	2016-09-17 18:59:14.72779
3406	145	f	2	2016-09-17 18:59:14.72779
1907	65	f	2	2016-09-17 18:59:14.72779
3407	145	f	2	2016-09-17 18:59:14.72779
1956	87	f	2	2016-09-17 18:59:14.72779
1958	93	f	2	2016-09-17 18:59:14.72779
1959	123	f	2	2016-09-17 18:59:14.72779
2104	135	f	2	2016-09-17 18:59:14.72779
1323	83	f	2	2016-09-17 18:59:14.72779
2105	135	f	2	2016-09-17 18:59:14.72779
2106	135	f	2	2016-09-17 18:59:14.72779
3408	145	f	2	2016-09-17 18:59:14.72779
3409	145	f	2	2016-09-17 18:59:14.72779
2107	12	f	2	2016-09-17 18:59:14.72779
3410	145	f	2	2016-09-17 18:59:14.72779
3411	145	f	2	2016-09-17 18:59:14.72779
3412	145	f	2	2016-09-17 18:59:14.72779
2108	12	f	2	2016-09-17 18:59:14.72779
3413	145	f	2	2016-09-17 18:59:14.72779
2111	83	f	2	2016-09-17 18:59:14.72779
2115	39	f	2	2016-09-17 18:59:14.72779
2119	90	f	2	2016-09-17 18:59:14.72779
2168	137	f	2	2016-09-17 18:59:14.72779
2172	135	f	2	2016-09-17 18:59:14.72779
3414	145	f	2	2016-09-17 18:59:14.72779
2173	137	f	2	2016-09-17 18:59:14.72779
1324	83	f	2	2016-09-17 18:59:14.72779
1358	83	f	2	2016-09-17 18:59:14.72779
1359	84	f	2	2016-09-17 18:59:14.72779
1360	83	f	2	2016-09-17 18:59:14.72779
2452	117	f	2	2016-09-17 18:59:14.72779
2457	106	f	2	2016-09-17 18:59:14.72779
3415	145	f	2	2016-09-17 18:59:14.72779
1361	84	f	2	2016-09-17 18:59:14.72779
1365	39	f	2	2016-09-17 18:59:14.72779
1366	84	f	2	2016-09-17 18:59:14.72779
1367	83	f	2	2016-09-17 18:59:14.72779
1368	65	f	2	2016-09-17 18:59:14.72779
1371	87	f	2	2016-09-17 18:59:14.72779
1373	87	f	2	2016-09-17 18:59:14.72779
1374	90	f	2	2016-09-17 18:59:14.72779
1624	87	f	2	2016-09-17 18:59:14.72779
3418	145	f	2	2016-09-17 18:59:14.72779
3419	145	f	2	2016-09-17 18:59:14.72779
3420	145	f	2	2016-09-17 18:59:14.72779
1625	89	f	2	2016-09-17 18:59:14.72779
1376	89	f	2	2016-09-17 18:59:14.72779
1626	69	f	2	2016-09-17 18:59:14.72779
1378	78	f	2	2016-09-17 18:59:14.72779
1627	69	f	2	2016-09-17 18:59:14.72779
1628	69	f	2	2016-09-17 18:59:14.72779
3421	145	f	2	2016-09-17 18:59:14.72779
3422	145	f	2	2016-09-17 18:59:14.72779
1379	87	f	2	2016-09-17 18:59:14.72779
1634	103	f	2	2016-09-17 18:59:14.72779
1380	87	f	2	2016-09-17 18:59:14.72779
1383	69	f	2	2016-09-17 18:59:14.72779
2260	135	f	2	2016-09-17 18:59:14.72779
2261	142	f	2	2016-09-17 18:59:14.72779
2262	135	f	2	2016-09-17 18:59:14.72779
2263	142	f	2	2016-09-17 18:59:14.72779
2265	135	f	2	2016-09-17 18:59:14.72779
1780	105	f	2	2016-09-17 18:59:14.72779
1797	12	f	2	2016-09-17 18:59:14.72779
1798	65	f	2	2016-09-17 18:59:14.72779
1799	12	f	2	2016-09-17 18:59:14.72779
1804	118	f	2	2016-09-17 18:59:14.72779
3423	145	f	2	2016-09-17 18:59:14.72779
3424	145	f	2	2016-09-17 18:59:14.72779
3425	145	f	2	2016-09-17 18:59:14.72779
3426	145	f	2	2016-09-17 18:59:14.72779
3427	145	f	2	2016-09-17 18:59:14.72779
3428	145	f	2	2016-09-17 18:59:14.72779
3429	145	f	2	2016-09-17 18:59:14.72779
3430	145	f	2	2016-09-17 18:59:14.72779
3431	145	f	2	2016-09-17 18:59:14.72779
3432	145	f	2	2016-09-17 18:59:14.72779
3433	145	f	2	2016-09-17 18:59:14.72779
3434	145	f	2	2016-09-17 18:59:14.72779
3435	145	f	2	2016-09-17 18:59:14.72779
3436	145	f	2	2016-09-17 18:59:14.72779
3437	145	f	2	2016-09-17 18:59:14.72779
3438	145	f	2	2016-09-17 18:59:14.72779
3439	145	f	2	2016-09-17 18:59:14.72779
2205	110	f	2	2016-09-17 18:59:14.72779
2234	78	f	2	2016-09-17 18:59:14.72779
2566	69	f	2	2016-09-17 18:59:14.72779
2133	123	f	2	2016-09-17 18:59:14.72779
2567	145	f	2	2016-09-17 18:59:14.72779
2571	145	f	2	2016-09-17 18:59:14.72779
2135	12	f	2	2016-09-17 18:59:14.72779
2572	130	f	2	2016-09-17 18:59:14.72779
2710	119	f	2	2016-09-17 18:59:14.72779
2711	119	f	2	2016-09-17 18:59:14.72779
2712	119	f	2	2016-09-17 18:59:14.72779
2713	119	f	2	2016-09-17 18:59:14.72779
2817	123	f	2	2016-09-17 18:59:14.72779
2836	119	f	2	2016-09-17 18:59:14.72779
2136	65	f	2	2016-09-17 18:59:14.72779
2320	12	f	2	2016-09-17 18:59:14.72779
2327	87	f	2	2016-09-17 18:59:14.72779
2328	69	f	2	2016-09-17 18:59:14.72779
2583	12	f	2	2016-09-17 18:59:14.72779
2329	145	f	2	2016-09-17 18:59:14.72779
2330	145	f	2	2016-09-17 18:59:14.72779
2331	146	f	2	2016-09-17 18:59:14.72779
2837	135	f	2	2016-09-17 18:59:14.72779
2332	146	f	2	2016-09-17 18:59:14.72779
2333	130	f	2	2016-09-17 18:59:14.72779
2838	144	f	2	2016-09-17 18:59:14.72779
2855	119	f	2	2016-09-17 18:59:14.72779
2861	117	f	2	2016-09-17 18:59:14.72779
2862	117	f	2	2016-09-17 18:59:14.72779
2334	104	f	2	2016-09-17 18:59:14.72779
2895	39	f	2	2016-09-17 18:59:14.72779
2335	104	f	2	2016-09-17 18:59:14.72779
2336	104	f	2	2016-09-17 18:59:14.72779
2235	78	f	2	2016-09-17 18:59:14.72779
2236	78	f	2	2016-09-17 18:59:14.72779
2337	104	f	2	2016-09-17 18:59:14.72779
2338	87	f	2	2016-09-17 18:59:14.72779
2339	69	f	2	2016-09-17 18:59:14.72779
2340	69	f	2	2016-09-17 18:59:14.72779
2237	78	f	2	2016-09-17 18:59:14.72779
2238	78	f	2	2016-09-17 18:59:14.72779
2239	78	f	2	2016-09-17 18:59:14.72779
2896	84	f	2	2016-09-17 18:59:14.72779
1774	111	f	2	2016-09-17 18:59:14.72779
1777	65	f	2	2016-09-17 18:59:14.72779
1778	12	f	2	2016-09-17 18:59:14.72779
1800	118	f	2	2016-09-17 18:59:14.72779
2294	145	f	2	2016-09-17 18:59:14.72779
1801	118	f	2	2016-09-17 18:59:14.72779
2295	145	f	2	2016-09-17 18:59:14.72779
1802	118	f	2	2016-09-17 18:59:14.72779
2296	12	f	2	2016-09-17 18:59:14.72779
2297	145	f	2	2016-09-17 18:59:14.72779
2899	135	f	2	2016-09-17 18:59:14.72779
2299	146	f	2	2016-09-17 18:59:14.72779
2900	137	f	2	2016-09-17 18:59:14.72779
2300	145	f	2	2016-09-17 18:59:14.72779
2304	123	f	2	2016-09-17 18:59:14.72779
1910	106	f	2	2016-09-17 18:59:14.72779
1911	106	f	2	2016-09-17 18:59:14.72779
2075	93	f	2	2016-09-17 18:59:14.72779
2076	123	f	2	2016-09-17 18:59:14.72779
2077	12	f	2	2016-09-17 18:59:14.72779
2087	118	f	2	2016-09-17 18:59:14.72779
2088	130	f	2	2016-09-17 18:59:14.72779
2089	87	f	2	2016-09-17 18:59:14.72779
2090	69	f	2	2016-09-17 18:59:14.72779
2092	118	f	2	2016-09-17 18:59:14.72779
2095	87	f	2	2016-09-17 18:59:14.72779
2096	118	f	2	2016-09-17 18:59:14.72779
2264	134	f	2	2016-09-18 20:50:10.774587
1775	59	f	2	2016-09-18 21:02:48.623868
2915	79	f	2	2016-09-17 18:59:14.72779
2097	118	f	2	2016-09-17 18:59:14.72779
2924	118	f	2	2016-09-17 18:59:14.72779
2307	87	f	2	2016-09-17 18:59:14.72779
2963	145	f	2	2016-09-17 18:59:14.72779
2964	145	f	2	2016-09-17 18:59:14.72779
2120	101	f	2	2016-09-17 18:59:14.72779
2965	145	f	2	2016-09-17 18:59:14.72779
3374	145	f	2	2016-09-17 18:59:14.72779
2126	2	f	2	2016-09-17 18:59:14.72779
3620	149	f	2	2016-09-17 18:59:14.72779
3639	101	f	2	2016-09-17 18:59:14.72779
3660	135	f	2	2016-09-17 18:59:14.72779
3661	137	f	2	2016-09-17 18:59:14.72779
3747	166	f	2	2016-09-17 18:59:14.72779
3748	166	f	2	2016-09-17 18:59:14.72779
3752	166	f	2	2016-09-17 18:59:14.72779
2341	135	f	2	2016-09-17 18:59:14.72779
2342	137	f	2	2016-09-17 18:59:14.72779
2343	135	f	2	2016-09-17 18:59:14.72779
2344	143	f	2	2016-09-17 18:59:14.72779
2030	119	f	2	2016-09-17 18:59:14.72779
2031	119	f	2	2016-09-17 18:59:14.72779
2308	87	f	2	2016-09-17 18:59:14.72779
2032	110	f	2	2016-09-17 18:59:14.72779
2038	119	f	2	2016-09-17 18:59:14.72779
2514	65	f	2	2016-09-17 18:59:14.72779
2515	148	f	2	2016-09-17 18:59:14.72779
2516	12	f	2	2016-09-17 18:59:14.72779
2871	119	f	2	2016-09-17 18:59:14.72779
2872	55	f	2	2016-09-17 18:59:14.72779
2517	149	f	2	2016-09-17 18:59:14.72779
2518	149	f	2	2016-09-17 18:59:14.72779
2904	103	f	2	2016-09-17 18:59:14.72779
2916	149	f	2	2016-09-17 18:59:14.72779
2925	118	f	2	2016-09-17 18:59:14.72779
2966	145	f	2	2016-09-17 18:59:14.72779
2967	145	f	2	2016-09-17 18:59:14.72779
2968	145	f	2	2016-09-17 18:59:14.72779
2519	47	f	2	2016-09-17 18:59:14.72779
2520	149	f	2	2016-09-17 18:59:14.72779
3440	145	f	2	2016-09-17 18:59:14.72779
3441	145	f	2	2016-09-17 18:59:14.72779
2521	149	f	2	2016-09-17 18:59:14.72779
2522	149	f	2	2016-09-17 18:59:14.72779
2873	87	f	2	2016-09-17 18:59:14.72779
2874	87	f	2	2016-09-17 18:59:14.72779
2875	69	f	2	2016-09-17 18:59:14.72779
2876	145	f	2	2016-09-17 18:59:14.72779
2877	130	f	2	2016-09-17 18:59:14.72779
2878	87	f	2	2016-09-17 18:59:14.72779
2887	12	f	2	2016-09-17 18:59:14.72779
2888	65	f	2	2016-09-17 18:59:14.72779
2889	65	f	2	2016-09-17 18:59:14.72779
1250	55	f	2	2016-09-17 18:59:14.72779
1316	102	f	2	2016-09-17 18:59:14.72779
1336	39	f	2	2016-09-17 18:59:14.72779
1362	83	f	2	2016-09-17 18:59:14.72779
1363	84	f	2	2016-09-17 18:59:14.72779
1364	83	f	2	2016-09-17 18:59:14.72779
1372	69	f	2	2016-09-17 18:59:14.72779
2523	149	f	2	2016-09-17 18:59:14.72779
2524	149	f	2	2016-09-17 18:59:14.72779
1375	69	f	2	2016-09-17 18:59:14.72779
2525	149	f	2	2016-09-17 18:59:14.72779
1382	90	f	2	2016-09-17 18:59:14.72779
2526	149	f	2	2016-09-17 18:59:14.72779
1385	84	f	2	2016-09-17 18:59:14.72779
2527	149	f	2	2016-09-17 18:59:14.72779
1386	83	f	2	2016-09-17 18:59:14.72779
2528	149	f	2	2016-09-17 18:59:14.72779
2529	119	f	2	2016-09-17 18:59:14.72779
2536	110	f	2	2016-09-17 18:59:14.72779
2537	119	f	2	2016-09-17 18:59:14.72779
2538	119	f	2	2016-09-17 18:59:14.72779
2574	145	f	2	2016-09-17 18:59:14.72779
2575	130	f	2	2016-09-17 18:59:14.72779
1387	87	f	2	2016-09-17 18:59:14.72779
1388	90	f	2	2016-09-17 18:59:14.72779
1389	69	f	2	2016-09-17 18:59:14.72779
1390	69	f	2	2016-09-17 18:59:14.72779
1391	90	f	2	2016-09-17 18:59:14.72779
1416	39	f	2	2016-09-17 18:59:14.72779
2270	70	f	2	2016-09-17 18:59:14.72779
2271	140	f	2	2016-09-17 18:59:14.72779
2272	78	f	2	2016-09-17 18:59:14.72779
2273	135	f	2	2016-09-17 18:59:14.72779
2286	137	f	2	2016-09-17 18:59:14.72779
2287	135	f	2	2016-09-17 18:59:14.72779
2288	142	f	2	2016-09-17 18:59:14.72779
2289	104	f	2	2016-09-17 18:59:14.72779
2290	104	f	2	2016-09-17 18:59:14.72779
1424	12	f	2	2016-09-17 18:59:14.72779
1425	65	f	2	2016-09-17 18:59:14.72779
1426	105	f	2	2016-09-17 18:59:14.72779
1431	105	f	2	2016-09-17 18:59:14.72779
1432	105	f	2	2016-09-17 18:59:14.72779
1433	12	f	2	2016-09-17 18:59:14.72779
1434	65	f	2	2016-09-17 18:59:14.72779
2576	69	f	2	2016-09-17 18:59:14.72779
2577	145	f	2	2016-09-17 18:59:14.72779
2578	145	f	2	2016-09-17 18:59:14.72779
2579	130	f	2	2016-09-17 18:59:14.72779
2580	69	f	2	2016-09-17 18:59:14.72779
2581	145	f	2	2016-09-17 18:59:14.72779
2582	130	f	2	2016-09-17 18:59:14.72779
2366	87	f	2	2016-09-17 18:59:14.72779
3442	145	f	2	2016-09-17 18:59:14.72779
2367	69	f	2	2016-09-17 18:59:14.72779
3443	145	f	2	2016-09-17 18:59:14.72779
3444	145	f	2	2016-09-17 18:59:14.72779
3445	145	f	2	2016-09-17 18:59:14.72779
3446	145	f	2	2016-09-17 18:59:14.72779
3447	145	f	2	2016-09-17 18:59:14.72779
3448	145	f	2	2016-09-17 18:59:14.72779
3449	145	f	2	2016-09-17 18:59:14.72779
3450	145	f	2	2016-09-17 18:59:14.72779
3451	145	f	2	2016-09-17 18:59:14.72779
3452	145	f	2	2016-09-17 18:59:14.72779
3453	145	f	2	2016-09-17 18:59:14.72779
3454	145	f	2	2016-09-17 18:59:14.72779
3455	145	f	2	2016-09-17 18:59:14.72779
3456	145	f	2	2016-09-17 18:59:14.72779
3457	145	f	2	2016-09-17 18:59:14.72779
3458	145	f	2	2016-09-17 18:59:14.72779
3459	145	f	2	2016-09-17 18:59:14.72779
3460	145	f	2	2016-09-17 18:59:14.72779
2368	145	f	2	2016-09-17 18:59:14.72779
2369	146	f	2	2016-09-17 18:59:14.72779
3461	145	f	2	2016-09-17 18:59:14.72779
3462	145	f	2	2016-09-17 18:59:14.72779
3463	145	f	2	2016-09-17 18:59:14.72779
3464	145	f	2	2016-09-17 18:59:14.72779
3465	145	f	2	2016-09-17 18:59:14.72779
3466	145	f	2	2016-09-17 18:59:14.72779
3467	145	f	2	2016-09-17 18:59:14.72779
3468	145	f	2	2016-09-17 18:59:14.72779
3469	145	f	2	2016-09-17 18:59:14.72779
2370	118	f	2	2016-09-17 18:59:14.72779
3470	145	f	2	2016-09-17 18:59:14.72779
3471	145	f	2	2016-09-17 18:59:14.72779
3472	145	f	2	2016-09-17 18:59:14.72779
3473	145	f	2	2016-09-17 18:59:14.72779
2372	130	f	2	2016-09-17 18:59:14.72779
2373	39	f	2	2016-09-17 18:59:14.72779
2648	65	f	2	2016-09-17 18:59:14.72779
2649	65	f	2	2016-09-17 18:59:14.72779
2650	65	f	2	2016-09-17 18:59:14.72779
2429	105	f	2	2016-09-17 18:59:14.72779
2430	105	f	2	2016-09-17 18:59:14.72779
2510	110	f	2	2016-09-17 18:59:14.72779
2511	86	f	2	2016-09-17 18:59:14.72779
2513	12	f	2	2016-09-17 18:59:14.72779
3474	145	f	2	2016-09-17 18:59:14.72779
3475	145	f	2	2016-09-17 18:59:14.72779
3476	145	f	2	2016-09-17 18:59:14.72779
3477	145	f	2	2016-09-17 18:59:14.72779
3478	145	f	2	2016-09-17 18:59:14.72779
3479	145	f	2	2016-09-17 18:59:14.72779
3480	145	f	2	2016-09-17 18:59:14.72779
3481	145	f	2	2016-09-17 18:59:14.72779
3482	145	f	2	2016-09-17 18:59:14.72779
3483	145	f	2	2016-09-17 18:59:14.72779
3484	145	f	2	2016-09-17 18:59:14.72779
3485	145	f	2	2016-09-17 18:59:14.72779
3486	145	f	2	2016-09-17 18:59:14.72779
3487	145	f	2	2016-09-17 18:59:14.72779
3488	145	f	2	2016-09-17 18:59:14.72779
3489	145	f	2	2016-09-17 18:59:14.72779
3490	145	f	2	2016-09-17 18:59:14.72779
3491	145	f	2	2016-09-17 18:59:14.72779
3492	145	f	2	2016-09-17 18:59:14.72779
3493	145	f	2	2016-09-17 18:59:14.72779
3494	145	f	2	2016-09-17 18:59:14.72779
3495	145	f	2	2016-09-17 18:59:14.72779
3496	145	f	2	2016-09-17 18:59:14.72779
3497	145	f	2	2016-09-17 18:59:14.72779
3498	145	f	2	2016-09-17 18:59:14.72779
3499	145	f	2	2016-09-17 18:59:14.72779
3500	145	f	2	2016-09-17 18:59:14.72779
3501	145	f	2	2016-09-17 18:59:14.72779
3502	145	f	2	2016-09-17 18:59:14.72779
3503	145	f	2	2016-09-17 18:59:14.72779
3504	145	f	2	2016-09-17 18:59:14.72779
3505	145	f	2	2016-09-17 18:59:14.72779
3506	145	f	2	2016-09-17 18:59:14.72779
3507	145	f	2	2016-09-17 18:59:14.72779
3508	145	f	2	2016-09-17 18:59:14.72779
3509	145	f	2	2016-09-17 18:59:14.72779
3510	145	f	2	2016-09-17 18:59:14.72779
3511	145	f	2	2016-09-17 18:59:14.72779
3512	145	f	2	2016-09-17 18:59:14.72779
3513	145	f	2	2016-09-17 18:59:14.72779
3514	145	f	2	2016-09-17 18:59:14.72779
3515	145	f	2	2016-09-17 18:59:14.72779
3516	145	f	2	2016-09-17 18:59:14.72779
3517	145	f	2	2016-09-17 18:59:14.72779
3518	145	f	2	2016-09-17 18:59:14.72779
3519	145	f	2	2016-09-17 18:59:14.72779
3520	145	f	2	2016-09-17 18:59:14.72779
2926	118	f	2	2016-09-17 18:59:14.72779
2969	145	f	2	2016-09-17 18:59:14.72779
2970	145	f	2	2016-09-17 18:59:14.72779
2971	145	f	2	2016-09-17 18:59:14.72779
907	71	\N	2	2016-09-17 18:59:14.72779
908	12	\N	2	2016-09-17 18:59:14.72779
909	12	\N	2	2016-09-17 18:59:14.72779
1041	47	\N	2	2016-09-17 18:59:14.72779
1042	47	\N	2	2016-09-17 18:59:14.72779
1043	47	\N	2	2016-09-17 18:59:14.72779
1044	47	\N	2	2016-09-17 18:59:14.72779
1045	47	\N	2	2016-09-17 18:59:14.72779
3521	145	f	2	2016-09-17 18:59:14.72779
3522	145	f	2	2016-09-17 18:59:14.72779
3523	145	f	2	2016-09-17 18:59:14.72779
3524	145	f	2	2016-09-17 18:59:14.72779
3525	145	f	2	2016-09-17 18:59:14.72779
3526	145	f	2	2016-09-17 18:59:14.72779
3527	145	f	2	2016-09-17 18:59:14.72779
3528	145	f	2	2016-09-17 18:59:14.72779
2589	89	f	2	2016-09-17 18:59:14.72779
2590	90	f	2	2016-09-17 18:59:14.72779
2545	86	f	2	2016-09-17 18:59:14.72779
2547	119	f	2	2016-09-17 18:59:14.72779
2548	119	f	2	2016-09-17 18:59:14.72779
3529	145	f	2	2016-09-17 18:59:14.72779
3530	145	f	2	2016-09-17 18:59:14.72779
3531	145	f	2	2016-09-17 18:59:14.72779
3532	145	f	2	2016-09-17 18:59:14.72779
2591	69	f	2	2016-09-17 18:59:14.72779
2592	123	f	2	2016-09-17 18:59:14.72779
2593	69	f	2	2016-09-17 18:59:14.72779
2594	87	f	2	2016-09-17 18:59:14.72779
2595	69	f	2	2016-09-17 18:59:14.72779
2596	145	f	2	2016-09-17 18:59:14.72779
2376	69	f	2	2016-09-17 18:59:14.72779
2377	135	f	2	2016-09-17 18:59:14.72779
2549	12	f	2	2016-09-17 18:59:14.72779
2378	137	f	2	2016-09-17 18:59:14.72779
2550	87	f	2	2016-09-17 18:59:14.72779
2379	135	f	2	2016-09-17 18:59:14.72779
2551	12	f	2	2016-09-17 18:59:14.72779
2552	65	f	2	2016-09-17 18:59:14.72779
2553	65	f	2	2016-09-17 18:59:14.72779
2554	65	f	2	2016-09-17 18:59:14.72779
2725	119	f	2	2016-09-17 18:59:14.72779
2726	110	f	2	2016-09-17 18:59:14.72779
2727	119	f	2	2016-09-17 18:59:14.72779
2728	119	f	2	2016-09-17 18:59:14.72779
2731	123	f	2	2016-09-17 18:59:14.72779
2732	148	f	2	2016-09-17 18:59:14.72779
2819	123	f	2	2016-09-17 18:59:14.72779
3533	145	f	2	2016-09-17 18:59:14.72779
3534	145	f	2	2016-09-17 18:59:14.72779
3535	145	f	2	2016-09-17 18:59:14.72779
3536	145	f	2	2016-09-17 18:59:14.72779
3537	145	f	2	2016-09-17 18:59:14.72779
3538	145	f	2	2016-09-17 18:59:14.72779
2380	143	f	2	2016-09-17 18:59:14.72779
3539	145	f	2	2016-09-17 18:59:14.72779
3540	145	f	2	2016-09-17 18:59:14.72779
2383	104	f	2	2016-09-17 18:59:14.72779
2384	104	f	2	2016-09-17 18:59:14.72779
2385	104	f	2	2016-09-17 18:59:14.72779
2388	103	f	2	2016-09-17 18:59:14.72779
3541	145	f	2	2016-09-17 18:59:14.72779
2389	105	f	2	2016-09-17 18:59:14.72779
3542	145	f	2	2016-09-17 18:59:14.72779
2390	105	f	2	2016-09-17 18:59:14.72779
3543	145	f	2	2016-09-17 18:59:14.72779
2391	105	f	2	2016-09-17 18:59:14.72779
3544	145	f	2	2016-09-17 18:59:14.72779
2396	105	f	2	2016-09-17 18:59:14.72779
3545	145	f	2	2016-09-17 18:59:14.72779
2397	105	f	2	2016-09-17 18:59:14.72779
3546	145	f	2	2016-09-17 18:59:14.72779
2398	105	f	2	2016-09-17 18:59:14.72779
2415	105	f	2	2016-09-17 18:59:14.72779
2416	105	f	2	2016-09-17 18:59:14.72779
2670	146	f	2	2016-09-17 18:59:14.72779
2677	89	f	2	2016-09-17 18:59:14.72779
2678	69	f	2	2016-09-17 18:59:14.72779
2679	69	f	2	2016-09-17 18:59:14.72779
2680	89	f	2	2016-09-17 18:59:14.72779
2681	89	f	2	2016-09-17 18:59:14.72779
2424	105	f	2	2016-09-17 18:59:14.72779
2425	105	f	2	2016-09-17 18:59:14.72779
2426	105	f	2	2016-09-17 18:59:14.72779
2682	149	f	2	2016-09-17 18:59:14.72779
2683	89	f	2	2016-09-17 18:59:14.72779
2427	105	f	2	2016-09-17 18:59:14.72779
3547	145	f	2	2016-09-17 18:59:14.72779
3548	145	f	2	2016-09-17 18:59:14.72779
3549	145	f	2	2016-09-17 18:59:14.72779
3550	145	f	2	2016-09-17 18:59:14.72779
3551	145	f	2	2016-09-17 18:59:14.72779
3552	145	f	2	2016-09-17 18:59:14.72779
3553	145	f	2	2016-09-17 18:59:14.72779
2428	105	f	2	2016-09-17 18:59:14.72779
2684	149	f	2	2016-09-17 18:59:14.72779
2685	89	f	2	2016-09-17 18:59:14.72779
2686	135	f	2	2016-09-17 18:59:14.72779
2431	105	f	2	2016-09-17 18:59:14.72779
2687	137	f	2	2016-09-17 18:59:14.72779
2693	110	f	2	2016-09-17 18:59:14.72779
3554	145	f	2	2016-09-17 18:59:14.72779
3555	145	f	2	2016-09-17 18:59:14.72779
3556	145	f	2	2016-09-17 18:59:14.72779
3557	145	f	2	2016-09-17 18:59:14.72779
3558	145	f	2	2016-09-17 18:59:14.72779
2382	134	f	2	2016-09-18 20:50:10.774587
3559	145	f	2	2016-09-17 18:59:14.72779
3560	145	f	2	2016-09-17 18:59:14.72779
3561	145	f	2	2016-09-17 18:59:14.72779
3562	145	f	2	2016-09-17 18:59:14.72779
3563	145	f	2	2016-09-17 18:59:14.72779
3564	145	f	2	2016-09-17 18:59:14.72779
3565	145	f	2	2016-09-17 18:59:14.72779
3566	145	f	2	2016-09-17 18:59:14.72779
3621	149	f	2	2016-09-17 18:59:14.72779
3622	93	f	\N	2016-09-17 18:59:14.72779
3640	101	f	2	2016-09-17 18:59:14.72779
3662	135	f	2	2016-09-17 18:59:14.72779
3666	135	f	2	2016-09-17 18:59:14.72779
3667	137	f	2	2016-09-17 18:59:14.72779
2694	110	f	2	2016-09-17 18:59:14.72779
2695	86	f	2	2016-09-17 18:59:14.72779
2530	119	f	2	2016-09-17 18:59:14.72779
2531	119	f	2	2016-09-17 18:59:14.72779
3749	166	f	2	2016-09-17 18:59:14.72779
3754	166	f	2	2016-09-17 18:59:14.72779
2532	119	f	2	2016-09-17 18:59:14.72779
2533	119	f	2	2016-09-17 18:59:14.72779
2534	119	f	2	2016-09-17 18:59:14.72779
2535	119	f	2	2016-09-17 18:59:14.72779
2539	110	f	2	2016-09-17 18:59:14.72779
2540	86	f	2	2016-09-17 18:59:14.72779
2541	119	f	2	2016-09-17 18:59:14.72779
2542	148	f	2	2016-09-17 18:59:14.72779
2543	148	f	2	2016-09-17 18:59:14.72779
2827	135	f	2	2016-09-17 18:59:14.72779
3623	93	f	\N	2016-09-17 18:59:14.72779
2828	137	f	2	2016-09-17 18:59:14.72779
2841	104	f	2	2016-09-17 18:59:14.72779
2865	78	f	2	2016-09-17 18:59:14.72779
2867	111	f	2	2016-09-17 18:59:14.72779
3663	135	f	2	2016-09-17 18:59:14.72779
3700	149	f	2	2016-09-17 18:59:14.72779
3707	12	f	2	2016-09-17 18:59:14.72779
1550	65	f	2	2016-09-17 18:59:14.72779
1551	87	f	2	2016-09-17 18:59:14.72779
3721	12	f	2	2016-09-17 18:59:14.72779
1552	87	f	2	2016-09-17 18:59:14.72779
2597	145	f	2	2016-09-17 18:59:14.72779
3731	12	f	2	2016-09-17 18:59:14.72779
3750	166	f	2	2016-09-17 18:59:14.72779
2636	65	f	2	2016-09-17 18:59:14.72779
2637	65	f	2	2016-09-17 18:59:14.72779
3753	166	f	2	2016-09-17 18:59:14.72779
2638	65	f	2	2016-09-17 18:59:14.72779
2392	105	f	2	2016-09-17 18:59:14.72779
2393	105	f	2	2016-09-17 18:59:14.72779
2394	105	f	2	2016-09-17 18:59:14.72779
2395	105	f	2	2016-09-17 18:59:14.72779
2642	65	f	2	2016-09-17 18:59:14.72779
274	12	\N	2	2016-09-17 18:59:14.72779
292	41	\N	2	2016-09-17 18:59:14.72779
306	41	\N	2	2016-09-17 18:59:14.72779
706	12	\N	2	2016-09-17 18:59:14.72779
723	12	\N	2	2016-09-17 18:59:14.72779
725	55	\N	2	2016-09-17 18:59:14.72779
726	55	\N	2	2016-09-17 18:59:14.72779
728	55	\N	2	2016-09-17 18:59:14.72779
734	55	\N	2	2016-09-17 18:59:14.72779
743	55	\N	2	2016-09-17 18:59:14.72779
763	55	\N	2	2016-09-17 18:59:14.72779
764	12	\N	2	2016-09-17 18:59:14.72779
769	12	\N	2	2016-09-17 18:59:14.72779
2643	65	f	2	2016-09-17 18:59:14.72779
2646	65	f	2	2016-09-17 18:59:14.72779
2647	65	f	2	2016-09-17 18:59:14.72779
2651	65	f	2	2016-09-17 18:59:14.72779
2652	65	f	2	2016-09-17 18:59:14.72779
2653	65	f	2	2016-09-17 18:59:14.72779
771	55	\N	2	2016-09-17 18:59:14.72779
772	59	\N	2	2016-09-17 18:59:14.72779
837	65	\N	2	2016-09-17 18:59:14.72779
1046	47	\N	2	2016-09-17 18:59:14.72779
1062	55	\N	2	2016-09-17 18:59:14.72779
1067	78	\N	2	2016-09-17 18:59:14.72779
1068	12	\N	2	2016-09-17 18:59:14.72779
1164	70	\N	2	2016-09-17 18:59:14.72779
1165	39	\N	2	2016-09-17 18:59:14.72779
2654	65	f	2	2016-09-17 18:59:14.72779
2655	65	f	2	2016-09-17 18:59:14.72779
1168	41	\N	2	2016-09-17 18:59:14.72779
1169	70	\N	2	2016-09-17 18:59:14.72779
1185	39	\N	2	2016-09-17 18:59:14.72779
1195	87	\N	2	2016-09-17 18:59:14.72779
1198	12	\N	2	2016-09-17 18:59:14.72779
1261	89	f	2	2016-09-17 18:59:14.72779
1598	103	f	2	2016-09-17 18:59:14.72779
1807	90	f	2	2016-09-17 18:59:14.72779
1833	118	f	2	2016-09-17 18:59:14.72779
1839	103	f	2	2016-09-17 18:59:14.72779
1435	12	f	2	2016-09-17 18:59:14.72779
1436	65	f	2	2016-09-17 18:59:14.72779
1438	107	f	2	2016-09-17 18:59:14.72779
1439	107	f	2	2016-09-17 18:59:14.72779
1511	101	f	2	2016-09-17 18:59:14.72779
1512	101	f	2	2016-09-17 18:59:14.72779
1513	101	f	2	2016-09-17 18:59:14.72779
1521	12	f	2	2016-09-17 18:59:14.72779
1535	110	f	2	2016-09-17 18:59:14.72779
1536	110	f	2	2016-09-17 18:59:14.72779
1537	110	f	2	2016-09-17 18:59:14.72779
1538	110	f	2	2016-09-17 18:59:14.72779
1539	110	f	2	2016-09-17 18:59:14.72779
1540	110	f	2	2016-09-17 18:59:14.72779
1541	110	f	2	2016-09-17 18:59:14.72779
1542	67	f	2	2016-09-17 18:59:14.72779
2417	105	f	2	2016-09-17 18:59:14.72779
1543	87	f	2	2016-09-17 18:59:14.72779
1544	87	f	2	2016-09-17 18:59:14.72779
1545	87	f	2	2016-09-17 18:59:14.72779
2659	87	f	2	2016-09-17 18:59:14.72779
2661	145	f	2	2016-09-17 18:59:14.72779
2662	130	f	2	2016-09-17 18:59:14.72779
2663	118	f	2	2016-09-17 18:59:14.72779
2418	105	f	2	2016-09-17 18:59:14.72779
2419	105	f	2	2016-09-17 18:59:14.72779
2420	105	f	2	2016-09-17 18:59:14.72779
2421	105	f	2	2016-09-17 18:59:14.72779
2422	105	f	2	2016-09-17 18:59:14.72779
2423	105	f	2	2016-09-17 18:59:14.72779
2698	110	f	2	2016-09-17 18:59:14.72779
2699	86	f	2	2016-09-17 18:59:14.72779
2700	119	f	2	2016-09-17 18:59:14.72779
2701	119	f	2	2016-09-17 18:59:14.72779
3572	145	f	2	2016-09-17 18:59:14.72779
3624	93	f	\N	2016-09-17 18:59:14.72779
3642	110	f	2	2016-09-17 18:59:14.72779
2668	145	f	2	2016-09-17 18:59:14.72779
3646	86	f	2	2016-09-17 18:59:14.72779
3664	135	f	2	2016-09-17 18:59:14.72779
3665	137	f	2	2016-09-17 18:59:14.72779
3701	149	f	2	2016-09-17 18:59:14.72779
3702	149	f	2	2016-09-17 18:59:14.72779
3708	135	f	2	2016-09-17 18:59:14.72779
3709	143	f	2	2016-09-17 18:59:14.72779
3732	166	f	2	2016-09-17 18:59:14.72779
3733	166	f	2	2016-09-17 18:59:14.72779
893	47	\N	2	2016-09-17 18:59:14.72779
894	2	\N	2	2016-09-17 18:59:14.72779
896	39	\N	2	2016-09-17 18:59:14.72779
1011	12	\N	2	2016-09-17 18:59:14.72779
1040	47	\N	2	2016-09-17 18:59:14.72779
1277	55	f	2	2016-09-17 18:59:14.72779
3751	166	f	2	2016-09-17 18:59:14.72779
2669	130	f	2	2016-09-17 18:59:14.72779
2672	123	f	2	2016-09-17 18:59:14.72779
2673	39	f	2	2016-09-17 18:59:14.72779
2839	119	f	2	2016-09-17 18:59:14.72779
2840	119	f	2	2016-09-17 18:59:14.72779
1278	39	f	2	2016-09-17 18:59:14.72779
2866	117	f	2	2016-09-18 21:03:59.420289
1284	69	f	2	2016-09-17 18:59:14.72779
1285	87	f	2	2016-09-17 18:59:14.72779
1286	89	f	2	2016-09-17 18:59:14.72779
1287	84	f	2	2016-09-17 18:59:14.72779
1288	90	f	2	2016-09-17 18:59:14.72779
1289	84	f	2	2016-09-17 18:59:14.72779
1290	39	f	2	2016-09-17 18:59:14.72779
1291	84	f	2	2016-09-17 18:59:14.72779
1292	83	f	2	2016-09-17 18:59:14.72779
1293	69	f	2	2016-09-17 18:59:14.72779
1294	69	f	2	2016-09-17 18:59:14.72779
1304	87	f	2	2016-09-17 18:59:14.72779
1306	90	f	2	2016-09-17 18:59:14.72779
1840	103	f	2	2016-09-17 18:59:14.72779
1849	12	f	2	2016-09-17 18:59:14.72779
1440	103	f	2	2016-09-17 18:59:14.72779
1442	103	f	2	2016-09-17 18:59:14.72779
1447	106	f	2	2016-09-17 18:59:14.72779
1448	106	f	2	2016-09-17 18:59:14.72779
1450	12	f	2	2016-09-17 18:59:14.72779
1452	12	f	2	2016-09-17 18:59:14.72779
1464	87	f	2	2016-09-17 18:59:14.72779
1465	69	f	2	2016-09-17 18:59:14.72779
1467	89	f	2	2016-09-17 18:59:14.72779
1472	69	f	2	2016-09-17 18:59:14.72779
1473	69	f	2	2016-09-17 18:59:14.72779
1485	106	f	2	2016-09-17 18:59:14.72779
1487	103	f	2	2016-09-17 18:59:14.72779
1500	106	f	2	2016-09-17 18:59:14.72779
1502	103	f	2	2016-09-17 18:59:14.72779
1503	103	f	2	2016-09-17 18:59:14.72779
1504	104	f	2	2016-09-17 18:59:14.72779
1505	104	f	2	2016-09-17 18:59:14.72779
1506	104	f	2	2016-09-17 18:59:14.72779
1507	107	f	2	2016-09-17 18:59:14.72779
1509	106	f	2	2016-09-17 18:59:14.72779
1514	101	f	2	2016-09-17 18:59:14.72779
1515	101	f	2	2016-09-17 18:59:14.72779
1516	87	f	2	2016-09-17 18:59:14.72779
1517	87	f	2	2016-09-17 18:59:14.72779
1518	87	f	2	2016-09-17 18:59:14.72779
1519	87	f	2	2016-09-17 18:59:14.72779
1553	79	f	2	2016-09-17 18:59:14.72779
2585	87	f	2	2016-09-17 18:59:14.72779
2586	87	f	2	2016-09-17 18:59:14.72779
2587	87	f	2	2016-09-17 18:59:14.72779
2588	89	f	2	2016-09-17 18:59:14.72779
2633	65	f	2	2016-09-17 18:59:14.72779
2634	65	f	2	2016-09-17 18:59:14.72779
2635	65	f	2	2016-09-17 18:59:14.72779
2174	135	f	2	2016-09-17 18:59:14.72779
2175	137	f	2	2016-09-17 18:59:14.72779
2176	135	f	2	2016-09-17 18:59:14.72779
2177	137	f	2	2016-09-17 18:59:14.72779
2178	135	f	2	2016-09-17 18:59:14.72779
2179	137	f	2	2016-09-17 18:59:14.72779
2180	135	f	2	2016-09-17 18:59:14.72779
2181	137	f	2	2016-09-17 18:59:14.72779
2182	135	f	2	2016-09-17 18:59:14.72779
2505	110	f	2	2016-09-17 18:59:14.72779
2506	86	f	2	2016-09-17 18:59:14.72779
2507	110	f	2	2016-09-17 18:59:14.72779
2508	110	f	2	2016-09-17 18:59:14.72779
2737	106	f	2	2016-09-17 18:59:14.72779
2738	117	f	2	2016-09-17 18:59:14.72779
2739	69	f	2	2016-09-17 18:59:14.72779
2740	12	f	2	2016-09-17 18:59:14.72779
2832	119	f	2	2016-09-17 18:59:14.72779
2863	111	f	2	2016-09-17 18:59:14.72779
2864	140	f	2	2016-09-17 18:59:14.72779
2930	145	f	2	2016-09-17 18:59:14.72779
2933	145	f	2	2016-09-17 18:59:14.72779
2935	130	f	2	2016-09-17 18:59:14.72779
2939	130	f	2	2016-09-17 18:59:14.72779
2940	145	f	2	2016-09-17 18:59:14.72779
2945	130	f	2	2016-09-17 18:59:14.72779
2978	145	f	2	2016-09-17 18:59:14.72779
2979	145	f	2	2016-09-17 18:59:14.72779
2980	145	f	2	2016-09-17 18:59:14.72779
3573	145	f	2	2016-09-17 18:59:14.72779
3574	145	f	2	2016-09-17 18:59:14.72779
3575	145	f	2	2016-09-17 18:59:14.72779
2274	143	f	2	2016-09-17 18:59:14.72779
1962	93	f	\N	2016-09-17 18:59:14.72779
3643	110	f	2	2016-09-17 18:59:14.72779
2276	12	f	2	2016-09-17 18:59:14.72779
2277	105	f	2	2016-09-17 18:59:14.72779
2278	135	f	2	2016-09-17 18:59:14.72779
2279	144	f	2	2016-09-17 18:59:14.72779
3668	110	f	2	2016-09-17 18:59:14.72779
2281	104	f	2	2016-09-17 18:59:14.72779
3669	110	f	2	2016-09-17 18:59:14.72779
3671	110	f	2	2016-09-17 18:59:14.72779
3672	86	f	2	2016-09-17 18:59:14.72779
3673	104	f	2	2016-09-17 18:59:14.72779
3674	104	f	2	2016-09-17 18:59:14.72779
3675	87	f	2	2016-09-17 18:59:14.72779
3677	145	f	2	2016-09-17 18:59:14.72779
3703	149	f	2	2016-09-17 18:59:14.72779
2282	135	f	2	2016-09-17 18:59:14.72779
1963	123	f	2	2016-09-17 18:59:14.72779
1964	93	f	2	2016-09-17 18:59:14.72779
1965	123	f	2	2016-09-17 18:59:14.72779
1966	12	f	2	2016-09-17 18:59:14.72779
2098	118	f	2	2016-09-17 18:59:14.72779
2099	12	f	2	2016-09-17 18:59:14.72779
2100	12	f	2	2016-09-17 18:59:14.72779
1978	2	f	2	2016-09-17 18:59:14.72779
2101	65	f	2	2016-09-17 18:59:14.72779
1979	118	f	2	2016-09-17 18:59:14.72779
1985	93	f	2	2016-09-17 18:59:14.72779
1986	123	f	2	2016-09-17 18:59:14.72779
1987	103	f	2	2016-09-17 18:59:14.72779
1988	119	f	2	2016-09-17 18:59:14.72779
1989	12	f	2	2016-09-17 18:59:14.72779
2602	65	f	2	2016-09-17 18:59:14.72779
2603	65	f	2	2016-09-17 18:59:14.72779
2604	65	f	2	2016-09-17 18:59:14.72779
2605	65	f	2	2016-09-17 18:59:14.72779
2608	65	f	2	2016-09-17 18:59:14.72779
2612	65	f	2	2016-09-17 18:59:14.72779
2613	65	f	2	2016-09-17 18:59:14.72779
2617	65	f	2	2016-09-17 18:59:14.72779
2039	119	f	2	2016-09-17 18:59:14.72779
2044	119	f	2	2016-09-17 18:59:14.72779
2156	135	f	2	2016-09-17 18:59:14.72779
2157	137	f	2	2016-09-17 18:59:14.72779
2158	135	f	2	2016-09-17 18:59:14.72779
2159	137	f	2	2016-09-17 18:59:14.72779
2160	135	f	2	2016-09-17 18:59:14.72779
2161	137	f	2	2016-09-17 18:59:14.72779
2162	135	f	2	2016-09-17 18:59:14.72779
2163	137	f	2	2016-09-17 18:59:14.72779
2164	135	f	2	2016-09-17 18:59:14.72779
2165	137	f	2	2016-09-17 18:59:14.72779
2167	135	f	2	2016-09-17 18:59:14.72779
2045	119	f	2	2016-09-17 18:59:14.72779
2399	105	f	2	2016-09-17 18:59:14.72779
2400	105	f	2	2016-09-17 18:59:14.72779
2401	105	f	2	2016-09-17 18:59:14.72779
2402	105	f	2	2016-09-17 18:59:14.72779
2403	105	f	2	2016-09-17 18:59:14.72779
2704	119	f	2	2016-09-17 18:59:14.72779
2705	119	f	2	2016-09-17 18:59:14.72779
3770	123	f	2	2016-09-17 18:59:14.72779
2706	119	f	2	2016-09-17 18:59:14.72779
2707	119	f	2	2016-09-17 18:59:14.72779
2708	119	f	2	2016-09-17 18:59:14.72779
3784	123	f	2	2016-09-17 18:59:14.72779
3786	123	f	2	2016-09-17 18:59:14.72779
2709	119	f	2	2016-09-17 18:59:14.72779
2275	134	f	2	2016-09-18 20:50:10.774587
2434	130	f	2	2016-09-17 18:59:14.72779
2931	145	f	2	2016-09-17 18:59:14.72779
1468	84	f	2	2016-09-17 18:59:14.72779
1469	90	f	2	2016-09-17 18:59:14.72779
1470	83	f	2	2016-09-17 18:59:14.72779
2932	145	f	2	2016-09-17 18:59:14.72779
2942	145	f	2	2016-09-17 18:59:14.72779
2943	145	f	2	2016-09-17 18:59:14.72779
2944	145	f	2	2016-09-17 18:59:14.72779
2981	145	f	2	2016-09-17 18:59:14.72779
3576	145	f	2	2016-09-17 18:59:14.72779
3577	145	f	2	2016-09-17 18:59:14.72779
3578	145	f	2	2016-09-17 18:59:14.72779
1471	69	f	2	2016-09-17 18:59:14.72779
1913	117	f	2	2016-09-17 18:59:14.72779
1510	101	f	2	2016-09-17 18:59:14.72779
1968	12	f	2	2016-09-17 18:59:14.72779
1970	126	f	2	2016-09-17 18:59:14.72779
3645	110	f	2	2016-09-17 18:59:14.72779
1971	93	f	2	2016-09-17 18:59:14.72779
1972	123	f	2	2016-09-17 18:59:14.72779
1973	123	f	2	2016-09-17 18:59:14.72779
1975	65	f	2	2016-09-17 18:59:14.72779
3647	110	f	2	2016-09-17 18:59:14.72779
1977	12	f	2	2016-09-17 18:59:14.72779
1554	101	f	2	2016-09-17 18:59:14.72779
1556	101	f	2	2016-09-17 18:59:14.72779
1559	87	f	2	2016-09-17 18:59:14.72779
1560	79	f	2	2016-09-17 18:59:14.72779
2137	139	f	2	2016-09-17 18:59:14.72779
2138	139	f	2	2016-09-17 18:59:14.72779
2139	139	f	2	2016-09-17 18:59:14.72779
2144	135	f	2	2016-09-17 18:59:14.72779
2145	137	f	2	2016-09-17 18:59:14.72779
2146	135	f	2	2016-09-17 18:59:14.72779
2147	137	f	2	2016-09-17 18:59:14.72779
3648	110	f	2	2016-09-17 18:59:14.72779
3670	110	f	2	2016-09-17 18:59:14.72779
3682	83	f	2	2016-09-17 18:59:14.72779
3687	119	f	2	2016-09-17 18:59:14.72779
3688	103	f	2	2016-09-17 18:59:14.72779
3690	117	f	2	2016-09-17 18:59:14.72779
3694	111	f	2	2016-09-17 18:59:14.72779
3704	149	f	2	2016-09-17 18:59:14.72779
3711	12	f	2	2016-09-17 18:59:14.72779
838	65	\N	2	2016-09-17 18:59:14.72779
849	41	\N	2	2016-09-17 18:59:14.72779
851	41	\N	2	2016-09-17 18:59:14.72779
852	41	\N	2	2016-09-17 18:59:14.72779
853	41	\N	2	2016-09-17 18:59:14.72779
854	2	\N	2	2016-09-17 18:59:14.72779
855	2	\N	2	2016-09-17 18:59:14.72779
856	2	\N	2	2016-09-17 18:59:14.72779
857	55	\N	2	2016-09-17 18:59:14.72779
858	55	\N	2	2016-09-17 18:59:14.72779
859	55	\N	2	2016-09-17 18:59:14.72779
860	55	\N	2	2016-09-17 18:59:14.72779
861	55	\N	2	2016-09-17 18:59:14.72779
864	65	\N	2	2016-09-17 18:59:14.72779
865	12	\N	2	2016-09-17 18:59:14.72779
866	65	\N	2	2016-09-17 18:59:14.72779
1307	90	f	2	2016-09-17 18:59:14.72779
1308	90	f	2	2016-09-17 18:59:14.72779
1337	84	f	2	2016-09-17 18:59:14.72779
1338	83	f	2	2016-09-17 18:59:14.72779
1347	39	f	2	2016-09-17 18:59:14.72779
1348	84	f	2	2016-09-17 18:59:14.72779
1349	83	f	2	2016-09-17 18:59:14.72779
1393	12	f	2	2016-09-17 18:59:14.72779
1394	65	f	2	2016-09-17 18:59:14.72779
1395	65	f	2	2016-09-17 18:59:14.72779
1396	104	f	2	2016-09-17 18:59:14.72779
1398	104	f	2	2016-09-17 18:59:14.72779
1400	104	f	2	2016-09-17 18:59:14.72779
1401	104	f	2	2016-09-17 18:59:14.72779
1402	104	f	2	2016-09-17 18:59:14.72779
1403	104	f	2	2016-09-17 18:59:14.72779
1404	87	f	2	2016-09-17 18:59:14.72779
1406	89	f	2	2016-09-17 18:59:14.72779
1407	90	f	2	2016-09-17 18:59:14.72779
1408	69	f	2	2016-09-17 18:59:14.72779
1409	69	f	2	2016-09-17 18:59:14.72779
1410	69	f	2	2016-09-17 18:59:14.72779
1411	69	f	2	2016-09-17 18:59:14.72779
2148	135	f	2	2016-09-17 18:59:14.72779
2149	137	f	2	2016-09-17 18:59:14.72779
2150	135	f	2	2016-09-17 18:59:14.72779
2187	135	f	2	2016-09-17 18:59:14.72779
2188	137	f	2	2016-09-17 18:59:14.72779
2189	135	f	2	2016-09-17 18:59:14.72779
2190	137	f	2	2016-09-17 18:59:14.72779
2674	84	f	2	2016-09-17 18:59:14.72779
2675	83	f	2	2016-09-17 18:59:14.72779
2676	87	f	2	2016-09-17 18:59:14.72779
1413	102	f	2	2016-09-17 18:59:14.72779
1414	90	f	2	2016-09-17 18:59:14.72779
1415	91	f	2	2016-09-17 18:59:14.72779
1417	84	f	2	2016-09-17 18:59:14.72779
1418	90	f	2	2016-09-17 18:59:14.72779
1419	91	f	2	2016-09-17 18:59:14.72779
1420	101	f	2	2016-09-17 18:59:14.72779
1341	84	f	2	2016-09-17 18:59:14.72779
1609	105	f	2	2016-09-17 18:59:14.72779
2982	145	f	2	2016-09-17 18:59:14.72779
2983	145	f	2	2016-09-17 18:59:14.72779
2984	145	f	2	2016-09-17 18:59:14.72779
2433	145	f	2	2016-09-17 18:59:14.72779
2689	143	f	2	2016-09-17 18:59:14.72779
2558	12	f	2	2016-09-17 18:59:14.72779
2559	151	f	2	2016-09-17 18:59:14.72779
3605	145	f	2	2016-09-17 18:59:14.72779
3627	93	f	\N	2016-09-17 18:59:14.72779
1342	83	f	2	2016-09-17 18:59:14.72779
1343	70	f	2	2016-09-17 18:59:14.72779
1610	87	f	2	2016-09-17 18:59:14.72779
1611	87	f	2	2016-09-17 18:59:14.72779
1612	89	f	2	2016-09-17 18:59:14.72779
1613	89	f	2	2016-09-17 18:59:14.72779
1614	90	f	2	2016-09-17 18:59:14.72779
2560	69	f	2	2016-09-17 18:59:14.72779
2561	145	f	2	2016-09-17 18:59:14.72779
2562	130	f	2	2016-09-17 18:59:14.72779
2733	148	f	2	2016-09-17 18:59:14.72779
3680	146	f	2	2016-09-17 18:59:14.72779
3693	111	f	2	2016-09-17 18:59:14.72779
3712	135	f	2	2016-09-17 18:59:14.72779
3713	137	f	2	2016-09-17 18:59:14.72779
1615	69	f	2	2016-09-17 18:59:14.72779
2208	110	f	2	2016-09-17 18:59:14.72779
2209	110	f	2	2016-09-17 18:59:14.72779
2210	86	f	2	2016-09-17 18:59:14.72779
2211	110	f	2	2016-09-17 18:59:14.72779
2212	110	f	2	2016-09-17 18:59:14.72779
2213	86	f	2	2016-09-17 18:59:14.72779
3788	123	f	2	2016-09-17 18:59:14.72779
2734	119	f	2	2016-09-17 18:59:14.72779
2735	119	f	2	2016-09-17 18:59:14.72779
2843	119	f	2	2016-09-17 18:59:14.72779
3790	123	f	2	2016-09-17 18:59:14.72779
1370	90	f	2	2016-09-17 18:59:14.72779
1384	39	f	2	2016-09-17 18:59:14.72779
2283	137	f	2	2016-09-17 18:59:14.72779
1803	118	f	2	2016-09-17 18:59:14.72779
2301	146	f	2	2016-09-17 18:59:14.72779
2302	118	f	2	2016-09-17 18:59:14.72779
1852	119	f	2	2016-09-17 18:59:14.72779
1898	105	f	2	2016-09-17 18:59:14.72779
1900	120	f	2	2016-09-17 18:59:14.72779
1901	120	f	2	2016-09-17 18:59:14.72779
1902	117	f	2	2016-09-17 18:59:14.72779
1903	111	f	2	2016-09-17 18:59:14.72779
3686	134	f	2	2016-09-18 20:50:37.105155
1976	55	f	2	2016-09-18 20:58:32.828228
3689	106	f	2	2016-09-18 21:04:36.853769
3679	93	f	2	2016-10-02 17:48:25.829152
1904	65	f	2	2016-09-17 18:59:14.72779
1905	65	f	2	2016-09-17 18:59:14.72779
1561	87	f	2	2016-09-17 18:59:14.72779
1562	87	f	2	2016-09-17 18:59:14.72779
1563	79	f	2	2016-09-17 18:59:14.72779
1564	101	f	2	2016-09-17 18:59:14.72779
2844	119	f	2	2016-09-17 18:59:14.72779
1569	101	f	2	2016-09-17 18:59:14.72779
1570	101	f	2	2016-09-17 18:59:14.72779
1571	65	f	2	2016-09-17 18:59:14.72779
1575	65	f	2	2016-09-17 18:59:14.72779
1576	86	f	2	2016-09-17 18:59:14.72779
2845	119	f	2	2016-09-17 18:59:14.72779
2846	119	f	2	2016-09-17 18:59:14.72779
2847	119	f	2	2016-09-17 18:59:14.72779
2848	119	f	2	2016-09-17 18:59:14.72779
2849	119	f	2	2016-09-17 18:59:14.72779
2850	119	f	2	2016-09-17 18:59:14.72779
2851	119	f	2	2016-09-17 18:59:14.72779
2852	110	f	2	2016-09-17 18:59:14.72779
2853	86	f	2	2016-09-17 18:59:14.72779
2854	119	f	2	2016-09-17 18:59:14.72779
1577	87	f	2	2016-09-17 18:59:14.72779
1578	79	f	2	2016-09-17 18:59:14.72779
1579	110	f	2	2016-09-17 18:59:14.72779
1580	78	f	2	2016-09-17 18:59:14.72779
1581	87	f	2	2016-09-17 18:59:14.72779
1582	89	f	2	2016-09-17 18:59:14.72779
2598	145	f	2	2016-09-17 18:59:14.72779
2599	130	f	2	2016-09-17 18:59:14.72779
2870	119	f	2	2016-09-17 18:59:14.72779
2151	137	f	2	2016-09-17 18:59:14.72779
1922	93	f	\N	2016-09-17 18:59:14.72779
1932	93	f	\N	2016-09-17 18:59:14.72779
1933	93	f	\N	2016-09-17 18:59:14.72779
1939	93	f	\N	2016-09-17 18:59:14.72779
1940	93	f	\N	2016-09-17 18:59:14.72779
3628	93	f	2	2016-09-17 18:59:14.72779
3630	118	f	2	2016-09-17 18:59:14.72779
3681	84	f	2	2016-09-17 18:59:14.72779
3684	135	f	2	2016-09-17 18:59:14.72779
3685	137	f	2	2016-09-17 18:59:14.72779
3706	123	f	7	2016-09-17 18:59:14.72779
1199	89	\N	2	2016-09-17 18:59:14.72779
1204	87	\N	2	2016-09-17 18:59:14.72779
1205	89	\N	2	2016-09-17 18:59:14.72779
1206	89	\N	2	2016-09-17 18:59:14.72779
1257	87	f	2	2016-09-17 18:59:14.72779
1258	87	f	2	2016-09-17 18:59:14.72779
1644	90	f	2	2016-09-17 18:59:14.72779
1645	69	f	2	2016-09-17 18:59:14.72779
1646	70	f	2	2016-09-17 18:59:14.72779
1918	119	f	2	2016-09-17 18:59:14.72779
1919	12	f	2	2016-09-17 18:59:14.72779
1924	118	f	2	2016-09-17 18:59:14.72779
1925	89	f	2	2016-09-17 18:59:14.72779
1926	90	f	2	2016-09-17 18:59:14.72779
1927	87	f	2	2016-09-17 18:59:14.72779
1931	118	f	2	2016-09-17 18:59:14.72779
1941	12	f	2	2016-09-17 18:59:14.72779
1945	123	f	2	2016-09-17 18:59:14.72779
1946	123	f	2	2016-09-17 18:59:14.72779
1947	123	f	2	2016-09-17 18:59:14.72779
1948	123	f	2	2016-09-17 18:59:14.72779
1954	12	f	2	2016-09-17 18:59:14.72779
1584	89	f	2	2016-09-17 18:59:14.72779
1585	90	f	2	2016-09-17 18:59:14.72779
1586	69	f	2	2016-09-17 18:59:14.72779
1587	39	f	2	2016-09-17 18:59:14.72779
1588	84	f	2	2016-09-17 18:59:14.72779
1589	84	f	2	2016-09-17 18:59:14.72779
1590	83	f	2	2016-09-17 18:59:14.72779
1591	87	f	2	2016-09-17 18:59:14.72779
1592	89	f	2	2016-09-17 18:59:14.72779
1593	69	f	2	2016-09-17 18:59:14.72779
1597	104	f	2	2016-09-17 18:59:14.72779
2631	65	f	2	2016-09-17 18:59:14.72779
2632	65	f	2	2016-09-17 18:59:14.72779
2702	119	f	2	2016-09-17 18:59:14.72779
2703	119	f	2	2016-09-17 18:59:14.72779
2830	69	f	2	2016-09-17 18:59:14.72779
2833	110	f	2	2016-09-17 18:59:14.72779
2834	86	f	2	2016-09-17 18:59:14.72779
2835	104	f	2	2016-09-17 18:59:14.72779
2859	148	f	2	2016-09-17 18:59:14.72779
2860	106	f	2	2016-09-17 18:59:14.72779
2221	140	f	2	2016-09-17 18:59:14.72779
2222	65	f	2	2016-09-17 18:59:14.72779
2223	78	f	2	2016-09-17 18:59:14.72779
2224	78	f	2	2016-09-17 18:59:14.72779
2225	78	f	2	2016-09-17 18:59:14.72779
2226	78	f	2	2016-09-17 18:59:14.72779
2227	78	f	2	2016-09-17 18:59:14.72779
2228	78	f	2	2016-09-17 18:59:14.72779
2229	78	f	2	2016-09-17 18:59:14.72779
2230	78	f	2	2016-09-17 18:59:14.72779
1908	65	f	2	2016-09-17 18:59:14.72779
2055	12	f	2	2016-09-17 18:59:14.72779
2064	123	f	2	2016-09-17 18:59:14.72779
2065	118	f	2	2016-09-17 18:59:14.72779
2067	123	f	2	2016-09-17 18:59:14.72779
2069	123	f	2	2016-09-17 18:59:14.72779
2070	12	f	2	2016-09-17 18:59:14.72779
2305	145	f	2	2016-09-17 18:59:14.72779
2306	146	f	2	2016-09-17 18:59:14.72779
1993	106	f	2	2016-09-17 18:59:14.72779
2310	145	f	2	2016-09-17 18:59:14.72779
1994	106	f	2	2016-09-17 18:59:14.72779
1995	106	f	2	2016-09-17 18:59:14.72779
1996	106	f	2	2016-09-17 18:59:14.72779
2312	130	f	2	2016-09-17 18:59:14.72779
1997	106	f	2	2016-09-17 18:59:14.72779
2313	145	f	2	2016-09-17 18:59:14.72779
2314	69	f	2	2016-09-17 18:59:14.72779
2000	103	f	2	2016-09-17 18:59:14.72779
2315	135	f	2	2016-09-17 18:59:14.72779
2001	106	f	2	2016-09-17 18:59:14.72779
2316	137	f	2	2016-09-17 18:59:14.72779
2002	106	f	2	2016-09-17 18:59:14.72779
2005	103	f	2	2016-09-17 18:59:14.72779
2319	104	f	2	2016-09-17 18:59:14.72779
2006	106	f	2	2016-09-17 18:59:14.72779
2007	106	f	2	2016-09-17 18:59:14.72779
2009	93	f	2	2016-09-17 18:59:14.72779
2010	123	f	2	2016-09-17 18:59:14.72779
2011	110	f	2	2016-09-17 18:59:14.72779
2012	118	f	2	2016-09-17 18:59:14.72779
2013	87	f	2	2016-09-17 18:59:14.72779
2014	89	f	2	2016-09-17 18:59:14.72779
2015	90	f	2	2016-09-17 18:59:14.72779
2016	93	f	2	2016-09-17 18:59:14.72779
2017	69	f	2	2016-09-17 18:59:14.72779
2018	87	f	2	2016-09-17 18:59:14.72779
2019	89	f	2	2016-09-17 18:59:14.72779
2947	145	f	2	2016-09-17 18:59:14.72779
2948	145	f	2	2016-09-17 18:59:14.72779
2949	130	f	2	2016-09-17 18:59:14.72779
2991	130	f	2	2016-09-17 18:59:14.72779
3588	145	f	2	2016-09-17 18:59:14.72779
3589	145	f	2	2016-09-17 18:59:14.72779
3590	145	f	2	2016-09-17 18:59:14.72779
3592	145	f	2	2016-09-17 18:59:14.72779
3607	145	f	2	2016-09-17 18:59:14.72779
3629	93	f	2	2016-09-17 18:59:14.72779
3695	93	f	2	2016-09-17 18:59:14.72779
3716	65	f	2	2016-09-17 18:59:14.72779
2020	69	f	2	2016-09-17 18:59:14.72779
2023	104	f	2	2016-09-17 18:59:14.72779
2024	104	f	2	2016-09-17 18:59:14.72779
3758	164	f	2	2016-10-02 18:52:45.07731
2317	134	f	2	2016-09-18 20:50:10.774587
1252	59	f	2	2016-09-18 21:03:00.257312
3715	12	f	2	2016-09-18 21:38:39.922035
2062	93	f	2	2016-09-18 22:22:07.376365
2026	103	f	2	2016-09-17 18:59:14.72779
2027	106	f	2	2016-09-17 18:59:14.72779
2028	106	f	2	2016-09-17 18:59:14.72779
2437	146	f	2	2016-09-17 18:59:14.72779
2438	117	f	2	2016-09-17 18:59:14.72779
876	41	\N	2	2016-09-17 18:59:14.72779
878	70	\N	2	2016-09-17 18:59:14.72779
2857	119	f	2	2016-09-17 18:59:14.72779
879	65	\N	2	2016-09-17 18:59:14.72779
880	70	\N	2	2016-09-17 18:59:14.72779
881	70	\N	2	2016-09-17 18:59:14.72779
882	70	\N	2	2016-09-17 18:59:14.72779
883	70	\N	2	2016-09-17 18:59:14.72779
1079	65	\N	2	2016-09-17 18:59:14.72779
2951	145	f	2	2016-09-17 18:59:14.72779
2952	145	f	2	2016-09-17 18:59:14.72779
2992	145	f	2	2016-09-17 18:59:14.72779
2993	145	f	2	2016-09-17 18:59:14.72779
2994	145	f	2	2016-09-17 18:59:14.72779
2995	145	f	2	2016-09-17 18:59:14.72779
2996	145	f	2	2016-09-17 18:59:14.72779
2997	145	f	2	2016-09-17 18:59:14.72779
2998	145	f	2	2016-09-17 18:59:14.72779
2999	145	f	2	2016-09-17 18:59:14.72779
3000	145	f	2	2016-09-17 18:59:14.72779
3013	145	f	2	2016-09-17 18:59:14.72779
3014	145	f	2	2016-09-17 18:59:14.72779
3015	145	f	2	2016-09-17 18:59:14.72779
3016	145	f	2	2016-09-17 18:59:14.72779
3017	145	f	2	2016-09-17 18:59:14.72779
3018	145	f	2	2016-09-17 18:59:14.72779
3019	145	f	2	2016-09-17 18:59:14.72779
3020	145	f	2	2016-09-17 18:59:14.72779
3021	145	f	2	2016-09-17 18:59:14.72779
3022	145	f	2	2016-09-17 18:59:14.72779
3023	145	f	2	2016-09-17 18:59:14.72779
3024	145	f	2	2016-09-17 18:59:14.72779
3025	145	f	2	2016-09-17 18:59:14.72779
3026	145	f	2	2016-09-17 18:59:14.72779
3027	145	f	2	2016-09-17 18:59:14.72779
3028	145	f	2	2016-09-17 18:59:14.72779
3029	145	f	2	2016-09-17 18:59:14.72779
3030	145	f	2	2016-09-17 18:59:14.72779
3031	145	f	2	2016-09-17 18:59:14.72779
3032	145	f	2	2016-09-17 18:59:14.72779
3033	145	f	2	2016-09-17 18:59:14.72779
3034	145	f	2	2016-09-17 18:59:14.72779
3035	145	f	2	2016-09-17 18:59:14.72779
3036	145	f	2	2016-09-17 18:59:14.72779
3593	145	f	2	2016-09-17 18:59:14.72779
3608	145	f	2	2016-09-17 18:59:14.72779
3609	145	f	2	2016-09-17 18:59:14.72779
3631	118	f	2	2016-09-17 18:59:14.72779
3632	93	f	2	2016-09-17 18:59:14.72779
3633	93	f	2	2016-09-17 18:59:14.72779
1097	84	\N	2	2016-09-17 18:59:14.72779
1101	39	\N	2	2016-09-17 18:59:14.72779
1102	84	\N	2	2016-09-17 18:59:14.72779
1159	78	\N	2	2016-09-17 18:59:14.72779
1170	39	\N	2	2016-09-17 18:59:14.72779
1178	70	\N	2	2016-09-17 18:59:14.72779
1179	39	\N	2	2016-09-17 18:59:14.72779
1189	12	\N	2	2016-09-17 18:59:14.72779
1190	12	\N	2	2016-09-17 18:59:14.72779
1191	86	\N	2	2016-09-17 18:59:14.72779
1192	86	\N	2	2016-09-17 18:59:14.72779
1193	87	\N	2	2016-09-17 18:59:14.72779
1194	87	\N	2	2016-09-17 18:59:14.72779
1200	89	\N	2	2016-09-17 18:59:14.72779
1201	87	\N	2	2016-09-17 18:59:14.72779
1210	90	\N	2	2016-09-17 18:59:14.72779
1211	12	\N	2	2016-09-17 18:59:14.72779
1212	65	\N	2	2016-09-17 18:59:14.72779
1213	90	\N	2	2016-09-17 18:59:14.72779
1214	91	\N	2	2016-09-17 18:59:14.72779
1225	12	\N	2	2016-09-17 18:59:14.72779
1230	93	\N	2	2016-09-17 18:59:14.72779
1243	87	f	2	2016-09-17 18:59:14.72779
1244	87	f	2	2016-09-17 18:59:14.72779
1253	65	f	2	2016-09-17 18:59:14.72779
1263	87	f	2	2016-09-17 18:59:14.72779
3696	145	f	2	2016-09-17 18:59:14.72779
1264	87	f	2	2016-09-17 18:59:14.72779
1265	89	f	2	2016-09-17 18:59:14.72779
1268	12	f	2	2016-09-17 18:59:14.72779
2198	123	f	2	2016-09-17 18:59:14.72779
2199	105	f	2	2016-09-17 18:59:14.72779
2240	78	f	2	2016-09-17 18:59:14.72779
2241	78	f	2	2016-09-17 18:59:14.72779
2242	78	f	2	2016-09-17 18:59:14.72779
2243	12	f	2	2016-09-17 18:59:14.72779
2244	12	f	2	2016-09-17 18:59:14.72779
2245	65	f	2	2016-09-17 18:59:14.72779
2246	105	f	2	2016-09-17 18:59:14.72779
2247	102	f	2	2016-09-17 18:59:14.72779
2248	141	f	2	2016-09-17 18:59:14.72779
2249	141	f	2	2016-09-17 18:59:14.72779
2254	135	f	2	2016-09-17 18:59:14.72779
2255	142	f	2	2016-09-17 18:59:14.72779
2256	135	f	2	2016-09-17 18:59:14.72779
2257	142	f	2	2016-09-17 18:59:14.72779
2258	135	f	2	2016-09-17 18:59:14.72779
2259	142	f	2	2016-09-17 18:59:14.72779
1853	119	f	2	2016-09-17 18:59:14.72779
1854	119	f	2	2016-09-17 18:59:14.72779
1855	119	f	2	2016-09-17 18:59:14.72779
1859	119	f	2	2016-09-17 18:59:14.72779
1860	119	f	2	2016-09-17 18:59:14.72779
1865	117	f	2	2016-09-17 18:59:14.72779
1866	117	f	2	2016-09-17 18:59:14.72779
1867	117	f	2	2016-09-17 18:59:14.72779
1868	117	f	2	2016-09-17 18:59:14.72779
1869	69	f	2	2016-09-17 18:59:14.72779
1870	78	f	2	2016-09-17 18:59:14.72779
1872	118	f	2	2016-09-17 18:59:14.72779
1873	105	f	2	2016-09-17 18:59:14.72779
1875	106	f	2	2016-09-17 18:59:14.72779
1876	106	f	2	2016-09-17 18:59:14.72779
1240	41	f	2	2016-09-17 18:59:14.72779
1241	39	f	2	2016-09-17 18:59:14.72779
1249	59	f	2	2016-09-17 18:59:14.72779
1282	87	f	2	2016-09-17 18:59:14.72779
1980	93	f	2	2016-09-17 18:59:14.72779
1981	118	f	2	2016-09-17 18:59:14.72779
1982	93	f	2	2016-09-17 18:59:14.72779
1984	123	f	2	2016-09-17 18:59:14.72779
2404	105	f	2	2016-09-17 18:59:14.72779
2405	105	f	2	2016-09-17 18:59:14.72779
2406	105	f	2	2016-09-17 18:59:14.72779
2407	105	f	2	2016-09-17 18:59:14.72779
2408	105	f	2	2016-09-17 18:59:14.72779
2409	105	f	2	2016-09-17 18:59:14.72779
2410	105	f	2	2016-09-17 18:59:14.72779
2411	105	f	2	2016-09-17 18:59:14.72779
2412	105	f	2	2016-09-17 18:59:14.72779
2414	105	f	2	2016-09-17 18:59:14.72779
2432	105	f	2	2016-09-17 18:59:14.72779
2719	119	f	2	2016-09-17 18:59:14.72779
2720	119	f	2	2016-09-17 18:59:14.72779
2721	119	f	2	2016-09-17 18:59:14.72779
2722	119	f	2	2016-09-17 18:59:14.72779
2723	104	f	2	2016-09-17 18:59:14.72779
2724	119	f	2	2016-09-17 18:59:14.72779
2736	119	f	2	2016-09-17 18:59:14.72779
2742	12	f	2	2016-09-17 18:59:14.72779
2779	123	f	2	2016-09-17 18:59:14.72779
2780	123	f	2	2016-09-17 18:59:14.72779
2781	123	f	2	2016-09-17 18:59:14.72779
2782	123	f	2	2016-09-17 18:59:14.72779
2783	123	f	2	2016-09-17 18:59:14.72779
2953	130	f	2	2016-09-17 18:59:14.72779
3001	145	f	2	2016-09-17 18:59:14.72779
3002	145	f	2	2016-09-17 18:59:14.72779
3003	145	f	2	2016-09-17 18:59:14.72779
3004	145	f	2	2016-09-17 18:59:14.72779
2741	65	f	2	2016-10-08 18:58:18.809214
3005	145	f	2	2016-09-17 18:59:14.72779
3006	145	f	2	2016-09-17 18:59:14.72779
3007	145	f	2	2016-09-17 18:59:14.72779
3008	145	f	2	2016-09-17 18:59:14.72779
3009	145	f	2	2016-09-17 18:59:14.72779
3010	145	f	2	2016-09-17 18:59:14.72779
3011	145	f	2	2016-09-17 18:59:14.72779
3012	145	f	2	2016-09-17 18:59:14.72779
3594	145	f	2	2016-09-17 18:59:14.72779
3610	145	f	2	2016-09-17 18:59:14.72779
1983	93	f	\N	2016-09-17 18:59:14.72779
3698	145	f	2	2016-09-17 18:59:14.72779
3718	164	f	2	2016-09-17 18:59:14.72779
2467	111	f	2	2016-09-17 18:59:14.72779
2468	119	f	2	2016-09-17 18:59:14.72779
2469	119	f	2	2016-09-17 18:59:14.72779
2470	119	f	2	2016-09-17 18:59:14.72779
2475	90	f	2	2016-09-17 18:59:14.72779
2477	47	f	2	2016-09-17 18:59:14.72779
2484	2	f	2	2016-09-17 18:59:14.72779
3044	145	f	2	2016-09-17 18:59:14.72779
3045	145	f	2	2016-09-17 18:59:14.72779
3046	145	f	2	2016-09-17 18:59:14.72779
3047	145	f	2	2016-09-17 18:59:14.72779
3048	145	f	2	2016-09-17 18:59:14.72779
3049	145	f	2	2016-09-17 18:59:14.72779
3050	145	f	2	2016-09-17 18:59:14.72779
3051	145	f	2	2016-09-17 18:59:14.72779
3052	145	f	2	2016-09-17 18:59:14.72779
3053	145	f	2	2016-09-17 18:59:14.72779
3054	145	f	2	2016-09-17 18:59:14.72779
3055	145	f	2	2016-09-17 18:59:14.72779
3056	145	f	2	2016-09-17 18:59:14.72779
3057	145	f	2	2016-09-17 18:59:14.72779
3058	145	f	2	2016-09-17 18:59:14.72779
3059	145	f	2	2016-09-17 18:59:14.72779
3060	145	f	2	2016-09-17 18:59:14.72779
3061	145	f	2	2016-09-17 18:59:14.72779
3062	145	f	2	2016-09-17 18:59:14.72779
3063	145	f	2	2016-09-17 18:59:14.72779
3064	145	f	2	2016-09-17 18:59:14.72779
3065	145	f	2	2016-09-17 18:59:14.72779
3066	145	f	2	2016-09-17 18:59:14.72779
3067	145	f	2	2016-09-17 18:59:14.72779
3068	145	f	2	2016-09-17 18:59:14.72779
3069	145	f	2	2016-09-17 18:59:14.72779
3070	145	f	2	2016-09-17 18:59:14.72779
3071	145	f	2	2016-09-17 18:59:14.72779
3072	145	f	2	2016-09-17 18:59:14.72779
3073	145	f	2	2016-09-17 18:59:14.72779
3074	145	f	2	2016-09-17 18:59:14.72779
3075	145	f	2	2016-09-17 18:59:14.72779
3076	145	f	2	2016-09-17 18:59:14.72779
3077	145	f	2	2016-09-17 18:59:14.72779
3078	145	f	2	2016-09-17 18:59:14.72779
3079	145	f	2	2016-09-17 18:59:14.72779
3080	145	f	2	2016-09-17 18:59:14.72779
3081	145	f	2	2016-09-17 18:59:14.72779
3082	145	f	2	2016-09-17 18:59:14.72779
3083	145	f	2	2016-09-17 18:59:14.72779
3084	145	f	2	2016-09-17 18:59:14.72779
3596	145	f	2	2016-09-17 18:59:14.72779
3719	118	f	2	2016-09-17 18:59:14.72779
3720	164	f	2	2016-09-17 18:59:14.72779
3811	123	f	2	2016-09-17 20:53:34.136044
3699	130	f	2	2016-09-18 20:33:03.364449
3863	123	f	2	2016-10-02 18:56:08.275114
3864	123	f	2	2016-10-02 18:59:24.879113
3865	123	f	2	2016-10-02 19:01:43.741615
3820	123	f	2	2016-09-17 21:12:15.212864
\.


--
-- Name: resource_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('resource_id_seq', 3878, true);


--
-- Data for Name: resource_type; Type: TABLE DATA; Schema: public; Owner: -
--

COPY resource_type (id, resource_id, name, humanize, resource_name, module, descr, settings, status) FROM stdin;
145	2292	leads_items	Leads Items	LeadsItemsResource	travelcrm.resources.leads_items	Leads Items	null	0
87	1190	contacts	Contacts	ContactsResource	travelcrm.resources.contacts	Contacts for persons, business persons etc.	\N	0
148	2513	vats	Vat	VatsResource	travelcrm.resources.vats	Vat for accounts and services	null	0
2	10	users	Users	UsersResource	travelcrm.resources.users	Users list	\N	0
149	2516	uploads	Uploads	UploadsResource	travelcrm.resources.uploads	Uploads for any type of resources	null	0
151	2551	persons_categories	Persons Categories	PersonsCategoriesResource	travelcrm.resources.persons_categories	Categorise your clients with categories of persons	null	0
1	773		Home	Root	travelcrm.resources	Home Page of Travelcrm	\N	0
12	16	resources_types	Resources Types	ResourcesTypesResource	travelcrm.resources.resources_types	Resources types list	\N	0
39	274	regions	Regions	RegionsResource	travelcrm.resources.regions		\N	0
41	283	currencies	Currencies	CurrenciesResource	travelcrm.resources.currencies		\N	0
47	706	employees	Employees	EmployeesResource	travelcrm.resources.employees	Employees Container Datagrid	\N	0
55	723	structures	Structures	StructuresResource	travelcrm.resources.structures	Companies structures is a tree of company structure. It's can be offices, filials, departments and so and so	\N	0
59	764	positions	Positions	PositionsResource	travelcrm.resources.positions	Companies positions is a point of company structure where emplyees can be appointed	\N	0
61	769	permisions	Permisions	PermisionsResource	travelcrm.resources.permisions	Permisions list of company structure position. It's list of resources and permisions	\N	0
65	775	navigations	Navigations	NavigationsResource	travelcrm.resources.navigations	Navigations list of company structure position.	\N	0
67	788	appointments	Appointments	AppointmentsResource	travelcrm.resources.appointments	Employees to positions of company appointments	\N	0
69	865	persons	Persons	PersonsResource	travelcrm.resources.persons	Persons directory. Person can be client or potential client	\N	0
70	872	countries	Countries	CountriesResource	travelcrm.resources.countries	Countries directory	\N	0
71	901	advsources	Advertises Sources	AdvsourcesResource	travelcrm.resources.advsources	Types of advertises	\N	0
72	908	hotelcats	Hotels Categories	HotelcatsResource	travelcrm.resources.hotelcats	Hotels categories	\N	0
73	909	roomcats	Rooms Categories	RoomcatsResource	travelcrm.resources.roomcats	Categories of the rooms	\N	0
75	954	foodcats	Foods Categories	FoodcatsResource	travelcrm.resources.foodcats	Food types in hotels	\N	0
78	1003	suppliers	Suppliers	SuppliersResource	travelcrm.resources.suppliers	Suppliers, such as touroperators, aircompanies, IATA etc.	\N	0
79	1007	bpersons	Business Persons	BPersonsResource	travelcrm.resources.bpersons	Business Persons is not clients it's simple business contacts that can be referenced objects that needs to have contacts	\N	0
83	1081	hotels	Hotels	HotelsResource	travelcrm.resources.hotels	Hotels directory	\N	0
84	1088	locations	Locations	LocationsResource	travelcrm.resources.locations	Locations list is list of cities, vilages etc. places to use to identify part of region	\N	0
86	1189	contracts	Contracts	ContractsResource	travelcrm.resources.contracts	Licences list for any type of resources as need	\N	0
89	1198	passports	Passports	PassportsResource	travelcrm.resources.passports	Clients persons passports lists	\N	0
90	1207	addresses	Addresses	AddressesResource	travelcrm.resources.addresses	Addresses of any type of resources, such as persons, bpersons, hotels etc.	\N	0
91	1211	banks	Banks	BanksResource	travelcrm.resources.banks	Banks list to create bank details and for other reasons	\N	0
93	1225	tasks	Tasks	TasksResource	travelcrm.resources.tasks	Task manager	\N	0
101	1268	banks_details	Banks Details	BanksDetailsResource	travelcrm.resources.banks_details	Banks Details that can be attached to any client or business partner to define account	\N	0
102	1313	services	Services	ServicesResource	travelcrm.resources.services	Additional Services that can be provide with tours sales or separate	\N	0
104	1393	currencies_rates	Currency Rates	CurrenciesRatesResource	travelcrm.resources.currencies_rates	Currencies Rates. Values from this dir used by billing to calc prices in base currency.	\N	0
105	1424	accounts_items	Accounts Items	AccountsItemsResource	travelcrm.resources.accounts_items	Finance accounts items	\N	0
106	1433	incomes	Incomes	IncomesResource	travelcrm.resources.incomes	Incomes Payments Document for invoices	{"account_item_id": 8}	0
107	1435	accounts	Accounts	AccountsResource	travelcrm.resources.accounts	Billing Accounts. It can be bank accouts, cash accounts etc. and has company wide visible	null	0
117	1797	subaccounts	Subaccounts	SubaccountsResource	travelcrm.resources.subaccounts	Subaccounts are accounts from other objects such as clients, touroperators and so on	null	0
118	1799	notes	Notes	NotesResource	travelcrm.resources.notes	Resources Notes	null	0
121	1894	turnovers	Turnovers	TurnoversResource	travelcrm.resources.turnovers	Turnovers on Accounts and Subaccounts	null	0
126	1968	companies	Companies	CompaniesResource	travelcrm.resources.companies	Multicompanies functionality	null	0
130	2049	leads	Leads	LeadsResource	travelcrm.resources.leads	Leads that can be converted into contacts	null	0
135	2100	orders_items	Orders Items	OrdersItemsResource	travelcrm.resources.orders_items	Orders Items	null	0
137	2108	tours	Tours	ToursResource	travelcrm.resources.tours	Tour Service	null	0
74	953	accomodations	Accomodations	AccomodationsResource	travelcrm.resources.accomodations	Accomodations Types list	\N	0
110	1521	commissions	Commissions	CommissionsResource	travelcrm.resources.commissions	Services sales commissions	null	0
111	1548	outgoings	Outgoings	OutgoingsResource	travelcrm.resources.outgoings	Outgoings payments for touroperators, suppliers, payback payments and so on	null	0
134	2099	orders	Orders	OrdersResource	travelcrm.resources.orders	Orders	{"html_template": "GNU GENERAL PUBLIC LICENSE\\r\\n\\r\\nVersion 3, 29 June 2007\\r\\n\\r\\nCopyright \\u00a9 2007 Free Software Foundation, Inc. <http://fsf.org/>\\r\\n\\r\\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\\r\\n\\r\\nPreamble\\r\\n\\r\\nThe GNU General Public License is a free, copyleft license for software and other kinds of works.\\r\\n\\r\\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.\\r\\n\\r\\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\\r\\n\\r\\nTo protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.\\r\\n\\r\\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\\r\\n\\r\\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.\\r\\n\\r\\nFor the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.\\r\\n\\r\\nSome devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.\\r\\n\\r\\nFinally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.\\r\\n\\r\\nThe precise terms and conditions for copying, distribution and modification follow.\\r\\n\\r\\nTERMS AND CONDITIONS\\r\\n\\r\\n0. Definitions.\\r\\n\\r\\n\\u201cThis License\\u201d refers to version 3 of the GNU General Public License.\\r\\n\\r\\n\\u201cCopyright\\u201d also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\\r\\n\\r\\n\\u201cThe Program\\u201d refers to any copyrightable work licensed under this License. Each licensee is addressed as \\u201cyou\\u201d. \\u201cLicensees\\u201d and \\u201crecipients\\u201d may be individuals or organizations.\\r\\n\\r\\nTo \\u201cmodify\\u201d a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \\u201cmodified version\\u201d of the earlier work or a work \\u201cbased on\\u201d the earlier work.\\r\\n\\r\\nA \\u201ccovered work\\u201d means either the unmodified Program or a work based on the Program.\\r\\n\\r\\nTo \\u201cpropagate\\u201d a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\\r\\n\\r\\nTo \\u201cconvey\\u201d a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\\r\\n\\r\\nAn interactive user interface displays \\u201cAppropriate Legal Notices\\u201d to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\\r\\n\\r\\n1. Source Code.\\r\\n\\r\\nThe \\u201csource code\\u201d for a work means the preferred form of the work for making modifications to it. \\u201cObject code\\u201d means any non-source form of a work.\\r\\n\\r\\nA \\u201cStandard Interface\\u201d means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\\r\\n\\r\\nThe \\u201cSystem Libraries\\u201d of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \\u201cMajor Component\\u201d, in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\\r\\n\\r\\nThe \\u201cCorresponding Source\\u201d for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.\\r\\n\\r\\nThe Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\\r\\n\\r\\nThe Corresponding Source for a work in source code form is that same work.\\r\\n\\r\\n2. Basic Permissions.\\r\\n\\r\\nAll rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\\r\\n\\r\\nYou may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\\r\\n\\r\\nConveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\\r\\n\\r\\n3. Protecting Users' Legal Rights From Anti-Circumvention Law.\\r\\n\\r\\nNo covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\\r\\n\\r\\nWhen you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\\r\\n\\r\\n4. Conveying Verbatim Copies.\\r\\n\\r\\nYou may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\\r\\n\\r\\nYou may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\\r\\n\\r\\n5. Conveying Modified Source Versions.\\r\\n\\r\\nYou may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\\r\\n\\r\\na) The work must carry prominent notices stating that you modified it, and giving a relevant date.\\r\\nb) The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \\u201ckeep intact all notices\\u201d.\\r\\nc) You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\\r\\nd) If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\\r\\nA compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \\u201caggregate\\u201d if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\\r\\n\\r\\n6. Conveying Non-Source Forms.\\r\\n\\r\\nYou may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\\r\\n\\r\\na) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\\r\\nb) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\\r\\nc) Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\\r\\nd) Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\\r\\ne) Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\\r\\nA separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\\r\\n\\r\\nA \\u201cUser Product\\u201d is either (1) a \\u201cconsumer product\\u201d, which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \\u201cnormally used\\u201d refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\\r\\n\\r\\n\\u201cInstallation Information\\u201d for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\\r\\n\\r\\nIf you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\\r\\n\\r\\nThe requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\\r\\n\\r\\nCorresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\\r\\n\\r\\n7. Additional Terms.\\r\\n\\r\\n\\u201cAdditional permissions\\u201d are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\\r\\n\\r\\nWhen you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\\r\\n\\r\\nNotwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\\r\\n\\r\\na) Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\\r\\nb) Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\\r\\nc) Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\\r\\nd) Limiting the use for publicity purposes of names of licensors or authors of the material; or\\r\\ne) Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\\r\\nf) Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\\r\\nAll other non-permissive additional terms are considered \\u201cfurther restrictions\\u201d within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\\r\\n\\r\\nIf you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\\r\\n\\r\\nAdditional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\\r\\n\\r\\n8. Termination.\\r\\n\\r\\nYou may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\\r\\n\\r\\nHowever, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\\r\\n\\r\\nMoreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\\r\\n\\r\\nTermination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\\r\\n\\r\\n9. Acceptance Not Required for Having Copies.\\r\\n\\r\\nYou are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\\r\\n\\r\\n10. Automatic Licensing of Downstream Recipients.\\r\\n\\r\\nEach time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\\r\\n\\r\\nAn \\u201centity transaction\\u201d is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\\r\\n\\r\\nYou may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\\r\\n\\r\\n11. Patents.\\r\\n\\r\\nA \\u201ccontributor\\u201d is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \\u201ccontributor version\\u201d.\\r\\n\\r\\nA contributor's \\u201cessential patent claims\\u201d are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \\u201ccontrol\\u201d includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\\r\\n\\r\\nEach contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\\r\\n\\r\\nIn the following three paragraphs, a \\u201cpatent license\\u201d is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \\u201cgrant\\u201d such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\\r\\n\\r\\nIf you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. \\u201cKnowingly relying\\u201d means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\\r\\n\\r\\nIf, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\\r\\n\\r\\nA patent license is \\u201cdiscriminatory\\u201d if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\\r\\n\\r\\nNothing in this License shall be construed as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\\r\\n\\r\\n12. No Surrender of Others' Freedom.\\r\\n\\r\\nIf conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\\r\\n\\r\\n13. Use with the GNU Affero General Public License.\\r\\n\\r\\nNotwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.\\r\\n\\r\\n14. Revised Versions of this License.\\r\\n\\r\\nThe Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\\r\\n\\r\\nEach version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License \\u201cor any later version\\u201d applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.\\r\\n\\r\\nIf the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\\r\\n\\r\\nLater license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\\r\\n\\r\\n15. Disclaimer of Warranty.\\r\\n\\r\\nTHERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \\u201cAS IS\\u201d WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\\r\\n\\r\\n16. Limitation of Liability.\\r\\n\\r\\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\\r\\n\\r\\n17. Interpretation of Sections 15 and 16.\\r\\n\\r\\nIf the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\\r\\n\\r\\nEND OF TERMS AND CONDITIONS\\r\\n\\r\\nHow to Apply These Terms to Your New Programs\\r\\n\\r\\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\\r\\n\\r\\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \\u201ccopyright\\u201d line and a pointer to where the full notice is found.\\r\\n\\r\\n    <one line to give the program's name and a brief idea of what it does.>\\r\\n    Copyright (C) <year>  <name of author>\\r\\n\\r\\n    This program is free software: you can redistribute it and/or modify\\r\\n    it under the terms of the GNU General Public License as published by\\r\\n    the Free Software Foundation, either version 3 of the License, or\\r\\n    (at your option) any later version.\\r\\n\\r\\n    This program is distributed in the hope that it will be useful,\\r\\n    but WITHOUT ANY WARRANTY; without even the implied warranty of\\r\\n    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\\r\\n    GNU General Public License for more details.\\r\\n\\r\\n    You should have received a copy of the GNU General Public License\\r\\n    along with this program.  If not, see <http://www.gnu.org/licenses/>.\\r\\nAlso add information on how to contact you by electronic and paper mail.\\r\\n\\r\\nIf the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:\\r\\n\\r\\n    <program>  Copyright (C) <year>  <name of author>\\r\\n    This program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.\\r\\n    This is free software, and you are welcome to redistribute it\\r\\n    under certain conditions; type `show c' for details.\\r\\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an \\u201cabout box\\u201d.\\r\\n\\r\\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \\u201ccopyright disclaimer\\u201d for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <http://www.gnu.org/licenses/>.\\r\\n\\r\\nThe GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <http://www.gnu.org/philosophy/why-not-lgpl.html>."}	0
146	2296	leads_offers	Leads Offers	LeadsOffersResource	travelcrm.resources.leads_offers	Leads Offers	null	0
152	2558	leads_stats	Leads Stats	LeadsStatsResource	travelcrm.resources.leads_stats	Portlet with leads statistics	{"column_index": 0}	0
120	1884	crosspayments	Cross Payments	CrosspaymentsResource	travelcrm.resources.crosspayments	Cross payments between accounts and subaccounts. This document is for balance corrections to.	null	0
123	1941	notifications	Notifications	NotificationsResource	travelcrm.resources.notifications	Employee Notifications	null	0
138	2127	transfers	Transfers	TransfersResource	travelcrm.resources.transfers	Transfers for tours	null	0
139	2135	transports	Transports	TransportsResource	travelcrm.resources.transports	Transports Types List	null	0
140	2217	suppliers_types	Suppliers Types	SuppliersTypesResource	travelcrm.resources.suppliers_types	Suppliers Types list	null	0
141	2243	tickets_classes	Tickets Classes	TicketsClassesResource	travelcrm.resources.tickets_classes	Tickets Classes list, such as first class, business class etc	null	0
142	2244	tickets	Tickets	TicketsResource	travelcrm.resources.tickets	Ticket is a service for sale tickets of any type	null	0
143	2268	visas	Visas	VisasResource	travelcrm.resources.visas	Visa is a service for sale visas	null	0
144	2276	spassports	Passports Services	SpassportsResource	travelcrm.resources.spassports	Service formulation of foreign passports	null	0
156	2788	campaigns	Campaigns	CampaignsResource	travelcrm.resources.campaigns	Marketings campaigns	{"host_smpp": "94.249.146.183", "system_type_smpp": "transceiver", "password_smpp": "korn17", "port_smtp": "2525", "username_smtp": "mazvv@mail.ru", "password_smtp": "GmA67mpqqYjKQ", "port_smpp": "29900", "username_smpp": "mazvv", "host_smtp": "smtp-pulse.com", "default_sender_smtp": "mazvv@mail.ru"}	0
160	2887	assigns	Assign resources	AssignsResource	travelcrm.resources.assigns	Assigns all resources between employees	null	0
159	2882	dismissals	Dismissals	DismissalsResource	travelcrm.resources.dismissals	Dismissal employees	null	0
119	1849	calculations	Calculations	CalculationsResource	travelcrm.resources.calculations	Calculations of Sale Documents	null	0
103	1317	invoices	Invoices	InvoicesResource	travelcrm.resources.invoices	Invoices list. Invoice can't be created manualy - only using source document such as Tours	{"active_days": 3, "html_template": "<!doctype html>\\r\\n<html>\\r\\n<head>\\r\\n    <meta charset=\\"utf-8\\">\\r\\n    <title>${_(u'Invoice')} - ${invoice.id}</title>\\r\\n    \\r\\n    <style>\\r\\n    .invoice-box{\\r\\n        max-width:800px;\\r\\n        margin:auto;\\r\\n        padding:30px;\\r\\n        border:1px solid #eee;\\r\\n        box-shadow:0 0 10px rgba(0, 0, 0, .15);\\r\\n        font-size:16px;\\r\\n        line-height:24px;\\r\\n        font-family:'Helvetica Neue', 'Helvetica', Helvetica, Arial, sans-serif;\\r\\n        color:#555;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table{\\r\\n        width:100%;\\r\\n        line-height:inherit;\\r\\n        text-align:left;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table td{\\r\\n        padding:5px;\\r\\n        vertical-align:top;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr td:nth-child(2){\\r\\n        text-align:right;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.top table td{\\r\\n        padding-bottom:20px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.top table td.title{\\r\\n        font-size:45px;\\r\\n        line-height:45px;\\r\\n        color:#333;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.information table td{\\r\\n        padding-bottom:40px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.heading td{\\r\\n        background:#eee;\\r\\n        border-bottom:1px solid #ddd;\\r\\n        font-weight:bold;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.details td{\\r\\n        padding-bottom:20px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.item td{\\r\\n        border-bottom:1px solid #eee;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.item.last td{\\r\\n        border-bottom:none;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.total td:nth-child(2){\\r\\n        border-top:2px solid #eee;\\r\\n        font-weight:bold;\\r\\n    }\\r\\n    \\r\\n    @media only screen and (max-width: 600px) {\\r\\n        .invoice-box table tr.top table td{\\r\\n            width:100%;\\r\\n            display:block;\\r\\n            text-align:center;\\r\\n        }\\r\\n        \\r\\n        .invoice-box table tr.information table td{\\r\\n            width:100%;\\r\\n            display:block;\\r\\n            text-align:center;\\r\\n        }\\r\\n    }\\r\\n    </style>\\r\\n</head>\\r\\n\\r\\n<body>\\r\\n    <div class=\\"invoice-box\\">\\r\\n        <table cellpadding=\\"0\\" cellspacing=\\"0\\">\\r\\n            <tr class=\\"top\\">\\r\\n                <td colspan=\\"6\\">\\r\\n                    <table>\\r\\n                        <tr>\\r\\n                            <td class=\\"title\\">\\r\\n                                <img src=\\"http://nextstepwebs.com/images/logo.png\\" style=\\"width:100%; max-width:300px;\\">\\r\\n                            </td>\\r\\n                            \\r\\n                            <td>\\r\\n                                ${_(u'Invoice')} #: ${invoice.id}<br>\\r\\n                                ${_(u'Created')}: ${h.common.format_date(invoice.date)}<br>\\r\\n                                ${_(u'Due')}: ${h.common.format_date(invoice.active_until)}\\r\\n                            </td>\\r\\n                        </tr>\\r\\n                    </table>\\r\\n                </td>\\r\\n            </tr>\\r\\n            \\r\\n            <tr class=\\"information\\">\\r\\n                <td colspan=\\"6\\">\\r\\n                    <table>\\r\\n                        <tr>\\r\\n                            <td>\\r\\n                                ${structure.company.name}<br>\\r\\n                                % if structure.addresses:\\r\\n                                <%\\r\\n                                    address = structure.addresses[0]\\r\\n                                %>\\r\\n                                ${address.zip_code}, ${address.location.region.country.name}\\r\\n                                ${address.location.region.name}, ${address.location.name}<br>\\r\\n                                ${address.address}<br>\\r\\n                                % endif\\r\\n                                % if structure.contacts:\\r\\n                                <%\\r\\n                                    contacts = [contact.contact for contact in structure.contacts if contact.is_status_active()]\\r\\n                                %>\\r\\n                                ${', '.join(contacts)}\\r\\n                                % endif\\r\\n                            </td>\\r\\n                            \\r\\n                            <td>\\r\\n                                ${invoice.order.customer.name}<br>\\r\\n                                % if invoice.order.customer.addresses:\\r\\n                                <%\\r\\n                                    address = invoice.order.customer.addresses[0]\\r\\n                                %>\\r\\n                                ${address.zip_code}, ${address.location.region.country.name}\\r\\n                                ${address.location.region.name}, ${address.location.name}<br>\\r\\n                                ${address.address}<br>\\r\\n                                % endif\\r\\n                                % if invoice.order.customer.contacts:\\r\\n                                <%\\r\\n                                    contacts = [contact.contact for contact in invoice.order.customer.contacts if contact.is_status_active()]\\r\\n                                %>\\r\\n                                ${', '.join(contacts)}\\r\\n                                % endif\\r\\n                            </td>\\r\\n                        </tr>\\r\\n                    </table>\\r\\n                </td>\\r\\n            </tr>\\r\\n            \\r\\n            <tr class=\\"heading\\">\\r\\n                <td class=\\"first\\">\\r\\n                    ${_(u'Service')}\\r\\n                </td>\\r\\n                <td></td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Price')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Discount')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Vat')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Final price')}\\r\\n                </td>\\r\\n            </tr>\\r\\n\\r\\n            % for invoice_item in invoice.invoices_items:\\r\\n            <tr class=\\"item\\">\\r\\n                <td class=\\"first\\">\\r\\n                    ${invoice_item.order_item.service.display_text}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice.account.currency.iso_code}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.price}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.discount}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.vat}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.final_price}\\r\\n                </td>\\r\\n            </tr>\\r\\n            % endfor\\r\\n\\r\\n            <tr class=\\"total\\">\\r\\n                <td colspan=\\"5\\"></td>\\r\\n                <td>\\r\\n                   ${_(u'Total')}: ${invoice.final_price}\\r\\n                </td>\\r\\n            </tr>\\r\\n        </table>\\r\\n    </div>\\r\\n</body>\\r\\n</html>"}	0
162	3707	orders_stats	Orders Stats	OrdersStatsResource	travelcrm.resources.orders_stats	Portlet with orders statistics	{"column_index": 0}	0
163	3711	countries_stats	Countries Stats	CountriesStatsResource	travelcrm.resources.countries_stats	Portlet with countries popularity statistics	{"column_index": 1}	0
164	3715	mails	Mails	MailsResource	travelcrm.resources.mails	Mails templates for marketing campaigns	\N	0
166	3731	tags	Tags	TagsResource	travelcrm.resources.tags	Tags for any resource type	\N	0
\.


--
-- Name: resource_type_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('resource_type_id_seq', 166, true);


--
-- Data for Name: roomcat; Type: TABLE DATA; Schema: public; Owner: -
--

COPY roomcat (id, resource_id, name) FROM stdin;
2	921	BDR
3	922	BDRM
4	923	Superior
5	924	Studio
6	925	Family Room
7	926	Family Studio
8	927	Extra Bed
9	928	Suite
10	929	Suite Mini
11	930	Junior Suite
12	931	De Luxe
13	932	Executive Suite
14	933	Suite Senior
16	935	Honeymoon Room
17	936	Connected Rooms
18	937	Duplex
19	938	Apartment
20	939	President
21	940	Balcony
22	941	City View
23	942	Beach View
24	943	Pool View
25	944	Garden View
26	945	Ocean View
27	946	Land View
28	947	Dune View
29	948	Mountain View
30	949	Park View
31	950	SV (Sea view)
33	952	Inside View
\.


--
-- Name: roomcat_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('roomcat_id_seq', 34, true);


--
-- Data for Name: service; Type: TABLE DATA; Schema: public; Owner: -
--

COPY service (id, resource_id, name, descr, display_text, resource_type_id) FROM stdin;
7	2247	Ticket	\N	Ticket booking service	142
5	1413	Tour	Use this service for tour sales	Tour booking service	137
4	1318	A visa	\N	The issues for visas	143
1	1314	Foreign Passport Service	\N	Formulation of foreign passport	144
\.


--
-- Name: service_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('service_id_seq', 7, true);


--
-- Data for Name: spassport; Type: TABLE DATA; Schema: public; Owner: -
--

COPY spassport (id, resource_id, photo_done, docs_receive_date, docs_transfer_date, passport_receive_date, descr) FROM stdin;
1	2279	t	2015-04-29	2015-04-30	2015-05-10	Must be done in 10 days after docs recieved
2	2838	f	\N	\N	\N	\N
\.


--
-- Name: spassport_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('spassport_id_seq', 2, true);


--
-- Data for Name: spassport_order_item; Type: TABLE DATA; Schema: public; Owner: -
--

COPY spassport_order_item (order_item_id, spassport_id) FROM stdin;
35	1
47	2
\.


--
-- Data for Name: structure; Type: TABLE DATA; Schema: public; Owner: -
--

COPY structure (id, resource_id, parent_id, name, company_id) FROM stdin;
2	858	\N	Kiev Office	1
3	859	2	Sales Department	1
4	860	32	Marketing Dep.	1
1	857	32	Software Dev. Dep.	1
5	861	32	CEO	1
7	1062	\N	Moscow Office	1
8	1250	\N	Odessa Office	1
9	1251	8	Sales Department	1
11	1277	\N	Lviv Office	1
32	725	\N	Head Office	1
13	1976	\N	Dnepropetrovsk Office	1
14	2872	1	Test	1
\.


--
-- Data for Name: structure_address; Type: TABLE DATA; Schema: public; Owner: -
--

COPY structure_address (structure_id, address_id) FROM stdin;
32	31
\.


--
-- Data for Name: structure_bank_detail; Type: TABLE DATA; Schema: public; Owner: -
--

COPY structure_bank_detail (structure_id, bank_detail_id) FROM stdin;
\.


--
-- Data for Name: structure_contact; Type: TABLE DATA; Schema: public; Owner: -
--

COPY structure_contact (structure_id, contact_id) FROM stdin;
\.


--
-- Name: structures_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('structures_id_seq', 14, true);


--
-- Data for Name: subaccount; Type: TABLE DATA; Schema: public; Owner: -
--

COPY subaccount (id, resource_id, account_id, name, descr, status) FROM stdin;
1	1865	4	Vitalii Mazur EUR | cash	\N	0
2	1866	2	News Travel | Bank	\N	0
3	1867	4	Alexander Karpenko | EUR	\N	0
4	1868	3	Garkaviy Andriy | UAH	\N	0
6	1875	3	Main Cash Account | rid: 1628	\N	0
8	1881	3	Main Cash Account | rid: 1372	\N	0
9	1888	2	Lun Real Estate | UAH	Month Rate	0
10	1902	3	Lun Real Estate | UAH | CASH	Lun on cash account	0
11	1911	4	Main Cash EUR Account | rid: 1465	\N	0
12	1913	2	Sun Marino Trvl | Cash UAH	Sun Marino Main Bank Subaccount	0
13	1991	3	Main Cash Account | rid: 1471	\N	0
14	1997	3	Main Cash Account | rid: 1645	\N	0
15	2002	3	Main Cash Account | rid: 1869	\N	0
16	2007	3	Main Cash Account | rid: 887	\N	0
17	2028	3	Main Cash Account | rid: 2017	\N	0
18	2438	4	COMPANY EUR CASH	Main company Eur cash subaccount	0
20	2440	2	COMPANY UAH BANK	Main Company Uah bank account subaccount	0
19	2439	3	COMPANY UAH CASH	Main company Uah cash subaccount	0
21	2442	3	Stepanchuk Sergey, UAH, cash	\N	0
22	2452	4	Oleg, EUR, cash	\N	0
23	2466	3	Tez Tour UAH, cash	Tez tour cash UAH subaccount	0
24	2738	2	Fedirko Anatoliy, UAH, bank	\N	0
25	2861	3	Romanuta Pavel, UAH, cash	\N	0
26	2862	4	TEZ Tour EUR	\N	0
27	2866	2	Information Technology Inc.	\N	0
28	3690	3	Musienko Artur, UAH, cash	\N	0
\.


--
-- Name: subaccount_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('subaccount_id_seq', 28, true);


--
-- Data for Name: supplier; Type: TABLE DATA; Schema: public; Owner: -
--

COPY supplier (id, resource_id, name, status, descr, supplier_type_id) FROM stdin;
65	2216	New Wind	0	First touroperator	1
66	2223	MAU	0	Internation Ukrainian Airlines	2
68	2225	Four Winds	0		1
69	2226	Akkord Tour	0		1
86	2227	Feerija	0		1
87	2228	TEZ Tour	0		1
88	2229	Gamalija	0		1
67	2224	News Travel	1	Cyprus touroperator only	1
89	2230	Voyage De Luxe	0		1
90	2231	IdrisKa tour	0		1
91	2232	Anex Tour	0		1
92	2233	TUI	0		1
93	2234	Turtess Travel	0		1
94	2235	Coral Travel	0		1
96	2237	Natali Turs	0		1
97	2238	Kiy Avia	0		2
98	2239	MIBS Travel	0		1
99	2240	SAM	0		1
100	2241	Pilot	0		1
101	2242	Orbita	0		1
95	2236	Pan Ukraine	1		1
102	2272	Ukrainian Visa Center	0	Quick Visas in EU and helps to get visas in any other countries	3
103	2865	Information Technology Inc.	0		4
\.


--
-- Data for Name: supplier_bank_detail; Type: TABLE DATA; Schema: public; Owner: -
--

COPY supplier_bank_detail (supplier_id, bank_detail_id) FROM stdin;
\.


--
-- Data for Name: supplier_bperson; Type: TABLE DATA; Schema: public; Owner: -
--

COPY supplier_bperson (supplier_id, bperson_id) FROM stdin;
65	7
\.


--
-- Data for Name: supplier_contract; Type: TABLE DATA; Schema: public; Owner: -
--

COPY supplier_contract (supplier_id, contract_id) FROM stdin;
65	50
65	49
97	51
96	52
93	53
100	54
102	55
87	56
92	57
101	58
101	59
87	60
87	61
87	64
87	65
\.


--
-- Data for Name: supplier_subaccount; Type: TABLE DATA; Schema: public; Owner: -
--

COPY supplier_subaccount (supplier_id, subaccount_id) FROM stdin;
87	23
87	26
103	27
\.


--
-- Data for Name: supplier_type; Type: TABLE DATA; Schema: public; Owner: -
--

COPY supplier_type (id, resource_id, name, descr) FROM stdin;
1	2218	Touroperator	
2	2221	Aircompany	
3	2271	Visa Center	
4	2864	Other suppliers	
\.


--
-- Name: supplier_type_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('supplier_type_id_seq', 5, true);


--
-- Data for Name: tag; Type: TABLE DATA; Schema: public; Owner: -
--

COPY tag (id, resource_id, name) FROM stdin;
10	3732	test
11	3733	bla
12	3747	test 2
13	3748	test 3
14	3749	test 4
15	3750	test 5
16	3751	ewrqwerqwer
17	3752	wtwertwertwert
18	3753	opipoiqwer 
19	3754	09887
\.


--
-- Name: tag_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('tag_id_seq', 19, true);


--
-- Data for Name: tag_resource; Type: TABLE DATA; Schema: public; Owner: -
--

COPY tag_resource (tag_id, resource_id) FROM stdin;
14	3683
18	3792
\.


--
-- Data for Name: task; Type: TABLE DATA; Schema: public; Owner: -
--

COPY task (id, resource_id, title, deadline, descr, status, reminder) FROM stdin;
48	1980	Check Reminder	2015-01-08 18:21:00+02	Description to task	3	\N
47	1971	Check Payments	2015-01-04 15:45:00+02	\N	1	\N
46	1964	For testing	2014-12-25 23:05:00+02	For testing purpose only	3	\N
52	2009	I decided to try to follow the postgres approach as directly as possible and came up with the following migration.	2015-01-21 22:44:00+02	\N	1	\N
54	2062	New JEasyui version migrate	2015-03-07 21:43:00+02	Migrate on new 0.4.2 jeasyui version, check all functionality.	2	\N
49	1982	The second task	2015-01-08 18:30:00+02	Second test task	1	\N
51	1985	Test 2	2015-01-14 17:02:00+02	\N	1	\N
53	2016	Notify his	2015-02-02 17:09:00+02	Notify about the documents	3	\N
58	2075	Call about discounts	2015-03-21 17:20:00+02	Calls and talk about tour discounts	3	10
36	1932	Call and remind about payments	2014-12-11 22:48:00+02	Bla-Bla	3	10
90	3622	Check Person Details	2014-11-12 21:43:00+02	We'll reuse the Amount type from last week. It's mostly the same, except we'll remove __clause_element__(), and additionally provide a classmethod version of the as_currency() method, which we'll use when dealing with SQL expressions.	2	10
91	3623	Check Person Details	2014-11-12 21:43:00+02	We'll reuse the Amount type from last week. It's mostly the same, except we'll remove __clause_element__(), and additionally provide a classmethod version of the as_currency() method, which we'll use when dealing with SQL expressions.	2	10
92	3624	Task For Lastovec	2015-04-23 15:32:00+03	Test description for task	0	10
33	1922	Test	2014-12-07 21:36:00+02	For testing purpose	1	10
50	1983	Test	2015-01-13 17:06:00+02	cvxcvbxcvb	1	10
45	1962	Test	2014-12-24 23:32:00+02	xcvbxcvbxcvxb	3	10
37	1933	Call and remind about payment	2014-12-14 22:46:00+02	zdgdf gsdffgsdfgsdg	3	10
41	1939	I have the following code	2014-12-13 23:36:00+02	sdfsd gsdfgsdfg	3	10
95	3627	dfasdfasdf	2016-07-21 13:00:00+03	asdf asdf asdfasdf	0	10
42	1940	Test notifications	2014-12-14 21:37:00+02	afsdf asdfasdf	2	10
96	3628	asdf asdfasdf	2016-07-19 13:08:00+03	sdfasdf	0	10
44	1958	Test new scheduler realization	2014-12-22 19:18:00+02	New scheduler realizations notifications test.	3	10
97	3629	Test new scheduler realization	2014-12-22 19:18:00+02	New scheduler realizations notifications test.	3	10
98	3632	zxcvzx cvzxcvzxcv	2016-07-27 13:22:00+03	xcv zxcvz xcvzxc vzxcv	0	10
99	3633	zxcvzx cvzxcvzxcv	2016-07-27 13:22:00+03	xcv zxcvz xcvzxc vzxcv	0	10
100	3679	Add offer	2016-07-18 21:20:00+03	Add tour offer	0	10
101	3695	Check	2016-07-18 22:20:00+03	check billing	0	10
106	3855	ghfghdg hdfghdfghdfgh	2016-10-26 15:25:00+03	dfghd fgdfghd fgh	0	10
\.


--
-- Name: task_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('task_id_seq', 106, true);


--
-- Data for Name: task_resource; Type: TABLE DATA; Schema: public; Owner: -
--

COPY task_resource (task_id, resource_id) FROM stdin;
47	1840
53	2017
58	2088
48	3
49	3
100	3678
101	3694
\.


--
-- Data for Name: task_upload; Type: TABLE DATA; Schema: public; Owner: -
--

COPY task_upload (task_id, upload_id) FROM stdin;
\.


--
-- Data for Name: ticket; Type: TABLE DATA; Schema: public; Owner: -
--

COPY ticket (id, resource_id, start_location_id, end_location_id, ticket_class_id, transport_id, start_dt, start_additional_info, end_dt, end_additional_info, adults, children, descr) FROM stdin;
2	2255	15	21	2	1	2015-05-10 14:11:00+03	\N	2015-05-10 15:26:00+03	\N	2	0	\N
3	2257	15	21	2	1	2015-05-16 14:38:00+03	\N	2015-05-16 15:39:00+03	\N	2	0	\N
4	2259	21	15	2	1	2015-05-22 17:38:00+03	\N	2015-05-22 18:39:00+03	\N	2	0	\N
5	2261	15	21	2	1	2015-05-15 17:52:00+03	\N	2015-05-15 18:52:00+03	\N	2	0	\N
6	2263	21	15	2	1	2015-05-22 17:52:00+03	\N	2015-05-22 18:52:00+03	\N	2	0	\N
7	2288	15	37	2	1	2015-05-29 15:46:00+03	TICKET INFO	2015-05-29 17:31:00+03	\N	2	0	\N
\.


--
-- Data for Name: ticket_class; Type: TABLE DATA; Schema: public; Owner: -
--

COPY ticket_class (id, resource_id, name) FROM stdin;
1	2248	First class
2	2249	Business Class
\.


--
-- Name: ticket_class_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('ticket_class_id_seq', 2, true);


--
-- Name: ticket_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('ticket_id_seq', 7, true);


--
-- Data for Name: ticket_order_item; Type: TABLE DATA; Schema: public; Owner: -
--

COPY ticket_order_item (order_item_id, ticket_id) FROM stdin;
28	2
29	3
30	4
31	5
32	6
38	7
\.


--
-- Data for Name: tour; Type: TABLE DATA; Schema: public; Owner: -
--

COPY tour (id, resource_id, start_location_id, end_location_id, hotel_id, accomodation_id, foodcat_id, roomcat_id, adults, children, start_date, end_date, descr, end_transport_id, start_transport_id, transfer_id, end_additional_info, start_additional_info) FROM stdin;
1	2145	15	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	MAU	MAU
2	2147	14	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
3	2149	15	37	36	\N	\N	\N	2	0	2015-04-25	2015-04-30	\N	1	1	\N	\N	\N
4	2151	15	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
5	2153	15	14	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
6	2155	3	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
7	2157	15	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
8	2159	33	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
9	2161	33	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
10	2163	33	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
11	2165	33	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
12	2168	33	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
13	2173	33	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
14	2175	33	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
15	2177	33	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
16	2179	33	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
17	2181	33	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
18	2183	33	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
19	2185	33	37	36	\N	15	30	2	0	2015-04-30	2015-05-08	Description for service	1	1	\N	\N	\N
20	2188	33	37	36	\N	15	30	2	0	2015-04-30	2015-05-08	Description for service	1	1	\N	\N	\N
21	2190	33	37	36	\N	15	30	2	0	2015-04-30	2015-05-08	Description for service	1	1	\N	\N	\N
22	2266	15	20	12	2	15	30	2	0	2015-05-16	2015-05-23	\N	1	1	\N	\N	\N
24	2286	15	31	32	12	16	26	2	0	2015-05-20	2015-05-27	\N	1	1	\N	\N	\N
23	2283	15	19	16	\N	\N	\N	2	0	2015-05-22	2015-05-29	\N	1	1	\N	\N	\N
26	2342	15	19	16	10	15	\N	2	1	2015-07-13	2015-07-18	\N	1	1	\N	#MAU	#MAU
27	2378	15	39	39	10	10	\N	2	0	2015-06-28	2015-07-04	\N	1	1	\N	#MAU	#MAU
25	2316	15	19	18	10	10	33	2	0	2015-06-21	2015-06-27	\N	1	1	\N	# MAU	# MAU
28	2687	14	40	40	10	3	\N	2	1	2015-07-24	2015-07-30	\N	1	1	\N	#MAU 892134	#MAU 127193
29	2828	15	31	32	13	16	30	2	0	2016-02-12	2016-02-19	\N	1	1	\N	TREY0987YUt	TYU9881623
30	2900	15	41	41	11	10	33	2	0	2016-06-18	2016-06-24	tour to Bodrum	1	1	\N	TYOII-089873	TYU12128-09
31	3661	15	41	41	11	10	33	2	0	2016-06-18	2016-06-24	tour to Bodrum	1	1	\N	TYOII-089873	TYU12128-09
32	3665	15	41	41	11	10	33	2	0	2016-06-18	2016-06-25	tour to Bodrum	1	1	\N	TYOII-089873	TYU12128-09
33	3667	15	41	41	11	10	33	2	0	2016-06-18	2016-06-25	tour to Bodrum	1	1	\N	TYOII-089873	TYU12128-09
34	3685	15	42	42	\N	16	\N	2	0	2016-07-30	2016-08-06	Тип номера: Standard 2 Расположен : - Линия :вторая Подогреваемый бассейн : - От центра / от аэропорта :50 / 40Количество номеров :668 Интернет : есть Территория отеля : 42 000 кв.м.	1	1	\N	MAU6782	MAU987897
35	3713	14	30	32	13	\N	\N	2	1	2016-08-21	2016-08-28	\N	1	1	\N	\N	\N
36	3830	14	41	41	10	15	30	2	1	2016-09-22	2016-09-30	\N	1	1	\N	dzfdsg sdfg	RTREWR
\.


--
-- Name: tour_id_seq1; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('tour_id_seq1', 36, true);


--
-- Data for Name: tour_order_item; Type: TABLE DATA; Schema: public; Owner: -
--

COPY tour_order_item (order_item_id, tour_id) FROM stdin;
33	22
36	23
37	24
39	25
40	26
42	27
44	28
46	29
48	30
49	31
52	32
53	33
54	34
56	35
57	36
\.


--
-- Name: touroperator_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('touroperator_id_seq', 104, true);


--
-- Data for Name: transfer; Type: TABLE DATA; Schema: public; Owner: -
--

COPY transfer (id, resource_id, name) FROM stdin;
1	2129	Group
2	2130	Individual
\.


--
-- Name: transfer_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('transfer_id_seq', 284, true);


--
-- Name: transfer_id_seq1; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('transfer_id_seq1', 3, true);


--
-- Data for Name: transport; Type: TABLE DATA; Schema: public; Owner: -
--

COPY transport (id, resource_id, name) FROM stdin;
1	2137	Avia
2	2138	Auto
3	2139	Railway
\.


--
-- Name: transport_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('transport_id_seq', 3, true);


--
-- Data for Name: upload; Type: TABLE DATA; Schema: public; Owner: -
--

COPY upload (id, path, size, media_type, descr, name, resource_id) FROM stdin;
4	2015627/11fad20d-91e8-4aae-9991-84a9f3ce68a2.jpg	0.00	image/jpeg		YniVN8l0kTY.jpg	2517
5	2015627/edbfabe1-5fa4-413f-a34a-7e87d2962dbd.jpg	0.00	image/jpeg		YniVN8l0kTY.jpg	2518
7	2015627/8c985058-a198-42df-97d2-f55996a1a9b3.jpg	0.00	image/jpeg	\N	Che-Guevara-9322774-1-402.jpg	2519
8	2015627/cdef8ade-0166-4206-bac6-43f1a64ee471.jpg	0.00	image/jpeg		YniVN8l0kTY.jpg	2520
9	2015627/e066c3a4-9840-434a-947d-088a46ecbb32.jpg	0.00	image/jpeg		YniVN8l0kTY.jpg	2521
10	2015627/bacad34b-c04f-4a77-b8d1-3a1a5b944f5b.jpg	0.00	image/jpeg		YniVN8l0kTY.jpg	2522
11	2015627/ba9d9b9e-220c-4ee7-b4d6-7e25a8582881.pdf	0.00	application/pdf		Python..pdf	2523
12	2015627/64d46808-2e69-4048-bc60-ca7ee03de0de.pdf	0.00	application/pdf		Python..pdf	2524
13	2015627/5f588c0b-bd08-4f4e-a55e-54f76895a184.png	0.00	image/png		Снимок экрана из 2015-06-18 13:18:52.png	2525
14	2015628/6b2d987b-b6fe-41d9-8edf-37b1e70fe79b.png	0.00	image/png		Снимок экрана из 2015-06-14 22:01:13.png	2526
15	2015628/6e5fbc5e-7ee9-4abd-9329-2c365546a3cd.png	0.00	image/png		Снимок экрана из 2015-06-14 22:00:32.png	2527
16	2015628/283deac4-aa2c-4222-a8c0-905d44de3530.png	0.00	image/png		Снимок экрана из 2015-06-14 22:00:37.png	2528
17	2015721/c0555abd-9463-4c6e-a938-c7319eeb7f6d.jpg	0.00	image/jpeg	Perfect client	the-perfect-client2.jpg	2664
18	2015722/b32166eb-971c-4ce2-a05a-be76bed46579.jpg	0.00	image/jpeg	\N	kabaeva_150.jpg	2665
19	2015722/1ef77eb8-790f-4494-a9de-ae383a4b7142.jpg	0.00	image/jpeg	passport scan	20120908105644_brooks.jpg	2682
20	2015722/317847e8-f61f-404c-91b9-d6f03c8228dd.jpg	0.00	image/jpeg		20120908105644_brooks.jpg	2684
21	2016620/99153520-cf16-4587-be81-c482839844a8.jpg	0.00	image/jpeg		YniVN8l0kTY.jpg	2910
22	2016620/2593da53-9d16-4207-95d6-002d819fe807.jpg	0.00	image/jpeg	\N	YniVN8l0kTY.jpg	2916
24	2016718/88ca36e1-f48f-4c73-a65d-f7d57dee6009.jpg	0.00	image/jpeg	test me	h3-factory-planet-mountains.jpg	3620
25	2016718/a28f6012-e313-4635-a038-523c62b1e621.png	0.00	image/png	test me	Снимок экрана из 2016-03-06 13:14:11.png	3621
27	2016725/33e66955-a88b-4951-b735-27aa9a56d17c	0.00	image/png	\N	скачанные файлы.png	3700
28	2016725/8790a279-e50d-4c80-8091-fab5efb97e1e	0.00	image/png	\N	скачанные файлы.png	3701
29	2016725/c2927641-3997-4fc8-90a7-116cdc2064a4	0.00	image/png	\N	скачанные файлы.png	3702
30	2016725/f0c19cf5-96ca-491d-bfb7-241986e07c28	0.00	image/png	\N	скачанные файлы.png	3703
31	2016725/808bfc7b-eb03-465b-9f59-db5cfe45ced9.png	0.00	image/png	\N	rrrr.png	3704
\.


--
-- Name: upload_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('upload_id_seq', 31, true);


--
-- Data for Name: user; Type: TABLE DATA; Schema: public; Owner: -
--

COPY "user" (id, resource_id, username, email, password, employee_id) FROM stdin;
31	2126	v.lastovec	lastovec@travelcrm.org.ua	111111	15
2	3	admin	admin@mail.ru	adminadmin	2
34	2787	c.theron	vitalii.mazur@gmail.com	041035	32
23	894	maziv	maziv@mail.ru	korn17	7
35	2912	s.dima	s.dima@gmail.com	892648	14
\.


--
-- Name: user_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('user_id_seq', 41, true);


--
-- Data for Name: vat; Type: TABLE DATA; Schema: public; Owner: -
--

COPY vat (id, resource_id, service_id, date, vat, calc_method, descr, account_id) FROM stdin;
2	2542	5	2015-06-01	20.00	0	\N	4
3	2543	5	2015-05-01	20.00	0	\N	3
4	2544	4	2015-05-01	20.00	1	\N	3
5	2732	5	2015-08-01	20.00	1	\N	2
1	2515	5	2015-06-01	20.00	1	Vat on Tours is only for commission	2
6	2733	4	2015-07-01	20.00	1	\N	2
7	2859	1	2016-01-01	20.00	0	\N	3
\.


--
-- Name: vat_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('vat_id_seq', 7, true);


--
-- Data for Name: visa; Type: TABLE DATA; Schema: public; Owner: -
--

COPY visa (id, resource_id, country_id, start_date, end_date, type, descr) FROM stdin;
1	2274	21	2015-05-31	2016-05-31	0	\N
3	2380	12	2015-06-14	2016-06-14	0	\N
2	2344	17	2015-08-01	2015-09-01	0	\N
4	2689	16	2015-07-24	2015-07-30	0	Add discount for this service
5	3709	17	2016-08-19	\N	0	\N
\.


--
-- Name: visa_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('visa_id_seq', 5, true);


--
-- Data for Name: visa_order_item; Type: TABLE DATA; Schema: public; Owner: -
--

COPY visa_order_item (order_item_id, visa_id) FROM stdin;
34	1
41	2
43	3
45	4
55	5
\.


SET search_path = company_en, pg_catalog;

--
-- Name: accomodation_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT accomodation_pkey PRIMARY KEY (id);


--
-- Name: account_item_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT account_item_pkey PRIMARY KEY (id);


--
-- Name: account_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account
    ADD CONSTRAINT account_pkey PRIMARY KEY (id);


--
-- Name: address_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY address
    ADD CONSTRAINT address_pkey PRIMARY KEY (id);


--
-- Name: advsource_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT advsource_pkey PRIMARY KEY (id);


--
-- Name: appointment_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT appointment_pkey PRIMARY KEY (id);


--
-- Name: bank_address_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT bank_address_pkey PRIMARY KEY (bank_id, address_id);


--
-- Name: bank_detail_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT bank_detail_pkey PRIMARY KEY (id);


--
-- Name: bank_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT bank_pkey PRIMARY KEY (id);


--
-- Name: bperson_contact_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT bperson_contact_pkey PRIMARY KEY (bperson_id, contact_id);


--
-- Name: bperson_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bperson
    ADD CONSTRAINT bperson_pkey PRIMARY KEY (id);


--
-- Name: calculation_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT calculation_pkey PRIMARY KEY (id);


--
-- Name: campaign_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY campaign
    ADD CONSTRAINT campaign_pkey PRIMARY KEY (id);


--
-- Name: cashflow_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT cashflow_pkey PRIMARY KEY (id);


--
-- Name: commission_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT commission_pkey PRIMARY KEY (id);


--
-- Name: company_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company
    ADD CONSTRAINT company_pkey PRIMARY KEY (id);


--
-- Name: company_subaccount_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT company_subaccount_pkey PRIMARY KEY (company_id, subaccount_id);


--
-- Name: contact_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contact
    ADD CONSTRAINT contact_pkey PRIMARY KEY (id);


--
-- Name: contract_commission_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT contract_commission_pkey PRIMARY KEY (contract_id, commission_id);


--
-- Name: contract_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contract
    ADD CONSTRAINT contract_pkey PRIMARY KEY (id);


--
-- Name: country_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY country
    ADD CONSTRAINT country_pkey PRIMARY KEY (id);


--
-- Name: crosspayment_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT crosspayment_pkey PRIMARY KEY (id);


--
-- Name: currency_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT currency_pkey PRIMARY KEY (id);


--
-- Name: currency_rate_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT currency_rate_pkey PRIMARY KEY (id);


--
-- Name: dismissal_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT dismissal_pkey PRIMARY KEY (id);


--
-- Name: employee_address_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT employee_address_pkey PRIMARY KEY (employee_id, address_id);


--
-- Name: employee_contact_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT employee_contact_pkey PRIMARY KEY (employee_id, contact_id);


--
-- Name: employee_notification_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT employee_notification_pkey PRIMARY KEY (employee_id, notification_id);


--
-- Name: employee_passport_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT employee_passport_pkey PRIMARY KEY (employee_id, passport_id);


--
-- Name: employee_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT employee_pkey PRIMARY KEY (id);


--
-- Name: employee_subaccount_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT employee_subaccount_pkey PRIMARY KEY (employee_id, subaccount_id);


--
-- Name: employee_subscription_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_subscription
    ADD CONSTRAINT employee_subscription_pkey PRIMARY KEY (employee_id, resource_id);


--
-- Name: employee_upload_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT employee_upload_pkey PRIMARY KEY (employee_id, upload_id);


--
-- Name: foodcat_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT foodcat_pkey PRIMARY KEY (id);


--
-- Name: hotel_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT hotel_pkey PRIMARY KEY (id);


--
-- Name: hotelcat_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT hotelcat_pkey PRIMARY KEY (id);


--
-- Name: income_cashflow_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT income_cashflow_pkey PRIMARY KEY (income_id, cashflow_id);


--
-- Name: income_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY income
    ADD CONSTRAINT income_pkey PRIMARY KEY (id);


--
-- Name: invoice_item_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT invoice_item_pkey PRIMARY KEY (id);


--
-- Name: invoice_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT invoice_pkey PRIMARY KEY (id);


--
-- Name: lead_item_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT lead_item_pkey PRIMARY KEY (id);


--
-- Name: lead_offer_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT lead_offer_pkey PRIMARY KEY (id);


--
-- Name: lead_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT lead_pkey PRIMARY KEY (id);


--
-- Name: location_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY location
    ADD CONSTRAINT location_pkey PRIMARY KEY (id);


--
-- Name: mail_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY mail
    ADD CONSTRAINT mail_pkey PRIMARY KEY (id);


--
-- Name: navigation_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT navigation_pkey PRIMARY KEY (id);


--
-- Name: note_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note
    ADD CONSTRAINT note_pkey PRIMARY KEY (id);


--
-- Name: note_resource_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT note_resource_pkey PRIMARY KEY (note_id, resource_id);


--
-- Name: note_upload_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT note_upload_pkey PRIMARY KEY (note_id, upload_id);


--
-- Name: notification_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY notification
    ADD CONSTRAINT notification_pkey PRIMARY KEY (id);


--
-- Name: notification_resource_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT notification_resource_pkey PRIMARY KEY (notification_id, resource_id);


--
-- Name: order_item_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT order_item_pkey PRIMARY KEY (id);


--
-- Name: order_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT order_pkey PRIMARY KEY (id);


--
-- Name: outgoing_cashflow_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT outgoing_cashflow_pkey PRIMARY KEY (outgoing_id, cashflow_id);


--
-- Name: outgoing_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT outgoing_pkey PRIMARY KEY (id);


--
-- Name: passport_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT passport_pkey PRIMARY KEY (id);


--
-- Name: passport_upload_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT passport_upload_pkey PRIMARY KEY (passport_id, upload_id);


--
-- Name: permision_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT permision_pkey PRIMARY KEY (id);


--
-- Name: person_address_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT person_address_pkey PRIMARY KEY (person_id, address_id);


--
-- Name: person_category_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT person_category_pkey PRIMARY KEY (id);


--
-- Name: person_contact_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT person_contact_pkey PRIMARY KEY (person_id, contact_id);


--
-- Name: person_order_item_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT person_order_item_pkey PRIMARY KEY (order_item_id, person_id);


--
-- Name: person_passport_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT person_passport_pkey PRIMARY KEY (person_id, passport_id);


--
-- Name: person_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person
    ADD CONSTRAINT person_pkey PRIMARY KEY (id);


--
-- Name: person_subaccount_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT person_subaccount_pkey PRIMARY KEY (person_id, subaccount_id);


--
-- Name: position_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT position_pkey PRIMARY KEY (id);


--
-- Name: region_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY region
    ADD CONSTRAINT region_pkey PRIMARY KEY (id);


--
-- Name: resource_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT resource_pkey PRIMARY KEY (id);


--
-- Name: resource_type_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT resource_type_pkey PRIMARY KEY (id);


--
-- Name: roomcat_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT roomcat_pkey PRIMARY KEY (id);


--
-- Name: service_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY service
    ADD CONSTRAINT service_pkey PRIMARY KEY (id);


--
-- Name: spassport_order_item_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT spassport_order_item_pkey PRIMARY KEY (order_item_id, spassport_id);


--
-- Name: spassport_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY spassport
    ADD CONSTRAINT spassport_pkey PRIMARY KEY (id);


--
-- Name: structure_address_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT structure_address_pkey PRIMARY KEY (structure_id, address_id);


--
-- Name: structure_bank_detail_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT structure_bank_detail_pkey PRIMARY KEY (structure_id, bank_detail_id);


--
-- Name: structure_contact_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT structure_contact_pkey PRIMARY KEY (structure_id, contact_id);


--
-- Name: structure_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT structure_pkey PRIMARY KEY (id);


--
-- Name: subaccount_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT subaccount_pkey PRIMARY KEY (id);


--
-- Name: supplier_bank_detail_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT supplier_bank_detail_pkey PRIMARY KEY (supplier_id, bank_detail_id);


--
-- Name: supplier_bperson_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT supplier_bperson_pkey PRIMARY KEY (supplier_id, bperson_id);


--
-- Name: supplier_contract_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT supplier_contract_pkey PRIMARY KEY (supplier_id, contract_id);


--
-- Name: supplier_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT supplier_pkey PRIMARY KEY (id);


--
-- Name: supplier_subaccount_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT supplier_subaccount_pkey PRIMARY KEY (supplier_id, subaccount_id);


--
-- Name: supplier_type_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT supplier_type_pkey PRIMARY KEY (id);


--
-- Name: tag_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tag
    ADD CONSTRAINT tag_pkey PRIMARY KEY (id);


--
-- Name: tag_resource_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tag_resource
    ADD CONSTRAINT tag_resource_pkey PRIMARY KEY (tag_id, resource_id);


--
-- Name: task_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task
    ADD CONSTRAINT task_pkey PRIMARY KEY (id);


--
-- Name: task_resource_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT task_resource_pkey PRIMARY KEY (task_id, resource_id);


--
-- Name: task_upload_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT task_upload_pkey PRIMARY KEY (task_id, upload_id);


--
-- Name: ticket_class_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT ticket_class_pkey PRIMARY KEY (id);


--
-- Name: ticket_order_item_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT ticket_order_item_pkey PRIMARY KEY (order_item_id, ticket_id);


--
-- Name: ticket_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT ticket_pkey PRIMARY KEY (id);


--
-- Name: tour_order_item_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT tour_order_item_pkey PRIMARY KEY (order_item_id, tour_id);


--
-- Name: tour_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT tour_pkey PRIMARY KEY (id);


--
-- Name: transfer_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT transfer_pkey PRIMARY KEY (id);


--
-- Name: transport_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT transport_pkey PRIMARY KEY (id);


--
-- Name: unique_idx_accomodation_name; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT unique_idx_accomodation_name UNIQUE (name);


--
-- Name: unique_idx_country_iso_code; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY country
    ADD CONSTRAINT unique_idx_country_iso_code UNIQUE (iso_code);


--
-- Name: unique_idx_currency_iso_code; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT unique_idx_currency_iso_code UNIQUE (iso_code);


--
-- Name: unique_idx_currency_rate_currency_id_date; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT unique_idx_currency_rate_currency_id_date UNIQUE (currency_id, date, supplier_id);


--
-- Name: unique_idx_name_account; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account
    ADD CONSTRAINT unique_idx_name_account UNIQUE (name);


--
-- Name: unique_idx_name_account_id_subaccount; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT unique_idx_name_account_id_subaccount UNIQUE (name, account_id);


--
-- Name: unique_idx_name_account_item; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT unique_idx_name_account_item UNIQUE (name);


--
-- Name: unique_idx_name_advsource; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT unique_idx_name_advsource UNIQUE (name);


--
-- Name: unique_idx_name_bank; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT unique_idx_name_bank UNIQUE (name);


--
-- Name: unique_idx_name_company; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company
    ADD CONSTRAINT unique_idx_name_company UNIQUE (name);


--
-- Name: unique_idx_name_country_id_region; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY region
    ADD CONSTRAINT unique_idx_name_country_id_region UNIQUE (name, country_id);


--
-- Name: unique_idx_name_foodcat; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT unique_idx_name_foodcat UNIQUE (name);


--
-- Name: unique_idx_name_hotelcat; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT unique_idx_name_hotelcat UNIQUE (name);


--
-- Name: unique_idx_name_mail; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY mail
    ADD CONSTRAINT unique_idx_name_mail UNIQUE (name);


--
-- Name: unique_idx_name_person_category; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT unique_idx_name_person_category UNIQUE (name);


--
-- Name: unique_idx_name_region_id_location; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY location
    ADD CONSTRAINT unique_idx_name_region_id_location UNIQUE (name, region_id);


--
-- Name: unique_idx_name_roomcat; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT unique_idx_name_roomcat UNIQUE (name);


--
-- Name: unique_idx_name_service; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY service
    ADD CONSTRAINT unique_idx_name_service UNIQUE (name);


--
-- Name: unique_idx_name_strcuture_id_position; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT unique_idx_name_strcuture_id_position UNIQUE (name, structure_id);


--
-- Name: unique_idx_name_supplier_type; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT unique_idx_name_supplier_type UNIQUE (name);


--
-- Name: unique_idx_name_tag; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tag
    ADD CONSTRAINT unique_idx_name_tag UNIQUE (name);


--
-- Name: unique_idx_name_ticket_class; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT unique_idx_name_ticket_class UNIQUE (name);


--
-- Name: unique_idx_name_transfer; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT unique_idx_name_transfer UNIQUE (name);


--
-- Name: unique_idx_name_transport; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT unique_idx_name_transport UNIQUE (name);


--
-- Name: unique_idx_path_upload; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT unique_idx_path_upload UNIQUE (path);


--
-- Name: unique_idx_resource_type_id_position_id_permision; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT unique_idx_resource_type_id_position_id_permision UNIQUE (resource_type_id, position_id);


--
-- Name: unique_idx_resource_type_module; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT unique_idx_resource_type_module UNIQUE (module, resource_name);


--
-- Name: unique_idx_resource_type_name; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT unique_idx_resource_type_name UNIQUE (name);


--
-- Name: unique_idx_users_email; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT unique_idx_users_email UNIQUE (email);


--
-- Name: unique_idx_users_username; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT unique_idx_users_username UNIQUE (username);


--
-- Name: upload_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT upload_pkey PRIMARY KEY (id);


--
-- Name: user_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT user_pkey PRIMARY KEY (id);


--
-- Name: vat_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT vat_pkey PRIMARY KEY (id);


--
-- Name: visa_order_item_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT visa_order_item_pkey PRIMARY KEY (order_item_id, visa_id);


--
-- Name: visa_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT visa_pkey PRIMARY KEY (id);


SET search_path = company_ru, pg_catalog;

--
-- Name: accomodation_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT accomodation_pkey PRIMARY KEY (id);


--
-- Name: account_item_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT account_item_pkey PRIMARY KEY (id);


--
-- Name: account_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account
    ADD CONSTRAINT account_pkey PRIMARY KEY (id);


--
-- Name: address_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY address
    ADD CONSTRAINT address_pkey PRIMARY KEY (id);


--
-- Name: advsource_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT advsource_pkey PRIMARY KEY (id);


--
-- Name: appointment_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT appointment_pkey PRIMARY KEY (id);


--
-- Name: bank_address_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT bank_address_pkey PRIMARY KEY (bank_id, address_id);


--
-- Name: bank_detail_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT bank_detail_pkey PRIMARY KEY (id);


--
-- Name: bank_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT bank_pkey PRIMARY KEY (id);


--
-- Name: bperson_contact_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT bperson_contact_pkey PRIMARY KEY (bperson_id, contact_id);


--
-- Name: bperson_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bperson
    ADD CONSTRAINT bperson_pkey PRIMARY KEY (id);


--
-- Name: calculation_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT calculation_pkey PRIMARY KEY (id);


--
-- Name: campaign_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY campaign
    ADD CONSTRAINT campaign_pkey PRIMARY KEY (id);


--
-- Name: cashflow_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT cashflow_pkey PRIMARY KEY (id);


--
-- Name: commission_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT commission_pkey PRIMARY KEY (id);


--
-- Name: company_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company
    ADD CONSTRAINT company_pkey PRIMARY KEY (id);


--
-- Name: company_subaccount_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT company_subaccount_pkey PRIMARY KEY (company_id, subaccount_id);


--
-- Name: contact_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contact
    ADD CONSTRAINT contact_pkey PRIMARY KEY (id);


--
-- Name: contract_commission_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT contract_commission_pkey PRIMARY KEY (contract_id, commission_id);


--
-- Name: contract_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contract
    ADD CONSTRAINT contract_pkey PRIMARY KEY (id);


--
-- Name: country_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY country
    ADD CONSTRAINT country_pkey PRIMARY KEY (id);


--
-- Name: crosspayment_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT crosspayment_pkey PRIMARY KEY (id);


--
-- Name: currency_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT currency_pkey PRIMARY KEY (id);


--
-- Name: currency_rate_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT currency_rate_pkey PRIMARY KEY (id);


--
-- Name: dismissal_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT dismissal_pkey PRIMARY KEY (id);


--
-- Name: employee_address_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT employee_address_pkey PRIMARY KEY (employee_id, address_id);


--
-- Name: employee_contact_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT employee_contact_pkey PRIMARY KEY (employee_id, contact_id);


--
-- Name: employee_notification_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT employee_notification_pkey PRIMARY KEY (employee_id, notification_id);


--
-- Name: employee_passport_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT employee_passport_pkey PRIMARY KEY (employee_id, passport_id);


--
-- Name: employee_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT employee_pkey PRIMARY KEY (id);


--
-- Name: employee_subaccount_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT employee_subaccount_pkey PRIMARY KEY (employee_id, subaccount_id);


--
-- Name: employee_subscription_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_subscription
    ADD CONSTRAINT employee_subscription_pkey PRIMARY KEY (employee_id, resource_id);


--
-- Name: employee_upload_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT employee_upload_pkey PRIMARY KEY (employee_id, upload_id);


--
-- Name: foodcat_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT foodcat_pkey PRIMARY KEY (id);


--
-- Name: hotel_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT hotel_pkey PRIMARY KEY (id);


--
-- Name: hotelcat_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT hotelcat_pkey PRIMARY KEY (id);


--
-- Name: income_cashflow_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT income_cashflow_pkey PRIMARY KEY (income_id, cashflow_id);


--
-- Name: income_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY income
    ADD CONSTRAINT income_pkey PRIMARY KEY (id);


--
-- Name: invoice_item_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT invoice_item_pkey PRIMARY KEY (id);


--
-- Name: invoice_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT invoice_pkey PRIMARY KEY (id);


--
-- Name: lead_item_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT lead_item_pkey PRIMARY KEY (id);


--
-- Name: lead_offer_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT lead_offer_pkey PRIMARY KEY (id);


--
-- Name: lead_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT lead_pkey PRIMARY KEY (id);


--
-- Name: location_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY location
    ADD CONSTRAINT location_pkey PRIMARY KEY (id);


--
-- Name: mail_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY mail
    ADD CONSTRAINT mail_pkey PRIMARY KEY (id);


--
-- Name: navigation_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT navigation_pkey PRIMARY KEY (id);


--
-- Name: note_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note
    ADD CONSTRAINT note_pkey PRIMARY KEY (id);


--
-- Name: note_resource_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT note_resource_pkey PRIMARY KEY (note_id, resource_id);


--
-- Name: note_upload_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT note_upload_pkey PRIMARY KEY (note_id, upload_id);


--
-- Name: notification_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY notification
    ADD CONSTRAINT notification_pkey PRIMARY KEY (id);


--
-- Name: notification_resource_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT notification_resource_pkey PRIMARY KEY (notification_id, resource_id);


--
-- Name: order_item_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT order_item_pkey PRIMARY KEY (id);


--
-- Name: order_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT order_pkey PRIMARY KEY (id);


--
-- Name: outgoing_cashflow_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT outgoing_cashflow_pkey PRIMARY KEY (outgoing_id, cashflow_id);


--
-- Name: outgoing_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT outgoing_pkey PRIMARY KEY (id);


--
-- Name: passport_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT passport_pkey PRIMARY KEY (id);


--
-- Name: passport_upload_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT passport_upload_pkey PRIMARY KEY (passport_id, upload_id);


--
-- Name: permision_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT permision_pkey PRIMARY KEY (id);


--
-- Name: person_address_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT person_address_pkey PRIMARY KEY (person_id, address_id);


--
-- Name: person_category_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT person_category_pkey PRIMARY KEY (id);


--
-- Name: person_contact_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT person_contact_pkey PRIMARY KEY (person_id, contact_id);


--
-- Name: person_order_item_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT person_order_item_pkey PRIMARY KEY (order_item_id, person_id);


--
-- Name: person_passport_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT person_passport_pkey PRIMARY KEY (person_id, passport_id);


--
-- Name: person_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person
    ADD CONSTRAINT person_pkey PRIMARY KEY (id);


--
-- Name: person_subaccount_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT person_subaccount_pkey PRIMARY KEY (person_id, subaccount_id);


--
-- Name: position_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT position_pkey PRIMARY KEY (id);


--
-- Name: region_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY region
    ADD CONSTRAINT region_pkey PRIMARY KEY (id);


--
-- Name: resource_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT resource_pkey PRIMARY KEY (id);


--
-- Name: resource_type_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT resource_type_pkey PRIMARY KEY (id);


--
-- Name: roomcat_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT roomcat_pkey PRIMARY KEY (id);


--
-- Name: service_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY service
    ADD CONSTRAINT service_pkey PRIMARY KEY (id);


--
-- Name: spassport_order_item_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT spassport_order_item_pkey PRIMARY KEY (order_item_id, spassport_id);


--
-- Name: spassport_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY spassport
    ADD CONSTRAINT spassport_pkey PRIMARY KEY (id);


--
-- Name: structure_address_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT structure_address_pkey PRIMARY KEY (structure_id, address_id);


--
-- Name: structure_bank_detail_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT structure_bank_detail_pkey PRIMARY KEY (structure_id, bank_detail_id);


--
-- Name: structure_contact_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT structure_contact_pkey PRIMARY KEY (structure_id, contact_id);


--
-- Name: structure_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT structure_pkey PRIMARY KEY (id);


--
-- Name: subaccount_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT subaccount_pkey PRIMARY KEY (id);


--
-- Name: supplier_bank_detail_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT supplier_bank_detail_pkey PRIMARY KEY (supplier_id, bank_detail_id);


--
-- Name: supplier_bperson_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT supplier_bperson_pkey PRIMARY KEY (supplier_id, bperson_id);


--
-- Name: supplier_contract_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT supplier_contract_pkey PRIMARY KEY (supplier_id, contract_id);


--
-- Name: supplier_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT supplier_pkey PRIMARY KEY (id);


--
-- Name: supplier_subaccount_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT supplier_subaccount_pkey PRIMARY KEY (supplier_id, subaccount_id);


--
-- Name: supplier_type_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT supplier_type_pkey PRIMARY KEY (id);


--
-- Name: tag_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tag
    ADD CONSTRAINT tag_pkey PRIMARY KEY (id);


--
-- Name: tag_resource_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tag_resource
    ADD CONSTRAINT tag_resource_pkey PRIMARY KEY (tag_id, resource_id);


--
-- Name: task_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task
    ADD CONSTRAINT task_pkey PRIMARY KEY (id);


--
-- Name: task_resource_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT task_resource_pkey PRIMARY KEY (task_id, resource_id);


--
-- Name: task_upload_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT task_upload_pkey PRIMARY KEY (task_id, upload_id);


--
-- Name: ticket_class_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT ticket_class_pkey PRIMARY KEY (id);


--
-- Name: ticket_order_item_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT ticket_order_item_pkey PRIMARY KEY (order_item_id, ticket_id);


--
-- Name: ticket_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT ticket_pkey PRIMARY KEY (id);


--
-- Name: tour_order_item_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT tour_order_item_pkey PRIMARY KEY (order_item_id, tour_id);


--
-- Name: tour_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT tour_pkey PRIMARY KEY (id);


--
-- Name: transfer_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT transfer_pkey PRIMARY KEY (id);


--
-- Name: transport_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT transport_pkey PRIMARY KEY (id);


--
-- Name: unique_idx_accomodation_name; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT unique_idx_accomodation_name UNIQUE (name);


--
-- Name: unique_idx_country_iso_code; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY country
    ADD CONSTRAINT unique_idx_country_iso_code UNIQUE (iso_code);


--
-- Name: unique_idx_currency_iso_code; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT unique_idx_currency_iso_code UNIQUE (iso_code);


--
-- Name: unique_idx_currency_rate_currency_id_date; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT unique_idx_currency_rate_currency_id_date UNIQUE (currency_id, date, supplier_id);


--
-- Name: unique_idx_name_account; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account
    ADD CONSTRAINT unique_idx_name_account UNIQUE (name);


--
-- Name: unique_idx_name_account_id_subaccount; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT unique_idx_name_account_id_subaccount UNIQUE (name, account_id);


--
-- Name: unique_idx_name_account_item; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT unique_idx_name_account_item UNIQUE (name);


--
-- Name: unique_idx_name_advsource; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT unique_idx_name_advsource UNIQUE (name);


--
-- Name: unique_idx_name_bank; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT unique_idx_name_bank UNIQUE (name);


--
-- Name: unique_idx_name_company; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company
    ADD CONSTRAINT unique_idx_name_company UNIQUE (name);


--
-- Name: unique_idx_name_country_id_region; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY region
    ADD CONSTRAINT unique_idx_name_country_id_region UNIQUE (name, country_id);


--
-- Name: unique_idx_name_foodcat; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT unique_idx_name_foodcat UNIQUE (name);


--
-- Name: unique_idx_name_hotelcat; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT unique_idx_name_hotelcat UNIQUE (name);


--
-- Name: unique_idx_name_mail; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY mail
    ADD CONSTRAINT unique_idx_name_mail UNIQUE (name);


--
-- Name: unique_idx_name_person_category; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT unique_idx_name_person_category UNIQUE (name);


--
-- Name: unique_idx_name_region_id_location; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY location
    ADD CONSTRAINT unique_idx_name_region_id_location UNIQUE (name, region_id);


--
-- Name: unique_idx_name_roomcat; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT unique_idx_name_roomcat UNIQUE (name);


--
-- Name: unique_idx_name_service; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY service
    ADD CONSTRAINT unique_idx_name_service UNIQUE (name);


--
-- Name: unique_idx_name_strcuture_id_position; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT unique_idx_name_strcuture_id_position UNIQUE (name, structure_id);


--
-- Name: unique_idx_name_supplier_type; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT unique_idx_name_supplier_type UNIQUE (name);


--
-- Name: unique_idx_name_tag; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tag
    ADD CONSTRAINT unique_idx_name_tag UNIQUE (name);


--
-- Name: unique_idx_name_ticket_class; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT unique_idx_name_ticket_class UNIQUE (name);


--
-- Name: unique_idx_name_transfer; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT unique_idx_name_transfer UNIQUE (name);


--
-- Name: unique_idx_name_transport; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT unique_idx_name_transport UNIQUE (name);


--
-- Name: unique_idx_path_upload; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT unique_idx_path_upload UNIQUE (path);


--
-- Name: unique_idx_resource_type_id_position_id_permision; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT unique_idx_resource_type_id_position_id_permision UNIQUE (resource_type_id, position_id);


--
-- Name: unique_idx_resource_type_module; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT unique_idx_resource_type_module UNIQUE (module, resource_name);


--
-- Name: unique_idx_resource_type_name; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT unique_idx_resource_type_name UNIQUE (name);


--
-- Name: unique_idx_users_email; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT unique_idx_users_email UNIQUE (email);


--
-- Name: unique_idx_users_username; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT unique_idx_users_username UNIQUE (username);


--
-- Name: upload_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT upload_pkey PRIMARY KEY (id);


--
-- Name: user_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT user_pkey PRIMARY KEY (id);


--
-- Name: vat_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT vat_pkey PRIMARY KEY (id);


--
-- Name: visa_order_item_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT visa_order_item_pkey PRIMARY KEY (order_item_id, visa_id);


--
-- Name: visa_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT visa_pkey PRIMARY KEY (id);


SET search_path = demo_ru, pg_catalog;

--
-- Name: accomodation_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT accomodation_pkey PRIMARY KEY (id);


--
-- Name: account_item_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT account_item_pkey PRIMARY KEY (id);


--
-- Name: account_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account
    ADD CONSTRAINT account_pkey PRIMARY KEY (id);


--
-- Name: address_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY address
    ADD CONSTRAINT address_pkey PRIMARY KEY (id);


--
-- Name: advsource_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT advsource_pkey PRIMARY KEY (id);


--
-- Name: appointment_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT appointment_pkey PRIMARY KEY (id);


--
-- Name: bank_address_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT bank_address_pkey PRIMARY KEY (bank_id, address_id);


--
-- Name: bank_detail_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT bank_detail_pkey PRIMARY KEY (id);


--
-- Name: bank_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT bank_pkey PRIMARY KEY (id);


--
-- Name: bperson_contact_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT bperson_contact_pkey PRIMARY KEY (bperson_id, contact_id);


--
-- Name: bperson_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bperson
    ADD CONSTRAINT bperson_pkey PRIMARY KEY (id);


--
-- Name: calculation_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT calculation_pkey PRIMARY KEY (id);


--
-- Name: campaign_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY campaign
    ADD CONSTRAINT campaign_pkey PRIMARY KEY (id);


--
-- Name: cashflow_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT cashflow_pkey PRIMARY KEY (id);


--
-- Name: commission_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT commission_pkey PRIMARY KEY (id);


--
-- Name: company_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company
    ADD CONSTRAINT company_pkey PRIMARY KEY (id);


--
-- Name: company_subaccount_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT company_subaccount_pkey PRIMARY KEY (company_id, subaccount_id);


--
-- Name: contact_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contact
    ADD CONSTRAINT contact_pkey PRIMARY KEY (id);


--
-- Name: contract_commission_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT contract_commission_pkey PRIMARY KEY (contract_id, commission_id);


--
-- Name: contract_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contract
    ADD CONSTRAINT contract_pkey PRIMARY KEY (id);


--
-- Name: country_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY country
    ADD CONSTRAINT country_pkey PRIMARY KEY (id);


--
-- Name: crosspayment_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT crosspayment_pkey PRIMARY KEY (id);


--
-- Name: currency_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT currency_pkey PRIMARY KEY (id);


--
-- Name: currency_rate_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT currency_rate_pkey PRIMARY KEY (id);


--
-- Name: dismissal_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT dismissal_pkey PRIMARY KEY (id);


--
-- Name: employee_address_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT employee_address_pkey PRIMARY KEY (employee_id, address_id);


--
-- Name: employee_contact_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT employee_contact_pkey PRIMARY KEY (employee_id, contact_id);


--
-- Name: employee_notification_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT employee_notification_pkey PRIMARY KEY (employee_id, notification_id);


--
-- Name: employee_passport_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT employee_passport_pkey PRIMARY KEY (employee_id, passport_id);


--
-- Name: employee_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT employee_pkey PRIMARY KEY (id);


--
-- Name: employee_subaccount_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT employee_subaccount_pkey PRIMARY KEY (employee_id, subaccount_id);


--
-- Name: employee_subscription_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_subscription
    ADD CONSTRAINT employee_subscription_pkey PRIMARY KEY (employee_id, resource_id);


--
-- Name: employee_upload_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT employee_upload_pkey PRIMARY KEY (employee_id, upload_id);


--
-- Name: foodcat_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT foodcat_pkey PRIMARY KEY (id);


--
-- Name: hotel_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT hotel_pkey PRIMARY KEY (id);


--
-- Name: hotelcat_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT hotelcat_pkey PRIMARY KEY (id);


--
-- Name: income_cashflow_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT income_cashflow_pkey PRIMARY KEY (income_id, cashflow_id);


--
-- Name: income_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY income
    ADD CONSTRAINT income_pkey PRIMARY KEY (id);


--
-- Name: invoice_item_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT invoice_item_pkey PRIMARY KEY (id);


--
-- Name: invoice_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT invoice_pkey PRIMARY KEY (id);


--
-- Name: lead_item_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT lead_item_pkey PRIMARY KEY (id);


--
-- Name: lead_offer_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT lead_offer_pkey PRIMARY KEY (id);


--
-- Name: lead_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT lead_pkey PRIMARY KEY (id);


--
-- Name: location_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY location
    ADD CONSTRAINT location_pkey PRIMARY KEY (id);


--
-- Name: mail_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY mail
    ADD CONSTRAINT mail_pkey PRIMARY KEY (id);


--
-- Name: navigation_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT navigation_pkey PRIMARY KEY (id);


--
-- Name: note_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note
    ADD CONSTRAINT note_pkey PRIMARY KEY (id);


--
-- Name: note_resource_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT note_resource_pkey PRIMARY KEY (note_id, resource_id);


--
-- Name: note_upload_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT note_upload_pkey PRIMARY KEY (note_id, upload_id);


--
-- Name: notification_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY notification
    ADD CONSTRAINT notification_pkey PRIMARY KEY (id);


--
-- Name: notification_resource_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT notification_resource_pkey PRIMARY KEY (notification_id, resource_id);


--
-- Name: order_item_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT order_item_pkey PRIMARY KEY (id);


--
-- Name: order_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT order_pkey PRIMARY KEY (id);


--
-- Name: outgoing_cashflow_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT outgoing_cashflow_pkey PRIMARY KEY (outgoing_id, cashflow_id);


--
-- Name: outgoing_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT outgoing_pkey PRIMARY KEY (id);


--
-- Name: passport_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT passport_pkey PRIMARY KEY (id);


--
-- Name: passport_upload_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT passport_upload_pkey PRIMARY KEY (passport_id, upload_id);


--
-- Name: permision_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT permision_pkey PRIMARY KEY (id);


--
-- Name: person_address_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT person_address_pkey PRIMARY KEY (person_id, address_id);


--
-- Name: person_category_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT person_category_pkey PRIMARY KEY (id);


--
-- Name: person_contact_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT person_contact_pkey PRIMARY KEY (person_id, contact_id);


--
-- Name: person_order_item_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT person_order_item_pkey PRIMARY KEY (order_item_id, person_id);


--
-- Name: person_passport_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT person_passport_pkey PRIMARY KEY (person_id, passport_id);


--
-- Name: person_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person
    ADD CONSTRAINT person_pkey PRIMARY KEY (id);


--
-- Name: person_subaccount_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT person_subaccount_pkey PRIMARY KEY (person_id, subaccount_id);


--
-- Name: position_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT position_pkey PRIMARY KEY (id);


--
-- Name: region_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY region
    ADD CONSTRAINT region_pkey PRIMARY KEY (id);


--
-- Name: resource_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT resource_pkey PRIMARY KEY (id);


--
-- Name: resource_type_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT resource_type_pkey PRIMARY KEY (id);


--
-- Name: roomcat_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT roomcat_pkey PRIMARY KEY (id);


--
-- Name: service_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY service
    ADD CONSTRAINT service_pkey PRIMARY KEY (id);


--
-- Name: spassport_order_item_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT spassport_order_item_pkey PRIMARY KEY (order_item_id, spassport_id);


--
-- Name: spassport_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY spassport
    ADD CONSTRAINT spassport_pkey PRIMARY KEY (id);


--
-- Name: structure_address_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT structure_address_pkey PRIMARY KEY (structure_id, address_id);


--
-- Name: structure_bank_detail_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT structure_bank_detail_pkey PRIMARY KEY (structure_id, bank_detail_id);


--
-- Name: structure_contact_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT structure_contact_pkey PRIMARY KEY (structure_id, contact_id);


--
-- Name: structure_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT structure_pkey PRIMARY KEY (id);


--
-- Name: subaccount_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT subaccount_pkey PRIMARY KEY (id);


--
-- Name: supplier_bank_detail_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT supplier_bank_detail_pkey PRIMARY KEY (supplier_id, bank_detail_id);


--
-- Name: supplier_bperson_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT supplier_bperson_pkey PRIMARY KEY (supplier_id, bperson_id);


--
-- Name: supplier_contract_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT supplier_contract_pkey PRIMARY KEY (supplier_id, contract_id);


--
-- Name: supplier_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT supplier_pkey PRIMARY KEY (id);


--
-- Name: supplier_subaccount_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT supplier_subaccount_pkey PRIMARY KEY (supplier_id, subaccount_id);


--
-- Name: supplier_type_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT supplier_type_pkey PRIMARY KEY (id);


--
-- Name: tag_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tag
    ADD CONSTRAINT tag_pkey PRIMARY KEY (id);


--
-- Name: tag_resource_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tag_resource
    ADD CONSTRAINT tag_resource_pkey PRIMARY KEY (tag_id, resource_id);


--
-- Name: task_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task
    ADD CONSTRAINT task_pkey PRIMARY KEY (id);


--
-- Name: task_resource_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT task_resource_pkey PRIMARY KEY (task_id, resource_id);


--
-- Name: task_upload_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT task_upload_pkey PRIMARY KEY (task_id, upload_id);


--
-- Name: ticket_class_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT ticket_class_pkey PRIMARY KEY (id);


--
-- Name: ticket_order_item_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT ticket_order_item_pkey PRIMARY KEY (order_item_id, ticket_id);


--
-- Name: ticket_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT ticket_pkey PRIMARY KEY (id);


--
-- Name: tour_order_item_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT tour_order_item_pkey PRIMARY KEY (order_item_id, tour_id);


--
-- Name: tour_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT tour_pkey PRIMARY KEY (id);


--
-- Name: transfer_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT transfer_pkey PRIMARY KEY (id);


--
-- Name: transport_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT transport_pkey PRIMARY KEY (id);


--
-- Name: unique_idx_accomodation_name; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT unique_idx_accomodation_name UNIQUE (name);


--
-- Name: unique_idx_country_iso_code; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY country
    ADD CONSTRAINT unique_idx_country_iso_code UNIQUE (iso_code);


--
-- Name: unique_idx_currency_iso_code; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT unique_idx_currency_iso_code UNIQUE (iso_code);


--
-- Name: unique_idx_currency_rate_currency_id_date; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT unique_idx_currency_rate_currency_id_date UNIQUE (currency_id, date, supplier_id);


--
-- Name: unique_idx_name_account; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account
    ADD CONSTRAINT unique_idx_name_account UNIQUE (name);


--
-- Name: unique_idx_name_account_id_subaccount; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT unique_idx_name_account_id_subaccount UNIQUE (name, account_id);


--
-- Name: unique_idx_name_account_item; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT unique_idx_name_account_item UNIQUE (name);


--
-- Name: unique_idx_name_advsource; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT unique_idx_name_advsource UNIQUE (name);


--
-- Name: unique_idx_name_bank; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT unique_idx_name_bank UNIQUE (name);


--
-- Name: unique_idx_name_company; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company
    ADD CONSTRAINT unique_idx_name_company UNIQUE (name);


--
-- Name: unique_idx_name_country_id_region; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY region
    ADD CONSTRAINT unique_idx_name_country_id_region UNIQUE (name, country_id);


--
-- Name: unique_idx_name_foodcat; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT unique_idx_name_foodcat UNIQUE (name);


--
-- Name: unique_idx_name_hotelcat; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT unique_idx_name_hotelcat UNIQUE (name);


--
-- Name: unique_idx_name_mail; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY mail
    ADD CONSTRAINT unique_idx_name_mail UNIQUE (name);


--
-- Name: unique_idx_name_person_category; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT unique_idx_name_person_category UNIQUE (name);


--
-- Name: unique_idx_name_region_id_location; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY location
    ADD CONSTRAINT unique_idx_name_region_id_location UNIQUE (name, region_id);


--
-- Name: unique_idx_name_roomcat; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT unique_idx_name_roomcat UNIQUE (name);


--
-- Name: unique_idx_name_service; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY service
    ADD CONSTRAINT unique_idx_name_service UNIQUE (name);


--
-- Name: unique_idx_name_strcuture_id_position; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT unique_idx_name_strcuture_id_position UNIQUE (name, structure_id);


--
-- Name: unique_idx_name_supplier_type; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT unique_idx_name_supplier_type UNIQUE (name);


--
-- Name: unique_idx_name_tag; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tag
    ADD CONSTRAINT unique_idx_name_tag UNIQUE (name);


--
-- Name: unique_idx_name_ticket_class; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT unique_idx_name_ticket_class UNIQUE (name);


--
-- Name: unique_idx_name_transfer; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT unique_idx_name_transfer UNIQUE (name);


--
-- Name: unique_idx_name_transport; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT unique_idx_name_transport UNIQUE (name);


--
-- Name: unique_idx_path_upload; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT unique_idx_path_upload UNIQUE (path);


--
-- Name: unique_idx_resource_type_id_position_id_permision; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT unique_idx_resource_type_id_position_id_permision UNIQUE (resource_type_id, position_id);


--
-- Name: unique_idx_resource_type_module; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT unique_idx_resource_type_module UNIQUE (module, resource_name);


--
-- Name: unique_idx_resource_type_name; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT unique_idx_resource_type_name UNIQUE (name);


--
-- Name: unique_idx_users_email; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT unique_idx_users_email UNIQUE (email);


--
-- Name: unique_idx_users_username; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT unique_idx_users_username UNIQUE (username);


--
-- Name: upload_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT upload_pkey PRIMARY KEY (id);


--
-- Name: user_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT user_pkey PRIMARY KEY (id);


--
-- Name: vat_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT vat_pkey PRIMARY KEY (id);


--
-- Name: visa_order_item_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT visa_order_item_pkey PRIMARY KEY (order_item_id, visa_id);


--
-- Name: visa_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT visa_pkey PRIMARY KEY (id);


SET search_path = public, pg_catalog;

--
-- Name: accomodation_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT accomodation_pkey PRIMARY KEY (id);


--
-- Name: account_item_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT account_item_pkey PRIMARY KEY (id);


--
-- Name: account_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account
    ADD CONSTRAINT account_pkey PRIMARY KEY (id);


--
-- Name: address_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY address
    ADD CONSTRAINT address_pkey PRIMARY KEY (id);


--
-- Name: advsource_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT advsource_pkey PRIMARY KEY (id);


--
-- Name: appointment_header_pk; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT appointment_header_pk PRIMARY KEY (id);


--
-- Name: bank_address_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT bank_address_pkey PRIMARY KEY (bank_id, address_id);


--
-- Name: bank_detail_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT bank_detail_pkey PRIMARY KEY (id);


--
-- Name: bank_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT bank_pkey PRIMARY KEY (id);


--
-- Name: bperson_contact_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT bperson_contact_pkey PRIMARY KEY (bperson_id, contact_id);


--
-- Name: bperson_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bperson
    ADD CONSTRAINT bperson_pkey PRIMARY KEY (id);


--
-- Name: calculation_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT calculation_pkey PRIMARY KEY (id);


--
-- Name: campaign_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY campaign
    ADD CONSTRAINT campaign_pkey PRIMARY KEY (id);


--
-- Name: commission_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT commission_pkey PRIMARY KEY (id);


--
-- Name: company_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company
    ADD CONSTRAINT company_pkey PRIMARY KEY (id);


--
-- Name: company_subaccount_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT company_subaccount_pkey PRIMARY KEY (company_id, subaccount_id);


--
-- Name: contact_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contact
    ADD CONSTRAINT contact_pkey PRIMARY KEY (id);


--
-- Name: contract_commission_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT contract_commission_pkey PRIMARY KEY (contract_id, commission_id);


--
-- Name: country_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY country
    ADD CONSTRAINT country_pkey PRIMARY KEY (id);


--
-- Name: crosspayment_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT crosspayment_pkey PRIMARY KEY (id);


--
-- Name: currency_pk; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT currency_pk PRIMARY KEY (id);


--
-- Name: currency_rate_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT currency_rate_pkey PRIMARY KEY (id);


--
-- Name: dismissal_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT dismissal_pkey PRIMARY KEY (id);


--
-- Name: employee_address_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT employee_address_pkey PRIMARY KEY (employee_id, address_id);


--
-- Name: employee_contact_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT employee_contact_pkey PRIMARY KEY (employee_id, contact_id);


--
-- Name: employee_notification_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT employee_notification_pkey PRIMARY KEY (employee_id, notification_id);


--
-- Name: employee_passport_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT employee_passport_pkey PRIMARY KEY (employee_id, passport_id);


--
-- Name: employee_pk; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT employee_pk PRIMARY KEY (id);


--
-- Name: employee_subaccount_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT employee_subaccount_pkey PRIMARY KEY (employee_id, subaccount_id);


--
-- Name: employee_subscription_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_subscription
    ADD CONSTRAINT employee_subscription_pkey PRIMARY KEY (employee_id, resource_id);


--
-- Name: employee_upload_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT employee_upload_pkey PRIMARY KEY (employee_id, upload_id);


--
-- Name: foodcat_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT foodcat_pkey PRIMARY KEY (id);


--
-- Name: hotel_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT hotel_pkey PRIMARY KEY (id);


--
-- Name: hotelcat_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT hotelcat_pkey PRIMARY KEY (id);


--
-- Name: income_cashflow_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT income_cashflow_pkey PRIMARY KEY (income_id, cashflow_id);


--
-- Name: income_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY income
    ADD CONSTRAINT income_pkey PRIMARY KEY (id);


--
-- Name: invoice_item_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT invoice_item_pkey PRIMARY KEY (id);


--
-- Name: invoice_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT invoice_pkey PRIMARY KEY (id);


--
-- Name: lead_item_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT lead_item_pkey PRIMARY KEY (id);


--
-- Name: lead_offer_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT lead_offer_pkey PRIMARY KEY (id);


--
-- Name: lead_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT lead_pkey PRIMARY KEY (id);


--
-- Name: licence_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contract
    ADD CONSTRAINT licence_pkey PRIMARY KEY (id);


--
-- Name: location_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY location
    ADD CONSTRAINT location_pkey PRIMARY KEY (id);


--
-- Name: mail_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY mail
    ADD CONSTRAINT mail_pkey PRIMARY KEY (id);


--
-- Name: navigation_pk; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT navigation_pk PRIMARY KEY (id);


--
-- Name: note_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note
    ADD CONSTRAINT note_pkey PRIMARY KEY (id);


--
-- Name: note_resource_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT note_resource_pkey PRIMARY KEY (note_id, resource_id);


--
-- Name: note_upload_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT note_upload_pkey PRIMARY KEY (note_id, upload_id);


--
-- Name: notification_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY notification
    ADD CONSTRAINT notification_pkey PRIMARY KEY (id);


--
-- Name: notification_resource_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT notification_resource_pkey PRIMARY KEY (notification_id, resource_id);


--
-- Name: order_item_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT order_item_pkey PRIMARY KEY (id);


--
-- Name: order_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT order_pkey PRIMARY KEY (id);


--
-- Name: outgoing_cashflow_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT outgoing_cashflow_pkey PRIMARY KEY (outgoing_id, cashflow_id);


--
-- Name: outgoing_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT outgoing_pkey PRIMARY KEY (id);


--
-- Name: passport_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT passport_pkey PRIMARY KEY (id);


--
-- Name: passport_upload_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT passport_upload_pkey PRIMARY KEY (passport_id, upload_id);


--
-- Name: permision_pk; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT permision_pk PRIMARY KEY (id);


--
-- Name: person_address_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT person_address_pkey PRIMARY KEY (person_id, address_id);


--
-- Name: person_category_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT person_category_pkey PRIMARY KEY (id);


--
-- Name: person_contact_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT person_contact_pkey PRIMARY KEY (person_id, contact_id);


--
-- Name: person_order_item_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT person_order_item_pkey PRIMARY KEY (order_item_id, person_id);


--
-- Name: person_passport_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT person_passport_pkey PRIMARY KEY (person_id, passport_id);


--
-- Name: person_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person
    ADD CONSTRAINT person_pkey PRIMARY KEY (id);


--
-- Name: person_subaccount_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT person_subaccount_pkey PRIMARY KEY (person_id, subaccount_id);


--
-- Name: position_pk; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT position_pk PRIMARY KEY (id);


--
-- Name: region_pk; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY region
    ADD CONSTRAINT region_pk PRIMARY KEY (id);


--
-- Name: resource_pk; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT resource_pk PRIMARY KEY (id);


--
-- Name: resource_type_pk; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT resource_type_pk PRIMARY KEY (id);


--
-- Name: roomcat_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT roomcat_pkey PRIMARY KEY (id);


--
-- Name: service_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY service
    ADD CONSTRAINT service_pkey PRIMARY KEY (id);


--
-- Name: spassport_order_item_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT spassport_order_item_pkey PRIMARY KEY (order_item_id, spassport_id);


--
-- Name: spassport_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY spassport
    ADD CONSTRAINT spassport_pkey PRIMARY KEY (id);


--
-- Name: structure_address_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT structure_address_pkey PRIMARY KEY (structure_id, address_id);


--
-- Name: structure_bank_detail_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT structure_bank_detail_pkey PRIMARY KEY (structure_id, bank_detail_id);


--
-- Name: structure_contact_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT structure_contact_pkey PRIMARY KEY (structure_id, contact_id);


--
-- Name: structure_pk; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT structure_pk PRIMARY KEY (id);


--
-- Name: subaccount_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT subaccount_pkey PRIMARY KEY (id);


--
-- Name: supplier_bank_detail_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT supplier_bank_detail_pkey PRIMARY KEY (supplier_id, bank_detail_id);


--
-- Name: supplier_bperson_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT supplier_bperson_pkey PRIMARY KEY (supplier_id, bperson_id);


--
-- Name: supplier_contract_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT supplier_contract_pkey PRIMARY KEY (supplier_id, contract_id);


--
-- Name: supplier_subaccount_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT supplier_subaccount_pkey PRIMARY KEY (supplier_id, subaccount_id);


--
-- Name: supplier_type_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT supplier_type_pkey PRIMARY KEY (id);


--
-- Name: tag_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tag
    ADD CONSTRAINT tag_pkey PRIMARY KEY (id);


--
-- Name: tag_resource_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tag_resource
    ADD CONSTRAINT tag_resource_pkey PRIMARY KEY (tag_id, resource_id);


--
-- Name: task_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task
    ADD CONSTRAINT task_pkey PRIMARY KEY (id);


--
-- Name: task_resource_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT task_resource_pkey PRIMARY KEY (task_id, resource_id);


--
-- Name: task_upload_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT task_upload_pkey PRIMARY KEY (task_id, upload_id);


--
-- Name: ticket_class_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT ticket_class_pkey PRIMARY KEY (id);


--
-- Name: ticket_order_item_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT ticket_order_item_pkey PRIMARY KEY (order_item_id, ticket_id);


--
-- Name: ticket_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT ticket_pkey PRIMARY KEY (id);


--
-- Name: tour_order_item_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT tour_order_item_pkey PRIMARY KEY (order_item_id, tour_id);


--
-- Name: tour_pkey1; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT tour_pkey1 PRIMARY KEY (id);


--
-- Name: touroperator_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT touroperator_pkey PRIMARY KEY (id);


--
-- Name: transfer_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT transfer_pkey PRIMARY KEY (id);


--
-- Name: transfer_pkey1; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT transfer_pkey1 PRIMARY KEY (id);


--
-- Name: transport_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT transport_pkey PRIMARY KEY (id);


--
-- Name: unique_idx_accomodation_name; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT unique_idx_accomodation_name UNIQUE (name);


--
-- Name: unique_idx_country_iso_code; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY country
    ADD CONSTRAINT unique_idx_country_iso_code UNIQUE (iso_code);


--
-- Name: unique_idx_currency_iso_code; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT unique_idx_currency_iso_code UNIQUE (iso_code);


--
-- Name: unique_idx_currency_rate_currency_id_date; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT unique_idx_currency_rate_currency_id_date UNIQUE (currency_id, date, supplier_id);


--
-- Name: unique_idx_name_account; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account
    ADD CONSTRAINT unique_idx_name_account UNIQUE (name);


--
-- Name: unique_idx_name_account_id_subaccount; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT unique_idx_name_account_id_subaccount UNIQUE (name, account_id);


--
-- Name: unique_idx_name_account_item; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT unique_idx_name_account_item UNIQUE (name);


--
-- Name: unique_idx_name_advsource; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT unique_idx_name_advsource UNIQUE (name);


--
-- Name: unique_idx_name_bank; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT unique_idx_name_bank UNIQUE (name);


--
-- Name: unique_idx_name_company; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company
    ADD CONSTRAINT unique_idx_name_company UNIQUE (name);


--
-- Name: unique_idx_name_country_id_region; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY region
    ADD CONSTRAINT unique_idx_name_country_id_region UNIQUE (name, country_id);


--
-- Name: unique_idx_name_foodcat; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT unique_idx_name_foodcat UNIQUE (name);


--
-- Name: unique_idx_name_hotelcat; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT unique_idx_name_hotelcat UNIQUE (name);


--
-- Name: unique_idx_name_mail; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY mail
    ADD CONSTRAINT unique_idx_name_mail UNIQUE (name);


--
-- Name: unique_idx_name_person_category; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT unique_idx_name_person_category UNIQUE (name);


--
-- Name: unique_idx_name_region_id_location; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY location
    ADD CONSTRAINT unique_idx_name_region_id_location UNIQUE (name, region_id);


--
-- Name: unique_idx_name_roomcat; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT unique_idx_name_roomcat UNIQUE (name);


--
-- Name: unique_idx_name_service; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY service
    ADD CONSTRAINT unique_idx_name_service UNIQUE (name);


--
-- Name: unique_idx_name_strcuture_id_position; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT unique_idx_name_strcuture_id_position UNIQUE (name, structure_id);


--
-- Name: unique_idx_name_supplier_type; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT unique_idx_name_supplier_type UNIQUE (name);


--
-- Name: unique_idx_name_tag; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tag
    ADD CONSTRAINT unique_idx_name_tag UNIQUE (name);


--
-- Name: unique_idx_name_ticket_class; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT unique_idx_name_ticket_class UNIQUE (name);


--
-- Name: unique_idx_name_transfer; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT unique_idx_name_transfer UNIQUE (name);


--
-- Name: unique_idx_name_transport; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT unique_idx_name_transport UNIQUE (name);


--
-- Name: unique_idx_path_upload; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT unique_idx_path_upload UNIQUE (path);


--
-- Name: unique_idx_resource_type_id_position_id_permision; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT unique_idx_resource_type_id_position_id_permision UNIQUE (resource_type_id, position_id);


--
-- Name: unique_idx_resource_type_module; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT unique_idx_resource_type_module UNIQUE (module, resource_name);


--
-- Name: unique_idx_resource_type_name; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT unique_idx_resource_type_name UNIQUE (name);


--
-- Name: unique_idx_users_email; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT unique_idx_users_email UNIQUE (email);


--
-- Name: unique_idx_users_username; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT unique_idx_users_username UNIQUE (username);


--
-- Name: upload_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT upload_pkey PRIMARY KEY (id);


--
-- Name: user_pk; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT user_pk PRIMARY KEY (id);


--
-- Name: vat_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT vat_pkey PRIMARY KEY (id);


--
-- Name: visa_order_item_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT visa_order_item_pkey PRIMARY KEY (order_item_id, visa_id);


--
-- Name: visa_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT visa_pkey PRIMARY KEY (id);


SET search_path = company_en, pg_catalog;

--
-- Name: idx_resource_type_module; Type: INDEX; Schema: company_en; Owner: -; Tablespace: 
--

CREATE INDEX idx_resource_type_module ON resource_type USING btree (module);


--
-- Name: idx_resource_type_name; Type: INDEX; Schema: company_en; Owner: -; Tablespace: 
--

CREATE INDEX idx_resource_type_name ON resource_type USING btree (name);


--
-- Name: idx_resource_type_resource_name; Type: INDEX; Schema: company_en; Owner: -; Tablespace: 
--

CREATE INDEX idx_resource_type_resource_name ON resource_type USING btree (resource_name);


SET search_path = company_ru, pg_catalog;

--
-- Name: idx_resource_type_module; Type: INDEX; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE INDEX idx_resource_type_module ON resource_type USING btree (module);


--
-- Name: idx_resource_type_name; Type: INDEX; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE INDEX idx_resource_type_name ON resource_type USING btree (name);


--
-- Name: idx_resource_type_resource_name; Type: INDEX; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE INDEX idx_resource_type_resource_name ON resource_type USING btree (resource_name);


SET search_path = demo_ru, pg_catalog;

--
-- Name: idx_resource_type_module; Type: INDEX; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE INDEX idx_resource_type_module ON resource_type USING btree (module);


--
-- Name: idx_resource_type_name; Type: INDEX; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE INDEX idx_resource_type_name ON resource_type USING btree (name);


--
-- Name: idx_resource_type_resource_name; Type: INDEX; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE INDEX idx_resource_type_resource_name ON resource_type USING btree (resource_name);


SET search_path = public, pg_catalog;

--
-- Name: idx_resource_type_module; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX idx_resource_type_module ON resource_type USING btree (module);


--
-- Name: idx_resource_type_name; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX idx_resource_type_name ON resource_type USING btree (name);


--
-- Name: idx_resource_type_resource_name; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX idx_resource_type_resource_name ON resource_type USING btree (resource_name);


SET search_path = company_en, pg_catalog;

--
-- Name: fk_accomodation_id_tour; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_accomodation_id_tour FOREIGN KEY (accomodation_id) REFERENCES accomodation(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_id_invoice; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_account_id_invoice FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_id_vat; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_account_id_vat FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_cashflow; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_account_item_id_cashflow FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_cashflow; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_account_item_id_cashflow FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_outgoing; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_account_item_id_outgoing FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_parent_id; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT fk_account_item_parent_id FOREIGN KEY (parent_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_bank_address; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT fk_address_id_bank_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_employee_address; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT fk_address_id_employee_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_person_address; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT fk_address_id_person_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_structure_address; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT fk_address_id_structure_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_advsource_id_lead; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_advsource_id_lead FOREIGN KEY (advsource_id) REFERENCES advsource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_advsource_id_order; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_advsource_id_order FOREIGN KEY (advsource_id) REFERENCES advsource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_detail_id_structure_bank_detail; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT fk_bank_detail_id_structure_bank_detail FOREIGN KEY (bank_detail_id) REFERENCES bank_detail(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_detail_id_supplier_bank_detail; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT fk_bank_detail_id_supplier_bank_detail FOREIGN KEY (bank_detail_id) REFERENCES bank_detail(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_id_bank_address; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT fk_bank_id_bank_address FOREIGN KEY (bank_id) REFERENCES bank(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_id_bank_detail; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_bank_id_bank_detail FOREIGN KEY (bank_id) REFERENCES bank(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_bperson_id_bperson_contact; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT fk_bperson_id_bperson_contact FOREIGN KEY (bperson_id) REFERENCES bperson(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bperson_id_supplier_bperson; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT fk_bperson_id_supplier_bperson FOREIGN KEY (bperson_id) REFERENCES bperson(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_crosspayment; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT fk_cashflow_id_crosspayment FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_income_cashflow; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT fk_cashflow_id_income_cashflow FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_outgoing_cashflow; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT fk_cashflow_id_outgoing_cashflow FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_commission_id_contract_commission; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT fk_commission_id_contract_commission FOREIGN KEY (commission_id) REFERENCES commission(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_company_id_company_subaccount; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT fk_company_id_company_subaccount FOREIGN KEY (company_id) REFERENCES company(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_bperson_contact; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT fk_contact_id_bperson_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_employee_contact; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT fk_contact_id_employee_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_person_contact; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT fk_contact_id_person_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_structure_contact; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT fk_contact_id_structure_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_caluclation; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_contract_id_caluclation FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_contract_commission; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT fk_contract_id_contract_commission FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_supplier_contract; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT fk_contract_id_supplier_contract FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_country_id_passport; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT fk_country_id_passport FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_country_id_visa; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT fk_country_id_visa FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_account; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY account
    ADD CONSTRAINT fk_currency_id_account FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_appointment; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_currency_id_appointment FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_bank_detail; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_currency_id_bank_detail FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_commission; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_currency_id_commission FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_company; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY company
    ADD CONSTRAINT fk_currency_id_company FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_currency_rate; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_currency_id_currency_rate FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_lead_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_currency_id_lead_item FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_lead_offer; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_currency_id_lead_offer FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_currency_id_order_item FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_customer_id_lead; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_customer_id_lead FOREIGN KEY (customer_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_customer_id_order; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_customer_id_order FOREIGN KEY (customer_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_appointment; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_employee_id_appointment FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_dismissal; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT fk_employee_id_dismissal FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_address; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT fk_employee_id_employee_address FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_contact; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT fk_employee_id_employee_contact FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_notification; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT fk_employee_id_employee_notification FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_passport; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT fk_employee_id_employee_passport FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_subaccount; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT fk_employee_id_employee_subaccount FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_subscription; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee_subscription
    ADD CONSTRAINT fk_employee_id_employee_subscription FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_upload; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT fk_employee_id_employee_upload FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_user; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT fk_employee_id_user FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_location_id_ticket; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_end_location_id_ticket FOREIGN KEY (end_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_location_id_tour; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_end_location_id_tour FOREIGN KEY (end_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_transport_id_tour; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_end_transport_id_tour FOREIGN KEY (end_transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_foodcat_id_tour; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_foodcat_id_tour FOREIGN KEY (foodcat_id) REFERENCES foodcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_hotel_id_tour; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_hotel_id_tour FOREIGN KEY (hotel_id) REFERENCES hotel(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_hotelcat_id_hotel; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_hotelcat_id_hotel FOREIGN KEY (hotelcat_id) REFERENCES hotelcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_income_id_income_cashflow; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT fk_income_id_income_cashflow FOREIGN KEY (income_id) REFERENCES income(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_invoice_id_income; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_invoice_id_income FOREIGN KEY (invoice_id) REFERENCES invoice(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_invoice_id_invoice_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT fk_invoice_id_invoice_item FOREIGN KEY (invoice_id) REFERENCES invoice(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_lead_id_lead_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_lead_id_lead_item FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_lead_id_lead_offer; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_lead_id_lead_offer FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_lead_id_order; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_lead_id_order FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_location_id_address; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY address
    ADD CONSTRAINT fk_location_id_address FOREIGN KEY (location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_location_id_hotel; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_location_id_hotel FOREIGN KEY (location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_mail_id_campaign; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY campaign
    ADD CONSTRAINT fk_mail_id_campaign FOREIGN KEY (mail_id) REFERENCES mail(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_maintainer_id_resource; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT fk_maintainer_id_resource FOREIGN KEY (maintainer_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_navigation_position_id; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_navigation_position_id FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_note_id_note_resource; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT fk_note_id_note_resource FOREIGN KEY (note_id) REFERENCES note(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_note_id_note_upload; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT fk_note_id_note_upload FOREIGN KEY (note_id) REFERENCES note(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_notification_id_employee_notification; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT fk_notification_id_employee_notification FOREIGN KEY (notification_id) REFERENCES notification(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_notification_id_notification_resource; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT fk_notification_id_notification_resource FOREIGN KEY (notification_id) REFERENCES notification(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_id_invoice; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_order_id_invoice FOREIGN KEY (order_id) REFERENCES "order"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_id_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_order_id_order_item FOREIGN KEY (order_id) REFERENCES "order"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_caluclation; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_order_item_id_caluclation FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_invoice_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT fk_order_item_id_invoice_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_person_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT fk_order_item_id_person_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_spassport_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT fk_order_item_id_spassport_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_ticket_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT fk_order_item_id_ticket_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_tour_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT fk_order_item_id_tour_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_visa_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT fk_order_item_id_visa_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_outgoing_id_outgoing_cashflow; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT fk_outgoing_id_outgoing_cashflow FOREIGN KEY (outgoing_id) REFERENCES outgoing(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_parent_id_navigation; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_parent_id_navigation FOREIGN KEY (parent_id) REFERENCES navigation(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_employee_passport; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT fk_passport_id_employee_passport FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_passport_upload; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT fk_passport_id_passport_upload FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_person_passport; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT fk_passport_id_person_passport FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_permision_structure_id; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_permision_structure_id FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_category_id_campaign; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY campaign
    ADD CONSTRAINT fk_person_category_id_campaign FOREIGN KEY (person_category_id) REFERENCES person_category(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_category_id_person; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person
    ADD CONSTRAINT fk_person_category_id_person FOREIGN KEY (person_category_id) REFERENCES person_category(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_address; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT fk_person_id_person_address FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_contact; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT fk_person_id_person_contact FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT fk_person_id_person_order_item FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_passport; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT fk_person_id_person_passport FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_subaccount; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT fk_person_id_person_subaccount FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_photo_upload_id_employee; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT fk_photo_upload_id_employee FOREIGN KEY (photo_upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_position_id_appointment; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_position_id_appointment FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_position_id_permision; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_position_id_permision FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_position_structure_id; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT fk_position_structure_id FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_region_country_id; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY region
    ADD CONSTRAINT fk_region_country_id FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_region_id_location; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY location
    ADD CONSTRAINT fk_region_id_location FOREIGN KEY (region_id) REFERENCES region(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_accomodation; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT fk_resource_id_accomodation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_account; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY account
    ADD CONSTRAINT fk_resource_id_account FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_account_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT fk_resource_id_account_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_address; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY address
    ADD CONSTRAINT fk_resource_id_address FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_advsource; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT fk_resource_id_advsource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_appointment; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_resource_id_appointment FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bank; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT fk_resource_id_bank FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bank_detail; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_resource_id_bank_detail FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bperson; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY bperson
    ADD CONSTRAINT fk_resource_id_bperson FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_calculation; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_resource_id_calculation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_campaign; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY campaign
    ADD CONSTRAINT fk_resource_id_campaign FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_commission; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_resource_id_commission FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_company; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY company
    ADD CONSTRAINT fk_resource_id_company FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_contact; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY contact
    ADD CONSTRAINT fk_resource_id_contact FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_contact; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT fk_resource_id_contact FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_contract; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY contract
    ADD CONSTRAINT fk_resource_id_contract FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_country; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY country
    ADD CONSTRAINT fk_resource_id_country FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_crosspayment; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT fk_resource_id_crosspayment FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_currency; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT fk_resource_id_currency FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_currency_rate; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_resource_id_currency_rate FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_dismissal; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT fk_resource_id_dismissal FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_employee; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT fk_resource_id_employee FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_employee_subscription; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee_subscription
    ADD CONSTRAINT fk_resource_id_employee_subscription FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_foodcat; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT fk_resource_id_foodcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_hotel; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_resource_id_hotel FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_hotelcat; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT fk_resource_id_hotelcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_income; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_resource_id_income FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_invoice; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_resource_id_invoice FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_resource_id_lead FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_resource_id_lead_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead_offer; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_resource_id_lead_offer FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_location; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY location
    ADD CONSTRAINT fk_resource_id_location FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_mail; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY mail
    ADD CONSTRAINT fk_resource_id_mail FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_navigation; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_resource_id_navigation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_note; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY note
    ADD CONSTRAINT fk_resource_id_note FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_note_resource; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT fk_resource_id_note_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_notification; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY notification
    ADD CONSTRAINT fk_resource_id_notification FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_notification_resource; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT fk_resource_id_notification_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_order; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_resource_id_order FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_resource_id_order_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_outgoing; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_resource_id_outgoing FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_passport; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT fk_resource_id_passport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_person; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person
    ADD CONSTRAINT fk_resource_id_person FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_person_category; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT fk_resource_id_person_category FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_position; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT fk_resource_id_position FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_region; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY region
    ADD CONSTRAINT fk_resource_id_region FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_resource_type; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT fk_resource_id_resource_type FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_roomcat; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT fk_resource_id_roomcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_service; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY service
    ADD CONSTRAINT fk_resource_id_service FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_spassport; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY spassport
    ADD CONSTRAINT fk_resource_id_spassport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_structure; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_resource_id_structure FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_subaccount; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT fk_resource_id_subaccount FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_supplier; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT fk_resource_id_supplier FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_supplier_type; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT fk_resource_id_supplier_type FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_tag; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tag
    ADD CONSTRAINT fk_resource_id_tag FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_tag_resource; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tag_resource
    ADD CONSTRAINT fk_resource_id_tag_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_task; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY task
    ADD CONSTRAINT fk_resource_id_task FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_task_resource; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT fk_resource_id_task_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_ticket; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_resource_id_ticket FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_ticket_class; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT fk_resource_id_ticket_class FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_tour; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_resource_id_tour FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_transfer; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT fk_resource_id_transfer FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_transport; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT fk_resource_id_transport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_user; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT fk_resource_id_user FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_vat; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_resource_id_vat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_visa; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT fk_resource_id_visa FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_type_id_permission; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_resource_type_id_permission FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_resource_type_id_resource; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT fk_resource_type_id_resource FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_type_id_service; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY service
    ADD CONSTRAINT fk_resource_type_id_service FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_roomcat_id_tour; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_roomcat_id_tour FOREIGN KEY (roomcat_id) REFERENCES roomcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_commission; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_service_id_commission FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_lead_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_service_id_lead_item FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_lead_offer; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_service_id_lead_offer FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_service_id_order_item FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_vat; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_service_id_vat FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_spassport_id_spassport_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT fk_spassport_id_spassport_order_item FOREIGN KEY (spassport_id) REFERENCES spassport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_location_id_ticket; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_start_location_id_ticket FOREIGN KEY (start_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_location_id_tour; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_start_location_id_tour FOREIGN KEY (start_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_transport_id_tour; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_start_transport_id_tour FOREIGN KEY (start_transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_company_id; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_structure_company_id FOREIGN KEY (company_id) REFERENCES company(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_address; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT fk_structure_id_structure_address FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_bank_detail; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT fk_structure_id_structure_bank_detail FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_contact; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT fk_structure_id_structure_contact FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_parent_id; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_structure_parent_id FOREIGN KEY (parent_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_account_id; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT fk_subaccount_account_id FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_from_id_cashflow; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_subaccount_from_id_cashflow FOREIGN KEY (subaccount_from_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_company_subaccount; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT fk_subaccount_id_company_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_employee_subaccount; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT fk_subaccount_id_employee_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_outgoing; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_subaccount_id_outgoing FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_person_subaccount; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT fk_subaccount_id_person_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_supplier_subaccount; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT fk_subaccount_id_supplier_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_to_id_cashflow; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_subaccount_to_id_cashflow FOREIGN KEY (subaccount_to_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_currency_rate; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_supplier_id_currency_rate FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_lead_offer; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_supplier_id_lead_offer FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_supplier_id_order_item FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_bank_detail; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT fk_supplier_id_supplier_bank_detail FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_bperson; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT fk_supplier_id_supplier_bperson FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_contract; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT fk_supplier_id_supplier_contract FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_subaccount; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT fk_supplier_id_supplier_subaccount FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_type_id_supplier; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT fk_supplier_type_id_supplier FOREIGN KEY (supplier_type_id) REFERENCES supplier_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_tag_id_tag_resource; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tag_resource
    ADD CONSTRAINT fk_tag_id_tag_resource FOREIGN KEY (tag_id) REFERENCES tag(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_task_id_task_resource; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT fk_task_id_task_resource FOREIGN KEY (task_id) REFERENCES task(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_task_id_task_upload; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT fk_task_id_task_upload FOREIGN KEY (task_id) REFERENCES task(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_ticket_class_id_ticket; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_ticket_class_id_ticket FOREIGN KEY (ticket_class_id) REFERENCES ticket_class(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_ticket_id_ticket_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT fk_ticket_id_ticket_order_item FOREIGN KEY (ticket_id) REFERENCES ticket(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_tour_id_tour_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT fk_tour_id_tour_order_item FOREIGN KEY (tour_id) REFERENCES tour(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_transfer_id_tour; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_transfer_id_tour FOREIGN KEY (transfer_id) REFERENCES transfer(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_transport_id_ticket; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_transport_id_ticket FOREIGN KEY (transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_employee_upload; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT fk_upload_id_employee_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_note_upload; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT fk_upload_id_note_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_passport_upload; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT fk_upload_id_passport_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_task_upload; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT fk_upload_id_task_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_visa_id_visa_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT fk_visa_id_visa_order_item FOREIGN KEY (visa_id) REFERENCES visa(id) ON UPDATE CASCADE ON DELETE RESTRICT;


SET search_path = company_ru, pg_catalog;

--
-- Name: fk_accomodation_id_tour; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_accomodation_id_tour FOREIGN KEY (accomodation_id) REFERENCES accomodation(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_id_invoice; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_account_id_invoice FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_id_vat; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_account_id_vat FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_cashflow; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_account_item_id_cashflow FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_cashflow; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_account_item_id_cashflow FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_outgoing; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_account_item_id_outgoing FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_parent_id; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT fk_account_item_parent_id FOREIGN KEY (parent_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_bank_address; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT fk_address_id_bank_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_employee_address; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT fk_address_id_employee_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_person_address; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT fk_address_id_person_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_structure_address; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT fk_address_id_structure_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_advsource_id_lead; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_advsource_id_lead FOREIGN KEY (advsource_id) REFERENCES advsource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_advsource_id_order; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_advsource_id_order FOREIGN KEY (advsource_id) REFERENCES advsource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_detail_id_structure_bank_detail; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT fk_bank_detail_id_structure_bank_detail FOREIGN KEY (bank_detail_id) REFERENCES bank_detail(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_detail_id_supplier_bank_detail; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT fk_bank_detail_id_supplier_bank_detail FOREIGN KEY (bank_detail_id) REFERENCES bank_detail(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_id_bank_address; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT fk_bank_id_bank_address FOREIGN KEY (bank_id) REFERENCES bank(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_id_bank_detail; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_bank_id_bank_detail FOREIGN KEY (bank_id) REFERENCES bank(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_bperson_id_bperson_contact; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT fk_bperson_id_bperson_contact FOREIGN KEY (bperson_id) REFERENCES bperson(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bperson_id_supplier_bperson; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT fk_bperson_id_supplier_bperson FOREIGN KEY (bperson_id) REFERENCES bperson(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_crosspayment; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT fk_cashflow_id_crosspayment FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_income_cashflow; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT fk_cashflow_id_income_cashflow FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_outgoing_cashflow; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT fk_cashflow_id_outgoing_cashflow FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_commission_id_contract_commission; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT fk_commission_id_contract_commission FOREIGN KEY (commission_id) REFERENCES commission(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_company_id_company_subaccount; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT fk_company_id_company_subaccount FOREIGN KEY (company_id) REFERENCES company(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_bperson_contact; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT fk_contact_id_bperson_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_employee_contact; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT fk_contact_id_employee_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_person_contact; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT fk_contact_id_person_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_structure_contact; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT fk_contact_id_structure_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_caluclation; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_contract_id_caluclation FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_contract_commission; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT fk_contract_id_contract_commission FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_supplier_contract; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT fk_contract_id_supplier_contract FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_country_id_passport; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT fk_country_id_passport FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_country_id_visa; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT fk_country_id_visa FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_account; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY account
    ADD CONSTRAINT fk_currency_id_account FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_appointment; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_currency_id_appointment FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_bank_detail; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_currency_id_bank_detail FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_commission; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_currency_id_commission FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_company; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY company
    ADD CONSTRAINT fk_currency_id_company FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_currency_rate; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_currency_id_currency_rate FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_lead_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_currency_id_lead_item FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_lead_offer; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_currency_id_lead_offer FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_currency_id_order_item FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_customer_id_lead; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_customer_id_lead FOREIGN KEY (customer_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_customer_id_order; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_customer_id_order FOREIGN KEY (customer_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_appointment; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_employee_id_appointment FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_dismissal; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT fk_employee_id_dismissal FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_address; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT fk_employee_id_employee_address FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_contact; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT fk_employee_id_employee_contact FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_notification; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT fk_employee_id_employee_notification FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_passport; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT fk_employee_id_employee_passport FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_subaccount; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT fk_employee_id_employee_subaccount FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_subscription; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee_subscription
    ADD CONSTRAINT fk_employee_id_employee_subscription FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_upload; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT fk_employee_id_employee_upload FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_user; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT fk_employee_id_user FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_location_id_ticket; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_end_location_id_ticket FOREIGN KEY (end_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_location_id_tour; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_end_location_id_tour FOREIGN KEY (end_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_transport_id_tour; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_end_transport_id_tour FOREIGN KEY (end_transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_foodcat_id_tour; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_foodcat_id_tour FOREIGN KEY (foodcat_id) REFERENCES foodcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_hotel_id_tour; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_hotel_id_tour FOREIGN KEY (hotel_id) REFERENCES hotel(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_hotelcat_id_hotel; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_hotelcat_id_hotel FOREIGN KEY (hotelcat_id) REFERENCES hotelcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_income_id_income_cashflow; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT fk_income_id_income_cashflow FOREIGN KEY (income_id) REFERENCES income(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_invoice_id_income; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_invoice_id_income FOREIGN KEY (invoice_id) REFERENCES invoice(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_invoice_id_invoice_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT fk_invoice_id_invoice_item FOREIGN KEY (invoice_id) REFERENCES invoice(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_lead_id_lead_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_lead_id_lead_item FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_lead_id_lead_offer; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_lead_id_lead_offer FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_lead_id_order; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_lead_id_order FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_location_id_address; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY address
    ADD CONSTRAINT fk_location_id_address FOREIGN KEY (location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_location_id_hotel; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_location_id_hotel FOREIGN KEY (location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_mail_id_campaign; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY campaign
    ADD CONSTRAINT fk_mail_id_campaign FOREIGN KEY (mail_id) REFERENCES mail(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_maintainer_id_resource; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT fk_maintainer_id_resource FOREIGN KEY (maintainer_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_navigation_position_id; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_navigation_position_id FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_note_id_note_resource; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT fk_note_id_note_resource FOREIGN KEY (note_id) REFERENCES note(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_note_id_note_upload; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT fk_note_id_note_upload FOREIGN KEY (note_id) REFERENCES note(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_notification_id_employee_notification; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT fk_notification_id_employee_notification FOREIGN KEY (notification_id) REFERENCES notification(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_notification_id_notification_resource; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT fk_notification_id_notification_resource FOREIGN KEY (notification_id) REFERENCES notification(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_id_invoice; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_order_id_invoice FOREIGN KEY (order_id) REFERENCES "order"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_id_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_order_id_order_item FOREIGN KEY (order_id) REFERENCES "order"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_caluclation; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_order_item_id_caluclation FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_invoice_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT fk_order_item_id_invoice_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_person_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT fk_order_item_id_person_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_spassport_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT fk_order_item_id_spassport_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_ticket_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT fk_order_item_id_ticket_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_tour_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT fk_order_item_id_tour_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_visa_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT fk_order_item_id_visa_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_outgoing_id_outgoing_cashflow; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT fk_outgoing_id_outgoing_cashflow FOREIGN KEY (outgoing_id) REFERENCES outgoing(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_parent_id_navigation; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_parent_id_navigation FOREIGN KEY (parent_id) REFERENCES navigation(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_employee_passport; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT fk_passport_id_employee_passport FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_passport_upload; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT fk_passport_id_passport_upload FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_person_passport; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT fk_passport_id_person_passport FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_permision_structure_id; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_permision_structure_id FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_category_id_campaign; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY campaign
    ADD CONSTRAINT fk_person_category_id_campaign FOREIGN KEY (person_category_id) REFERENCES person_category(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_category_id_person; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person
    ADD CONSTRAINT fk_person_category_id_person FOREIGN KEY (person_category_id) REFERENCES person_category(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_address; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT fk_person_id_person_address FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_contact; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT fk_person_id_person_contact FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT fk_person_id_person_order_item FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_passport; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT fk_person_id_person_passport FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_subaccount; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT fk_person_id_person_subaccount FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_photo_upload_id_employee; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT fk_photo_upload_id_employee FOREIGN KEY (photo_upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_position_id_appointment; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_position_id_appointment FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_position_id_permision; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_position_id_permision FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_position_structure_id; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT fk_position_structure_id FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_region_country_id; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY region
    ADD CONSTRAINT fk_region_country_id FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_region_id_location; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY location
    ADD CONSTRAINT fk_region_id_location FOREIGN KEY (region_id) REFERENCES region(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_accomodation; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT fk_resource_id_accomodation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_account; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY account
    ADD CONSTRAINT fk_resource_id_account FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_account_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT fk_resource_id_account_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_address; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY address
    ADD CONSTRAINT fk_resource_id_address FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_advsource; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT fk_resource_id_advsource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_appointment; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_resource_id_appointment FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bank; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT fk_resource_id_bank FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bank_detail; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_resource_id_bank_detail FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bperson; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY bperson
    ADD CONSTRAINT fk_resource_id_bperson FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_calculation; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_resource_id_calculation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_campaign; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY campaign
    ADD CONSTRAINT fk_resource_id_campaign FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_commission; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_resource_id_commission FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_company; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY company
    ADD CONSTRAINT fk_resource_id_company FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_contact; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY contact
    ADD CONSTRAINT fk_resource_id_contact FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_contact; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT fk_resource_id_contact FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_contract; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY contract
    ADD CONSTRAINT fk_resource_id_contract FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_country; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY country
    ADD CONSTRAINT fk_resource_id_country FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_crosspayment; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT fk_resource_id_crosspayment FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_currency; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT fk_resource_id_currency FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_currency_rate; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_resource_id_currency_rate FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_dismissal; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT fk_resource_id_dismissal FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_employee; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT fk_resource_id_employee FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_employee_subscription; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee_subscription
    ADD CONSTRAINT fk_resource_id_employee_subscription FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_foodcat; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT fk_resource_id_foodcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_hotel; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_resource_id_hotel FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_hotelcat; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT fk_resource_id_hotelcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_income; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_resource_id_income FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_invoice; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_resource_id_invoice FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_resource_id_lead FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_resource_id_lead_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead_offer; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_resource_id_lead_offer FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_location; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY location
    ADD CONSTRAINT fk_resource_id_location FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_mail; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY mail
    ADD CONSTRAINT fk_resource_id_mail FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_navigation; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_resource_id_navigation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_note; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY note
    ADD CONSTRAINT fk_resource_id_note FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_note_resource; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT fk_resource_id_note_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_notification; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY notification
    ADD CONSTRAINT fk_resource_id_notification FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_notification_resource; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT fk_resource_id_notification_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_order; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_resource_id_order FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_resource_id_order_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_outgoing; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_resource_id_outgoing FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_passport; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT fk_resource_id_passport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_person; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person
    ADD CONSTRAINT fk_resource_id_person FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_person_category; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT fk_resource_id_person_category FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_position; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT fk_resource_id_position FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_region; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY region
    ADD CONSTRAINT fk_resource_id_region FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_resource_type; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT fk_resource_id_resource_type FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_roomcat; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT fk_resource_id_roomcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_service; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY service
    ADD CONSTRAINT fk_resource_id_service FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_spassport; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY spassport
    ADD CONSTRAINT fk_resource_id_spassport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_structure; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_resource_id_structure FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_subaccount; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT fk_resource_id_subaccount FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_supplier; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT fk_resource_id_supplier FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_supplier_type; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT fk_resource_id_supplier_type FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_tag; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tag
    ADD CONSTRAINT fk_resource_id_tag FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_tag_resource; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tag_resource
    ADD CONSTRAINT fk_resource_id_tag_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_task; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY task
    ADD CONSTRAINT fk_resource_id_task FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_task_resource; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT fk_resource_id_task_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_ticket; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_resource_id_ticket FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_ticket_class; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT fk_resource_id_ticket_class FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_tour; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_resource_id_tour FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_transfer; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT fk_resource_id_transfer FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_transport; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT fk_resource_id_transport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_user; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT fk_resource_id_user FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_vat; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_resource_id_vat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_visa; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT fk_resource_id_visa FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_type_id_permission; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_resource_type_id_permission FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_resource_type_id_resource; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT fk_resource_type_id_resource FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_type_id_service; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY service
    ADD CONSTRAINT fk_resource_type_id_service FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_roomcat_id_tour; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_roomcat_id_tour FOREIGN KEY (roomcat_id) REFERENCES roomcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_commission; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_service_id_commission FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_lead_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_service_id_lead_item FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_lead_offer; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_service_id_lead_offer FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_service_id_order_item FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_vat; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_service_id_vat FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_spassport_id_spassport_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT fk_spassport_id_spassport_order_item FOREIGN KEY (spassport_id) REFERENCES spassport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_location_id_ticket; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_start_location_id_ticket FOREIGN KEY (start_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_location_id_tour; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_start_location_id_tour FOREIGN KEY (start_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_transport_id_tour; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_start_transport_id_tour FOREIGN KEY (start_transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_company_id; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_structure_company_id FOREIGN KEY (company_id) REFERENCES company(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_address; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT fk_structure_id_structure_address FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_bank_detail; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT fk_structure_id_structure_bank_detail FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_contact; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT fk_structure_id_structure_contact FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_parent_id; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_structure_parent_id FOREIGN KEY (parent_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_account_id; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT fk_subaccount_account_id FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_from_id_cashflow; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_subaccount_from_id_cashflow FOREIGN KEY (subaccount_from_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_company_subaccount; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT fk_subaccount_id_company_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_employee_subaccount; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT fk_subaccount_id_employee_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_outgoing; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_subaccount_id_outgoing FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_person_subaccount; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT fk_subaccount_id_person_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_supplier_subaccount; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT fk_subaccount_id_supplier_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_to_id_cashflow; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_subaccount_to_id_cashflow FOREIGN KEY (subaccount_to_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_currency_rate; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_supplier_id_currency_rate FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_lead_offer; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_supplier_id_lead_offer FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_supplier_id_order_item FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_bank_detail; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT fk_supplier_id_supplier_bank_detail FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_bperson; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT fk_supplier_id_supplier_bperson FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_contract; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT fk_supplier_id_supplier_contract FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_subaccount; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT fk_supplier_id_supplier_subaccount FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_type_id_supplier; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT fk_supplier_type_id_supplier FOREIGN KEY (supplier_type_id) REFERENCES supplier_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_tag_id_tag_resource; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tag_resource
    ADD CONSTRAINT fk_tag_id_tag_resource FOREIGN KEY (tag_id) REFERENCES tag(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_task_id_task_resource; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT fk_task_id_task_resource FOREIGN KEY (task_id) REFERENCES task(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_task_id_task_upload; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT fk_task_id_task_upload FOREIGN KEY (task_id) REFERENCES task(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_ticket_class_id_ticket; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_ticket_class_id_ticket FOREIGN KEY (ticket_class_id) REFERENCES ticket_class(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_ticket_id_ticket_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT fk_ticket_id_ticket_order_item FOREIGN KEY (ticket_id) REFERENCES ticket(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_tour_id_tour_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT fk_tour_id_tour_order_item FOREIGN KEY (tour_id) REFERENCES tour(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_transfer_id_tour; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_transfer_id_tour FOREIGN KEY (transfer_id) REFERENCES transfer(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_transport_id_ticket; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_transport_id_ticket FOREIGN KEY (transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_employee_upload; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT fk_upload_id_employee_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_note_upload; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT fk_upload_id_note_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_passport_upload; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT fk_upload_id_passport_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_task_upload; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT fk_upload_id_task_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_visa_id_visa_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT fk_visa_id_visa_order_item FOREIGN KEY (visa_id) REFERENCES visa(id) ON UPDATE CASCADE ON DELETE RESTRICT;


SET search_path = demo_ru, pg_catalog;

--
-- Name: fk_accomodation_id_tour; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_accomodation_id_tour FOREIGN KEY (accomodation_id) REFERENCES accomodation(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_id_invoice; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_account_id_invoice FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_id_vat; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_account_id_vat FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_cashflow; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_account_item_id_cashflow FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_cashflow; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_account_item_id_cashflow FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_outgoing; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_account_item_id_outgoing FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_parent_id; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT fk_account_item_parent_id FOREIGN KEY (parent_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_bank_address; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT fk_address_id_bank_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_employee_address; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT fk_address_id_employee_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_person_address; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT fk_address_id_person_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_structure_address; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT fk_address_id_structure_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_advsource_id_lead; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_advsource_id_lead FOREIGN KEY (advsource_id) REFERENCES advsource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_advsource_id_order; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_advsource_id_order FOREIGN KEY (advsource_id) REFERENCES advsource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_detail_id_structure_bank_detail; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT fk_bank_detail_id_structure_bank_detail FOREIGN KEY (bank_detail_id) REFERENCES bank_detail(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_detail_id_supplier_bank_detail; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT fk_bank_detail_id_supplier_bank_detail FOREIGN KEY (bank_detail_id) REFERENCES bank_detail(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_id_bank_address; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT fk_bank_id_bank_address FOREIGN KEY (bank_id) REFERENCES bank(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_id_bank_detail; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_bank_id_bank_detail FOREIGN KEY (bank_id) REFERENCES bank(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_bperson_id_bperson_contact; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT fk_bperson_id_bperson_contact FOREIGN KEY (bperson_id) REFERENCES bperson(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bperson_id_supplier_bperson; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT fk_bperson_id_supplier_bperson FOREIGN KEY (bperson_id) REFERENCES bperson(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_crosspayment; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT fk_cashflow_id_crosspayment FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_income_cashflow; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT fk_cashflow_id_income_cashflow FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_outgoing_cashflow; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT fk_cashflow_id_outgoing_cashflow FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_commission_id_contract_commission; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT fk_commission_id_contract_commission FOREIGN KEY (commission_id) REFERENCES commission(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_company_id_company_subaccount; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT fk_company_id_company_subaccount FOREIGN KEY (company_id) REFERENCES company(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_bperson_contact; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT fk_contact_id_bperson_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_employee_contact; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT fk_contact_id_employee_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_person_contact; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT fk_contact_id_person_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_structure_contact; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT fk_contact_id_structure_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_caluclation; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_contract_id_caluclation FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_contract_commission; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT fk_contract_id_contract_commission FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_supplier_contract; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT fk_contract_id_supplier_contract FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_country_id_passport; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT fk_country_id_passport FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_country_id_visa; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT fk_country_id_visa FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_account; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY account
    ADD CONSTRAINT fk_currency_id_account FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_appointment; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_currency_id_appointment FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_bank_detail; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_currency_id_bank_detail FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_commission; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_currency_id_commission FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_company; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY company
    ADD CONSTRAINT fk_currency_id_company FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_currency_rate; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_currency_id_currency_rate FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_lead_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_currency_id_lead_item FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_lead_offer; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_currency_id_lead_offer FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_currency_id_order_item FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_customer_id_lead; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_customer_id_lead FOREIGN KEY (customer_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_customer_id_order; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_customer_id_order FOREIGN KEY (customer_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_appointment; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_employee_id_appointment FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_dismissal; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT fk_employee_id_dismissal FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_address; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT fk_employee_id_employee_address FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_contact; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT fk_employee_id_employee_contact FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_notification; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT fk_employee_id_employee_notification FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_passport; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT fk_employee_id_employee_passport FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_subaccount; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT fk_employee_id_employee_subaccount FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_subscription; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee_subscription
    ADD CONSTRAINT fk_employee_id_employee_subscription FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_upload; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT fk_employee_id_employee_upload FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_user; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT fk_employee_id_user FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_location_id_ticket; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_end_location_id_ticket FOREIGN KEY (end_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_location_id_tour; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_end_location_id_tour FOREIGN KEY (end_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_transport_id_tour; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_end_transport_id_tour FOREIGN KEY (end_transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_foodcat_id_tour; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_foodcat_id_tour FOREIGN KEY (foodcat_id) REFERENCES foodcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_hotel_id_tour; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_hotel_id_tour FOREIGN KEY (hotel_id) REFERENCES hotel(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_hotelcat_id_hotel; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_hotelcat_id_hotel FOREIGN KEY (hotelcat_id) REFERENCES hotelcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_income_id_income_cashflow; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT fk_income_id_income_cashflow FOREIGN KEY (income_id) REFERENCES income(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_invoice_id_income; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_invoice_id_income FOREIGN KEY (invoice_id) REFERENCES invoice(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_invoice_id_invoice_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT fk_invoice_id_invoice_item FOREIGN KEY (invoice_id) REFERENCES invoice(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_lead_id_lead_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_lead_id_lead_item FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_lead_id_lead_offer; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_lead_id_lead_offer FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_lead_id_order; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_lead_id_order FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_location_id_address; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY address
    ADD CONSTRAINT fk_location_id_address FOREIGN KEY (location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_location_id_hotel; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_location_id_hotel FOREIGN KEY (location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_mail_id_campaign; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY campaign
    ADD CONSTRAINT fk_mail_id_campaign FOREIGN KEY (mail_id) REFERENCES mail(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_maintainer_id_resource; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT fk_maintainer_id_resource FOREIGN KEY (maintainer_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_navigation_position_id; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_navigation_position_id FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_note_id_note_resource; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT fk_note_id_note_resource FOREIGN KEY (note_id) REFERENCES note(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_note_id_note_upload; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT fk_note_id_note_upload FOREIGN KEY (note_id) REFERENCES note(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_notification_id_employee_notification; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT fk_notification_id_employee_notification FOREIGN KEY (notification_id) REFERENCES notification(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_notification_id_notification_resource; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT fk_notification_id_notification_resource FOREIGN KEY (notification_id) REFERENCES notification(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_id_invoice; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_order_id_invoice FOREIGN KEY (order_id) REFERENCES "order"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_id_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_order_id_order_item FOREIGN KEY (order_id) REFERENCES "order"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_caluclation; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_order_item_id_caluclation FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_invoice_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT fk_order_item_id_invoice_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_person_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT fk_order_item_id_person_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_spassport_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT fk_order_item_id_spassport_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_ticket_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT fk_order_item_id_ticket_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_tour_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT fk_order_item_id_tour_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_visa_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT fk_order_item_id_visa_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_outgoing_id_outgoing_cashflow; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT fk_outgoing_id_outgoing_cashflow FOREIGN KEY (outgoing_id) REFERENCES outgoing(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_parent_id_navigation; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_parent_id_navigation FOREIGN KEY (parent_id) REFERENCES navigation(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_employee_passport; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT fk_passport_id_employee_passport FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_passport_upload; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT fk_passport_id_passport_upload FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_person_passport; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT fk_passport_id_person_passport FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_permision_structure_id; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_permision_structure_id FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_category_id_campaign; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY campaign
    ADD CONSTRAINT fk_person_category_id_campaign FOREIGN KEY (person_category_id) REFERENCES person_category(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_category_id_person; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person
    ADD CONSTRAINT fk_person_category_id_person FOREIGN KEY (person_category_id) REFERENCES person_category(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_address; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT fk_person_id_person_address FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_contact; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT fk_person_id_person_contact FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT fk_person_id_person_order_item FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_passport; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT fk_person_id_person_passport FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_subaccount; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT fk_person_id_person_subaccount FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_photo_upload_id_employee; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT fk_photo_upload_id_employee FOREIGN KEY (photo_upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_position_id_appointment; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_position_id_appointment FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_position_id_permision; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_position_id_permision FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_position_structure_id; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT fk_position_structure_id FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_region_country_id; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY region
    ADD CONSTRAINT fk_region_country_id FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_region_id_location; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY location
    ADD CONSTRAINT fk_region_id_location FOREIGN KEY (region_id) REFERENCES region(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_accomodation; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT fk_resource_id_accomodation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_account; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY account
    ADD CONSTRAINT fk_resource_id_account FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_account_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT fk_resource_id_account_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_address; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY address
    ADD CONSTRAINT fk_resource_id_address FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_advsource; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT fk_resource_id_advsource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_appointment; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_resource_id_appointment FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bank; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT fk_resource_id_bank FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bank_detail; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_resource_id_bank_detail FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bperson; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY bperson
    ADD CONSTRAINT fk_resource_id_bperson FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_calculation; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_resource_id_calculation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_campaign; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY campaign
    ADD CONSTRAINT fk_resource_id_campaign FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_commission; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_resource_id_commission FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_company; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY company
    ADD CONSTRAINT fk_resource_id_company FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_contact; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY contact
    ADD CONSTRAINT fk_resource_id_contact FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_contact; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT fk_resource_id_contact FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_contract; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY contract
    ADD CONSTRAINT fk_resource_id_contract FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_country; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY country
    ADD CONSTRAINT fk_resource_id_country FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_crosspayment; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT fk_resource_id_crosspayment FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_currency; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT fk_resource_id_currency FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_currency_rate; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_resource_id_currency_rate FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_dismissal; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT fk_resource_id_dismissal FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_employee; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT fk_resource_id_employee FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_employee_subscription; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee_subscription
    ADD CONSTRAINT fk_resource_id_employee_subscription FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_foodcat; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT fk_resource_id_foodcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_hotel; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_resource_id_hotel FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_hotelcat; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT fk_resource_id_hotelcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_income; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_resource_id_income FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_invoice; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_resource_id_invoice FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_resource_id_lead FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_resource_id_lead_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead_offer; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_resource_id_lead_offer FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_location; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY location
    ADD CONSTRAINT fk_resource_id_location FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_mail; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY mail
    ADD CONSTRAINT fk_resource_id_mail FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_navigation; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_resource_id_navigation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_note; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY note
    ADD CONSTRAINT fk_resource_id_note FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_note_resource; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT fk_resource_id_note_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_notification; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY notification
    ADD CONSTRAINT fk_resource_id_notification FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_notification_resource; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT fk_resource_id_notification_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_order; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_resource_id_order FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_resource_id_order_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_outgoing; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_resource_id_outgoing FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_passport; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT fk_resource_id_passport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_person; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person
    ADD CONSTRAINT fk_resource_id_person FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_person_category; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT fk_resource_id_person_category FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_position; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT fk_resource_id_position FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_region; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY region
    ADD CONSTRAINT fk_resource_id_region FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_resource_type; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT fk_resource_id_resource_type FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_roomcat; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT fk_resource_id_roomcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_service; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY service
    ADD CONSTRAINT fk_resource_id_service FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_spassport; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY spassport
    ADD CONSTRAINT fk_resource_id_spassport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_structure; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_resource_id_structure FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_subaccount; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT fk_resource_id_subaccount FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_supplier; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT fk_resource_id_supplier FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_supplier_type; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT fk_resource_id_supplier_type FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_tag; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tag
    ADD CONSTRAINT fk_resource_id_tag FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_tag_resource; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tag_resource
    ADD CONSTRAINT fk_resource_id_tag_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_task; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY task
    ADD CONSTRAINT fk_resource_id_task FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_task_resource; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT fk_resource_id_task_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_ticket; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_resource_id_ticket FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_ticket_class; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT fk_resource_id_ticket_class FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_tour; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_resource_id_tour FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_transfer; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT fk_resource_id_transfer FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_transport; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT fk_resource_id_transport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_user; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT fk_resource_id_user FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_vat; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_resource_id_vat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_visa; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT fk_resource_id_visa FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_type_id_permission; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_resource_type_id_permission FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_resource_type_id_resource; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT fk_resource_type_id_resource FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_type_id_service; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY service
    ADD CONSTRAINT fk_resource_type_id_service FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_roomcat_id_tour; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_roomcat_id_tour FOREIGN KEY (roomcat_id) REFERENCES roomcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_commission; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_service_id_commission FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_lead_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_service_id_lead_item FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_lead_offer; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_service_id_lead_offer FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_service_id_order_item FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_vat; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_service_id_vat FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_spassport_id_spassport_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT fk_spassport_id_spassport_order_item FOREIGN KEY (spassport_id) REFERENCES spassport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_location_id_ticket; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_start_location_id_ticket FOREIGN KEY (start_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_location_id_tour; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_start_location_id_tour FOREIGN KEY (start_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_transport_id_tour; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_start_transport_id_tour FOREIGN KEY (start_transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_company_id; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_structure_company_id FOREIGN KEY (company_id) REFERENCES company(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_address; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT fk_structure_id_structure_address FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_bank_detail; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT fk_structure_id_structure_bank_detail FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_contact; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT fk_structure_id_structure_contact FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_parent_id; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_structure_parent_id FOREIGN KEY (parent_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_account_id; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT fk_subaccount_account_id FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_from_id_cashflow; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_subaccount_from_id_cashflow FOREIGN KEY (subaccount_from_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_company_subaccount; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT fk_subaccount_id_company_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_employee_subaccount; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT fk_subaccount_id_employee_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_outgoing; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_subaccount_id_outgoing FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_person_subaccount; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT fk_subaccount_id_person_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_supplier_subaccount; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT fk_subaccount_id_supplier_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_to_id_cashflow; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_subaccount_to_id_cashflow FOREIGN KEY (subaccount_to_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_currency_rate; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_supplier_id_currency_rate FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_lead_offer; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_supplier_id_lead_offer FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_supplier_id_order_item FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_bank_detail; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT fk_supplier_id_supplier_bank_detail FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_bperson; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT fk_supplier_id_supplier_bperson FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_contract; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT fk_supplier_id_supplier_contract FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_subaccount; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT fk_supplier_id_supplier_subaccount FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_type_id_supplier; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT fk_supplier_type_id_supplier FOREIGN KEY (supplier_type_id) REFERENCES supplier_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_tag_id_tag_resource; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tag_resource
    ADD CONSTRAINT fk_tag_id_tag_resource FOREIGN KEY (tag_id) REFERENCES tag(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_task_id_task_resource; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT fk_task_id_task_resource FOREIGN KEY (task_id) REFERENCES task(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_task_id_task_upload; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT fk_task_id_task_upload FOREIGN KEY (task_id) REFERENCES task(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_ticket_class_id_ticket; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_ticket_class_id_ticket FOREIGN KEY (ticket_class_id) REFERENCES ticket_class(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_ticket_id_ticket_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT fk_ticket_id_ticket_order_item FOREIGN KEY (ticket_id) REFERENCES ticket(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_tour_id_tour_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT fk_tour_id_tour_order_item FOREIGN KEY (tour_id) REFERENCES tour(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_transfer_id_tour; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_transfer_id_tour FOREIGN KEY (transfer_id) REFERENCES transfer(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_transport_id_ticket; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_transport_id_ticket FOREIGN KEY (transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_employee_upload; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT fk_upload_id_employee_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_note_upload; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT fk_upload_id_note_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_passport_upload; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT fk_upload_id_passport_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_task_upload; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT fk_upload_id_task_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_visa_id_visa_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT fk_visa_id_visa_order_item FOREIGN KEY (visa_id) REFERENCES visa(id) ON UPDATE CASCADE ON DELETE RESTRICT;


SET search_path = public, pg_catalog;

--
-- Name: fk_accomodation_id_tour; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_accomodation_id_tour FOREIGN KEY (accomodation_id) REFERENCES accomodation(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_id_invoice; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_account_id_invoice FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_id_vat; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_account_id_vat FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_cashflow; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_account_item_id_cashflow FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_outgoing; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_account_item_id_outgoing FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_transfer; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_account_item_id_transfer FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_parent_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT fk_account_item_parent_id FOREIGN KEY (parent_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_bank_address; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT fk_address_id_bank_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_employee_address; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT fk_address_id_employee_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_person_address; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT fk_address_id_person_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_structure_address; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT fk_address_id_structure_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_advsource_id_lead; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_advsource_id_lead FOREIGN KEY (advsource_id) REFERENCES advsource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_advsource_id_order; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_advsource_id_order FOREIGN KEY (advsource_id) REFERENCES advsource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_detail_id_structure_bank_detail; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT fk_bank_detail_id_structure_bank_detail FOREIGN KEY (bank_detail_id) REFERENCES bank_detail(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_detail_id_supplier_bank_detail; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT fk_bank_detail_id_supplier_bank_detail FOREIGN KEY (bank_detail_id) REFERENCES bank_detail(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_id_bank_address; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT fk_bank_id_bank_address FOREIGN KEY (bank_id) REFERENCES bank(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_id_bank_detail; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_bank_id_bank_detail FOREIGN KEY (bank_id) REFERENCES bank(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_bperson_id_bperson_contact; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT fk_bperson_id_bperson_contact FOREIGN KEY (bperson_id) REFERENCES bperson(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bperson_id_supplier_bperson; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT fk_bperson_id_supplier_bperson FOREIGN KEY (bperson_id) REFERENCES bperson(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_crosspayment; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT fk_cashflow_id_crosspayment FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_income_cashflow; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT fk_cashflow_id_income_cashflow FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_outgoing_cashflow; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT fk_cashflow_id_outgoing_cashflow FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_commission_id_contract_commission; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT fk_commission_id_contract_commission FOREIGN KEY (commission_id) REFERENCES commission(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_company_id_company_subaccount; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT fk_company_id_company_subaccount FOREIGN KEY (company_id) REFERENCES company(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_bperson_contact; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT fk_contact_id_bperson_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_employee_contact; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT fk_contact_id_employee_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_employee_notification; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT fk_contact_id_employee_notification FOREIGN KEY (notification_id) REFERENCES notification(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_person_contact; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT fk_contact_id_person_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_structure_contact; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT fk_contact_id_structure_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_caluclation; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_contract_id_caluclation FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_contract_commission; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT fk_contract_id_contract_commission FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_supplier_contract; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT fk_contract_id_supplier_contract FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_country_id_passport; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT fk_country_id_passport FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_country_id_visa; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT fk_country_id_visa FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_account; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY account
    ADD CONSTRAINT fk_currency_id_account FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_appointment; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_currency_id_appointment FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_bank_detail; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_currency_id_bank_detail FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_commission; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_currency_id_commission FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_company; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY company
    ADD CONSTRAINT fk_currency_id_company FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_lead_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_currency_id_lead_item FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_lead_offer; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_currency_id_lead_offer FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_currency_id_order_item FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_tour; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_currency_id_tour FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_customer_id_lead; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_customer_id_lead FOREIGN KEY (customer_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_customer_id_order; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_customer_id_order FOREIGN KEY (customer_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_appointment; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_employee_id_appointment FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_appointment; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT fk_employee_id_appointment FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_address; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT fk_employee_id_employee_address FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_contact; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT fk_employee_id_employee_contact FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_notification; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT fk_employee_id_employee_notification FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_passport; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT fk_employee_id_employee_passport FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_subaccount; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT fk_employee_id_employee_subaccount FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_subscription; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_subscription
    ADD CONSTRAINT fk_employee_id_employee_subscription FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_upload; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT fk_employee_id_employee_upload FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_user; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT fk_employee_id_user FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_location_id_ticket; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_end_location_id_ticket FOREIGN KEY (end_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_location_id_tour; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_end_location_id_tour FOREIGN KEY (end_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_transport_id_tour; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_end_transport_id_tour FOREIGN KEY (end_transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_foodcat_id_tour; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_foodcat_id_tour FOREIGN KEY (foodcat_id) REFERENCES foodcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_hotel_id_tour; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_hotel_id_tour FOREIGN KEY (hotel_id) REFERENCES hotel(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_hotelcat_id_hotel; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_hotelcat_id_hotel FOREIGN KEY (hotelcat_id) REFERENCES hotelcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_income_id_income_cashflow; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT fk_income_id_income_cashflow FOREIGN KEY (income_id) REFERENCES income(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_invoice_id_income; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_invoice_id_income FOREIGN KEY (invoice_id) REFERENCES invoice(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_invoice_id_invoice_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT fk_invoice_id_invoice_item FOREIGN KEY (invoice_id) REFERENCES invoice(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_lead_id_lead_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_lead_id_lead_item FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_lead_id_lead_offer; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_lead_id_lead_offer FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_lead_id_order; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_lead_id_order FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_location_id_address; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY address
    ADD CONSTRAINT fk_location_id_address FOREIGN KEY (location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_location_id_hotel; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_location_id_hotel FOREIGN KEY (location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_mail_id_campaign; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY campaign
    ADD CONSTRAINT fk_mail_id_campaign FOREIGN KEY (mail_id) REFERENCES mail(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_maintainer_id_resource; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT fk_maintainer_id_resource FOREIGN KEY (maintainer_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_navigation_position_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_navigation_position_id FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_note_id_note_resource; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT fk_note_id_note_resource FOREIGN KEY (note_id) REFERENCES note(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_note_id_note_upload; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT fk_note_id_note_upload FOREIGN KEY (note_id) REFERENCES note(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_notification_id_notification_resource; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT fk_notification_id_notification_resource FOREIGN KEY (notification_id) REFERENCES notification(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_id_invoice; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_order_id_invoice FOREIGN KEY (order_id) REFERENCES "order"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_id_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_order_id_order_item FOREIGN KEY (order_id) REFERENCES "order"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_caluclation; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_order_item_id_caluclation FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_invoice_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT fk_order_item_id_invoice_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_person_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT fk_order_item_id_person_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_spassport_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT fk_order_item_id_spassport_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_ticket_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT fk_order_item_id_ticket_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_tour_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT fk_order_item_id_tour_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_visa_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT fk_order_item_id_visa_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_outgoing_id_outgoing_cashflow; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT fk_outgoing_id_outgoing_cashflow FOREIGN KEY (outgoing_id) REFERENCES outgoing(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_parent_id_navigation; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_parent_id_navigation FOREIGN KEY (parent_id) REFERENCES navigation(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_employee_passport; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT fk_passport_id_employee_passport FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_passport_upload; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT fk_passport_id_passport_upload FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_person_passport; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT fk_passport_id_person_passport FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_permision_structure_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_permision_structure_id FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_category_id_campaign; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY campaign
    ADD CONSTRAINT fk_person_category_id_campaign FOREIGN KEY (person_category_id) REFERENCES person_category(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_category_id_person; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY person
    ADD CONSTRAINT fk_person_category_id_person FOREIGN KEY (person_category_id) REFERENCES person_category(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_address; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT fk_person_id_person_address FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_contact; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT fk_person_id_person_contact FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT fk_person_id_person_order_item FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_passport; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT fk_person_id_person_passport FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_subaccount; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT fk_person_id_person_subaccount FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_photo_upload_id_employee; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT fk_photo_upload_id_employee FOREIGN KEY (photo_upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_position_id_appointment; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_position_id_appointment FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_position_id_permision; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_position_id_permision FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_position_structure_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT fk_position_structure_id FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_region_country_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY region
    ADD CONSTRAINT fk_region_country_id FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_region_id_location; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY location
    ADD CONSTRAINT fk_region_id_location FOREIGN KEY (region_id) REFERENCES region(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_accomodation; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT fk_resource_id_accomodation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_account; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY account
    ADD CONSTRAINT fk_resource_id_account FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_account_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT fk_resource_id_account_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_address; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY address
    ADD CONSTRAINT fk_resource_id_address FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_advsource; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT fk_resource_id_advsource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_appointment; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_resource_id_appointment FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bank; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT fk_resource_id_bank FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bank_detail; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_resource_id_bank_detail FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bperson; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY bperson
    ADD CONSTRAINT fk_resource_id_bperson FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_calculation; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_resource_id_calculation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_campaign; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY campaign
    ADD CONSTRAINT fk_resource_id_campaign FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_commission; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_resource_id_commission FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_company; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY company
    ADD CONSTRAINT fk_resource_id_company FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_contact; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY contact
    ADD CONSTRAINT fk_resource_id_contact FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_contact; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT fk_resource_id_contact FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_country; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY country
    ADD CONSTRAINT fk_resource_id_country FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_crosspayment; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT fk_resource_id_crosspayment FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_currency; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT fk_resource_id_currency FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_dismissal; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT fk_resource_id_dismissal FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_employee; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT fk_resource_id_employee FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_employee_subscription; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_subscription
    ADD CONSTRAINT fk_resource_id_employee_subscription FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_foodcat; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT fk_resource_id_foodcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_hotel; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_resource_id_hotel FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_hotelcat; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT fk_resource_id_hotelcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_income; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_resource_id_income FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_invoice; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_resource_id_invoice FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_resource_id_lead FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_resource_id_lead_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead_offer; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_resource_id_lead_offer FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_licence; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY contract
    ADD CONSTRAINT fk_resource_id_licence FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_location; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY location
    ADD CONSTRAINT fk_resource_id_location FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_mail; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY mail
    ADD CONSTRAINT fk_resource_id_mail FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_navigation; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_resource_id_navigation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_note; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY note
    ADD CONSTRAINT fk_resource_id_note FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_note_resource; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT fk_resource_id_note_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_notification; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY notification
    ADD CONSTRAINT fk_resource_id_notification FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_notification_resource; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT fk_resource_id_notification_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_order; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_resource_id_order FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_resource_id_order_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_outgoing; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_resource_id_outgoing FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_passport; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT fk_resource_id_passport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_person; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY person
    ADD CONSTRAINT fk_resource_id_person FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_person_category; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT fk_resource_id_person_category FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_position; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT fk_resource_id_position FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_region; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY region
    ADD CONSTRAINT fk_resource_id_region FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_resource_type; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT fk_resource_id_resource_type FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_roomcat; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT fk_resource_id_roomcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_service; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY service
    ADD CONSTRAINT fk_resource_id_service FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_spassport; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY spassport
    ADD CONSTRAINT fk_resource_id_spassport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_structure; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_resource_id_structure FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_subaccount; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT fk_resource_id_subaccount FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_supplier_type; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT fk_resource_id_supplier_type FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_tag; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tag
    ADD CONSTRAINT fk_resource_id_tag FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_tag_resource; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tag_resource
    ADD CONSTRAINT fk_resource_id_tag_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_task; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY task
    ADD CONSTRAINT fk_resource_id_task FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_task_resource; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT fk_resource_id_task_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_ticket; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_resource_id_ticket FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_ticket_class; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT fk_resource_id_ticket_class FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_tour; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_resource_id_tour FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_tour; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_resource_id_tour FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_touroperator; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT fk_resource_id_touroperator FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_transfer; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT fk_resource_id_transfer FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_transport; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT fk_resource_id_transport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_user; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT fk_resource_id_user FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_vat; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_resource_id_vat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_visa; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT fk_resource_id_visa FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_type_id_permission; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_resource_type_id_permission FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_resource_type_id_resource; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT fk_resource_type_id_resource FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_type_id_service; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY service
    ADD CONSTRAINT fk_resource_type_id_service FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_roomcat_id_tour; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_roomcat_id_tour FOREIGN KEY (roomcat_id) REFERENCES roomcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_commission; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_service_id_commission FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_lead_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_service_id_lead_item FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_lead_offer; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_service_id_lead_offer FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_service_id_order_item FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_service_id_order_item FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_spassport_id_spassport_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT fk_spassport_id_spassport_order_item FOREIGN KEY (spassport_id) REFERENCES spassport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_location_id_ticket; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_start_location_id_ticket FOREIGN KEY (start_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_location_id_tour; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_start_location_id_tour FOREIGN KEY (start_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_transport_id_tour; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_start_transport_id_tour FOREIGN KEY (start_transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_company_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_structure_company_id FOREIGN KEY (company_id) REFERENCES company(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_address; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT fk_structure_id_structure_address FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_bank_detail; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT fk_structure_id_structure_bank_detail FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_contact; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT fk_structure_id_structure_contact FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_parent_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_structure_parent_id FOREIGN KEY (parent_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_account_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT fk_subaccount_account_id FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_from_id_transfer; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_subaccount_from_id_transfer FOREIGN KEY (subaccount_from_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_company_subaccount; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT fk_subaccount_id_company_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_employee_subaccount; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT fk_subaccount_id_employee_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_outgoing; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_subaccount_id_outgoing FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_person_subaccount; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT fk_subaccount_id_person_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_supplier_subaccount; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT fk_subaccount_id_supplier_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_to_id_transfer; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_subaccount_to_id_transfer FOREIGN KEY (subaccount_to_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_currency_rate; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_supplier_id_currency_rate FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_lead_offer; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_supplier_id_lead_offer FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_supplier_id_order_item FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_bank_detail; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT fk_supplier_id_supplier_bank_detail FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_bperson; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT fk_supplier_id_supplier_bperson FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_contract; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT fk_supplier_id_supplier_contract FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_subaccount; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT fk_supplier_id_supplier_subaccount FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_type_id_supplier; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT fk_supplier_type_id_supplier FOREIGN KEY (supplier_type_id) REFERENCES supplier_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_tag_id_tag_resource; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tag_resource
    ADD CONSTRAINT fk_tag_id_tag_resource FOREIGN KEY (tag_id) REFERENCES tag(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_task_id_task_resource; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT fk_task_id_task_resource FOREIGN KEY (task_id) REFERENCES task(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_task_id_task_upload; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT fk_task_id_task_upload FOREIGN KEY (task_id) REFERENCES task(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_ticket_class_id_ticket; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_ticket_class_id_ticket FOREIGN KEY (ticket_class_id) REFERENCES ticket_class(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_ticket_id_ticket_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT fk_ticket_id_ticket_order_item FOREIGN KEY (ticket_id) REFERENCES ticket(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_tour_id_tour_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT fk_tour_id_tour_order_item FOREIGN KEY (tour_id) REFERENCES tour(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_transfer_id_tour; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_transfer_id_tour FOREIGN KEY (transfer_id) REFERENCES transfer(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_transport_id_ticket; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_transport_id_ticket FOREIGN KEY (transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_employee_upload; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT fk_upload_id_employee_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_note_upload; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT fk_upload_id_note_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_passport_upload; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT fk_upload_id_passport_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_task_upload; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT fk_upload_id_task_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_visa_id_visa_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT fk_visa_id_visa_order_item FOREIGN KEY (visa_id) REFERENCES visa(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- PostgreSQL database dump complete
--

